(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   8964442,     148934]
NotebookOptionsPosition[   8962143,     148866]
NotebookOutlinePosition[   8963900,     148917]
CellTagsIndexPosition[   8963736,     148909]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<Optica`Optica`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.404625329314384*^9, 3.404625343419682*^9}}],

Cell[CellGroupData[{

Cell["5 Field of Marbles", "Subsection",
 CellChangeTimes->{
  3.403531136075502*^9, 3.403620792277183*^9, 3.404494565838085*^9, 
   3.404494613555938*^9, {3.404495526064438*^9, 3.404495536003298*^9}}],

Cell["\<\
positions3 = Apply[Join,
\tTable[
\t\t{Random[Real,{-1,1}]+x, Random[Real,{-1,1}]+y},
\t\t{x,-10,10,5},{y,-10,10,5}
\t]
];\
\>", "Input",
 CellChangeTimes->{{3.402247569474354*^9, 3.402247600979218*^9}, {
   3.402247756271353*^9, 3.402247763501082*^9}, {3.402305692326461*^9, 
   3.402305694871303*^9}, {3.402305731204322*^9, 3.4023057753761187`*^9}, {
   3.402305911900076*^9, 3.402305951542729*^9}, {3.402306101456623*^9, 
   3.402306103311378*^9}, 3.402317137158742*^9, 3.402317180216473*^9, {
   3.402400834570435*^9, 3.402400838604808*^9}},
 CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],

Cell[CellGroupData[{

Cell["ListPlot[positions3,AspectRatio->1]", "Input",
 CellChangeTimes->{3.402245369929068*^9, 3.402317182200807*^9},
 CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwBoQFe/iFib1JlAgAAABkAAAACAAAAyxCJo1knIsAkEgasGZMiwF4jkzkN
yiTAj9HhGv8TFcBofZe6Z8wlwMBp7BTjLLM/s3/03fxrI8DuZyg+AowWQBBH
CVDmBiPAQVoT8xmHJUCKGx6GPp0VwKGU0MbsdyLATLMO/6e3EsArKfrQf1wV
wB+CgbWu/hbA6paKfmAW5L+U5TDKbKQTwEVXPWbwehdArppdoVWxFMDeUcgl
zngjQPBa+JvTdOm/yTmfXz9pIsCOoBsjwe7nvzCpng8ByRXAPk5nYzn/5r9R
epI5W2Ltv1SVFnYSsuQ/XihDC/5KF0C6d++5vTjqv4f/PIaAAyRAEdKrCjxu
EUDIn3IZgqAlwCif1Oi0xhJAc7Ws2TIHE8Cc7cmQegsXQHWyICpVieK/dFLj
51x+FUC3c033TFUSQLtvS0YpChZAR55GtdAYIkAEHArZZJEiQMfxd7fRkiTA
NYXUc79dI0AuZwPh+r8SwLOhyRKyKCJAIP9b7CvJtL8+PwaGq9wiQANCmy4G
CRNAlxYAqaWYJUCnb8Bbk6wjQOnvueQ=
     "]]}, {}},
  AspectRatio->1,
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0.},
  Method->{},
  PlotRange->{{-10.899228888504425`, 
   10.798138886700412`}, {-10.813492579691129`, 10.763869854080555`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.4339473555040968, 0.4339473555040968}, {
   0.43154724867543365`, 0.43154724867543365`}}]], "Output",
 CellChangeTimes->{3.4023153665296173`*^9, 3.402316029513351*^9, 
  3.402317205514052*^9, 3.4023217716289167`*^9, 3.4023219565227118`*^9, 
  3.402334017963436*^9, 3.402403156554832*^9, 3.4046253816680107`*^9, 
  3.6147495438276052`*^9},
 CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ManipulateSystem", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Move", "[", 
      RowBox[{
       RowBox[{"SingleRay", "[", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "14"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"th", ",", "0"}], "}"}]}], "]"}], ",", " ", "\n", "\t", 
     RowBox[{"Resonate", "[", 
      RowBox[{"MapIndexed", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"xsym", " ", "=", " ", 
              RowBox[{"ToExpression", "[", 
               RowBox[{"\"\<x\>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"#2", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}], ",", 
             RowBox[{"ysym", " ", "=", " ", 
              RowBox[{"ToExpression", "[", 
               RowBox[{"\"\<y\>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"#2", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}]}], "}"}], 
           ",", "\n", "\t\t", 
           RowBox[{"Move", "[", 
            RowBox[{
             RowBox[{"BallLens", "[", 
              RowBox[{"3", ",", " ", 
               RowBox[{"FresnelReflections", "->", "True"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"xsym", ",", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"ysym", ",", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}]}], "]"}]}],
           "]"}], "&"}], ",", "positions3"}], "]"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{
       RowBox[{"Boundary", "[", "30", "]"}], ",", 
       RowBox[{"-", "15"}]}], "]"}]}], "}"}], ",", "\n", "\t\t", 
   RowBox[{"PlotType", "->", "TopView"}], ",", " ", 
   RowBox[{"ImageSize", "->", "600"}], ",", " ", 
   RowBox[{"SimplifyGraphics", "->", "False"}], ",", " ", 
   RowBox[{"AutorunSequencing", "->", 
    RowBox[{"{", 
     RowBox[{"y", ",", "th"}], "}"}]}], ",", 
   RowBox[{"Deployed", "->", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{3.4024011416896753`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`lastlocposth$$ = {-13.25, 
    0.}, $CellContext`laststartposth$$ = {-14., 0.}, $CellContext`lastth$$ = 
    0., $CellContext`maxth$$ = 
    180., $CellContext`maxx$$ = -0.14, $CellContext`maxx1$$ = -0.09, \
$CellContext`maxx10$$ = -0.051, $CellContext`maxx11$$ = -0.007, \
$CellContext`maxx12$$ = -0.007, $CellContext`maxx13$$ = -0.007, \
$CellContext`maxx14$$ = 
    0.9701059779754357, $CellContext`maxx15$$ = -0.008, $CellContext`maxx16$$ \
= 9, $CellContext`maxx17$$ = 9, $CellContext`maxx18$$ = 
    12, $CellContext`maxx19$$ = 
    11, $CellContext`maxx2$$ = -0.103, $CellContext`maxx20$$ = 
    11, $CellContext`maxx21$$ = 19, $CellContext`maxx22$$ = 
    19, $CellContext`maxx23$$ = 18, $CellContext`maxx24$$ = 
    19, $CellContext`maxx25$$ = 
    22, $CellContext`maxx3$$ = -0.108, $CellContext`maxx4$$ = -0.097, \
$CellContext`maxx5$$ = -0.095, $CellContext`maxx6$$ = -0.054, \
$CellContext`maxx7$$ = -0.046, $CellContext`maxx8$$ = -0.057, \
$CellContext`maxx9$$ = -0.049, $CellContext`maxy$$ = 
    10, $CellContext`maxy1$$ = -0.092, $CellContext`maxy10$$ = 
    19, $CellContext`maxy11$$ = -0.092, $CellContext`maxy12$$ = -0.054, \
$CellContext`maxy13$$ = -0.009, $CellContext`maxy14$$ = 
    12, $CellContext`maxy15$$ = 
    20, $CellContext`maxy16$$ = -0.108, $CellContext`maxy17$$ = -0.047, \
$CellContext`maxy18$$ = -0.005, $CellContext`maxy19$$ = 
    9, $CellContext`maxy2$$ = -0.052, $CellContext`maxy20$$ = 
    18, $CellContext`maxy21$$ = -0.102, $CellContext`maxy22$$ = -0.046, \
$CellContext`maxy23$$ = 0.8119463463299015, $CellContext`maxy24$$ = 
    10, $CellContext`maxy25$$ = 20, $CellContext`maxy3$$ = 
    0.7490367184474334, $CellContext`maxy4$$ = 11, $CellContext`maxy5$$ = 
    22, $CellContext`maxy6$$ = -0.092, $CellContext`maxy7$$ = -0.053, \
$CellContext`maxy8$$ = -0.006, $CellContext`maxy9$$ = 
    12, $CellContext`minth$$ = -180., $CellContext`minx$$ = -28, \
$CellContext`minx1$$ = -18, $CellContext`minx10$$ = -10, \
$CellContext`minx11$$ = -1.591, $CellContext`minx12$$ = -1.495, \
$CellContext`minx13$$ = -1.437, $CellContext`minx14$$ = 
    0.1, $CellContext`minx15$$ = -1.638, $CellContext`minx16$$ = 
    0.043, $CellContext`minx17$$ = 0.046, $CellContext`minx18$$ = 
    0.057, $CellContext`minx19$$ = 
    0.053, $CellContext`minx2$$ = -21, $CellContext`minx20$$ = 
    0.055, $CellContext`minx21$$ = 0.092, $CellContext`minx22$$ = 
    0.096, $CellContext`minx23$$ = 0.09, $CellContext`minx24$$ = 
    0.094, $CellContext`minx25$$ = 
    0.107, $CellContext`minx3$$ = -22, $CellContext`minx4$$ = -19, \
$CellContext`minx5$$ = -19, $CellContext`minx6$$ = -11, $CellContext`minx7$$ \
= -9, $CellContext`minx8$$ = -11, $CellContext`minx9$$ = -10, \
$CellContext`miny$$ = -10, $CellContext`miny1$$ = -19, $CellContext`miny10$$ =
     0.097, $CellContext`miny11$$ = -18, $CellContext`miny12$$ = -11, \
$CellContext`miny13$$ = -1.836, $CellContext`miny14$$ = 
    0.058, $CellContext`miny15$$ = 
    0.1, $CellContext`miny16$$ = -22, $CellContext`miny17$$ = -10, \
$CellContext`miny18$$ = -1.158, $CellContext`miny19$$ = 
    0.045, $CellContext`miny2$$ = -11, $CellContext`miny20$$ = 
    0.09, $CellContext`miny21$$ = -21, $CellContext`miny22$$ = -9, \
$CellContext`miny23$$ = -0.8119463463299015, $CellContext`miny24$$ = 
    0.047, $CellContext`miny25$$ = 
    0.098, $CellContext`miny3$$ = -0.7490367184474334, $CellContext`miny4$$ = 
    0.056, $CellContext`miny5$$ = 
    0.107, $CellContext`miny6$$ = -18, $CellContext`miny7$$ = -11, \
$CellContext`miny8$$ = -1.255, $CellContext`miny9$$ = 
    0.058, $CellContext`radiusth$$ = 
    0.75, $CellContext`staticpolygons111889820147194645760311$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons121889820147194645783627$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons131889820147194645811363$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons141889820147194645834335$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons151889820147194645857567$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons161889820147194645883218$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons171889820147194645906591$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons181889820147194645929713$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons191889820147194645952925$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons201889820147194645975859$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons211889820147194646000826$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons221889820147194646024359$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons231889820147194646048190$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons241889820147194646073902$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons251889820147194646097611$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons261889820147194646121439$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons271889820147194646144626$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons281889820147194646168427$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons291889820147194646191789$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
      
      "]]}, $CellContext`staticpolygons301889820147194646217195$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons311889820147194646240595$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons321889820147194646264452$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons331889820147194646287948$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons341889820147194646312151$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons351889820147194646336188$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons361889820147194646338404$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAE9Bxz0AQJ8QvQBImlC9lFbH7n+wMUnVZxY
f+AyBxeNoQ8AtlgqAg==
      "]]}, $CellContext`th$$ = 
    0., $CellContext`x$$ = -14., $CellContext`x1$$ = -9.076855764848366, \
$CellContext`x10$$ = -5.173178216303013, $CellContext`x11$$ = \
-0.7955110594074011, $CellContext`x12$$ = -0.7478948293401275, \
$CellContext`x13$$ = -0.7186552945590348, $CellContext`x14$$ = 
    0.6467373186502905, $CellContext`x15$$ = -0.8194264060546097, \
$CellContext`x16$$ = 4.357650915848823, $CellContext`x17$$ = 
    4.6940494899534215`, $CellContext`x18$$ = 
    5.761209738087384, $CellContext`x19$$ = 
    5.37340128254856, $CellContext`x2$$ = -10.394632147990418`, \
$CellContext`x20$$ = 5.509923075060153, $CellContext`x21$$ = 
    9.283972532733976, $CellContext`x22$$ = 
    9.683101291363167, $CellContext`x23$$ = 
    9.079483592141377, $CellContext`x24$$ = 
    9.430996120703295, $CellContext`x25$$ = 
    10.798138886700412`, $CellContext`x3$$ = -10.899228888504425`, \
$CellContext`x4$$ = -9.710913597198532, $CellContext`x5$$ = \
-9.513475896008032, $CellContext`x6$$ = -5.40355882223856, $CellContext`x7$$ \
= -4.6793517925951384`, $CellContext`x8$$ = -5.748713336972769, \
$CellContext`x9$$ = -4.910571250185416, $CellContext`xoffth$$ = 
    0.75, $CellContext`xth$$ = -13.25, $CellContext`y$$ = 
    0., $CellContext`y1$$ = -9.287305236569473, $CellContext`y10$$ = 
    9.735947781279659, $CellContext`y11$$ = -9.20556162661241, \
$CellContext`y12$$ = -5.446293109949963, $CellContext`y13$$ = \
-0.9182563900429362, $CellContext`y14$$ = 
    5.823234725927334, $CellContext`y15$$ = 
    10.00683993811232, $CellContext`y16$$ = -10.813492579691129`, \
$CellContext`y17$$ = -4.757029915968235, $CellContext`y18$$ = \
-0.5792642424399462, $CellContext`y19$$ = 
    4.583301414587303, $CellContext`y2$$ = -5.269527835877297, \
$CellContext`y20$$ = 
    9.048467316503901, $CellContext`y21$$ = -10.286756261245399`, \
$CellContext`y22$$ = -4.687480464775758, $CellContext`y23$$ = \
-0.08119463463299015, $CellContext`y24$$ = 
    4.758812645174205, $CellContext`y25$$ = 
    9.837061755409946, $CellContext`y3$$ = 
    0.07490367184474334, $CellContext`y4$$ = 
    5.636727305618463, $CellContext`y5$$ = 
    10.763869854080555`, $CellContext`y6$$ = -9.234228337251183, \
$CellContext`y7$$ = -5.340331330555538, $CellContext`y8$$ = \
-0.6277315589438477, $CellContext`y9$$ = 
    5.870057675832702, $CellContext`yoffth$$ = 0., $CellContext`yth$$ = 0., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`th$$], 0.}, -180., 180.}, {{
       Hold[$CellContext`x$$], -14.}, -28, -0.14}, {{
       Hold[$CellContext`y$$], 0.}, -10, 10}, {{
       Hold[$CellContext`x1$$], -9.076855764848366}, -18, -0.09}, {{
       Hold[$CellContext`x10$$], -5.173178216303013}, -10, -0.051}, {{
       Hold[$CellContext`x11$$], -0.7955110594074011}, -1.591, -0.007}, {{
       Hold[$CellContext`x12$$], -0.7478948293401275}, -1.495, -0.007}, {{
       Hold[$CellContext`x13$$], -0.7186552945590348}, -1.437, -0.007}, {{
       Hold[$CellContext`x14$$], 0.6467373186502905}, 0.1, 
      0.9701059779754357}, {{
       Hold[$CellContext`x15$$], -0.8194264060546097}, -1.638, -0.008}, {{
       Hold[$CellContext`x16$$], 4.357650915848823}, 0.043, 9}, {{
       Hold[$CellContext`x17$$], 4.6940494899534215`}, 0.046, 9}, {{
       Hold[$CellContext`x18$$], 5.761209738087384}, 0.057, 12}, {{
       Hold[$CellContext`x19$$], 5.37340128254856}, 0.053, 11}, {{
       Hold[$CellContext`x2$$], -10.394632147990418`}, -21, -0.103}, {{
       Hold[$CellContext`x20$$], 5.509923075060153}, 0.055, 11}, {{
       Hold[$CellContext`x21$$], 9.283972532733976}, 0.092, 19}, {{
       Hold[$CellContext`x22$$], 9.683101291363167}, 0.096, 19}, {{
       Hold[$CellContext`x23$$], 9.079483592141377}, 0.09, 18}, {{
       Hold[$CellContext`x24$$], 9.430996120703295}, 0.094, 19}, {{
       Hold[$CellContext`x25$$], 10.798138886700412`}, 0.107, 22}, {{
       Hold[$CellContext`x3$$], -10.899228888504425`}, -22, -0.108}, {{
       Hold[$CellContext`x4$$], -9.710913597198532}, -19, -0.097}, {{
       Hold[$CellContext`x5$$], -9.513475896008032}, -19, -0.095}, {{
       Hold[$CellContext`x6$$], -5.40355882223856}, -11, -0.054}, {{
       Hold[$CellContext`x7$$], -4.6793517925951384`}, -9, -0.046}, {{
       Hold[$CellContext`x8$$], -5.748713336972769}, -11, -0.057}, {{
       Hold[$CellContext`x9$$], -4.910571250185416}, -10, -0.049}, {{
       Hold[$CellContext`y1$$], -9.287305236569473}, -19, -0.092}, {{
       Hold[$CellContext`y10$$], 9.735947781279659}, 0.097, 19}, {{
       Hold[$CellContext`y11$$], -9.20556162661241}, -18, -0.092}, {{
       Hold[$CellContext`y12$$], -5.446293109949963}, -11, -0.054}, {{
       Hold[$CellContext`y13$$], -0.9182563900429362}, -1.836, -0.009}, {{
       Hold[$CellContext`y14$$], 5.823234725927334}, 0.058, 12}, {{
       Hold[$CellContext`y15$$], 10.00683993811232}, 0.1, 20}, {{
       Hold[$CellContext`y16$$], -10.813492579691129`}, -22, -0.108}, {{
       Hold[$CellContext`y17$$], -4.757029915968235}, -10, -0.047}, {{
       Hold[$CellContext`y18$$], -0.5792642424399462}, -1.158, -0.005}, {{
       Hold[$CellContext`y19$$], 4.583301414587303}, 0.045, 9}, {{
       Hold[$CellContext`y2$$], -5.269527835877297}, -11, -0.052}, {{
       Hold[$CellContext`y20$$], 9.048467316503901}, 0.09, 18}, {{
       Hold[$CellContext`y21$$], -10.286756261245399`}, -21, -0.102}, {{
       Hold[$CellContext`y22$$], -4.687480464775758}, -9, -0.046}, {{
       Hold[$CellContext`y23$$], -0.08119463463299015}, -0.8119463463299015, 
      0.8119463463299015}, {{
       Hold[$CellContext`y24$$], 4.758812645174205}, 0.047, 10}, {{
       Hold[$CellContext`y25$$], 9.837061755409946}, 0.098, 20}, {{
       Hold[$CellContext`y3$$], 0.07490367184474334}, -0.7490367184474334, 
      0.7490367184474334}, {{
       Hold[$CellContext`y4$$], 5.636727305618463}, 0.056, 11}, {{
       Hold[$CellContext`y5$$], 10.763869854080555`}, 0.107, 22}, {{
       Hold[$CellContext`y6$$], -9.234228337251183}, -18, -0.092}, {{
       Hold[$CellContext`y7$$], -5.340331330555538}, -11, -0.053}, {{
       Hold[$CellContext`y8$$], -0.6277315589438477}, -1.255, -0.006}, {{
       Hold[$CellContext`y9$$], 5.870057675832702}, 0.058, 12}, {{
       Hold[$CellContext`minth$$], -180.}}, {{
       Hold[$CellContext`maxth$$], 180.}}, {{
       Hold[$CellContext`minx$$], -28}}, {{
       Hold[$CellContext`maxx$$], -0.14}}, {{
       Hold[$CellContext`miny$$], -10}}, {{
       Hold[$CellContext`maxy$$], 10}}, {{
       Hold[$CellContext`minx1$$], -18}}, {{
       Hold[$CellContext`maxx1$$], -0.09}}, {{
       Hold[$CellContext`minx10$$], -10}}, {{
       Hold[$CellContext`maxx10$$], -0.051}}, {{
       Hold[$CellContext`minx11$$], -1.591}}, {{
       Hold[$CellContext`maxx11$$], -0.007}}, {{
       Hold[$CellContext`minx12$$], -1.495}}, {{
       Hold[$CellContext`maxx12$$], -0.007}}, {{
       Hold[$CellContext`minx13$$], -1.437}}, {{
       Hold[$CellContext`maxx13$$], -0.007}}, {{
       Hold[$CellContext`minx14$$], 0.1}}, {{
       Hold[$CellContext`maxx14$$], 0.9701059779754357}}, {{
       Hold[$CellContext`minx15$$], -1.638}}, {{
       Hold[$CellContext`maxx15$$], -0.008}}, {{
       Hold[$CellContext`minx16$$], 0.043}}, {{
       Hold[$CellContext`maxx16$$], 9}}, {{
       Hold[$CellContext`minx17$$], 0.046}}, {{
       Hold[$CellContext`maxx17$$], 9}}, {{
       Hold[$CellContext`minx18$$], 0.057}}, {{
       Hold[$CellContext`maxx18$$], 12}}, {{
       Hold[$CellContext`minx19$$], 0.053}}, {{
       Hold[$CellContext`maxx19$$], 11}}, {{
       Hold[$CellContext`minx2$$], -21}}, {{
       Hold[$CellContext`maxx2$$], -0.103}}, {{
       Hold[$CellContext`minx20$$], 0.055}}, {{
       Hold[$CellContext`maxx20$$], 11}}, {{
       Hold[$CellContext`minx21$$], 0.092}}, {{
       Hold[$CellContext`maxx21$$], 19}}, {{
       Hold[$CellContext`minx22$$], 0.096}}, {{
       Hold[$CellContext`maxx22$$], 19}}, {{
       Hold[$CellContext`minx23$$], 0.09}}, {{
       Hold[$CellContext`maxx23$$], 18}}, {{
       Hold[$CellContext`minx24$$], 0.094}}, {{
       Hold[$CellContext`maxx24$$], 19}}, {{
       Hold[$CellContext`minx25$$], 0.107}}, {{
       Hold[$CellContext`maxx25$$], 22}}, {{
       Hold[$CellContext`minx3$$], -22}}, {{
       Hold[$CellContext`maxx3$$], -0.108}}, {{
       Hold[$CellContext`minx4$$], -19}}, {{
       Hold[$CellContext`maxx4$$], -0.097}}, {{
       Hold[$CellContext`minx5$$], -19}}, {{
       Hold[$CellContext`maxx5$$], -0.095}}, {{
       Hold[$CellContext`minx6$$], -11}}, {{
       Hold[$CellContext`maxx6$$], -0.054}}, {{
       Hold[$CellContext`minx7$$], -9}}, {{
       Hold[$CellContext`maxx7$$], -0.046}}, {{
       Hold[$CellContext`minx8$$], -11}}, {{
       Hold[$CellContext`maxx8$$], -0.057}}, {{
       Hold[$CellContext`minx9$$], -10}}, {{
       Hold[$CellContext`maxx9$$], -0.049}}, {{
       Hold[$CellContext`miny1$$], -19}}, {{
       Hold[$CellContext`maxy1$$], -0.092}}, {{
       Hold[$CellContext`miny10$$], 0.097}}, {{
       Hold[$CellContext`maxy10$$], 19}}, {{
       Hold[$CellContext`miny11$$], -18}}, {{
       Hold[$CellContext`maxy11$$], -0.092}}, {{
       Hold[$CellContext`miny12$$], -11}}, {{
       Hold[$CellContext`maxy12$$], -0.054}}, {{
       Hold[$CellContext`miny13$$], -1.836}}, {{
       Hold[$CellContext`maxy13$$], -0.009}}, {{
       Hold[$CellContext`miny14$$], 0.058}}, {{
       Hold[$CellContext`maxy14$$], 12}}, {{
       Hold[$CellContext`miny15$$], 0.1}}, {{
       Hold[$CellContext`maxy15$$], 20}}, {{
       Hold[$CellContext`miny16$$], -22}}, {{
       Hold[$CellContext`maxy16$$], -0.108}}, {{
       Hold[$CellContext`miny17$$], -10}}, {{
       Hold[$CellContext`maxy17$$], -0.047}}, {{
       Hold[$CellContext`miny18$$], -1.158}}, {{
       Hold[$CellContext`maxy18$$], -0.005}}, {{
       Hold[$CellContext`miny19$$], 0.045}}, {{
       Hold[$CellContext`maxy19$$], 9}}, {{
       Hold[$CellContext`miny2$$], -11}}, {{
       Hold[$CellContext`maxy2$$], -0.052}}, {{
       Hold[$CellContext`miny20$$], 0.09}}, {{
       Hold[$CellContext`maxy20$$], 18}}, {{
       Hold[$CellContext`miny21$$], -21}}, {{
       Hold[$CellContext`maxy21$$], -0.102}}, {{
       Hold[$CellContext`miny22$$], -9}}, {{
       Hold[$CellContext`maxy22$$], -0.046}}, {{
       Hold[$CellContext`miny23$$], -0.8119463463299015}}, {{
       Hold[$CellContext`maxy23$$], 0.8119463463299015}}, {{
       Hold[$CellContext`miny24$$], 0.047}}, {{
       Hold[$CellContext`maxy24$$], 10}}, {{
       Hold[$CellContext`miny25$$], 0.098}}, {{
       Hold[$CellContext`maxy25$$], 20}}, {{
       Hold[$CellContext`miny3$$], -0.7490367184474334}}, {{
       Hold[$CellContext`maxy3$$], 0.7490367184474334}}, {{
       Hold[$CellContext`miny4$$], 0.056}}, {{
       Hold[$CellContext`maxy4$$], 11}}, {{
       Hold[$CellContext`miny5$$], 0.107}}, {{
       Hold[$CellContext`maxy5$$], 22}}, {{
       Hold[$CellContext`miny6$$], -18}}, {{
       Hold[$CellContext`maxy6$$], -0.092}}, {{
       Hold[$CellContext`miny7$$], -11}}, {{
       Hold[$CellContext`maxy7$$], -0.053}}, {{
       Hold[$CellContext`miny8$$], -1.255}}, {{
       Hold[$CellContext`maxy8$$], -0.006}}, {{
       Hold[$CellContext`miny9$$], 0.058}}, {{
       Hold[$CellContext`maxy9$$], 12}}, {{
       Hold[$CellContext`minth$$], -180.}}, {{
       Hold[$CellContext`maxth$$], 180.}}, {{
       Hold[$CellContext`minx$$], -28}}, {{
       Hold[$CellContext`maxx$$], -0.14}}, {{
       Hold[$CellContext`miny$$], -10}}, {{
       Hold[$CellContext`maxy$$], 10}}, {{
       Hold[$CellContext`minx1$$], -18}}, {{
       Hold[$CellContext`maxx1$$], -0.09}}, {{
       Hold[$CellContext`minx10$$], -10}}, {{
       Hold[$CellContext`maxx10$$], -0.051}}, {{
       Hold[$CellContext`minx11$$], -1.591}}, {{
       Hold[$CellContext`maxx11$$], -0.007}}, {{
       Hold[$CellContext`minx12$$], -1.495}}, {{
       Hold[$CellContext`maxx12$$], -0.007}}, {{
       Hold[$CellContext`minx13$$], -1.437}}, {{
       Hold[$CellContext`maxx13$$], -0.007}}, {{
       Hold[$CellContext`minx14$$], 0.1}}, {{
       Hold[$CellContext`maxx14$$], 0.9701059779754357}}, {{
       Hold[$CellContext`minx15$$], -1.638}}, {{
       Hold[$CellContext`maxx15$$], -0.008}}, {{
       Hold[$CellContext`minx16$$], 0.043}}, {{
       Hold[$CellContext`maxx16$$], 9}}, {{
       Hold[$CellContext`minx17$$], 0.046}}, {{
       Hold[$CellContext`maxx17$$], 9}}, {{
       Hold[$CellContext`minx18$$], 0.057}}, {{
       Hold[$CellContext`maxx18$$], 12}}, {{
       Hold[$CellContext`minx19$$], 0.053}}, {{
       Hold[$CellContext`maxx19$$], 11}}, {{
       Hold[$CellContext`minx2$$], -21}}, {{
       Hold[$CellContext`maxx2$$], -0.103}}, {{
       Hold[$CellContext`minx20$$], 0.055}}, {{
       Hold[$CellContext`maxx20$$], 11}}, {{
       Hold[$CellContext`minx21$$], 0.092}}, {{
       Hold[$CellContext`maxx21$$], 19}}, {{
       Hold[$CellContext`minx22$$], 0.096}}, {{
       Hold[$CellContext`maxx22$$], 19}}, {{
       Hold[$CellContext`minx23$$], 0.09}}, {{
       Hold[$CellContext`maxx23$$], 18}}, {{
       Hold[$CellContext`minx24$$], 0.094}}, {{
       Hold[$CellContext`maxx24$$], 19}}, {{
       Hold[$CellContext`minx25$$], 0.107}}, {{
       Hold[$CellContext`maxx25$$], 22}}, {{
       Hold[$CellContext`minx3$$], -22}}, {{
       Hold[$CellContext`maxx3$$], -0.108}}, {{
       Hold[$CellContext`minx4$$], -19}}, {{
       Hold[$CellContext`maxx4$$], -0.097}}, {{
       Hold[$CellContext`minx5$$], -19}}, {{
       Hold[$CellContext`maxx5$$], -0.095}}, {{
       Hold[$CellContext`minx6$$], -11}}, {{
       Hold[$CellContext`maxx6$$], -0.054}}, {{
       Hold[$CellContext`minx7$$], -9}}, {{
       Hold[$CellContext`maxx7$$], -0.046}}, {{
       Hold[$CellContext`minx8$$], -11}}, {{
       Hold[$CellContext`maxx8$$], -0.057}}, {{
       Hold[$CellContext`minx9$$], -10}}, {{
       Hold[$CellContext`maxx9$$], -0.049}}, {{
       Hold[$CellContext`miny1$$], -19}}, {{
       Hold[$CellContext`maxy1$$], -0.092}}, {{
       Hold[$CellContext`miny10$$], 0.097}}, {{
       Hold[$CellContext`maxy10$$], 19}}, {{
       Hold[$CellContext`miny11$$], -18}}, {{
       Hold[$CellContext`maxy11$$], -0.092}}, {{
       Hold[$CellContext`miny12$$], -11}}, {{
       Hold[$CellContext`maxy12$$], -0.054}}, {{
       Hold[$CellContext`miny13$$], -1.836}}, {{
       Hold[$CellContext`maxy13$$], -0.009}}, {{
       Hold[$CellContext`miny14$$], 0.058}}, {{
       Hold[$CellContext`maxy14$$], 12}}, {{
       Hold[$CellContext`miny15$$], 0.1}}, {{
       Hold[$CellContext`maxy15$$], 20}}, {{
       Hold[$CellContext`miny16$$], -22}}, {{
       Hold[$CellContext`maxy16$$], -0.108}}, {{
       Hold[$CellContext`miny17$$], -10}}, {{
       Hold[$CellContext`maxy17$$], -0.047}}, {{
       Hold[$CellContext`miny18$$], -1.158}}, {{
       Hold[$CellContext`maxy18$$], -0.005}}, {{
       Hold[$CellContext`miny19$$], 0.045}}, {{
       Hold[$CellContext`maxy19$$], 9}}, {{
       Hold[$CellContext`miny2$$], -11}}, {{
       Hold[$CellContext`maxy2$$], -0.052}}, {{
       Hold[$CellContext`miny20$$], 0.09}}, {{
       Hold[$CellContext`maxy20$$], 18}}, {{
       Hold[$CellContext`miny21$$], -21}}, {{
       Hold[$CellContext`maxy21$$], -0.102}}, {{
       Hold[$CellContext`miny22$$], -9}}, {{
       Hold[$CellContext`maxy22$$], -0.046}}, {{
       Hold[$CellContext`miny23$$], -0.8119463463299015}}, {{
       Hold[$CellContext`maxy23$$], 0.8119463463299015}}, {{
       Hold[$CellContext`miny24$$], 0.047}}, {{
       Hold[$CellContext`maxy24$$], 10}}, {{
       Hold[$CellContext`miny25$$], 0.098}}, {{
       Hold[$CellContext`maxy25$$], 20}}, {{
       Hold[$CellContext`miny3$$], -0.7490367184474334}}, {{
       Hold[$CellContext`maxy3$$], 0.7490367184474334}}, {{
       Hold[$CellContext`miny4$$], 0.056}}, {{
       Hold[$CellContext`maxy4$$], 11}}, {{
       Hold[$CellContext`miny5$$], 0.107}}, {{
       Hold[$CellContext`maxy5$$], 22}}, {{
       Hold[$CellContext`miny6$$], -18}}, {{
       Hold[$CellContext`maxy6$$], -0.092}}, {{
       Hold[$CellContext`miny7$$], -11}}, {{
       Hold[$CellContext`maxy7$$], -0.053}}, {{
       Hold[$CellContext`miny8$$], -1.255}}, {{
       Hold[$CellContext`maxy8$$], -0.006}}, {{
       Hold[$CellContext`miny9$$], 0.058}}, {{
       Hold[$CellContext`maxy9$$], 12}}, {
      Hold[
       Button[
       "Report", 
        Optica`Optica`$OpticalSystemSettings = {
          Optica`Optica`SymbolicValues -> 
           MapThread[
            ToExpression[#] -> #2& , {{
              "th", "x", "y", "x1", "x10", "x11", "x12", "x13", "x14", "x15", 
               "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", "x23", 
               "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "y1", 
               "y10", "y11", "y12", "y13", "y14", "y15", "y16", "y17", "y18", 
               "y19", "y2", "y20", "y21", "y22", "y23", "y24", "y25", "y3", 
               "y4", "y5", "y6", "y7", "y8", 
               "y9"}, {$CellContext`th$$, $CellContext`x$$, $CellContext`y$$, \
$CellContext`x1$$, $CellContext`x10$$, $CellContext`x11$$, \
$CellContext`x12$$, $CellContext`x13$$, $CellContext`x14$$, \
$CellContext`x15$$, $CellContext`x16$$, $CellContext`x17$$, \
$CellContext`x18$$, $CellContext`x19$$, $CellContext`x2$$, \
$CellContext`x20$$, $CellContext`x21$$, $CellContext`x22$$, \
$CellContext`x23$$, $CellContext`x24$$, $CellContext`x25$$, \
$CellContext`x3$$, $CellContext`x4$$, $CellContext`x5$$, $CellContext`x6$$, \
$CellContext`x7$$, $CellContext`x8$$, $CellContext`x9$$, $CellContext`y1$$, \
$CellContext`y10$$, $CellContext`y11$$, $CellContext`y12$$, \
$CellContext`y13$$, $CellContext`y14$$, $CellContext`y15$$, \
$CellContext`y16$$, $CellContext`y17$$, $CellContext`y18$$, \
$CellContext`y19$$, $CellContext`y2$$, $CellContext`y20$$, \
$CellContext`y21$$, $CellContext`y22$$, $CellContext`y23$$, \
$CellContext`y24$$, $CellContext`y25$$, $CellContext`y3$$, $CellContext`y4$$, \
$CellContext`y5$$, $CellContext`y6$$, $CellContext`y7$$, $CellContext`y8$$, \
$CellContext`y9$$}}], Optica`Optica`SymbolicRanges -> Map[ToExpression[
               Part[#, 1]] -> {
               Part[#, 2], 
               Part[#, 3]}& , 
             Select[
              
              Transpose[{{
                "th", "x", "y", "x1", "x10", "x11", "x12", "x13", "x14", 
                 "x15", "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22",
                  "x23", "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", 
                 "x9", "y1", "y10", "y11", "y12", "y13", "y14", "y15", "y16", 
                 "y17", "y18", "y19", "y2", "y20", "y21", "y22", "y23", "y24",
                  "y25", "y3", "y4", "y5", "y6", "y7", "y8", 
                 "y9"}, {$CellContext`minth$$, $CellContext`minx$$, \
$CellContext`miny$$, $CellContext`minx1$$, $CellContext`minx10$$, \
$CellContext`minx11$$, $CellContext`minx12$$, $CellContext`minx13$$, \
$CellContext`minx14$$, $CellContext`minx15$$, $CellContext`minx16$$, \
$CellContext`minx17$$, $CellContext`minx18$$, $CellContext`minx19$$, \
$CellContext`minx2$$, $CellContext`minx20$$, $CellContext`minx21$$, \
$CellContext`minx22$$, $CellContext`minx23$$, $CellContext`minx24$$, \
$CellContext`minx25$$, $CellContext`minx3$$, $CellContext`minx4$$, \
$CellContext`minx5$$, $CellContext`minx6$$, $CellContext`minx7$$, \
$CellContext`minx8$$, $CellContext`minx9$$, $CellContext`miny1$$, \
$CellContext`miny10$$, $CellContext`miny11$$, $CellContext`miny12$$, \
$CellContext`miny13$$, $CellContext`miny14$$, $CellContext`miny15$$, \
$CellContext`miny16$$, $CellContext`miny17$$, $CellContext`miny18$$, \
$CellContext`miny19$$, $CellContext`miny2$$, $CellContext`miny20$$, \
$CellContext`miny21$$, $CellContext`miny22$$, $CellContext`miny23$$, \
$CellContext`miny24$$, $CellContext`miny25$$, $CellContext`miny3$$, \
$CellContext`miny4$$, $CellContext`miny5$$, $CellContext`miny6$$, \
$CellContext`miny7$$, $CellContext`miny8$$, $CellContext`miny9$$}, \
{$CellContext`maxth$$, $CellContext`maxx$$, $CellContext`maxy$$, \
$CellContext`maxx1$$, $CellContext`maxx10$$, $CellContext`maxx11$$, \
$CellContext`maxx12$$, $CellContext`maxx13$$, $CellContext`maxx14$$, \
$CellContext`maxx15$$, $CellContext`maxx16$$, $CellContext`maxx17$$, \
$CellContext`maxx18$$, $CellContext`maxx19$$, $CellContext`maxx2$$, \
$CellContext`maxx20$$, $CellContext`maxx21$$, $CellContext`maxx22$$, \
$CellContext`maxx23$$, $CellContext`maxx24$$, $CellContext`maxx25$$, \
$CellContext`maxx3$$, $CellContext`maxx4$$, $CellContext`maxx5$$, \
$CellContext`maxx6$$, $CellContext`maxx7$$, $CellContext`maxx8$$, \
$CellContext`maxx9$$, $CellContext`maxy1$$, $CellContext`maxy10$$, \
$CellContext`maxy11$$, $CellContext`maxy12$$, $CellContext`maxy13$$, \
$CellContext`maxy14$$, $CellContext`maxy15$$, $CellContext`maxy16$$, \
$CellContext`maxy17$$, $CellContext`maxy18$$, $CellContext`maxy19$$, \
$CellContext`maxy2$$, $CellContext`maxy20$$, $CellContext`maxy21$$, \
$CellContext`maxy22$$, $CellContext`maxy23$$, $CellContext`maxy24$$, \
$CellContext`maxy25$$, $CellContext`maxy3$$, $CellContext`maxy4$$, \
$CellContext`maxy5$$, $CellContext`maxy6$$, $CellContext`maxy7$$, \
$CellContext`maxy8$$, $CellContext`maxy9$$}}], NumberQ[
               Part[#, 2]]& ]]}; 
        Optica`Optica`$OpticalSystemScript = 
         "{Move[SingleRay[], {{x, -14.}, {y, 0}}, {th, 0.}, SymbolicValues -> \
{th -> 0, x -> -14, y -> 0}], Resonate[{Move[BallLens[3, {FresnelReflections \
-> True}], {{x1, -9.076855764848366}, {y1, -9.287305236569473}}, \
SymbolicValues -> {x1 -> -9.076855764848366, y1 -> -9.287305236569473}], \
Move[BallLens[3, {FresnelReflections -> True}], {{x2, -10.394632147990418}, \
{y2, -5.269527835877297}}, SymbolicValues -> {x2 -> -10.394632147990418, y2 \
-> -5.269527835877297}], Move[BallLens[3, {FresnelReflections -> True}], \
{{x3, -10.899228888504425}, {y3, 0.07490367184474334}}, SymbolicValues -> {x3 \
-> -10.899228888504425, y3 -> 0.07490367184474334}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x4, -9.710913597198532}, {y4, \
5.636727305618463}}, SymbolicValues -> {x4 -> -9.710913597198532, y4 -> \
5.636727305618463}], Move[BallLens[3, {FresnelReflections -> True}], {{x5, \
-9.513475896008032}, {y5, 10.763869854080555}}, SymbolicValues -> {x5 -> \
-9.513475896008032, y5 -> 10.763869854080555}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x6, -5.40355882223856}, {y6, \
-9.234228337251183}}, SymbolicValues -> {x6 -> -5.40355882223856, y6 -> \
-9.234228337251183}], Move[BallLens[3, {FresnelReflections -> True}], {{x7, \
-4.6793517925951384}, {y7, -5.340331330555538}}, SymbolicValues -> {x7 -> \
-4.6793517925951384, y7 -> -5.340331330555538}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x8, -5.748713336972769}, {y8, \
-0.6277315589438477}}, SymbolicValues -> {x8 -> -5.748713336972769, y8 -> \
-0.6277315589438477}], Move[BallLens[3, {FresnelReflections -> True}], {{x9, \
-4.910571250185416}, {y9, 5.870057675832702}}, SymbolicValues -> {x9 -> \
-4.910571250185416, y9 -> 5.870057675832702}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x10, -5.173178216303013}, {y10, \
9.735947781279659}}, SymbolicValues -> {x10 -> -5.173178216303013, y10 -> \
9.735947781279659}], Move[BallLens[3, {FresnelReflections -> True}], {{x11, \
-0.7955110594074011}, {y11, -9.20556162661241}}, SymbolicValues -> {x11 -> \
-0.7955110594074011, y11 -> -9.20556162661241}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x12, -0.7478948293401275}, {y12, \
-5.446293109949963}}, SymbolicValues -> {x12 -> -0.7478948293401275, y12 -> \
-5.446293109949963}], Move[BallLens[3, {FresnelReflections -> True}], {{x13, \
-0.7186552945590348}, {y13, -0.9182563900429362}}, SymbolicValues -> {x13 -> \
-0.7186552945590348, y13 -> -0.9182563900429362}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x14, 0.6467373186502905}, {y14, \
5.823234725927334}}, SymbolicValues -> {x14 -> 0.6467373186502905, y14 -> \
5.823234725927334}], Move[BallLens[3, {FresnelReflections -> True}], {{x15, \
-0.8194264060546097}, {y15, 10.00683993811232}}, SymbolicValues -> {x15 -> \
-0.8194264060546097, y15 -> 10.00683993811232}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x16, 4.357650915848823}, {y16, \
-10.813492579691129}}, SymbolicValues -> {x16 -> 4.357650915848823, y16 -> \
-10.813492579691129}], Move[BallLens[3, {FresnelReflections -> True}], {{x17, \
4.6940494899534215}, {y17, -4.757029915968235}}, SymbolicValues -> {x17 -> \
4.6940494899534215, y17 -> -4.757029915968235}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x18, 5.761209738087384}, {y18, \
-0.5792642424399462}}, SymbolicValues -> {x18 -> 5.761209738087384, y18 -> \
-0.5792642424399462}], Move[BallLens[3, {FresnelReflections -> True}], {{x19, \
5.37340128254856}, {y19, 4.583301414587303}}, SymbolicValues -> {x19 -> \
5.37340128254856, y19 -> 4.583301414587303}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x20, 5.509923075060153}, {y20, \
9.048467316503901}}, SymbolicValues -> {x20 -> 5.509923075060153, y20 -> \
9.048467316503901}], Move[BallLens[3, {FresnelReflections -> True}], {{x21, \
9.283972532733976}, {y21, -10.286756261245399}}, SymbolicValues -> {x21 -> \
9.283972532733976, y21 -> -10.286756261245399}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x22, 9.683101291363167}, {y22, \
-4.687480464775758}}, SymbolicValues -> {x22 -> 9.683101291363167, y22 -> \
-4.687480464775758}], Move[BallLens[3, {FresnelReflections -> True}], {{x23, \
9.079483592141377}, {y23, -0.08119463463299015}}, SymbolicValues -> {x23 -> \
9.079483592141377, y23 -> -0.08119463463299015}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x24, 9.430996120703295}, {y24, \
4.758812645174205}}, SymbolicValues -> {x24 -> 9.430996120703295, y24 -> \
4.758812645174205}], Move[BallLens[3, {FresnelReflections -> True}], {{x25, \
10.798138886700412}, {y25, 9.837061755409946}}, SymbolicValues -> {x25 -> \
10.798138886700412, y25 -> 9.837061755409946}]}], Move[Boundary[{0, -15, \
-15}, {30, 15, 15}], -15.]}"; Print[
          InputForm[
           StringJoin["{SymbolicValues -> ", 
            ToString[
             MapThread[StringJoin[#, "->", 
               ToString[#2, InputForm]]& , {{
               "th", "x", "y", "x1", "x10", "x11", "x12", "x13", "x14", "x15",
                 "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", "x23",
                 "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "y1",
                 "y10", "y11", "y12", "y13", "y14", "y15", "y16", "y17", 
                "y18", "y19", "y2", "y20", "y21", "y22", "y23", "y24", "y25", 
                "y3", "y4", "y5", "y6", "y7", "y8", 
                "y9"}, {$CellContext`th$$, $CellContext`x$$, \
$CellContext`y$$, $CellContext`x1$$, $CellContext`x10$$, $CellContext`x11$$, \
$CellContext`x12$$, $CellContext`x13$$, $CellContext`x14$$, \
$CellContext`x15$$, $CellContext`x16$$, $CellContext`x17$$, \
$CellContext`x18$$, $CellContext`x19$$, $CellContext`x2$$, \
$CellContext`x20$$, $CellContext`x21$$, $CellContext`x22$$, \
$CellContext`x23$$, $CellContext`x24$$, $CellContext`x25$$, \
$CellContext`x3$$, $CellContext`x4$$, $CellContext`x5$$, $CellContext`x6$$, \
$CellContext`x7$$, $CellContext`x8$$, $CellContext`x9$$, $CellContext`y1$$, \
$CellContext`y10$$, $CellContext`y11$$, $CellContext`y12$$, \
$CellContext`y13$$, $CellContext`y14$$, $CellContext`y15$$, \
$CellContext`y16$$, $CellContext`y17$$, $CellContext`y18$$, \
$CellContext`y19$$, $CellContext`y2$$, $CellContext`y20$$, \
$CellContext`y21$$, $CellContext`y22$$, $CellContext`y23$$, \
$CellContext`y24$$, $CellContext`y25$$, $CellContext`y3$$, $CellContext`y4$$, \
$CellContext`y5$$, $CellContext`y6$$, $CellContext`y7$$, $CellContext`y8$$, \
$CellContext`y9$$}}]], ", SymbolicRanges -> ", 
            ToString[
             Map[StringJoin[
               Part[#, 1], "->", 
               ToString[{
                 Part[#, 2], 
                 Part[#, 3]}, InputForm]]& , 
              Select[
               
               Transpose[{{
                 "th", "x", "y", "x1", "x10", "x11", "x12", "x13", "x14", 
                  "x15", "x16", "x17", "x18", "x19", "x2", "x20", "x21", 
                  "x22", "x23", "x24", "x25", "x3", "x4", "x5", "x6", "x7", 
                  "x8", "x9", "y1", "y10", "y11", "y12", "y13", "y14", "y15", 
                  "y16", "y17", "y18", "y19", "y2", "y20", "y21", "y22", 
                  "y23", "y24", "y25", "y3", "y4", "y5", "y6", "y7", "y8", 
                  "y9"}, {$CellContext`minth$$, $CellContext`minx$$, \
$CellContext`miny$$, $CellContext`minx1$$, $CellContext`minx10$$, \
$CellContext`minx11$$, $CellContext`minx12$$, $CellContext`minx13$$, \
$CellContext`minx14$$, $CellContext`minx15$$, $CellContext`minx16$$, \
$CellContext`minx17$$, $CellContext`minx18$$, $CellContext`minx19$$, \
$CellContext`minx2$$, $CellContext`minx20$$, $CellContext`minx21$$, \
$CellContext`minx22$$, $CellContext`minx23$$, $CellContext`minx24$$, \
$CellContext`minx25$$, $CellContext`minx3$$, $CellContext`minx4$$, \
$CellContext`minx5$$, $CellContext`minx6$$, $CellContext`minx7$$, \
$CellContext`minx8$$, $CellContext`minx9$$, $CellContext`miny1$$, \
$CellContext`miny10$$, $CellContext`miny11$$, $CellContext`miny12$$, \
$CellContext`miny13$$, $CellContext`miny14$$, $CellContext`miny15$$, \
$CellContext`miny16$$, $CellContext`miny17$$, $CellContext`miny18$$, \
$CellContext`miny19$$, $CellContext`miny2$$, $CellContext`miny20$$, \
$CellContext`miny21$$, $CellContext`miny22$$, $CellContext`miny23$$, \
$CellContext`miny24$$, $CellContext`miny25$$, $CellContext`miny3$$, \
$CellContext`miny4$$, $CellContext`miny5$$, $CellContext`miny6$$, \
$CellContext`miny7$$, $CellContext`miny8$$, $CellContext`miny9$$}, \
{$CellContext`maxth$$, $CellContext`maxx$$, $CellContext`maxy$$, \
$CellContext`maxx1$$, $CellContext`maxx10$$, $CellContext`maxx11$$, \
$CellContext`maxx12$$, $CellContext`maxx13$$, $CellContext`maxx14$$, \
$CellContext`maxx15$$, $CellContext`maxx16$$, $CellContext`maxx17$$, \
$CellContext`maxx18$$, $CellContext`maxx19$$, $CellContext`maxx2$$, \
$CellContext`maxx20$$, $CellContext`maxx21$$, $CellContext`maxx22$$, \
$CellContext`maxx23$$, $CellContext`maxx24$$, $CellContext`maxx25$$, \
$CellContext`maxx3$$, $CellContext`maxx4$$, $CellContext`maxx5$$, \
$CellContext`maxx6$$, $CellContext`maxx7$$, $CellContext`maxx8$$, \
$CellContext`maxx9$$, $CellContext`maxy1$$, $CellContext`maxy10$$, \
$CellContext`maxy11$$, $CellContext`maxy12$$, $CellContext`maxy13$$, \
$CellContext`maxy14$$, $CellContext`maxy15$$, $CellContext`maxy16$$, \
$CellContext`maxy17$$, $CellContext`maxy18$$, $CellContext`maxy19$$, \
$CellContext`maxy2$$, $CellContext`maxy20$$, $CellContext`maxy21$$, \
$CellContext`maxy22$$, $CellContext`maxy23$$, $CellContext`maxy24$$, \
$CellContext`maxy25$$, $CellContext`maxy3$$, $CellContext`maxy4$$, \
$CellContext`maxy5$$, $CellContext`maxy6$$, $CellContext`maxy7$$, \
$CellContext`maxy8$$, $CellContext`maxy9$$}}], NumberQ[
                Part[#, 2]]& ]]], "}"]]], ImageSize -> Automatic]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xth$$], -13.25}}, {{
       Hold[$CellContext`yth$$], 0.}}, {{
       Hold[$CellContext`radiusth$$], 0.75}}, {{
       Hold[$CellContext`xoffth$$], 0.75}}, {{
       Hold[$CellContext`yoffth$$], 0.}}, {{
       Hold[$CellContext`laststartposth$$], {-14., 0.}}}, {{
       Hold[$CellContext`lastlocposth$$], {-13.25, 0.}}}, {{
       Hold[$CellContext`lastth$$], 0}}, {{
       Hold[$CellContext`staticpolygons111889820147194645760311$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons121889820147194645783627$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons131889820147194645811363$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons141889820147194645834335$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons151889820147194645857567$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons161889820147194645883218$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons171889820147194645906591$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons181889820147194645929713$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons191889820147194645952925$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons201889820147194645975859$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons211889820147194646000826$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons221889820147194646024359$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons231889820147194646048190$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons241889820147194646073902$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons251889820147194646097611$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons261889820147194646121439$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons271889820147194646144626$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons281889820147194646168427$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons291889820147194646191789$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons301889820147194646217195$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons311889820147194646240595$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons321889820147194646264452$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons331889820147194646287948$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
         "]]}}}, {{
       Hold[$CellContext`staticpolygons341889820147194646312151$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons351889820147194646336188$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons361889820147194646338404$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAE9Bxz0AQJ8QvQBImlC9lFbH7n+wMUnVZxY
f+AyBxeNoQ8AtlgqAg==
         "]]}}}}, Typeset`size$$ = {
    600., {311.84375, 317.15625}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`th$658817$$ = 
    0, $CellContext`x$658818$$ = 0, $CellContext`y$658819$$ = 
    0, $CellContext`x1$658820$$ = 0, $CellContext`x10$658821$$ = 
    0, $CellContext`x11$658822$$ = 0, $CellContext`x12$658823$$ = 
    0, $CellContext`x13$658824$$ = 0, $CellContext`x14$658825$$ = 
    0, $CellContext`x15$658826$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`lastlocposth$$ = {-13.25, 
         0.}, $CellContext`laststartposth$$ = {-14., 
         0.}, $CellContext`lastth$$ = 0, $CellContext`maxth$$ = 
        180., $CellContext`maxx$$ = -0.14, $CellContext`maxx1$$ = -0.09, \
$CellContext`maxx10$$ = -0.051, $CellContext`maxx11$$ = -0.007, \
$CellContext`maxx12$$ = -0.007, $CellContext`maxx13$$ = -0.007, \
$CellContext`maxx14$$ = 
        0.9701059779754357, $CellContext`maxx15$$ = -0.008, \
$CellContext`maxx16$$ = 9, $CellContext`maxx17$$ = 9, $CellContext`maxx18$$ = 
        12, $CellContext`maxx19$$ = 
        11, $CellContext`maxx2$$ = -0.103, $CellContext`maxx20$$ = 
        11, $CellContext`maxx21$$ = 19, $CellContext`maxx22$$ = 
        19, $CellContext`maxx23$$ = 18, $CellContext`maxx24$$ = 
        19, $CellContext`maxx25$$ = 
        22, $CellContext`maxx3$$ = -0.108, $CellContext`maxx4$$ = -0.097, \
$CellContext`maxx5$$ = -0.095, $CellContext`maxx6$$ = -0.054, \
$CellContext`maxx7$$ = -0.046, $CellContext`maxx8$$ = -0.057, \
$CellContext`maxx9$$ = -0.049, $CellContext`maxy$$ = 
        10, $CellContext`maxy1$$ = -0.092, $CellContext`maxy10$$ = 
        19, $CellContext`maxy11$$ = -0.092, $CellContext`maxy12$$ = -0.054, \
$CellContext`maxy13$$ = -0.009, $CellContext`maxy14$$ = 
        12, $CellContext`maxy15$$ = 
        20, $CellContext`maxy16$$ = -0.108, $CellContext`maxy17$$ = -0.047, \
$CellContext`maxy18$$ = -0.005, $CellContext`maxy19$$ = 
        9, $CellContext`maxy2$$ = -0.052, $CellContext`maxy20$$ = 
        18, $CellContext`maxy21$$ = -0.102, $CellContext`maxy22$$ = -0.046, \
$CellContext`maxy23$$ = 0.8119463463299015, $CellContext`maxy24$$ = 
        10, $CellContext`maxy25$$ = 20, $CellContext`maxy3$$ = 
        0.7490367184474334, $CellContext`maxy4$$ = 11, $CellContext`maxy5$$ = 
        22, $CellContext`maxy6$$ = -0.092, $CellContext`maxy7$$ = -0.053, \
$CellContext`maxy8$$ = -0.006, $CellContext`maxy9$$ = 
        12, $CellContext`minth$$ = -180., $CellContext`minx$$ = -28, \
$CellContext`minx1$$ = -18, $CellContext`minx10$$ = -10, \
$CellContext`minx11$$ = -1.591, $CellContext`minx12$$ = -1.495, \
$CellContext`minx13$$ = -1.437, $CellContext`minx14$$ = 
        0.1, $CellContext`minx15$$ = -1.638, $CellContext`minx16$$ = 
        0.043, $CellContext`minx17$$ = 0.046, $CellContext`minx18$$ = 
        0.057, $CellContext`minx19$$ = 
        0.053, $CellContext`minx2$$ = -21, $CellContext`minx20$$ = 
        0.055, $CellContext`minx21$$ = 0.092, $CellContext`minx22$$ = 
        0.096, $CellContext`minx23$$ = 0.09, $CellContext`minx24$$ = 
        0.094, $CellContext`minx25$$ = 
        0.107, $CellContext`minx3$$ = -22, $CellContext`minx4$$ = -19, \
$CellContext`minx5$$ = -19, $CellContext`minx6$$ = -11, $CellContext`minx7$$ = \
-9, $CellContext`minx8$$ = -11, $CellContext`minx9$$ = -10, \
$CellContext`miny$$ = -10, $CellContext`miny1$$ = -19, $CellContext`miny10$$ = 
        0.097, $CellContext`miny11$$ = -18, $CellContext`miny12$$ = -11, \
$CellContext`miny13$$ = -1.836, $CellContext`miny14$$ = 
        0.058, $CellContext`miny15$$ = 
        0.1, $CellContext`miny16$$ = -22, $CellContext`miny17$$ = -10, \
$CellContext`miny18$$ = -1.158, $CellContext`miny19$$ = 
        0.045, $CellContext`miny2$$ = -11, $CellContext`miny20$$ = 
        0.09, $CellContext`miny21$$ = -21, $CellContext`miny22$$ = -9, \
$CellContext`miny23$$ = -0.8119463463299015, $CellContext`miny24$$ = 
        0.047, $CellContext`miny25$$ = 
        0.098, $CellContext`miny3$$ = -0.7490367184474334, \
$CellContext`miny4$$ = 0.056, $CellContext`miny5$$ = 
        0.107, $CellContext`miny6$$ = -18, $CellContext`miny7$$ = -11, \
$CellContext`miny8$$ = -1.255, $CellContext`miny9$$ = 
        0.058, $CellContext`radiusth$$ = 
        0.75, $CellContext`staticpolygons111889820147194645760311$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons121889820147194645783627$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons131889820147194645811363$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons141889820147194645834335$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons151889820147194645857567$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons161889820147194645883218$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons171889820147194645906591$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons181889820147194645929713$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons191889820147194645952925$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons201889820147194645975859$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons211889820147194646000826$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons221889820147194646024359$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons231889820147194646048190$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons241889820147194646073902$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons251889820147194646097611$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
           
           "]]}, $CellContext`staticpolygons261889820147194646121439$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons271889820147194646144626$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons281889820147194646168427$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons291889820147194646191789$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
           
           "]]}, $CellContext`staticpolygons301889820147194646217195$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons311889820147194646240595$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons321889820147194646264452$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons331889820147194646287948$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons341889820147194646312151$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons351889820147194646336188$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons361889820147194646338404$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAE9Bxz0AQJ8QvQBImlC9lFbH7n+wMUnVZxY
f+AyBxeNoQ8AtlgqAg==
           "]]}, $CellContext`th$$ = 
        0., $CellContext`x$$ = -14., $CellContext`x1$$ = -9.076855764848366, \
$CellContext`x10$$ = -5.173178216303013, $CellContext`x11$$ = \
-0.7955110594074011, $CellContext`x12$$ = -0.7478948293401275, \
$CellContext`x13$$ = -0.7186552945590348, $CellContext`x14$$ = 
        0.6467373186502905, $CellContext`x15$$ = -0.8194264060546097, \
$CellContext`x16$$ = 4.357650915848823, $CellContext`x17$$ = 
        4.6940494899534215`, $CellContext`x18$$ = 
        5.761209738087384, $CellContext`x19$$ = 
        5.37340128254856, $CellContext`x2$$ = -10.394632147990418`, \
$CellContext`x20$$ = 5.509923075060153, $CellContext`x21$$ = 
        9.283972532733976, $CellContext`x22$$ = 
        9.683101291363167, $CellContext`x23$$ = 
        9.079483592141377, $CellContext`x24$$ = 
        9.430996120703295, $CellContext`x25$$ = 
        10.798138886700412`, $CellContext`x3$$ = -10.899228888504425`, \
$CellContext`x4$$ = -9.710913597198532, $CellContext`x5$$ = \
-9.513475896008032, $CellContext`x6$$ = -5.40355882223856, $CellContext`x7$$ = \
-4.6793517925951384`, $CellContext`x8$$ = -5.748713336972769, \
$CellContext`x9$$ = -4.910571250185416, $CellContext`xoffth$$ = 
        0.75, $CellContext`xth$$ = -13.25, $CellContext`y$$ = 
        0., $CellContext`y1$$ = -9.287305236569473, $CellContext`y10$$ = 
        9.735947781279659, $CellContext`y11$$ = -9.20556162661241, \
$CellContext`y12$$ = -5.446293109949963, $CellContext`y13$$ = \
-0.9182563900429362, $CellContext`y14$$ = 
        5.823234725927334, $CellContext`y15$$ = 
        10.00683993811232, $CellContext`y16$$ = -10.813492579691129`, \
$CellContext`y17$$ = -4.757029915968235, $CellContext`y18$$ = \
-0.5792642424399462, $CellContext`y19$$ = 
        4.583301414587303, $CellContext`y2$$ = -5.269527835877297, \
$CellContext`y20$$ = 
        9.048467316503901, $CellContext`y21$$ = -10.286756261245399`, \
$CellContext`y22$$ = -4.687480464775758, $CellContext`y23$$ = \
-0.08119463463299015, $CellContext`y24$$ = 
        4.758812645174205, $CellContext`y25$$ = 
        9.837061755409946, $CellContext`y3$$ = 
        0.07490367184474334, $CellContext`y4$$ = 
        5.636727305618463, $CellContext`y5$$ = 
        10.763869854080555`, $CellContext`y6$$ = -9.234228337251183, \
$CellContext`y7$$ = -5.340331330555538, $CellContext`y8$$ = \
-0.6277315589438477, $CellContext`y9$$ = 
        5.870057675832702, $CellContext`yoffth$$ = 0., $CellContext`yth$$ = 
        0.}, "ControllerVariables" :> {
        Hold[$CellContext`th$$, $CellContext`th$658817$$, 0], 
        Hold[$CellContext`x$$, $CellContext`x$658818$$, 0], 
        Hold[$CellContext`y$$, $CellContext`y$658819$$, 0], 
        Hold[$CellContext`x1$$, $CellContext`x1$658820$$, 0], 
        Hold[$CellContext`x10$$, $CellContext`x10$658821$$, 0], 
        Hold[$CellContext`x11$$, $CellContext`x11$658822$$, 0], 
        Hold[$CellContext`x12$$, $CellContext`x12$658823$$, 0], 
        Hold[$CellContext`x13$$, $CellContext`x13$658824$$, 0], 
        Hold[$CellContext`x14$$, $CellContext`x14$658825$$, 0], 
        Hold[$CellContext`x15$$, $CellContext`x15$658826$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Show[{
           Graphics[{{
              Opacity[0.8], 
              
              GeometricTransformation[$CellContext`\
staticpolygons111889820147194645760311$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x1$$, $CellContext`y1$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons121889820147194645783627$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x2$$, $CellContext`y2$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons131889820147194645811363$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x3$$, $CellContext`y3$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons141889820147194645834335$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x4$$, $CellContext`y4$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons151889820147194645857567$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x5$$, $CellContext`y5$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons161889820147194645883218$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x6$$, $CellContext`y6$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons171889820147194645906591$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x7$$, $CellContext`y7$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons181889820147194645929713$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x8$$, $CellContext`y8$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons191889820147194645952925$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x9$$, $CellContext`y9$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons201889820147194645975859$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x10$$, $CellContext`y10$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons211889820147194646000826$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x11$$, $CellContext`y11$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons221889820147194646024359$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x12$$, $CellContext`y12$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons231889820147194646048190$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x13$$, $CellContext`y13$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons241889820147194646073902$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x14$$, $CellContext`y14$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons251889820147194646097611$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x15$$, $CellContext`y15$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons261889820147194646121439$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x16$$, $CellContext`y16$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons271889820147194646144626$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x17$$, $CellContext`y17$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons281889820147194646168427$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x18$$, $CellContext`y18$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons291889820147194646191789$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x19$$, $CellContext`y19$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons301889820147194646217195$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x20$$, $CellContext`y20$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons311889820147194646240595$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x21$$, $CellContext`y21$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons321889820147194646264452$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x22$$, $CellContext`y22$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons331889820147194646287948$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x23$$, $CellContext`y23$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons341889820147194646312151$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x24$$, $CellContext`y24$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons351889820147194646336188$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x25$$, $CellContext`y25$$}}]], \
$CellContext`staticpolygons361889820147194646338404$$, 
              Opacity[1], 
              RGBColor[
              0.038747429704798886`, 0.9161617552424038, 
               0.039847212269181365`], 
              AbsoluteThickness[Medium], 
              Line[
               Dynamic[
                Refresh[
                 Map[{
                   Part[#, {1, 2}], 
                   Part[#, {4, 5}]}& , 
                  Select[
                   $CellContext`raytracefunction11889820147194646571316[$\
CellContext`th$$, $CellContext`x$$, $CellContext`y$$, $CellContext`x1$$, \
$CellContext`x10$$, $CellContext`x11$$, $CellContext`x12$$, \
$CellContext`x13$$, $CellContext`x14$$, $CellContext`x15$$, \
$CellContext`x16$$, $CellContext`x17$$, $CellContext`x18$$, \
$CellContext`x19$$, $CellContext`x2$$, $CellContext`x20$$, \
$CellContext`x21$$, $CellContext`x22$$, $CellContext`x23$$, \
$CellContext`x24$$, $CellContext`x25$$, $CellContext`x3$$, $CellContext`x4$$, \
$CellContext`x5$$, $CellContext`x6$$, $CellContext`x7$$, $CellContext`x8$$, \
$CellContext`x9$$, $CellContext`y1$$, $CellContext`y10$$, $CellContext`y11$$, \
$CellContext`y12$$, $CellContext`y13$$, $CellContext`y14$$, \
$CellContext`y15$$, $CellContext`y16$$, $CellContext`y17$$, \
$CellContext`y18$$, $CellContext`y19$$, $CellContext`y2$$, \
$CellContext`y20$$, $CellContext`y21$$, $CellContext`y22$$, \
$CellContext`y23$$, $CellContext`y24$$, $CellContext`y25$$, \
$CellContext`y3$$, $CellContext`y4$$, $CellContext`y5$$, $CellContext`y6$$, \
$CellContext`y7$$, $CellContext`y8$$, $CellContext`y9$$], And[
                   Length[#] == 6, Part[#, 1] > -9.87654321*^8]& ]], 
                 TrackedSymbols :> {$CellContext`th$$, $CellContext`x$$, \
$CellContext`y$$, $CellContext`x1$$, $CellContext`x10$$, $CellContext`x11$$, \
$CellContext`x12$$, $CellContext`x13$$, $CellContext`x14$$, \
$CellContext`x15$$, $CellContext`x16$$, $CellContext`x17$$, \
$CellContext`x18$$, $CellContext`x19$$, $CellContext`x2$$, \
$CellContext`x20$$, $CellContext`x21$$, $CellContext`x22$$, \
$CellContext`x23$$, $CellContext`x24$$, $CellContext`x25$$, \
$CellContext`x3$$, $CellContext`x4$$, $CellContext`x5$$, $CellContext`x6$$, \
$CellContext`x7$$, $CellContext`x8$$, $CellContext`x9$$, $CellContext`y1$$, \
$CellContext`y10$$, $CellContext`y11$$, $CellContext`y12$$, \
$CellContext`y13$$, $CellContext`y14$$, $CellContext`y15$$, \
$CellContext`y16$$, $CellContext`y17$$, $CellContext`y18$$, \
$CellContext`y19$$, $CellContext`y2$$, $CellContext`y20$$, \
$CellContext`y21$$, $CellContext`y22$$, $CellContext`y23$$, \
$CellContext`y24$$, $CellContext`y25$$, $CellContext`y3$$, $CellContext`y4$$, \
$CellContext`y5$$, $CellContext`y6$$, $CellContext`y7$$, $CellContext`y8$$, \
$CellContext`y9$$}], SynchronousUpdating -> False]], 
              Arrowheads[Large], 
              Thickness[Large], 
              Dashing[{Small, Small}], 
              RGBColor[1, 1, 0], 
              Arrow[
               Dynamic[If[
                  
                  Or[$CellContext`laststartposth$$ != {$CellContext`x$$, \
$CellContext`y$$}, $CellContext`lastth$$ =!= $CellContext`th$$], \
$CellContext`laststartposth$$ = {$CellContext`x$$, $CellContext`y$$}; \
$CellContext`lastth$$ = $CellContext`th$$; {$CellContext`xth$$, \
$CellContext`yth$$} = $CellContext`laststartposth$$ + $CellContext`radiusth$$ {
                    Cos[$CellContext`th$$ Degree], 
                    
                    Sin[$CellContext`th$$ 
                    Degree]}]; {$CellContext`laststartposth$$, \
{$CellContext`xth$$, $CellContext`yth$$}}, ({$CellContext`laststartposth$$, \
{$CellContext`xth$$, $CellContext`yth$$}} = #)& ]], 
              Tooltip[
               Locator[
                Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`xth$$, $CellContext`yth$$} != \
$CellContext`lastlocposth$$, $CellContext`lastth$$ != $CellContext`th$$], \
$CellContext`lastlocposth$$ = {$CellContext`xth$$, $CellContext`yth$$}; \
$CellContext`lastth$$ = $CellContext`th$$; {$CellContext`xth$$, \
$CellContext`yth$$} = $CellContext`laststartposth$$ + $CellContext`radiusth$$ {
                    Cos[$CellContext`th$$ Degree], 
                    
                    Sin[$CellContext`th$$ 
                    Degree]}]; {$CellContext`xth$$, $CellContext`yth$$}), \
({$CellContext`xth$$, $CellContext`yth$$} = #; $CellContext`xoffth$$ = \
$CellContext`xth$$ - $CellContext`x$$; $CellContext`yoffth$$ = \
$CellContext`yth$$ - $CellContext`y$$; $CellContext`radiusth$$ = 
                  Sqrt[$CellContext`xoffth$$^2 + $CellContext`yoffth$$^2]; \
$CellContext`th$$ = Chop[
                   ArcTan[$CellContext`xoffth$$, $CellContext`yoffth$$]/
                    Degree]; {$CellContext`xth$$, $CellContext`yth$$})& ], 
                Graphics[{
                  RGBColor[1/3, 1/3, 1], 
                  Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["th = ", 
                 ToString[$CellContext`th$$]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x$$, $CellContext`y$$}, \
({$CellContext`x$$, $CellContext`y$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x, y} = ", 
                 ToString[
                  Chop[{$CellContext`x$$, $CellContext`y$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x1$$, $CellContext`y1$$}, \
({$CellContext`x1$$, $CellContext`y1$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x1, y1} = ", 
                 ToString[
                  Chop[{$CellContext`x1$$, $CellContext`y1$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x2$$, $CellContext`y2$$}, \
({$CellContext`x2$$, $CellContext`y2$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x2, y2} = ", 
                 ToString[
                  Chop[{$CellContext`x2$$, $CellContext`y2$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x3$$, $CellContext`y3$$}, \
({$CellContext`x3$$, $CellContext`y3$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x3, y3} = ", 
                 ToString[
                  Chop[{$CellContext`x3$$, $CellContext`y3$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x4$$, $CellContext`y4$$}, \
({$CellContext`x4$$, $CellContext`y4$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x4, y4} = ", 
                 ToString[
                  Chop[{$CellContext`x4$$, $CellContext`y4$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x5$$, $CellContext`y5$$}, \
({$CellContext`x5$$, $CellContext`y5$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x5, y5} = ", 
                 ToString[
                  Chop[{$CellContext`x5$$, $CellContext`y5$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x6$$, $CellContext`y6$$}, \
({$CellContext`x6$$, $CellContext`y6$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x6, y6} = ", 
                 ToString[
                  Chop[{$CellContext`x6$$, $CellContext`y6$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x7$$, $CellContext`y7$$}, \
({$CellContext`x7$$, $CellContext`y7$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x7, y7} = ", 
                 ToString[
                  Chop[{$CellContext`x7$$, $CellContext`y7$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x8$$, $CellContext`y8$$}, \
({$CellContext`x8$$, $CellContext`y8$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x8, y8} = ", 
                 ToString[
                  Chop[{$CellContext`x8$$, $CellContext`y8$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x9$$, $CellContext`y9$$}, \
({$CellContext`x9$$, $CellContext`y9$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x9, y9} = ", 
                 ToString[
                  Chop[{$CellContext`x9$$, $CellContext`y9$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x10$$, $CellContext`y10$$}, \
({$CellContext`x10$$, $CellContext`y10$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x10, y10} = ", 
                 ToString[
                  Chop[{$CellContext`x10$$, $CellContext`y10$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x11$$, $CellContext`y11$$}, \
({$CellContext`x11$$, $CellContext`y11$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x11, y11} = ", 
                 ToString[
                  Chop[{$CellContext`x11$$, $CellContext`y11$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x12$$, $CellContext`y12$$}, \
({$CellContext`x12$$, $CellContext`y12$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x12, y12} = ", 
                 ToString[
                  Chop[{$CellContext`x12$$, $CellContext`y12$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x13$$, $CellContext`y13$$}, \
({$CellContext`x13$$, $CellContext`y13$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x13, y13} = ", 
                 ToString[
                  Chop[{$CellContext`x13$$, $CellContext`y13$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x14$$, $CellContext`y14$$}, \
({$CellContext`x14$$, $CellContext`y14$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x14, y14} = ", 
                 ToString[
                  Chop[{$CellContext`x14$$, $CellContext`y14$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x15$$, $CellContext`y15$$}, \
({$CellContext`x15$$, $CellContext`y15$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x15, y15} = ", 
                 ToString[
                  Chop[{$CellContext`x15$$, $CellContext`y15$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x16$$, $CellContext`y16$$}, \
({$CellContext`x16$$, $CellContext`y16$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x16, y16} = ", 
                 ToString[
                  Chop[{$CellContext`x16$$, $CellContext`y16$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x17$$, $CellContext`y17$$}, \
({$CellContext`x17$$, $CellContext`y17$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x17, y17} = ", 
                 ToString[
                  Chop[{$CellContext`x17$$, $CellContext`y17$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x18$$, $CellContext`y18$$}, \
({$CellContext`x18$$, $CellContext`y18$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x18, y18} = ", 
                 ToString[
                  Chop[{$CellContext`x18$$, $CellContext`y18$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x19$$, $CellContext`y19$$}, \
({$CellContext`x19$$, $CellContext`y19$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x19, y19} = ", 
                 ToString[
                  Chop[{$CellContext`x19$$, $CellContext`y19$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x20$$, $CellContext`y20$$}, \
({$CellContext`x20$$, $CellContext`y20$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x20, y20} = ", 
                 ToString[
                  Chop[{$CellContext`x20$$, $CellContext`y20$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x21$$, $CellContext`y21$$}, \
({$CellContext`x21$$, $CellContext`y21$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x21, y21} = ", 
                 ToString[
                  Chop[{$CellContext`x21$$, $CellContext`y21$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x22$$, $CellContext`y22$$}, \
({$CellContext`x22$$, $CellContext`y22$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x22, y22} = ", 
                 ToString[
                  Chop[{$CellContext`x22$$, $CellContext`y22$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x23$$, $CellContext`y23$$}, \
({$CellContext`x23$$, $CellContext`y23$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x23, y23} = ", 
                 ToString[
                  Chop[{$CellContext`x23$$, $CellContext`y23$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x24$$, $CellContext`y24$$}, \
({$CellContext`x24$$, $CellContext`y24$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x24, y24} = ", 
                 ToString[
                  Chop[{$CellContext`x24$$, $CellContext`y24$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x25$$, $CellContext`y25$$}, \
({$CellContext`x25$$, $CellContext`y25$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x25, y25} = ", 
                 ToString[
                  Chop[{$CellContext`x25$$, $CellContext`y25$$}]]]]]}}]}, {
          PlotLabel -> "TopView", ImageSize -> 600, ImageSize -> 800, 
           AspectRatio -> Automatic}], 
         Tooltip[
          Row[{
            Style["", Italic, 10], 
            Hyperlink[
             Style["<< Crafted with Optica\[Trademark] >>", Italic, 10], 
             "http://www.opticasoftware.com"], 
            Style["", Italic, 10]}], 
          "Click here to visit www.opticasoftware.com"]}, Center], 
      "Specifications" :> {{{$CellContext`th$$, 0.}, -180., 180., ControlType -> 
         None}, {{$CellContext`x$$, -14.}, -28, -0.14, ControlType -> 
         None}, {{$CellContext`y$$, 0.}, -10, 10, ControlType -> 
         None}, {{$CellContext`x1$$, -9.076855764848366}, -18, -0.09, 
         ControlType -> 
         None}, {{$CellContext`x10$$, -5.173178216303013}, -10, -0.051, 
         ControlType -> 
         None}, {{$CellContext`x11$$, -0.7955110594074011}, -1.591, -0.007, 
         ControlType -> 
         None}, {{$CellContext`x12$$, -0.7478948293401275}, -1.495, -0.007, 
         ControlType -> 
         None}, {{$CellContext`x13$$, -0.7186552945590348}, -1.437, -0.007, 
         ControlType -> None}, {{$CellContext`x14$$, 0.6467373186502905}, 0.1,
          0.9701059779754357, ControlType -> 
         None}, {{$CellContext`x15$$, -0.8194264060546097}, -1.638, -0.008, 
         ControlType -> None}, {{$CellContext`x16$$, 4.357650915848823}, 
         0.043, 9, ControlType -> 
         None}, {{$CellContext`x17$$, 4.6940494899534215`}, 0.046, 9, 
         ControlType -> None}, {{$CellContext`x18$$, 5.761209738087384}, 
         0.057, 12, ControlType -> 
         None}, {{$CellContext`x19$$, 5.37340128254856}, 0.053, 11, 
         ControlType -> 
         None}, {{$CellContext`x2$$, -10.394632147990418`}, -21, -0.103, 
         ControlType -> None}, {{$CellContext`x20$$, 5.509923075060153}, 
         0.055, 11, ControlType -> 
         None}, {{$CellContext`x21$$, 9.283972532733976}, 0.092, 19, 
         ControlType -> None}, {{$CellContext`x22$$, 9.683101291363167}, 
         0.096, 19, ControlType -> 
         None}, {{$CellContext`x23$$, 9.079483592141377}, 0.09, 18, 
         ControlType -> None}, {{$CellContext`x24$$, 9.430996120703295}, 
         0.094, 19, ControlType -> 
         None}, {{$CellContext`x25$$, 10.798138886700412`}, 0.107, 22, 
         ControlType -> 
         None}, {{$CellContext`x3$$, -10.899228888504425`}, -22, -0.108, 
         ControlType -> 
         None}, {{$CellContext`x4$$, -9.710913597198532}, -19, -0.097, 
         ControlType -> 
         None}, {{$CellContext`x5$$, -9.513475896008032}, -19, -0.095, 
         ControlType -> 
         None}, {{$CellContext`x6$$, -5.40355882223856}, -11, -0.054, 
         ControlType -> 
         None}, {{$CellContext`x7$$, -4.6793517925951384`}, -9, -0.046, 
         ControlType -> 
         None}, {{$CellContext`x8$$, -5.748713336972769}, -11, -0.057, 
         ControlType -> 
         None}, {{$CellContext`x9$$, -4.910571250185416}, -10, -0.049, 
         ControlType -> 
         None}, {{$CellContext`y1$$, -9.287305236569473}, -19, -0.092, 
         ControlType -> None}, {{$CellContext`y10$$, 9.735947781279659}, 
         0.097, 19, ControlType -> 
         None}, {{$CellContext`y11$$, -9.20556162661241}, -18, -0.092, 
         ControlType -> 
         None}, {{$CellContext`y12$$, -5.446293109949963}, -11, -0.054, 
         ControlType -> 
         None}, {{$CellContext`y13$$, -0.9182563900429362}, -1.836, -0.009, 
         ControlType -> None}, {{$CellContext`y14$$, 5.823234725927334}, 
         0.058, 12, ControlType -> 
         None}, {{$CellContext`y15$$, 10.00683993811232}, 0.1, 20, 
         ControlType -> 
         None}, {{$CellContext`y16$$, -10.813492579691129`}, -22, -0.108, 
         ControlType -> 
         None}, {{$CellContext`y17$$, -4.757029915968235}, -10, -0.047, 
         ControlType -> 
         None}, {{$CellContext`y18$$, -0.5792642424399462}, -1.158, -0.005, 
         ControlType -> None}, {{$CellContext`y19$$, 4.583301414587303}, 
         0.045, 9, ControlType -> 
         None}, {{$CellContext`y2$$, -5.269527835877297}, -11, -0.052, 
         ControlType -> None}, {{$CellContext`y20$$, 9.048467316503901}, 0.09,
          18, ControlType -> 
         None}, {{$CellContext`y21$$, -10.286756261245399`}, -21, -0.102, 
         ControlType -> 
         None}, {{$CellContext`y22$$, -4.687480464775758}, -9, -0.046, 
         ControlType -> 
         None}, {{$CellContext`y23$$, -0.08119463463299015}, \
-0.8119463463299015, 0.8119463463299015, ControlType -> 
         None}, {{$CellContext`y24$$, 4.758812645174205}, 0.047, 10, 
         ControlType -> None}, {{$CellContext`y25$$, 9.837061755409946}, 
         0.098, 20, ControlType -> 
         None}, {{$CellContext`y3$$, 
          0.07490367184474334}, -0.7490367184474334, 0.7490367184474334, 
         ControlType -> None}, {{$CellContext`y4$$, 5.636727305618463}, 0.056,
          11, ControlType -> None}, {{$CellContext`y5$$, 10.763869854080555`},
          0.107, 22, ControlType -> 
         None}, {{$CellContext`y6$$, -9.234228337251183}, -18, -0.092, 
         ControlType -> 
         None}, {{$CellContext`y7$$, -5.340331330555538}, -11, -0.053, 
         ControlType -> 
         None}, {{$CellContext`y8$$, -0.6277315589438477}, -1.255, -0.006, 
         ControlType -> None}, {{$CellContext`y9$$, 5.870057675832702}, 0.058,
          12, ControlType -> None}, {{$CellContext`minth$$, -180.}, 
         ControlType -> None}, {{$CellContext`maxth$$, 180.}, ControlType -> 
         None}, {{$CellContext`minx$$, -28}, ControlType -> 
         None}, {{$CellContext`maxx$$, -0.14}, ControlType -> 
         None}, {{$CellContext`miny$$, -10}, ControlType -> 
         None}, {{$CellContext`maxy$$, 10}, ControlType -> 
         None}, {{$CellContext`minx1$$, -18}, ControlType -> 
         None}, {{$CellContext`maxx1$$, -0.09}, ControlType -> 
         None}, {{$CellContext`minx10$$, -10}, ControlType -> 
         None}, {{$CellContext`maxx10$$, -0.051}, ControlType -> 
         None}, {{$CellContext`minx11$$, -1.591}, ControlType -> 
         None}, {{$CellContext`maxx11$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx12$$, -1.495}, ControlType -> 
         None}, {{$CellContext`maxx12$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx13$$, -1.437}, ControlType -> 
         None}, {{$CellContext`maxx13$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx14$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxx14$$, 0.9701059779754357}, ControlType -> 
         None}, {{$CellContext`minx15$$, -1.638}, ControlType -> 
         None}, {{$CellContext`maxx15$$, -0.008}, ControlType -> 
         None}, {{$CellContext`minx16$$, 0.043}, ControlType -> 
         None}, {{$CellContext`maxx16$$, 9}, ControlType -> 
         None}, {{$CellContext`minx17$$, 0.046}, ControlType -> 
         None}, {{$CellContext`maxx17$$, 9}, ControlType -> 
         None}, {{$CellContext`minx18$$, 0.057}, ControlType -> 
         None}, {{$CellContext`maxx18$$, 12}, ControlType -> 
         None}, {{$CellContext`minx19$$, 0.053}, ControlType -> 
         None}, {{$CellContext`maxx19$$, 11}, ControlType -> 
         None}, {{$CellContext`minx2$$, -21}, ControlType -> 
         None}, {{$CellContext`maxx2$$, -0.103}, ControlType -> 
         None}, {{$CellContext`minx20$$, 0.055}, ControlType -> 
         None}, {{$CellContext`maxx20$$, 11}, ControlType -> 
         None}, {{$CellContext`minx21$$, 0.092}, ControlType -> 
         None}, {{$CellContext`maxx21$$, 19}, ControlType -> 
         None}, {{$CellContext`minx22$$, 0.096}, ControlType -> 
         None}, {{$CellContext`maxx22$$, 19}, ControlType -> 
         None}, {{$CellContext`minx23$$, 0.09}, ControlType -> 
         None}, {{$CellContext`maxx23$$, 18}, ControlType -> 
         None}, {{$CellContext`minx24$$, 0.094}, ControlType -> 
         None}, {{$CellContext`maxx24$$, 19}, ControlType -> 
         None}, {{$CellContext`minx25$$, 0.107}, ControlType -> 
         None}, {{$CellContext`maxx25$$, 22}, ControlType -> 
         None}, {{$CellContext`minx3$$, -22}, ControlType -> 
         None}, {{$CellContext`maxx3$$, -0.108}, ControlType -> 
         None}, {{$CellContext`minx4$$, -19}, ControlType -> 
         None}, {{$CellContext`maxx4$$, -0.097}, ControlType -> 
         None}, {{$CellContext`minx5$$, -19}, ControlType -> 
         None}, {{$CellContext`maxx5$$, -0.095}, ControlType -> 
         None}, {{$CellContext`minx6$$, -11}, ControlType -> 
         None}, {{$CellContext`maxx6$$, -0.054}, ControlType -> 
         None}, {{$CellContext`minx7$$, -9}, ControlType -> 
         None}, {{$CellContext`maxx7$$, -0.046}, ControlType -> 
         None}, {{$CellContext`minx8$$, -11}, ControlType -> 
         None}, {{$CellContext`maxx8$$, -0.057}, ControlType -> 
         None}, {{$CellContext`minx9$$, -10}, ControlType -> 
         None}, {{$CellContext`maxx9$$, -0.049}, ControlType -> 
         None}, {{$CellContext`miny1$$, -19}, ControlType -> 
         None}, {{$CellContext`maxy1$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny10$$, 0.097}, ControlType -> 
         None}, {{$CellContext`maxy10$$, 19}, ControlType -> 
         None}, {{$CellContext`miny11$$, -18}, ControlType -> 
         None}, {{$CellContext`maxy11$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny12$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy12$$, -0.054}, ControlType -> 
         None}, {{$CellContext`miny13$$, -1.836}, ControlType -> 
         None}, {{$CellContext`maxy13$$, -0.009}, ControlType -> 
         None}, {{$CellContext`miny14$$, 0.058}, ControlType -> 
         None}, {{$CellContext`maxy14$$, 12}, ControlType -> 
         None}, {{$CellContext`miny15$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxy15$$, 20}, ControlType -> 
         None}, {{$CellContext`miny16$$, -22}, ControlType -> 
         None}, {{$CellContext`maxy16$$, -0.108}, ControlType -> 
         None}, {{$CellContext`miny17$$, -10}, ControlType -> 
         None}, {{$CellContext`maxy17$$, -0.047}, ControlType -> 
         None}, {{$CellContext`miny18$$, -1.158}, ControlType -> 
         None}, {{$CellContext`maxy18$$, -0.005}, ControlType -> 
         None}, {{$CellContext`miny19$$, 0.045}, ControlType -> 
         None}, {{$CellContext`maxy19$$, 9}, ControlType -> 
         None}, {{$CellContext`miny2$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy2$$, -0.052}, ControlType -> 
         None}, {{$CellContext`miny20$$, 0.09}, ControlType -> 
         None}, {{$CellContext`maxy20$$, 18}, ControlType -> 
         None}, {{$CellContext`miny21$$, -21}, ControlType -> 
         None}, {{$CellContext`maxy21$$, -0.102}, ControlType -> 
         None}, {{$CellContext`miny22$$, -9}, ControlType -> 
         None}, {{$CellContext`maxy22$$, -0.046}, ControlType -> 
         None}, {{$CellContext`miny23$$, -0.8119463463299015}, ControlType -> 
         None}, {{$CellContext`maxy23$$, 0.8119463463299015}, ControlType -> 
         None}, {{$CellContext`miny24$$, 0.047}, ControlType -> 
         None}, {{$CellContext`maxy24$$, 10}, ControlType -> 
         None}, {{$CellContext`miny25$$, 0.098}, ControlType -> 
         None}, {{$CellContext`maxy25$$, 20}, ControlType -> 
         None}, {{$CellContext`miny3$$, -0.7490367184474334}, ControlType -> 
         None}, {{$CellContext`maxy3$$, 0.7490367184474334}, ControlType -> 
         None}, {{$CellContext`miny4$$, 0.056}, ControlType -> 
         None}, {{$CellContext`maxy4$$, 11}, ControlType -> 
         None}, {{$CellContext`miny5$$, 0.107}, ControlType -> 
         None}, {{$CellContext`maxy5$$, 22}, ControlType -> 
         None}, {{$CellContext`miny6$$, -18}, ControlType -> 
         None}, {{$CellContext`maxy6$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny7$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy7$$, -0.053}, ControlType -> 
         None}, {{$CellContext`miny8$$, -1.255}, ControlType -> 
         None}, {{$CellContext`maxy8$$, -0.006}, ControlType -> 
         None}, {{$CellContext`miny9$$, 0.058}, ControlType -> 
         None}, {{$CellContext`maxy9$$, 12}, ControlType -> 
         None}, {{$CellContext`minth$$, -180.}, ControlType -> 
         None}, {{$CellContext`maxth$$, 180.}, ControlType -> 
         None}, {{$CellContext`minx$$, -28}, ControlType -> 
         None}, {{$CellContext`maxx$$, -0.14}, ControlType -> 
         None}, {{$CellContext`miny$$, -10}, ControlType -> 
         None}, {{$CellContext`maxy$$, 10}, ControlType -> 
         None}, {{$CellContext`minx1$$, -18}, ControlType -> 
         None}, {{$CellContext`maxx1$$, -0.09}, ControlType -> 
         None}, {{$CellContext`minx10$$, -10}, ControlType -> 
         None}, {{$CellContext`maxx10$$, -0.051}, ControlType -> 
         None}, {{$CellContext`minx11$$, -1.591}, ControlType -> 
         None}, {{$CellContext`maxx11$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx12$$, -1.495}, ControlType -> 
         None}, {{$CellContext`maxx12$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx13$$, -1.437}, ControlType -> 
         None}, {{$CellContext`maxx13$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx14$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxx14$$, 0.9701059779754357}, ControlType -> 
         None}, {{$CellContext`minx15$$, -1.638}, ControlType -> 
         None}, {{$CellContext`maxx15$$, -0.008}, ControlType -> 
         None}, {{$CellContext`minx16$$, 0.043}, ControlType -> 
         None}, {{$CellContext`maxx16$$, 9}, ControlType -> 
         None}, {{$CellContext`minx17$$, 0.046}, ControlType -> 
         None}, {{$CellContext`maxx17$$, 9}, ControlType -> 
         None}, {{$CellContext`minx18$$, 0.057}, ControlType -> 
         None}, {{$CellContext`maxx18$$, 12}, ControlType -> 
         None}, {{$CellContext`minx19$$, 0.053}, ControlType -> 
         None}, {{$CellContext`maxx19$$, 11}, ControlType -> 
         None}, {{$CellContext`minx2$$, -21}, ControlType -> 
         None}, {{$CellContext`maxx2$$, -0.103}, ControlType -> 
         None}, {{$CellContext`minx20$$, 0.055}, ControlType -> 
         None}, {{$CellContext`maxx20$$, 11}, ControlType -> 
         None}, {{$CellContext`minx21$$, 0.092}, ControlType -> 
         None}, {{$CellContext`maxx21$$, 19}, ControlType -> 
         None}, {{$CellContext`minx22$$, 0.096}, ControlType -> 
         None}, {{$CellContext`maxx22$$, 19}, ControlType -> 
         None}, {{$CellContext`minx23$$, 0.09}, ControlType -> 
         None}, {{$CellContext`maxx23$$, 18}, ControlType -> 
         None}, {{$CellContext`minx24$$, 0.094}, ControlType -> 
         None}, {{$CellContext`maxx24$$, 19}, ControlType -> 
         None}, {{$CellContext`minx25$$, 0.107}, ControlType -> 
         None}, {{$CellContext`maxx25$$, 22}, ControlType -> 
         None}, {{$CellContext`minx3$$, -22}, ControlType -> 
         None}, {{$CellContext`maxx3$$, -0.108}, ControlType -> 
         None}, {{$CellContext`minx4$$, -19}, ControlType -> 
         None}, {{$CellContext`maxx4$$, -0.097}, ControlType -> 
         None}, {{$CellContext`minx5$$, -19}, ControlType -> 
         None}, {{$CellContext`maxx5$$, -0.095}, ControlType -> 
         None}, {{$CellContext`minx6$$, -11}, ControlType -> 
         None}, {{$CellContext`maxx6$$, -0.054}, ControlType -> 
         None}, {{$CellContext`minx7$$, -9}, ControlType -> 
         None}, {{$CellContext`maxx7$$, -0.046}, ControlType -> 
         None}, {{$CellContext`minx8$$, -11}, ControlType -> 
         None}, {{$CellContext`maxx8$$, -0.057}, ControlType -> 
         None}, {{$CellContext`minx9$$, -10}, ControlType -> 
         None}, {{$CellContext`maxx9$$, -0.049}, ControlType -> 
         None}, {{$CellContext`miny1$$, -19}, ControlType -> 
         None}, {{$CellContext`maxy1$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny10$$, 0.097}, ControlType -> 
         None}, {{$CellContext`maxy10$$, 19}, ControlType -> 
         None}, {{$CellContext`miny11$$, -18}, ControlType -> 
         None}, {{$CellContext`maxy11$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny12$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy12$$, -0.054}, ControlType -> 
         None}, {{$CellContext`miny13$$, -1.836}, ControlType -> 
         None}, {{$CellContext`maxy13$$, -0.009}, ControlType -> 
         None}, {{$CellContext`miny14$$, 0.058}, ControlType -> 
         None}, {{$CellContext`maxy14$$, 12}, ControlType -> 
         None}, {{$CellContext`miny15$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxy15$$, 20}, ControlType -> 
         None}, {{$CellContext`miny16$$, -22}, ControlType -> 
         None}, {{$CellContext`maxy16$$, -0.108}, ControlType -> 
         None}, {{$CellContext`miny17$$, -10}, ControlType -> 
         None}, {{$CellContext`maxy17$$, -0.047}, ControlType -> 
         None}, {{$CellContext`miny18$$, -1.158}, ControlType -> 
         None}, {{$CellContext`maxy18$$, -0.005}, ControlType -> 
         None}, {{$CellContext`miny19$$, 0.045}, ControlType -> 
         None}, {{$CellContext`maxy19$$, 9}, ControlType -> 
         None}, {{$CellContext`miny2$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy2$$, -0.052}, ControlType -> 
         None}, {{$CellContext`miny20$$, 0.09}, ControlType -> 
         None}, {{$CellContext`maxy20$$, 18}, ControlType -> 
         None}, {{$CellContext`miny21$$, -21}, ControlType -> 
         None}, {{$CellContext`maxy21$$, -0.102}, ControlType -> 
         None}, {{$CellContext`miny22$$, -9}, ControlType -> 
         None}, {{$CellContext`maxy22$$, -0.046}, ControlType -> 
         None}, {{$CellContext`miny23$$, -0.8119463463299015}, ControlType -> 
         None}, {{$CellContext`maxy23$$, 0.8119463463299015}, ControlType -> 
         None}, {{$CellContext`miny24$$, 0.047}, ControlType -> 
         None}, {{$CellContext`maxy24$$, 10}, ControlType -> 
         None}, {{$CellContext`miny25$$, 0.098}, ControlType -> 
         None}, {{$CellContext`maxy25$$, 20}, ControlType -> 
         None}, {{$CellContext`miny3$$, -0.7490367184474334}, ControlType -> 
         None}, {{$CellContext`maxy3$$, 0.7490367184474334}, ControlType -> 
         None}, {{$CellContext`miny4$$, 0.056}, ControlType -> 
         None}, {{$CellContext`maxy4$$, 11}, ControlType -> 
         None}, {{$CellContext`miny5$$, 0.107}, ControlType -> 
         None}, {{$CellContext`maxy5$$, 22}, ControlType -> 
         None}, {{$CellContext`miny6$$, -18}, ControlType -> 
         None}, {{$CellContext`maxy6$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny7$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy7$$, -0.053}, ControlType -> 
         None}, {{$CellContext`miny8$$, -1.255}, ControlType -> 
         None}, {{$CellContext`maxy8$$, -0.006}, ControlType -> 
         None}, {{$CellContext`miny9$$, 0.058}, ControlType -> 
         None}, {{$CellContext`maxy9$$, 12}, ControlType -> None}, 
        Button[
        "Report", 
         Optica`Optica`$OpticalSystemSettings = {
           Optica`Optica`SymbolicValues -> 
            MapThread[
             ToExpression[#] -> #2& , {{
               "th", "x", "y", "x1", "x10", "x11", "x12", "x13", "x14", "x15",
                 "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", "x23",
                 "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "y1",
                 "y10", "y11", "y12", "y13", "y14", "y15", "y16", "y17", 
                "y18", "y19", "y2", "y20", "y21", "y22", "y23", "y24", "y25", 
                "y3", "y4", "y5", "y6", "y7", "y8", 
                "y9"}, {$CellContext`th$$, $CellContext`x$$, \
$CellContext`y$$, $CellContext`x1$$, $CellContext`x10$$, $CellContext`x11$$, \
$CellContext`x12$$, $CellContext`x13$$, $CellContext`x14$$, \
$CellContext`x15$$, $CellContext`x16$$, $CellContext`x17$$, \
$CellContext`x18$$, $CellContext`x19$$, $CellContext`x2$$, \
$CellContext`x20$$, $CellContext`x21$$, $CellContext`x22$$, \
$CellContext`x23$$, $CellContext`x24$$, $CellContext`x25$$, \
$CellContext`x3$$, $CellContext`x4$$, $CellContext`x5$$, $CellContext`x6$$, \
$CellContext`x7$$, $CellContext`x8$$, $CellContext`x9$$, $CellContext`y1$$, \
$CellContext`y10$$, $CellContext`y11$$, $CellContext`y12$$, \
$CellContext`y13$$, $CellContext`y14$$, $CellContext`y15$$, \
$CellContext`y16$$, $CellContext`y17$$, $CellContext`y18$$, \
$CellContext`y19$$, $CellContext`y2$$, $CellContext`y20$$, \
$CellContext`y21$$, $CellContext`y22$$, $CellContext`y23$$, \
$CellContext`y24$$, $CellContext`y25$$, $CellContext`y3$$, $CellContext`y4$$, \
$CellContext`y5$$, $CellContext`y6$$, $CellContext`y7$$, $CellContext`y8$$, \
$CellContext`y9$$}}], Optica`Optica`SymbolicRanges -> Map[ToExpression[
                Part[#, 1]] -> {
                Part[#, 2], 
                Part[#, 3]}& , 
              Select[
               
               Transpose[{{
                 "th", "x", "y", "x1", "x10", "x11", "x12", "x13", "x14", 
                  "x15", "x16", "x17", "x18", "x19", "x2", "x20", "x21", 
                  "x22", "x23", "x24", "x25", "x3", "x4", "x5", "x6", "x7", 
                  "x8", "x9", "y1", "y10", "y11", "y12", "y13", "y14", "y15", 
                  "y16", "y17", "y18", "y19", "y2", "y20", "y21", "y22", 
                  "y23", "y24", "y25", "y3", "y4", "y5", "y6", "y7", "y8", 
                  "y9"}, {$CellContext`minth$$, $CellContext`minx$$, \
$CellContext`miny$$, $CellContext`minx1$$, $CellContext`minx10$$, \
$CellContext`minx11$$, $CellContext`minx12$$, $CellContext`minx13$$, \
$CellContext`minx14$$, $CellContext`minx15$$, $CellContext`minx16$$, \
$CellContext`minx17$$, $CellContext`minx18$$, $CellContext`minx19$$, \
$CellContext`minx2$$, $CellContext`minx20$$, $CellContext`minx21$$, \
$CellContext`minx22$$, $CellContext`minx23$$, $CellContext`minx24$$, \
$CellContext`minx25$$, $CellContext`minx3$$, $CellContext`minx4$$, \
$CellContext`minx5$$, $CellContext`minx6$$, $CellContext`minx7$$, \
$CellContext`minx8$$, $CellContext`minx9$$, $CellContext`miny1$$, \
$CellContext`miny10$$, $CellContext`miny11$$, $CellContext`miny12$$, \
$CellContext`miny13$$, $CellContext`miny14$$, $CellContext`miny15$$, \
$CellContext`miny16$$, $CellContext`miny17$$, $CellContext`miny18$$, \
$CellContext`miny19$$, $CellContext`miny2$$, $CellContext`miny20$$, \
$CellContext`miny21$$, $CellContext`miny22$$, $CellContext`miny23$$, \
$CellContext`miny24$$, $CellContext`miny25$$, $CellContext`miny3$$, \
$CellContext`miny4$$, $CellContext`miny5$$, $CellContext`miny6$$, \
$CellContext`miny7$$, $CellContext`miny8$$, $CellContext`miny9$$}, \
{$CellContext`maxth$$, $CellContext`maxx$$, $CellContext`maxy$$, \
$CellContext`maxx1$$, $CellContext`maxx10$$, $CellContext`maxx11$$, \
$CellContext`maxx12$$, $CellContext`maxx13$$, $CellContext`maxx14$$, \
$CellContext`maxx15$$, $CellContext`maxx16$$, $CellContext`maxx17$$, \
$CellContext`maxx18$$, $CellContext`maxx19$$, $CellContext`maxx2$$, \
$CellContext`maxx20$$, $CellContext`maxx21$$, $CellContext`maxx22$$, \
$CellContext`maxx23$$, $CellContext`maxx24$$, $CellContext`maxx25$$, \
$CellContext`maxx3$$, $CellContext`maxx4$$, $CellContext`maxx5$$, \
$CellContext`maxx6$$, $CellContext`maxx7$$, $CellContext`maxx8$$, \
$CellContext`maxx9$$, $CellContext`maxy1$$, $CellContext`maxy10$$, \
$CellContext`maxy11$$, $CellContext`maxy12$$, $CellContext`maxy13$$, \
$CellContext`maxy14$$, $CellContext`maxy15$$, $CellContext`maxy16$$, \
$CellContext`maxy17$$, $CellContext`maxy18$$, $CellContext`maxy19$$, \
$CellContext`maxy2$$, $CellContext`maxy20$$, $CellContext`maxy21$$, \
$CellContext`maxy22$$, $CellContext`maxy23$$, $CellContext`maxy24$$, \
$CellContext`maxy25$$, $CellContext`maxy3$$, $CellContext`maxy4$$, \
$CellContext`maxy5$$, $CellContext`maxy6$$, $CellContext`maxy7$$, \
$CellContext`maxy8$$, $CellContext`maxy9$$}}], NumberQ[
                Part[#, 2]]& ]]}; 
         Optica`Optica`$OpticalSystemScript = 
          "{Move[SingleRay[], {{x, -14.}, {y, 0}}, {th, 0.}, SymbolicValues \
-> {th -> 0, x -> -14, y -> 0}], Resonate[{Move[BallLens[3, \
{FresnelReflections -> True}], {{x1, -9.076855764848366}, {y1, \
-9.287305236569473}}, SymbolicValues -> {x1 -> -9.076855764848366, y1 -> \
-9.287305236569473}], Move[BallLens[3, {FresnelReflections -> True}], {{x2, \
-10.394632147990418}, {y2, -5.269527835877297}}, SymbolicValues -> {x2 -> \
-10.394632147990418, y2 -> -5.269527835877297}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x3, -10.899228888504425}, {y3, \
0.07490367184474334}}, SymbolicValues -> {x3 -> -10.899228888504425, y3 -> \
0.07490367184474334}], Move[BallLens[3, {FresnelReflections -> True}], {{x4, \
-9.710913597198532}, {y4, 5.636727305618463}}, SymbolicValues -> {x4 -> \
-9.710913597198532, y4 -> 5.636727305618463}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x5, -9.513475896008032}, {y5, \
10.763869854080555}}, SymbolicValues -> {x5 -> -9.513475896008032, y5 -> \
10.763869854080555}], Move[BallLens[3, {FresnelReflections -> True}], {{x6, \
-5.40355882223856}, {y6, -9.234228337251183}}, SymbolicValues -> {x6 -> \
-5.40355882223856, y6 -> -9.234228337251183}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x7, -4.6793517925951384}, {y7, \
-5.340331330555538}}, SymbolicValues -> {x7 -> -4.6793517925951384, y7 -> \
-5.340331330555538}], Move[BallLens[3, {FresnelReflections -> True}], {{x8, \
-5.748713336972769}, {y8, -0.6277315589438477}}, SymbolicValues -> {x8 -> \
-5.748713336972769, y8 -> -0.6277315589438477}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x9, -4.910571250185416}, {y9, \
5.870057675832702}}, SymbolicValues -> {x9 -> -4.910571250185416, y9 -> \
5.870057675832702}], Move[BallLens[3, {FresnelReflections -> True}], {{x10, \
-5.173178216303013}, {y10, 9.735947781279659}}, SymbolicValues -> {x10 -> \
-5.173178216303013, y10 -> 9.735947781279659}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x11, -0.7955110594074011}, {y11, \
-9.20556162661241}}, SymbolicValues -> {x11 -> -0.7955110594074011, y11 -> \
-9.20556162661241}], Move[BallLens[3, {FresnelReflections -> True}], {{x12, \
-0.7478948293401275}, {y12, -5.446293109949963}}, SymbolicValues -> {x12 -> \
-0.7478948293401275, y12 -> -5.446293109949963}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x13, -0.7186552945590348}, {y13, \
-0.9182563900429362}}, SymbolicValues -> {x13 -> -0.7186552945590348, y13 -> \
-0.9182563900429362}], Move[BallLens[3, {FresnelReflections -> True}], {{x14, \
0.6467373186502905}, {y14, 5.823234725927334}}, SymbolicValues -> {x14 -> \
0.6467373186502905, y14 -> 5.823234725927334}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x15, -0.8194264060546097}, {y15, \
10.00683993811232}}, SymbolicValues -> {x15 -> -0.8194264060546097, y15 -> \
10.00683993811232}], Move[BallLens[3, {FresnelReflections -> True}], {{x16, \
4.357650915848823}, {y16, -10.813492579691129}}, SymbolicValues -> {x16 -> \
4.357650915848823, y16 -> -10.813492579691129}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x17, 4.6940494899534215}, {y17, \
-4.757029915968235}}, SymbolicValues -> {x17 -> 4.6940494899534215, y17 -> \
-4.757029915968235}], Move[BallLens[3, {FresnelReflections -> True}], {{x18, \
5.761209738087384}, {y18, -0.5792642424399462}}, SymbolicValues -> {x18 -> \
5.761209738087384, y18 -> -0.5792642424399462}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x19, 5.37340128254856}, {y19, \
4.583301414587303}}, SymbolicValues -> {x19 -> 5.37340128254856, y19 -> \
4.583301414587303}], Move[BallLens[3, {FresnelReflections -> True}], {{x20, \
5.509923075060153}, {y20, 9.048467316503901}}, SymbolicValues -> {x20 -> \
5.509923075060153, y20 -> 9.048467316503901}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x21, 9.283972532733976}, {y21, \
-10.286756261245399}}, SymbolicValues -> {x21 -> 9.283972532733976, y21 -> \
-10.286756261245399}], Move[BallLens[3, {FresnelReflections -> True}], {{x22, \
9.683101291363167}, {y22, -4.687480464775758}}, SymbolicValues -> {x22 -> \
9.683101291363167, y22 -> -4.687480464775758}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x23, 9.079483592141377}, {y23, \
-0.08119463463299015}}, SymbolicValues -> {x23 -> 9.079483592141377, y23 -> \
-0.08119463463299015}], Move[BallLens[3, {FresnelReflections -> True}], \
{{x24, 9.430996120703295}, {y24, 4.758812645174205}}, SymbolicValues -> {x24 \
-> 9.430996120703295, y24 -> 4.758812645174205}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x25, 10.798138886700412}, {y25, \
9.837061755409946}}, SymbolicValues -> {x25 -> 10.798138886700412, y25 -> \
9.837061755409946}]}], Move[Boundary[{0, -15, -15}, {30, 15, 15}], -15.]}"; 
         Print[
           InputForm[
            StringJoin["{SymbolicValues -> ", 
             ToString[
              MapThread[StringJoin[#, "->", 
                ToString[#2, InputForm]]& , {{
                "th", "x", "y", "x1", "x10", "x11", "x12", "x13", "x14", 
                 "x15", "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22",
                  "x23", "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", 
                 "x9", "y1", "y10", "y11", "y12", "y13", "y14", "y15", "y16", 
                 "y17", "y18", "y19", "y2", "y20", "y21", "y22", "y23", "y24",
                  "y25", "y3", "y4", "y5", "y6", "y7", "y8", 
                 "y9"}, {$CellContext`th$$, $CellContext`x$$, \
$CellContext`y$$, $CellContext`x1$$, $CellContext`x10$$, $CellContext`x11$$, \
$CellContext`x12$$, $CellContext`x13$$, $CellContext`x14$$, \
$CellContext`x15$$, $CellContext`x16$$, $CellContext`x17$$, \
$CellContext`x18$$, $CellContext`x19$$, $CellContext`x2$$, \
$CellContext`x20$$, $CellContext`x21$$, $CellContext`x22$$, \
$CellContext`x23$$, $CellContext`x24$$, $CellContext`x25$$, \
$CellContext`x3$$, $CellContext`x4$$, $CellContext`x5$$, $CellContext`x6$$, \
$CellContext`x7$$, $CellContext`x8$$, $CellContext`x9$$, $CellContext`y1$$, \
$CellContext`y10$$, $CellContext`y11$$, $CellContext`y12$$, \
$CellContext`y13$$, $CellContext`y14$$, $CellContext`y15$$, \
$CellContext`y16$$, $CellContext`y17$$, $CellContext`y18$$, \
$CellContext`y19$$, $CellContext`y2$$, $CellContext`y20$$, \
$CellContext`y21$$, $CellContext`y22$$, $CellContext`y23$$, \
$CellContext`y24$$, $CellContext`y25$$, $CellContext`y3$$, $CellContext`y4$$, \
$CellContext`y5$$, $CellContext`y6$$, $CellContext`y7$$, $CellContext`y8$$, \
$CellContext`y9$$}}]], ", SymbolicRanges -> ", 
             ToString[
              Map[StringJoin[
                Part[#, 1], "->", 
                ToString[{
                  Part[#, 2], 
                  Part[#, 3]}, InputForm]]& , 
               Select[
                
                Transpose[{{
                  "th", "x", "y", "x1", "x10", "x11", "x12", "x13", "x14", 
                   "x15", "x16", "x17", "x18", "x19", "x2", "x20", "x21", 
                   "x22", "x23", "x24", "x25", "x3", "x4", "x5", "x6", "x7", 
                   "x8", "x9", "y1", "y10", "y11", "y12", "y13", "y14", "y15",
                    "y16", "y17", "y18", "y19", "y2", "y20", "y21", "y22", 
                   "y23", "y24", "y25", "y3", "y4", "y5", "y6", "y7", "y8", 
                   "y9"}, {$CellContext`minth$$, $CellContext`minx$$, \
$CellContext`miny$$, $CellContext`minx1$$, $CellContext`minx10$$, \
$CellContext`minx11$$, $CellContext`minx12$$, $CellContext`minx13$$, \
$CellContext`minx14$$, $CellContext`minx15$$, $CellContext`minx16$$, \
$CellContext`minx17$$, $CellContext`minx18$$, $CellContext`minx19$$, \
$CellContext`minx2$$, $CellContext`minx20$$, $CellContext`minx21$$, \
$CellContext`minx22$$, $CellContext`minx23$$, $CellContext`minx24$$, \
$CellContext`minx25$$, $CellContext`minx3$$, $CellContext`minx4$$, \
$CellContext`minx5$$, $CellContext`minx6$$, $CellContext`minx7$$, \
$CellContext`minx8$$, $CellContext`minx9$$, $CellContext`miny1$$, \
$CellContext`miny10$$, $CellContext`miny11$$, $CellContext`miny12$$, \
$CellContext`miny13$$, $CellContext`miny14$$, $CellContext`miny15$$, \
$CellContext`miny16$$, $CellContext`miny17$$, $CellContext`miny18$$, \
$CellContext`miny19$$, $CellContext`miny2$$, $CellContext`miny20$$, \
$CellContext`miny21$$, $CellContext`miny22$$, $CellContext`miny23$$, \
$CellContext`miny24$$, $CellContext`miny25$$, $CellContext`miny3$$, \
$CellContext`miny4$$, $CellContext`miny5$$, $CellContext`miny6$$, \
$CellContext`miny7$$, $CellContext`miny8$$, $CellContext`miny9$$}, \
{$CellContext`maxth$$, $CellContext`maxx$$, $CellContext`maxy$$, \
$CellContext`maxx1$$, $CellContext`maxx10$$, $CellContext`maxx11$$, \
$CellContext`maxx12$$, $CellContext`maxx13$$, $CellContext`maxx14$$, \
$CellContext`maxx15$$, $CellContext`maxx16$$, $CellContext`maxx17$$, \
$CellContext`maxx18$$, $CellContext`maxx19$$, $CellContext`maxx2$$, \
$CellContext`maxx20$$, $CellContext`maxx21$$, $CellContext`maxx22$$, \
$CellContext`maxx23$$, $CellContext`maxx24$$, $CellContext`maxx25$$, \
$CellContext`maxx3$$, $CellContext`maxx4$$, $CellContext`maxx5$$, \
$CellContext`maxx6$$, $CellContext`maxx7$$, $CellContext`maxx8$$, \
$CellContext`maxx9$$, $CellContext`maxy1$$, $CellContext`maxy10$$, \
$CellContext`maxy11$$, $CellContext`maxy12$$, $CellContext`maxy13$$, \
$CellContext`maxy14$$, $CellContext`maxy15$$, $CellContext`maxy16$$, \
$CellContext`maxy17$$, $CellContext`maxy18$$, $CellContext`maxy19$$, \
$CellContext`maxy2$$, $CellContext`maxy20$$, $CellContext`maxy21$$, \
$CellContext`maxy22$$, $CellContext`maxy23$$, $CellContext`maxy24$$, \
$CellContext`maxy25$$, $CellContext`maxy3$$, $CellContext`maxy4$$, \
$CellContext`maxy5$$, $CellContext`maxy6$$, $CellContext`maxy7$$, \
$CellContext`maxy8$$, $CellContext`maxy9$$}}], NumberQ[
                 Part[#, 2]]& ]]], "}"]]], ImageSize -> 
         Automatic], {{$CellContext`xth$$, -13.25}, ControlType -> 
         None}, {{$CellContext`yth$$, 0.}, ControlType -> 
         None}, {{$CellContext`radiusth$$, 0.75}, ControlType -> 
         None}, {{$CellContext`xoffth$$, 0.75}, ControlType -> 
         None}, {{$CellContext`yoffth$$, 0.}, ControlType -> 
         None}, {{$CellContext`laststartposth$$, {-14., 0.}}, ControlType -> 
         None}, {{$CellContext`lastlocposth$$, {-13.25, 0.}}, ControlType -> 
         None}, {{$CellContext`lastth$$, 0}, ControlType -> 
         None}, {{$CellContext`staticpolygons111889820147194645760311$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons121889820147194645783627$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons131889820147194645811363$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons141889820147194645834335$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons151889820147194645857567$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons161889820147194645883218$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons171889820147194645906591$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons181889820147194645929713$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons191889820147194645952925$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons201889820147194645975859$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons211889820147194646000826$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons221889820147194646024359$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons231889820147194646048190$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons241889820147194646073902$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons251889820147194646097611$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons261889820147194646121439$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons271889820147194646144626$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons281889820147194646168427$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons291889820147194646191789$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons301889820147194646217195$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons311889820147194646240595$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons321889820147194646264452$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons331889820147194646287948$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons341889820147194646312151$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons351889820147194646336188$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons361889820147194646338404$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAE9Bxz0AQJ8QvQBImlC9lFbH7n+wMUnVZxY
f+AyBxeNoQ8AtlgqAg==
            "]]}}, ControlType -> None}}, 
      "Options" :> {
       TrackedSymbols -> Manipulate, Deployed -> False, 
        AutorunSequencing -> {3, 1}, SynchronousInitialization -> False, 
        SynchronousUpdating -> False, 
        BaseStyle -> {DynamicEvaluationTimeout -> 100}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{643., {357., 362.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>($CellContext`raytracefunction11889820147194646571316 = 
      With[{$CellContext`compileoptionsetting$ = 
         If[$VersionNumber >= 8, {
           CompilationOptions -> {
             "ExpressionOptimization" -> False, "InlineCompiledFunctions" -> 
              False}, CompilationTarget -> "MVM", 
            RuntimeAttributes -> {Listable}, Parallelization -> False, 
            RuntimeOptions -> {}}, CompileOptimizations -> False]}, 
        Compile[{{$CellContext`th$$, 
           Blank[Real]}, {$CellContext`x$$, 
           Blank[Real]}, {$CellContext`y$$, 
           Blank[Real]}, {$CellContext`x1$$, 
           Blank[Real]}, {$CellContext`x10$$, 
           Blank[Real]}, {$CellContext`x11$$, 
           Blank[Real]}, {$CellContext`x12$$, 
           Blank[Real]}, {$CellContext`x13$$, 
           Blank[Real]}, {$CellContext`x14$$, 
           Blank[Real]}, {$CellContext`x15$$, 
           Blank[Real]}, {$CellContext`x16$$, 
           Blank[Real]}, {$CellContext`x17$$, 
           Blank[Real]}, {$CellContext`x18$$, 
           Blank[Real]}, {$CellContext`x19$$, 
           Blank[Real]}, {$CellContext`x2$$, 
           Blank[Real]}, {$CellContext`x20$$, 
           Blank[Real]}, {$CellContext`x21$$, 
           Blank[Real]}, {$CellContext`x22$$, 
           Blank[Real]}, {$CellContext`x23$$, 
           Blank[Real]}, {$CellContext`x24$$, 
           Blank[Real]}, {$CellContext`x25$$, 
           Blank[Real]}, {$CellContext`x3$$, 
           Blank[Real]}, {$CellContext`x4$$, 
           Blank[Real]}, {$CellContext`x5$$, 
           Blank[Real]}, {$CellContext`x6$$, 
           Blank[Real]}, {$CellContext`x7$$, 
           Blank[Real]}, {$CellContext`x8$$, 
           Blank[Real]}, {$CellContext`x9$$, 
           Blank[Real]}, {$CellContext`y1$$, 
           Blank[Real]}, {$CellContext`y10$$, 
           Blank[Real]}, {$CellContext`y11$$, 
           Blank[Real]}, {$CellContext`y12$$, 
           Blank[Real]}, {$CellContext`y13$$, 
           Blank[Real]}, {$CellContext`y14$$, 
           Blank[Real]}, {$CellContext`y15$$, 
           Blank[Real]}, {$CellContext`y16$$, 
           Blank[Real]}, {$CellContext`y17$$, 
           Blank[Real]}, {$CellContext`y18$$, 
           Blank[Real]}, {$CellContext`y19$$, 
           Blank[Real]}, {$CellContext`y2$$, 
           Blank[Real]}, {$CellContext`y20$$, 
           Blank[Real]}, {$CellContext`y21$$, 
           Blank[Real]}, {$CellContext`y22$$, 
           Blank[Real]}, {$CellContext`y23$$, 
           Blank[Real]}, {$CellContext`y24$$, 
           Blank[Real]}, {$CellContext`y25$$, 
           Blank[Real]}, {$CellContext`y3$$, 
           Blank[Real]}, {$CellContext`y4$$, 
           Blank[Real]}, {$CellContext`y5$$, 
           Blank[Real]}, {$CellContext`y6$$, 
           Blank[Real]}, {$CellContext`y7$$, 
           Blank[Real]}, {$CellContext`y8$$, 
           Blank[Real]}, {$CellContext`y9$$, 
           Blank[Real]}}, 
         Module[{$CellContext`activeregion$, \
$CellContext`allcreatedamplitudes$, $CellContext`allcreatedrays$, \
$CellContext`allowzeroraylength$, $CellContext`alternateindex$, \
$CellContext`amplitude$, $CellContext`axismagnitude$, \
$CellContext`axismatrix$, $CellContext`clonedata$, \
$CellContext`clonegenerationnumber$, $CellContext`cloneinput$, \
$CellContext`clonenumber$, $CellContext`cloneposition$, \
$CellContext`clonereportedrays$, $CellContext`clonerotation$, \
$CellContext`clonescale$, $CellContext`clonescalevector$, \
$CellContext`clonesorthistogram$, $CellContext`clonetraceinput$, \
$CellContext`clonetraceoutput$, $CellContext`closestdistances$, \
$CellContext`closestposition$, $CellContext`closestpositions$, \
$CellContext`closestraylength$, $CellContext`completedray$, \
$CellContext`componentnumber$, $CellContext`cosangle$, \
$CellContext`cosangler$, $CellContext`cosanglet$, $CellContext`crossmatrix$, \
$CellContext`deflecteddummyrayspresent$, $CellContext`deflectedlocalrays$, \
$CellContext`deflectedrays$, $CellContext`deflectedrayspresent$, \
$CellContext`dummymatrix$, $CellContext`dummymatrixlist$, \
$CellContext`dummyvector$, $CellContext`frontid$, \
$CellContext`generationlimit$, $CellContext`generationnumber$, \
$CellContext`holeintersections$, $CellContext`holeQ$, \
$CellContext`holeQlist$, $CellContext`hor$, $CellContext`index$, \
$CellContext`index1$, $CellContext`index2$, $CellContext`inrays$, \
$CellContext`intensity$, $CellContext`intensityfactor$, \
$CellContext`intensityscale$, $CellContext`intersectionnumber$, \
$CellContext`intersections$, $CellContext`intersectionslist$, \
$CellContext`intersectionspresent$, $CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$, $CellContext`localoutrayspresent$, \
$CellContext`magnitude$, $CellContext`maxclonegenerationnumber$, \
$CellContext`maximumposition$, $CellContext`minimumraylength$, \
$CellContext`minresonateraylength$, $CellContext`n12$, \
$CellContext`newcomponentnumber$, $CellContext`newdeflectedrays$, \
$CellContext`newdistance$, $CellContext`newpoynting$, \
$CellContext`newsurfaceid$, $CellContext`newsurfacenumber$, \
$CellContext`nonintersectingrays$, $CellContext`normalizedpolarization$, \
$CellContext`oldgenerationnumber$, $CellContext`oldpoynting$, \
$CellContext`opticallength$, $CellContext`originalintensity$, \
$CellContext`originalray$, $CellContext`originalraytilt$, \
$CellContext`originalrotation$, $CellContext`originalsurfnorm$, \
$CellContext`outrays$, $CellContext`parallelamplitude$, $CellContext`PAxis$, \
$CellContext`perpendicularamplitude$, $CellContext`phaseshift$, \
$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$, \
$CellContext`previoustilt$, $CellContext`propagate$, \
$CellContext`propagatedrays$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, $CellContext`ray1$, \
$CellContext`ray2$, $CellContext`ray3$, $CellContext`LocRayL$, \
$CellContext`rayslot$, $CellContext`raysreported$, $CellContext`raytiltx$, \
$CellContext`raytiltz$, $CellContext`refamplitude$, \
$CellContext`reporteddummyrayspresent$, $CellContext`reportedlocalrays$, \
$CellContext`reportedrays$, $CellContext`reportedrayspresent$, \
$CellContext`resonateintersections$, $CellContext`resonatenumber$, \
$CellContext`resonateraylength$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`rotationaxis$, $CellContext`rp$, \
$CellContext`rs$, $CellContext`rsx$, $CellContext`LocRSx$, $CellContext`rsy$, \
$CellContext`LocRSy$, $CellContext`rsz$, $CellContext`LocRSz$, 
           Optica`Optica`RTx$, $CellContext`LocRTy$, $CellContext`LocRTz$, \
$CellContext`rx$, $CellContext`rxhlp$, $CellContext`ry$, $CellContext`ryhlp$, \
$CellContext`rz$, $CellContext`rzhlp$, $CellContext`LocSCx$, \
$CellContext`LocSCy$, $CellContext`sid$, $CellContext`sinangle$, \
$CellContext`sinangler$, $CellContext`sinanglet$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`surfaceid$, $CellContext`surfacenumber$, \
$CellContext`surfacerotationmatrix$, $CellContext`surfacetranslationvector$, \
$CellContext`surfnorm$, $CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$, $CellContext`sz$, $CellContext`szt$, \
$CellContext`tempclonedata$, $CellContext`terminatedeflection$, \
$CellContext`thresholdintensity$, $CellContext`tiltmagnitude$, \
$CellContext`tp$, $CellContext`transamplitude$, $CellContext`transformr$, \
$CellContext`transformt$, $CellContext`transmatrix$, $CellContext`ts$, \
$CellContext`LocTV1$, $CellContext`LocTV10$, $CellContext`LocTV2$, \
$CellContext`LocTV3$, $CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$, $CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$, $CellContext`u$, $CellContext`unfilteredintersections$, \
$CellContext`unit$, $CellContext`uu$, $CellContext`ver$, $CellContext`Vr$, \
$CellContext`Vt$, $CellContext`wavelength$, $CellContext`XAxis$, \
$CellContext`xunit$, $CellContext`YAxis$, $CellContext`yunit$, \
$CellContext`ZAxis$, $CellContext`zunit$}, $CellContext`rsx$ = 
           1.; $CellContext`rsy$ = 1.; $CellContext`rsz$ = 
           1.; $CellContext`rex$ = 1.; $CellContext`rey$ = 
           1.; $CellContext`rez$ = 1.; $CellContext`r1$ = 
           1.; $CellContext`r2$ = 1.; $CellContext`r3$ = 1.; $CellContext`r4$ = 
           1.; $CellContext`r5$ = 1.; $CellContext`r6$ = 1.; $CellContext`r7$ = 
           1.; $CellContext`r8$ = 1.; $CellContext`r9$ = 
           1.; $CellContext`symr1$ = 1.; $CellContext`symr2$ = 
           1.; $CellContext`symr3$ = 1.; $CellContext`symr4$ = 
           1.; $CellContext`symr5$ = 1.; $CellContext`symr6$ = 
           1.; $CellContext`symr7$ = 1.; $CellContext`symr8$ = 
           1.; $CellContext`symr9$ = 1.; $CellContext`rx$ = 
           1.; $CellContext`ry$ = 1.; $CellContext`rz$ = 
           1.; $CellContext`xunit$ = 1.; $CellContext`yunit$ = 
           1.; $CellContext`zunit$ = 1.; $CellContext`ray1$ = 
           1.; $CellContext`ray2$ = 1.; $CellContext`ray3$ = 
           1.; $CellContext`LocRSx$ = 1.; $CellContext`LocRSy$ = 
           1.; $CellContext`LocRSz$ = 1.; 
          Optica`Optica`RTx$ = 1.; $CellContext`LocRTy$ = 
           1.; $CellContext`LocRTz$ = 1.; $CellContext`LocRayL$ = 
           1.; $CellContext`LocSCx$ = 1.; $CellContext`LocSCy$ = 
           1.; $CellContext`opticallength$ = 1.; $CellContext`phaseshift$ = 
           0.; $CellContext`wavelength$ = 1.; $CellContext`intensity$ = 
           1.; $CellContext`intensityscale$ = 
           1.; $CellContext`componentnumber$ = -1.; \
$CellContext`surfacenumber$ = -1.; $CellContext`surfaceid$ = -1.; \
$CellContext`generationnumber$ = 1.; $CellContext`intersectionnumber$ = 
           1.; $CellContext`generationlimit$ = 
           200.; $CellContext`thresholdintensity$ = 
           1.; $CellContext`tiltmagnitude$ = 1.; $CellContext`pol1$ = 
           1.; $CellContext`pol2$ = 1.; $CellContext`pol3$ = 
           1.; $CellContext`sid$ = 1.; $CellContext`sno1$ = 
           1.; $CellContext`sno2$ = 1.; $CellContext`sno3$ = 
           1.; $CellContext`sno4$ = 1.; $CellContext`rayslot$ = 
           1.; $CellContext`index$ = 1.; $CellContext`activeregion$ = 
           1.; $CellContext`frontid$ = 1.; $CellContext`index1$ = 
           1.; $CellContext`index2$ = 1.; $CellContext`magnitude$ = 
           1.; $CellContext`LocTV1$ = 1.; $CellContext`LocTV2$ = 
           1.; $CellContext`LocTV3$ = 1.; $CellContext`LocTV4$ = 
           1.; $CellContext`LocTV5$ = 1.; $CellContext`LocTV6$ = 
           1.; $CellContext`LocTV7$ = 1.; $CellContext`LocTV8$ = 
           1.; $CellContext`LocTV9$ = 1.; $CellContext`LocTV10$ = 
           1.; $CellContext`cloneposition$ = {0., 0., 
            0.}; $CellContext`clonerotation$ = {{
            1.}}; $CellContext`clonedata$ = {{1.}}; $CellContext`clonenumber$ = 
           1; $CellContext`clonescale$ = 1.; $CellContext`newdistance$ = 
           1.; $CellContext`closestdistances$ = {
            1.}; $CellContext`closestposition$ = 
           0; $CellContext`closestraylength$ = 
           1.; $CellContext`maximumposition$ = 
           1; $CellContext`closestpositions$ = {
            0}; $CellContext`cloneinput$ = {
            1.}; $CellContext`clonetraceinput$ = {{
            1.}}; $CellContext`clonetraceoutput$ = {{
            1.}}; $CellContext`tempclonedata$ = {{
            1.}}; $CellContext`clonegenerationnumber$ = 
           1.; $CellContext`maxclonegenerationnumber$ = 
           1.; $CellContext`clonescalevector$ = {
            1.}; $CellContext`clonesorthistogram$ = {
            1}; $CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 
            0.}, {0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {0., 
            0., 0.}; $CellContext`oldgenerationnumber$ = 
           1.; $CellContext`intersections$ = {{-1., 0., 
            0.}}; $CellContext`unfilteredintersections$ = {{-1., 0., 
            0.}}; $CellContext`intersectionslist$ = {{{-1., 0., 
            0.}}}; $CellContext`holeQlist$ = {
            0}; $CellContext`holeintersections$ = {{-1., 0., 
            0.}}; $CellContext`minimumraylength$ = 
           0.0001; $CellContext`originalray$ = {
            1.}; $CellContext`completedray$ = {
            1.}; $CellContext`reportedrayspresent$ = 
           False; $CellContext`propagate$ = 
           True; $CellContext`originalraytilt$ = {
            1.}; $CellContext`allowzeroraylength$ = 
           True; $CellContext`deflecteddummyrayspresent$ = 
           False; $CellContext`reporteddummyrayspresent$ = 
           False; $CellContext`localoutrayspresent$ = 
           False; $CellContext`localdummyoutrayspresent$ = 
           False; $CellContext`deflectedrayspresent$ = 
           False; $CellContext`intersectionspresent$ = 
           False; $CellContext`raysreported$ = 
           False; $CellContext`terminatedeflection$ = 
           False; $CellContext`allcreatedrays$ = {{
            1.}}; $CellContext`propagatedrays$ = {{
            1.}}; $CellContext`deflectedrays$ = {{
            1.}}; $CellContext`newdeflectedrays$ = {{
            1.}}; $CellContext`reportedrays$ = {{
            1.}}; $CellContext`clonereportedrays$ = {{
            1.}}; $CellContext`nonintersectingrays$ = {{
            1.}}; $CellContext`inrays$ = {{1.}}; $CellContext`outrays$ = {{
            1.}}; $CellContext`reportedlocalrays$ = {{
            1.}}; $CellContext`deflectedlocalrays$ = {{
            1.}}; $CellContext`localoutrays$ = {{
            1.}}; $CellContext`resonatenumber$ = 
           0; $CellContext`resonateraylength$ = 
           1.; $CellContext`minresonateraylength$ = 
           1.; $CellContext`resonateintersections$ = {{-1., 0., 
            0.}}; $CellContext`dummyvector$ = {
            1.}; $CellContext`dummymatrix$ = {{
            1.}}; $CellContext`dummymatrixlist$ = {{{
            1.}}}; $CellContext`newcomponentnumber$ = -1.; \
$CellContext`newsurfacenumber$ = -1.; $CellContext`newsurfaceid$ = -1.; \
$CellContext`holeQ$ = False; $CellContext`rxhlp$ = 1.; $CellContext`ryhlp$ = 
           1.; $CellContext`rzhlp$ = 
           1.; $CellContext`surfnorm$ = {{
            1.}}; $CellContext`originalsurfnorm$ = {{
            1.}}; $CellContext`XAxis$ = {1., 0., 0.}; $CellContext`YAxis$ = {
            1., 0., 0.}; $CellContext`ZAxis$ = {1., 0., 
            0.}; $CellContext`PAxis$ = {1., 0., 
            0.}; $CellContext`normalizedpolarization$ = {1., 
            1.}; $CellContext`amplitude$ = {
            1. + 0. I, 0. + 0. I, 0. + 
             0. I}; $CellContext`allcreatedamplitudes$ = {{
             0. + 0. I, 0. + 0. I, 0. + 
              0. I}}; $CellContext`perpendicularamplitude$ = 
           1. + 0. I; $CellContext`parallelamplitude$ = 
           1. + 0. I; $CellContext`raytiltz$ = 1.; $CellContext`raytiltx$ = 
           1.; $CellContext`rs$ = 1. + 0. I; $CellContext`rp$ = 
           1. + 0. I; $CellContext`ts$ = 1. + 0. I; $CellContext`tp$ = 
           1. + 0. I; $CellContext`transamplitude$ = {
            0. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`refamplitude$ = {
            0. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`n12$ = 
           1.; $CellContext`Vr$ = {
            1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`Vt$ = {
            1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`szt$ = 
           1. + 0. I; $CellContext`sz$ = 1.; $CellContext`alternateindex$ = 
           1.; $CellContext`oldpoynting$ = {1., 0., 
            0.}; $CellContext`newpoynting$ = {1., 0., 
            0.}; $CellContext`intensityfactor$ = 
           1.; $CellContext`originalintensity$ = 
           100.; $CellContext`sinanglet$ = 1. + 0. I; $CellContext`sinangler$ = 
           1. + 0. I; $CellContext`cosanglet$ = 1.; $CellContext`cosangler$ = 
           1.; $CellContext`transformt$ = {{
             1. + 0. I, 0. + 0. I, 0. + 0. I}, {
             0. + 0. I, 1. + 0. I, 0. + 0. I}, {
             0. + 0. I, 0. + 0. I, 1. + 0. I}}; $CellContext`transformr$ = {{
             1. + 0. I, 0. + 0. I, 0. + 0. I}, {
             0. + 0. I, 1. + 0. I, 0. + 0. I}, {
             0. + 0. I, 0. + 0. I, 1. + 
              0. I}}; $CellContext`transmatrix$ = {{{1., 0., 0.}, {0., 1., 
            0.}, {0., 0., 1.}}}; $CellContext`u$ = {{1., 0., 0.}, {0., 1., 
            0.}, {0., 0., 1.}}; $CellContext`uu$ = {{1., 0., 0.}, {0., 1., 
            0.}, {0., 0., 1.}}; $CellContext`unit$ = {{1., 0., 0.}, {0., 1., 
            0.}, {0., 0., 1.}}; $CellContext`originalrotation$ = {{1., 0., 
            0.}, {0., 1., 0.}, {0., 0., 1.}}; $CellContext`axismatrix$ = {{1.,
             0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`crossmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {
            0., 0., 1.}}; $CellContext`axismagnitude$ = 
           1.; $CellContext`cosangle$ = 1.; $CellContext`sinangle$ = 
           1.; $CellContext`previoustilt$ = {1., 0., 0.}; $CellContext`hor$ = 
           1. + 0. I; $CellContext`ver$ = 
           0. + 0. I; $CellContext`propagatedrays$ = 
           Join[{$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                 Cos[Degree $CellContext`th$$], 
                 Sin[Degree $CellContext`th$$], 0, -
                 Sin[Degree $CellContext`th$$], 
                 Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
             Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$, $CellContext`rsx$ $CellContext`symr2$ + $CellContext`rsy$ \
$CellContext`symr5$ + $CellContext`rsz$ $CellContext`symr8$ + \
$CellContext`y$$, $CellContext`rsx$ $CellContext`symr3$ + $CellContext`rsy$ \
$CellContext`symr6$ + $CellContext`rsz$ $CellContext`symr9$}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`rex$ $CellContext`symr1$ + $CellContext`rey$ \
$CellContext`symr4$ + $CellContext`rez$ $CellContext`symr7$ + \
$CellContext`x$$, $CellContext`rex$ $CellContext`symr2$ + $CellContext`rey$ \
$CellContext`symr5$ + $CellContext`rez$ $CellContext`symr8$ + \
$CellContext`y$$, $CellContext`rex$ $CellContext`symr3$ + $CellContext`rey$ \
$CellContext`symr6$ + $CellContext`rez$ $CellContext`symr9$}; \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`r1$ $CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + \
$CellContext`r3$ $CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + \
$CellContext`r2$ $CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, \
$CellContext`r1$ $CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + \
$CellContext`r3$ $CellContext`symr9$}; {$CellContext`LocTV4$, \
$CellContext`LocTV5$, $CellContext`LocTV6$} = {$CellContext`r4$ \
$CellContext`symr1$ + $CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ \
$CellContext`symr7$, $CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ \
$CellContext`symr5$ + $CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ \
$CellContext`symr3$ + $CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ \
$CellContext`symr9$}; {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$} = {$CellContext`r7$ $CellContext`symr1$ + \
$CellContext`r8$ $CellContext`symr4$ + $CellContext`r9$ $CellContext`symr7$, \
$CellContext`r7$ $CellContext`symr2$ + $CellContext`r8$ $CellContext`symr5$ + \
$CellContext`r9$ $CellContext`symr8$, $CellContext`r7$ $CellContext`symr3$ + \
$CellContext`r8$ $CellContext`symr6$ + $CellContext`r9$ $CellContext`symr9$}; \
{{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}} = {{$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$}, {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$}, {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$}}; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjLnMI
mQ8BXF+VHZFphD5yzUXIAwBIZBYX
               
               "]]]; $CellContext`propagatedrays$ = 
           Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`componentnumber$ = 
              1.; $CellContext`frontid$ = 
              1.; {$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`propagatedrays$]; \
$CellContext`thresholdintensity$ = 1.; $CellContext`generationlimit$ = 
           200.; $CellContext`reportedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`generationnumber$ = 
           0.; ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9381, Compile`$9388, Compile`$9389}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9381 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9381 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9381 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9388 = -Optica`Optica`TempVar2; 
                    Compile`$9389 = Compile`$9388 + Optica`Optica`TempVar3; {
                    Compile`$9389, $CellContext`ry$ + 
                    Compile`$9389 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9389 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654036.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9382, Compile`$9391, Compile`$9392}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9382 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9382 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9382 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9391 = -Optica`Optica`TempVar2; 
                    Compile`$9392 = Compile`$9391 + Optica`Optica`TempVar3; {
                    Compile`$9392, $CellContext`ry$ + 
                    Compile`$9392 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9392 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654037.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9383, Compile`$9394, Compile`$9395}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9383 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9383 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9383 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9394 = -Optica`Optica`TempVar2; 
                    Compile`$9395 = Compile`$9394 + Optica`Optica`TempVar3; {
                    Compile`$9395, $CellContext`ry$ + 
                    Compile`$9395 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9395 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654122.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9384, Compile`$9397, Compile`$9398}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9384 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9384 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9384 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9397 = -Optica`Optica`TempVar2; 
                    Compile`$9398 = Compile`$9397 + Optica`Optica`TempVar3; {
                    Compile`$9398, $CellContext`ry$ + 
                    Compile`$9398 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9398 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654123.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9385, Compile`$9400, Compile`$9401}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9385 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9385 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9385 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9400 = -Optica`Optica`TempVar2; 
                    Compile`$9401 = Compile`$9400 + Optica`Optica`TempVar3; {
                    Compile`$9401, $CellContext`ry$ + 
                    Compile`$9401 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9401 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654208.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9387, Compile`$9403, Compile`$9404}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9387 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9387 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9387 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9403 = -Optica`Optica`TempVar2; 
                    Compile`$9404 = Compile`$9403 + Optica`Optica`TempVar3; {
                    Compile`$9404, $CellContext`ry$ + 
                    Compile`$9404 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9404 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654209.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9390, Compile`$9406, Compile`$9407}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9390 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9390 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9390 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9406 = -Optica`Optica`TempVar2; 
                    Compile`$9407 = Compile`$9406 + Optica`Optica`TempVar3; {
                    Compile`$9407, $CellContext`ry$ + 
                    Compile`$9407 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9407 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654294.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9393, Compile`$9409, Compile`$9410}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9393 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9393 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9393 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9409 = -Optica`Optica`TempVar2; 
                    Compile`$9410 = Compile`$9409 + Optica`Optica`TempVar3; {
                    Compile`$9410, $CellContext`ry$ + 
                    Compile`$9410 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9410 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654295.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9396, Compile`$9412, Compile`$9413}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9396 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9396 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9396 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9412 = -Optica`Optica`TempVar2; 
                    Compile`$9413 = Compile`$9412 + Optica`Optica`TempVar3; {
                    Compile`$9413, $CellContext`ry$ + 
                    Compile`$9413 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9413 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654380.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9399, Compile`$9415, Compile`$9416}, 
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9399 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9399 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9399 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9415 = -Optica`Optica`TempVar2; 
                    Compile`$9416 = Compile`$9415 + Optica`Optica`TempVar3; {
                    Compile`$9416, $CellContext`ry$ + 
                    Compile`$9416 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9416 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654381.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9402, Compile`$9418, Compile`$9419}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9402 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9402 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9402 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9418 = -Optica`Optica`TempVar2; 
                    Compile`$9419 = Compile`$9418 + Optica`Optica`TempVar3; {
                    Compile`$9419, $CellContext`ry$ + 
                    Compile`$9419 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9419 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654466.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9405, Compile`$9421, Compile`$9422}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9405 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9405 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9405 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9421 = -Optica`Optica`TempVar2; 
                    Compile`$9422 = Compile`$9421 + Optica`Optica`TempVar3; {
                    Compile`$9422, $CellContext`ry$ + 
                    Compile`$9422 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9422 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654467.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9408, Compile`$9425, Compile`$9426}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9408 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9408 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9408 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9425 = -Optica`Optica`TempVar2; 
                    Compile`$9426 = Compile`$9425 + Optica`Optica`TempVar3; {
                    Compile`$9426, $CellContext`ry$ + 
                    Compile`$9426 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9426 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654552.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9411, Compile`$9428, Compile`$9429}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9411 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9411 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9411 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9428 = -Optica`Optica`TempVar2; 
                    Compile`$9429 = Compile`$9428 + Optica`Optica`TempVar3; {
                    Compile`$9429, $CellContext`ry$ + 
                    Compile`$9429 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9429 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654553.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9414, Compile`$9433, Compile`$9434}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9414 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9414 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9414 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9433 = -Optica`Optica`TempVar2; 
                    Compile`$9434 = Compile`$9433 + Optica`Optica`TempVar3; {
                    Compile`$9434, $CellContext`ry$ + 
                    Compile`$9434 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9434 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654638.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9417, Compile`$9436, Compile`$9437}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9417 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9417 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9417 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9436 = -Optica`Optica`TempVar2; 
                    Compile`$9437 = Compile`$9436 + Optica`Optica`TempVar3; {
                    Compile`$9437, $CellContext`ry$ + 
                    Compile`$9437 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9437 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654639.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9420, Compile`$9439, Compile`$9440}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9420 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9420 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9420 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9439 = -Optica`Optica`TempVar2; 
                    Compile`$9440 = Compile`$9439 + Optica`Optica`TempVar3; {
                    Compile`$9440, $CellContext`ry$ + 
                    Compile`$9440 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9440 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654724.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9424, Compile`$9442, Compile`$9443}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9424 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9424 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9424 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9442 = -Optica`Optica`TempVar2; 
                    Compile`$9443 = Compile`$9442 + Optica`Optica`TempVar3; {
                    Compile`$9443, $CellContext`ry$ + 
                    Compile`$9443 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9443 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654725.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9427, Compile`$9445, Compile`$9446}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9427 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9427 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9427 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9445 = -Optica`Optica`TempVar2; 
                    Compile`$9446 = Compile`$9445 + Optica`Optica`TempVar3; {
                    Compile`$9446, $CellContext`ry$ + 
                    Compile`$9446 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9446 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654810.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9430, Compile`$9448, Compile`$9449}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9430 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9430 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9430 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9448 = -Optica`Optica`TempVar2; 
                    Compile`$9449 = Compile`$9448 + Optica`Optica`TempVar3; {
                    Compile`$9449, $CellContext`ry$ + 
                    Compile`$9449 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9449 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654811.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9435, Compile`$9451, Compile`$9452}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9435 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9435 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9435 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9451 = -Optica`Optica`TempVar2; 
                    Compile`$9452 = Compile`$9451 + Optica`Optica`TempVar3; {
                    Compile`$9452, $CellContext`ry$ + 
                    Compile`$9452 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9452 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654896.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9438, Compile`$9454, Compile`$9455}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9438 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9438 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9438 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9454 = -Optica`Optica`TempVar2; 
                    Compile`$9455 = Compile`$9454 + Optica`Optica`TempVar3; {
                    Compile`$9455, $CellContext`ry$ + 
                    Compile`$9455 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9455 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654897.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9441, Compile`$9457, Compile`$9458}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9441 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9441 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9441 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9457 = -Optica`Optica`TempVar2; 
                    Compile`$9458 = Compile`$9457 + Optica`Optica`TempVar3; {
                    Compile`$9458, $CellContext`ry$ + 
                    Compile`$9458 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9458 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654982.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9444, Compile`$9460, Compile`$9461}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9444 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9444 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9444 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9460 = -Optica`Optica`TempVar2; 
                    Compile`$9461 = Compile`$9460 + Optica`Optica`TempVar3; {
                    Compile`$9461, $CellContext`ry$ + 
                    Compile`$9461 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9461 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 654983.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9447, Compile`$9464, Compile`$9465}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9447 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9447 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9447 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9464 = -Optica`Optica`TempVar2; 
                    Compile`$9465 = Compile`$9464 + Optica`Optica`TempVar3; {
                    Compile`$9465, $CellContext`ry$ + 
                    Compile`$9465 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9465 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655068.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9450, Compile`$9467, Compile`$9468}, 
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9450 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9450 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9450 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9467 = -Optica`Optica`TempVar2; 
                    Compile`$9468 = Compile`$9467 + Optica`Optica`TempVar3; {
                    Compile`$9468, $CellContext`ry$ + 
                    Compile`$9468 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9468 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655069.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9453, Compile`$9470, Compile`$9471}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9453 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9453 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9453 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9470 = -Optica`Optica`TempVar2; 
                    Compile`$9471 = Compile`$9470 + Optica`Optica`TempVar3; {
                    Compile`$9471, $CellContext`ry$ + 
                    Compile`$9471 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9471 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655154.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9456, Compile`$9474, Compile`$9475}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9456 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9456 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9456 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9474 = -Optica`Optica`TempVar2; 
                    Compile`$9475 = Compile`$9474 + Optica`Optica`TempVar3; {
                    Compile`$9475, $CellContext`ry$ + 
                    Compile`$9475 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9475 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655155.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9459, Compile`$9477, Compile`$9478}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9459 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9459 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9459 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9477 = -Optica`Optica`TempVar2; 
                    Compile`$9478 = Compile`$9477 + Optica`Optica`TempVar3; {
                    Compile`$9478, $CellContext`ry$ + 
                    Compile`$9478 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9478 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655240.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9462, Compile`$9481, Compile`$9482}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9462 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9462 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9462 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, 
                    Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9481 = -Optica`Optica`TempVar2; 
                    Compile`$9482 = Compile`$9481 + Optica`Optica`TempVar3; {
                    Compile`$9482, $CellContext`ry$ + 
                    Compile`$9482 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9482 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655241.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9466, Compile`$9484, Compile`$9485}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9466 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9466 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9466 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9484 = -Optica`Optica`TempVar2; 
                    Compile`$9485 = Compile`$9484 + Optica`Optica`TempVar3; {
                    Compile`$9485, $CellContext`ry$ + 
                    Compile`$9485 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9485 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655326.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9469, Compile`$9487, Compile`$9488}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9469 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9469 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9469 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9487 = -Optica`Optica`TempVar2; 
                    Compile`$9488 = Compile`$9487 + Optica`Optica`TempVar3; {
                    Compile`$9488, $CellContext`ry$ + 
                    Compile`$9488 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9488 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655327.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9473, Compile`$9491, Compile`$9492}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9473 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9473 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9473 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9491 = -Optica`Optica`TempVar2; 
                    Compile`$9492 = Compile`$9491 + Optica`Optica`TempVar3; {
                    Compile`$9492, $CellContext`ry$ + 
                    Compile`$9492 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9492 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655412.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9476, Compile`$9494, Compile`$9495}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9476 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9476 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9476 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9494 = -Optica`Optica`TempVar2; 
                    Compile`$9495 = Compile`$9494 + Optica`Optica`TempVar3; {
                    Compile`$9495, $CellContext`ry$ + 
                    Compile`$9495 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9495 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655413.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9479, Compile`$9497, Compile`$9498}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9479 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9479 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9479 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9497 = -Optica`Optica`TempVar2; 
                    Compile`$9498 = Compile`$9497 + Optica`Optica`TempVar3; {
                    Compile`$9498, $CellContext`ry$ + 
                    Compile`$9498 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9498 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655498.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9483, Compile`$9500, Compile`$9501}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9483 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9483 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9483 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9500 = -Optica`Optica`TempVar2; 
                    Compile`$9501 = Compile`$9500 + Optica`Optica`TempVar3; {
                    Compile`$9501, $CellContext`ry$ + 
                    Compile`$9501 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9501 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655499.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9486, Compile`$9503, Compile`$9504}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9486 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9486 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9486 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9503 = -Optica`Optica`TempVar2; 
                    Compile`$9504 = Compile`$9503 + Optica`Optica`TempVar3; {
                    Compile`$9504, $CellContext`ry$ + 
                    Compile`$9504 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9504 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655584.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9489, Compile`$9506, Compile`$9507}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9489 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9489 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9489 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9506 = -Optica`Optica`TempVar2; 
                    Compile`$9507 = Compile`$9506 + Optica`Optica`TempVar3; {
                    Compile`$9507, $CellContext`ry$ + 
                    Compile`$9507 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9507 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655585.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9493, Compile`$9509, Compile`$9510}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9493 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9493 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9493 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9509 = -Optica`Optica`TempVar2; 
                    Compile`$9510 = Compile`$9509 + Optica`Optica`TempVar3; {
                    Compile`$9510, $CellContext`ry$ + 
                    Compile`$9510 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9510 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655670.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9496, Compile`$9515, Compile`$9516}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9496 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9496 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9496 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9515 = -Optica`Optica`TempVar2; 
                    Compile`$9516 = Compile`$9515 + Optica`Optica`TempVar3; {
                    Compile`$9516, $CellContext`ry$ + 
                    Compile`$9516 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9516 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655671.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9499, Compile`$9518, Compile`$9519}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9499 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9499 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9499 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9518 = -Optica`Optica`TempVar2; 
                    Compile`$9519 = Compile`$9518 + Optica`Optica`TempVar3; {
                    Compile`$9519, $CellContext`ry$ + 
                    Compile`$9519 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9519 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655756.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9502, Compile`$9524, Compile`$9525}, 
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9502 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9502 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9502 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9524 = -Optica`Optica`TempVar2; 
                    Compile`$9525 = Compile`$9524 + Optica`Optica`TempVar3; {
                    Compile`$9525, $CellContext`ry$ + 
                    Compile`$9525 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9525 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655757.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9505, Compile`$9527, Compile`$9528}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9505 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9505 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9505 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9527 = -Optica`Optica`TempVar2; 
                    Compile`$9528 = Compile`$9527 + Optica`Optica`TempVar3; {
                    Compile`$9528, $CellContext`ry$ + 
                    Compile`$9528 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9528 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655842.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9508, Compile`$9530, Compile`$9531}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9508 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9508 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9508 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9530 = -Optica`Optica`TempVar2; 
                    Compile`$9531 = Compile`$9530 + Optica`Optica`TempVar3; {
                    Compile`$9531, $CellContext`ry$ + 
                    Compile`$9531 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9531 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655843.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9512, Compile`$9535, Compile`$9536}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9512 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9512 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9512 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9535 = -Optica`Optica`TempVar2; 
                    Compile`$9536 = Compile`$9535 + Optica`Optica`TempVar3; {
                    Compile`$9536, $CellContext`ry$ + 
                    Compile`$9536 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9536 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655928.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9517, Compile`$9538, Compile`$9539}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9517 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9517 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9517 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, 
                    Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9538 = -Optica`Optica`TempVar2; 
                    Compile`$9539 = Compile`$9538 + Optica`Optica`TempVar3; {
                    Compile`$9539, $CellContext`ry$ + 
                    Compile`$9539 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9539 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 655929.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9520, Compile`$9541, Compile`$9543}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9520 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9520 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9520 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9541 = -Optica`Optica`TempVar2; 
                    Compile`$9543 = Compile`$9541 + Optica`Optica`TempVar3; {
                    Compile`$9543, $CellContext`ry$ + 
                    Compile`$9543 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9543 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 656014.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9526, Compile`$9545, Compile`$9546}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9526 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9526 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9526 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9545 = -Optica`Optica`TempVar2; 
                    Compile`$9546 = Compile`$9545 + Optica`Optica`TempVar3; {
                    Compile`$9546, $CellContext`ry$ + 
                    Compile`$9546 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9546 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 656015.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9529, Compile`$9548, Compile`$9549}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9529 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9529 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9529 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9548 = -Optica`Optica`TempVar2; 
                    Compile`$9549 = Compile`$9548 + Optica`Optica`TempVar3; {
                    Compile`$9549, $CellContext`ry$ + 
                    Compile`$9549 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9549 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 656100.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9532, Compile`$9551, Compile`$9552}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9532 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9532 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9532 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9551 = -Optica`Optica`TempVar2; 
                    Compile`$9552 = Compile`$9551 + Optica`Optica`TempVar3; {
                    Compile`$9552, $CellContext`ry$ + 
                    Compile`$9552 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9552 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 656101.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 1., 
                    
                    654036.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 1., 
                    654036.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x1$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y1$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x1$$], 
                    Re[$CellContext`y1$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. 
                    I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 2., 
                    654037.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 2., 
                    654037.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x1$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y1$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x1$$], 
                    Re[$CellContext`y1$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 7., 
                    654122.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 7., 
                    654122.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x2$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y2$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x2$$], 
                    Re[$CellContext`y2$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 8., 
                    654123.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 8., 
                    654123.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x2$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y2$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x2$$], 
                    Re[$CellContext`y2$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 13., 
                    654208.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 13., 
                    654208.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x3$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y3$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x3$$], 
                    Re[$CellContext`y3$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 14., 
                    654209.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 14., 
                    654209.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x3$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y3$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x3$$], 
                    Re[$CellContext`y3$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    7, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 19., 
                    654294.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 19., 
                    654294.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x4$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y4$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x4$$], 
                    Re[$CellContext`y4$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    8, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 20., 
                    654295.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 20., 
                    654295.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x4$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y4$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x4$$], 
                    Re[$CellContext`y4$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    9, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 25., 
                    654380.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 25., 
                    654380.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x5$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y5$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x5$$], 
                    Re[$CellContext`y5$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    10, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 26., 
                    654381.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 26., 
                    654381.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x5$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y5$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x5$$], 
                    Re[$CellContext`y5$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    11, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 31., 
                    654466.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 31., 
                    654466.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x6$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y6$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x6$$], 
                    Re[$CellContext`y6$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    12, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 32., 
                    654467.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 32., 
                    654467.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x6$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y6$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x6$$], 
                    Re[$CellContext`y6$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    13, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 37., 
                    654552.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 37., 
                    654552.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x7$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y7$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x7$$], 
                    Re[$CellContext`y7$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    14, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 38., 
                    654553.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 38., 
                    654553.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x7$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y7$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x7$$], 
                    Re[$CellContext`y7$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    15, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 43., 
                    654638.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 43., 
                    654638.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x8$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y8$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x8$$], 
                    Re[$CellContext`y8$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    16, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 44., 
                    654639.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 44., 
                    654639.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x8$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y8$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x8$$], 
                    Re[$CellContext`y8$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    17, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 49., 
                    654724.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 49., 
                    654724.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x9$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y9$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x9$$], 
                    Re[$CellContext`y9$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    18, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 50., 
                    654725.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 50., 
                    654725.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x9$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y9$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x9$$], 
                    Re[$CellContext`y9$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    19, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 55., 
                    654810.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 55., 
                    654810.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x10$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y10$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x10$$], 
                    Re[$CellContext`y10$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    20, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 56., 
                    654811.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 56., 
                    654811.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x10$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y10$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x10$$], 
                    Re[$CellContext`y10$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    21, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 61., 
                    654896.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 61., 
                    654896.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x11$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y11$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x11$$], 
                    Re[$CellContext`y11$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    22, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 62., 
                    654897.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 62., 
                    654897.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x11$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y11$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x11$$], 
                    Re[$CellContext`y11$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    23, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 67., 
                    654982.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 67., 
                    654982.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x12$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y12$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x12$$], 
                    Re[$CellContext`y12$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    24, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 68., 
                    654983.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 68., 
                    654983.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x12$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y12$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x12$$], 
                    Re[$CellContext`y12$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    25, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 73., 
                    655068.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 73., 
                    655068.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x13$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y13$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x13$$], 
                    Re[$CellContext`y13$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    26, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 74., 
                    655069.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 74., 
                    655069.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x13$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y13$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x13$$], 
                    Re[$CellContext`y13$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    27, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 79., 
                    655154.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 79., 
                    655154.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x14$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y14$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x14$$], 
                    Re[$CellContext`y14$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    28, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 80., 
                    655155.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 80., 
                    655155.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x14$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y14$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x14$$], 
                    Re[$CellContext`y14$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    29, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 85., 
                    655240.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 85., 
                    655240.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x15$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y15$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x15$$], 
                    Re[$CellContext`y15$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    30, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 86., 
                    655241.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 86., 
                    655241.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x15$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y15$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x15$$], 
                    Re[$CellContext`y15$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    31, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 91., 
                    655326.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 91., 
                    655326.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x16$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y16$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x16$$], 
                    Re[$CellContext`y16$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    32, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 92., 
                    655327.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 92., 
                    655327.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x16$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y16$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x16$$], 
                    Re[$CellContext`y16$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    33, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 97., 
                    655412.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 97., 
                    655412.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x17$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y17$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x17$$], 
                    Re[$CellContext`y17$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    34, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 98., 
                    655413.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 98., 
                    655413.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x17$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y17$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x17$$], 
                    Re[$CellContext`y17$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    35, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 103., 
                    655498.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 103., 
                    655498.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x18$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y18$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x18$$], 
                    Re[$CellContext`y18$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    36, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 104., 
                    655499.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 104., 
                    655499.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x18$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y18$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x18$$], 
                    Re[$CellContext`y18$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    37, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 109., 
                    655584.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 109., 
                    655584.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x19$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y19$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x19$$], 
                    Re[$CellContext`y19$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    38, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 110., 
                    655585.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 110., 
                    655585.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x19$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y19$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x19$$], 
                    Re[$CellContext`y19$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    39, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 115., 
                    655670.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 115., 
                    655670.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x20$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y20$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x20$$], 
                    Re[$CellContext`y20$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    40, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 116., 
                    655671.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 116., 
                    655671.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x20$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y20$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x20$$], 
                    Re[$CellContext`y20$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    41, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 121., 
                    655756.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 121., 
                    655756.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x21$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y21$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x21$$], 
                    Re[$CellContext`y21$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    42, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 122., 
                    655757.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 122., 
                    655757.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x21$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y21$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x21$$], 
                    Re[$CellContext`y21$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    43, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 127., 
                    655842.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 127., 
                    655842.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x22$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y22$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x22$$], 
                    Re[$CellContext`y22$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    44, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 128., 
                    655843.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 128., 
                    655843.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x22$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y22$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x22$$], 
                    Re[$CellContext`y22$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    45, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 133., 
                    655928.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 133., 
                    655928.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x23$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y23$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x23$$], 
                    Re[$CellContext`y23$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    46, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 134., 
                    655929.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 134., 
                    655929.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x23$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y23$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x23$$], 
                    Re[$CellContext`y23$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    47, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 139., 
                    656014.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 139., 
                    656014.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x24$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y24$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x24$$], 
                    Re[$CellContext`y24$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    48, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 140., 
                    656015.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 140., 
                    656015.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x24$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y24$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x24$$], 
                    Re[$CellContext`y24$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    49, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 145., 
                    656100.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 145., 
                    656100.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x25$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y25$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x25$$], 
                    Re[$CellContext`y25$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    50, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 146., 
                    656101.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 146., 
                    656101.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x25$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y25$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x25$$], 
                    Re[$CellContext`y25$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYSYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
NNxGw23w06PhNpLCDQD/2yPg
                    "]])& , $CellContext`inrays$]]]; 
              If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
             1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rex$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9268}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[Part[#, 2] <= 15., Part[#, 2] >= -15., 
                    Part[#, 3] >= -15., Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9268 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9268), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9268, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9268}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 656252.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rey$; $CellContext`ry$ = \
-$CellContext`rex$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9363}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9363 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9363), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9363, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9363}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 656253.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rex$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9268}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9268 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9268), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9268, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9268}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 656254.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rey$); $CellContext`ry$ = $CellContext`rex$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9363}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9363 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9363), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9363, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9363}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 656255.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = -$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9362}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9362 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9362), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9362, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9362}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 656256.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
-$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9362}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9362 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9362), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9362, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9362}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 656257.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rex$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 1., 
                    656252.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 1., 
                    656252.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    15. - 
                    1. $CellContext`rxhlp$; $CellContext`rey$ = \
-$CellContext`ryhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    15., 0, 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rey$; $CellContext`ry$ = \
-$CellContext`rex$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 2., 
                    656253.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 2., 
                    656253.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-$CellContext`ryhlp$; $CellContext`rey$ = -15. + $CellContext`rxhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    0, -15., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rex$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 3., 
                    656254.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 3., 
                    656254.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-15. + $CellContext`rxhlp$; $CellContext`rey$ = $CellContext`ryhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-15., 0, 
                    0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rey$); $CellContext`ry$ = $CellContext`rex$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 4., 
                    656255.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 4., 
                    656255.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$; $CellContext`rey$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    0, 15., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = -$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 5., 
                    656256.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 5., 
                    656256.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-$CellContext`rzhlp$; $CellContext`rey$ = $CellContext`ryhlp$; \
$CellContext`rez$ = -15. + $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {0., 1., 0.}, {-1., 0., 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    0, 0, -15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
-$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 6., 
                    
                    656257.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 6., 
                    656257.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-$CellContext`rzhlp$; $CellContext`rey$ = -$CellContext`ryhlp$; \
$CellContext`rez$ = 15. - 1. $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., -1.}, {0., -1., 0.}, {-1., 0.,
                     0.}}; $CellContext`surfacetranslationvector$ = {
                    0, 0, 15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 1.]); 
          If[Length[$CellContext`reportedrays$] > 
            2, $CellContext`reportedrays$ = 
            Drop[$CellContext`reportedrays$, 2], $CellContext`reportedrays$]; 
          Map[{
             Part[#, 1], 
             Part[#, 2], 
             Part[#, 3], 
             Part[#, 4], 
             Part[#, 5], 
             
             Part[#, 6]}& , $CellContext`reportedrays$]], \
$CellContext`compileoptionsetting$]]; Typeset`initDone$$ = True),
    SynchronousInitialization->False,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False,
   DynamicEvaluationTimeout->100],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.402672523278414*^9, 3.404625419155447*^9, 
  3.614749675670948*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ManipulateSystem", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Move", "[", 
      RowBox[{
       RowBox[{"LineOfRays", "[", "2", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "14"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"th", ",", "0"}], "}"}]}], "]"}], ",", " ", "\n", "\t", 
     RowBox[{"Resonate", "[", 
      RowBox[{"MapIndexed", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"xsym", " ", "=", " ", 
              RowBox[{"ToExpression", "[", 
               RowBox[{"\"\<x\>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"#2", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}], ",", 
             RowBox[{"ysym", " ", "=", " ", 
              RowBox[{"ToExpression", "[", 
               RowBox[{"\"\<y\>\"", "<>", 
                RowBox[{"ToString", "[", 
                 RowBox[{"#2", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}]}]}], "}"}], 
           ",", "\n", "\t\t", 
           RowBox[{"Move", "[", 
            RowBox[{
             RowBox[{"BallLens", "[", 
              RowBox[{"3", ",", " ", 
               RowBox[{"FresnelReflections", "->", "True"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"xsym", ",", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"ysym", ",", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}]}], "]"}]}],
           "]"}], "&"}], ",", "positions3"}], "]"}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{
       RowBox[{"Boundary", "[", "30", "]"}], ",", 
       RowBox[{"-", "15"}]}], "]"}]}], "}"}], ",", "\n", "\t\t", 
   RowBox[{"PlotType", "->", "TopView"}], ",", " ", 
   RowBox[{"ImageSize", "->", "600"}], ",", " ", 
   RowBox[{"SimplifyGraphics", "->", "False"}], ",", " ", 
   RowBox[{"AutorunSequencing", "->", 
    RowBox[{"{", 
     RowBox[{"y", ",", "th"}], "}"}]}], ",", 
   RowBox[{"StaticMode", "\[Rule]", 
    RowBox[{"NumberOfRays", "\[Rule]", "11"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.402839874110602*^9, 3.402839907843136*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`lastlocposth$$ = {-13.25, 
    0.}, $CellContext`laststartposth$$ = {-14., 0.}, $CellContext`lastth$$ = 
    0., $CellContext`maxth$$ = 
    180., $CellContext`maxx$$ = -0.14, $CellContext`maxx1$$ = -0.09, \
$CellContext`maxx10$$ = -0.051, $CellContext`maxx11$$ = -0.007, \
$CellContext`maxx12$$ = -0.007, $CellContext`maxx13$$ = -0.007, \
$CellContext`maxx14$$ = 
    0.9701059779754357, $CellContext`maxx15$$ = -0.008, $CellContext`maxx16$$ \
= 9, $CellContext`maxx17$$ = 9, $CellContext`maxx18$$ = 
    12, $CellContext`maxx19$$ = 
    11, $CellContext`maxx2$$ = -0.103, $CellContext`maxx20$$ = 
    11, $CellContext`maxx21$$ = 19, $CellContext`maxx22$$ = 
    19, $CellContext`maxx23$$ = 18, $CellContext`maxx24$$ = 
    19, $CellContext`maxx25$$ = 
    22, $CellContext`maxx3$$ = -0.108, $CellContext`maxx4$$ = -0.097, \
$CellContext`maxx5$$ = -0.095, $CellContext`maxx6$$ = -0.054, \
$CellContext`maxx7$$ = -0.046, $CellContext`maxx8$$ = -0.057, \
$CellContext`maxx9$$ = -0.049, $CellContext`maxy$$ = 
    10, $CellContext`maxy1$$ = -0.092, $CellContext`maxy10$$ = 
    19, $CellContext`maxy11$$ = -0.092, $CellContext`maxy12$$ = -0.054, \
$CellContext`maxy13$$ = -0.009, $CellContext`maxy14$$ = 
    12, $CellContext`maxy15$$ = 
    20, $CellContext`maxy16$$ = -0.108, $CellContext`maxy17$$ = -0.047, \
$CellContext`maxy18$$ = -0.005, $CellContext`maxy19$$ = 
    9, $CellContext`maxy2$$ = -0.052, $CellContext`maxy20$$ = 
    18, $CellContext`maxy21$$ = -0.102, $CellContext`maxy22$$ = -0.046, \
$CellContext`maxy23$$ = 0.8119463463299015, $CellContext`maxy24$$ = 
    10, $CellContext`maxy25$$ = 20, $CellContext`maxy3$$ = 
    0.7490367184474334, $CellContext`maxy4$$ = 11, $CellContext`maxy5$$ = 
    22, $CellContext`maxy6$$ = -0.092, $CellContext`maxy7$$ = -0.053, \
$CellContext`maxy8$$ = -0.006, $CellContext`maxy9$$ = 
    12, $CellContext`minth$$ = -180., $CellContext`minx$$ = -28, \
$CellContext`minx1$$ = -18, $CellContext`minx10$$ = -10, \
$CellContext`minx11$$ = -1.591, $CellContext`minx12$$ = -1.495, \
$CellContext`minx13$$ = -1.437, $CellContext`minx14$$ = 
    0.1, $CellContext`minx15$$ = -1.638, $CellContext`minx16$$ = 
    0.043, $CellContext`minx17$$ = 0.046, $CellContext`minx18$$ = 
    0.057, $CellContext`minx19$$ = 
    0.053, $CellContext`minx2$$ = -21, $CellContext`minx20$$ = 
    0.055, $CellContext`minx21$$ = 0.092, $CellContext`minx22$$ = 
    0.096, $CellContext`minx23$$ = 0.09, $CellContext`minx24$$ = 
    0.094, $CellContext`minx25$$ = 
    0.107, $CellContext`minx3$$ = -22, $CellContext`minx4$$ = -19, \
$CellContext`minx5$$ = -19, $CellContext`minx6$$ = -11, $CellContext`minx7$$ \
= -9, $CellContext`minx8$$ = -11, $CellContext`minx9$$ = -10, \
$CellContext`miny$$ = -10, $CellContext`miny1$$ = -19, $CellContext`miny10$$ =
     0.097, $CellContext`miny11$$ = -18, $CellContext`miny12$$ = -11, \
$CellContext`miny13$$ = -1.836, $CellContext`miny14$$ = 
    0.058, $CellContext`miny15$$ = 
    0.1, $CellContext`miny16$$ = -22, $CellContext`miny17$$ = -10, \
$CellContext`miny18$$ = -1.158, $CellContext`miny19$$ = 
    0.045, $CellContext`miny2$$ = -11, $CellContext`miny20$$ = 
    0.09, $CellContext`miny21$$ = -21, $CellContext`miny22$$ = -9, \
$CellContext`miny23$$ = -0.8119463463299015, $CellContext`miny24$$ = 
    0.047, $CellContext`miny25$$ = 
    0.098, $CellContext`miny3$$ = -0.7490367184474334, $CellContext`miny4$$ = 
    0.056, $CellContext`miny5$$ = 
    0.107, $CellContext`miny6$$ = -18, $CellContext`miny7$$ = -11, \
$CellContext`miny8$$ = -1.255, $CellContext`miny9$$ = 
    0.058, $CellContext`radiusth$$ = 
    0.75, $CellContext`staticpolygons111889820147194947603409$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons121889820147194947628155$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons131889820147194947652723$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons141889820147194947677186$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons151889820147194947700839$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons161889820147194947725686$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons171889820147194947755106$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons181889820147194947777299$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons191889820147194947801368$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons201889820147194947824786$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons211889820147194947851426$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons221889820147194947877351$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
      
      "]]}, $CellContext`staticpolygons231889820147194947900956$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons241889820147194947924790$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons251889820147194947951086$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons261889820147194947974475$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons271889820147194947998657$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons281889820147194948022551$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons291889820147194948048242$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
      
      "]]}, $CellContext`staticpolygons301889820147194948072279$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons311889820147194948096301$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons321889820147194948120604$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons331889820147194948146370$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons341889820147194948175213$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons351889820147194948198421$$ = {
     AbsoluteThickness[1], 
     AbsolutePointSize[1], 
     EdgeForm[], 
     RGBColor[0.4, 0.6, 0.8], 
     Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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      
      "]]}, $CellContext`staticpolygons361889820147194948200587$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAE9Bxz0AQJ8QvQBImlC9lFbH7n+wMUnVZxY
f+AyBxeNoQ8AtlgqAg==
      "]]}, $CellContext`th$$ = 
    0., $CellContext`x$$ = -14., $CellContext`x1$$ = -9.076855764848366, \
$CellContext`x10$$ = -5.173178216303013, $CellContext`x11$$ = \
-0.7955110594074011, $CellContext`x12$$ = -0.7478948293401275, \
$CellContext`x13$$ = -0.7186552945590348, $CellContext`x14$$ = 
    0.6467373186502905, $CellContext`x15$$ = -0.8194264060546097, \
$CellContext`x16$$ = 4.357650915848823, $CellContext`x17$$ = 
    4.6940494899534215`, $CellContext`x18$$ = 
    5.761209738087384, $CellContext`x19$$ = 
    5.37340128254856, $CellContext`x2$$ = -10.394632147990418`, \
$CellContext`x20$$ = 5.509923075060153, $CellContext`x21$$ = 
    9.283972532733976, $CellContext`x22$$ = 
    9.683101291363167, $CellContext`x23$$ = 
    9.079483592141377, $CellContext`x24$$ = 
    9.430996120703295, $CellContext`x25$$ = 
    10.798138886700412`, $CellContext`x3$$ = -10.899228888504425`, \
$CellContext`x4$$ = -9.710913597198532, $CellContext`x5$$ = \
-9.513475896008032, $CellContext`x6$$ = -5.40355882223856, $CellContext`x7$$ \
= -4.6793517925951384`, $CellContext`x8$$ = -5.748713336972769, \
$CellContext`x9$$ = -4.910571250185416, $CellContext`xoffth$$ = 
    0.75, $CellContext`xth$$ = -13.25, $CellContext`y$$ = 
    0., $CellContext`y1$$ = -9.287305236569473, $CellContext`y10$$ = 
    9.735947781279659, $CellContext`y11$$ = -9.20556162661241, \
$CellContext`y12$$ = -5.446293109949963, $CellContext`y13$$ = \
-0.9182563900429362, $CellContext`y14$$ = 
    5.823234725927334, $CellContext`y15$$ = 
    10.00683993811232, $CellContext`y16$$ = -10.813492579691129`, \
$CellContext`y17$$ = -4.757029915968235, $CellContext`y18$$ = \
-0.5792642424399462, $CellContext`y19$$ = 
    4.583301414587303, $CellContext`y2$$ = -5.269527835877297, \
$CellContext`y20$$ = 
    9.048467316503901, $CellContext`y21$$ = -10.286756261245399`, \
$CellContext`y22$$ = -4.687480464775758, $CellContext`y23$$ = \
-0.08119463463299015, $CellContext`y24$$ = 
    4.758812645174205, $CellContext`y25$$ = 
    9.837061755409946, $CellContext`y3$$ = 
    0.07490367184474334, $CellContext`y4$$ = 
    5.636727305618463, $CellContext`y5$$ = 
    10.763869854080555`, $CellContext`y6$$ = -9.234228337251183, \
$CellContext`y7$$ = -5.340331330555538, $CellContext`y8$$ = \
-0.6277315589438477, $CellContext`y9$$ = 
    5.870057675832702, $CellContext`yoffth$$ = 0., $CellContext`yth$$ = 0., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`th$$], 0.}, -180., 180.}, {{
       Hold[$CellContext`x$$], -14.}, -28, -0.14}, {{
       Hold[$CellContext`y$$], 0.}, -10, 10}, {{
       Hold[$CellContext`x1$$], -9.076855764848366}, -18, -0.09}, {{
       Hold[$CellContext`x10$$], -5.173178216303013}, -10, -0.051}, {{
       Hold[$CellContext`x11$$], -0.7955110594074011}, -1.591, -0.007}, {{
       Hold[$CellContext`x12$$], -0.7478948293401275}, -1.495, -0.007}, {{
       Hold[$CellContext`x13$$], -0.7186552945590348}, -1.437, -0.007}, {{
       Hold[$CellContext`x14$$], 0.6467373186502905}, 0.1, 
      0.9701059779754357}, {{
       Hold[$CellContext`x15$$], -0.8194264060546097}, -1.638, -0.008}, {{
       Hold[$CellContext`x16$$], 4.357650915848823}, 0.043, 9}, {{
       Hold[$CellContext`x17$$], 4.6940494899534215`}, 0.046, 9}, {{
       Hold[$CellContext`x18$$], 5.761209738087384}, 0.057, 12}, {{
       Hold[$CellContext`x19$$], 5.37340128254856}, 0.053, 11}, {{
       Hold[$CellContext`x2$$], -10.394632147990418`}, -21, -0.103}, {{
       Hold[$CellContext`x20$$], 5.509923075060153}, 0.055, 11}, {{
       Hold[$CellContext`x21$$], 9.283972532733976}, 0.092, 19}, {{
       Hold[$CellContext`x22$$], 9.683101291363167}, 0.096, 19}, {{
       Hold[$CellContext`x23$$], 9.079483592141377}, 0.09, 18}, {{
       Hold[$CellContext`x24$$], 9.430996120703295}, 0.094, 19}, {{
       Hold[$CellContext`x25$$], 10.798138886700412`}, 0.107, 22}, {{
       Hold[$CellContext`x3$$], -10.899228888504425`}, -22, -0.108}, {{
       Hold[$CellContext`x4$$], -9.710913597198532}, -19, -0.097}, {{
       Hold[$CellContext`x5$$], -9.513475896008032}, -19, -0.095}, {{
       Hold[$CellContext`x6$$], -5.40355882223856}, -11, -0.054}, {{
       Hold[$CellContext`x7$$], -4.6793517925951384`}, -9, -0.046}, {{
       Hold[$CellContext`x8$$], -5.748713336972769}, -11, -0.057}, {{
       Hold[$CellContext`x9$$], -4.910571250185416}, -10, -0.049}, {{
       Hold[$CellContext`y1$$], -9.287305236569473}, -19, -0.092}, {{
       Hold[$CellContext`y10$$], 9.735947781279659}, 0.097, 19}, {{
       Hold[$CellContext`y11$$], -9.20556162661241}, -18, -0.092}, {{
       Hold[$CellContext`y12$$], -5.446293109949963}, -11, -0.054}, {{
       Hold[$CellContext`y13$$], -0.9182563900429362}, -1.836, -0.009}, {{
       Hold[$CellContext`y14$$], 5.823234725927334}, 0.058, 12}, {{
       Hold[$CellContext`y15$$], 10.00683993811232}, 0.1, 20}, {{
       Hold[$CellContext`y16$$], -10.813492579691129`}, -22, -0.108}, {{
       Hold[$CellContext`y17$$], -4.757029915968235}, -10, -0.047}, {{
       Hold[$CellContext`y18$$], -0.5792642424399462}, -1.158, -0.005}, {{
       Hold[$CellContext`y19$$], 4.583301414587303}, 0.045, 9}, {{
       Hold[$CellContext`y2$$], -5.269527835877297}, -11, -0.052}, {{
       Hold[$CellContext`y20$$], 9.048467316503901}, 0.09, 18}, {{
       Hold[$CellContext`y21$$], -10.286756261245399`}, -21, -0.102}, {{
       Hold[$CellContext`y22$$], -4.687480464775758}, -9, -0.046}, {{
       Hold[$CellContext`y23$$], -0.08119463463299015}, -0.8119463463299015, 
      0.8119463463299015}, {{
       Hold[$CellContext`y24$$], 4.758812645174205}, 0.047, 10}, {{
       Hold[$CellContext`y25$$], 9.837061755409946}, 0.098, 20}, {{
       Hold[$CellContext`y3$$], 0.07490367184474334}, -0.7490367184474334, 
      0.7490367184474334}, {{
       Hold[$CellContext`y4$$], 5.636727305618463}, 0.056, 11}, {{
       Hold[$CellContext`y5$$], 10.763869854080555`}, 0.107, 22}, {{
       Hold[$CellContext`y6$$], -9.234228337251183}, -18, -0.092}, {{
       Hold[$CellContext`y7$$], -5.340331330555538}, -11, -0.053}, {{
       Hold[$CellContext`y8$$], -0.6277315589438477}, -1.255, -0.006}, {{
       Hold[$CellContext`y9$$], 5.870057675832702}, 0.058, 12}, {{
       Hold[$CellContext`minth$$], -180.}}, {{
       Hold[$CellContext`maxth$$], 180.}}, {{
       Hold[$CellContext`minx$$], -28}}, {{
       Hold[$CellContext`maxx$$], -0.14}}, {{
       Hold[$CellContext`miny$$], -10}}, {{
       Hold[$CellContext`maxy$$], 10}}, {{
       Hold[$CellContext`minx1$$], -18}}, {{
       Hold[$CellContext`maxx1$$], -0.09}}, {{
       Hold[$CellContext`minx10$$], -10}}, {{
       Hold[$CellContext`maxx10$$], -0.051}}, {{
       Hold[$CellContext`minx11$$], -1.591}}, {{
       Hold[$CellContext`maxx11$$], -0.007}}, {{
       Hold[$CellContext`minx12$$], -1.495}}, {{
       Hold[$CellContext`maxx12$$], -0.007}}, {{
       Hold[$CellContext`minx13$$], -1.437}}, {{
       Hold[$CellContext`maxx13$$], -0.007}}, {{
       Hold[$CellContext`minx14$$], 0.1}}, {{
       Hold[$CellContext`maxx14$$], 0.9701059779754357}}, {{
       Hold[$CellContext`minx15$$], -1.638}}, {{
       Hold[$CellContext`maxx15$$], -0.008}}, {{
       Hold[$CellContext`minx16$$], 0.043}}, {{
       Hold[$CellContext`maxx16$$], 9}}, {{
       Hold[$CellContext`minx17$$], 0.046}}, {{
       Hold[$CellContext`maxx17$$], 9}}, {{
       Hold[$CellContext`minx18$$], 0.057}}, {{
       Hold[$CellContext`maxx18$$], 12}}, {{
       Hold[$CellContext`minx19$$], 0.053}}, {{
       Hold[$CellContext`maxx19$$], 11}}, {{
       Hold[$CellContext`minx2$$], -21}}, {{
       Hold[$CellContext`maxx2$$], -0.103}}, {{
       Hold[$CellContext`minx20$$], 0.055}}, {{
       Hold[$CellContext`maxx20$$], 11}}, {{
       Hold[$CellContext`minx21$$], 0.092}}, {{
       Hold[$CellContext`maxx21$$], 19}}, {{
       Hold[$CellContext`minx22$$], 0.096}}, {{
       Hold[$CellContext`maxx22$$], 19}}, {{
       Hold[$CellContext`minx23$$], 0.09}}, {{
       Hold[$CellContext`maxx23$$], 18}}, {{
       Hold[$CellContext`minx24$$], 0.094}}, {{
       Hold[$CellContext`maxx24$$], 19}}, {{
       Hold[$CellContext`minx25$$], 0.107}}, {{
       Hold[$CellContext`maxx25$$], 22}}, {{
       Hold[$CellContext`minx3$$], -22}}, {{
       Hold[$CellContext`maxx3$$], -0.108}}, {{
       Hold[$CellContext`minx4$$], -19}}, {{
       Hold[$CellContext`maxx4$$], -0.097}}, {{
       Hold[$CellContext`minx5$$], -19}}, {{
       Hold[$CellContext`maxx5$$], -0.095}}, {{
       Hold[$CellContext`minx6$$], -11}}, {{
       Hold[$CellContext`maxx6$$], -0.054}}, {{
       Hold[$CellContext`minx7$$], -9}}, {{
       Hold[$CellContext`maxx7$$], -0.046}}, {{
       Hold[$CellContext`minx8$$], -11}}, {{
       Hold[$CellContext`maxx8$$], -0.057}}, {{
       Hold[$CellContext`minx9$$], -10}}, {{
       Hold[$CellContext`maxx9$$], -0.049}}, {{
       Hold[$CellContext`miny1$$], -19}}, {{
       Hold[$CellContext`maxy1$$], -0.092}}, {{
       Hold[$CellContext`miny10$$], 0.097}}, {{
       Hold[$CellContext`maxy10$$], 19}}, {{
       Hold[$CellContext`miny11$$], -18}}, {{
       Hold[$CellContext`maxy11$$], -0.092}}, {{
       Hold[$CellContext`miny12$$], -11}}, {{
       Hold[$CellContext`maxy12$$], -0.054}}, {{
       Hold[$CellContext`miny13$$], -1.836}}, {{
       Hold[$CellContext`maxy13$$], -0.009}}, {{
       Hold[$CellContext`miny14$$], 0.058}}, {{
       Hold[$CellContext`maxy14$$], 12}}, {{
       Hold[$CellContext`miny15$$], 0.1}}, {{
       Hold[$CellContext`maxy15$$], 20}}, {{
       Hold[$CellContext`miny16$$], -22}}, {{
       Hold[$CellContext`maxy16$$], -0.108}}, {{
       Hold[$CellContext`miny17$$], -10}}, {{
       Hold[$CellContext`maxy17$$], -0.047}}, {{
       Hold[$CellContext`miny18$$], -1.158}}, {{
       Hold[$CellContext`maxy18$$], -0.005}}, {{
       Hold[$CellContext`miny19$$], 0.045}}, {{
       Hold[$CellContext`maxy19$$], 9}}, {{
       Hold[$CellContext`miny2$$], -11}}, {{
       Hold[$CellContext`maxy2$$], -0.052}}, {{
       Hold[$CellContext`miny20$$], 0.09}}, {{
       Hold[$CellContext`maxy20$$], 18}}, {{
       Hold[$CellContext`miny21$$], -21}}, {{
       Hold[$CellContext`maxy21$$], -0.102}}, {{
       Hold[$CellContext`miny22$$], -9}}, {{
       Hold[$CellContext`maxy22$$], -0.046}}, {{
       Hold[$CellContext`miny23$$], -0.8119463463299015}}, {{
       Hold[$CellContext`maxy23$$], 0.8119463463299015}}, {{
       Hold[$CellContext`miny24$$], 0.047}}, {{
       Hold[$CellContext`maxy24$$], 10}}, {{
       Hold[$CellContext`miny25$$], 0.098}}, {{
       Hold[$CellContext`maxy25$$], 20}}, {{
       Hold[$CellContext`miny3$$], -0.7490367184474334}}, {{
       Hold[$CellContext`maxy3$$], 0.7490367184474334}}, {{
       Hold[$CellContext`miny4$$], 0.056}}, {{
       Hold[$CellContext`maxy4$$], 11}}, {{
       Hold[$CellContext`miny5$$], 0.107}}, {{
       Hold[$CellContext`maxy5$$], 22}}, {{
       Hold[$CellContext`miny6$$], -18}}, {{
       Hold[$CellContext`maxy6$$], -0.092}}, {{
       Hold[$CellContext`miny7$$], -11}}, {{
       Hold[$CellContext`maxy7$$], -0.053}}, {{
       Hold[$CellContext`miny8$$], -1.255}}, {{
       Hold[$CellContext`maxy8$$], -0.006}}, {{
       Hold[$CellContext`miny9$$], 0.058}}, {{
       Hold[$CellContext`maxy9$$], 12}}, {{
       Hold[$CellContext`minth$$], -180.}}, {{
       Hold[$CellContext`maxth$$], 180.}}, {{
       Hold[$CellContext`minx$$], -28}}, {{
       Hold[$CellContext`maxx$$], -0.14}}, {{
       Hold[$CellContext`miny$$], -10}}, {{
       Hold[$CellContext`maxy$$], 10}}, {{
       Hold[$CellContext`minx1$$], -18}}, {{
       Hold[$CellContext`maxx1$$], -0.09}}, {{
       Hold[$CellContext`minx10$$], -10}}, {{
       Hold[$CellContext`maxx10$$], -0.051}}, {{
       Hold[$CellContext`minx11$$], -1.591}}, {{
       Hold[$CellContext`maxx11$$], -0.007}}, {{
       Hold[$CellContext`minx12$$], -1.495}}, {{
       Hold[$CellContext`maxx12$$], -0.007}}, {{
       Hold[$CellContext`minx13$$], -1.437}}, {{
       Hold[$CellContext`maxx13$$], -0.007}}, {{
       Hold[$CellContext`minx14$$], 0.1}}, {{
       Hold[$CellContext`maxx14$$], 0.9701059779754357}}, {{
       Hold[$CellContext`minx15$$], -1.638}}, {{
       Hold[$CellContext`maxx15$$], -0.008}}, {{
       Hold[$CellContext`minx16$$], 0.043}}, {{
       Hold[$CellContext`maxx16$$], 9}}, {{
       Hold[$CellContext`minx17$$], 0.046}}, {{
       Hold[$CellContext`maxx17$$], 9}}, {{
       Hold[$CellContext`minx18$$], 0.057}}, {{
       Hold[$CellContext`maxx18$$], 12}}, {{
       Hold[$CellContext`minx19$$], 0.053}}, {{
       Hold[$CellContext`maxx19$$], 11}}, {{
       Hold[$CellContext`minx2$$], -21}}, {{
       Hold[$CellContext`maxx2$$], -0.103}}, {{
       Hold[$CellContext`minx20$$], 0.055}}, {{
       Hold[$CellContext`maxx20$$], 11}}, {{
       Hold[$CellContext`minx21$$], 0.092}}, {{
       Hold[$CellContext`maxx21$$], 19}}, {{
       Hold[$CellContext`minx22$$], 0.096}}, {{
       Hold[$CellContext`maxx22$$], 19}}, {{
       Hold[$CellContext`minx23$$], 0.09}}, {{
       Hold[$CellContext`maxx23$$], 18}}, {{
       Hold[$CellContext`minx24$$], 0.094}}, {{
       Hold[$CellContext`maxx24$$], 19}}, {{
       Hold[$CellContext`minx25$$], 0.107}}, {{
       Hold[$CellContext`maxx25$$], 22}}, {{
       Hold[$CellContext`minx3$$], -22}}, {{
       Hold[$CellContext`maxx3$$], -0.108}}, {{
       Hold[$CellContext`minx4$$], -19}}, {{
       Hold[$CellContext`maxx4$$], -0.097}}, {{
       Hold[$CellContext`minx5$$], -19}}, {{
       Hold[$CellContext`maxx5$$], -0.095}}, {{
       Hold[$CellContext`minx6$$], -11}}, {{
       Hold[$CellContext`maxx6$$], -0.054}}, {{
       Hold[$CellContext`minx7$$], -9}}, {{
       Hold[$CellContext`maxx7$$], -0.046}}, {{
       Hold[$CellContext`minx8$$], -11}}, {{
       Hold[$CellContext`maxx8$$], -0.057}}, {{
       Hold[$CellContext`minx9$$], -10}}, {{
       Hold[$CellContext`maxx9$$], -0.049}}, {{
       Hold[$CellContext`miny1$$], -19}}, {{
       Hold[$CellContext`maxy1$$], -0.092}}, {{
       Hold[$CellContext`miny10$$], 0.097}}, {{
       Hold[$CellContext`maxy10$$], 19}}, {{
       Hold[$CellContext`miny11$$], -18}}, {{
       Hold[$CellContext`maxy11$$], -0.092}}, {{
       Hold[$CellContext`miny12$$], -11}}, {{
       Hold[$CellContext`maxy12$$], -0.054}}, {{
       Hold[$CellContext`miny13$$], -1.836}}, {{
       Hold[$CellContext`maxy13$$], -0.009}}, {{
       Hold[$CellContext`miny14$$], 0.058}}, {{
       Hold[$CellContext`maxy14$$], 12}}, {{
       Hold[$CellContext`miny15$$], 0.1}}, {{
       Hold[$CellContext`maxy15$$], 20}}, {{
       Hold[$CellContext`miny16$$], -22}}, {{
       Hold[$CellContext`maxy16$$], -0.108}}, {{
       Hold[$CellContext`miny17$$], -10}}, {{
       Hold[$CellContext`maxy17$$], -0.047}}, {{
       Hold[$CellContext`miny18$$], -1.158}}, {{
       Hold[$CellContext`maxy18$$], -0.005}}, {{
       Hold[$CellContext`miny19$$], 0.045}}, {{
       Hold[$CellContext`maxy19$$], 9}}, {{
       Hold[$CellContext`miny2$$], -11}}, {{
       Hold[$CellContext`maxy2$$], -0.052}}, {{
       Hold[$CellContext`miny20$$], 0.09}}, {{
       Hold[$CellContext`maxy20$$], 18}}, {{
       Hold[$CellContext`miny21$$], -21}}, {{
       Hold[$CellContext`maxy21$$], -0.102}}, {{
       Hold[$CellContext`miny22$$], -9}}, {{
       Hold[$CellContext`maxy22$$], -0.046}}, {{
       Hold[$CellContext`miny23$$], -0.8119463463299015}}, {{
       Hold[$CellContext`maxy23$$], 0.8119463463299015}}, {{
       Hold[$CellContext`miny24$$], 0.047}}, {{
       Hold[$CellContext`maxy24$$], 10}}, {{
       Hold[$CellContext`miny25$$], 0.098}}, {{
       Hold[$CellContext`maxy25$$], 20}}, {{
       Hold[$CellContext`miny3$$], -0.7490367184474334}}, {{
       Hold[$CellContext`maxy3$$], 0.7490367184474334}}, {{
       Hold[$CellContext`miny4$$], 0.056}}, {{
       Hold[$CellContext`maxy4$$], 11}}, {{
       Hold[$CellContext`miny5$$], 0.107}}, {{
       Hold[$CellContext`maxy5$$], 22}}, {{
       Hold[$CellContext`miny6$$], -18}}, {{
       Hold[$CellContext`maxy6$$], -0.092}}, {{
       Hold[$CellContext`miny7$$], -11}}, {{
       Hold[$CellContext`maxy7$$], -0.053}}, {{
       Hold[$CellContext`miny8$$], -1.255}}, {{
       Hold[$CellContext`maxy8$$], -0.006}}, {{
       Hold[$CellContext`miny9$$], 0.058}}, {{
       Hold[$CellContext`maxy9$$], 12}}, {
      Hold[
       Button[
       "Report", 
        Optica`Optica`$OpticalSystemSettings = {
          Optica`Optica`SymbolicValues -> 
           MapThread[
            ToExpression[#] -> #2& , {{
              "th", "x", "x1", "x10", "x11", "x12", "x13", "x14", "x15", 
               "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", "x23", 
               "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "y", 
               "y1", "y10", "y11", "y12", "y13", "y14", "y15", "y16", "y17", 
               "y18", "y19", "y2", "y20", "y21", "y22", "y23", "y24", "y25", 
               "y3", "y4", "y5", "y6", "y7", "y8", 
               "y9"}, {$CellContext`th$$, $CellContext`x$$, \
$CellContext`x1$$, $CellContext`x10$$, $CellContext`x11$$, \
$CellContext`x12$$, $CellContext`x13$$, $CellContext`x14$$, \
$CellContext`x15$$, $CellContext`x16$$, $CellContext`x17$$, \
$CellContext`x18$$, $CellContext`x19$$, $CellContext`x2$$, \
$CellContext`x20$$, $CellContext`x21$$, $CellContext`x22$$, \
$CellContext`x23$$, $CellContext`x24$$, $CellContext`x25$$, \
$CellContext`x3$$, $CellContext`x4$$, $CellContext`x5$$, $CellContext`x6$$, \
$CellContext`x7$$, $CellContext`x8$$, $CellContext`x9$$, $CellContext`y$$, \
$CellContext`y1$$, $CellContext`y10$$, $CellContext`y11$$, \
$CellContext`y12$$, $CellContext`y13$$, $CellContext`y14$$, \
$CellContext`y15$$, $CellContext`y16$$, $CellContext`y17$$, \
$CellContext`y18$$, $CellContext`y19$$, $CellContext`y2$$, \
$CellContext`y20$$, $CellContext`y21$$, $CellContext`y22$$, \
$CellContext`y23$$, $CellContext`y24$$, $CellContext`y25$$, \
$CellContext`y3$$, $CellContext`y4$$, $CellContext`y5$$, $CellContext`y6$$, \
$CellContext`y7$$, $CellContext`y8$$, $CellContext`y9$$}}], 
           Optica`Optica`SymbolicRanges -> Map[ToExpression[
               Part[#, 1]] -> {
               Part[#, 2], 
               Part[#, 3]}& , 
             Select[
              
              Transpose[{{
                "th", "x", "x1", "x10", "x11", "x12", "x13", "x14", "x15", 
                 "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", "x23",
                  "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "y",
                  "y1", "y10", "y11", "y12", "y13", "y14", "y15", "y16", 
                 "y17", "y18", "y19", "y2", "y20", "y21", "y22", "y23", "y24",
                  "y25", "y3", "y4", "y5", "y6", "y7", "y8", 
                 "y9"}, {$CellContext`minth$$, $CellContext`minx$$, \
$CellContext`minx1$$, $CellContext`minx10$$, $CellContext`minx11$$, \
$CellContext`minx12$$, $CellContext`minx13$$, $CellContext`minx14$$, \
$CellContext`minx15$$, $CellContext`minx16$$, $CellContext`minx17$$, \
$CellContext`minx18$$, $CellContext`minx19$$, $CellContext`minx2$$, \
$CellContext`minx20$$, $CellContext`minx21$$, $CellContext`minx22$$, \
$CellContext`minx23$$, $CellContext`minx24$$, $CellContext`minx25$$, \
$CellContext`minx3$$, $CellContext`minx4$$, $CellContext`minx5$$, \
$CellContext`minx6$$, $CellContext`minx7$$, $CellContext`minx8$$, \
$CellContext`minx9$$, $CellContext`miny$$, $CellContext`miny1$$, \
$CellContext`miny10$$, $CellContext`miny11$$, $CellContext`miny12$$, \
$CellContext`miny13$$, $CellContext`miny14$$, $CellContext`miny15$$, \
$CellContext`miny16$$, $CellContext`miny17$$, $CellContext`miny18$$, \
$CellContext`miny19$$, $CellContext`miny2$$, $CellContext`miny20$$, \
$CellContext`miny21$$, $CellContext`miny22$$, $CellContext`miny23$$, \
$CellContext`miny24$$, $CellContext`miny25$$, $CellContext`miny3$$, \
$CellContext`miny4$$, $CellContext`miny5$$, $CellContext`miny6$$, \
$CellContext`miny7$$, $CellContext`miny8$$, $CellContext`miny9$$}, \
{$CellContext`maxth$$, $CellContext`maxx$$, $CellContext`maxx1$$, \
$CellContext`maxx10$$, $CellContext`maxx11$$, $CellContext`maxx12$$, \
$CellContext`maxx13$$, $CellContext`maxx14$$, $CellContext`maxx15$$, \
$CellContext`maxx16$$, $CellContext`maxx17$$, $CellContext`maxx18$$, \
$CellContext`maxx19$$, $CellContext`maxx2$$, $CellContext`maxx20$$, \
$CellContext`maxx21$$, $CellContext`maxx22$$, $CellContext`maxx23$$, \
$CellContext`maxx24$$, $CellContext`maxx25$$, $CellContext`maxx3$$, \
$CellContext`maxx4$$, $CellContext`maxx5$$, $CellContext`maxx6$$, \
$CellContext`maxx7$$, $CellContext`maxx8$$, $CellContext`maxx9$$, \
$CellContext`maxy$$, $CellContext`maxy1$$, $CellContext`maxy10$$, \
$CellContext`maxy11$$, $CellContext`maxy12$$, $CellContext`maxy13$$, \
$CellContext`maxy14$$, $CellContext`maxy15$$, $CellContext`maxy16$$, \
$CellContext`maxy17$$, $CellContext`maxy18$$, $CellContext`maxy19$$, \
$CellContext`maxy2$$, $CellContext`maxy20$$, $CellContext`maxy21$$, \
$CellContext`maxy22$$, $CellContext`maxy23$$, $CellContext`maxy24$$, \
$CellContext`maxy25$$, $CellContext`maxy3$$, $CellContext`maxy4$$, \
$CellContext`maxy5$$, $CellContext`maxy6$$, $CellContext`maxy7$$, \
$CellContext`maxy8$$, $CellContext`maxy9$$}}], NumberQ[
               Part[#, 2]]& ]]}; 
        Optica`Optica`$OpticalSystemScript = 
         "{Move[LineOfRays[2], {{x, -14.}, {y, 0}}, {th, 0.}, SymbolicValues \
-> {th -> 0, x -> -14, y -> 0}], Resonate[{Move[BallLens[3, \
{FresnelReflections -> True}], {{x1, -9.076855764848366}, {y1, \
-9.287305236569473}}, SymbolicValues -> {x1 -> -9.076855764848366, y1 -> \
-9.287305236569473}], Move[BallLens[3, {FresnelReflections -> True}], {{x2, \
-10.394632147990418}, {y2, -5.269527835877297}}, SymbolicValues -> {x2 -> \
-10.394632147990418, y2 -> -5.269527835877297}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x3, -10.899228888504425}, {y3, \
0.07490367184474334}}, SymbolicValues -> {x3 -> -10.899228888504425, y3 -> \
0.07490367184474334}], Move[BallLens[3, {FresnelReflections -> True}], {{x4, \
-9.710913597198532}, {y4, 5.636727305618463}}, SymbolicValues -> {x4 -> \
-9.710913597198532, y4 -> 5.636727305618463}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x5, -9.513475896008032}, {y5, \
10.763869854080555}}, SymbolicValues -> {x5 -> -9.513475896008032, y5 -> \
10.763869854080555}], Move[BallLens[3, {FresnelReflections -> True}], {{x6, \
-5.40355882223856}, {y6, -9.234228337251183}}, SymbolicValues -> {x6 -> \
-5.40355882223856, y6 -> -9.234228337251183}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x7, -4.6793517925951384}, {y7, \
-5.340331330555538}}, SymbolicValues -> {x7 -> -4.6793517925951384, y7 -> \
-5.340331330555538}], Move[BallLens[3, {FresnelReflections -> True}], {{x8, \
-5.748713336972769}, {y8, -0.6277315589438477}}, SymbolicValues -> {x8 -> \
-5.748713336972769, y8 -> -0.6277315589438477}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x9, -4.910571250185416}, {y9, \
5.870057675832702}}, SymbolicValues -> {x9 -> -4.910571250185416, y9 -> \
5.870057675832702}], Move[BallLens[3, {FresnelReflections -> True}], {{x10, \
-5.173178216303013}, {y10, 9.735947781279659}}, SymbolicValues -> {x10 -> \
-5.173178216303013, y10 -> 9.735947781279659}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x11, -0.7955110594074011}, {y11, \
-9.20556162661241}}, SymbolicValues -> {x11 -> -0.7955110594074011, y11 -> \
-9.20556162661241}], Move[BallLens[3, {FresnelReflections -> True}], {{x12, \
-0.7478948293401275}, {y12, -5.446293109949963}}, SymbolicValues -> {x12 -> \
-0.7478948293401275, y12 -> -5.446293109949963}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x13, -0.7186552945590348}, {y13, \
-0.9182563900429362}}, SymbolicValues -> {x13 -> -0.7186552945590348, y13 -> \
-0.9182563900429362}], Move[BallLens[3, {FresnelReflections -> True}], {{x14, \
0.6467373186502905}, {y14, 5.823234725927334}}, SymbolicValues -> {x14 -> \
0.6467373186502905, y14 -> 5.823234725927334}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x15, -0.8194264060546097}, {y15, \
10.00683993811232}}, SymbolicValues -> {x15 -> -0.8194264060546097, y15 -> \
10.00683993811232}], Move[BallLens[3, {FresnelReflections -> True}], {{x16, \
4.357650915848823}, {y16, -10.813492579691129}}, SymbolicValues -> {x16 -> \
4.357650915848823, y16 -> -10.813492579691129}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x17, 4.6940494899534215}, {y17, \
-4.757029915968235}}, SymbolicValues -> {x17 -> 4.6940494899534215, y17 -> \
-4.757029915968235}], Move[BallLens[3, {FresnelReflections -> True}], {{x18, \
5.761209738087384}, {y18, -0.5792642424399462}}, SymbolicValues -> {x18 -> \
5.761209738087384, y18 -> -0.5792642424399462}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x19, 5.37340128254856}, {y19, \
4.583301414587303}}, SymbolicValues -> {x19 -> 5.37340128254856, y19 -> \
4.583301414587303}], Move[BallLens[3, {FresnelReflections -> True}], {{x20, \
5.509923075060153}, {y20, 9.048467316503901}}, SymbolicValues -> {x20 -> \
5.509923075060153, y20 -> 9.048467316503901}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x21, 9.283972532733976}, {y21, \
-10.286756261245399}}, SymbolicValues -> {x21 -> 9.283972532733976, y21 -> \
-10.286756261245399}], Move[BallLens[3, {FresnelReflections -> True}], {{x22, \
9.683101291363167}, {y22, -4.687480464775758}}, SymbolicValues -> {x22 -> \
9.683101291363167, y22 -> -4.687480464775758}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x23, 9.079483592141377}, {y23, \
-0.08119463463299015}}, SymbolicValues -> {x23 -> 9.079483592141377, y23 -> \
-0.08119463463299015}], Move[BallLens[3, {FresnelReflections -> True}], \
{{x24, 9.430996120703295}, {y24, 4.758812645174205}}, SymbolicValues -> {x24 \
-> 9.430996120703295, y24 -> 4.758812645174205}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x25, 10.798138886700412}, {y25, \
9.837061755409946}}, SymbolicValues -> {x25 -> 10.798138886700412, y25 -> \
9.837061755409946}]}], Move[Boundary[{0, -15, -15}, {30, 15, 15}], -15.]}"; 
        Print[
          InputForm[
           StringJoin["{SymbolicValues -> ", 
            ToString[
             MapThread[StringJoin[#, "->", 
               ToString[#2, InputForm]]& , {{
               "th", "x", "x1", "x10", "x11", "x12", "x13", "x14", "x15", 
                "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", "x23", 
                "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "y", 
                "y1", "y10", "y11", "y12", "y13", "y14", "y15", "y16", "y17", 
                "y18", "y19", "y2", "y20", "y21", "y22", "y23", "y24", "y25", 
                "y3", "y4", "y5", "y6", "y7", "y8", 
                "y9"}, {$CellContext`th$$, $CellContext`x$$, \
$CellContext`x1$$, $CellContext`x10$$, $CellContext`x11$$, \
$CellContext`x12$$, $CellContext`x13$$, $CellContext`x14$$, \
$CellContext`x15$$, $CellContext`x16$$, $CellContext`x17$$, \
$CellContext`x18$$, $CellContext`x19$$, $CellContext`x2$$, \
$CellContext`x20$$, $CellContext`x21$$, $CellContext`x22$$, \
$CellContext`x23$$, $CellContext`x24$$, $CellContext`x25$$, \
$CellContext`x3$$, $CellContext`x4$$, $CellContext`x5$$, $CellContext`x6$$, \
$CellContext`x7$$, $CellContext`x8$$, $CellContext`x9$$, $CellContext`y$$, \
$CellContext`y1$$, $CellContext`y10$$, $CellContext`y11$$, \
$CellContext`y12$$, $CellContext`y13$$, $CellContext`y14$$, \
$CellContext`y15$$, $CellContext`y16$$, $CellContext`y17$$, \
$CellContext`y18$$, $CellContext`y19$$, $CellContext`y2$$, \
$CellContext`y20$$, $CellContext`y21$$, $CellContext`y22$$, \
$CellContext`y23$$, $CellContext`y24$$, $CellContext`y25$$, \
$CellContext`y3$$, $CellContext`y4$$, $CellContext`y5$$, $CellContext`y6$$, \
$CellContext`y7$$, $CellContext`y8$$, $CellContext`y9$$}}]], 
            ", SymbolicRanges -> ", 
            ToString[
             Map[StringJoin[
               Part[#, 1], "->", 
               ToString[{
                 Part[#, 2], 
                 Part[#, 3]}, InputForm]]& , 
              Select[
               
               Transpose[{{
                 "th", "x", "x1", "x10", "x11", "x12", "x13", "x14", "x15", 
                  "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", 
                  "x23", "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", 
                  "x9", "y", "y1", "y10", "y11", "y12", "y13", "y14", "y15", 
                  "y16", "y17", "y18", "y19", "y2", "y20", "y21", "y22", 
                  "y23", "y24", "y25", "y3", "y4", "y5", "y6", "y7", "y8", 
                  "y9"}, {$CellContext`minth$$, $CellContext`minx$$, \
$CellContext`minx1$$, $CellContext`minx10$$, $CellContext`minx11$$, \
$CellContext`minx12$$, $CellContext`minx13$$, $CellContext`minx14$$, \
$CellContext`minx15$$, $CellContext`minx16$$, $CellContext`minx17$$, \
$CellContext`minx18$$, $CellContext`minx19$$, $CellContext`minx2$$, \
$CellContext`minx20$$, $CellContext`minx21$$, $CellContext`minx22$$, \
$CellContext`minx23$$, $CellContext`minx24$$, $CellContext`minx25$$, \
$CellContext`minx3$$, $CellContext`minx4$$, $CellContext`minx5$$, \
$CellContext`minx6$$, $CellContext`minx7$$, $CellContext`minx8$$, \
$CellContext`minx9$$, $CellContext`miny$$, $CellContext`miny1$$, \
$CellContext`miny10$$, $CellContext`miny11$$, $CellContext`miny12$$, \
$CellContext`miny13$$, $CellContext`miny14$$, $CellContext`miny15$$, \
$CellContext`miny16$$, $CellContext`miny17$$, $CellContext`miny18$$, \
$CellContext`miny19$$, $CellContext`miny2$$, $CellContext`miny20$$, \
$CellContext`miny21$$, $CellContext`miny22$$, $CellContext`miny23$$, \
$CellContext`miny24$$, $CellContext`miny25$$, $CellContext`miny3$$, \
$CellContext`miny4$$, $CellContext`miny5$$, $CellContext`miny6$$, \
$CellContext`miny7$$, $CellContext`miny8$$, $CellContext`miny9$$}, \
{$CellContext`maxth$$, $CellContext`maxx$$, $CellContext`maxx1$$, \
$CellContext`maxx10$$, $CellContext`maxx11$$, $CellContext`maxx12$$, \
$CellContext`maxx13$$, $CellContext`maxx14$$, $CellContext`maxx15$$, \
$CellContext`maxx16$$, $CellContext`maxx17$$, $CellContext`maxx18$$, \
$CellContext`maxx19$$, $CellContext`maxx2$$, $CellContext`maxx20$$, \
$CellContext`maxx21$$, $CellContext`maxx22$$, $CellContext`maxx23$$, \
$CellContext`maxx24$$, $CellContext`maxx25$$, $CellContext`maxx3$$, \
$CellContext`maxx4$$, $CellContext`maxx5$$, $CellContext`maxx6$$, \
$CellContext`maxx7$$, $CellContext`maxx8$$, $CellContext`maxx9$$, \
$CellContext`maxy$$, $CellContext`maxy1$$, $CellContext`maxy10$$, \
$CellContext`maxy11$$, $CellContext`maxy12$$, $CellContext`maxy13$$, \
$CellContext`maxy14$$, $CellContext`maxy15$$, $CellContext`maxy16$$, \
$CellContext`maxy17$$, $CellContext`maxy18$$, $CellContext`maxy19$$, \
$CellContext`maxy2$$, $CellContext`maxy20$$, $CellContext`maxy21$$, \
$CellContext`maxy22$$, $CellContext`maxy23$$, $CellContext`maxy24$$, \
$CellContext`maxy25$$, $CellContext`maxy3$$, $CellContext`maxy4$$, \
$CellContext`maxy5$$, $CellContext`maxy6$$, $CellContext`maxy7$$, \
$CellContext`maxy8$$, $CellContext`maxy9$$}}], NumberQ[
                Part[#, 2]]& ]]], "}"]]], ImageSize -> Automatic]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xth$$], -13.25}}, {{
       Hold[$CellContext`yth$$], 0.}}, {{
       Hold[$CellContext`radiusth$$], 0.75}}, {{
       Hold[$CellContext`xoffth$$], 0.75}}, {{
       Hold[$CellContext`yoffth$$], 0.}}, {{
       Hold[$CellContext`laststartposth$$], {-14., 0.}}}, {{
       Hold[$CellContext`lastlocposth$$], {-13.25, 0.}}}, {{
       Hold[$CellContext`lastth$$], 0}}, {{
       Hold[$CellContext`staticpolygons111889820147194947603409$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons121889820147194947628155$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons131889820147194947652723$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons141889820147194947677186$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons151889820147194947700839$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons161889820147194947725686$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons171889820147194947755106$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons181889820147194947777299$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons191889820147194947801368$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons201889820147194947824786$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons211889820147194947851426$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons221889820147194947877351$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons231889820147194947900956$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons241889820147194947924790$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
         "]]}}}, {{
       Hold[$CellContext`staticpolygons251889820147194947951086$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons261889820147194947974475$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons271889820147194947998657$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons281889820147194948022551$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons291889820147194948048242$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons301889820147194948072279$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons311889820147194948096301$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
         "]]}}}, {{
       Hold[$CellContext`staticpolygons321889820147194948120604$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons331889820147194948146370$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons341889820147194948175213$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons351889820147194948198421$$], {
        AbsoluteThickness[1], 
        AbsolutePointSize[1], 
        EdgeForm[], 
        RGBColor[0.4, 0.6, 0.8], 
        Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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         "]]}}}, {{
       Hold[$CellContext`staticpolygons361889820147194948200587$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAE9Bxz0AQJ8QvQBImlC9lFbH7n+wMUnVZxY
f+AyBxeNoQ8AtlgqAg==
         "]]}}}}, Typeset`size$$ = {
    600., {311.84375, 317.15625}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`th$687160$$ = 
    0, $CellContext`x$687161$$ = 0, $CellContext`y$687162$$ = 
    0, $CellContext`x1$687163$$ = 0, $CellContext`x10$687164$$ = 
    0, $CellContext`x11$687165$$ = 0, $CellContext`x12$687166$$ = 
    0, $CellContext`x13$687167$$ = 0, $CellContext`x14$687168$$ = 
    0, $CellContext`x15$687169$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`lastlocposth$$ = {-13.25, 
         0.}, $CellContext`laststartposth$$ = {-14., 
         0.}, $CellContext`lastth$$ = 0, $CellContext`maxth$$ = 
        180., $CellContext`maxx$$ = -0.14, $CellContext`maxx1$$ = -0.09, \
$CellContext`maxx10$$ = -0.051, $CellContext`maxx11$$ = -0.007, \
$CellContext`maxx12$$ = -0.007, $CellContext`maxx13$$ = -0.007, \
$CellContext`maxx14$$ = 
        0.9701059779754357, $CellContext`maxx15$$ = -0.008, \
$CellContext`maxx16$$ = 9, $CellContext`maxx17$$ = 9, $CellContext`maxx18$$ = 
        12, $CellContext`maxx19$$ = 
        11, $CellContext`maxx2$$ = -0.103, $CellContext`maxx20$$ = 
        11, $CellContext`maxx21$$ = 19, $CellContext`maxx22$$ = 
        19, $CellContext`maxx23$$ = 18, $CellContext`maxx24$$ = 
        19, $CellContext`maxx25$$ = 
        22, $CellContext`maxx3$$ = -0.108, $CellContext`maxx4$$ = -0.097, \
$CellContext`maxx5$$ = -0.095, $CellContext`maxx6$$ = -0.054, \
$CellContext`maxx7$$ = -0.046, $CellContext`maxx8$$ = -0.057, \
$CellContext`maxx9$$ = -0.049, $CellContext`maxy$$ = 
        10, $CellContext`maxy1$$ = -0.092, $CellContext`maxy10$$ = 
        19, $CellContext`maxy11$$ = -0.092, $CellContext`maxy12$$ = -0.054, \
$CellContext`maxy13$$ = -0.009, $CellContext`maxy14$$ = 
        12, $CellContext`maxy15$$ = 
        20, $CellContext`maxy16$$ = -0.108, $CellContext`maxy17$$ = -0.047, \
$CellContext`maxy18$$ = -0.005, $CellContext`maxy19$$ = 
        9, $CellContext`maxy2$$ = -0.052, $CellContext`maxy20$$ = 
        18, $CellContext`maxy21$$ = -0.102, $CellContext`maxy22$$ = -0.046, \
$CellContext`maxy23$$ = 0.8119463463299015, $CellContext`maxy24$$ = 
        10, $CellContext`maxy25$$ = 20, $CellContext`maxy3$$ = 
        0.7490367184474334, $CellContext`maxy4$$ = 11, $CellContext`maxy5$$ = 
        22, $CellContext`maxy6$$ = -0.092, $CellContext`maxy7$$ = -0.053, \
$CellContext`maxy8$$ = -0.006, $CellContext`maxy9$$ = 
        12, $CellContext`minth$$ = -180., $CellContext`minx$$ = -28, \
$CellContext`minx1$$ = -18, $CellContext`minx10$$ = -10, \
$CellContext`minx11$$ = -1.591, $CellContext`minx12$$ = -1.495, \
$CellContext`minx13$$ = -1.437, $CellContext`minx14$$ = 
        0.1, $CellContext`minx15$$ = -1.638, $CellContext`minx16$$ = 
        0.043, $CellContext`minx17$$ = 0.046, $CellContext`minx18$$ = 
        0.057, $CellContext`minx19$$ = 
        0.053, $CellContext`minx2$$ = -21, $CellContext`minx20$$ = 
        0.055, $CellContext`minx21$$ = 0.092, $CellContext`minx22$$ = 
        0.096, $CellContext`minx23$$ = 0.09, $CellContext`minx24$$ = 
        0.094, $CellContext`minx25$$ = 
        0.107, $CellContext`minx3$$ = -22, $CellContext`minx4$$ = -19, \
$CellContext`minx5$$ = -19, $CellContext`minx6$$ = -11, $CellContext`minx7$$ = \
-9, $CellContext`minx8$$ = -11, $CellContext`minx9$$ = -10, \
$CellContext`miny$$ = -10, $CellContext`miny1$$ = -19, $CellContext`miny10$$ = 
        0.097, $CellContext`miny11$$ = -18, $CellContext`miny12$$ = -11, \
$CellContext`miny13$$ = -1.836, $CellContext`miny14$$ = 
        0.058, $CellContext`miny15$$ = 
        0.1, $CellContext`miny16$$ = -22, $CellContext`miny17$$ = -10, \
$CellContext`miny18$$ = -1.158, $CellContext`miny19$$ = 
        0.045, $CellContext`miny2$$ = -11, $CellContext`miny20$$ = 
        0.09, $CellContext`miny21$$ = -21, $CellContext`miny22$$ = -9, \
$CellContext`miny23$$ = -0.8119463463299015, $CellContext`miny24$$ = 
        0.047, $CellContext`miny25$$ = 
        0.098, $CellContext`miny3$$ = -0.7490367184474334, \
$CellContext`miny4$$ = 0.056, $CellContext`miny5$$ = 
        0.107, $CellContext`miny6$$ = -18, $CellContext`miny7$$ = -11, \
$CellContext`miny8$$ = -1.255, $CellContext`miny9$$ = 
        0.058, $CellContext`radiusth$$ = 
        0.75, $CellContext`staticpolygons111889820147194947603409$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons121889820147194947628155$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons131889820147194947652723$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons141889820147194947677186$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons151889820147194947700839$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons161889820147194947725686$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons171889820147194947755106$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
           
           "]]}, $CellContext`staticpolygons181889820147194947777299$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons191889820147194947801368$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons201889820147194947824786$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons211889820147194947851426$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons221889820147194947877351$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons231889820147194947900956$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons241889820147194947924790$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
           
           "]]}, $CellContext`staticpolygons251889820147194947951086$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons261889820147194947974475$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons271889820147194947998657$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons281889820147194948022551$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons291889820147194948048242$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons301889820147194948072279$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons311889820147194948096301$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons321889820147194948120604$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons331889820147194948146370$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons341889820147194948175213$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
           
           "]]}, $CellContext`staticpolygons351889820147194948198421$$ = {
          AbsoluteThickness[1], 
          AbsolutePointSize[1], 
          EdgeForm[], 
          RGBColor[0.4, 0.6, 0.8], 
          Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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           
           "]]}, $CellContext`staticpolygons361889820147194948200587$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAE9Bxz0AQJ8QvQBImlC9lFbH7n+wMUnVZxY
f+AyBxeNoQ8AtlgqAg==
           "]]}, $CellContext`th$$ = 
        0., $CellContext`x$$ = -14., $CellContext`x1$$ = -9.076855764848366, \
$CellContext`x10$$ = -5.173178216303013, $CellContext`x11$$ = \
-0.7955110594074011, $CellContext`x12$$ = -0.7478948293401275, \
$CellContext`x13$$ = -0.7186552945590348, $CellContext`x14$$ = 
        0.6467373186502905, $CellContext`x15$$ = -0.8194264060546097, \
$CellContext`x16$$ = 4.357650915848823, $CellContext`x17$$ = 
        4.6940494899534215`, $CellContext`x18$$ = 
        5.761209738087384, $CellContext`x19$$ = 
        5.37340128254856, $CellContext`x2$$ = -10.394632147990418`, \
$CellContext`x20$$ = 5.509923075060153, $CellContext`x21$$ = 
        9.283972532733976, $CellContext`x22$$ = 
        9.683101291363167, $CellContext`x23$$ = 
        9.079483592141377, $CellContext`x24$$ = 
        9.430996120703295, $CellContext`x25$$ = 
        10.798138886700412`, $CellContext`x3$$ = -10.899228888504425`, \
$CellContext`x4$$ = -9.710913597198532, $CellContext`x5$$ = \
-9.513475896008032, $CellContext`x6$$ = -5.40355882223856, $CellContext`x7$$ = \
-4.6793517925951384`, $CellContext`x8$$ = -5.748713336972769, \
$CellContext`x9$$ = -4.910571250185416, $CellContext`xoffth$$ = 
        0.75, $CellContext`xth$$ = -13.25, $CellContext`y$$ = 
        0., $CellContext`y1$$ = -9.287305236569473, $CellContext`y10$$ = 
        9.735947781279659, $CellContext`y11$$ = -9.20556162661241, \
$CellContext`y12$$ = -5.446293109949963, $CellContext`y13$$ = \
-0.9182563900429362, $CellContext`y14$$ = 
        5.823234725927334, $CellContext`y15$$ = 
        10.00683993811232, $CellContext`y16$$ = -10.813492579691129`, \
$CellContext`y17$$ = -4.757029915968235, $CellContext`y18$$ = \
-0.5792642424399462, $CellContext`y19$$ = 
        4.583301414587303, $CellContext`y2$$ = -5.269527835877297, \
$CellContext`y20$$ = 
        9.048467316503901, $CellContext`y21$$ = -10.286756261245399`, \
$CellContext`y22$$ = -4.687480464775758, $CellContext`y23$$ = \
-0.08119463463299015, $CellContext`y24$$ = 
        4.758812645174205, $CellContext`y25$$ = 
        9.837061755409946, $CellContext`y3$$ = 
        0.07490367184474334, $CellContext`y4$$ = 
        5.636727305618463, $CellContext`y5$$ = 
        10.763869854080555`, $CellContext`y6$$ = -9.234228337251183, \
$CellContext`y7$$ = -5.340331330555538, $CellContext`y8$$ = \
-0.6277315589438477, $CellContext`y9$$ = 
        5.870057675832702, $CellContext`yoffth$$ = 0., $CellContext`yth$$ = 
        0.}, "ControllerVariables" :> {
        Hold[$CellContext`th$$, $CellContext`th$687160$$, 0], 
        Hold[$CellContext`x$$, $CellContext`x$687161$$, 0], 
        Hold[$CellContext`y$$, $CellContext`y$687162$$, 0], 
        Hold[$CellContext`x1$$, $CellContext`x1$687163$$, 0], 
        Hold[$CellContext`x10$$, $CellContext`x10$687164$$, 0], 
        Hold[$CellContext`x11$$, $CellContext`x11$687165$$, 0], 
        Hold[$CellContext`x12$$, $CellContext`x12$687166$$, 0], 
        Hold[$CellContext`x13$$, $CellContext`x13$687167$$, 0], 
        Hold[$CellContext`x14$$, $CellContext`x14$687168$$, 0], 
        Hold[$CellContext`x15$$, $CellContext`x15$687169$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Show[{
           Graphics[{{
              Opacity[0.8], 
              
              GeometricTransformation[$CellContext`\
staticpolygons111889820147194947603409$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x1$$, $CellContext`y1$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons121889820147194947628155$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x2$$, $CellContext`y2$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons131889820147194947652723$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x3$$, $CellContext`y3$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons141889820147194947677186$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x4$$, $CellContext`y4$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons151889820147194947700839$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x5$$, $CellContext`y5$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons161889820147194947725686$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x6$$, $CellContext`y6$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons171889820147194947755106$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x7$$, $CellContext`y7$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons181889820147194947777299$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x8$$, $CellContext`y8$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons191889820147194947801368$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x9$$, $CellContext`y9$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons201889820147194947824786$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x10$$, $CellContext`y10$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons211889820147194947851426$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x11$$, $CellContext`y11$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons221889820147194947877351$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x12$$, $CellContext`y12$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons231889820147194947900956$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x13$$, $CellContext`y13$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons241889820147194947924790$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x14$$, $CellContext`y14$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons251889820147194947951086$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x15$$, $CellContext`y15$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons261889820147194947974475$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x16$$, $CellContext`y16$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons271889820147194947998657$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x17$$, $CellContext`y17$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons281889820147194948022551$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x18$$, $CellContext`y18$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons291889820147194948048242$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x19$$, $CellContext`y19$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons301889820147194948072279$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x20$$, $CellContext`y20$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons311889820147194948096301$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x21$$, $CellContext`y21$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons321889820147194948120604$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x22$$, $CellContext`y22$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons331889820147194948146370$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x23$$, $CellContext`y23$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons341889820147194948175213$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x24$$, $CellContext`y24$$}}]], 
              
              GeometricTransformation[$CellContext`\
staticpolygons351889820147194948198421$$, 
               Dynamic[
               BesselJ[
                 1., 3.]; {{{1, 0}, {0, 
                  1}}, {$CellContext`x25$$, $CellContext`y25$$}}]], \
$CellContext`staticpolygons361889820147194948200587$$, 
              Opacity[1], 
              RGBColor[
              0.038747429704798886`, 0.9161617552424038, 
               0.039847212269181365`], 
              AbsoluteThickness[Medium], 
              Line[
               Dynamic[
                Refresh[
                 Map[{
                   Part[#, {1, 2}], 
                   Part[#, {4, 5}]}& , 
                  Select[
                   ControlActive[
                    $CellContext`raytracefunction11889820147194948434475[$\
CellContext`th$$, $CellContext`x$$, $CellContext`y$$, $CellContext`x1$$, \
$CellContext`x10$$, $CellContext`x11$$, $CellContext`x12$$, \
$CellContext`x13$$, $CellContext`x14$$, $CellContext`x15$$, \
$CellContext`x16$$, $CellContext`x17$$, $CellContext`x18$$, \
$CellContext`x19$$, $CellContext`x2$$, $CellContext`x20$$, \
$CellContext`x21$$, $CellContext`x22$$, $CellContext`x23$$, \
$CellContext`x24$$, $CellContext`x25$$, $CellContext`x3$$, $CellContext`x4$$, \
$CellContext`x5$$, $CellContext`x6$$, $CellContext`x7$$, $CellContext`x8$$, \
$CellContext`x9$$, $CellContext`y1$$, $CellContext`y10$$, $CellContext`y11$$, \
$CellContext`y12$$, $CellContext`y13$$, $CellContext`y14$$, \
$CellContext`y15$$, $CellContext`y16$$, $CellContext`y17$$, \
$CellContext`y18$$, $CellContext`y19$$, $CellContext`y2$$, \
$CellContext`y20$$, $CellContext`y21$$, $CellContext`y22$$, \
$CellContext`y23$$, $CellContext`y24$$, $CellContext`y25$$, \
$CellContext`y3$$, $CellContext`y4$$, $CellContext`y5$$, $CellContext`y6$$, \
$CellContext`y7$$, $CellContext`y8$$, $CellContext`y9$$], 
                    $CellContext`raytracefunction11889820147194857694040[$\
CellContext`th$$, $CellContext`x$$, $CellContext`y$$, $CellContext`x1$$, \
$CellContext`x10$$, $CellContext`x11$$, $CellContext`x12$$, \
$CellContext`x13$$, $CellContext`x14$$, $CellContext`x15$$, \
$CellContext`x16$$, $CellContext`x17$$, $CellContext`x18$$, \
$CellContext`x19$$, $CellContext`x2$$, $CellContext`x20$$, \
$CellContext`x21$$, $CellContext`x22$$, $CellContext`x23$$, \
$CellContext`x24$$, $CellContext`x25$$, $CellContext`x3$$, $CellContext`x4$$, \
$CellContext`x5$$, $CellContext`x6$$, $CellContext`x7$$, $CellContext`x8$$, \
$CellContext`x9$$, $CellContext`y1$$, $CellContext`y10$$, $CellContext`y11$$, \
$CellContext`y12$$, $CellContext`y13$$, $CellContext`y14$$, \
$CellContext`y15$$, $CellContext`y16$$, $CellContext`y17$$, \
$CellContext`y18$$, $CellContext`y19$$, $CellContext`y2$$, \
$CellContext`y20$$, $CellContext`y21$$, $CellContext`y22$$, \
$CellContext`y23$$, $CellContext`y24$$, $CellContext`y25$$, \
$CellContext`y3$$, $CellContext`y4$$, $CellContext`y5$$, $CellContext`y6$$, \
$CellContext`y7$$, $CellContext`y8$$, $CellContext`y9$$]], And[
                   Length[#] == 6, Part[#, 1] > -9.87654321*^8]& ]], 
                 TrackedSymbols :> {$CellContext`th$$, $CellContext`x$$, \
$CellContext`y$$, $CellContext`x1$$, $CellContext`x10$$, $CellContext`x11$$, \
$CellContext`x12$$, $CellContext`x13$$, $CellContext`x14$$, \
$CellContext`x15$$, $CellContext`x16$$, $CellContext`x17$$, \
$CellContext`x18$$, $CellContext`x19$$, $CellContext`x2$$, \
$CellContext`x20$$, $CellContext`x21$$, $CellContext`x22$$, \
$CellContext`x23$$, $CellContext`x24$$, $CellContext`x25$$, \
$CellContext`x3$$, $CellContext`x4$$, $CellContext`x5$$, $CellContext`x6$$, \
$CellContext`x7$$, $CellContext`x8$$, $CellContext`x9$$, $CellContext`y1$$, \
$CellContext`y10$$, $CellContext`y11$$, $CellContext`y12$$, \
$CellContext`y13$$, $CellContext`y14$$, $CellContext`y15$$, \
$CellContext`y16$$, $CellContext`y17$$, $CellContext`y18$$, \
$CellContext`y19$$, $CellContext`y2$$, $CellContext`y20$$, \
$CellContext`y21$$, $CellContext`y22$$, $CellContext`y23$$, \
$CellContext`y24$$, $CellContext`y25$$, $CellContext`y3$$, $CellContext`y4$$, \
$CellContext`y5$$, $CellContext`y6$$, $CellContext`y7$$, $CellContext`y8$$, \
$CellContext`y9$$}], SynchronousUpdating -> False]], 
              Arrowheads[Large], 
              Thickness[Large], 
              Dashing[{Small, Small}], 
              RGBColor[1, 1, 0], 
              Arrow[
               Dynamic[If[
                  
                  Or[$CellContext`laststartposth$$ != {$CellContext`x$$, \
$CellContext`y$$}, $CellContext`lastth$$ =!= $CellContext`th$$], \
$CellContext`laststartposth$$ = {$CellContext`x$$, $CellContext`y$$}; \
$CellContext`lastth$$ = $CellContext`th$$; {$CellContext`xth$$, \
$CellContext`yth$$} = $CellContext`laststartposth$$ + $CellContext`radiusth$$ {
                    Cos[$CellContext`th$$ Degree], 
                    
                    Sin[$CellContext`th$$ 
                    Degree]}]; {$CellContext`laststartposth$$, \
{$CellContext`xth$$, $CellContext`yth$$}}, ({$CellContext`laststartposth$$, \
{$CellContext`xth$$, $CellContext`yth$$}} = #)& ]], 
              Tooltip[
               Locator[
                Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`xth$$, $CellContext`yth$$} != \
$CellContext`lastlocposth$$, $CellContext`lastth$$ != $CellContext`th$$], \
$CellContext`lastlocposth$$ = {$CellContext`xth$$, $CellContext`yth$$}; \
$CellContext`lastth$$ = $CellContext`th$$; {$CellContext`xth$$, \
$CellContext`yth$$} = $CellContext`laststartposth$$ + $CellContext`radiusth$$ {
                    Cos[$CellContext`th$$ Degree], 
                    
                    Sin[$CellContext`th$$ 
                    Degree]}]; {$CellContext`xth$$, $CellContext`yth$$}), \
({$CellContext`xth$$, $CellContext`yth$$} = #; $CellContext`xoffth$$ = \
$CellContext`xth$$ - $CellContext`x$$; $CellContext`yoffth$$ = \
$CellContext`yth$$ - $CellContext`y$$; $CellContext`radiusth$$ = 
                  Sqrt[$CellContext`xoffth$$^2 + $CellContext`yoffth$$^2]; \
$CellContext`th$$ = 
                  Chop[ArcTan[$CellContext`xoffth$$, $CellContext`yoffth$$]/
                    Degree]; {$CellContext`xth$$, $CellContext`yth$$})& ], 
                Graphics[{
                  RGBColor[1/3, 1/3, 1], 
                  Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["th = ", 
                 ToString[$CellContext`th$$]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x$$, $CellContext`y$$}, \
({$CellContext`x$$, $CellContext`y$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x, y} = ", 
                 ToString[
                  Chop[{$CellContext`x$$, $CellContext`y$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x1$$, $CellContext`y1$$}, \
({$CellContext`x1$$, $CellContext`y1$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x1, y1} = ", 
                 ToString[
                  Chop[{$CellContext`x1$$, $CellContext`y1$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x2$$, $CellContext`y2$$}, \
({$CellContext`x2$$, $CellContext`y2$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x2, y2} = ", 
                 ToString[
                  Chop[{$CellContext`x2$$, $CellContext`y2$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x3$$, $CellContext`y3$$}, \
({$CellContext`x3$$, $CellContext`y3$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x3, y3} = ", 
                 ToString[
                  Chop[{$CellContext`x3$$, $CellContext`y3$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x4$$, $CellContext`y4$$}, \
({$CellContext`x4$$, $CellContext`y4$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x4, y4} = ", 
                 ToString[
                  Chop[{$CellContext`x4$$, $CellContext`y4$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x5$$, $CellContext`y5$$}, \
({$CellContext`x5$$, $CellContext`y5$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x5, y5} = ", 
                 ToString[
                  Chop[{$CellContext`x5$$, $CellContext`y5$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x6$$, $CellContext`y6$$}, \
({$CellContext`x6$$, $CellContext`y6$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x6, y6} = ", 
                 ToString[
                  Chop[{$CellContext`x6$$, $CellContext`y6$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x7$$, $CellContext`y7$$}, \
({$CellContext`x7$$, $CellContext`y7$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x7, y7} = ", 
                 ToString[
                  Chop[{$CellContext`x7$$, $CellContext`y7$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x8$$, $CellContext`y8$$}, \
({$CellContext`x8$$, $CellContext`y8$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x8, y8} = ", 
                 ToString[
                  Chop[{$CellContext`x8$$, $CellContext`y8$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x9$$, $CellContext`y9$$}, \
({$CellContext`x9$$, $CellContext`y9$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x9, y9} = ", 
                 ToString[
                  Chop[{$CellContext`x9$$, $CellContext`y9$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x10$$, $CellContext`y10$$}, \
({$CellContext`x10$$, $CellContext`y10$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x10, y10} = ", 
                 ToString[
                  Chop[{$CellContext`x10$$, $CellContext`y10$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x11$$, $CellContext`y11$$}, \
({$CellContext`x11$$, $CellContext`y11$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x11, y11} = ", 
                 ToString[
                  Chop[{$CellContext`x11$$, $CellContext`y11$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x12$$, $CellContext`y12$$}, \
({$CellContext`x12$$, $CellContext`y12$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x12, y12} = ", 
                 ToString[
                  Chop[{$CellContext`x12$$, $CellContext`y12$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x13$$, $CellContext`y13$$}, \
({$CellContext`x13$$, $CellContext`y13$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x13, y13} = ", 
                 ToString[
                  Chop[{$CellContext`x13$$, $CellContext`y13$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x14$$, $CellContext`y14$$}, \
({$CellContext`x14$$, $CellContext`y14$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x14, y14} = ", 
                 ToString[
                  Chop[{$CellContext`x14$$, $CellContext`y14$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x15$$, $CellContext`y15$$}, \
({$CellContext`x15$$, $CellContext`y15$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x15, y15} = ", 
                 ToString[
                  Chop[{$CellContext`x15$$, $CellContext`y15$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x16$$, $CellContext`y16$$}, \
({$CellContext`x16$$, $CellContext`y16$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x16, y16} = ", 
                 ToString[
                  Chop[{$CellContext`x16$$, $CellContext`y16$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x17$$, $CellContext`y17$$}, \
({$CellContext`x17$$, $CellContext`y17$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x17, y17} = ", 
                 ToString[
                  Chop[{$CellContext`x17$$, $CellContext`y17$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x18$$, $CellContext`y18$$}, \
({$CellContext`x18$$, $CellContext`y18$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x18, y18} = ", 
                 ToString[
                  Chop[{$CellContext`x18$$, $CellContext`y18$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x19$$, $CellContext`y19$$}, \
({$CellContext`x19$$, $CellContext`y19$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x19, y19} = ", 
                 ToString[
                  Chop[{$CellContext`x19$$, $CellContext`y19$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x20$$, $CellContext`y20$$}, \
({$CellContext`x20$$, $CellContext`y20$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x20, y20} = ", 
                 ToString[
                  Chop[{$CellContext`x20$$, $CellContext`y20$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x21$$, $CellContext`y21$$}, \
({$CellContext`x21$$, $CellContext`y21$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x21, y21} = ", 
                 ToString[
                  Chop[{$CellContext`x21$$, $CellContext`y21$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x22$$, $CellContext`y22$$}, \
({$CellContext`x22$$, $CellContext`y22$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x22, y22} = ", 
                 ToString[
                  Chop[{$CellContext`x22$$, $CellContext`y22$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x23$$, $CellContext`y23$$}, \
({$CellContext`x23$$, $CellContext`y23$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x23, y23} = ", 
                 ToString[
                  Chop[{$CellContext`x23$$, $CellContext`y23$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x24$$, $CellContext`y24$$}, \
({$CellContext`x24$$, $CellContext`y24$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x24, y24} = ", 
                 ToString[
                  Chop[{$CellContext`x24$$, $CellContext`y24$$}]]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x25$$, $CellContext`y25$$}, \
({$CellContext`x25$$, $CellContext`y25$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x25, y25} = ", 
                 ToString[
                  Chop[{$CellContext`x25$$, $CellContext`y25$$}]]]]]}}]}, {
          PlotLabel -> "TopView", ImageSize -> 600, ImageSize -> 800, 
           AspectRatio -> Automatic}], 
         Tooltip[
          Row[{
            Style["", Italic, 10], 
            Hyperlink[
             Style["<< Crafted with Optica\[Trademark] >>", Italic, 10], 
             "http://www.opticasoftware.com"], 
            Style["", Italic, 10]}], 
          "Click here to visit www.opticasoftware.com"]}, Center], 
      "Specifications" :> {{{$CellContext`th$$, 0.}, -180., 180., ControlType -> 
         None}, {{$CellContext`x$$, -14.}, -28, -0.14, ControlType -> 
         None}, {{$CellContext`y$$, 0.}, -10, 10, ControlType -> 
         None}, {{$CellContext`x1$$, -9.076855764848366}, -18, -0.09, 
         ControlType -> 
         None}, {{$CellContext`x10$$, -5.173178216303013}, -10, -0.051, 
         ControlType -> 
         None}, {{$CellContext`x11$$, -0.7955110594074011}, -1.591, -0.007, 
         ControlType -> 
         None}, {{$CellContext`x12$$, -0.7478948293401275}, -1.495, -0.007, 
         ControlType -> 
         None}, {{$CellContext`x13$$, -0.7186552945590348}, -1.437, -0.007, 
         ControlType -> None}, {{$CellContext`x14$$, 0.6467373186502905}, 0.1,
          0.9701059779754357, ControlType -> 
         None}, {{$CellContext`x15$$, -0.8194264060546097}, -1.638, -0.008, 
         ControlType -> None}, {{$CellContext`x16$$, 4.357650915848823}, 
         0.043, 9, ControlType -> 
         None}, {{$CellContext`x17$$, 4.6940494899534215`}, 0.046, 9, 
         ControlType -> None}, {{$CellContext`x18$$, 5.761209738087384}, 
         0.057, 12, ControlType -> 
         None}, {{$CellContext`x19$$, 5.37340128254856}, 0.053, 11, 
         ControlType -> 
         None}, {{$CellContext`x2$$, -10.394632147990418`}, -21, -0.103, 
         ControlType -> None}, {{$CellContext`x20$$, 5.509923075060153}, 
         0.055, 11, ControlType -> 
         None}, {{$CellContext`x21$$, 9.283972532733976}, 0.092, 19, 
         ControlType -> None}, {{$CellContext`x22$$, 9.683101291363167}, 
         0.096, 19, ControlType -> 
         None}, {{$CellContext`x23$$, 9.079483592141377}, 0.09, 18, 
         ControlType -> None}, {{$CellContext`x24$$, 9.430996120703295}, 
         0.094, 19, ControlType -> 
         None}, {{$CellContext`x25$$, 10.798138886700412`}, 0.107, 22, 
         ControlType -> 
         None}, {{$CellContext`x3$$, -10.899228888504425`}, -22, -0.108, 
         ControlType -> 
         None}, {{$CellContext`x4$$, -9.710913597198532}, -19, -0.097, 
         ControlType -> 
         None}, {{$CellContext`x5$$, -9.513475896008032}, -19, -0.095, 
         ControlType -> 
         None}, {{$CellContext`x6$$, -5.40355882223856}, -11, -0.054, 
         ControlType -> 
         None}, {{$CellContext`x7$$, -4.6793517925951384`}, -9, -0.046, 
         ControlType -> 
         None}, {{$CellContext`x8$$, -5.748713336972769}, -11, -0.057, 
         ControlType -> 
         None}, {{$CellContext`x9$$, -4.910571250185416}, -10, -0.049, 
         ControlType -> 
         None}, {{$CellContext`y1$$, -9.287305236569473}, -19, -0.092, 
         ControlType -> None}, {{$CellContext`y10$$, 9.735947781279659}, 
         0.097, 19, ControlType -> 
         None}, {{$CellContext`y11$$, -9.20556162661241}, -18, -0.092, 
         ControlType -> 
         None}, {{$CellContext`y12$$, -5.446293109949963}, -11, -0.054, 
         ControlType -> 
         None}, {{$CellContext`y13$$, -0.9182563900429362}, -1.836, -0.009, 
         ControlType -> None}, {{$CellContext`y14$$, 5.823234725927334}, 
         0.058, 12, ControlType -> 
         None}, {{$CellContext`y15$$, 10.00683993811232}, 0.1, 20, 
         ControlType -> 
         None}, {{$CellContext`y16$$, -10.813492579691129`}, -22, -0.108, 
         ControlType -> 
         None}, {{$CellContext`y17$$, -4.757029915968235}, -10, -0.047, 
         ControlType -> 
         None}, {{$CellContext`y18$$, -0.5792642424399462}, -1.158, -0.005, 
         ControlType -> None}, {{$CellContext`y19$$, 4.583301414587303}, 
         0.045, 9, ControlType -> 
         None}, {{$CellContext`y2$$, -5.269527835877297}, -11, -0.052, 
         ControlType -> None}, {{$CellContext`y20$$, 9.048467316503901}, 0.09,
          18, ControlType -> 
         None}, {{$CellContext`y21$$, -10.286756261245399`}, -21, -0.102, 
         ControlType -> 
         None}, {{$CellContext`y22$$, -4.687480464775758}, -9, -0.046, 
         ControlType -> 
         None}, {{$CellContext`y23$$, -0.08119463463299015}, \
-0.8119463463299015, 0.8119463463299015, ControlType -> 
         None}, {{$CellContext`y24$$, 4.758812645174205}, 0.047, 10, 
         ControlType -> None}, {{$CellContext`y25$$, 9.837061755409946}, 
         0.098, 20, ControlType -> 
         None}, {{$CellContext`y3$$, 
          0.07490367184474334}, -0.7490367184474334, 0.7490367184474334, 
         ControlType -> None}, {{$CellContext`y4$$, 5.636727305618463}, 0.056,
          11, ControlType -> None}, {{$CellContext`y5$$, 10.763869854080555`},
          0.107, 22, ControlType -> 
         None}, {{$CellContext`y6$$, -9.234228337251183}, -18, -0.092, 
         ControlType -> 
         None}, {{$CellContext`y7$$, -5.340331330555538}, -11, -0.053, 
         ControlType -> 
         None}, {{$CellContext`y8$$, -0.6277315589438477}, -1.255, -0.006, 
         ControlType -> None}, {{$CellContext`y9$$, 5.870057675832702}, 0.058,
          12, ControlType -> None}, {{$CellContext`minth$$, -180.}, 
         ControlType -> None}, {{$CellContext`maxth$$, 180.}, ControlType -> 
         None}, {{$CellContext`minx$$, -28}, ControlType -> 
         None}, {{$CellContext`maxx$$, -0.14}, ControlType -> 
         None}, {{$CellContext`miny$$, -10}, ControlType -> 
         None}, {{$CellContext`maxy$$, 10}, ControlType -> 
         None}, {{$CellContext`minx1$$, -18}, ControlType -> 
         None}, {{$CellContext`maxx1$$, -0.09}, ControlType -> 
         None}, {{$CellContext`minx10$$, -10}, ControlType -> 
         None}, {{$CellContext`maxx10$$, -0.051}, ControlType -> 
         None}, {{$CellContext`minx11$$, -1.591}, ControlType -> 
         None}, {{$CellContext`maxx11$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx12$$, -1.495}, ControlType -> 
         None}, {{$CellContext`maxx12$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx13$$, -1.437}, ControlType -> 
         None}, {{$CellContext`maxx13$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx14$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxx14$$, 0.9701059779754357}, ControlType -> 
         None}, {{$CellContext`minx15$$, -1.638}, ControlType -> 
         None}, {{$CellContext`maxx15$$, -0.008}, ControlType -> 
         None}, {{$CellContext`minx16$$, 0.043}, ControlType -> 
         None}, {{$CellContext`maxx16$$, 9}, ControlType -> 
         None}, {{$CellContext`minx17$$, 0.046}, ControlType -> 
         None}, {{$CellContext`maxx17$$, 9}, ControlType -> 
         None}, {{$CellContext`minx18$$, 0.057}, ControlType -> 
         None}, {{$CellContext`maxx18$$, 12}, ControlType -> 
         None}, {{$CellContext`minx19$$, 0.053}, ControlType -> 
         None}, {{$CellContext`maxx19$$, 11}, ControlType -> 
         None}, {{$CellContext`minx2$$, -21}, ControlType -> 
         None}, {{$CellContext`maxx2$$, -0.103}, ControlType -> 
         None}, {{$CellContext`minx20$$, 0.055}, ControlType -> 
         None}, {{$CellContext`maxx20$$, 11}, ControlType -> 
         None}, {{$CellContext`minx21$$, 0.092}, ControlType -> 
         None}, {{$CellContext`maxx21$$, 19}, ControlType -> 
         None}, {{$CellContext`minx22$$, 0.096}, ControlType -> 
         None}, {{$CellContext`maxx22$$, 19}, ControlType -> 
         None}, {{$CellContext`minx23$$, 0.09}, ControlType -> 
         None}, {{$CellContext`maxx23$$, 18}, ControlType -> 
         None}, {{$CellContext`minx24$$, 0.094}, ControlType -> 
         None}, {{$CellContext`maxx24$$, 19}, ControlType -> 
         None}, {{$CellContext`minx25$$, 0.107}, ControlType -> 
         None}, {{$CellContext`maxx25$$, 22}, ControlType -> 
         None}, {{$CellContext`minx3$$, -22}, ControlType -> 
         None}, {{$CellContext`maxx3$$, -0.108}, ControlType -> 
         None}, {{$CellContext`minx4$$, -19}, ControlType -> 
         None}, {{$CellContext`maxx4$$, -0.097}, ControlType -> 
         None}, {{$CellContext`minx5$$, -19}, ControlType -> 
         None}, {{$CellContext`maxx5$$, -0.095}, ControlType -> 
         None}, {{$CellContext`minx6$$, -11}, ControlType -> 
         None}, {{$CellContext`maxx6$$, -0.054}, ControlType -> 
         None}, {{$CellContext`minx7$$, -9}, ControlType -> 
         None}, {{$CellContext`maxx7$$, -0.046}, ControlType -> 
         None}, {{$CellContext`minx8$$, -11}, ControlType -> 
         None}, {{$CellContext`maxx8$$, -0.057}, ControlType -> 
         None}, {{$CellContext`minx9$$, -10}, ControlType -> 
         None}, {{$CellContext`maxx9$$, -0.049}, ControlType -> 
         None}, {{$CellContext`miny1$$, -19}, ControlType -> 
         None}, {{$CellContext`maxy1$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny10$$, 0.097}, ControlType -> 
         None}, {{$CellContext`maxy10$$, 19}, ControlType -> 
         None}, {{$CellContext`miny11$$, -18}, ControlType -> 
         None}, {{$CellContext`maxy11$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny12$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy12$$, -0.054}, ControlType -> 
         None}, {{$CellContext`miny13$$, -1.836}, ControlType -> 
         None}, {{$CellContext`maxy13$$, -0.009}, ControlType -> 
         None}, {{$CellContext`miny14$$, 0.058}, ControlType -> 
         None}, {{$CellContext`maxy14$$, 12}, ControlType -> 
         None}, {{$CellContext`miny15$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxy15$$, 20}, ControlType -> 
         None}, {{$CellContext`miny16$$, -22}, ControlType -> 
         None}, {{$CellContext`maxy16$$, -0.108}, ControlType -> 
         None}, {{$CellContext`miny17$$, -10}, ControlType -> 
         None}, {{$CellContext`maxy17$$, -0.047}, ControlType -> 
         None}, {{$CellContext`miny18$$, -1.158}, ControlType -> 
         None}, {{$CellContext`maxy18$$, -0.005}, ControlType -> 
         None}, {{$CellContext`miny19$$, 0.045}, ControlType -> 
         None}, {{$CellContext`maxy19$$, 9}, ControlType -> 
         None}, {{$CellContext`miny2$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy2$$, -0.052}, ControlType -> 
         None}, {{$CellContext`miny20$$, 0.09}, ControlType -> 
         None}, {{$CellContext`maxy20$$, 18}, ControlType -> 
         None}, {{$CellContext`miny21$$, -21}, ControlType -> 
         None}, {{$CellContext`maxy21$$, -0.102}, ControlType -> 
         None}, {{$CellContext`miny22$$, -9}, ControlType -> 
         None}, {{$CellContext`maxy22$$, -0.046}, ControlType -> 
         None}, {{$CellContext`miny23$$, -0.8119463463299015}, ControlType -> 
         None}, {{$CellContext`maxy23$$, 0.8119463463299015}, ControlType -> 
         None}, {{$CellContext`miny24$$, 0.047}, ControlType -> 
         None}, {{$CellContext`maxy24$$, 10}, ControlType -> 
         None}, {{$CellContext`miny25$$, 0.098}, ControlType -> 
         None}, {{$CellContext`maxy25$$, 20}, ControlType -> 
         None}, {{$CellContext`miny3$$, -0.7490367184474334}, ControlType -> 
         None}, {{$CellContext`maxy3$$, 0.7490367184474334}, ControlType -> 
         None}, {{$CellContext`miny4$$, 0.056}, ControlType -> 
         None}, {{$CellContext`maxy4$$, 11}, ControlType -> 
         None}, {{$CellContext`miny5$$, 0.107}, ControlType -> 
         None}, {{$CellContext`maxy5$$, 22}, ControlType -> 
         None}, {{$CellContext`miny6$$, -18}, ControlType -> 
         None}, {{$CellContext`maxy6$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny7$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy7$$, -0.053}, ControlType -> 
         None}, {{$CellContext`miny8$$, -1.255}, ControlType -> 
         None}, {{$CellContext`maxy8$$, -0.006}, ControlType -> 
         None}, {{$CellContext`miny9$$, 0.058}, ControlType -> 
         None}, {{$CellContext`maxy9$$, 12}, ControlType -> 
         None}, {{$CellContext`minth$$, -180.}, ControlType -> 
         None}, {{$CellContext`maxth$$, 180.}, ControlType -> 
         None}, {{$CellContext`minx$$, -28}, ControlType -> 
         None}, {{$CellContext`maxx$$, -0.14}, ControlType -> 
         None}, {{$CellContext`miny$$, -10}, ControlType -> 
         None}, {{$CellContext`maxy$$, 10}, ControlType -> 
         None}, {{$CellContext`minx1$$, -18}, ControlType -> 
         None}, {{$CellContext`maxx1$$, -0.09}, ControlType -> 
         None}, {{$CellContext`minx10$$, -10}, ControlType -> 
         None}, {{$CellContext`maxx10$$, -0.051}, ControlType -> 
         None}, {{$CellContext`minx11$$, -1.591}, ControlType -> 
         None}, {{$CellContext`maxx11$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx12$$, -1.495}, ControlType -> 
         None}, {{$CellContext`maxx12$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx13$$, -1.437}, ControlType -> 
         None}, {{$CellContext`maxx13$$, -0.007}, ControlType -> 
         None}, {{$CellContext`minx14$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxx14$$, 0.9701059779754357}, ControlType -> 
         None}, {{$CellContext`minx15$$, -1.638}, ControlType -> 
         None}, {{$CellContext`maxx15$$, -0.008}, ControlType -> 
         None}, {{$CellContext`minx16$$, 0.043}, ControlType -> 
         None}, {{$CellContext`maxx16$$, 9}, ControlType -> 
         None}, {{$CellContext`minx17$$, 0.046}, ControlType -> 
         None}, {{$CellContext`maxx17$$, 9}, ControlType -> 
         None}, {{$CellContext`minx18$$, 0.057}, ControlType -> 
         None}, {{$CellContext`maxx18$$, 12}, ControlType -> 
         None}, {{$CellContext`minx19$$, 0.053}, ControlType -> 
         None}, {{$CellContext`maxx19$$, 11}, ControlType -> 
         None}, {{$CellContext`minx2$$, -21}, ControlType -> 
         None}, {{$CellContext`maxx2$$, -0.103}, ControlType -> 
         None}, {{$CellContext`minx20$$, 0.055}, ControlType -> 
         None}, {{$CellContext`maxx20$$, 11}, ControlType -> 
         None}, {{$CellContext`minx21$$, 0.092}, ControlType -> 
         None}, {{$CellContext`maxx21$$, 19}, ControlType -> 
         None}, {{$CellContext`minx22$$, 0.096}, ControlType -> 
         None}, {{$CellContext`maxx22$$, 19}, ControlType -> 
         None}, {{$CellContext`minx23$$, 0.09}, ControlType -> 
         None}, {{$CellContext`maxx23$$, 18}, ControlType -> 
         None}, {{$CellContext`minx24$$, 0.094}, ControlType -> 
         None}, {{$CellContext`maxx24$$, 19}, ControlType -> 
         None}, {{$CellContext`minx25$$, 0.107}, ControlType -> 
         None}, {{$CellContext`maxx25$$, 22}, ControlType -> 
         None}, {{$CellContext`minx3$$, -22}, ControlType -> 
         None}, {{$CellContext`maxx3$$, -0.108}, ControlType -> 
         None}, {{$CellContext`minx4$$, -19}, ControlType -> 
         None}, {{$CellContext`maxx4$$, -0.097}, ControlType -> 
         None}, {{$CellContext`minx5$$, -19}, ControlType -> 
         None}, {{$CellContext`maxx5$$, -0.095}, ControlType -> 
         None}, {{$CellContext`minx6$$, -11}, ControlType -> 
         None}, {{$CellContext`maxx6$$, -0.054}, ControlType -> 
         None}, {{$CellContext`minx7$$, -9}, ControlType -> 
         None}, {{$CellContext`maxx7$$, -0.046}, ControlType -> 
         None}, {{$CellContext`minx8$$, -11}, ControlType -> 
         None}, {{$CellContext`maxx8$$, -0.057}, ControlType -> 
         None}, {{$CellContext`minx9$$, -10}, ControlType -> 
         None}, {{$CellContext`maxx9$$, -0.049}, ControlType -> 
         None}, {{$CellContext`miny1$$, -19}, ControlType -> 
         None}, {{$CellContext`maxy1$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny10$$, 0.097}, ControlType -> 
         None}, {{$CellContext`maxy10$$, 19}, ControlType -> 
         None}, {{$CellContext`miny11$$, -18}, ControlType -> 
         None}, {{$CellContext`maxy11$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny12$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy12$$, -0.054}, ControlType -> 
         None}, {{$CellContext`miny13$$, -1.836}, ControlType -> 
         None}, {{$CellContext`maxy13$$, -0.009}, ControlType -> 
         None}, {{$CellContext`miny14$$, 0.058}, ControlType -> 
         None}, {{$CellContext`maxy14$$, 12}, ControlType -> 
         None}, {{$CellContext`miny15$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxy15$$, 20}, ControlType -> 
         None}, {{$CellContext`miny16$$, -22}, ControlType -> 
         None}, {{$CellContext`maxy16$$, -0.108}, ControlType -> 
         None}, {{$CellContext`miny17$$, -10}, ControlType -> 
         None}, {{$CellContext`maxy17$$, -0.047}, ControlType -> 
         None}, {{$CellContext`miny18$$, -1.158}, ControlType -> 
         None}, {{$CellContext`maxy18$$, -0.005}, ControlType -> 
         None}, {{$CellContext`miny19$$, 0.045}, ControlType -> 
         None}, {{$CellContext`maxy19$$, 9}, ControlType -> 
         None}, {{$CellContext`miny2$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy2$$, -0.052}, ControlType -> 
         None}, {{$CellContext`miny20$$, 0.09}, ControlType -> 
         None}, {{$CellContext`maxy20$$, 18}, ControlType -> 
         None}, {{$CellContext`miny21$$, -21}, ControlType -> 
         None}, {{$CellContext`maxy21$$, -0.102}, ControlType -> 
         None}, {{$CellContext`miny22$$, -9}, ControlType -> 
         None}, {{$CellContext`maxy22$$, -0.046}, ControlType -> 
         None}, {{$CellContext`miny23$$, -0.8119463463299015}, ControlType -> 
         None}, {{$CellContext`maxy23$$, 0.8119463463299015}, ControlType -> 
         None}, {{$CellContext`miny24$$, 0.047}, ControlType -> 
         None}, {{$CellContext`maxy24$$, 10}, ControlType -> 
         None}, {{$CellContext`miny25$$, 0.098}, ControlType -> 
         None}, {{$CellContext`maxy25$$, 20}, ControlType -> 
         None}, {{$CellContext`miny3$$, -0.7490367184474334}, ControlType -> 
         None}, {{$CellContext`maxy3$$, 0.7490367184474334}, ControlType -> 
         None}, {{$CellContext`miny4$$, 0.056}, ControlType -> 
         None}, {{$CellContext`maxy4$$, 11}, ControlType -> 
         None}, {{$CellContext`miny5$$, 0.107}, ControlType -> 
         None}, {{$CellContext`maxy5$$, 22}, ControlType -> 
         None}, {{$CellContext`miny6$$, -18}, ControlType -> 
         None}, {{$CellContext`maxy6$$, -0.092}, ControlType -> 
         None}, {{$CellContext`miny7$$, -11}, ControlType -> 
         None}, {{$CellContext`maxy7$$, -0.053}, ControlType -> 
         None}, {{$CellContext`miny8$$, -1.255}, ControlType -> 
         None}, {{$CellContext`maxy8$$, -0.006}, ControlType -> 
         None}, {{$CellContext`miny9$$, 0.058}, ControlType -> 
         None}, {{$CellContext`maxy9$$, 12}, ControlType -> None}, 
        Button[
        "Report", 
         Optica`Optica`$OpticalSystemSettings = {
           Optica`Optica`SymbolicValues -> 
            MapThread[
             ToExpression[#] -> #2& , {{
               "th", "x", "x1", "x10", "x11", "x12", "x13", "x14", "x15", 
                "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", "x23", 
                "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "y", 
                "y1", "y10", "y11", "y12", "y13", "y14", "y15", "y16", "y17", 
                "y18", "y19", "y2", "y20", "y21", "y22", "y23", "y24", "y25", 
                "y3", "y4", "y5", "y6", "y7", "y8", 
                "y9"}, {$CellContext`th$$, $CellContext`x$$, \
$CellContext`x1$$, $CellContext`x10$$, $CellContext`x11$$, \
$CellContext`x12$$, $CellContext`x13$$, $CellContext`x14$$, \
$CellContext`x15$$, $CellContext`x16$$, $CellContext`x17$$, \
$CellContext`x18$$, $CellContext`x19$$, $CellContext`x2$$, \
$CellContext`x20$$, $CellContext`x21$$, $CellContext`x22$$, \
$CellContext`x23$$, $CellContext`x24$$, $CellContext`x25$$, \
$CellContext`x3$$, $CellContext`x4$$, $CellContext`x5$$, $CellContext`x6$$, \
$CellContext`x7$$, $CellContext`x8$$, $CellContext`x9$$, $CellContext`y$$, \
$CellContext`y1$$, $CellContext`y10$$, $CellContext`y11$$, \
$CellContext`y12$$, $CellContext`y13$$, $CellContext`y14$$, \
$CellContext`y15$$, $CellContext`y16$$, $CellContext`y17$$, \
$CellContext`y18$$, $CellContext`y19$$, $CellContext`y2$$, \
$CellContext`y20$$, $CellContext`y21$$, $CellContext`y22$$, \
$CellContext`y23$$, $CellContext`y24$$, $CellContext`y25$$, \
$CellContext`y3$$, $CellContext`y4$$, $CellContext`y5$$, $CellContext`y6$$, \
$CellContext`y7$$, $CellContext`y8$$, $CellContext`y9$$}}], 
            Optica`Optica`SymbolicRanges -> Map[ToExpression[
                Part[#, 1]] -> {
                Part[#, 2], 
                Part[#, 3]}& , 
              Select[
               
               Transpose[{{
                 "th", "x", "x1", "x10", "x11", "x12", "x13", "x14", "x15", 
                  "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", 
                  "x23", "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", 
                  "x9", "y", "y1", "y10", "y11", "y12", "y13", "y14", "y15", 
                  "y16", "y17", "y18", "y19", "y2", "y20", "y21", "y22", 
                  "y23", "y24", "y25", "y3", "y4", "y5", "y6", "y7", "y8", 
                  "y9"}, {$CellContext`minth$$, $CellContext`minx$$, \
$CellContext`minx1$$, $CellContext`minx10$$, $CellContext`minx11$$, \
$CellContext`minx12$$, $CellContext`minx13$$, $CellContext`minx14$$, \
$CellContext`minx15$$, $CellContext`minx16$$, $CellContext`minx17$$, \
$CellContext`minx18$$, $CellContext`minx19$$, $CellContext`minx2$$, \
$CellContext`minx20$$, $CellContext`minx21$$, $CellContext`minx22$$, \
$CellContext`minx23$$, $CellContext`minx24$$, $CellContext`minx25$$, \
$CellContext`minx3$$, $CellContext`minx4$$, $CellContext`minx5$$, \
$CellContext`minx6$$, $CellContext`minx7$$, $CellContext`minx8$$, \
$CellContext`minx9$$, $CellContext`miny$$, $CellContext`miny1$$, \
$CellContext`miny10$$, $CellContext`miny11$$, $CellContext`miny12$$, \
$CellContext`miny13$$, $CellContext`miny14$$, $CellContext`miny15$$, \
$CellContext`miny16$$, $CellContext`miny17$$, $CellContext`miny18$$, \
$CellContext`miny19$$, $CellContext`miny2$$, $CellContext`miny20$$, \
$CellContext`miny21$$, $CellContext`miny22$$, $CellContext`miny23$$, \
$CellContext`miny24$$, $CellContext`miny25$$, $CellContext`miny3$$, \
$CellContext`miny4$$, $CellContext`miny5$$, $CellContext`miny6$$, \
$CellContext`miny7$$, $CellContext`miny8$$, $CellContext`miny9$$}, \
{$CellContext`maxth$$, $CellContext`maxx$$, $CellContext`maxx1$$, \
$CellContext`maxx10$$, $CellContext`maxx11$$, $CellContext`maxx12$$, \
$CellContext`maxx13$$, $CellContext`maxx14$$, $CellContext`maxx15$$, \
$CellContext`maxx16$$, $CellContext`maxx17$$, $CellContext`maxx18$$, \
$CellContext`maxx19$$, $CellContext`maxx2$$, $CellContext`maxx20$$, \
$CellContext`maxx21$$, $CellContext`maxx22$$, $CellContext`maxx23$$, \
$CellContext`maxx24$$, $CellContext`maxx25$$, $CellContext`maxx3$$, \
$CellContext`maxx4$$, $CellContext`maxx5$$, $CellContext`maxx6$$, \
$CellContext`maxx7$$, $CellContext`maxx8$$, $CellContext`maxx9$$, \
$CellContext`maxy$$, $CellContext`maxy1$$, $CellContext`maxy10$$, \
$CellContext`maxy11$$, $CellContext`maxy12$$, $CellContext`maxy13$$, \
$CellContext`maxy14$$, $CellContext`maxy15$$, $CellContext`maxy16$$, \
$CellContext`maxy17$$, $CellContext`maxy18$$, $CellContext`maxy19$$, \
$CellContext`maxy2$$, $CellContext`maxy20$$, $CellContext`maxy21$$, \
$CellContext`maxy22$$, $CellContext`maxy23$$, $CellContext`maxy24$$, \
$CellContext`maxy25$$, $CellContext`maxy3$$, $CellContext`maxy4$$, \
$CellContext`maxy5$$, $CellContext`maxy6$$, $CellContext`maxy7$$, \
$CellContext`maxy8$$, $CellContext`maxy9$$}}], NumberQ[
                Part[#, 2]]& ]]}; 
         Optica`Optica`$OpticalSystemScript = 
          "{Move[LineOfRays[2], {{x, -14.}, {y, 0}}, {th, 0.}, SymbolicValues \
-> {th -> 0, x -> -14, y -> 0}], Resonate[{Move[BallLens[3, \
{FresnelReflections -> True}], {{x1, -9.076855764848366}, {y1, \
-9.287305236569473}}, SymbolicValues -> {x1 -> -9.076855764848366, y1 -> \
-9.287305236569473}], Move[BallLens[3, {FresnelReflections -> True}], {{x2, \
-10.394632147990418}, {y2, -5.269527835877297}}, SymbolicValues -> {x2 -> \
-10.394632147990418, y2 -> -5.269527835877297}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x3, -10.899228888504425}, {y3, \
0.07490367184474334}}, SymbolicValues -> {x3 -> -10.899228888504425, y3 -> \
0.07490367184474334}], Move[BallLens[3, {FresnelReflections -> True}], {{x4, \
-9.710913597198532}, {y4, 5.636727305618463}}, SymbolicValues -> {x4 -> \
-9.710913597198532, y4 -> 5.636727305618463}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x5, -9.513475896008032}, {y5, \
10.763869854080555}}, SymbolicValues -> {x5 -> -9.513475896008032, y5 -> \
10.763869854080555}], Move[BallLens[3, {FresnelReflections -> True}], {{x6, \
-5.40355882223856}, {y6, -9.234228337251183}}, SymbolicValues -> {x6 -> \
-5.40355882223856, y6 -> -9.234228337251183}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x7, -4.6793517925951384}, {y7, \
-5.340331330555538}}, SymbolicValues -> {x7 -> -4.6793517925951384, y7 -> \
-5.340331330555538}], Move[BallLens[3, {FresnelReflections -> True}], {{x8, \
-5.748713336972769}, {y8, -0.6277315589438477}}, SymbolicValues -> {x8 -> \
-5.748713336972769, y8 -> -0.6277315589438477}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x9, -4.910571250185416}, {y9, \
5.870057675832702}}, SymbolicValues -> {x9 -> -4.910571250185416, y9 -> \
5.870057675832702}], Move[BallLens[3, {FresnelReflections -> True}], {{x10, \
-5.173178216303013}, {y10, 9.735947781279659}}, SymbolicValues -> {x10 -> \
-5.173178216303013, y10 -> 9.735947781279659}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x11, -0.7955110594074011}, {y11, \
-9.20556162661241}}, SymbolicValues -> {x11 -> -0.7955110594074011, y11 -> \
-9.20556162661241}], Move[BallLens[3, {FresnelReflections -> True}], {{x12, \
-0.7478948293401275}, {y12, -5.446293109949963}}, SymbolicValues -> {x12 -> \
-0.7478948293401275, y12 -> -5.446293109949963}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x13, -0.7186552945590348}, {y13, \
-0.9182563900429362}}, SymbolicValues -> {x13 -> -0.7186552945590348, y13 -> \
-0.9182563900429362}], Move[BallLens[3, {FresnelReflections -> True}], {{x14, \
0.6467373186502905}, {y14, 5.823234725927334}}, SymbolicValues -> {x14 -> \
0.6467373186502905, y14 -> 5.823234725927334}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x15, -0.8194264060546097}, {y15, \
10.00683993811232}}, SymbolicValues -> {x15 -> -0.8194264060546097, y15 -> \
10.00683993811232}], Move[BallLens[3, {FresnelReflections -> True}], {{x16, \
4.357650915848823}, {y16, -10.813492579691129}}, SymbolicValues -> {x16 -> \
4.357650915848823, y16 -> -10.813492579691129}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x17, 4.6940494899534215}, {y17, \
-4.757029915968235}}, SymbolicValues -> {x17 -> 4.6940494899534215, y17 -> \
-4.757029915968235}], Move[BallLens[3, {FresnelReflections -> True}], {{x18, \
5.761209738087384}, {y18, -0.5792642424399462}}, SymbolicValues -> {x18 -> \
5.761209738087384, y18 -> -0.5792642424399462}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x19, 5.37340128254856}, {y19, \
4.583301414587303}}, SymbolicValues -> {x19 -> 5.37340128254856, y19 -> \
4.583301414587303}], Move[BallLens[3, {FresnelReflections -> True}], {{x20, \
5.509923075060153}, {y20, 9.048467316503901}}, SymbolicValues -> {x20 -> \
5.509923075060153, y20 -> 9.048467316503901}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x21, 9.283972532733976}, {y21, \
-10.286756261245399}}, SymbolicValues -> {x21 -> 9.283972532733976, y21 -> \
-10.286756261245399}], Move[BallLens[3, {FresnelReflections -> True}], {{x22, \
9.683101291363167}, {y22, -4.687480464775758}}, SymbolicValues -> {x22 -> \
9.683101291363167, y22 -> -4.687480464775758}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x23, 9.079483592141377}, {y23, \
-0.08119463463299015}}, SymbolicValues -> {x23 -> 9.079483592141377, y23 -> \
-0.08119463463299015}], Move[BallLens[3, {FresnelReflections -> True}], \
{{x24, 9.430996120703295}, {y24, 4.758812645174205}}, SymbolicValues -> {x24 \
-> 9.430996120703295, y24 -> 4.758812645174205}], Move[BallLens[3, \
{FresnelReflections -> True}], {{x25, 10.798138886700412}, {y25, \
9.837061755409946}}, SymbolicValues -> {x25 -> 10.798138886700412, y25 -> \
9.837061755409946}]}], Move[Boundary[{0, -15, -15}, {30, 15, 15}], -15.]}"; 
         Print[
           InputForm[
            StringJoin["{SymbolicValues -> ", 
             ToString[
              MapThread[StringJoin[#, "->", 
                ToString[#2, InputForm]]& , {{
                "th", "x", "x1", "x10", "x11", "x12", "x13", "x14", "x15", 
                 "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", "x23",
                  "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", "x9", "y",
                  "y1", "y10", "y11", "y12", "y13", "y14", "y15", "y16", 
                 "y17", "y18", "y19", "y2", "y20", "y21", "y22", "y23", "y24",
                  "y25", "y3", "y4", "y5", "y6", "y7", "y8", 
                 "y9"}, {$CellContext`th$$, $CellContext`x$$, \
$CellContext`x1$$, $CellContext`x10$$, $CellContext`x11$$, \
$CellContext`x12$$, $CellContext`x13$$, $CellContext`x14$$, \
$CellContext`x15$$, $CellContext`x16$$, $CellContext`x17$$, \
$CellContext`x18$$, $CellContext`x19$$, $CellContext`x2$$, \
$CellContext`x20$$, $CellContext`x21$$, $CellContext`x22$$, \
$CellContext`x23$$, $CellContext`x24$$, $CellContext`x25$$, \
$CellContext`x3$$, $CellContext`x4$$, $CellContext`x5$$, $CellContext`x6$$, \
$CellContext`x7$$, $CellContext`x8$$, $CellContext`x9$$, $CellContext`y$$, \
$CellContext`y1$$, $CellContext`y10$$, $CellContext`y11$$, \
$CellContext`y12$$, $CellContext`y13$$, $CellContext`y14$$, \
$CellContext`y15$$, $CellContext`y16$$, $CellContext`y17$$, \
$CellContext`y18$$, $CellContext`y19$$, $CellContext`y2$$, \
$CellContext`y20$$, $CellContext`y21$$, $CellContext`y22$$, \
$CellContext`y23$$, $CellContext`y24$$, $CellContext`y25$$, \
$CellContext`y3$$, $CellContext`y4$$, $CellContext`y5$$, $CellContext`y6$$, \
$CellContext`y7$$, $CellContext`y8$$, $CellContext`y9$$}}]], 
             ", SymbolicRanges -> ", 
             ToString[
              Map[StringJoin[
                Part[#, 1], "->", 
                ToString[{
                  Part[#, 2], 
                  Part[#, 3]}, InputForm]]& , 
               Select[
                
                Transpose[{{
                  "th", "x", "x1", "x10", "x11", "x12", "x13", "x14", "x15", 
                   "x16", "x17", "x18", "x19", "x2", "x20", "x21", "x22", 
                   "x23", "x24", "x25", "x3", "x4", "x5", "x6", "x7", "x8", 
                   "x9", "y", "y1", "y10", "y11", "y12", "y13", "y14", "y15", 
                   "y16", "y17", "y18", "y19", "y2", "y20", "y21", "y22", 
                   "y23", "y24", "y25", "y3", "y4", "y5", "y6", "y7", "y8", 
                   "y9"}, {$CellContext`minth$$, $CellContext`minx$$, \
$CellContext`minx1$$, $CellContext`minx10$$, $CellContext`minx11$$, \
$CellContext`minx12$$, $CellContext`minx13$$, $CellContext`minx14$$, \
$CellContext`minx15$$, $CellContext`minx16$$, $CellContext`minx17$$, \
$CellContext`minx18$$, $CellContext`minx19$$, $CellContext`minx2$$, \
$CellContext`minx20$$, $CellContext`minx21$$, $CellContext`minx22$$, \
$CellContext`minx23$$, $CellContext`minx24$$, $CellContext`minx25$$, \
$CellContext`minx3$$, $CellContext`minx4$$, $CellContext`minx5$$, \
$CellContext`minx6$$, $CellContext`minx7$$, $CellContext`minx8$$, \
$CellContext`minx9$$, $CellContext`miny$$, $CellContext`miny1$$, \
$CellContext`miny10$$, $CellContext`miny11$$, $CellContext`miny12$$, \
$CellContext`miny13$$, $CellContext`miny14$$, $CellContext`miny15$$, \
$CellContext`miny16$$, $CellContext`miny17$$, $CellContext`miny18$$, \
$CellContext`miny19$$, $CellContext`miny2$$, $CellContext`miny20$$, \
$CellContext`miny21$$, $CellContext`miny22$$, $CellContext`miny23$$, \
$CellContext`miny24$$, $CellContext`miny25$$, $CellContext`miny3$$, \
$CellContext`miny4$$, $CellContext`miny5$$, $CellContext`miny6$$, \
$CellContext`miny7$$, $CellContext`miny8$$, $CellContext`miny9$$}, \
{$CellContext`maxth$$, $CellContext`maxx$$, $CellContext`maxx1$$, \
$CellContext`maxx10$$, $CellContext`maxx11$$, $CellContext`maxx12$$, \
$CellContext`maxx13$$, $CellContext`maxx14$$, $CellContext`maxx15$$, \
$CellContext`maxx16$$, $CellContext`maxx17$$, $CellContext`maxx18$$, \
$CellContext`maxx19$$, $CellContext`maxx2$$, $CellContext`maxx20$$, \
$CellContext`maxx21$$, $CellContext`maxx22$$, $CellContext`maxx23$$, \
$CellContext`maxx24$$, $CellContext`maxx25$$, $CellContext`maxx3$$, \
$CellContext`maxx4$$, $CellContext`maxx5$$, $CellContext`maxx6$$, \
$CellContext`maxx7$$, $CellContext`maxx8$$, $CellContext`maxx9$$, \
$CellContext`maxy$$, $CellContext`maxy1$$, $CellContext`maxy10$$, \
$CellContext`maxy11$$, $CellContext`maxy12$$, $CellContext`maxy13$$, \
$CellContext`maxy14$$, $CellContext`maxy15$$, $CellContext`maxy16$$, \
$CellContext`maxy17$$, $CellContext`maxy18$$, $CellContext`maxy19$$, \
$CellContext`maxy2$$, $CellContext`maxy20$$, $CellContext`maxy21$$, \
$CellContext`maxy22$$, $CellContext`maxy23$$, $CellContext`maxy24$$, \
$CellContext`maxy25$$, $CellContext`maxy3$$, $CellContext`maxy4$$, \
$CellContext`maxy5$$, $CellContext`maxy6$$, $CellContext`maxy7$$, \
$CellContext`maxy8$$, $CellContext`maxy9$$}}], NumberQ[
                 Part[#, 2]]& ]]], "}"]]], ImageSize -> 
         Automatic], {{$CellContext`xth$$, -13.25}, ControlType -> 
         None}, {{$CellContext`yth$$, 0.}, ControlType -> 
         None}, {{$CellContext`radiusth$$, 0.75}, ControlType -> 
         None}, {{$CellContext`xoffth$$, 0.75}, ControlType -> 
         None}, {{$CellContext`yoffth$$, 0.}, ControlType -> 
         None}, {{$CellContext`laststartposth$$, {-14., 0.}}, ControlType -> 
         None}, {{$CellContext`lastlocposth$$, {-13.25, 0.}}, ControlType -> 
         None}, {{$CellContext`lastth$$, 0}, ControlType -> 
         None}, {{$CellContext`staticpolygons111889820147194947603409$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons121889820147194947628155$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons131889820147194947652723$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons141889820147194947677186$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons151889820147194947700839$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons161889820147194947725686$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons171889820147194947755106$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons181889820147194947777299$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons191889820147194947801368$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons201889820147194947824786$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons211889820147194947851426$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons221889820147194947877351$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons231889820147194947900956$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons241889820147194947924790$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons251889820147194947951086$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons261889820147194947974475$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons271889820147194947998657$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons281889820147194948022551$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons291889820147194948048242$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons301889820147194948072279$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi
giyyJWyCguCCAkZQUVESG6/QoI2C0qzNJghoiwRooAF1RMPM+7vfOfWrU6eo
+Senz+vzjR9vPZMBnrq34R33X3dXtby8vIt+kpd39OH/PPwfedV+1vlp3TJE
R80bMnrhjwdl+cqxjY+bPUT3Njjq7bKlB+XBn61r0vbEcukx9JrRDxx7UMpH
T6n13h/K5bKKc9uW/vagMM/Pmf/jnmsvPH9ChZQMLjrusllVsvDVMx6dU1oh
p22fV39meZXH83PmX7193APtF1bKG++/uGjlF5Vy4g19mw+oqJTJbScvvey4
PR5/Ap5PwfNZ4N8E/9rz+8a89GSVXNbqxB86bK+Q7k1an7Dm/SqpccHXTz1e
/yuP5+fMl+Ut6nb19wfkjXULt/QtKZfq/5o2Y2izg7Kj+4e/63mw3OPt+XY8
N342+PFnPP1Z3icH5fWNe6c9tm52cc/82r+oOvzrXuekT/MP/ji7mHl7nof/
Md5+ts+fk32+VgO/K+OVeXu+G8+Nfwe8ff8rsu+v9v1qZt9PmefnzM/E+3kr
ez96PH79n81+/T2e3o/S+9U2OD8Ls/Oj83E+Ts/Oh8crPb8Y/CLwXXC+e2bn
W5fg/F6enV+PX+6eby10/dDRqxz/tMT1y+PZ12pT6582qM4QvWHD9kOjWx2U
Q6dMPKHH/Wvkx/+97uQLex7wfIz5znzLMYNfu/HQl/JK1Uudup/u+xjznfk+
7W88+tsOldJ351+WP9ur0vOZefa1N/iHwe+vMSX/rppVcuuKFaV3XlXh+Rjz
nfmnfvLoaXfdfUAGtZmz99uG5Z7PId/NV+MHgt+/sHKvHn4vc8eed6Dm3bOL
2eeQ7+af8fbzBHz+E9nnK/sc8t18NX4YePv+t2Xf3/Mx5jvzD+L99Mvej+cz
8+wrvV9tjvMzMzs/ns/Ms69Nid+L8533/f+fb89n5tnXb1w/dJ7rn+cz8+xr
+WNFjTflD9Z2E85s/lbLA7LymE1jd3VZLaWdK9q/03u/52PMd+av6VK398eH
vpBef240q/CP+zwfY74z32Jo44tmtd4tq7d2392k/27PZ+bZ1+bg14I/bsbJ
f72n5T4Zdsbpa26+/EvPx5jvzC8bW/9g5277Jf+NRp+9nb/G8znku/lqfG3w
Sxpd13jz4fdyysR+9Wa8+Hox+xzy3fwz3n7+FJ//8+zzlX0O+W6+Gn8K+GPx
/Ydn39/zMeY782fj/azL3o/nM/Oer+771atwfnpn58fzmXn29QrwfcAvds+3
5zPz7OunxA/r7/jn+cw8+7pmzAuFg98cqKt/UefbmUuqpOecS5tcXG2V/Gv7
zXV++8sqz8eY78y3OLpjrf3PbJMOefsWt6i11/Mx5jvz1fOWPNrgqp3Sp+kX
u2YO2en5zDz7Wg18X/BTzxnfYMj3e+T1Ns2O/ue2bZ6PMd+Z/+rnX902Kb9K
lv5mc4frp67yfA75br4avwT8e7u3N199+L1MrvjskovPfa2YfQ75bv4Zbz/b
5y/LPl/Z55Dv5qvxZeBfwPefnX1/z8eY78zn4f30y96P5zPz7Cu9X22K83ND
dn58n4lnX88C3xH8vTjf72bn2/OZefa1m+uHPjLW8c/zmXn2tfDh/SMm7h+g
XU+997qpJ+6Txo0uWP7sH1bIDXd813Z2972ejzHfmV9Zf/7Vuzdvkcp2Zy/I
G1Hp+RjznfmfHszvu2/V13Jyu4bTxp6ww/eZePb1aPD54Oe+fUH1On0q5Znj
izq93Gir52PMd+arf/Tc2d923iu3Fg35+MKyFZ7PId/NV+NvAX983pSaiw+/
l5p53SY0HzuzmH0O+W7+GW8/2+d3yj5f2eeQ7+ar8beDt+8/Ofv+no8x35n/
Cd5P3ez9eD4zz77S+9XlOD97svPj+cw8+7qM+Hru+fZ8Zp59PZX4Y/s5/nk+
M8++3rD4m5OWbX1Ml7W6oMX131TKB+tHbd3QpEyaNXr7tef+p9LzMeY78yPb
3nvH3WWbZVz+tTdd1Hen52PMd+b7zy+7tNZXFXLHfR2qVtf9yvOZefb1UfCd
wVfkd6o94sadUq2of9m+Ez73fIz5znzpqUed+c0dlbKqzdS6vaeXeT6HfDdf
jV8Jfm3XTUsePPxe/ti43blvFL1czD6HfDf/jLefP8Tnr8k+X9nnkO/mq/Hl
4L/E96+efX/Px5jvzPfD+7krez+ez8yzr/R+dTjOz5PZ+fF8Zp59HQp+PPj3
cL6bZ+fb85l59nWB64ducv3zfGa+I/75Mvj67NVLWkz+WT9d1KzxyK/P2Slb
junVZfAjS6XZyR36r5V/y4fuv68wz8+ZH3vhr8t379ogy7uUbax9y3b5m/vr
4fH8nPm6ebXqdh+1TaZ+cOP+Qf/cJgPwvu6Ej8z3d8+D1AH/Evgfftfyyzqy
XXqV9LvvlfYbZbt7njyenzP/5aW9L6hq+W/5wwfDFv3mtk9kMc77avjI/GLy
3fgC8H22fHZnk1Y7Zf1ZFZdP+uKl4nXw8U/wmfl15Kvx9vMX+PyLs8/XUvKR
eXu+Fs+NbwP+EL5/n+z761f4fkfDR+b5OfO18X6mZe8n5+Pd8JF5ej9K71f/
jvOzIjs/OgLnYwJ8ZH4Ynj+F5yPArwS/0j3fqji/LeAj8yXk+3rih7Zz/NPN
rl8ez76+9c7Cviet6qVNr/x8RfW9FfLu2T+9aF3LUlkw/YRhDzWt8HyM+c78
/X8eeGX+u2uk5qwN+q8l2zwfY74z3+PW7w8s37hZTr11Z8GQHzd7PjPPvhaC
bwB+yaTpHfa9tU3k7wf3v1mj3PMx5jvzH8+7elfrBhXSrdOlTzXZXur5HPLd
fDW+K/gXJ7W85Lz/ey9FTc6dvv/5YvY55Lv5Z7z9bJ9fmH2+ss8h381X43uC
/xjf/+Ls+3s+xnxn/n68n19m78fzmXn2ld6vdsX5OSk7P57PzLOvXcDXAv8a
zndJdr49n5lnX+e4fmjRXMc/z2fm2ddJ37ffVKdVT639+iv1W7XdIncve7xR
094LpGL5j+XPvP6552PMd+aLrly/6KJTl8vqB97e9u6CTZ6PMd+Zf7iky6u/
nr9Wdny3sXxW1VrPZ+bZ177gd4GvNbvpqK5TNsmv1o868fq/LPd8jPnOfJeh
S6vaTv9czpzy7ws3VS/xfA75br4afwb4N4a/1b7D4fcyvOxv/fp3nVTMPod8
N/+Mt5/t85tmn6/sc8h389X4ZuBPwvdvmX1/z8eY78z3wfvZnb0fz2fm2Vd6
v9oT52dNdn48n5lnXwvBl4P/C873V9n59nxmnn293fVDWxxy/PN8Zn4KfK0L
XweNuKme9LtXvyue8cGPE8vltAm1nhm1fq4suG/qvd9/skbuw/++r+Ej8/yc
+SsGdBgz4o5SGbe53doBt62SXvj1WA8fmefnzFc/rmX3tX8uk3F1qo/s26tM
+uN9VcJH5h/D8714Xg38ePDTT1z9/Ml/WiXrj91/ac93SqUOzlMr+Mg8P2f+
vX2vPNl9wRqZ3PzaPruf+qd0c8+7x9vzs/Hc+GfAL2wzb1DLSeWyYu9VnTsX
jSmeAx9HwWfm55CvxtvP8/D5z2Wfr8a3gI/M2/Nf4bnxL4Cfhu+/Mfv+mo/v
dy58ZJ6fM38U3s+E7P1oP/z674OPzNP7UXq/+iecnyez86N/xfnYAB+ZfwDP
N+L5peDHgz8F57skO9/ayT2/Ht+Znjdw/dDLRjr+6TmHHL88nn0t71n9tIPt
O+obPxzzj0E9SmXiwpNffnn2DOl8c0mrddM+9HyM+c78sPfXTu5xwVz53fi/
Tul74SLPx5jvzM/7bnG7F34zXwY+fkaN42+a7/nMPPtaDH4w+OL3L59wfuNF
0rreTeeXjpzr+Rjznfl7+7QdevvED+Xx92++enG3lz2fQ76br8YPAP/Y/Mo6
bx9+L78cfd7ottcPKGafQ76bf8bbz/fg8wdnn6/sc8h389X4J8Db978k+/6e
jzHfmX8X72dI9n48n5lnX+n96hCcnwuz8+P5zDz7Ogh8AfiRON93Zefb85l5
9nWc64c+84Djn+cz8+zrnE57mn6w6Bh59ayiyulbeulb7YaeeH3Djlrj4ZnH
TP7vXso+xnxn/v5P905f/8o9urHwwYF3aJGyjzHfmX9s4fp5eSsKddvS/M7P
VhUq+8w8+/oo+C/AF731yS3/mF6kY54d3+7SH+5R9jHmO/PjFg9r3e2kXrqz
tOmZZ63tqOxzyHfz1fgd4Hfuad96zeH30nP/ez0afn1OAfsc8t38M95+HovP
r8w+X9jnkO/mq/F7wNv3H5t9f2EfY74z/wjez5fZ+xH2mXn2ld6vdMX5+Sw7
P8I+M8++3gd+E/gZ7vkW9pl59vVV4otud/wT9pl59MuS6yuzHlKs10LPqNZr
oU9W6y+Z5+fMo2dU9IyKPlnRJ3s8P2cevaSil1T0z4r+2ePRtyr1sfqm2+Pp
ZW6/qzXcvjbH83Pm0QsqeklFn6w73P43x9vz7W5frLPdnlHRSxagT1b0zwXM
23Pzz3j72T4fvaSgT9Zdbj+d++ft+W63z9Z33B5Ur3D7cUWfLMzzc+bRSyp6
SUH/rM+6/XmOp/cj9H4FvaSilxT0z3q628fneKXn6CEVPaSgl1T0koL+WdE/
e/xy93xLoeuHoJc0/6TE9cvj2Vf0kGK9FnpGtV6LfYz5zjx6RkXP6PkY8515
9JKKXtLzmXn2Fb2cPuz2eHqr2+/mfIz5zjx6Rh3k9sU5n0O+m6/GD3R7RkUv
WcA+h3w3/4y3n9Ez6hNun53zOeS7+Wr8MLcH1dvcfjznY8x35tFLKnpJz2fm
2Vd6v4JeUtEzej4zz742JR69pKKX9Hxmnn39xvVD5rn+eT4zz76ihxTrtdAz
qvVa7GPMd+bRMyp6Rs/HmO/Mo5dU9JKez8yzr+jl1Ho59Iw6zO13cz7GfGce
PaOil/R8Dvluvhpf2+0ZFb1kAfsc8t38M95+Rs+o6CWFfQ75br4ajx5S0DPq
cLcfz/kY85159JKKXtLzmXnPV/f9CnpJ7W09LfnIPPuKHlLRQ8pi93x7PjPP
vn5KPHpJ88/zmXn2FT2kWK+FnlGt12IfY74zj55R0TN6PsZ8Zx69pKKX9Hxm
nn1FL6fWy6FnVPSMno8x35lHL6joJT2fQ77XdvtiXeL2jIpesoB9Dvlu/hlv
P9vno5cU9jnk+ylun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0Esqeknf
Z+LZV/SQih5S0EsqeknPZ+bZ126uH4Je0vzzfGaefUUPKdZroWdU67XYx5jv
zKNnVPSMno8x35lHL6noJX2fiWdf0ctpvtvjKXpGz8eY78yjF9Rb3b4453PI
9yVuX6y3uD2jopcsYJ9Dvpt/xtvP9vmd3D4753PI9zK3z9bb3R5U0TN6PsZ8
Zx69pKKX9Hxmnn2l9yvoJRU9o+cz8+zrMuLruefb85l59vVU4tFLmn+ez8yz
r+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/Po3RT9s+cz8+wrejy1Phb9slZz
+92cjzHfmUcvqKvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0y7rG7bNz
Pod8N1+NL7feE9+/utuP53yM+c48+me1XpV9Zp59pfcr6J8V/bPnM/PsK/pn
tR4X/bNa78s+M8++LnD9kE2uf57PzKNfFusr0UOK9VroGdV6rQ/df19lnp8z
j55R0TPq39xfD4/n58yjl1T0kor+WdE/e3x/9zxYL6fWy6FnVPSMut09Tx7P
z5lHz6joJRV9sqJ/9vjF5LvxBW7PqOglC9AnK/rnAubXka/G28/oGRW9pN2X
yPnIvD1HvyzGo4cU9IyKnlHQJ+vR7n2OHM/PmUcvqeglcz6if/Z4ej9C71fQ
Syp6SUH/rBPcPj7Ho19W9MuCHlLRQ8pK93wL+mdF/+zxJeT7euLRS5p/stn1
y+PZV/SQYr0Weka1Xot9jPnOPHpGRc/o+RjznXn0kope0vOZefYVvZxaL4ee
UdEzej7GfGcevaCil/R8Dvle4PbF2tXtGRW9ZAH7HPLd/DPefrbPRy8p7HPI
9zZun63oIQU9o6Jn9HyM+c48eklFL+n5zDz7Su9X0EsqeknPZ+bZV/SQih5S
0EsqeknPZ+bZ1zmuH4Je0vzzfGaefUX/LNZfol9W6zPZx5jvzKNfVvTLno8x
35lH/6zonz2fmWdf0ceq9bHolxX9sudjzHfm0QfrmW5fnPM55HtXty9W9M+K
flnRPxewzyHfzT/j7Wf7/KZun53zOeR7T7fPVutB0S8r+mXPx5jvzKN/VvTP
ns/Ms6/0fgX9s6J/9nxmnn1F/6zonwX9s6J/9nxmnn293fVD0D+bf57PzKNf
Fusr0UOK9VroGdV6LfTJav0l8/ycefSMip5R0Scr+mSP5+fMo5dU9JKK/lnR
P3s8+lalPlatl0PPqOgZFX2ytnL72hzPz5lHz6iT3b7YzrvH23P0yzn+Gbdn
VPSSBeiTFf1zAfNzyFfj7Wf0jPqc22drC7efzv3z9hz9shiPHlLQMyp6RkGf
rOe6fXeO5+fMo5dU9JKC/lnRP3s8vR+h9yvoJRW9pKB/1g1uH5/j0S8r+mVB
D6noIQW9pKKXlE7u+fX4zvS8geuHoJc0/wT9s/nl8ewrekixXgs9o1qvxT7G
fGcePaOiZ/R8jPnOPHpJRS/p+cw8+4peTge7PZ6iZ/R8jPnOPHpGRS/p+Rzy
3Xw1foDbMyp6yQL2OeS7+We8/YyeUdFLCvsc8t18Nf4JtwdV9IyejzHfmUcv
qeglPZ+ZZ1/p/VovqeglPZ+ZZ1/RQyp6SOslFb2k5zPz7Os41w/rJc0/z2fm
2Vf0z2r9JfplsT6TfYz5zjz6ZUG/LOxjzHfm0T8L+mdhn5lnX9HHivWx6G9l
jNvv5nyM+c48+mVB/yzsc8h389V49M+CflnQPxezzyHfzT/j7Wf0y4L+Wdnn
kO/mq/Hon3Pff6zbj+d8jPnOPPpnQf+s7DPz7Cu9X0X/LOiflX1mnn1F/yzo
n3WGe76VfWaefX2VePTP5p+yz8zzfYXU+wip9x1i9xFS7zvwfQW+z8A831dI
vY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE7jvQf/8G7x/xfYbQfYc9dN/hSO8j
pN534PsKfJ+Beb6vELt/xPcZmOf7CrH7R3yfgXm+rxC7f8T3GZhnX4fjPmDe
vOy/r5vivlJp4D5gzHfmr8F9qomB+4Ax35k/Fve9nsb/v5N6/+gY8BPBz8R9
tM8D9wFjvjO/EPflptJ9wCO9f7TQvW8nH+E+XznuC6beP/qI7gOW4POn0X3A
I71/ZPwM8K/g+28N3AeM+c78T/F+JuH3K6n3j+j96lXu+fF8jt0/svuok+g+
4GL8fi/1/tFprh/abqTjn+cz8+zr87iPXw+/X+6K+8I78ftl9jHmO/MP4T7z
Zvx+nn2M+c78INy3rsKfN7DPzLOvA8EfAF8f98HPx5+HsI8x35kvdO+rez6H
fDdfC9379DIX9+nH4b4++xzy3fybS/fx7fPPwZ93sc8h381X41uBr4fv/2v8
eRz7GPOdeZvHcBB/Xsg+M8++0vvV3jg/W/Dnmewz8+zrg+C3gr/TPd+ez8yz
r/cQf94hxz/PZ+Z5fsbbmIfTHH9ePQ/zOhbiz6tT528w38OdJ5I8f4P5njTP
JnX+hvENwX/izmNJnr/B/FLMi7kff1+SOn/D+O7gp2GeTTHm5aTO35hG83CW
0jyb1PkbxheBX4rv3wZ/H5Y6f4P5Qvf9JM/foPer3XF+/gt/n5g6f6Mr8bNx
vhfh7ztT52+84/qhD851/IvO32Bfn8M8ug/w98VbaZ4c+xjznflx7rwwz8eY
78z/HPPGXsTft7PPId8b0rw76wF+xDy03ugB2MeY78xXYF6boFdgn0O+m6/G
/x78Q5gntwHz6tjnkO/m30M0j87m3bVG78E+h3wvcnsUucTtUeQh9CjsY8x3
5vPxfqbTPDrzkXn2ld6vjqJ5cuwz8+zrSPCrwK/C+W6O3oh9Zp593UDz6Ia1
c/zzfGaefY3Ng2UfY77H5sGyjzHfmed5sewz8+xrbB4s+xjzPTQP1ubFss8h
383X0DxYmxfLPod8N/9C82DL3V4z53PId/M1Ng+WfYz5zjzPi2WfmWdfeR4s
z4tln5lnX3keLM+LZZ+ZZ195HizPi2WfmWdfY/PYU+c/x+axp85/ju1fSJ3/
HJvHnjr/ObZ/IXX+c2z/Qur859j+hdT5z7F57Knzn2P7F1LnP8f2L6TOf47t
X0id/xzbvxCb/8y+pu5DSd23EtuHkrpvhfelpO5fSN2HkrpvhfelpO5fiO0/
St2/ENt/lLp/IXUfSuq+Fd6Xkrp/Ibb/KHX/Qmz/Uer+hdj+o9j+BfZ1LfaR
XYP7wquwL2lxYB9ZzHfmr3X3RSXvP2K+JfZNleO+der+oxbuPiw53t2Hlbz/
iPky7OuqQ/vIjnT/URntO1uKfWL1sK8sdf/RUtpHtiywj+xI9x8ZX8+dRyAj
AvvIYr4z3xTvZwPmJaTuP6L3q1fTPrHU/UdXgn8I/Efu+U7ef7SM+OH9Hf+i
+494f2DqPtDUfaOxfaCp+0Z5X2jq/sHUfaCp+0Z5X2jq/sHY/t/U/YOx/b+p
+wdT94Gm7hvlfaGp+wdj+39T9w/G9v+m7h+M7f+N7R+sjn++I3yN7eP+wf33
Feb5eWwf9znur4fH83PmeV93H/KR+d7ueYju4z7gnieP5+ehfdy2r/tpnPfB
8JH5pwP7vnkft+3rPkA+M3+AfA3t457jzsuTofCReXs+nPZ9x/Zxd3Lne+V4
fs487+vuhV//R2j/byfa/2u+8z5u3tfdAudjFu3/Nb4ZPed93Lyvex/O71Hw
mflvyXfex837ut9z/fJ49hXzYNXmVWKeq9i8SvYx5jvzmOcqmOfq+RjznXnM
ixXMi/V8Zp59xbxQmeLOI5Ua7jzTnI8x35nHPFfZ4c5bzfkc8t18NX67O89V
MC+2mH0O+W7+GW8/Y56r7HLn1eZ8Dvluvhq/252HKzXdebo5H2O+M495sYJ5
sZ7PzLOv9H4V82IF81w9n5lnX5V4zIsVzIv1fGaefV3u+qElrn+ez8zzfYXU
+wip9x1i9xFS7zvwfQW+z8A831dIvY+Qet+B7yvwfYbQfYcddN8hdP+I7zOE
7juYf7H7R3yfIXTfYQ/ddzjS+wip9x34vgLfZ2Ce7yvE7h/xfQbm+b5C7P4R
32dgnu8rxO4f8X0G5tlX9JBivRZ6Ri0N3AeM+c48ekadGLgPGPOdefSSil7S
8zl2/wi9nFovh55RPw/cB4z5zjx6Rp1K9wGP9P7RQve+nfWMil6yIPX+0Ud0
HxA9o06j+4BHev/IePSQgp5RtwbuA8Z8Zx69pKKX9HyO3T+i9ytXuefH8zl2
/8juo06i+4DoJT2fY/ePTnP9EPSS5p/nM/PsK/pnsf4S/bJan8k+xnxnHv2y
ol/2fIz5zjz6Z0X/7PnMPPuKPlatj0W/rOiXPR9jvjNf6N5X93wO+f6C2xfb
fXpFv6zonwvY55Dv5t9cuo9vn4/+WdjnkO8z3D5b0T8L+mVFv+z5GPOdeZvH
gP7Z85l59pXer6B/VvTPns/Ms6/onxX9s9zpnm/PZ+bZ13uIR/9s/nk+M8/z
M9BDivVa6BnVeq3U+RvM93DniSTP32C+J82zSZ2/Ybz1cp+481iS528wj15Q
73f74iOev2F8d7dnVPSSyfM3ptE8nKU0zyZ1/obx6CEFPaOiZ0yev8F8oft+
kudv0PsV9JKKnjF5/kZX4tFLKnrJ5Pkb77h+CHpJ8y86f4N9RQ8p1mttpXly
7GPMd+bHufPCPB9jvjOPXlLRS3o+h3ynPtbmoSl6RkXP6PkY85159Iwqbl+c
8znku/lq/O/dnlHRSxawzyHfzb+HaB6dzbtr7fbZOZ9Dvpuvxl/i7iNX9Iye
jzHfmUcvqdNpHp35yDz7Su9XRtE8OfaZefYVPaSihxT0kope0vOZefZ1A82j
Qy9p/nk+M8++xubBso8x32PzYNnHmO/M87xY9pl59jU2D5Z9jPkemgdr82LZ
55Dv5mtoHqzNi2WfQ76bf6F5sLn5zeRzyHfzNTYPln2M+c48z4tln5lnX3ke
LM+LZZ+ZZ195HizPi2WfmWdfeR4sz4tln5lnX2Pz2FPnP8fmsafOf47tX0id
/xybx546/zm2fyF1/nNs/0Lq/OfY/oXU+c+xeeyp859j+xdS5z/H9i+kzn+O
7V9Inf8c278Qm//MvqbuQ0ndtxLbh5K6b4X3paTuX0jdh5K6b4X3paTuX4jt
P0rdvxDbf5S6fyF1H0rqvhXel5K6fyG2/yh1/0Js/1Hq/oXY/qPY/gX2Ff2z
WH+JflkXB/aRxXxn/lp3X1Ty/iPm0T8r+ufk/Uct3H1Yery7Dyt5/xHz6Je1
Du0jO9L9R2W07wz9sqJ/Tt5/tJT2kS0L7CM70v1Hxtdze1AdEdhHFvOdefTP
iv45ef8RvV+5mvaJpe4/Qv+s6J/lI/d8J+8/WkY8+mfzL7r/iPcHpu4DTd03
GtsHmrpvlPeFpu4fTN0HmrpvlPeFpu4fjO3/Td0/GNv/m7p/MHUfaOq+Ud4X
mrp/MLb/N3X/YGz/b+r+wdj+39j+QfTLYn1lbB/3D+6/rzLPz2P7uM9xfz08
np8zz/u6+5CPzPd2z0N0H/cB9zx5PD8P7eO2fd3ok3Ww9cXEPx3Y9837uG1f
9wHymfkD5GtoH7ft67b/ezHU7adz/7w9H077vmP7uDu59zlyPD9nnvd1o3/W
R2j/byfa/0t9e24fN+/rRv+ss2j/r/HN6Dnv4+Z93eifFf2zx39LvvM+bt7X
/Z7rl8ezr+ifxfpL9MtqfSb7GPOdefTLin7Z8zHmO/PonxX9s+cz8+wr+li1
Phb9rdZw+92cjzHfmUe/rDvcvjjnc8h389V49M+KflnRPxewzyHfzT/j7Wf0
y7rL7bNzPod8N1+NR/9s/bfWdPvxnI8x35lH/6zonz2fmWdf6f0K+mdFv+z5
zDz7qsSjf1b0z57PzLOvy10/pMT1z/OZ+f8AjAjDLA==
            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons311889820147194948096301$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons321889820147194948120604$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons331889820147194948146370$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons341889820147194948175213$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons351889820147194948198421$$, {
           AbsoluteThickness[1], 
           AbsolutePointSize[1], 
           EdgeForm[], 
           RGBColor[0.4, 0.6, 0.8], 
           Polygon[CompressedData["
1:eJyVnXmUlsWVh9uAcSXISEOEiYTFlSWImsTYyVXQBFdUIuISRcWNAWywIyCi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            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons361889820147194948200587$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAE9Bxz0AQJ8QvQBImlC9lFbH7n+wMUnVZxY
f+AyBxeNoQ8AtlgqAg==
            "]]}}, ControlType -> None}}, 
      "Options" :> {
       TrackedSymbols -> Manipulate, Deployed -> False, 
        AutorunSequencing -> {3, 1}, SynchronousInitialization -> False, 
        SynchronousUpdating -> False, 
        BaseStyle -> {DynamicEvaluationTimeout -> 100}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{643., {357., 362.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`raytracefunction11889820147194857694040 = 
       With[{$CellContext`compileoptionsetting$ = 
          If[$VersionNumber >= 8, {
            CompilationOptions -> {
              "ExpressionOptimization" -> False, "InlineCompiledFunctions" -> 
               False}, CompilationTarget -> "MVM", 
             RuntimeAttributes -> {Listable}, Parallelization -> False, 
             RuntimeOptions -> {}}, CompileOptimizations -> False]}, 
         Compile[{{$CellContext`th$$, 
            Blank[Real]}, {$CellContext`x$$, 
            Blank[Real]}, {$CellContext`y$$, 
            Blank[Real]}, {$CellContext`x1$$, 
            Blank[Real]}, {$CellContext`x10$$, 
            Blank[Real]}, {$CellContext`x11$$, 
            Blank[Real]}, {$CellContext`x12$$, 
            Blank[Real]}, {$CellContext`x13$$, 
            Blank[Real]}, {$CellContext`x14$$, 
            Blank[Real]}, {$CellContext`x15$$, 
            Blank[Real]}, {$CellContext`x16$$, 
            Blank[Real]}, {$CellContext`x17$$, 
            Blank[Real]}, {$CellContext`x18$$, 
            Blank[Real]}, {$CellContext`x19$$, 
            Blank[Real]}, {$CellContext`x2$$, 
            Blank[Real]}, {$CellContext`x20$$, 
            Blank[Real]}, {$CellContext`x21$$, 
            Blank[Real]}, {$CellContext`x22$$, 
            Blank[Real]}, {$CellContext`x23$$, 
            Blank[Real]}, {$CellContext`x24$$, 
            Blank[Real]}, {$CellContext`x25$$, 
            Blank[Real]}, {$CellContext`x3$$, 
            Blank[Real]}, {$CellContext`x4$$, 
            Blank[Real]}, {$CellContext`x5$$, 
            Blank[Real]}, {$CellContext`x6$$, 
            Blank[Real]}, {$CellContext`x7$$, 
            Blank[Real]}, {$CellContext`x8$$, 
            Blank[Real]}, {$CellContext`x9$$, 
            Blank[Real]}, {$CellContext`y1$$, 
            Blank[Real]}, {$CellContext`y10$$, 
            Blank[Real]}, {$CellContext`y11$$, 
            Blank[Real]}, {$CellContext`y12$$, 
            Blank[Real]}, {$CellContext`y13$$, 
            Blank[Real]}, {$CellContext`y14$$, 
            Blank[Real]}, {$CellContext`y15$$, 
            Blank[Real]}, {$CellContext`y16$$, 
            Blank[Real]}, {$CellContext`y17$$, 
            Blank[Real]}, {$CellContext`y18$$, 
            Blank[Real]}, {$CellContext`y19$$, 
            Blank[Real]}, {$CellContext`y2$$, 
            Blank[Real]}, {$CellContext`y20$$, 
            Blank[Real]}, {$CellContext`y21$$, 
            Blank[Real]}, {$CellContext`y22$$, 
            Blank[Real]}, {$CellContext`y23$$, 
            Blank[Real]}, {$CellContext`y24$$, 
            Blank[Real]}, {$CellContext`y25$$, 
            Blank[Real]}, {$CellContext`y3$$, 
            Blank[Real]}, {$CellContext`y4$$, 
            Blank[Real]}, {$CellContext`y5$$, 
            Blank[Real]}, {$CellContext`y6$$, 
            Blank[Real]}, {$CellContext`y7$$, 
            Blank[Real]}, {$CellContext`y8$$, 
            Blank[Real]}, {$CellContext`y9$$, 
            Blank[Real]}}, 
          
          Module[{$CellContext`activeregion$, \
$CellContext`allcreatedamplitudes$, $CellContext`allcreatedrays$, \
$CellContext`allowzeroraylength$, $CellContext`alternateindex$, \
$CellContext`amplitude$, $CellContext`axismagnitude$, \
$CellContext`axismatrix$, $CellContext`clonedata$, \
$CellContext`clonegenerationnumber$, $CellContext`cloneinput$, \
$CellContext`clonenumber$, $CellContext`cloneposition$, \
$CellContext`clonereportedrays$, $CellContext`clonerotation$, \
$CellContext`clonescale$, $CellContext`clonescalevector$, \
$CellContext`clonesorthistogram$, $CellContext`clonetraceinput$, \
$CellContext`clonetraceoutput$, $CellContext`closestdistances$, \
$CellContext`closestposition$, $CellContext`closestpositions$, \
$CellContext`closestraylength$, $CellContext`completedray$, \
$CellContext`componentnumber$, $CellContext`cosangle$, \
$CellContext`cosangler$, $CellContext`cosanglet$, $CellContext`crossmatrix$, \
$CellContext`deflecteddummyrayspresent$, $CellContext`deflectedlocalrays$, \
$CellContext`deflectedrays$, $CellContext`deflectedrayspresent$, \
$CellContext`dummymatrix$, $CellContext`dummymatrixlist$, \
$CellContext`dummyvector$, $CellContext`frontid$, \
$CellContext`generationlimit$, $CellContext`generationnumber$, \
$CellContext`holeintersections$, $CellContext`holeQ$, \
$CellContext`holeQlist$, $CellContext`hor$, $CellContext`index$, \
$CellContext`index1$, $CellContext`index2$, $CellContext`inrays$, \
$CellContext`intensity$, $CellContext`intensityfactor$, \
$CellContext`intensityscale$, $CellContext`intersectionnumber$, \
$CellContext`intersections$, $CellContext`intersectionslist$, \
$CellContext`intersectionspresent$, $CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$, $CellContext`localoutrayspresent$, \
$CellContext`magnitude$, $CellContext`maxclonegenerationnumber$, \
$CellContext`maximumposition$, $CellContext`minimumraylength$, \
$CellContext`minresonateraylength$, $CellContext`n12$, \
$CellContext`newcomponentnumber$, $CellContext`newdeflectedrays$, \
$CellContext`newdistance$, $CellContext`newpoynting$, \
$CellContext`newsurfaceid$, $CellContext`newsurfacenumber$, \
$CellContext`nonintersectingrays$, $CellContext`normalizedpolarization$, \
$CellContext`oldgenerationnumber$, $CellContext`oldpoynting$, \
$CellContext`opticallength$, $CellContext`originalintensity$, \
$CellContext`originalray$, $CellContext`originalraytilt$, \
$CellContext`originalrotation$, $CellContext`originalsurfnorm$, \
$CellContext`outrays$, $CellContext`parallelamplitude$, $CellContext`PAxis$, \
$CellContext`perpendicularamplitude$, $CellContext`phaseshift$, \
$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$, \
$CellContext`previoustilt$, $CellContext`propagate$, \
$CellContext`propagatedrays$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, $CellContext`ray1$, \
$CellContext`ray2$, $CellContext`ray3$, $CellContext`LocRayL$, \
$CellContext`rayslot$, $CellContext`raysreported$, $CellContext`raytiltx$, \
$CellContext`raytiltz$, $CellContext`refamplitude$, \
$CellContext`reporteddummyrayspresent$, $CellContext`reportedlocalrays$, \
$CellContext`reportedrays$, $CellContext`reportedrayspresent$, \
$CellContext`resonateintersections$, $CellContext`resonatenumber$, \
$CellContext`resonateraylength$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`rotationaxis$, $CellContext`rp$, \
$CellContext`rs$, $CellContext`rsx$, $CellContext`LocRSx$, $CellContext`rsy$, \
$CellContext`LocRSy$, $CellContext`rsz$, $CellContext`LocRSz$, 
            Optica`Optica`RTx$, $CellContext`LocRTy$, $CellContext`LocRTz$, \
$CellContext`rx$, $CellContext`rxhlp$, $CellContext`ry$, $CellContext`ryhlp$, \
$CellContext`rz$, $CellContext`rzhlp$, $CellContext`LocSCx$, \
$CellContext`LocSCy$, $CellContext`sid$, $CellContext`sinangle$, \
$CellContext`sinangler$, $CellContext`sinanglet$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`surfaceid$, $CellContext`surfacenumber$, \
$CellContext`surfacerotationmatrix$, $CellContext`surfacetranslationvector$, \
$CellContext`surfnorm$, $CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$, $CellContext`sz$, $CellContext`szt$, \
$CellContext`tempclonedata$, $CellContext`terminatedeflection$, \
$CellContext`thresholdintensity$, $CellContext`tiltmagnitude$, \
$CellContext`tp$, $CellContext`transamplitude$, $CellContext`transformr$, \
$CellContext`transformt$, $CellContext`transmatrix$, $CellContext`ts$, \
$CellContext`LocTV1$, $CellContext`LocTV10$, $CellContext`LocTV2$, \
$CellContext`LocTV3$, $CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$, $CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$, $CellContext`u$, $CellContext`unfilteredintersections$, \
$CellContext`unit$, $CellContext`uu$, $CellContext`ver$, $CellContext`Vr$, \
$CellContext`Vt$, $CellContext`wavelength$, $CellContext`XAxis$, \
$CellContext`xunit$, $CellContext`YAxis$, $CellContext`yunit$, \
$CellContext`ZAxis$, $CellContext`zunit$}, $CellContext`rsx$ = 
            1.; $CellContext`rsy$ = 1.; $CellContext`rsz$ = 
            1.; $CellContext`rex$ = 1.; $CellContext`rey$ = 
            1.; $CellContext`rez$ = 1.; $CellContext`r1$ = 
            1.; $CellContext`r2$ = 1.; $CellContext`r3$ = 
            1.; $CellContext`r4$ = 1.; $CellContext`r5$ = 
            1.; $CellContext`r6$ = 1.; $CellContext`r7$ = 
            1.; $CellContext`r8$ = 1.; $CellContext`r9$ = 
            1.; $CellContext`symr1$ = 1.; $CellContext`symr2$ = 
            1.; $CellContext`symr3$ = 1.; $CellContext`symr4$ = 
            1.; $CellContext`symr5$ = 1.; $CellContext`symr6$ = 
            1.; $CellContext`symr7$ = 1.; $CellContext`symr8$ = 
            1.; $CellContext`symr9$ = 1.; $CellContext`rx$ = 
            1.; $CellContext`ry$ = 1.; $CellContext`rz$ = 
            1.; $CellContext`xunit$ = 1.; $CellContext`yunit$ = 
            1.; $CellContext`zunit$ = 1.; $CellContext`ray1$ = 
            1.; $CellContext`ray2$ = 1.; $CellContext`ray3$ = 
            1.; $CellContext`LocRSx$ = 1.; $CellContext`LocRSy$ = 
            1.; $CellContext`LocRSz$ = 1.; 
           Optica`Optica`RTx$ = 1.; $CellContext`LocRTy$ = 
            1.; $CellContext`LocRTz$ = 1.; $CellContext`LocRayL$ = 
            1.; $CellContext`LocSCx$ = 1.; $CellContext`LocSCy$ = 
            1.; $CellContext`opticallength$ = 1.; $CellContext`phaseshift$ = 
            0.; $CellContext`wavelength$ = 1.; $CellContext`intensity$ = 
            1.; $CellContext`intensityscale$ = 
            1.; $CellContext`componentnumber$ = -1.; \
$CellContext`surfacenumber$ = -1.; $CellContext`surfaceid$ = -1.; \
$CellContext`generationnumber$ = 1.; $CellContext`intersectionnumber$ = 
            1.; $CellContext`generationlimit$ = 
            200.; $CellContext`thresholdintensity$ = 
            1.; $CellContext`tiltmagnitude$ = 1.; $CellContext`pol1$ = 
            1.; $CellContext`pol2$ = 1.; $CellContext`pol3$ = 
            1.; $CellContext`sid$ = 1.; $CellContext`sno1$ = 
            1.; $CellContext`sno2$ = 1.; $CellContext`sno3$ = 
            1.; $CellContext`sno4$ = 1.; $CellContext`rayslot$ = 
            1.; $CellContext`index$ = 1.; $CellContext`activeregion$ = 
            1.; $CellContext`frontid$ = 1.; $CellContext`index1$ = 
            1.; $CellContext`index2$ = 1.; $CellContext`magnitude$ = 
            1.; $CellContext`LocTV1$ = 1.; $CellContext`LocTV2$ = 
            1.; $CellContext`LocTV3$ = 1.; $CellContext`LocTV4$ = 
            1.; $CellContext`LocTV5$ = 1.; $CellContext`LocTV6$ = 
            1.; $CellContext`LocTV7$ = 1.; $CellContext`LocTV8$ = 
            1.; $CellContext`LocTV9$ = 1.; $CellContext`LocTV10$ = 
            1.; $CellContext`cloneposition$ = {0., 0., 
             0.}; $CellContext`clonerotation$ = {{
             1.}}; $CellContext`clonedata$ = {{
             1.}}; $CellContext`clonenumber$ = 1; $CellContext`clonescale$ = 
            1.; $CellContext`newdistance$ = 
            1.; $CellContext`closestdistances$ = {
             1.}; $CellContext`closestposition$ = 
            0; $CellContext`closestraylength$ = 
            1.; $CellContext`maximumposition$ = 
            1; $CellContext`closestpositions$ = {
             0}; $CellContext`cloneinput$ = {
             1.}; $CellContext`clonetraceinput$ = {{
             1.}}; $CellContext`clonetraceoutput$ = {{
             1.}}; $CellContext`tempclonedata$ = {{
             1.}}; $CellContext`clonegenerationnumber$ = 
            1.; $CellContext`maxclonegenerationnumber$ = 
            1.; $CellContext`clonescalevector$ = {
             1.}; $CellContext`clonesorthistogram$ = {
             1}; $CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1.,
              0.}, {0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
             0., 0., 0.}; $CellContext`oldgenerationnumber$ = 
            1.; $CellContext`intersections$ = {{-1., 0., 
             0.}}; $CellContext`unfilteredintersections$ = {{-1., 0., 
             0.}}; $CellContext`intersectionslist$ = {{{-1., 0., 
             0.}}}; $CellContext`holeQlist$ = {
             0}; $CellContext`holeintersections$ = {{-1., 0., 
             0.}}; $CellContext`minimumraylength$ = 
            0.0001; $CellContext`originalray$ = {
             1.}; $CellContext`completedray$ = {
             1.}; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = 
            True; $CellContext`originalraytilt$ = {
             1.}; $CellContext`allowzeroraylength$ = 
            True; $CellContext`deflecteddummyrayspresent$ = 
            False; $CellContext`reporteddummyrayspresent$ = 
            False; $CellContext`localoutrayspresent$ = 
            False; $CellContext`localdummyoutrayspresent$ = 
            False; $CellContext`deflectedrayspresent$ = 
            False; $CellContext`intersectionspresent$ = 
            False; $CellContext`raysreported$ = 
            False; $CellContext`terminatedeflection$ = 
            False; $CellContext`allcreatedrays$ = {{
             1.}}; $CellContext`propagatedrays$ = {{
             1.}}; $CellContext`deflectedrays$ = {{
             1.}}; $CellContext`newdeflectedrays$ = {{
             1.}}; $CellContext`reportedrays$ = {{
             1.}}; $CellContext`clonereportedrays$ = {{
             1.}}; $CellContext`nonintersectingrays$ = {{
             1.}}; $CellContext`inrays$ = {{1.}}; $CellContext`outrays$ = {{
             1.}}; $CellContext`reportedlocalrays$ = {{
             1.}}; $CellContext`deflectedlocalrays$ = {{
             1.}}; $CellContext`localoutrays$ = {{
             1.}}; $CellContext`resonatenumber$ = 
            0; $CellContext`resonateraylength$ = 
            1.; $CellContext`minresonateraylength$ = 
            1.; $CellContext`resonateintersections$ = {{-1., 0., 
             0.}}; $CellContext`dummyvector$ = {
             1.}; $CellContext`dummymatrix$ = {{
             1.}}; $CellContext`dummymatrixlist$ = {{{
             1.}}}; $CellContext`newcomponentnumber$ = -1.; \
$CellContext`newsurfacenumber$ = -1.; $CellContext`newsurfaceid$ = -1.; \
$CellContext`holeQ$ = False; $CellContext`rxhlp$ = 1.; $CellContext`ryhlp$ = 
            1.; $CellContext`rzhlp$ = 
            1.; $CellContext`surfnorm$ = {{
             1.}}; $CellContext`originalsurfnorm$ = {{
             1.}}; $CellContext`XAxis$ = {1., 0., 0.}; $CellContext`YAxis$ = {
             1., 0., 0.}; $CellContext`ZAxis$ = {1., 0., 
             0.}; $CellContext`PAxis$ = {1., 0., 
             0.}; $CellContext`normalizedpolarization$ = {1., 
             1.}; $CellContext`amplitude$ = {
             1. + 0. I, 0. + 0. I, 0. + 
              0. I}; $CellContext`allcreatedamplitudes$ = {{
              0. + 0. I, 0. + 0. I, 0. + 
               0. I}}; $CellContext`perpendicularamplitude$ = 
            1. + 0. I; $CellContext`parallelamplitude$ = 
            1. + 0. I; $CellContext`raytiltz$ = 1.; $CellContext`raytiltx$ = 
            1.; $CellContext`rs$ = 1. + 0. I; $CellContext`rp$ = 
            1. + 0. I; $CellContext`ts$ = 1. + 0. I; $CellContext`tp$ = 
            1. + 0. I; $CellContext`transamplitude$ = {
             0. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`refamplitude$ = {
             0. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`n12$ = 
            1.; $CellContext`Vr$ = {
             1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`Vt$ = {
             1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`szt$ = 
            1. + 0. I; $CellContext`sz$ = 1.; $CellContext`alternateindex$ = 
            1.; $CellContext`oldpoynting$ = {1., 0., 
             0.}; $CellContext`newpoynting$ = {1., 0., 
             0.}; $CellContext`intensityfactor$ = 
            1.; $CellContext`originalintensity$ = 
            100.; $CellContext`sinanglet$ = 
            1. + 0. I; $CellContext`sinangler$ = 
            1. + 0. I; $CellContext`cosanglet$ = 1.; $CellContext`cosangler$ = 
            1.; $CellContext`transformt$ = {{
              1. + 0. I, 0. + 0. I, 0. + 0. I}, {
              0. + 0. I, 1. + 0. I, 0. + 0. I}, {
              0. + 0. I, 0. + 0. I, 1. + 0. I}}; $CellContext`transformr$ = {{
              1. + 0. I, 0. + 0. I, 0. + 0. I}, {
              0. + 0. I, 1. + 0. I, 0. + 0. I}, {
              0. + 0. I, 0. + 0. I, 1. + 
               0. I}}; $CellContext`transmatrix$ = {{{1., 0., 0.}, {0., 1., 
             0.}, {0., 0., 1.}}}; $CellContext`u$ = {{1., 0., 0.}, {0., 1., 
             0.}, {0., 0., 1.}}; $CellContext`uu$ = {{1., 0., 0.}, {0., 1., 
             0.}, {0., 0., 1.}}; $CellContext`unit$ = {{1., 0., 0.}, {0., 1., 
             0.}, {0., 0., 1.}}; $CellContext`originalrotation$ = {{1., 0., 
             0.}, {0., 1., 0.}, {0., 0., 1.}}; $CellContext`axismatrix$ = {{
             1., 0., 0.}, {0., 1., 0.}, {0., 0., 
             1.}}; $CellContext`crossmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {
             0., 0., 1.}}; $CellContext`axismagnitude$ = 
            1.; $CellContext`cosangle$ = 1.; $CellContext`sinangle$ = 
            1.; $CellContext`previoustilt$ = {1., 0., 0.}; $CellContext`hor$ = 
            1. + 0. I; $CellContext`ver$ = 
            0. + 0. I; $CellContext`propagatedrays$ = 
            Join[{$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$, $CellContext`rsx$ $CellContext`symr2$ + $CellContext`rsy$ \
$CellContext`symr5$ + $CellContext`rsz$ $CellContext`symr8$ + \
$CellContext`y$$, $CellContext`rsx$ $CellContext`symr3$ + $CellContext`rsy$ \
$CellContext`symr6$ + $CellContext`rsz$ $CellContext`symr9$}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`rex$ $CellContext`symr1$ + $CellContext`rey$ \
$CellContext`symr4$ + $CellContext`rez$ $CellContext`symr7$ + \
$CellContext`x$$, $CellContext`rex$ $CellContext`symr2$ + $CellContext`rey$ \
$CellContext`symr5$ + $CellContext`rez$ $CellContext`symr8$ + \
$CellContext`y$$, $CellContext`rex$ $CellContext`symr3$ + $CellContext`rey$ \
$CellContext`symr6$ + $CellContext`rez$ $CellContext`symr9$}; \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`r1$ $CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + \
$CellContext`r3$ $CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + \
$CellContext`r2$ $CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, \
$CellContext`r1$ $CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + \
$CellContext`r3$ $CellContext`symr9$}; {$CellContext`LocTV4$, \
$CellContext`LocTV5$, $CellContext`LocTV6$} = {$CellContext`r4$ \
$CellContext`symr1$ + $CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ \
$CellContext`symr7$, $CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ \
$CellContext`symr5$ + $CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ \
$CellContext`symr3$ + $CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ \
$CellContext`symr9$}; {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$} = {$CellContext`r7$ $CellContext`symr1$ + \
$CellContext`r8$ $CellContext`symr4$ + $CellContext`r9$ $CellContext`symr7$, \
$CellContext`r7$ $CellContext`symr2$ + $CellContext`r8$ $CellContext`symr5$ + \
$CellContext`r9$ $CellContext`symr8$, $CellContext`r7$ $CellContext`symr3$ + \
$CellContext`r8$ $CellContext`symr6$ + $CellContext`r9$ $CellContext`symr9$}; \
{{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}} = {{$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$}, {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$}, {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$}}; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGDgBmJ1BnTwYT+GEFbxD/bY1REvv0BK/64K20OoukgHN/HY
kouu2+H6nigFd0kx4jKHkPkQcGafiiMyjdCn5oDdHNL9NWsmCLzECDfs4kM1
3BgcIBQs3GB84t2NLmIMBo8xwg27+FANNw4HCA0LNxifeHeji8wAp6ubGOGG
XXyohpuAA4SGhRuMT7y70UUg4XMSR7ihiw/VcBNxgNCwcIPxiXc3MfaSr3+w
hpuEA4SGhRuMT7y70UUWQNIVkeJDNdxkHCA0LNxgfOLdjS4yB1KOESk+VMNN
wQFCw8INxife3egiJpB6k0jxoRpuSg4QGhZuMD7x7kYXgbbTiBQfquGm4gCh
YeEG4xPvbsrEh2q4wcILnSbe3TAWACciQic=
                
                "]]]; $CellContext`propagatedrays$ = 
            Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`componentnumber$ = 
               1.; $CellContext`frontid$ = 
               1.; {$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`propagatedrays$]; \
$CellContext`thresholdintensity$ = 1.; $CellContext`generationlimit$ = 
            200.; $CellContext`reportedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`generationnumber$ = 
            0.; ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

              "]; $CellContext`deflectedrayspresent$ = 
             True; $CellContext`reportedrayspresent$ = 
             False; $CellContext`propagate$ = True; While[
              
              And[$CellContext`deflectedrayspresent$, \
$CellContext`propagate$], 
              AddTo[$CellContext`generationnumber$, 
                1.]; ($CellContext`deflecteddummyrayspresent$ = 
                False; $CellContext`deflectedrayspresent$ = 
                False; $CellContext`reportedrayspresent$ = 
                False; $CellContext`reporteddummyrayspresent$ = 
                True; $CellContext`localdummyoutrayspresent$ = 
                False; $CellContext`localoutrayspresent$ = 
                False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
                Map[Flatten[#, 1]& , 
                  Transpose[
                   
                   Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9547, Compile`$9558, Compile`$9559}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9547 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9547 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9547 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9558 = -Optica`Optica`TempVar2; 
                    Compile`$9559 = Compile`$9558 + Optica`Optica`TempVar3; {
                    Compile`$9559, $CellContext`ry$ + 
                    Compile`$9559 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9559 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 679861.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9550, Compile`$9561, Compile`$9562}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9550 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9550 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9550 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9561 = -Optica`Optica`TempVar2; 
                    Compile`$9562 = Compile`$9561 + Optica`Optica`TempVar3; {
                    Compile`$9562, $CellContext`ry$ + 
                    Compile`$9562 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9562 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 679862.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9553, Compile`$9564, Compile`$9565}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9553 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9553 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9553 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9564 = -Optica`Optica`TempVar2; 
                    Compile`$9565 = Compile`$9564 + Optica`Optica`TempVar3; {
                    Compile`$9565, $CellContext`ry$ + 
                    Compile`$9565 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9565 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 679947.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9555, Compile`$9567, Compile`$9568}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9555 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9555 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9555 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9567 = -Optica`Optica`TempVar2; 
                    Compile`$9568 = Compile`$9567 + Optica`Optica`TempVar3; {
                    Compile`$9568, $CellContext`ry$ + 
                    Compile`$9568 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9568 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 679948.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9556, Compile`$9570, Compile`$9571}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9556 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9556 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9556 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, 
                    Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9570 = -Optica`Optica`TempVar2; 
                    Compile`$9571 = Compile`$9570 + Optica`Optica`TempVar3; {
                    Compile`$9571, $CellContext`ry$ + 
                    Compile`$9571 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9571 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680033.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9557, Compile`$9573, Compile`$9574}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9557 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9557 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9557 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9573 = -Optica`Optica`TempVar2; 
                    Compile`$9574 = Compile`$9573 + Optica`Optica`TempVar3; {
                    Compile`$9574, $CellContext`ry$ + 
                    Compile`$9574 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9574 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680034.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9560, Compile`$9576, Compile`$9577}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9560 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9560 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9560 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9576 = -Optica`Optica`TempVar2; 
                    Compile`$9577 = Compile`$9576 + Optica`Optica`TempVar3; {
                    Compile`$9577, $CellContext`ry$ + 
                    Compile`$9577 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9577 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680119.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9563, Compile`$9579, Compile`$9580}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9563 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9563 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9563 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9579 = -Optica`Optica`TempVar2; 
                    Compile`$9580 = Compile`$9579 + Optica`Optica`TempVar3; {
                    Compile`$9580, $CellContext`ry$ + 
                    Compile`$9580 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9580 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680120.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9566, Compile`$9582, Compile`$9583}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9566 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9566 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9566 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9582 = -Optica`Optica`TempVar2; 
                    Compile`$9583 = Compile`$9582 + Optica`Optica`TempVar3; {
                    Compile`$9583, $CellContext`ry$ + 
                    Compile`$9583 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9583 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680205.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9569, Compile`$9585, Compile`$9586}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9569 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9569 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9569 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9585 = -Optica`Optica`TempVar2; 
                    Compile`$9586 = Compile`$9585 + Optica`Optica`TempVar3; {
                    Compile`$9586, $CellContext`ry$ + 
                    Compile`$9586 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9586 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680206.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9572, Compile`$9588, Compile`$9589}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9572 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9572 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9572 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9588 = -Optica`Optica`TempVar2; 
                    Compile`$9589 = Compile`$9588 + Optica`Optica`TempVar3; {
                    Compile`$9589, $CellContext`ry$ + 
                    Compile`$9589 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9589 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680291.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9575, Compile`$9591, Compile`$9592}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9575 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9575 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9575 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9591 = -Optica`Optica`TempVar2; 
                    Compile`$9592 = Compile`$9591 + Optica`Optica`TempVar3; {
                    Compile`$9592, $CellContext`ry$ + 
                    Compile`$9592 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9592 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680292.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9578, Compile`$9594, Compile`$9595}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9578 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9578 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9578 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9594 = -Optica`Optica`TempVar2; 
                    Compile`$9595 = Compile`$9594 + Optica`Optica`TempVar3; {
                    Compile`$9595, $CellContext`ry$ + 
                    Compile`$9595 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9595 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680377.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9581, Compile`$9598, Compile`$9599}, 
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9581 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9581 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9581 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9598 = -Optica`Optica`TempVar2; 
                    Compile`$9599 = Compile`$9598 + Optica`Optica`TempVar3; {
                    Compile`$9599, $CellContext`ry$ + 
                    Compile`$9599 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9599 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680378.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9584, Compile`$9601, Compile`$9602}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9584 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9584 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9584 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9601 = -Optica`Optica`TempVar2; 
                    Compile`$9602 = Compile`$9601 + Optica`Optica`TempVar3; {
                    Compile`$9602, $CellContext`ry$ + 
                    Compile`$9602 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9602 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680463.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9587, Compile`$9605, Compile`$9606}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9587 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9587 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9587 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9605 = -Optica`Optica`TempVar2; 
                    Compile`$9606 = Compile`$9605 + Optica`Optica`TempVar3; {
                    Compile`$9606, $CellContext`ry$ + 
                    Compile`$9606 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9606 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680464.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9590, Compile`$9608, Compile`$9609}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9590 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9590 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9590 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9608 = -Optica`Optica`TempVar2; 
                    Compile`$9609 = Compile`$9608 + Optica`Optica`TempVar3; {
                    Compile`$9609, $CellContext`ry$ + 
                    Compile`$9609 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9609 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680549.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9593, Compile`$9611, Compile`$9612}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9593 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9593 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9593 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9611 = -Optica`Optica`TempVar2; 
                    Compile`$9612 = Compile`$9611 + Optica`Optica`TempVar3; {
                    Compile`$9612, $CellContext`ry$ + 
                    Compile`$9612 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9612 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680550.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9597, Compile`$9615, Compile`$9616}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9597 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9597 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9597 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9615 = -Optica`Optica`TempVar2; 
                    Compile`$9616 = Compile`$9615 + Optica`Optica`TempVar3; {
                    Compile`$9616, $CellContext`ry$ + 
                    Compile`$9616 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9616 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680635.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9600, Compile`$9618, Compile`$9620}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9600 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9600 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9600 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9618 = -Optica`Optica`TempVar2; 
                    Compile`$9620 = Compile`$9618 + Optica`Optica`TempVar3; {
                    Compile`$9620, $CellContext`ry$ + 
                    Compile`$9620 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9620 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680636.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9603, Compile`$9622, Compile`$9623}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9603 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9603 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9603 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9622 = -Optica`Optica`TempVar2; 
                    Compile`$9623 = Compile`$9622 + Optica`Optica`TempVar3; {
                    Compile`$9623, $CellContext`ry$ + 
                    Compile`$9623 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9623 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680721.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9607, Compile`$9625, Compile`$9626}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9607 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9607 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9607 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9625 = -Optica`Optica`TempVar2; 
                    Compile`$9626 = Compile`$9625 + Optica`Optica`TempVar3; {
                    Compile`$9626, $CellContext`ry$ + 
                    Compile`$9626 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9626 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680722.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9610, Compile`$9630, Compile`$9631}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9610 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9610 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9610 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9630 = -Optica`Optica`TempVar2; 
                    Compile`$9631 = Compile`$9630 + Optica`Optica`TempVar3; {
                    Compile`$9631, $CellContext`ry$ + 
                    Compile`$9631 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9631 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680807.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9613, Compile`$9633, Compile`$9634}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9613 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9613 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9613 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9633 = -Optica`Optica`TempVar2; 
                    Compile`$9634 = Compile`$9633 + Optica`Optica`TempVar3; {
                    Compile`$9634, $CellContext`ry$ + 
                    Compile`$9634 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9634 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680808.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9617, Compile`$9636, Compile`$9637}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9617 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9617 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9617 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9636 = -Optica`Optica`TempVar2; 
                    Compile`$9637 = Compile`$9636 + Optica`Optica`TempVar3; {
                    Compile`$9637, $CellContext`ry$ + 
                    Compile`$9637 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9637 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680893.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9621, Compile`$9639, Compile`$9640}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9621 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9621 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9621 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9639 = -Optica`Optica`TempVar2; 
                    Compile`$9640 = Compile`$9639 + Optica`Optica`TempVar3; {
                    Compile`$9640, $CellContext`ry$ + 
                    Compile`$9640 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9640 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680894.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9624, Compile`$9643, Compile`$9644}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9624 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9624 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9624 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9643 = -Optica`Optica`TempVar2; 
                    Compile`$9644 = Compile`$9643 + Optica`Optica`TempVar3; {
                    Compile`$9644, $CellContext`ry$ + 
                    Compile`$9644 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9644 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680979.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9629, Compile`$9646, Compile`$9647}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9629 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9629 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9629 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9646 = -Optica`Optica`TempVar2; 
                    Compile`$9647 = Compile`$9646 + Optica`Optica`TempVar3; {
                    Compile`$9647, $CellContext`ry$ + 
                    Compile`$9647 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9647 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680980.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9632, Compile`$9649, Compile`$9650}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9632 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9632 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9632 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9649 = -Optica`Optica`TempVar2; 
                    Compile`$9650 = Compile`$9649 + Optica`Optica`TempVar3; {
                    Compile`$9650, $CellContext`ry$ + 
                    Compile`$9650 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9650 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681065.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9635, Compile`$9652, Compile`$9653}, 
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9635 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9635 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9635 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9652 = -Optica`Optica`TempVar2; 
                    Compile`$9653 = Compile`$9652 + Optica`Optica`TempVar3; {
                    Compile`$9653, $CellContext`ry$ + 
                    Compile`$9653 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9653 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681066.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9638, Compile`$9655, Compile`$9656}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9638 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9638 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9638 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9655 = -Optica`Optica`TempVar2; 
                    Compile`$9656 = Compile`$9655 + Optica`Optica`TempVar3; {
                    Compile`$9656, $CellContext`ry$ + 
                    Compile`$9656 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9656 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681151.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9642, Compile`$9659, Compile`$9660}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9642 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9642 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9642 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9659 = -Optica`Optica`TempVar2; 
                    Compile`$9660 = Compile`$9659 + Optica`Optica`TempVar3; {
                    Compile`$9660, $CellContext`ry$ + 
                    Compile`$9660 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9660 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681152.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9645, Compile`$9662, Compile`$9663}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9645 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9645 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9645 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9662 = -Optica`Optica`TempVar2; 
                    Compile`$9663 = Compile`$9662 + Optica`Optica`TempVar3; {
                    Compile`$9663, $CellContext`ry$ + 
                    Compile`$9663 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9663 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681237.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9648, Compile`$9665, Compile`$9666}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9648 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9648 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9648 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, 
                    Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9665 = -Optica`Optica`TempVar2; 
                    Compile`$9666 = Compile`$9665 + Optica`Optica`TempVar3; {
                    Compile`$9666, $CellContext`ry$ + 
                    Compile`$9666 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9666 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681238.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9651, Compile`$9668, Compile`$9669}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9651 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9651 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9651 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9668 = -Optica`Optica`TempVar2; 
                    Compile`$9669 = Compile`$9668 + Optica`Optica`TempVar3; {
                    Compile`$9669, $CellContext`ry$ + 
                    Compile`$9669 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9669 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681323.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9654, Compile`$9672, Compile`$9673}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9654 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9654 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9654 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9672 = -Optica`Optica`TempVar2; 
                    Compile`$9673 = Compile`$9672 + Optica`Optica`TempVar3; {
                    Compile`$9673, $CellContext`ry$ + 
                    Compile`$9673 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9673 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681324.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9658, Compile`$9675, Compile`$9676}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9658 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9658 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9658 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9675 = -Optica`Optica`TempVar2; 
                    Compile`$9676 = Compile`$9675 + Optica`Optica`TempVar3; {
                    Compile`$9676, $CellContext`ry$ + 
                    Compile`$9676 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9676 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681409.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9661, Compile`$9678, Compile`$9679}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9661 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9661 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9661 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9678 = -Optica`Optica`TempVar2; 
                    Compile`$9679 = Compile`$9678 + Optica`Optica`TempVar3; {
                    Compile`$9679, $CellContext`ry$ + 
                    Compile`$9679 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9679 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681410.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9664, Compile`$9681, Compile`$9682}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9664 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9664 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9664 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9681 = -Optica`Optica`TempVar2; 
                    Compile`$9682 = Compile`$9681 + Optica`Optica`TempVar3; {
                    Compile`$9682, $CellContext`ry$ + 
                    Compile`$9682 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9682 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681495.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9667, Compile`$9684, Compile`$9685}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9667 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9667 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9667 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9684 = -Optica`Optica`TempVar2; 
                    Compile`$9685 = Compile`$9684 + Optica`Optica`TempVar3; {
                    Compile`$9685, $CellContext`ry$ + 
                    Compile`$9685 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9685 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681496.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9670, Compile`$9687, Compile`$9688}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9670 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9670 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9670 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9687 = -Optica`Optica`TempVar2; 
                    Compile`$9688 = Compile`$9687 + Optica`Optica`TempVar3; {
                    Compile`$9688, $CellContext`ry$ + 
                    Compile`$9688 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9688 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681581.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9674, Compile`$9690, Compile`$9691}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9674 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9674 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9674 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9690 = -Optica`Optica`TempVar2; 
                    Compile`$9691 = Compile`$9690 + Optica`Optica`TempVar3; {
                    Compile`$9691, $CellContext`ry$ + 
                    Compile`$9691 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9691 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681582.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9677, Compile`$9693, Compile`$9694}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9677 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9677 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9677 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9693 = -Optica`Optica`TempVar2; 
                    Compile`$9694 = Compile`$9693 + Optica`Optica`TempVar3; {
                    Compile`$9694, $CellContext`ry$ + 
                    Compile`$9694 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9694 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681667.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9680, Compile`$9696, Compile`$9697}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9680 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9680 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9680 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9696 = -Optica`Optica`TempVar2; 
                    Compile`$9697 = Compile`$9696 + Optica`Optica`TempVar3; {
                    Compile`$9697, $CellContext`ry$ + 
                    Compile`$9697 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9697 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681668.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9683, Compile`$9699, Compile`$9700}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9683 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9683 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9683 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9699 = -Optica`Optica`TempVar2; 
                    Compile`$9700 = Compile`$9699 + Optica`Optica`TempVar3; {
                    Compile`$9700, $CellContext`ry$ + 
                    Compile`$9700 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9700 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681753.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9686, Compile`$9702, Compile`$9703}, 
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9686 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9686 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9686 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9702 = -Optica`Optica`TempVar2; 
                    Compile`$9703 = Compile`$9702 + Optica`Optica`TempVar3; {
                    Compile`$9703, $CellContext`ry$ + 
                    Compile`$9703 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9703 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681754.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9689, Compile`$9705, Compile`$9706}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9689 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9689 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9689 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9705 = -Optica`Optica`TempVar2; 
                    Compile`$9706 = Compile`$9705 + Optica`Optica`TempVar3; {
                    Compile`$9706, $CellContext`ry$ + 
                    Compile`$9706 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9706 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681839.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9692, Compile`$9708, Compile`$9709}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9692 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9692 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9692 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9708 = -Optica`Optica`TempVar2; 
                    Compile`$9709 = Compile`$9708 + Optica`Optica`TempVar3; {
                    Compile`$9709, $CellContext`ry$ + 
                    Compile`$9709 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9709 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681840.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9695, Compile`$9711, Compile`$9712}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9695 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9695 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9695 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9711 = -Optica`Optica`TempVar2; 
                    Compile`$9712 = Compile`$9711 + Optica`Optica`TempVar3; {
                    Compile`$9712, $CellContext`ry$ + 
                    Compile`$9712 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9712 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681925.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9698, Compile`$9714, Compile`$9715}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9698 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9698 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9698 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, 
                    Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9714 = -Optica`Optica`TempVar2; 
                    Compile`$9715 = Compile`$9714 + Optica`Optica`TempVar3; {
                    Compile`$9715, $CellContext`ry$ + 
                    Compile`$9715 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9715 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681926.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 1., 
                    679861.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 1., 
                    679861.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x1$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y1$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x1$$], 
                    Re[$CellContext`y1$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 2., 
                    679862.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 2., 
                    679862.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x1$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y1$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x1$$], 
                    Re[$CellContext`y1$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 7., 
                    679947.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 7., 
                    679947.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x2$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y2$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x2$$], 
                    Re[$CellContext`y2$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 8., 
                    679948.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 8., 
                    679948.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x2$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y2$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x2$$], 
                    Re[$CellContext`y2$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 13., 
                    680033.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 13., 
                    680033.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x3$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y3$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x3$$], 
                    Re[$CellContext`y3$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[
                    Abs[$CellContext`alternateindex$ - $CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 14., 
                    680034.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 14., 
                    680034.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x3$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y3$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x3$$], 
                    Re[$CellContext`y3$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    7, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 19., 
                    680119.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 19., 
                    680119.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x4$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y4$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x4$$], 
                    Re[$CellContext`y4$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    8, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 20., 
                    680120.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 20., 
                    680120.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x4$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y4$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x4$$], 
                    Re[$CellContext`y4$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    9, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 25., 
                    680205.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 25., 
                    680205.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x5$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y5$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x5$$], 
                    Re[$CellContext`y5$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    10, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 26., 
                    680206.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 26., 
                    680206.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x5$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y5$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x5$$], 
                    Re[$CellContext`y5$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    11, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 31., 
                    680291.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 31., 
                    680291.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x6$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y6$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x6$$], 
                    Re[$CellContext`y6$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    12, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 32., 
                    680292.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 32., 
                    680292.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x6$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y6$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x6$$], 
                    Re[$CellContext`y6$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    13, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 37., 
                    680377.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 37., 
                    680377.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x7$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y7$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x7$$], 
                    Re[$CellContext`y7$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    14, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 38., 
                    680378.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 38., 
                    680378.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x7$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y7$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x7$$], 
                    Re[$CellContext`y7$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    15, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 43., 
                    680463.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 43., 
                    680463.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x8$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y8$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x8$$], 
                    Re[$CellContext`y8$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    16, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 44., 
                    680464.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 44., 
                    680464.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x8$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y8$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x8$$], 
                    Re[$CellContext`y8$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    17, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 49., 
                    680549.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 49., 
                    680549.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x9$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y9$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x9$$], 
                    Re[$CellContext`y9$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    18, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 50., 
                    680550.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 50., 
                    680550.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x9$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y9$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x9$$], 
                    Re[$CellContext`y9$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    19, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 55., 
                    680635.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 55., 
                    680635.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x10$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y10$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x10$$], 
                    Re[$CellContext`y10$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    20, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 56., 
                    680636.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 56., 
                    680636.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x10$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y10$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x10$$], 
                    Re[$CellContext`y10$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    21, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 61., 
                    680721.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 61., 
                    680721.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x11$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y11$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x11$$], 
                    Re[$CellContext`y11$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    22, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 62., 
                    680722.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 62., 
                    680722.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x11$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y11$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x11$$], 
                    Re[$CellContext`y11$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    23, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 67., 
                    680807.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 67., 
                    680807.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x12$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y12$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x12$$], 
                    Re[$CellContext`y12$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    24, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 68., 
                    680808.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 68., 
                    680808.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x12$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y12$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x12$$], 
                    Re[$CellContext`y12$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    25, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 73., 
                    680893.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 73., 
                    680893.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x13$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y13$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x13$$], 
                    Re[$CellContext`y13$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    26, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 74., 
                    680894.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 74., 
                    680894.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x13$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y13$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x13$$], 
                    Re[$CellContext`y13$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    27, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 79., 
                    680979.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 79., 
                    680979.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x14$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y14$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x14$$], 
                    Re[$CellContext`y14$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    28, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 80., 
                    680980.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 80., 
                    680980.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x14$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y14$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x14$$], 
                    Re[$CellContext`y14$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    29, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 85., 
                    681065.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 85., 
                    681065.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x15$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y15$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x15$$], 
                    Re[$CellContext`y15$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    30, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 86., 
                    681066.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 86., 
                    681066.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x15$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y15$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x15$$], 
                    Re[$CellContext`y15$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    31, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 91., 
                    681151.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 91., 
                    681151.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x16$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y16$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x16$$], 
                    Re[$CellContext`y16$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    32, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 92., 
                    681152.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 92., 
                    681152.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x16$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y16$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x16$$], 
                    Re[$CellContext`y16$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    33, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 97., 
                    681237.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 97., 
                    681237.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x17$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y17$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x17$$], 
                    Re[$CellContext`y17$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    34, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 98., 
                    681238.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 98., 
                    681238.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x17$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y17$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x17$$], 
                    Re[$CellContext`y17$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    35, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 103., 
                    681323.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 103., 
                    681323.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x18$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y18$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x18$$], 
                    Re[$CellContext`y18$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    36, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 104., 
                    681324.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 104., 
                    681324.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x18$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y18$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x18$$], 
                    Re[$CellContext`y18$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    37, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 109., 
                    681409.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 109., 
                    681409.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x19$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y19$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x19$$], 
                    Re[$CellContext`y19$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    38, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 110., 
                    681410.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 110., 
                    681410.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x19$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y19$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x19$$], 
                    Re[$CellContext`y19$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    39, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 115., 
                    681495.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 115., 
                    681495.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x20$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y20$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x20$$], 
                    Re[$CellContext`y20$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    40, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 116., 
                    681496.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 116., 
                    681496.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x20$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y20$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x20$$], 
                    Re[$CellContext`y20$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    41, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 121., 
                    681581.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 121., 
                    681581.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x21$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y21$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x21$$], 
                    Re[$CellContext`y21$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    42, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 122., 
                    681582.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 122., 
                    681582.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x21$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y21$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x21$$], 
                    Re[$CellContext`y21$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    43, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 127., 
                    681667.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 127., 
                    681667.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x22$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y22$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x22$$], 
                    Re[$CellContext`y22$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    44, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 128., 
                    681668.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 128., 
                    681668.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x22$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y22$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x22$$], 
                    Re[$CellContext`y22$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    45, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 133., 
                    681753.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 133., 
                    681753.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x23$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y23$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x23$$], 
                    Re[$CellContext`y23$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    46, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 134., 
                    681754.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 134., 
                    681754.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x23$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y23$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x23$$], 
                    Re[$CellContext`y23$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    47, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 139., 
                    681839.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 139., 
                    681839.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x24$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y24$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x24$$], 
                    Re[$CellContext`y24$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    48, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 140., 
                    681840.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 140., 
                    681840.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x24$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y24$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x24$$], 
                    Re[$CellContext`y24$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    49, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 145., 
                    681925.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 145., 
                    681925.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x25$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y25$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x25$$], 
                    Re[$CellContext`y25$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    50, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 146., 
                    681926.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 146., 
                    681926.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x25$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y25$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x25$$], 
                    Re[$CellContext`y25$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYSYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
NNxGw23w06PhNpLCDQD/2yPg
                    "]])& , $CellContext`inrays$]]]; 
               If[
                 
                 And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                 Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                  1., 1.]; 
               If[$CellContext`localoutrayspresent$, 
                 If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                    Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 
                   1., 1.]; $CellContext`outrays$ = 
                  Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1.,
                  1.]; If[
                 
                 And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                  Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                 1., 1.]); 
              If[$CellContext`reportedrayspresent$, \
$CellContext`raysreported$ = True; $CellContext`reportedrays$ = 
                 Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                   
                   "], $CellContext`reportedlocalrays$]; 1., 
                1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
             If[Length[$CellContext`outrays$] > 1, 
               Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
              
              And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
               Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
              1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

              "]; $CellContext`deflectedrayspresent$ = 
             True; $CellContext`reportedrayspresent$ = 
             False; $CellContext`propagate$ = True; While[
              
              And[$CellContext`deflectedrayspresent$, \
$CellContext`propagate$], 
              AddTo[$CellContext`generationnumber$, 
                1.]; ($CellContext`deflecteddummyrayspresent$ = 
                False; $CellContext`deflectedrayspresent$ = 
                False; $CellContext`reportedrayspresent$ = 
                False; $CellContext`reporteddummyrayspresent$ = 
                True; $CellContext`localdummyoutrayspresent$ = 
                False; $CellContext`localoutrayspresent$ = 
                
                False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
                Map[Flatten[#, 1]& , 
                  Transpose[
                   
                   Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rex$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9364}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[Part[#, 2] <= 15., Part[#, 2] >= -15., 
                    Part[#, 3] >= -15., Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9364 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9364), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9364, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9364}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682077.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rey$; $CellContext`ry$ = \
-$CellContext`rex$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9366}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9366 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9366), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9366, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9366}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682078.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rex$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9364}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9364 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9364), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9364, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9364}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682079.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rey$); $CellContext`ry$ = $CellContext`rex$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9366}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9366 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9366), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9366, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9366}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682080.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = -$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9365}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9365 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9365), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9365, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9365}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682081.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
-$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9365}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9365 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9365), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9365, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9365}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682082.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rex$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 1., 
                    682077.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 1., 
                    682077.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    15. - 
                    1. $CellContext`rxhlp$; $CellContext`rey$ = \
-$CellContext`ryhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    15., 0, 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rey$; $CellContext`ry$ = \
-$CellContext`rex$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 2., 
                    682078.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 2., 
                    682078.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-$CellContext`ryhlp$; $CellContext`rey$ = -15. + $CellContext`rxhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    0, -15., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rex$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 3., 
                    682079.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 3., 
                    682079.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-15. + $CellContext`rxhlp$; $CellContext`rey$ = $CellContext`ryhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-15., 0, 
                    0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rey$); $CellContext`ry$ = $CellContext`rex$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 4., 
                    682080.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 4., 
                    682080.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$; $CellContext`rey$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    0, 15., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = -$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 5., 
                    682081.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 5., 
                    682081.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-$CellContext`rzhlp$; $CellContext`rey$ = $CellContext`ryhlp$; \
$CellContext`rez$ = -15. + $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {0., 1., 0.}, {-1., 0., 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    0, 0, -15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
-$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 6., 
                    
                    682082.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 6., 
                    682082.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-$CellContext`rzhlp$; $CellContext`rey$ = -$CellContext`ryhlp$; \
$CellContext`rez$ = 15. - 1. $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., -1.}, {0., -1., 0.}, {-1., 0.,
                     0.}}; $CellContext`surfacetranslationvector$ = {
                    0, 0, 15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                 
                 And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                 Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                  1., 1.]; 
               If[$CellContext`localoutrayspresent$, 
                 If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                    Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 
                   1., 1.]; $CellContext`outrays$ = 
                  Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1.,
                  1.]; If[
                 
                 And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                  Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                 1., 1.]); 
              If[$CellContext`reportedrayspresent$, \
$CellContext`raysreported$ = True; $CellContext`reportedrays$ = 
                 Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                   
                   "], $CellContext`reportedlocalrays$]; 1., 
                1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
             If[Length[$CellContext`outrays$] > 1, 
               Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
              
              And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
               Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 1.]); 
           If[Length[$CellContext`reportedrays$] > 
             2, $CellContext`reportedrays$ = 
             Drop[$CellContext`reportedrays$, 2], $CellContext`reportedrays$]; 
           Map[{
              Part[#, 1], 
              Part[#, 2], 
              Part[#, 3], 
              Part[#, 4], 
              Part[#, 5], 
              
              Part[#, 6]}& , $CellContext`reportedrays$]], \
$CellContext`compileoptionsetting$]]; \
$CellContext`raytracefunction11889820147194948434475 = 
       With[{$CellContext`compileoptionsetting$ = 
          If[$VersionNumber >= 8, {
            CompilationOptions -> {
              "ExpressionOptimization" -> False, "InlineCompiledFunctions" -> 
               False}, CompilationTarget -> "MVM", 
             RuntimeAttributes -> {Listable}, Parallelization -> False, 
             RuntimeOptions -> {}}, CompileOptimizations -> False]}, 
         Compile[{{$CellContext`th$$, 
            Blank[Real]}, {$CellContext`x$$, 
            Blank[Real]}, {$CellContext`y$$, 
            Blank[Real]}, {$CellContext`x1$$, 
            Blank[Real]}, {$CellContext`x10$$, 
            Blank[Real]}, {$CellContext`x11$$, 
            Blank[Real]}, {$CellContext`x12$$, 
            Blank[Real]}, {$CellContext`x13$$, 
            Blank[Real]}, {$CellContext`x14$$, 
            Blank[Real]}, {$CellContext`x15$$, 
            Blank[Real]}, {$CellContext`x16$$, 
            Blank[Real]}, {$CellContext`x17$$, 
            Blank[Real]}, {$CellContext`x18$$, 
            Blank[Real]}, {$CellContext`x19$$, 
            Blank[Real]}, {$CellContext`x2$$, 
            Blank[Real]}, {$CellContext`x20$$, 
            Blank[Real]}, {$CellContext`x21$$, 
            Blank[Real]}, {$CellContext`x22$$, 
            Blank[Real]}, {$CellContext`x23$$, 
            Blank[Real]}, {$CellContext`x24$$, 
            Blank[Real]}, {$CellContext`x25$$, 
            Blank[Real]}, {$CellContext`x3$$, 
            Blank[Real]}, {$CellContext`x4$$, 
            Blank[Real]}, {$CellContext`x5$$, 
            Blank[Real]}, {$CellContext`x6$$, 
            Blank[Real]}, {$CellContext`x7$$, 
            Blank[Real]}, {$CellContext`x8$$, 
            Blank[Real]}, {$CellContext`x9$$, 
            Blank[Real]}, {$CellContext`y1$$, 
            Blank[Real]}, {$CellContext`y10$$, 
            Blank[Real]}, {$CellContext`y11$$, 
            Blank[Real]}, {$CellContext`y12$$, 
            Blank[Real]}, {$CellContext`y13$$, 
            Blank[Real]}, {$CellContext`y14$$, 
            Blank[Real]}, {$CellContext`y15$$, 
            Blank[Real]}, {$CellContext`y16$$, 
            Blank[Real]}, {$CellContext`y17$$, 
            Blank[Real]}, {$CellContext`y18$$, 
            Blank[Real]}, {$CellContext`y19$$, 
            Blank[Real]}, {$CellContext`y2$$, 
            Blank[Real]}, {$CellContext`y20$$, 
            Blank[Real]}, {$CellContext`y21$$, 
            Blank[Real]}, {$CellContext`y22$$, 
            Blank[Real]}, {$CellContext`y23$$, 
            Blank[Real]}, {$CellContext`y24$$, 
            Blank[Real]}, {$CellContext`y25$$, 
            Blank[Real]}, {$CellContext`y3$$, 
            Blank[Real]}, {$CellContext`y4$$, 
            Blank[Real]}, {$CellContext`y5$$, 
            Blank[Real]}, {$CellContext`y6$$, 
            Blank[Real]}, {$CellContext`y7$$, 
            Blank[Real]}, {$CellContext`y8$$, 
            Blank[Real]}, {$CellContext`y9$$, 
            Blank[Real]}}, 
          
          Module[{$CellContext`activeregion$, \
$CellContext`allcreatedamplitudes$, $CellContext`allcreatedrays$, \
$CellContext`allowzeroraylength$, $CellContext`alternateindex$, \
$CellContext`amplitude$, $CellContext`axismagnitude$, \
$CellContext`axismatrix$, $CellContext`clonedata$, \
$CellContext`clonegenerationnumber$, $CellContext`cloneinput$, \
$CellContext`clonenumber$, $CellContext`cloneposition$, \
$CellContext`clonereportedrays$, $CellContext`clonerotation$, \
$CellContext`clonescale$, $CellContext`clonescalevector$, \
$CellContext`clonesorthistogram$, $CellContext`clonetraceinput$, \
$CellContext`clonetraceoutput$, $CellContext`closestdistances$, \
$CellContext`closestposition$, $CellContext`closestpositions$, \
$CellContext`closestraylength$, $CellContext`completedray$, \
$CellContext`componentnumber$, $CellContext`cosangle$, \
$CellContext`cosangler$, $CellContext`cosanglet$, $CellContext`crossmatrix$, \
$CellContext`deflecteddummyrayspresent$, $CellContext`deflectedlocalrays$, \
$CellContext`deflectedrays$, $CellContext`deflectedrayspresent$, \
$CellContext`dummymatrix$, $CellContext`dummymatrixlist$, \
$CellContext`dummyvector$, $CellContext`frontid$, \
$CellContext`generationlimit$, $CellContext`generationnumber$, \
$CellContext`holeintersections$, $CellContext`holeQ$, \
$CellContext`holeQlist$, $CellContext`hor$, $CellContext`index$, \
$CellContext`index1$, $CellContext`index2$, $CellContext`inrays$, \
$CellContext`intensity$, $CellContext`intensityfactor$, \
$CellContext`intensityscale$, $CellContext`intersectionnumber$, \
$CellContext`intersections$, $CellContext`intersectionslist$, \
$CellContext`intersectionspresent$, $CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$, $CellContext`localoutrayspresent$, \
$CellContext`magnitude$, $CellContext`maxclonegenerationnumber$, \
$CellContext`maximumposition$, $CellContext`minimumraylength$, \
$CellContext`minresonateraylength$, $CellContext`n12$, \
$CellContext`newcomponentnumber$, $CellContext`newdeflectedrays$, \
$CellContext`newdistance$, $CellContext`newpoynting$, \
$CellContext`newsurfaceid$, $CellContext`newsurfacenumber$, \
$CellContext`nonintersectingrays$, $CellContext`normalizedpolarization$, \
$CellContext`oldgenerationnumber$, $CellContext`oldpoynting$, \
$CellContext`opticallength$, $CellContext`originalintensity$, \
$CellContext`originalray$, $CellContext`originalraytilt$, \
$CellContext`originalrotation$, $CellContext`originalsurfnorm$, \
$CellContext`outrays$, $CellContext`parallelamplitude$, $CellContext`PAxis$, \
$CellContext`perpendicularamplitude$, $CellContext`phaseshift$, \
$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$, \
$CellContext`previoustilt$, $CellContext`propagate$, \
$CellContext`propagatedrays$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, $CellContext`ray1$, \
$CellContext`ray2$, $CellContext`ray3$, $CellContext`LocRayL$, \
$CellContext`rayslot$, $CellContext`raysreported$, $CellContext`raytiltx$, \
$CellContext`raytiltz$, $CellContext`refamplitude$, \
$CellContext`reporteddummyrayspresent$, $CellContext`reportedlocalrays$, \
$CellContext`reportedrays$, $CellContext`reportedrayspresent$, \
$CellContext`resonateintersections$, $CellContext`resonatenumber$, \
$CellContext`resonateraylength$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`rotationaxis$, $CellContext`rp$, \
$CellContext`rs$, $CellContext`rsx$, $CellContext`LocRSx$, $CellContext`rsy$, \
$CellContext`LocRSy$, $CellContext`rsz$, $CellContext`LocRSz$, 
            Optica`Optica`RTx$, $CellContext`LocRTy$, $CellContext`LocRTz$, \
$CellContext`rx$, $CellContext`rxhlp$, $CellContext`ry$, $CellContext`ryhlp$, \
$CellContext`rz$, $CellContext`rzhlp$, $CellContext`LocSCx$, \
$CellContext`LocSCy$, $CellContext`sid$, $CellContext`sinangle$, \
$CellContext`sinangler$, $CellContext`sinanglet$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`surfaceid$, $CellContext`surfacenumber$, \
$CellContext`surfacerotationmatrix$, $CellContext`surfacetranslationvector$, \
$CellContext`surfnorm$, $CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$, $CellContext`sz$, $CellContext`szt$, \
$CellContext`tempclonedata$, $CellContext`terminatedeflection$, \
$CellContext`thresholdintensity$, $CellContext`tiltmagnitude$, \
$CellContext`tp$, $CellContext`transamplitude$, $CellContext`transformr$, \
$CellContext`transformt$, $CellContext`transmatrix$, $CellContext`ts$, \
$CellContext`LocTV1$, $CellContext`LocTV10$, $CellContext`LocTV2$, \
$CellContext`LocTV3$, $CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$, $CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$, $CellContext`u$, $CellContext`unfilteredintersections$, \
$CellContext`unit$, $CellContext`uu$, $CellContext`ver$, $CellContext`Vr$, \
$CellContext`Vt$, $CellContext`wavelength$, $CellContext`XAxis$, \
$CellContext`xunit$, $CellContext`YAxis$, $CellContext`yunit$, \
$CellContext`ZAxis$, $CellContext`zunit$}, $CellContext`rsx$ = 
            1.; $CellContext`rsy$ = 1.; $CellContext`rsz$ = 
            1.; $CellContext`rex$ = 1.; $CellContext`rey$ = 
            1.; $CellContext`rez$ = 1.; $CellContext`r1$ = 
            1.; $CellContext`r2$ = 1.; $CellContext`r3$ = 
            1.; $CellContext`r4$ = 1.; $CellContext`r5$ = 
            1.; $CellContext`r6$ = 1.; $CellContext`r7$ = 
            1.; $CellContext`r8$ = 1.; $CellContext`r9$ = 
            1.; $CellContext`symr1$ = 1.; $CellContext`symr2$ = 
            1.; $CellContext`symr3$ = 1.; $CellContext`symr4$ = 
            1.; $CellContext`symr5$ = 1.; $CellContext`symr6$ = 
            1.; $CellContext`symr7$ = 1.; $CellContext`symr8$ = 
            1.; $CellContext`symr9$ = 1.; $CellContext`rx$ = 
            1.; $CellContext`ry$ = 1.; $CellContext`rz$ = 
            1.; $CellContext`xunit$ = 1.; $CellContext`yunit$ = 
            1.; $CellContext`zunit$ = 1.; $CellContext`ray1$ = 
            1.; $CellContext`ray2$ = 1.; $CellContext`ray3$ = 
            1.; $CellContext`LocRSx$ = 1.; $CellContext`LocRSy$ = 
            1.; $CellContext`LocRSz$ = 1.; 
           Optica`Optica`RTx$ = 1.; $CellContext`LocRTy$ = 
            1.; $CellContext`LocRTz$ = 1.; $CellContext`LocRayL$ = 
            1.; $CellContext`LocSCx$ = 1.; $CellContext`LocSCy$ = 
            1.; $CellContext`opticallength$ = 1.; $CellContext`phaseshift$ = 
            0.; $CellContext`wavelength$ = 1.; $CellContext`intensity$ = 
            1.; $CellContext`intensityscale$ = 
            1.; $CellContext`componentnumber$ = -1.; \
$CellContext`surfacenumber$ = -1.; $CellContext`surfaceid$ = -1.; \
$CellContext`generationnumber$ = 1.; $CellContext`intersectionnumber$ = 
            1.; $CellContext`generationlimit$ = 
            200.; $CellContext`thresholdintensity$ = 
            1.; $CellContext`tiltmagnitude$ = 1.; $CellContext`pol1$ = 
            1.; $CellContext`pol2$ = 1.; $CellContext`pol3$ = 
            1.; $CellContext`sid$ = 1.; $CellContext`sno1$ = 
            1.; $CellContext`sno2$ = 1.; $CellContext`sno3$ = 
            1.; $CellContext`sno4$ = 1.; $CellContext`rayslot$ = 
            1.; $CellContext`index$ = 1.; $CellContext`activeregion$ = 
            1.; $CellContext`frontid$ = 1.; $CellContext`index1$ = 
            1.; $CellContext`index2$ = 1.; $CellContext`magnitude$ = 
            1.; $CellContext`LocTV1$ = 1.; $CellContext`LocTV2$ = 
            1.; $CellContext`LocTV3$ = 1.; $CellContext`LocTV4$ = 
            1.; $CellContext`LocTV5$ = 1.; $CellContext`LocTV6$ = 
            1.; $CellContext`LocTV7$ = 1.; $CellContext`LocTV8$ = 
            1.; $CellContext`LocTV9$ = 1.; $CellContext`LocTV10$ = 
            1.; $CellContext`cloneposition$ = {0., 0., 
             0.}; $CellContext`clonerotation$ = {{
             1.}}; $CellContext`clonedata$ = {{
             1.}}; $CellContext`clonenumber$ = 1; $CellContext`clonescale$ = 
            1.; $CellContext`newdistance$ = 
            1.; $CellContext`closestdistances$ = {
             1.}; $CellContext`closestposition$ = 
            0; $CellContext`closestraylength$ = 
            1.; $CellContext`maximumposition$ = 
            1; $CellContext`closestpositions$ = {
             0}; $CellContext`cloneinput$ = {
             1.}; $CellContext`clonetraceinput$ = {{
             1.}}; $CellContext`clonetraceoutput$ = {{
             1.}}; $CellContext`tempclonedata$ = {{
             1.}}; $CellContext`clonegenerationnumber$ = 
            1.; $CellContext`maxclonegenerationnumber$ = 
            1.; $CellContext`clonescalevector$ = {
             1.}; $CellContext`clonesorthistogram$ = {
             1}; $CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1.,
              0.}, {0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {
             0., 0., 0.}; $CellContext`oldgenerationnumber$ = 
            1.; $CellContext`intersections$ = {{-1., 0., 
             0.}}; $CellContext`unfilteredintersections$ = {{-1., 0., 
             0.}}; $CellContext`intersectionslist$ = {{{-1., 0., 
             0.}}}; $CellContext`holeQlist$ = {
             0}; $CellContext`holeintersections$ = {{-1., 0., 
             0.}}; $CellContext`minimumraylength$ = 
            0.0001; $CellContext`originalray$ = {
             1.}; $CellContext`completedray$ = {
             1.}; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = 
            True; $CellContext`originalraytilt$ = {
             1.}; $CellContext`allowzeroraylength$ = 
            True; $CellContext`deflecteddummyrayspresent$ = 
            False; $CellContext`reporteddummyrayspresent$ = 
            False; $CellContext`localoutrayspresent$ = 
            False; $CellContext`localdummyoutrayspresent$ = 
            False; $CellContext`deflectedrayspresent$ = 
            False; $CellContext`intersectionspresent$ = 
            False; $CellContext`raysreported$ = 
            False; $CellContext`terminatedeflection$ = 
            False; $CellContext`allcreatedrays$ = {{
             1.}}; $CellContext`propagatedrays$ = {{
             1.}}; $CellContext`deflectedrays$ = {{
             1.}}; $CellContext`newdeflectedrays$ = {{
             1.}}; $CellContext`reportedrays$ = {{
             1.}}; $CellContext`clonereportedrays$ = {{
             1.}}; $CellContext`nonintersectingrays$ = {{
             1.}}; $CellContext`inrays$ = {{1.}}; $CellContext`outrays$ = {{
             1.}}; $CellContext`reportedlocalrays$ = {{
             1.}}; $CellContext`deflectedlocalrays$ = {{
             1.}}; $CellContext`localoutrays$ = {{
             1.}}; $CellContext`resonatenumber$ = 
            0; $CellContext`resonateraylength$ = 
            1.; $CellContext`minresonateraylength$ = 
            1.; $CellContext`resonateintersections$ = {{-1., 0., 
             0.}}; $CellContext`dummyvector$ = {
             1.}; $CellContext`dummymatrix$ = {{
             1.}}; $CellContext`dummymatrixlist$ = {{{
             1.}}}; $CellContext`newcomponentnumber$ = -1.; \
$CellContext`newsurfacenumber$ = -1.; $CellContext`newsurfaceid$ = -1.; \
$CellContext`holeQ$ = False; $CellContext`rxhlp$ = 1.; $CellContext`ryhlp$ = 
            1.; $CellContext`rzhlp$ = 
            1.; $CellContext`surfnorm$ = {{
             1.}}; $CellContext`originalsurfnorm$ = {{
             1.}}; $CellContext`XAxis$ = {1., 0., 0.}; $CellContext`YAxis$ = {
             1., 0., 0.}; $CellContext`ZAxis$ = {1., 0., 
             0.}; $CellContext`PAxis$ = {1., 0., 
             0.}; $CellContext`normalizedpolarization$ = {1., 
             1.}; $CellContext`amplitude$ = {
             1. + 0. I, 0. + 0. I, 0. + 
              0. I}; $CellContext`allcreatedamplitudes$ = {{
              0. + 0. I, 0. + 0. I, 0. + 
               0. I}}; $CellContext`perpendicularamplitude$ = 
            1. + 0. I; $CellContext`parallelamplitude$ = 
            1. + 0. I; $CellContext`raytiltz$ = 1.; $CellContext`raytiltx$ = 
            1.; $CellContext`rs$ = 1. + 0. I; $CellContext`rp$ = 
            1. + 0. I; $CellContext`ts$ = 1. + 0. I; $CellContext`tp$ = 
            1. + 0. I; $CellContext`transamplitude$ = {
             0. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`refamplitude$ = {
             0. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`n12$ = 
            1.; $CellContext`Vr$ = {
             1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`Vt$ = {
             1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`szt$ = 
            1. + 0. I; $CellContext`sz$ = 1.; $CellContext`alternateindex$ = 
            1.; $CellContext`oldpoynting$ = {1., 0., 
             0.}; $CellContext`newpoynting$ = {1., 0., 
             0.}; $CellContext`intensityfactor$ = 
            1.; $CellContext`originalintensity$ = 
            100.; $CellContext`sinanglet$ = 
            1. + 0. I; $CellContext`sinangler$ = 
            1. + 0. I; $CellContext`cosanglet$ = 1.; $CellContext`cosangler$ = 
            1.; $CellContext`transformt$ = {{
              1. + 0. I, 0. + 0. I, 0. + 0. I}, {
              0. + 0. I, 1. + 0. I, 0. + 0. I}, {
              0. + 0. I, 0. + 0. I, 1. + 0. I}}; $CellContext`transformr$ = {{
              1. + 0. I, 0. + 0. I, 0. + 0. I}, {
              0. + 0. I, 1. + 0. I, 0. + 0. I}, {
              0. + 0. I, 0. + 0. I, 1. + 
               0. I}}; $CellContext`transmatrix$ = {{{1., 0., 0.}, {0., 1., 
             0.}, {0., 0., 1.}}}; $CellContext`u$ = {{1., 0., 0.}, {0., 1., 
             0.}, {0., 0., 1.}}; $CellContext`uu$ = {{1., 0., 0.}, {0., 1., 
             0.}, {0., 0., 1.}}; $CellContext`unit$ = {{1., 0., 0.}, {0., 1., 
             0.}, {0., 0., 1.}}; $CellContext`originalrotation$ = {{1., 0., 
             0.}, {0., 1., 0.}, {0., 0., 1.}}; $CellContext`axismatrix$ = {{
             1., 0., 0.}, {0., 1., 0.}, {0., 0., 
             1.}}; $CellContext`crossmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {
             0., 0., 1.}}; $CellContext`axismagnitude$ = 
            1.; $CellContext`cosangle$ = 1.; $CellContext`sinangle$ = 
            1.; $CellContext`previoustilt$ = {1., 0., 0.}; $CellContext`hor$ = 
            1. + 0. I; $CellContext`ver$ = 
            0. + 0. I; $CellContext`propagatedrays$ = 
            Join[{$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$, $CellContext`rsx$ $CellContext`symr2$ + $CellContext`rsy$ \
$CellContext`symr5$ + $CellContext`rsz$ $CellContext`symr8$ + \
$CellContext`y$$, $CellContext`rsx$ $CellContext`symr3$ + $CellContext`rsy$ \
$CellContext`symr6$ + $CellContext`rsz$ $CellContext`symr9$}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`rex$ $CellContext`symr1$ + $CellContext`rey$ \
$CellContext`symr4$ + $CellContext`rez$ $CellContext`symr7$ + \
$CellContext`x$$, $CellContext`rex$ $CellContext`symr2$ + $CellContext`rey$ \
$CellContext`symr5$ + $CellContext`rez$ $CellContext`symr8$ + \
$CellContext`y$$, $CellContext`rex$ $CellContext`symr3$ + $CellContext`rey$ \
$CellContext`symr6$ + $CellContext`rez$ $CellContext`symr9$}; \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`r1$ $CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + \
$CellContext`r3$ $CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + \
$CellContext`r2$ $CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, \
$CellContext`r1$ $CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + \
$CellContext`r3$ $CellContext`symr9$}; {$CellContext`LocTV4$, \
$CellContext`LocTV5$, $CellContext`LocTV6$} = {$CellContext`r4$ \
$CellContext`symr1$ + $CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ \
$CellContext`symr7$, $CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ \
$CellContext`symr5$ + $CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ \
$CellContext`symr3$ + $CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ \
$CellContext`symr9$}; {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$} = {$CellContext`r7$ $CellContext`symr1$ + \
$CellContext`r8$ $CellContext`symr4$ + $CellContext`r9$ $CellContext`symr7$, \
$CellContext`r7$ $CellContext`symr2$ + $CellContext`r8$ $CellContext`symr5$ + \
$CellContext`r9$ $CellContext`symr8$, $CellContext`r7$ $CellContext`symr3$ + \
$CellContext`r8$ $CellContext`symr6$ + $CellContext`r9$ $CellContext`symr9$}; \
{{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}} = {{$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$}, {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$}, {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$}}; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBmJ1BnTwYT+GEFbxD/bY1REvv0BK/64K20OoukiHsFAQ
uArX90QpuEuKEZc5hMyHgDP7VByRaYQ+Dgfs5lDqL0JgqIYbgwOEgoUbjE+8
uykTH6rhBgsvdJp4d8NYADGwSns=
                
                "]]]; $CellContext`propagatedrays$ = 
            Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`componentnumber$ = 
               1.; $CellContext`frontid$ = 
               1.; {$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`propagatedrays$]; \
$CellContext`thresholdintensity$ = 1.; $CellContext`generationlimit$ = 
            200.; $CellContext`reportedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`generationnumber$ = 
            0.; ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

              "]; $CellContext`deflectedrayspresent$ = 
             True; $CellContext`reportedrayspresent$ = 
             False; $CellContext`propagate$ = True; While[
              
              And[$CellContext`deflectedrayspresent$, \
$CellContext`propagate$], 
              AddTo[$CellContext`generationnumber$, 
                1.]; ($CellContext`deflecteddummyrayspresent$ = 
                False; $CellContext`deflectedrayspresent$ = 
                False; $CellContext`reportedrayspresent$ = 
                False; $CellContext`reporteddummyrayspresent$ = 
                True; $CellContext`localdummyoutrayspresent$ = 
                False; $CellContext`localoutrayspresent$ = 
                False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
                Map[Flatten[#, 1]& , 
                  Transpose[
                   
                   Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9547, Compile`$9558, Compile`$9559}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9547 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9547 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9547 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9558 = -Optica`Optica`TempVar2; 
                    Compile`$9559 = Compile`$9558 + Optica`Optica`TempVar3; {
                    Compile`$9559, $CellContext`ry$ + 
                    Compile`$9559 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9559 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 679861.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9550, Compile`$9561, Compile`$9562}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9550 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9550 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9550 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9561 = -Optica`Optica`TempVar2; 
                    Compile`$9562 = Compile`$9561 + Optica`Optica`TempVar3; {
                    Compile`$9562, $CellContext`ry$ + 
                    Compile`$9562 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9562 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 679862.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9553, Compile`$9564, Compile`$9565}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9553 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9553 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9553 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9564 = -Optica`Optica`TempVar2; 
                    Compile`$9565 = Compile`$9564 + Optica`Optica`TempVar3; {
                    Compile`$9565, $CellContext`ry$ + 
                    Compile`$9565 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9565 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 679947.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9555, Compile`$9567, Compile`$9568}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9555 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9555 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9555 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9567 = -Optica`Optica`TempVar2; 
                    Compile`$9568 = Compile`$9567 + Optica`Optica`TempVar3; {
                    Compile`$9568, $CellContext`ry$ + 
                    Compile`$9568 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9568 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 679948.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9556, Compile`$9570, Compile`$9571}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9556 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9556 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9556 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9570 = -Optica`Optica`TempVar2; 
                    Compile`$9571 = Compile`$9570 + Optica`Optica`TempVar3; {
                    Compile`$9571, $CellContext`ry$ + 
                    Compile`$9571 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9571 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680033.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9557, Compile`$9573, Compile`$9574}, 
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9557 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9557 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9557 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9573 = -Optica`Optica`TempVar2; 
                    Compile`$9574 = Compile`$9573 + Optica`Optica`TempVar3; {
                    Compile`$9574, $CellContext`ry$ + 
                    Compile`$9574 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9574 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680034.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9560, Compile`$9576, Compile`$9577}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9560 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9560 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9560 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9576 = -Optica`Optica`TempVar2; 
                    Compile`$9577 = Compile`$9576 + Optica`Optica`TempVar3; {
                    Compile`$9577, $CellContext`ry$ + 
                    Compile`$9577 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9577 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680119.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9563, Compile`$9579, Compile`$9580}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9563 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9563 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9563 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9579 = -Optica`Optica`TempVar2; 
                    Compile`$9580 = Compile`$9579 + Optica`Optica`TempVar3; {
                    Compile`$9580, $CellContext`ry$ + 
                    Compile`$9580 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9580 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680120.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9566, Compile`$9582, Compile`$9583}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9566 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9566 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9566 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9582 = -Optica`Optica`TempVar2; 
                    Compile`$9583 = Compile`$9582 + Optica`Optica`TempVar3; {
                    Compile`$9583, $CellContext`ry$ + 
                    Compile`$9583 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9583 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680205.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9569, Compile`$9585, Compile`$9586}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9569 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9569 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9569 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9585 = -Optica`Optica`TempVar2; 
                    Compile`$9586 = Compile`$9585 + Optica`Optica`TempVar3; {
                    Compile`$9586, $CellContext`ry$ + 
                    Compile`$9586 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9586 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680206.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9572, Compile`$9588, Compile`$9589}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9572 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9572 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9572 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9588 = -Optica`Optica`TempVar2; 
                    Compile`$9589 = Compile`$9588 + Optica`Optica`TempVar3; {
                    Compile`$9589, $CellContext`ry$ + 
                    Compile`$9589 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9589 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680291.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9575, Compile`$9591, Compile`$9592}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9575 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9575 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9575 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9591 = -Optica`Optica`TempVar2; 
                    Compile`$9592 = Compile`$9591 + Optica`Optica`TempVar3; {
                    Compile`$9592, $CellContext`ry$ + 
                    Compile`$9592 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9592 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680292.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9578, Compile`$9594, Compile`$9595}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9578 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9578 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9578 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9594 = -Optica`Optica`TempVar2; 
                    Compile`$9595 = Compile`$9594 + Optica`Optica`TempVar3; {
                    Compile`$9595, $CellContext`ry$ + 
                    Compile`$9595 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9595 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680377.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9581, Compile`$9598, Compile`$9599}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9581 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9581 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9581 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9598 = -Optica`Optica`TempVar2; 
                    Compile`$9599 = Compile`$9598 + Optica`Optica`TempVar3; {
                    Compile`$9599, $CellContext`ry$ + 
                    Compile`$9599 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9599 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680378.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9584, Compile`$9601, Compile`$9602}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9584 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9584 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9584 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9601 = -Optica`Optica`TempVar2; 
                    Compile`$9602 = Compile`$9601 + Optica`Optica`TempVar3; {
                    Compile`$9602, $CellContext`ry$ + 
                    Compile`$9602 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9602 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680463.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9587, Compile`$9605, Compile`$9606}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9587 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9587 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9587 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9605 = -Optica`Optica`TempVar2; 
                    Compile`$9606 = Compile`$9605 + Optica`Optica`TempVar3; {
                    Compile`$9606, $CellContext`ry$ + 
                    Compile`$9606 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9606 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680464.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9590, Compile`$9608, Compile`$9609}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9590 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9590 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9590 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9608 = -Optica`Optica`TempVar2; 
                    Compile`$9609 = Compile`$9608 + Optica`Optica`TempVar3; {
                    Compile`$9609, $CellContext`ry$ + 
                    Compile`$9609 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9609 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680549.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9593, Compile`$9611, Compile`$9612}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9593 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9593 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9593 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9611 = -Optica`Optica`TempVar2; 
                    Compile`$9612 = Compile`$9611 + Optica`Optica`TempVar3; {
                    Compile`$9612, $CellContext`ry$ + 
                    Compile`$9612 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9612 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680550.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9597, Compile`$9615, Compile`$9616}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9597 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9597 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9597 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9615 = -Optica`Optica`TempVar2; 
                    Compile`$9616 = Compile`$9615 + Optica`Optica`TempVar3; {
                    Compile`$9616, $CellContext`ry$ + 
                    Compile`$9616 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9616 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680635.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9600, Compile`$9618, Compile`$9620}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9600 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9600 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9600 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9618 = -Optica`Optica`TempVar2; 
                    Compile`$9620 = Compile`$9618 + Optica`Optica`TempVar3; {
                    Compile`$9620, $CellContext`ry$ + 
                    Compile`$9620 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9620 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680636.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9603, Compile`$9622, Compile`$9623}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9603 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9603 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9603 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9622 = -Optica`Optica`TempVar2; 
                    Compile`$9623 = Compile`$9622 + Optica`Optica`TempVar3; {
                    Compile`$9623, $CellContext`ry$ + 
                    Compile`$9623 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9623 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680721.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9607, Compile`$9625, Compile`$9626}, 
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9607 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9607 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9607 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9625 = -Optica`Optica`TempVar2; 
                    Compile`$9626 = Compile`$9625 + Optica`Optica`TempVar3; {
                    Compile`$9626, $CellContext`ry$ + 
                    Compile`$9626 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9626 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680722.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9610, Compile`$9630, Compile`$9631}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9610 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9610 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9610 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9630 = -Optica`Optica`TempVar2; 
                    Compile`$9631 = Compile`$9630 + Optica`Optica`TempVar3; {
                    Compile`$9631, $CellContext`ry$ + 
                    Compile`$9631 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9631 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680807.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9613, Compile`$9633, Compile`$9634}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9613 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9613 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9613 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9633 = -Optica`Optica`TempVar2; 
                    Compile`$9634 = Compile`$9633 + Optica`Optica`TempVar3; {
                    Compile`$9634, $CellContext`ry$ + 
                    Compile`$9634 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9634 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680808.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9617, Compile`$9636, Compile`$9637}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9617 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9617 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9617 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9636 = -Optica`Optica`TempVar2; 
                    Compile`$9637 = Compile`$9636 + Optica`Optica`TempVar3; {
                    Compile`$9637, $CellContext`ry$ + 
                    Compile`$9637 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9637 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680893.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9621, Compile`$9639, Compile`$9640}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9621 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9621 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9621 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, 
                    Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9639 = -Optica`Optica`TempVar2; 
                    Compile`$9640 = Compile`$9639 + Optica`Optica`TempVar3; {
                    Compile`$9640, $CellContext`ry$ + 
                    Compile`$9640 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9640 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680894.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9624, Compile`$9643, Compile`$9644}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9624 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9624 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9624 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9643 = -Optica`Optica`TempVar2; 
                    Compile`$9644 = Compile`$9643 + Optica`Optica`TempVar3; {
                    Compile`$9644, $CellContext`ry$ + 
                    Compile`$9644 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9644 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680979.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9629, Compile`$9646, Compile`$9647}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9629 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9629 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9629 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9646 = -Optica`Optica`TempVar2; 
                    Compile`$9647 = Compile`$9646 + Optica`Optica`TempVar3; {
                    Compile`$9647, $CellContext`ry$ + 
                    Compile`$9647 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9647 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 680980.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9632, Compile`$9649, Compile`$9650}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9632 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9632 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9632 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9649 = -Optica`Optica`TempVar2; 
                    Compile`$9650 = Compile`$9649 + Optica`Optica`TempVar3; {
                    Compile`$9650, $CellContext`ry$ + 
                    Compile`$9650 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9650 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681065.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9635, Compile`$9652, Compile`$9653}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9635 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9635 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9635 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9652 = -Optica`Optica`TempVar2; 
                    Compile`$9653 = Compile`$9652 + Optica`Optica`TempVar3; {
                    Compile`$9653, $CellContext`ry$ + 
                    Compile`$9653 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9653 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681066.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9638, Compile`$9655, Compile`$9656}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9638 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9638 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9638 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9655 = -Optica`Optica`TempVar2; 
                    Compile`$9656 = Compile`$9655 + Optica`Optica`TempVar3; {
                    Compile`$9656, $CellContext`ry$ + 
                    Compile`$9656 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9656 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681151.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9642, Compile`$9659, Compile`$9660}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9642 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9642 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9642 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9659 = -Optica`Optica`TempVar2; 
                    Compile`$9660 = Compile`$9659 + Optica`Optica`TempVar3; {
                    Compile`$9660, $CellContext`ry$ + 
                    Compile`$9660 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9660 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681152.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9645, Compile`$9662, Compile`$9663}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9645 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9645 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9645 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9662 = -Optica`Optica`TempVar2; 
                    Compile`$9663 = Compile`$9662 + Optica`Optica`TempVar3; {
                    Compile`$9663, $CellContext`ry$ + 
                    Compile`$9663 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9663 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681237.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9648, Compile`$9665, Compile`$9666}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9648 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9648 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9648 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9665 = -Optica`Optica`TempVar2; 
                    Compile`$9666 = Compile`$9665 + Optica`Optica`TempVar3; {
                    Compile`$9666, $CellContext`ry$ + 
                    Compile`$9666 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9666 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681238.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9651, Compile`$9668, Compile`$9669}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9651 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9651 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9651 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9668 = -Optica`Optica`TempVar2; 
                    Compile`$9669 = Compile`$9668 + Optica`Optica`TempVar3; {
                    Compile`$9669, $CellContext`ry$ + 
                    Compile`$9669 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9669 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681323.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9654, Compile`$9672, Compile`$9673}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9654 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9654 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9654 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9672 = -Optica`Optica`TempVar2; 
                    Compile`$9673 = Compile`$9672 + Optica`Optica`TempVar3; {
                    Compile`$9673, $CellContext`ry$ + 
                    Compile`$9673 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9673 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681324.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9658, Compile`$9675, Compile`$9676}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9658 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9658 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9658 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9675 = -Optica`Optica`TempVar2; 
                    Compile`$9676 = Compile`$9675 + Optica`Optica`TempVar3; {
                    Compile`$9676, $CellContext`ry$ + 
                    Compile`$9676 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9676 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681409.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9661, Compile`$9678, Compile`$9679}, 
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9661 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9661 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9661 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9678 = -Optica`Optica`TempVar2; 
                    Compile`$9679 = Compile`$9678 + Optica`Optica`TempVar3; {
                    Compile`$9679, $CellContext`ry$ + 
                    Compile`$9679 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9679 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681410.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9664, Compile`$9681, Compile`$9682}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9664 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9664 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9664 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9681 = -Optica`Optica`TempVar2; 
                    Compile`$9682 = Compile`$9681 + Optica`Optica`TempVar3; {
                    Compile`$9682, $CellContext`ry$ + 
                    Compile`$9682 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9682 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681495.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9667, Compile`$9684, Compile`$9685}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9667 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9667 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9667 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9684 = -Optica`Optica`TempVar2; 
                    Compile`$9685 = Compile`$9684 + Optica`Optica`TempVar3; {
                    Compile`$9685, $CellContext`ry$ + 
                    Compile`$9685 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9685 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681496.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9670, Compile`$9687, Compile`$9688}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9670 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9670 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9670 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9687 = -Optica`Optica`TempVar2; 
                    Compile`$9688 = Compile`$9687 + Optica`Optica`TempVar3; {
                    Compile`$9688, $CellContext`ry$ + 
                    Compile`$9688 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9688 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681581.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9674, Compile`$9690, Compile`$9691}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9674 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9674 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9674 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, 
                    Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9690 = -Optica`Optica`TempVar2; 
                    Compile`$9691 = Compile`$9690 + Optica`Optica`TempVar3; {
                    Compile`$9691, $CellContext`ry$ + 
                    Compile`$9691 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9691 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681582.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9677, Compile`$9693, Compile`$9694}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9677 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9677 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9677 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9693 = -Optica`Optica`TempVar2; 
                    Compile`$9694 = Compile`$9693 + Optica`Optica`TempVar3; {
                    Compile`$9694, $CellContext`ry$ + 
                    Compile`$9694 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9694 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681667.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9680, Compile`$9696, Compile`$9697}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9680 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9680 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9680 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9696 = -Optica`Optica`TempVar2; 
                    Compile`$9697 = Compile`$9696 + Optica`Optica`TempVar3; {
                    Compile`$9697, $CellContext`ry$ + 
                    Compile`$9697 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9697 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681668.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9683, Compile`$9699, Compile`$9700}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9683 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9683 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9683 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9699 = -Optica`Optica`TempVar2; 
                    Compile`$9700 = Compile`$9699 + Optica`Optica`TempVar3; {
                    Compile`$9700, $CellContext`ry$ + 
                    Compile`$9700 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9700 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681753.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9686, Compile`$9702, Compile`$9703}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9686 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9686 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9686 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9702 = -Optica`Optica`TempVar2; 
                    Compile`$9703 = Compile`$9702 + Optica`Optica`TempVar3; {
                    Compile`$9703, $CellContext`ry$ + 
                    Compile`$9703 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9703 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681754.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9689, Compile`$9705, Compile`$9706}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9689 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9689 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9689 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9705 = -Optica`Optica`TempVar2; 
                    Compile`$9706 = Compile`$9705 + Optica`Optica`TempVar3; {
                    Compile`$9706, $CellContext`ry$ + 
                    Compile`$9706 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9706 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681839.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9692, Compile`$9708, Compile`$9709}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9692 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9692 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9692 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9708 = -Optica`Optica`TempVar2; 
                    Compile`$9709 = Compile`$9708 + Optica`Optica`TempVar3; {
                    Compile`$9709, $CellContext`ry$ + 
                    Compile`$9709 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9709 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681840.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9695, Compile`$9711, Compile`$9712}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - (3 $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ 3)/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9695 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9695 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9695 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9711 = -Optica`Optica`TempVar2; 
                    Compile`$9712 = Compile`$9711 + Optica`Optica`TempVar3; {
                    Compile`$9712, $CellContext`ry$ + 
                    Compile`$9712 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9712 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[(-3)/
                    2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ + 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681925.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9698, Compile`$9714, Compile`$9715}, 
                    
                    Block[{Optica`Optica`TempVar, Optica`Optica`TempVar1, 
                    Optica`Optica`TempVar2, 
                    Optica`Optica`TempVar3, $CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$}, Optica`Optica`TempVar1 = 1.; 
                    Optica`Optica`TempVar2 = 1.; Optica`Optica`TempVar3 = 1.; 
                    Optica`Optica`TempVar = {{-1., 0., 
                    0.}}; $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; 
                    Optica`Optica`TempVar1 = $CellContext`rx$^2 + \
$CellContext`ry$^2 + $CellContext`rz$^2; 
                    Optica`Optica`TempVar2 = $CellContext`rx$ \
$CellContext`xunit$ + $CellContext`ry$ $CellContext`yunit$ + $CellContext`rz$ \
$CellContext`zunit$ - ((-3) $CellContext`xunit$)/2; 
                    Optica`Optica`TempVar3 = -Optica`Optica`TempVar1 + 
                    Optica`Optica`TempVar2^2 + (2 $CellContext`rx$ (-3))/2; 
                    Optica`Optica`TempVar3 = Re[Optica`Optica`TempVar3]; 
                    If[N[
                    Chop[Optica`Optica`TempVar3]] >= 0., 
                    Optica`Optica`TempVar3 = Sqrt[Optica`Optica`TempVar3]; 
                    Optica`Optica`TempVar = {{$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = (
                    Compile`$9698 = Optica`Optica`TempVar2 + 
                    Optica`Optica`TempVar3; {-Optica`Optica`TempVar2 - 
                    Optica`Optica`TempVar3, $CellContext`ry$ - 
                    Compile`$9698 $CellContext`yunit$, $CellContext`rz$ - 
                    Compile`$9698 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 
                    0.}], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} = (Compile`$9714 = -Optica`Optica`TempVar2; 
                    Compile`$9715 = Compile`$9714 + Optica`Optica`TempVar3; {
                    Compile`$9715, $CellContext`ry$ + 
                    Compile`$9715 $CellContext`yunit$, $CellContext`rz$ + 
                    Compile`$9715 $CellContext`zunit$}); If[
                    And[N[
                    Chop[$CellContext`LocRayL$]] >= 
                    0., $CellContext`LocSCx$^2 + $CellContext`LocSCy$^2 <= 
                    2.25, Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[3/2 + $CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - 
                    Sqrt[9/4 - $CellContext`LocSCx$^2 - \
$CellContext`LocSCy$^2]] < 
                    1.*^-7], {$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, {-1., 0., 0.}]}; 
                    If[Part[Optica`Optica`TempVar, 1] == 
                    Part[Optica`Optica`TempVar, 2], {
                    Part[Optica`Optica`TempVar, 1]}, 
                    Optica`Optica`TempVar], {{-1., 0., 0.}}]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 681926.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 1., 
                    679861.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 1., 
                    679861.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x1$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y1$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x1$$], 
                    Re[$CellContext`y1$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x1$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y1$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 2., 
                    679862.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 2., 
                    679862.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x1$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y1$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x1$$], 
                    Re[$CellContext`y1$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 7., 
                    679947.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 7., 
                    679947.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x2$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y2$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x2$$], 
                    Re[$CellContext`y2$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x2$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y2$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 8., 
                    679948.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 8., 
                    679948.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x2$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y2$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x2$$], 
                    Re[$CellContext`y2$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[
                    Abs[$CellContext`alternateindex$ - $CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 13., 
                    680033.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 13., 
                    680033.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x3$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y3$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x3$$], 
                    Re[$CellContext`y3$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x3$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y3$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 14., 
                    680034.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 14., 
                    680034.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x3$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y3$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x3$$], 
                    Re[$CellContext`y3$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    7, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 19., 
                    680119.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 19., 
                    680119.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x4$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y4$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x4$$], 
                    Re[$CellContext`y4$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    8, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x4$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y4$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 20., 
                    680120.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 20., 
                    680120.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x4$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y4$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x4$$], 
                    Re[$CellContext`y4$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    9, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 25., 
                    680205.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 25., 
                    680205.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x5$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y5$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x5$$], 
                    Re[$CellContext`y5$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    10, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x5$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y5$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 26., 
                    680206.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 26., 
                    680206.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x5$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y5$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x5$$], 
                    Re[$CellContext`y5$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    11, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 31., 
                    680291.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 31., 
                    680291.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x6$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y6$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x6$$], 
                    Re[$CellContext`y6$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    12, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x6$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y6$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 32., 
                    680292.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 32., 
                    680292.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x6$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y6$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x6$$], 
                    Re[$CellContext`y6$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    13, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 37., 
                    680377.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 37., 
                    680377.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x7$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y7$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x7$$], 
                    Re[$CellContext`y7$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    14, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x7$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y7$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 38., 
                    680378.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 38., 
                    680378.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x7$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y7$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x7$$], 
                    Re[$CellContext`y7$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    15, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 43., 
                    680463.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 43., 
                    680463.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x8$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y8$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x8$$], 
                    Re[$CellContext`y8$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    16, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x8$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y8$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 44., 
                    680464.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 44., 
                    680464.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x8$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y8$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x8$$], 
                    Re[$CellContext`y8$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    17, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 49., 
                    680549.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 49., 
                    680549.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x9$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y9$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x9$$], 
                    Re[$CellContext`y9$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    18, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x9$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y9$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 50., 
                    680550.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 50., 
                    680550.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x9$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y9$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x9$$], 
                    Re[$CellContext`y9$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    19, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 55., 
                    680635.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 55., 
                    680635.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x10$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y10$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x10$$], 
                    Re[$CellContext`y10$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    20, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x10$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y10$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 56., 
                    680636.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 56., 
                    680636.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x10$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y10$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x10$$], 
                    Re[$CellContext`y10$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    21, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 61., 
                    680721.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 61., 
                    680721.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x11$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y11$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x11$$], 
                    Re[$CellContext`y11$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    22, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x11$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y11$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 62., 
                    680722.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 62., 
                    680722.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x11$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y11$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x11$$], 
                    Re[$CellContext`y11$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    23, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 67., 
                    680807.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 67., 
                    680807.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x12$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y12$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x12$$], 
                    Re[$CellContext`y12$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    24, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x12$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y12$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 68., 
                    680808.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 68., 
                    680808.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x12$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y12$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x12$$], 
                    Re[$CellContext`y12$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    25, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 73., 
                    680893.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 73., 
                    680893.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x13$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y13$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x13$$], 
                    Re[$CellContext`y13$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    26, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x13$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y13$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 74., 
                    680894.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 74., 
                    680894.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x13$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y13$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x13$$], 
                    Re[$CellContext`y13$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    27, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 79., 
                    680979.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 79., 
                    680979.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x14$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y14$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x14$$], 
                    Re[$CellContext`y14$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    28, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x14$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y14$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 80., 
                    680980.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 80., 
                    680980.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x14$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y14$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x14$$], 
                    Re[$CellContext`y14$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    29, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 85., 
                    681065.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 85., 
                    681065.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x15$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y15$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x15$$], 
                    Re[$CellContext`y15$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    30, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x15$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y15$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 86., 
                    681066.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 86., 
                    681066.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x15$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y15$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x15$$], 
                    Re[$CellContext`y15$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    31, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 91., 
                    681151.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 91., 
                    681151.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x16$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y16$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x16$$], 
                    Re[$CellContext`y16$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    32, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x16$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y16$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 92., 
                    681152.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 92., 
                    681152.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x16$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y16$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x16$$], 
                    Re[$CellContext`y16$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    33, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 97., 
                    681237.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 97., 
                    681237.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x17$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y17$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x17$$], 
                    Re[$CellContext`y17$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    34, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x17$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y17$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 98., 
                    681238.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 98., 
                    681238.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x17$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y17$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x17$$], 
                    Re[$CellContext`y17$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    35, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 103., 
                    681323.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 103., 
                    681323.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x18$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y18$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x18$$], 
                    Re[$CellContext`y18$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    36, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x18$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y18$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 104., 
                    681324.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 104., 
                    681324.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x18$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y18$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x18$$], 
                    Re[$CellContext`y18$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    37, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 109., 
                    681409.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 109., 
                    681409.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x19$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y19$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x19$$], 
                    Re[$CellContext`y19$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    38, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x19$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y19$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 110., 
                    681410.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 110., 
                    681410.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x19$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y19$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x19$$], 
                    Re[$CellContext`y19$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    39, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 115., 
                    681495.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 115., 
                    681495.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x20$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y20$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x20$$], 
                    Re[$CellContext`y20$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    40, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x20$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y20$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 116., 
                    681496.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 116., 
                    681496.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x20$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y20$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x20$$], 
                    Re[$CellContext`y20$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    41, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 121., 
                    681581.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 121., 
                    681581.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x21$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y21$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x21$$], 
                    Re[$CellContext`y21$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    42, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x21$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y21$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 122., 
                    681582.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 122., 
                    681582.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x21$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y21$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x21$$], 
                    Re[$CellContext`y21$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    43, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 127., 
                    681667.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 127., 
                    681667.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x22$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y22$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x22$$], 
                    Re[$CellContext`y22$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    44, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x22$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y22$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 128., 
                    681668.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 128., 
                    681668.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x22$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y22$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x22$$], 
                    Re[$CellContext`y22$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    45, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 133., 
                    681753.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 133., 
                    681753.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x23$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y23$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x23$$], 
                    Re[$CellContext`y23$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    46, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x23$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y23$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 134., 
                    681754.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 134., 
                    681754.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x23$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y23$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x23$$], 
                    Re[$CellContext`y23$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    47, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 139., 
                    681839.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 139., 
                    681839.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x24$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y24$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x24$$], 
                    Re[$CellContext`y24$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    48, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x24$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y24$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 140., 
                    681840.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 140., 
                    681840.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x24$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y24$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x24$$], 
                    Re[$CellContext`y24$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    49, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    1.5 + $CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 145., 
                    681925.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 145., 
                    681925.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x25$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y25$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -($CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -($CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-1.5 + 
                    Re[$CellContext`x25$$], 
                    Re[$CellContext`y25$$], 0.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, $CellContext`resonatenumber$ == 
                    50, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1.5 + \
$CellContext`rex$ - 1. 
                    Re[$CellContext`x25$$]; $CellContext`ry$ = \
$CellContext`rey$ - 1. 
                    Re[$CellContext`y25$$]; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 146., 
                    681926.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 146., 
                    681926.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1.5 + $CellContext`rxhlp$ + 
                    Re[$CellContext`x25$$]; $CellContext`rey$ = \
$CellContext`ryhlp$ + 
                    Re[$CellContext`y25$$]; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., -(-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1))), -(-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)))}, {-$CellContext`ray2$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 1., 
                    0.}, {-$CellContext`ray3$/(
                    9/4 - $CellContext`ray2$^2 - $CellContext`ray3$^2)^(
                    2^(-1)), 0., 1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1.5 + Re[$CellContext`x25$$], 
                    Re[$CellContext`y25$$], 
                    0.}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8])], \
$CellContext`index2$ = (Sqrt[
                    1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8]); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = (Sqrt[
                    2.2718929 - 0.010108077 $CellContext`wavelength$^2 + 
                    0.010592509/$CellContext`wavelength$^2 + 
                    0.00020816965/$CellContext`wavelength$^4 - 
                    7.6472538*^-6/$CellContext`wavelength$^6 + 
                    4.9240991*^-7/$CellContext`wavelength$^8])]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; $CellContext`oldpoynting$ = \
$CellContext`index1$ {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} \
$CellContext`intensity$; $CellContext`Vr$ = (-2) $CellContext`ZAxis$ \
$CellContext`raytiltz$ + {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} + {0. I, 0. I, 0. 
                    I}; $CellContext`Vt$ = $CellContext`n12$ \
({$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + {
                    0. I, 0. I, 0. 
                    I}) + $CellContext`ZAxis$ (-($CellContext`n12$ \
$CellContext`raytiltz$) + Sqrt[
                    1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 + 
                    0. I]); $CellContext`szt$ = 
                    Dot[$CellContext`Vt$, $CellContext`ZAxis$]; \
$CellContext`sz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`u$ = {{
                    0., -Part[$CellContext`YAxis$, 3], 
                    Part[$CellContext`YAxis$, 2]}, {
                    Part[$CellContext`YAxis$, 3], 0., -
                    Part[$CellContext`YAxis$, 1]}, {-
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1], 0.}}; $CellContext`uu$ = {{
                    Part[$CellContext`YAxis$, 1] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 1] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 2] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 2] 
                    Part[$CellContext`YAxis$, 3]}, {
                    Part[$CellContext`YAxis$, 3] Part[$CellContext`YAxis$, 1],
                     Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 2], 
                    Part[$CellContext`YAxis$, 3] 
                    Part[$CellContext`YAxis$, 3]}}; $CellContext`cosanglet$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vt$]]; $CellContext`sinanglet$ = 
                    Sqrt[1 - $CellContext`cosanglet$^2 + 
                    0. I]; $CellContext`cosangler$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Re[$CellContext`Vr$]]; $CellContext`sinangler$ = 
                    Sqrt[1 - $CellContext`cosangler$^2 + 0. I]; 
                    If[Chop[Re[$CellContext`sz$] - Dot[
                    Re[$CellContext`Vt$], 
                    Re[$CellContext`ZAxis$]]] > 
                    0., $CellContext`transformt$ = $CellContext`uu$ + \
($CellContext`unit$ - $CellContext`uu$) $CellContext`cosanglet$ + \
$CellContext`u$ $CellContext`sinanglet$, $CellContext`transformt$ = \
$CellContext`uu$ + ($CellContext`unit$ - $CellContext`uu$) \
$CellContext`cosanglet$ - $CellContext`u$ $CellContext`sinanglet$]; \
$CellContext`transformr$ = $CellContext`uu$ + ($CellContext`unit$ - \
$CellContext`uu$) $CellContext`cosangler$ + $CellContext`u$ \
$CellContext`sinangler$; $CellContext`rp$ = ($CellContext`index2$ \
$CellContext`raytiltz$ - $CellContext`index1$ \
$CellContext`szt$)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`rs$ = \
($CellContext`index1$ $CellContext`raytiltz$ - $CellContext`index2$ \
$CellContext`szt$)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`tp$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index2$ $CellContext`raytiltz$ + \
$CellContext`index1$ $CellContext`szt$); $CellContext`ts$ = (
                    2 $CellContext`index1$ $CellContext`raytiltz$ + 
                    0. I)/($CellContext`index1$ $CellContext`raytiltz$ + \
$CellContext`index2$ $CellContext`szt$); $CellContext`rp$ = $CellContext`rp$ \
$CellContext`parallelamplitude$; $CellContext`rs$ = $CellContext`rs$ \
$CellContext`perpendicularamplitude$; $CellContext`tp$ = $CellContext`tp$ \
$CellContext`parallelamplitude$; $CellContext`ts$ = $CellContext`ts$ \
$CellContext`perpendicularamplitude$; $CellContext`originalintensity$ = \
$CellContext`intensity$; $CellContext`transamplitude$ = $CellContext`tp$ 
                    Dot[$CellContext`transformt$, $CellContext`PAxis$] + \
$CellContext`ts$ $CellContext`YAxis$; $CellContext`refamplitude$ = \
$CellContext`rp$ 
                    Dot[$CellContext`transformr$, $CellContext`PAxis$] + \
$CellContext`rs$ $CellContext`YAxis$; $CellContext`allcreatedamplitudes$ = \
{$CellContext`transamplitude$, $CellContext`refamplitude$}; \
$CellContext`dummymatrix$ = {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vt$]; $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`transamplitude$, 
                    
                    Conjugate[$CellContext`transamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index2$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = ($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = Re[$CellContext`Vr$]; 
                    If[$CellContext`szt$ != 
                    0., $CellContext`intensityfactor$ = Re[
                    Dot[$CellContext`refamplitude$, 
                    
                    Conjugate[$CellContext`refamplitude$]]]; \
$CellContext`newpoynting$ = $CellContext`index1$ {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} $CellContext`intensityfactor$; \
$CellContext`intensity$ = -(($CellContext`originalintensity$ 
                    Dot[$CellContext`newpoynting$, $CellContext`ZAxis$])/
                    Dot[$CellContext`oldpoynting$, $CellContext`ZAxis$]), \
$CellContext`intensity$ = $CellContext`originalintensity$]; \
$CellContext`index2$ = $CellContext`index1$; $CellContext`index$ = \
$CellContext`index1$; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; If[$CellContext`szt$ == 
                    0., $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`allcreatedrays$ = Join[
                    Rest[$CellContext`dummymatrix$], CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "]], $CellContext`allcreatedrays$ = \
$CellContext`dummymatrix$]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "], {$CellContext`completedray$, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}}, True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                   
                     "]}, CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYSYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
NNxGw23w06PhNpLCDQD/2yPg
                    "]])& , $CellContext`inrays$]]]; 
               If[
                 
                 And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                 Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                  1., 1.]; 
               If[$CellContext`localoutrayspresent$, 
                 If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                    Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 
                   1., 1.]; $CellContext`outrays$ = 
                  Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1.,
                  1.]; If[
                 
                 And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                  Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                 1., 1.]); 
              If[$CellContext`reportedrayspresent$, \
$CellContext`raysreported$ = True; $CellContext`reportedrays$ = 
                 Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                   
                   "], $CellContext`reportedlocalrays$]; 1., 
                1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
             If[Length[$CellContext`outrays$] > 1, 
               Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
              
              And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
               Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
              1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

              "]; $CellContext`deflectedrayspresent$ = 
             True; $CellContext`reportedrayspresent$ = 
             False; $CellContext`propagate$ = True; While[
              
              And[$CellContext`deflectedrayspresent$, \
$CellContext`propagate$], 
              AddTo[$CellContext`generationnumber$, 
                1.]; ($CellContext`deflecteddummyrayspresent$ = 
                False; $CellContext`deflectedrayspresent$ = 
                False; $CellContext`reportedrayspresent$ = 
                False; $CellContext`reporteddummyrayspresent$ = 
                True; $CellContext`localdummyoutrayspresent$ = 
                False; $CellContext`localoutrayspresent$ = 
                False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
                Map[Flatten[#, 1]& , 
                  Transpose[
                   
                   Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rex$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9364}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9364 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9364), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9364, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9364}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682077.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rey$; $CellContext`ry$ = \
-$CellContext`rex$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9366}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9366 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9366), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9366, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9366}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682078.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rex$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9364}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9364 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9364), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9364, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9364}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682079.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rey$); $CellContext`ry$ = $CellContext`rex$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9366}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9366 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9366), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9366, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9366}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682080.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = -$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9365}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9365 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9365), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9365, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9365}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682081.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
-$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$9365}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9365 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9365), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9365, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9365}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 682082.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rex$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 1., 
                    682077.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 1., 
                    682077.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rey$ = \
-$CellContext`ryhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    15., 0, 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rey$; $CellContext`ry$ = \
-$CellContext`rex$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 2., 
                    682078.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 2., 
                    682078.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-$CellContext`ryhlp$; $CellContext`rey$ = -15. + $CellContext`rxhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    0, -15., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rex$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 3., 
                    682079.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 3., 
                    682079.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-15. + $CellContext`rxhlp$; $CellContext`rey$ = $CellContext`ryhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {-15., 0, 
                    0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rey$); $CellContext`ry$ = $CellContext`rex$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 4., 
                    682080.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 4., 
                    682080.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`ryhlp$; $CellContext`rey$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    0, 15., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = -$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 5., 
                    682081.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 5., 
                    682081.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-$CellContext`rzhlp$; $CellContext`rey$ = $CellContext`ryhlp$; \
$CellContext`rez$ = -15. + $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {0., 1., 0.}, {-1., 0., 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    0, 0, -15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
-$CellContext`rex$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 6., 
                    682082.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 6., 
                    682082.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
-$CellContext`rzhlp$; $CellContext`rey$ = -$CellContext`ryhlp$; \
$CellContext`rez$ = 15. - 1. $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., -1.}, {0., -1., 0.}, {-1., 0.,
                     0.}}; $CellContext`surfacetranslationvector$ = {
                    0, 0, 15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                 
                 And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                 Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                  1., 1.]; 
               If[$CellContext`localoutrayspresent$, 
                 If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                    Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 
                   1., 1.]; $CellContext`outrays$ = 
                  Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1.,
                  1.]; If[
                 
                 And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                  Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                 1., 1.]); 
              If[$CellContext`reportedrayspresent$, \
$CellContext`raysreported$ = True; $CellContext`reportedrays$ = 
                 Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                   
                   "], $CellContext`reportedlocalrays$]; 1., 
                1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
             If[Length[$CellContext`outrays$] > 1, 
               Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
              
              And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
               Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 1.]); 
           If[Length[$CellContext`reportedrays$] > 
             2, $CellContext`reportedrays$ = 
             Drop[$CellContext`reportedrays$, 2], $CellContext`reportedrays$]; 
           Map[{
              Part[#, 1], 
              Part[#, 2], 
              Part[#, 3], 
              Part[#, 4], 
              Part[#, 5], 
              
              Part[#, 6]}& , $CellContext`reportedrays$]], \
$CellContext`compileoptionsetting$]]); Typeset`initDone$$ = True),
    SynchronousInitialization->False,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False,
   DynamicEvaluationTimeout->100],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.402840021781086*^9, 3.614749861961228*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1003, 728},
WindowMargins->{{Automatic, 165}, {Automatic, 16}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "TurboPlot"->{
  Cell[919, 31, 608, 14, 98, "Input",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],
  Cell[1552, 49, 169, 2, 28, "Input",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],
  Cell[1724, 53, 1354, 28, 375, "Output",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}]},
 "14.2"->{
  Cell[919, 31, 608, 14, 98, "Input",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],
  Cell[1552, 49, 169, 2, 28, "Input",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],
  Cell[1724, 53, 1354, 28, 375, "Output",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}]},
 "RG14."->{
  Cell[919, 31, 608, 14, 98, "Input",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],
  Cell[1552, 49, 169, 2, 28, "Input",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],
  Cell[1724, 53, 1354, 28, 375, "Output",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}]},
 "RG14.2"->{
  Cell[919, 31, 608, 14, 98, "Input",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],
  Cell[1552, 49, 169, 2, 28, "Input",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],
  Cell[1724, 53, 1354, 28, 375, "Output",
   CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"TurboPlot", 8962529, 148878},
 {"14.2", 8962827, 148885},
 {"RG14.", 8963126, 148892},
 {"RG14.2", 8963426, 148899}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 145, 2, 29, "Input"],
Cell[CellGroupData[{
Cell[715, 26, 201, 3, 35, "Subsection"],
Cell[919, 31, 608, 14, 98, "Input",
 CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],
Cell[CellGroupData[{
Cell[1552, 49, 169, 2, 28, "Input",
 CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}],
Cell[1724, 53, 1354, 28, 375, "Output",
 CellTags->{"TurboPlot", "14.2", "RG14.", "RG14.2"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[3115, 86, 2487, 65, 109, "Input"],
Cell[5605, 153, 3404621, 56614, 736, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3410263, 56772, 2561, 66, 109, "Input"],
Cell[3412827, 56840, 5549288, 92022, 770, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
