(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   1400304,      23619]
NotebookOptionsPosition[   1399954,      23602]
NotebookOutlinePosition[   1400309,      23618]
CellTagsIndexPosition[   1400266,      23615]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"grinrod", " ", "=", " ", 
   RowBox[{"GRINLens", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}], ",", "15", ",", " ", 
     RowBox[{"SymbolicRefractiveModels", "->", 
      RowBox[{"{", 
       RowBox[{"DefaultGRINIndex", "->", 
        RowBox[{"(", 
         RowBox[{"base", "\[InvisibleSpace]", "+", 
          RowBox[{"hh", "*", 
           RowBox[{"Exp", "[", " ", 
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"RSx", "-", "x1"}], ")"}], "^", "2"}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"RSy", "-", "y1"}], ")"}], "^", "2"}]}], ")"}], 
               "/", 
               RowBox[{"rr", "^", "2"}]}], ")"}]}], "]"}]}], "+", 
          RowBox[{"hh", "*", 
           RowBox[{"Exp", "[", " ", 
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"RSx", "-", "x2"}], ")"}], "^", "2"}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"RSy", "-", "y2"}], ")"}], "^", "2"}]}], ")"}], 
               "/", 
               RowBox[{"rr", "^", "2"}]}], ")"}]}], "]"}]}], "+", 
          RowBox[{"hh", "*", 
           RowBox[{"Exp", "[", " ", 
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"RSx", "-", "x3"}], ")"}], "^", "2"}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"RSy", "-", "y3"}], ")"}], "^", "2"}]}], ")"}], 
               "/", 
               RowBox[{"rr", "^", "2"}]}], ")"}]}], "]"}]}], "+", 
          RowBox[{"hh", "*", 
           RowBox[{"Exp", "[", " ", 
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"RSx", "-", "x4"}], ")"}], "^", "2"}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"RSy", "-", "y4"}], ")"}], "^", "2"}]}], ")"}], 
               "/", 
               RowBox[{"rr", "^", "2"}]}], ")"}]}], "]"}]}]}], ")"}]}], 
       "}"}]}], ",", " ", 
     RowBox[{"SymbolicValues", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"base", "\[Rule]", "1.5"}], ",", 
        RowBox[{"hh", "\[Rule]", "2"}], ",", 
        RowBox[{"rr", "\[Rule]", "1"}], ",", 
        RowBox[{"x1", "\[Rule]", "2.5"}], ",", 
        RowBox[{"y1", "\[Rule]", "2.5"}], ",", 
        RowBox[{"x2", "\[Rule]", "2.5"}], ",", 
        RowBox[{"y2", "\[Rule]", 
         RowBox[{"-", "2.5"}]}], ",", 
        RowBox[{"x3", "\[Rule]", "10"}], ",", 
        RowBox[{"y3", "\[Rule]", "2.5"}], ",", 
        RowBox[{"x4", "\[Rule]", "10"}], ",", 
        RowBox[{"y4", "\[Rule]", 
         RowBox[{"-", "2.5"}]}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ManipulateSystem", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Move", "[", 
      RowBox[{
       RowBox[{"SingleRay", "[", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"th", ",", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"Move", "[", 
      RowBox[{"grinrod", ",", "10"}], "]"}], ",", " ", 
     RowBox[{"Boundary", "[", 
      RowBox[{"40", ",", "30"}], "]"}]}], "}"}], ",", 
   RowBox[{"DynamicFrame", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PlotType", "->", "TopView"}], ",", 
      RowBox[{"PrependGraphics", "\[Rule]", 
       RowBox[{"Hold", "[", 
        RowBox[{"Graphics", "[", 
         RowBox[{"Dynamic", "[", 
          RowBox[{"GeometricTransformation", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"ContourPlot", "[", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"base", "\[InvisibleSpace]", "+", 
                 RowBox[{"hh", "*", 
                  RowBox[{"Exp", "[", " ", 
                   RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"rsx", "-", "x1"}], ")"}], "^", "2"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"rsy", "-", "y1"}], ")"}], "^", "2"}]}], ")"}], 
                    "/", 
                    RowBox[{"rr", "^", "2"}]}], ")"}]}], "]"}]}], "+", 
                 RowBox[{"hh", "*", 
                  RowBox[{"Exp", "[", " ", 
                   RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"rsx", "-", "x2"}], ")"}], "^", "2"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"rsy", "-", "y2"}], ")"}], "^", "2"}]}], ")"}], 
                    "/", 
                    RowBox[{"rr", "^", "2"}]}], ")"}]}], "]"}]}], "+", 
                 RowBox[{"hh", "*", 
                  RowBox[{"Exp", "[", " ", 
                   RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"rsx", "-", "x3"}], ")"}], "^", "2"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"rsy", "-", "y3"}], ")"}], "^", "2"}]}], ")"}], 
                    "/", 
                    RowBox[{"rr", "^", "2"}]}], ")"}]}], "]"}]}], "+", 
                 RowBox[{"hh", "*", 
                  RowBox[{"Exp", "[", " ", 
                   RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"rsx", "-", "x4"}], ")"}], "^", "2"}], "+", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"rsy", "-", "y4"}], ")"}], "^", "2"}]}], ")"}], 
                    "/", 
                    RowBox[{"rr", "^", "2"}]}], ")"}]}], "]"}]}]}], ")"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"rsx", ",", "0", ",", "15"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"rsy", ",", 
                 RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
               RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"1", ",", "0"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "]"}], "]"}], 
         "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"AppendGraphics", "\[Rule]", 
       RowBox[{"Hold", "[", 
        RowBox[{"Graphics", "[", 
         RowBox[{"GeometricTransformation", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", "\t", 
            RowBox[{
             RowBox[{"Locator", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"{", 
                 RowBox[{"x1", ",", "y1"}], "}"}], "]"}], ",", 
               RowBox[{"Graphics", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Lighter", "[", "Red", "]"}], ",", 
                   RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", ".8"}], "]"}]}], 
                  "}"}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", "10"}]}], "]"}]}], "]"}], 
             ",", "\[IndentingNewLine]", "\t", 
             RowBox[{"Locator", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"{", 
                 RowBox[{"x2", ",", "y2"}], "}"}], "]"}], ",", 
               RowBox[{"Graphics", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Lighter", "[", "Red", "]"}], ",", 
                   RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", ".8"}], "]"}]}], 
                  "}"}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", "10"}]}], "]"}]}], "]"}], 
             ",", "\[IndentingNewLine]", "\t", 
             RowBox[{"Locator", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"{", 
                 RowBox[{"x3", ",", "y3"}], "}"}], "]"}], ",", 
               RowBox[{"Graphics", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Lighter", "[", "Red", "]"}], ",", 
                   RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", ".8"}], "]"}]}], 
                  "}"}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", "10"}]}], "]"}]}], "]"}], 
             ",", "\[IndentingNewLine]", "\t", 
             RowBox[{"Locator", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"{", 
                 RowBox[{"x4", ",", "y4"}], "}"}], "]"}], ",", 
               RowBox[{"Graphics", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Lighter", "[", "Red", "]"}], ",", 
                   RowBox[{"Disk", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", ".8"}], "]"}]}], 
                  "}"}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", "10"}]}], "]"}]}], "]"}]}], 
            "}"}], ",", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"10", ",", "0"}], "}"}]}], "}"}]}], "]"}], "]"}], 
        "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Graded Refraction Through A Transparent Cubical Block\>\""}], ",", 
      RowBox[{"StaticMode", "\[Rule]", 
       RowBox[{"NewSources", "->", 
        RowBox[{"Move", "[", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Move", "[", 
             RowBox[{
              RowBox[{"SingleRay", "[", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"0", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"width", "*", "wn"}], ",", 
                  RowBox[{"4", "*", "wn"}]}], "}"}]}], "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"wn", ",", 
              RowBox[{"-", ".5"}], ",", ".5", ",", ".1"}], "}"}]}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x", ",", "5"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", "1"}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"th", ",", "0"}], "}"}]}], "]"}]}]}]}], "}"}], "]"}], ",", 
   "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"base", ",", "1.5", ",", "\"\<Index Base\>\""}], "}"}], ",", 
     "1.", ",", "3."}], "}"}], ",", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rr", ",", "1.", ",", "\"\<Gaussian Radius\>\""}], "}"}], ",", 
     "1.", ",", "5."}], "}"}], ",", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hh", ",", "2.", ",", "\"\<Gaussian Height\>\""}], "}"}], ",", 
     "0.", ",", "5."}], "}"}], ",", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"width", ",", "0", ",", "\"\<Beam Width\>\""}], "}"}], ",", "0",
      ",", "10"}], "}"}], ",", "\[IndentingNewLine]", "\t", 
   RowBox[{"SliderLabelReplacements", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<hh\>\"", "->", "\"\<Gaussian Height\>\""}], ",", 
      RowBox[{"\"\<n\>\"", "->", "\"\<Gaussian Order\>\""}], ",", 
      RowBox[{"\"\<rr\>\"", "->", "\"\<Gaussian Radius\>\""}]}], "}"}]}], ",",
    "\[IndentingNewLine]", "\t", 
   RowBox[{"Deployed", "\[Rule]", "False"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.4053417742725353`*^9, 3.405341792540154*^9}, {
   3.4053463566028013`*^9, 3.405346378279293*^9}, {3.405346697618993*^9, 
   3.405346703883503*^9}, {3.4069108687095327`*^9, 3.406910870780875*^9}, 
   3.4069114697916107`*^9, {3.406911753543605*^9, 3.406911814743287*^9}, {
   3.406911882542654*^9, 3.406911903904608*^9}, {3.4069119592524652`*^9, 
   3.406911989432384*^9}, {3.406912033225143*^9, 3.4069120569178047`*^9}, 
   3.406912090203266*^9, {3.4069122289957523`*^9, 3.406912256267599*^9}, {
   3.406913806161322*^9, 3.40691381328782*^9}, {3.406917948166432*^9, 
   3.4069180401654673`*^9}, {3.4069180726649446`*^9, 3.406918151251679*^9}, {
   3.406988019061302*^9, 3.4069881121434507`*^9}, {3.406988143937645*^9, 
   3.406988218515383*^9}, {3.406988756512539*^9, 3.406988773933805*^9}, {
   3.406989284491337*^9, 3.406989288096874*^9}, {3.406989727341879*^9, 
   3.40698975795918*^9}, {3.406989867227813*^9, 3.406989879506075*^9}, {
   3.406989912741622*^9, 3.406989934880189*^9}, {3.406990234459065*^9, 
   3.406990261736046*^9}, {3.4069904584899597`*^9, 3.406990480970245*^9}, {
   3.4069913218706617`*^9, 3.4069913494464617`*^9}, {3.4069913797985373`*^9, 
   3.4069913956190357`*^9}, {3.406991456553591*^9, 3.4069914568333073`*^9}, {
   3.40699157202575*^9, 3.4069915829980373`*^9}, {3.406991895753954*^9, 
   3.406991906893901*^9}, {3.406991949255857*^9, 3.4069919583094263`*^9}, {
   3.406992089822815*^9, 3.4069921062126637`*^9}, {3.406992321631269*^9, 
   3.406992382139974*^9}, {3.406992412163657*^9, 3.406992552107685*^9}, {
   3.4069926128316097`*^9, 3.4069927160134068`*^9}, {3.406992747207572*^9, 
   3.4069927605952168`*^9}, {3.406992810733446*^9, 3.4069928383469467`*^9}, {
   3.406992880085477*^9, 3.4069928905447702`*^9}, {3.4069935586122217`*^9, 
   3.406993577814116*^9}, {3.4069938854631577`*^9, 3.406993892629092*^9}, {
   3.406994089755745*^9, 3.406994090197856*^9}, {3.406994162338841*^9, 
   3.406994163179317*^9}, {3.406994225084341*^9, 3.406994354211874*^9}, {
   3.4069944255414257`*^9, 3.406994491382201*^9}, 3.4069957117324667`*^9, {
   3.406995763122085*^9, 3.4069958210701427`*^9}, {3.406995880219554*^9, 
   3.4069959063772697`*^9}, {3.406997352825301*^9, 3.406997422281435*^9}, {
   3.406997519515855*^9, 3.4069975219139423`*^9}, {3.406997733384486*^9, 
   3.4069978172903757`*^9}, {3.4069980534811172`*^9, 3.406998061028359*^9}, {
   3.406998143036298*^9, 3.406998152148641*^9}, {3.406998241703651*^9, 
   3.406998315008664*^9}, {3.406998379820301*^9, 3.4069983983306017`*^9}, {
   3.4069984441692467`*^9, 3.40699847195744*^9}, {3.406999267661252*^9, 
   3.406999280161031*^9}, {3.407082779196828*^9, 3.407082826669323*^9}, {
   3.407082868532461*^9, 3.4070828949742527`*^9}, {3.407083217969633*^9, 
   3.40708322128373*^9}, {3.4070872128472*^9, 3.407087255605279*^9}, {
   3.407087292308566*^9, 3.407087321075358*^9}, {3.407087398159644*^9, 
   3.407087423202196*^9}, {3.407087456492384*^9, 3.4070875872994423`*^9}, {
   3.407087629213592*^9, 3.4070876749202747`*^9}, 3.4071669536050997`*^9, {
   3.4071669866694393`*^9, 3.407167042680902*^9}, {3.4071673055764427`*^9, 
   3.4071673171962643`*^9}, {3.407167370157082*^9, 3.407167389750434*^9}, 
   3.40767602615615*^9, {3.407676079639835*^9, 3.407676484986051*^9}, {
   3.407676575604669*^9, 3.4076765986829443`*^9}, {3.407676640276762*^9, 
   3.407676642418335*^9}, {3.407676677221085*^9, 3.407676708331163*^9}, {
   3.4076767544614153`*^9, 3.407676869114455*^9}, {3.407676902975768*^9, 
   3.407676939324342*^9}, {3.407677016508134*^9, 3.4076771683317757`*^9}, {
   3.40767723708072*^9, 3.4076773518876657`*^9}, {3.4076773999767513`*^9, 
   3.407677521354157*^9}, {3.407677567396394*^9, 3.4076775768713284`*^9}, {
   3.4076777230024643`*^9, 3.4076777349885406`*^9}, {3.4076777933888903`*^9, 
   3.4076778425634327`*^9}, 3.407677914356325*^9, {3.4076780039479637`*^9, 
   3.4076780095564404`*^9}, {3.407678189701366*^9, 3.4076782406926107`*^9}, {
   3.407678281387652*^9, 3.407678329430484*^9}, {3.407678370659927*^9, 
   3.4076783790441713`*^9}, {3.407678573813312*^9, 3.407678583239996*^9}, {
   3.407678622291933*^9, 3.4076787153893003`*^9}, 3.4076787464879427`*^9, 
   3.4076787802994556`*^9, {3.407678822389583*^9, 3.407678937719714*^9}, 
   3.407678974626911*^9, {3.407679264930656*^9, 3.407679328866482*^9}, {
   3.407679367097498*^9, 3.407679399335176*^9}, 3.40767945649308*^9, {
   3.40767950978156*^9, 3.407679513913149*^9}, {3.407679628343446*^9, 
   3.4076796553759527`*^9}, {3.408281013589278*^9, 3.408281064207708*^9}, {
   3.408281157334717*^9, 3.4082811608079233`*^9}, {3.408282172989903*^9, 
   3.408282213661553*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`base$$ = 1.5, $CellContext`hh$$ = 
    2, $CellContext`lastlocposth$$ = {6., 
    1.}, $CellContext`laststartposth$$ = {5., 1.}, $CellContext`lastth$$ = 
    0., $CellContext`maxbase$$ = 3., $CellContext`maxhh$$ = 
    5., $CellContext`maxrr$$ = 5., $CellContext`maxth$$ = 
    180., $CellContext`maxwidth$$ = 10, $CellContext`maxx$$ = 
    10, $CellContext`maxx1$$ = 5, $CellContext`maxx2$$ = 
    5, $CellContext`maxx3$$ = 20, $CellContext`maxx4$$ = 
    20, $CellContext`maxy$$ = 1.5, $CellContext`maxy1$$ = 
    5, $CellContext`maxy2$$ = -0.025, $CellContext`maxy3$$ = 
    5, $CellContext`maxy4$$ = -0.025, $CellContext`minbase$$ = 
    1., $CellContext`minhh$$ = 0., $CellContext`minrr$$ = 
    1., $CellContext`minth$$ = -180., $CellContext`minwidth$$ = 
    0, $CellContext`minx$$ = 0.05, $CellContext`minx1$$ = 
    0.025, $CellContext`minx2$$ = 0.025, $CellContext`minx3$$ = 
    0.1, $CellContext`minx4$$ = 0.1, $CellContext`miny$$ = 
    0.1, $CellContext`miny1$$ = 
    0.025, $CellContext`miny2$$ = -5, $CellContext`miny3$$ = 
    0.025, $CellContext`miny4$$ = -5, $CellContext`radiusth$$ = 
    1., $CellContext`rr$$ = 
    1, $CellContext`staticpolygons116832012816165530623686$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[CompressedData["
1:eJztlkFKw0AUhoPtQrJy4c6VIIVSKFpqZVb2DB5BcO0VPI4kWeQGyXk8Qhdq
2sy84f/SSbdSDJTy8d5M/v/9SZjb1/eXt0mWZZfd76b7XWThutv2/9dt4LLY
X1fgvNX+qXF1qO+awPWBvxrtj/f77OvPyjvj75/9NdlqPTcuen3GXn+SS/SX
2M/7Ma6gp4behJ9GOc7D+2m1HudZYN5ef4LdgDUvh7xC/9RY83LIK/SHyyEv
h7wc8nLIyyEv05/kEv0l9vN+jCvoqaE34adRjvPQvBzycshrmIfwx8OAJS/j
HP1TY8mrY8nL+v3VseRlvDOWvKyeG0teUX+SS/SX2M/7Ma6gp4behJ9GOc5D
8op+jCWvI3kI83lpn6Bno7x9VM7WWL8a+NH191i/RP8C9TnqM9SH36fxfu7H
+0EP9dIP/XIenBfnyXkfeX+P3/9Mn8dz+178v1/jev7a+8XzlPkLec5RX6C+
VDZ/iefD/IX1a2XzF9ZvlM1f+nwx2s/9eD/qoV76oV/OYzAvzpPzPnXexfkj
+us5+us5+us5+vPrV8r8PkV/fv0S/QvU56jPUD9x/h30cz/eD3qol37ol/Pg
vDhPznvkfPgLBEs9fA==
      
      "]]}, $CellContext`staticpolygons126832012816165530625679$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAEXBwit54DGP0CAj64eh34YwMUnZB9O/Q4E
+ETqJ+QfQvYRCh9C7iM6fA9g14/TPQ4AJMkeXg==
      "]]}, $CellContext`th$$ = 
    0., $CellContext`x$$ = 5., $CellContext`x1$$ = 2.5, $CellContext`x2$$ = 
    2.5, $CellContext`x3$$ = 10, $CellContext`x4$$ = 
    10, $CellContext`xoffth$$ = 1., $CellContext`xth$$ = 
    6., $CellContext`y$$ = 1., $CellContext`y1$$ = 
    2.5, $CellContext`y2$$ = -2.5, $CellContext`y3$$ = 
    2.5, $CellContext`y4$$ = -2.5, $CellContext`yoffth$$ = 
    0., $CellContext`yth$$ = 1., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`th$$], 0.}, -180., 180.}, {{
       Hold[$CellContext`x$$], 5.}, 0.05, 10}, {{
       Hold[$CellContext`y$$], 1.}, 0.1, 1.5}, {{
       Hold[$CellContext`base$$], 1.5}, 1., 3.}, {{
       Hold[$CellContext`hh$$], 2}, 0., 5.}, {{
       Hold[$CellContext`rr$$], 1}, 1., 5.}, {{
       Hold[$CellContext`x1$$], 2.5}, 0.025, 5}, {{
       Hold[$CellContext`y1$$], 2.5}, 0.025, 5}, {{
       Hold[$CellContext`x2$$], 2.5}, 0.025, 5}, {{
       Hold[$CellContext`y2$$], -2.5}, -5, -0.025}, {{
       Hold[$CellContext`x3$$], 10}, 0.1, 20}, {{
       Hold[$CellContext`y3$$], 2.5}, 0.025, 5}, {{
       Hold[$CellContext`x4$$], 10}, 0.1, 20}, {{
       Hold[$CellContext`y4$$], -2.5}, -5, -0.025}, {
      Hold[
       Style[
        Grid[{{"Index Base", 
           Manipulator[
            
            Dynamic[$CellContext`\
nonexistantvariable15936832012816165535856681; $CellContext`base$$, \
($CellContext`base$$ = #)& ], {1., 3.}], 
           
           Dynamic[$CellContext`nonexistantvariable15936832012816165535856681; \
$CellContext`base$$, ($CellContext`base$$ = #)& ]}}]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style[
        Grid[{{"Gaussian Radius", 
           Manipulator[
            
            Dynamic[$CellContext`\
nonexistantvariable15936832012816165535856885; $CellContext`rr$$, \
($CellContext`rr$$ = #)& ], {1., 5.}], 
           
           Dynamic[$CellContext`nonexistantvariable15936832012816165535856885; \
$CellContext`rr$$, ($CellContext`rr$$ = #)& ]}}]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style[
        Grid[{{"Gaussian Height", 
           Manipulator[
            
            Dynamic[$CellContext`\
nonexistantvariable15936832012816165535857047; $CellContext`hh$$, \
($CellContext`hh$$ = #)& ], {0., 5.}], 
           
           Dynamic[$CellContext`nonexistantvariable15936832012816165535857047; \
$CellContext`hh$$, ($CellContext`hh$$ = #)& ]}}]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style[
        Grid[{{"Beam Width", 
           Manipulator[
            
            Dynamic[$CellContext`\
nonexistantvariable15936832012816165535857208; $CellContext`width, \
($CellContext`width = #)& ], {0, 10}], 
           
           Dynamic[$CellContext`nonexistantvariable15936832012816165535857208; \
$CellContext`width, ($CellContext`width = #)& ]}}]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`minth$$], -180.}}, {{
       Hold[$CellContext`maxth$$], 180.}}, {{
       Hold[$CellContext`minx$$], 0.05}}, {{
       Hold[$CellContext`maxx$$], 10}}, {{
       Hold[$CellContext`miny$$], 0.1}}, {{
       Hold[$CellContext`maxy$$], 1.5}}, {{
       Hold[$CellContext`minx1$$], 0.025}}, {{
       Hold[$CellContext`maxx1$$], 5}}, {{
       Hold[$CellContext`miny1$$], 0.025}}, {{
       Hold[$CellContext`maxy1$$], 5}}, {{
       Hold[$CellContext`minx2$$], 0.025}}, {{
       Hold[$CellContext`maxx2$$], 5}}, {{
       Hold[$CellContext`miny2$$], -5}}, {{
       Hold[$CellContext`maxy2$$], -0.025}}, {{
       Hold[$CellContext`minx3$$], 0.1}}, {{
       Hold[$CellContext`maxx3$$], 20}}, {{
       Hold[$CellContext`miny3$$], 0.025}}, {{
       Hold[$CellContext`maxy3$$], 5}}, {{
       Hold[$CellContext`minx4$$], 0.1}}, {{
       Hold[$CellContext`maxx4$$], 20}}, {{
       Hold[$CellContext`miny4$$], -5}}, {{
       Hold[$CellContext`maxy4$$], -0.025}}, {{
       Hold[$CellContext`minbase$$], 1.}}, {{
       Hold[$CellContext`maxbase$$], 3.}}, {{
       Hold[$CellContext`minrr$$], 1.}}, {{
       Hold[$CellContext`maxrr$$], 5.}}, {{
       Hold[$CellContext`minhh$$], 0.}}, {{
       Hold[$CellContext`maxhh$$], 5.}}, {{
       Hold[$CellContext`minwidth$$], 0}}, {{
       Hold[$CellContext`maxwidth$$], 10}}, {
      Hold[
       Button[
       "Report", 
        Optica`Optica`$OpticalSystemSettings = {
          Optica`Optica`SymbolicValues -> 
           MapThread[
            ToExpression[#] -> #2& , {{
              "Index Base", "Gaussian Height", "Gaussian Radius", "th", "x", 
               "x1", "x2", "x3", "x4", "y", "y1", "y2", "y3", 
               "y4"}, {$CellContext`base$$, $CellContext`hh$$, \
$CellContext`rr$$, $CellContext`th$$, $CellContext`x$$, $CellContext`x1$$, \
$CellContext`x2$$, $CellContext`x3$$, $CellContext`x4$$, $CellContext`y$$, \
$CellContext`y1$$, $CellContext`y2$$, $CellContext`y3$$, $CellContext`y4$$}}],
            Optica`Optica`SymbolicRanges -> {$CellContext`base$$ -> {1., 
              3.}, $CellContext`rr$$ -> {1., 5.}, $CellContext`hh$$ -> {0., 
              5.}, $CellContext`width -> {0, 10}, $CellContext`th$$ -> {-180.,
               180.}, $CellContext`x$$ -> {0.05, 10}, $CellContext`y$$ -> {
              0.1, 1.5}, $CellContext`x1$$ -> {
              0.025, 5}, $CellContext`y1$$ -> {
              0.025, 5}, $CellContext`x2$$ -> {
              0.025, 5}, $CellContext`y2$$ -> {-5, -0.025}, $CellContext`x3$$ -> \
{0.1, 20}, $CellContext`y3$$ -> {0.025, 5}, $CellContext`x4$$ -> {
              0.1, 20}, $CellContext`y4$$ -> {-5, -0.025}}}; 
        Optica`Optica`$OpticalSystemScript = 
         "{Move[SingleRay[], {{x, 5.}, {y, 1.}}, {th, 0.}, SymbolicValues -> \
{th -> 0, x -> 5, y -> 1}], Move[GRINLens[{10, 10}, 15, \
{SymbolicRefractiveModels -> {DefaultGRINIndex -> base + hh/E^(((LocRSx - \
x1)^2 + (LocRSy - y1)^2)/rr^2) + hh/E^(((LocRSx - x2)^2 + (LocRSy - \
y2)^2)/rr^2) + hh/E^(((LocRSx - x3)^2 + (LocRSy - y3)^2)/rr^2) + \
hh/E^(((LocRSx - x4)^2 + (LocRSy - y4)^2)/rr^2)}, SymbolicValues -> {base -> \
1.5, hh -> 2, rr -> 1, x1 -> 2.5, y1 -> 2.5, x2 -> 2.5, y2 -> -2.5, x3 -> 10, \
y3 -> 2.5, x4 -> 10, y4 -> -2.5}}], 10.], Boundary[{0, -15, -15}, {40, 15, \
15}]}"; Print[
          InputForm[
           StringJoin["SymbolicValues -> ", 
            ToString[
             MapThread[StringJoin[#, "->", 
               ToString[#2, InputForm]]& , {{
               "Index Base", "Gaussian Height", "Gaussian Radius", "th", "x", 
                "x1", "x2", "x3", "x4", "y", "y1", "y2", "y3", 
                "y4"}, {$CellContext`base$$, $CellContext`hh$$, \
$CellContext`rr$$, $CellContext`th$$, $CellContext`x$$, $CellContext`x1$$, \
$CellContext`x2$$, $CellContext`x3$$, $CellContext`x4$$, $CellContext`y$$, \
$CellContext`y1$$, $CellContext`y2$$, $CellContext`y3$$, \
$CellContext`y4$$}}]]]]], ImageSize -> Automatic]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xth$$], 6.}}, {{
       Hold[$CellContext`yth$$], 1.}}, {{
       Hold[$CellContext`radiusth$$], 1.}}, {{
       Hold[$CellContext`xoffth$$], 1.}}, {{
       Hold[$CellContext`yoffth$$], 0.}}, {{
       Hold[$CellContext`laststartposth$$], {5., 1.}}}, {{
       Hold[$CellContext`lastlocposth$$], {6., 1.}}}, {{
       Hold[$CellContext`lastth$$], 0}}, {{
       Hold[$CellContext`staticpolygons116832012816165530623686$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[CompressedData["
1:eJztlkFKw0AUhoPtQrJy4c6VIIVSKFpqZVb2DB5BcO0VPI4kWeQGyXk8Qhdq
2sy84f/SSbdSDJTy8d5M/v/9SZjb1/eXt0mWZZfd76b7XWThutv2/9dt4LLY
X1fgvNX+qXF1qO+awPWBvxrtj/f77OvPyjvj75/9NdlqPTcuen3GXn+SS/SX
2M/7Ma6gp4behJ9GOc7D+2m1HudZYN5ef4LdgDUvh7xC/9RY83LIK/SHyyEv
h7wc8nLIyyEv05/kEv0l9vN+jCvoqaE34adRjvPQvBzycshrmIfwx8OAJS/j
HP1TY8mrY8nL+v3VseRlvDOWvKyeG0teUX+SS/SX2M/7Ma6gp4behJ9GOc5D
8op+jCWvI3kI83lpn6Bno7x9VM7WWL8a+NH191i/RP8C9TnqM9SH36fxfu7H
+0EP9dIP/XIenBfnyXkfeX+P3/9Mn8dz+178v1/jev7a+8XzlPkLec5RX6C+
VDZ/iefD/IX1a2XzF9ZvlM1f+nwx2s/9eD/qoV76oV/OYzAvzpPzPnXexfkj
+us5+us5+us5+vPrV8r8PkV/fv0S/QvU56jPUD9x/h30cz/eD3qol37ol/Pg
vDhPznvkfPgLBEs9fA==
         "]]}}}, {{
       Hold[$CellContext`staticpolygons126832012816165530625679$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAEXBwit54DGP0CAj64eh34YwMUnZB9O/Q4E
+ETqJ+QfQvYRCh9C7iM6fA9g14/TPQ4AJMkeXg==
         "]]}}}}, Typeset`size$$ = {
    800., {315.34375, 320.65625}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`th$77447$$ = 
    0, $CellContext`x$77448$$ = 0, $CellContext`y$77449$$ = 
    0, $CellContext`base$77450$$ = 0, $CellContext`hh$77451$$ = 
    0, $CellContext`rr$77452$$ = 0, $CellContext`x1$77453$$ = 
    0, $CellContext`y1$77454$$ = 0, $CellContext`x2$77455$$ = 
    0, $CellContext`y2$77456$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`base$$ = 1.5, $CellContext`hh$$ = 
        2, $CellContext`lastlocposth$$ = {6., 
         1.}, $CellContext`laststartposth$$ = {5., 1.}, $CellContext`lastth$$ = 
        0, $CellContext`maxbase$$ = 3., $CellContext`maxhh$$ = 
        5., $CellContext`maxrr$$ = 5., $CellContext`maxth$$ = 
        180., $CellContext`maxwidth$$ = 10, $CellContext`maxx$$ = 
        10, $CellContext`maxx1$$ = 5, $CellContext`maxx2$$ = 
        5, $CellContext`maxx3$$ = 20, $CellContext`maxx4$$ = 
        20, $CellContext`maxy$$ = 1.5, $CellContext`maxy1$$ = 
        5, $CellContext`maxy2$$ = -0.025, $CellContext`maxy3$$ = 
        5, $CellContext`maxy4$$ = -0.025, $CellContext`minbase$$ = 
        1., $CellContext`minhh$$ = 0., $CellContext`minrr$$ = 
        1., $CellContext`minth$$ = -180., $CellContext`minwidth$$ = 
        0, $CellContext`minx$$ = 0.05, $CellContext`minx1$$ = 
        0.025, $CellContext`minx2$$ = 0.025, $CellContext`minx3$$ = 
        0.1, $CellContext`minx4$$ = 0.1, $CellContext`miny$$ = 
        0.1, $CellContext`miny1$$ = 
        0.025, $CellContext`miny2$$ = -5, $CellContext`miny3$$ = 
        0.025, $CellContext`miny4$$ = -5, $CellContext`radiusth$$ = 
        1., $CellContext`rr$$ = 
        1, $CellContext`staticpolygons116832012816165530623686$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[CompressedData["
1:eJztlkFKw0AUhoPtQrJy4c6VIIVSKFpqZVb2DB5BcO0VPI4kWeQGyXk8Qhdq
2sy84f/SSbdSDJTy8d5M/v/9SZjb1/eXt0mWZZfd76b7XWThutv2/9dt4LLY
X1fgvNX+qXF1qO+awPWBvxrtj/f77OvPyjvj75/9NdlqPTcuen3GXn+SS/SX
2M/7Ma6gp4behJ9GOc7D+2m1HudZYN5ef4LdgDUvh7xC/9RY83LIK/SHyyEv
h7wc8nLIyyEv05/kEv0l9vN+jCvoqaE34adRjvPQvBzycshrmIfwx8OAJS/j
HP1TY8mrY8nL+v3VseRlvDOWvKyeG0teUX+SS/SX2M/7Ma6gp4behJ9GOc5D
8op+jCWvI3kI83lpn6Bno7x9VM7WWL8a+NH191i/RP8C9TnqM9SH36fxfu7H
+0EP9dIP/XIenBfnyXkfeX+P3/9Mn8dz+178v1/jev7a+8XzlPkLec5RX6C+
VDZ/iefD/IX1a2XzF9ZvlM1f+nwx2s/9eD/qoV76oV/OYzAvzpPzPnXexfkj
+us5+us5+us5+vPrV8r8PkV/fv0S/QvU56jPUD9x/h30cz/eD3qol37ol/Pg
vDhPznvkfPgLBEs9fA==
           
           "]]}, $CellContext`staticpolygons126832012816165530625679$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAEXBwit54DGP0CAj64eh34YwMUnZB9O/Q4E
+ETqJ+QfQvYRCh9C7iM6fA9g14/TPQ4AJMkeXg==
           "]]}, $CellContext`th$$ = 
        0., $CellContext`x$$ = 5., $CellContext`x1$$ = 2.5, $CellContext`x2$$ = 
        2.5, $CellContext`x3$$ = 10, $CellContext`x4$$ = 
        10, $CellContext`xoffth$$ = 1., $CellContext`xth$$ = 
        6., $CellContext`y$$ = 1., $CellContext`y1$$ = 
        2.5, $CellContext`y2$$ = -2.5, $CellContext`y3$$ = 
        2.5, $CellContext`y4$$ = -2.5, $CellContext`yoffth$$ = 
        0., $CellContext`yth$$ = 1.}, "ControllerVariables" :> {
        Hold[$CellContext`th$$, $CellContext`th$77447$$, 0], 
        Hold[$CellContext`x$$, $CellContext`x$77448$$, 0], 
        Hold[$CellContext`y$$, $CellContext`y$77449$$, 0], 
        Hold[$CellContext`base$$, $CellContext`base$77450$$, 0], 
        Hold[$CellContext`hh$$, $CellContext`hh$77451$$, 0], 
        Hold[$CellContext`rr$$, $CellContext`rr$77452$$, 0], 
        Hold[$CellContext`x1$$, $CellContext`x1$77453$$, 0], 
        Hold[$CellContext`y1$$, $CellContext`y1$77454$$, 0], 
        Hold[$CellContext`x2$$, $CellContext`x2$77455$$, 0], 
        Hold[$CellContext`y2$$, $CellContext`y2$77456$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Show[{
           Graphics[
            Dynamic[
             GeometricTransformation[
              Part[
               
               ContourPlot[$CellContext`base$$ + $CellContext`hh$$ 
                 Exp[-((($CellContext`rsx - $CellContext`x1$$)^2 + \
($CellContext`rsy - $CellContext`y1$$)^2)/$CellContext`rr$$^2)] + \
$CellContext`hh$$ 
                 Exp[-((($CellContext`rsx - $CellContext`x2$$)^2 + \
($CellContext`rsy - $CellContext`y2$$)^2)/$CellContext`rr$$^2)] + \
$CellContext`hh$$ 
                 Exp[-((($CellContext`rsx - $CellContext`x3$$)^2 + \
($CellContext`rsy - $CellContext`y3$$)^2)/$CellContext`rr$$^2)] + \
$CellContext`hh$$ 
                 Exp[-((($CellContext`rsx - $CellContext`x4$$)^2 + \
($CellContext`rsy - $CellContext`y4$$)^2)/$CellContext`rr$$^2)], \
{$CellContext`rsx, 0, 15}, {$CellContext`rsy, -5, 5}, PlotRange -> All], 
               1], {{{1, 0}, {0, 1}}, {10, 0}}]]], 
           Graphics[{{
              Opacity[
              0.8], $CellContext`staticpolygons116832012816165530623686$$, \
$CellContext`staticpolygons126832012816165530625679$$, 
              Opacity[1], 
              RGBColor[
              0.038747429704798886`, 0.9161617552424038, 
               0.039847212269181365`], 
              AbsoluteThickness[Medium], 
              Line[
               Dynamic[
                Refresh[
                 Map[{
                   Part[#, {1, 2}], 
                   Part[#, {4, 5}]}& , 
                  Select[
                   $CellContext`raytracefunction16832012816165530629277[$\
CellContext`th$$, $CellContext`x$$, $CellContext`y$$, $CellContext`base$$, \
$CellContext`hh$$, $CellContext`rr$$, $CellContext`x1$$, $CellContext`y1$$, \
$CellContext`x2$$, $CellContext`y2$$, $CellContext`x3$$, $CellContext`y3$$, \
$CellContext`x4$$, $CellContext`y4$$], And[
                   Length[#] == 6, Part[#, 1] > -9.87654321*^8]& ]], 
                 TrackedSymbols :> {$CellContext`th$$, $CellContext`x$$, \
$CellContext`y$$, $CellContext`base$$, $CellContext`hh$$, $CellContext`rr$$, \
$CellContext`x1$$, $CellContext`y1$$, $CellContext`x2$$, $CellContext`y2$$, \
$CellContext`x3$$, $CellContext`y3$$, $CellContext`x4$$, $CellContext`y4$$}], 
                SynchronousUpdating -> False]], 
              Arrowheads[Large], 
              Thickness[Large], 
              Dashing[{Small, Small}], 
              RGBColor[1, 1, 0], 
              Arrow[
               Dynamic[If[
                  
                  Or[$CellContext`laststartposth$$ != {$CellContext`x$$, \
$CellContext`y$$}, $CellContext`lastth$$ =!= $CellContext`th$$], \
$CellContext`laststartposth$$ = {$CellContext`x$$, $CellContext`y$$}; \
$CellContext`lastth$$ = $CellContext`th$$; {$CellContext`xth$$, \
$CellContext`yth$$} = $CellContext`laststartposth$$ + $CellContext`radiusth$$ {
                    Cos[$CellContext`th$$ Degree], 
                    
                    Sin[$CellContext`th$$ 
                    Degree]}]; {$CellContext`laststartposth$$, \
{$CellContext`xth$$, $CellContext`yth$$}}, ({$CellContext`laststartposth$$, \
{$CellContext`xth$$, $CellContext`yth$$}} = #)& ]], 
              Tooltip[
               Locator[
                Dynamic[BesselJ[1., 3.]; (If[
                    
                    Or[{$CellContext`xth$$, $CellContext`yth$$} != \
$CellContext`lastlocposth$$, $CellContext`lastth$$ != $CellContext`th$$], \
$CellContext`lastlocposth$$ = {$CellContext`xth$$, $CellContext`yth$$}; \
$CellContext`lastth$$ = $CellContext`th$$; {$CellContext`xth$$, \
$CellContext`yth$$} = $CellContext`laststartposth$$ + $CellContext`radiusth$$ {
                    Cos[$CellContext`th$$ Degree], 
                    
                    Sin[$CellContext`th$$ 
                    Degree]}]; {$CellContext`xth$$, $CellContext`yth$$}), \
({$CellContext`xth$$, $CellContext`yth$$} = #; $CellContext`xoffth$$ = \
$CellContext`xth$$ - $CellContext`x$$; $CellContext`yoffth$$ = \
$CellContext`yth$$ - $CellContext`y$$; $CellContext`radiusth$$ = 
                  Sqrt[$CellContext`xoffth$$^2 + $CellContext`yoffth$$^2]; \
$CellContext`th$$ = 
                  Chop[ArcTan[$CellContext`xoffth$$, $CellContext`yoffth$$]/
                    Degree]; {$CellContext`xth$$, $CellContext`yth$$})& ], 
                Graphics[{
                  RGBColor[1/3, 1/3, 1], 
                  Disk[{0, 0}, 0.5]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["th = ", 
                 ToString[$CellContext`th$$]]]], 
              Tooltip[
               Locator[
                Dynamic[
                BesselJ[
                  1., 3.]; {$CellContext`x$$, $CellContext`y$$}, \
({$CellContext`x$$, $CellContext`y$$} = Chop[#])& ], 
                Graphics[{
                  RGBColor[1, 1/3, 1/3], 
                  Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
               Dynamic[
                StringJoin["{x, y} = ", 
                 ToString[
                  Chop[{$CellContext`x$$, $CellContext`y$$}]]]]]}}], 
           Graphics[
            GeometricTransformation[{
              Locator[
               Dynamic[{$CellContext`x1$$, $CellContext`y1$$}], 
               Graphics[{
                 Lighter[Red], 
                 Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
              Locator[
               Dynamic[{$CellContext`x2$$, $CellContext`y2$$}], 
               Graphics[{
                 Lighter[Red], 
                 Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
              Locator[
               Dynamic[{$CellContext`x3$$, $CellContext`y3$$}], 
               Graphics[{
                 Lighter[Red], 
                 Disk[{0, 0}, 0.8]}, ImageSize -> 10]], 
              Locator[
               Dynamic[{$CellContext`x4$$, $CellContext`y4$$}], 
               Graphics[{
                 Lighter[Red], 
                 Disk[{0, 0}, 0.8]}, ImageSize -> 10]]}, {{{1, 0}, {0, 1}}, {
              10, 0}}]]}, {
          PlotLabel -> 
           "Graded Refraction Through A Transparent Cubical Block", ImageSize -> 
           800, AspectRatio -> Automatic}], 
         Tooltip[
          Row[{
            Style["", Italic, 10], 
            Hyperlink[
             Style["<< Crafted with Optica\[Trademark] >>", Italic, 10], 
             "http://www.opticasoftware.com"], 
            Style["", Italic, 10]}], 
          "Click here to visit www.opticasoftware.com"]}, Center], 
      "Specifications" :> {{{$CellContext`th$$, 0.}, -180., 180., ControlType -> 
         None}, {{$CellContext`x$$, 5.}, 0.05, 10, ControlType -> 
         None}, {{$CellContext`y$$, 1.}, 0.1, 1.5, ControlType -> 
         None}, {{$CellContext`base$$, 1.5}, 1., 3., ControlType -> 
         None}, {{$CellContext`hh$$, 2}, 0., 5., ControlType -> 
         None}, {{$CellContext`rr$$, 1}, 1., 5., ControlType -> 
         None}, {{$CellContext`x1$$, 2.5}, 0.025, 5, ControlType -> 
         None}, {{$CellContext`y1$$, 2.5}, 0.025, 5, ControlType -> 
         None}, {{$CellContext`x2$$, 2.5}, 0.025, 5, ControlType -> 
         None}, {{$CellContext`y2$$, -2.5}, -5, -0.025, ControlType -> 
         None}, {{$CellContext`x3$$, 10}, 0.1, 20, ControlType -> 
         None}, {{$CellContext`y3$$, 2.5}, 0.025, 5, ControlType -> 
         None}, {{$CellContext`x4$$, 10}, 0.1, 20, ControlType -> 
         None}, {{$CellContext`y4$$, -2.5}, -5, -0.025, ControlType -> None}, 
        
        Style[
         Grid[{{"Index Base", 
            Manipulator[
             
             Dynamic[$CellContext`\
nonexistantvariable15936832012816165535856681; $CellContext`base$$, \
($CellContext`base$$ = #)& ], {1., 3.}], 
            
            Dynamic[$CellContext`\
nonexistantvariable15936832012816165535856681; $CellContext`base$$, \
($CellContext`base$$ = #)& ]}}]], 
        Style[
         Grid[{{"Gaussian Radius", 
            Manipulator[
             
             Dynamic[$CellContext`\
nonexistantvariable15936832012816165535856885; $CellContext`rr$$, \
($CellContext`rr$$ = #)& ], {1., 5.}], 
            
            Dynamic[$CellContext`\
nonexistantvariable15936832012816165535856885; $CellContext`rr$$, \
($CellContext`rr$$ = #)& ]}}]], 
        Style[
         Grid[{{"Gaussian Height", 
            Manipulator[
             
             Dynamic[$CellContext`\
nonexistantvariable15936832012816165535857047; $CellContext`hh$$, \
($CellContext`hh$$ = #)& ], {0., 5.}], 
            
            Dynamic[$CellContext`\
nonexistantvariable15936832012816165535857047; $CellContext`hh$$, \
($CellContext`hh$$ = #)& ]}}]], 
        Style[
         Grid[{{"Beam Width", 
            Manipulator[
             
             Dynamic[$CellContext`\
nonexistantvariable15936832012816165535857208; $CellContext`width, \
($CellContext`width = #)& ], {0, 10}], 
            
            Dynamic[$CellContext`\
nonexistantvariable15936832012816165535857208; $CellContext`width, \
($CellContext`width = #)& ]}}]], {{$CellContext`minth$$, -180.}, ControlType -> 
         None}, {{$CellContext`maxth$$, 180.}, ControlType -> 
         None}, {{$CellContext`minx$$, 0.05}, ControlType -> 
         None}, {{$CellContext`maxx$$, 10}, ControlType -> 
         None}, {{$CellContext`miny$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxy$$, 1.5}, ControlType -> 
         None}, {{$CellContext`minx1$$, 0.025}, ControlType -> 
         None}, {{$CellContext`maxx1$$, 5}, ControlType -> 
         None}, {{$CellContext`miny1$$, 0.025}, ControlType -> 
         None}, {{$CellContext`maxy1$$, 5}, ControlType -> 
         None}, {{$CellContext`minx2$$, 0.025}, ControlType -> 
         None}, {{$CellContext`maxx2$$, 5}, ControlType -> 
         None}, {{$CellContext`miny2$$, -5}, ControlType -> 
         None}, {{$CellContext`maxy2$$, -0.025}, ControlType -> 
         None}, {{$CellContext`minx3$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxx3$$, 20}, ControlType -> 
         None}, {{$CellContext`miny3$$, 0.025}, ControlType -> 
         None}, {{$CellContext`maxy3$$, 5}, ControlType -> 
         None}, {{$CellContext`minx4$$, 0.1}, ControlType -> 
         None}, {{$CellContext`maxx4$$, 20}, ControlType -> 
         None}, {{$CellContext`miny4$$, -5}, ControlType -> 
         None}, {{$CellContext`maxy4$$, -0.025}, ControlType -> 
         None}, {{$CellContext`minbase$$, 1.}, ControlType -> 
         None}, {{$CellContext`maxbase$$, 3.}, ControlType -> 
         None}, {{$CellContext`minrr$$, 1.}, ControlType -> 
         None}, {{$CellContext`maxrr$$, 5.}, ControlType -> 
         None}, {{$CellContext`minhh$$, 0.}, ControlType -> 
         None}, {{$CellContext`maxhh$$, 5.}, ControlType -> 
         None}, {{$CellContext`minwidth$$, 0}, ControlType -> 
         None}, {{$CellContext`maxwidth$$, 10}, ControlType -> None}, 
        Button[
        "Report", 
         Optica`Optica`$OpticalSystemSettings = {
           Optica`Optica`SymbolicValues -> 
            MapThread[
             ToExpression[#] -> #2& , {{
               "Index Base", "Gaussian Height", "Gaussian Radius", "th", "x", 
                "x1", "x2", "x3", "x4", "y", "y1", "y2", "y3", 
                "y4"}, {$CellContext`base$$, $CellContext`hh$$, \
$CellContext`rr$$, $CellContext`th$$, $CellContext`x$$, $CellContext`x1$$, \
$CellContext`x2$$, $CellContext`x3$$, $CellContext`x4$$, $CellContext`y$$, \
$CellContext`y1$$, $CellContext`y2$$, $CellContext`y3$$, $CellContext`y4$$}}],
             Optica`Optica`SymbolicRanges -> {$CellContext`base$$ -> {1., 
               3.}, $CellContext`rr$$ -> {1., 5.}, $CellContext`hh$$ -> {0., 
               5.}, $CellContext`width -> {0, 
               10}, $CellContext`th$$ -> {-180., 180.}, $CellContext`x$$ -> {
               0.05, 10}, $CellContext`y$$ -> {0.1, 
               1.5}, $CellContext`x1$$ -> {0.025, 5}, $CellContext`y1$$ -> {
               0.025, 5}, $CellContext`x2$$ -> {
               0.025, 5}, $CellContext`y2$$ -> {-5, -0.025}, \
$CellContext`x3$$ -> {0.1, 20}, $CellContext`y3$$ -> {
               0.025, 5}, $CellContext`x4$$ -> {
               0.1, 20}, $CellContext`y4$$ -> {-5, -0.025}}}; 
         Optica`Optica`$OpticalSystemScript = 
          "{Move[SingleRay[], {{x, 5.}, {y, 1.}}, {th, 0.}, SymbolicValues -> \
{th -> 0, x -> 5, y -> 1}], Move[GRINLens[{10, 10}, 15, \
{SymbolicRefractiveModels -> {DefaultGRINIndex -> base + hh/E^(((LocRSx - \
x1)^2 + (LocRSy - y1)^2)/rr^2) + hh/E^(((LocRSx - x2)^2 + (LocRSy - \
y2)^2)/rr^2) + hh/E^(((LocRSx - x3)^2 + (LocRSy - y3)^2)/rr^2) + \
hh/E^(((LocRSx - x4)^2 + (LocRSy - y4)^2)/rr^2)}, SymbolicValues -> {base -> \
1.5, hh -> 2, rr -> 1, x1 -> 2.5, y1 -> 2.5, x2 -> 2.5, y2 -> -2.5, x3 -> 10, \
y3 -> 2.5, x4 -> 10, y4 -> -2.5}}], 10.], Boundary[{0, -15, -15}, {40, 15, \
15}]}"; Print[
           InputForm[
            StringJoin["SymbolicValues -> ", 
             ToString[
              MapThread[StringJoin[#, "->", 
                ToString[#2, InputForm]]& , {{
                "Index Base", "Gaussian Height", "Gaussian Radius", "th", "x",
                  "x1", "x2", "x3", "x4", "y", "y1", "y2", "y3", 
                 "y4"}, {$CellContext`base$$, $CellContext`hh$$, \
$CellContext`rr$$, $CellContext`th$$, $CellContext`x$$, $CellContext`x1$$, \
$CellContext`x2$$, $CellContext`x3$$, $CellContext`x4$$, $CellContext`y$$, \
$CellContext`y1$$, $CellContext`y2$$, $CellContext`y3$$, \
$CellContext`y4$$}}]]]]], ImageSize -> Automatic], {{$CellContext`xth$$, 6.}, 
         ControlType -> None}, {{$CellContext`yth$$, 1.}, ControlType -> 
         None}, {{$CellContext`radiusth$$, 1.}, ControlType -> 
         None}, {{$CellContext`xoffth$$, 1.}, ControlType -> 
         None}, {{$CellContext`yoffth$$, 0.}, ControlType -> 
         None}, {{$CellContext`laststartposth$$, {5., 1.}}, ControlType -> 
         None}, {{$CellContext`lastlocposth$$, {6., 1.}}, ControlType -> 
         None}, {{$CellContext`lastth$$, 0}, ControlType -> 
         None}, {{$CellContext`staticpolygons116832012816165530623686$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[CompressedData["
1:eJztlkFKw0AUhoPtQrJy4c6VIIVSKFpqZVb2DB5BcO0VPI4kWeQGyXk8Qhdq
2sy84f/SSbdSDJTy8d5M/v/9SZjb1/eXt0mWZZfd76b7XWThutv2/9dt4LLY
X1fgvNX+qXF1qO+awPWBvxrtj/f77OvPyjvj75/9NdlqPTcuen3GXn+SS/SX
2M/7Ma6gp4behJ9GOc7D+2m1HudZYN5ef4LdgDUvh7xC/9RY83LIK/SHyyEv
h7wc8nLIyyEv05/kEv0l9vN+jCvoqaE34adRjvPQvBzycshrmIfwx8OAJS/j
HP1TY8mrY8nL+v3VseRlvDOWvKyeG0teUX+SS/SX2M/7Ma6gp4behJ9GOc5D
8op+jCWvI3kI83lpn6Bno7x9VM7WWL8a+NH191i/RP8C9TnqM9SH36fxfu7H
+0EP9dIP/XIenBfnyXkfeX+P3/9Mn8dz+178v1/jev7a+8XzlPkLec5RX6C+
VDZ/iefD/IX1a2XzF9ZvlM1f+nwx2s/9eD/qoV76oV/OYzAvzpPzPnXexfkj
+us5+us5+us5+vPrV8r8PkV/fv0S/QvU56jPUD9x/h30cz/eD3qol37ol/Pg
vDhPznvkfPgLBEs9fA==
            "]]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons126832012816165530625679$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[CompressedData["
1:eJxTTMoPSmVmYGBgA2JWIGZigAEXBwit54DGP0CAj64eh34YwMUnZB9O/Q4E
+ETqJ+QfQvYRCh9C7iM6fA9g14/TPQ4AJMkeXg==
            "]]}}, ControlType -> 
         None}}, "Options" :> {
       TrackedSymbols -> Manipulate, Deployed -> False, 
        AutorunSequencing -> {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14}, 
        SynchronousInitialization -> False, SynchronousUpdating -> False, 
        BaseStyle -> {DynamicEvaluationTimeout -> 100}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{843., {418., 424.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`raytracefunction16832012816165526546518 = 
       With[{$CellContext`compileoptionsetting$ = 
          If[$VersionNumber >= 8, {
            CompilationOptions -> {
              "ExpressionOptimization" -> False, "InlineCompiledFunctions" -> 
               False}, CompilationTarget -> "MVM", 
             RuntimeAttributes -> {Listable}, Parallelization -> False, 
             RuntimeOptions -> {}}, CompileOptimizations -> False]}, 
         Compile[{{$CellContext`th$$, 
            Blank[Real]}, {$CellContext`width, 
            Blank[Real]}, {$CellContext`x$$, 
            Blank[Real]}, {$CellContext`y$$, 
            Blank[Real]}, {$CellContext`base$$, 
            Blank[Real]}, {$CellContext`hh$$, 
            Blank[Real]}, {$CellContext`rr$$, 
            Blank[Real]}, {$CellContext`x1$$, 
            Blank[Real]}, {$CellContext`y1$$, 
            Blank[Real]}, {$CellContext`x2$$, 
            Blank[Real]}, {$CellContext`y2$$, 
            Blank[Real]}, {$CellContext`x3$$, 
            Blank[Real]}, {$CellContext`y3$$, 
            Blank[Real]}, {$CellContext`x4$$, 
            Blank[Real]}, {$CellContext`y4$$, 
            Blank[Real]}}, 
          
          Module[{$CellContext`activeregion$, $CellContext`Aelement$, \
$CellContext`allcreatedamplitudes$, $CellContext`allcreatedrays$, \
$CellContext`allowzeroraylength$, $CellContext`alternateindex$, \
$CellContext`amplitude$, $CellContext`axismagnitude$, \
$CellContext`axismatrix$, $CellContext`Belement$, $CellContext`Celement$, \
$CellContext`clonedata$, $CellContext`clonegenerationnumber$, \
$CellContext`cloneinput$, $CellContext`clonenumber$, \
$CellContext`cloneposition$, $CellContext`clonereportedrays$, \
$CellContext`clonerotation$, $CellContext`clonescale$, \
$CellContext`clonescalevector$, $CellContext`clonesorthistogram$, \
$CellContext`clonetraceinput$, $CellContext`clonetraceoutput$, \
$CellContext`closestdistances$, $CellContext`closestposition$, \
$CellContext`closestpositions$, $CellContext`closestraylength$, \
$CellContext`completedray$, $CellContext`componentnumber$, \
$CellContext`cosangle$, $CellContext`crossmatrix$, \
$CellContext`deflecteddummyrayspresent$, $CellContext`deflectedlocalrays$, \
$CellContext`deflectedrays$, $CellContext`deflectedrayspresent$, \
$CellContext`dummymatrix$, $CellContext`dummymatrixlist$, \
$CellContext`dummyvector$, $CellContext`frontid$, \
$CellContext`generationlimit$, $CellContext`generationnumber$, \
$CellContext`holeintersections$, $CellContext`holeQ$, \
$CellContext`holeQlist$, $CellContext`hor$, $CellContext`index$, \
$CellContext`index1$, $CellContext`index2$, $CellContext`indexpoints$, \
$CellContext`inrays$, $CellContext`integratedrefractiveindex$, \
$CellContext`intensity$, $CellContext`intensityscale$, \
$CellContext`intersectionnumber$, $CellContext`intersections$, \
$CellContext`intersectionslist$, $CellContext`intersectionspresent$, \
$CellContext`listofpositions$, $CellContext`listoftilts$, \
$CellContext`localdummyoutrayspresent$, $CellContext`localindex$, \
$CellContext`localopticallength$, $CellContext`localoutrays$, \
$CellContext`localoutrayspresent$, $CellContext`localpos$, \
$CellContext`localraylength$, $CellContext`localrotation$, \
$CellContext`localtilt$, $CellContext`localtranslation$, \
$CellContext`magnitude$, $CellContext`maxclonegenerationnumber$, \
$CellContext`maximumposition$, $CellContext`minimumraylength$, \
$CellContext`minresonateraylength$, $CellContext`n12$, \
$CellContext`newcomponentnumber$, $CellContext`newdeflectedrays$, \
$CellContext`newdistance$, $CellContext`newpos$, $CellContext`newsurfaceid$, \
$CellContext`newsurfacenumber$, $CellContext`newtilt$, $CellContext`Nfinal$, \
$CellContext`Ninitial$, $CellContext`ninteger$, \
$CellContext`nonintersectingrays$, $CellContext`normalizedpolarization$, \
$CellContext`oldgenerationnumber$, $CellContext`opticallength$, \
$CellContext`opticallengths$, $CellContext`originalopticallength$, \
$CellContext`originalray$, $CellContext`originalraytilt$, \
$CellContext`originalrotation$, $CellContext`originalsurfnorm$, \
$CellContext`outrays$, $CellContext`parallelamplitude$, $CellContext`PAxis$, \
$CellContext`perpendicularamplitude$, $CellContext`phaseshift$, \
$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$, \
$CellContext`previoustilt$, $CellContext`propagate$, \
$CellContext`propagatedrays$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, $CellContext`ray1$, \
$CellContext`ray2$, $CellContext`ray3$, $CellContext`LocRayL$, \
$CellContext`rayslot$, $CellContext`raysreported$, $CellContext`raytiltx$, \
$CellContext`raytiltz$, $CellContext`reporteddummyrayspresent$, \
$CellContext`reportedlocalrays$, $CellContext`reportedrays$, \
$CellContext`reportedrayspresent$, $CellContext`resonateintersections$, \
$CellContext`resonatenumber$, $CellContext`resonateraylength$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`rotationaxis$, $CellContext`rsx$, $CellContext`LocRSx$, \
$CellContext`rSxOffset$, $CellContext`rsy$, $CellContext`LocRSy$, \
$CellContext`rsz$, $CellContext`LocRSz$, 
            Optica`Optica`RTx$, $CellContext`LocRTy$, $CellContext`LocRTz$, \
$CellContext`rx$, $CellContext`rxhlp$, $CellContext`ry$, $CellContext`ryhlp$, \
$CellContext`rz$, $CellContext`rzhlp$, $CellContext`LocSCx$, \
$CellContext`LocSCy$, $CellContext`Sfinal$, $CellContext`sid$, \
$CellContext`sinangle$, $CellContext`Sinitial$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`surfaceid$, $CellContext`surfacenumber$, \
$CellContext`surfacerotationmatrix$, $CellContext`surfacetranslationvector$, \
$CellContext`surfnorm$, $CellContext`surfrot$, $CellContext`surftrans$, \
$CellContext`symr1$, $CellContext`symr2$, $CellContext`symr3$, \
$CellContext`symr4$, $CellContext`symr5$, $CellContext`symr6$, \
$CellContext`symr7$, $CellContext`symr8$, $CellContext`symr9$, \
$CellContext`tempclonedata$, $CellContext`terminatedeflection$, \
$CellContext`thresholdintensity$, $CellContext`tiltmagnitude$, \
$CellContext`transmatrix$, $CellContext`LocTV1$, $CellContext`LocTV10$, \
$CellContext`LocTV2$, $CellContext`LocTV3$, $CellContext`LocTV4$, \
$CellContext`LocTV5$, $CellContext`LocTV6$, $CellContext`LocTV7$, \
$CellContext`LocTV8$, $CellContext`LocTV9$, $CellContext`u$, \
$CellContext`unfilteredintersections$, $CellContext`unit$, $CellContext`uu$, \
$CellContext`ver$, $CellContext`wavelength$, $CellContext`XAxis$, \
$CellContext`xunit$, $CellContext`YAxis$, $CellContext`yunit$, \
$CellContext`ZAxis$, $CellContext`zunit$}, $CellContext`activeregion$ = 
            1.; $CellContext`Aelement$ = {0., 0., 
             0.}; $CellContext`allcreatedamplitudes$ = {{
              0. + 0. I, 0. + 0. I, 0. + 
               0. I}}; $CellContext`allcreatedrays$ = {{
             1.}}; $CellContext`allowzeroraylength$ = 
            True; $CellContext`alternateindex$ = 
            1.; $CellContext`amplitude$ = {
             1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`axismagnitude$ = 
            1.; $CellContext`axismatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
             0., 1.}}; $CellContext`Belement$ = {0., 0., 
             0.}; $CellContext`Celement$ = {0., 0., 
             0.}; $CellContext`clonedata$ = {{
             1.}}; $CellContext`clonegenerationnumber$ = 
            1.; $CellContext`cloneinput$ = {1.}; $CellContext`clonenumber$ = 
            1; $CellContext`cloneposition$ = {0., 0., 
             0.}; $CellContext`clonereportedrays$ = {{
             1.}}; $CellContext`clonerotation$ = {{
             1.}}; $CellContext`clonescale$ = 
            1.; $CellContext`clonescalevector$ = {
             1.}; $CellContext`clonesorthistogram$ = {
             1}; $CellContext`clonetraceinput$ = {{
             1.}}; $CellContext`clonetraceoutput$ = {{
             1.}}; $CellContext`closestdistances$ = {
             1.}; $CellContext`closestposition$ = 
            0; $CellContext`closestpositions$ = {
             0}; $CellContext`closestraylength$ = 
            1.; $CellContext`completedray$ = {
             1.}; $CellContext`componentnumber$ = -1.; $CellContext`cosangle$ = 
            1.; $CellContext`crossmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
             0., 1.}}; $CellContext`deflecteddummyrayspresent$ = 
            False; $CellContext`deflectedlocalrays$ = {{
             1.}}; $CellContext`deflectedrays$ = {{
             1.}}; $CellContext`deflectedrayspresent$ = 
            False; $CellContext`dummymatrix$ = {{
             1.}}; $CellContext`dummymatrixlist$ = {{{
             1.}}}; $CellContext`dummyvector$ = {1.}; $CellContext`frontid$ = 
            1.; $CellContext`generationlimit$ = 
            200.; $CellContext`generationnumber$ = 
            1.; $CellContext`holeintersections$ = {{-1., 0., 
             0.}}; $CellContext`holeQ$ = 
            False; $CellContext`holeQlist$ = {0}; $CellContext`hor$ = 
            1. + 0. I; $CellContext`index$ = 1.; $CellContext`index1$ = 
            1.; $CellContext`index2$ = 
            1.; $CellContext`indexpoints$ = {1.}; $CellContext`inrays$ = {{
             1.}}; $CellContext`integratedrefractiveindex$ = 
            0.; $CellContext`intensity$ = 1.; $CellContext`intensityscale$ = 
            1.; $CellContext`intersectionnumber$ = 
            1.; $CellContext`intersections$ = {{-1., 0., 
             0.}}; $CellContext`intersectionslist$ = {{{-1., 0., 
             0.}}}; $CellContext`intersectionspresent$ = 
            False; $CellContext`listofpositions$ = {{
             1.}}; $CellContext`listoftilts$ = {{
             1.}}; $CellContext`localdummyoutrayspresent$ = 
            False; $CellContext`localindex$ = 
            1.; $CellContext`localopticallength$ = 
            0.; $CellContext`localoutrays$ = {{
             1.}}; $CellContext`localoutrayspresent$ = 
            False; $CellContext`localpos$ = {0., 0., 
             0.}; $CellContext`localraylength$ = 
            0.; $CellContext`localrotation$ = {{
             1.}}; $CellContext`localtilt$ = {1., 0., 
             0.}; $CellContext`localtranslation$ = {1., 0., 
             0.}; $CellContext`magnitude$ = 
            1.; $CellContext`maxclonegenerationnumber$ = 
            1.; $CellContext`maximumposition$ = 
            1; $CellContext`minimumraylength$ = 
            0.0001; $CellContext`minresonateraylength$ = 
            1.; $CellContext`n12$ = 
            1.; $CellContext`newcomponentnumber$ = -1.; \
$CellContext`newdeflectedrays$ = {{1.}}; $CellContext`newdistance$ = 
            1.; $CellContext`newpos$ = {0., 0., 
             0.}; $CellContext`newsurfaceid$ = -1.; \
$CellContext`newsurfacenumber$ = -1.; $CellContext`newtilt$ = {1., 0., 
             0.}; $CellContext`Nfinal$ = 0.; $CellContext`Ninitial$ = 
            0.; $CellContext`ninteger$ = 
            1; $CellContext`nonintersectingrays$ = {{
             1.}}; $CellContext`normalizedpolarization$ = {1., 
             1.}; $CellContext`oldgenerationnumber$ = 
            1.; $CellContext`opticallength$ = 
            1.; $CellContext`opticallengths$ = {
             1.}; $CellContext`originalray$ = {
             1.}; $CellContext`originalraytilt$ = {
             1.}; $CellContext`originalrotation$ = {{1., 0., 0.}, {0., 1., 
             0.}, {0., 0., 1.}}; $CellContext`originalsurfnorm$ = {{
             1.}}; $CellContext`outrays$ = {{
             1.}}; $CellContext`parallelamplitude$ = 
            1. + 0. I; $CellContext`PAxis$ = {1., 0., 
             0.}; $CellContext`perpendicularamplitude$ = 
            1. + 0. I; $CellContext`phaseshift$ = 0.; $CellContext`pol1$ = 
            1.; $CellContext`pol2$ = 1.; $CellContext`pol3$ = 
            1.; $CellContext`previoustilt$ = {1., 0., 
             0.}; $CellContext`propagate$ = 
            True; $CellContext`propagatedrays$ = {{1.}}; $CellContext`r1$ = 
            1.; $CellContext`r2$ = 1.; $CellContext`r3$ = 
            1.; $CellContext`r4$ = 1.; $CellContext`r5$ = 
            1.; $CellContext`r6$ = 1.; $CellContext`r7$ = 
            1.; $CellContext`r8$ = 1.; $CellContext`r9$ = 
            1.; $CellContext`ray1$ = 1.; $CellContext`ray2$ = 
            1.; $CellContext`ray3$ = 1.; $CellContext`LocRayL$ = 
            1.; $CellContext`rayslot$ = 1.; $CellContext`raysreported$ = 
            False; $CellContext`raytiltx$ = 1.; $CellContext`raytiltz$ = 
            1.; $CellContext`reporteddummyrayspresent$ = 
            False; $CellContext`reportedlocalrays$ = {{
             1.}}; $CellContext`reportedrays$ = {{
             1.}}; $CellContext`reportedrayspresent$ = 
            False; $CellContext`resonateintersections$ = {{-1., 0., 
             0.}}; $CellContext`resonatenumber$ = 
            0; $CellContext`resonateraylength$ = 1.; $CellContext`rex$ = 
            1.; $CellContext`rey$ = 1.; $CellContext`rez$ = 
            1.; $CellContext`rsx$ = 1.; $CellContext`LocRSx$ = 
            1.; $CellContext`rSxOffset$ = 1.; $CellContext`rsy$ = 
            1.; $CellContext`LocRSy$ = 1.; $CellContext`rsz$ = 
            1.; $CellContext`LocRSz$ = 1.; 
           Optica`Optica`RTx$ = 1.; $CellContext`LocRTy$ = 
            1.; $CellContext`LocRTz$ = 1.; $CellContext`rx$ = 
            1.; $CellContext`rxhlp$ = 1.; $CellContext`ry$ = 
            1.; $CellContext`ryhlp$ = 1.; $CellContext`rz$ = 
            1.; $CellContext`rzhlp$ = 1.; $CellContext`LocSCx$ = 
            1.; $CellContext`LocSCy$ = 1.; $CellContext`Sfinal$ = 
            0.; $CellContext`sid$ = 1.; $CellContext`sinangle$ = 
            1.; $CellContext`Sinitial$ = 0.; $CellContext`sno1$ = 
            1.; $CellContext`sno2$ = 1.; $CellContext`sno3$ = 
            1.; $CellContext`sno4$ = 
            1.; $CellContext`surfaceid$ = -1.; $CellContext`surfacenumber$ = \
-1.; $CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
             0., 1.}}; $CellContext`surfacetranslationvector$ = {0., 0., 
             0.}; $CellContext`surfnorm$ = {{1.}}; $CellContext`surfrot$ = {{
             1.}}; $CellContext`surftrans$ = {1., 0., 
             0.}; $CellContext`symr1$ = 1.; $CellContext`symr2$ = 
            1.; $CellContext`symr3$ = 1.; $CellContext`symr4$ = 
            1.; $CellContext`symr5$ = 1.; $CellContext`symr6$ = 
            1.; $CellContext`symr7$ = 1.; $CellContext`symr8$ = 
            1.; $CellContext`symr9$ = 
            1.; $CellContext`tempclonedata$ = {{
             1.}}; $CellContext`terminatedeflection$ = 
            False; $CellContext`thresholdintensity$ = 
            1.; $CellContext`tiltmagnitude$ = 
            1.; $CellContext`transmatrix$ = {{{1., 0., 0.}, {0., 1., 0.}, {0.,
              0., 1.}}}; $CellContext`LocTV1$ = 1.; $CellContext`LocTV10$ = 
            1.; $CellContext`LocTV2$ = 1.; $CellContext`LocTV3$ = 
            1.; $CellContext`LocTV4$ = 1.; $CellContext`LocTV5$ = 
            1.; $CellContext`LocTV6$ = 1.; $CellContext`LocTV7$ = 
            1.; $CellContext`LocTV8$ = 1.; $CellContext`LocTV9$ = 
            1.; $CellContext`u$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
             1.}}; $CellContext`unfilteredintersections$ = {{-1., 0., 
             0.}}; $CellContext`unit$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
             1.}}; $CellContext`uu$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
             1.}}; $CellContext`ver$ = 0. + 0. I; $CellContext`wavelength$ = 
            1.; $CellContext`XAxis$ = {1., 0., 0.}; $CellContext`xunit$ = 
            1.; $CellContext`YAxis$ = {1., 0., 0.}; $CellContext`yunit$ = 
            1.; $CellContext`ZAxis$ = {1., 0., 0.}; $CellContext`zunit$ = 
            1.; $CellContext`propagatedrays$ = 
            Join[{$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$ + 0.5 $CellContext`width 
                    Sin[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr2$ + $CellContext`rsy$ $CellContext`symr5$ + \
$CellContext`rsz$ $CellContext`symr8$ + $CellContext`y$$ - 
                   0.5 $CellContext`width 
                   Cos[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr3$ + $CellContext`rsy$ $CellContext`symr6$ + \
$CellContext`rsz$ $CellContext`symr9$}; {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`rex$ \
$CellContext`symr1$ + $CellContext`rey$ $CellContext`symr4$ + \
$CellContext`rez$ $CellContext`symr7$ + $CellContext`x$$ + 
                   0.5 $CellContext`width 
                    Sin[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr2$ + $CellContext`rey$ $CellContext`symr5$ + \
$CellContext`rez$ $CellContext`symr8$ + $CellContext`y$$ - 
                   0.5 $CellContext`width 
                   Cos[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr3$ + $CellContext`rey$ $CellContext`symr6$ + \
$CellContext`rez$ $CellContext`symr9$}; {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`r1$ \
$CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ \
$CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ \
$CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ \
$CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ \
$CellContext`symr9$}; {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$} = {$CellContext`r4$ $CellContext`symr1$ + \
$CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ $CellContext`symr7$, \
$CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ $CellContext`symr5$ + \
$CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ $CellContext`symr3$ + \
$CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ $CellContext`symr9$}; \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$} = \
{$CellContext`r7$ $CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + \
$CellContext`r9$ $CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + \
$CellContext`r8$ $CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, \
$CellContext`r7$ $CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + \
$CellContext`r9$ $CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
gwazDw7INMJ8XOYS7y8AByUV7g==
                
                "]], {$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$ + 0.4 $CellContext`width 
                    Sin[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr2$ + $CellContext`rsy$ $CellContext`symr5$ + \
$CellContext`rsz$ $CellContext`symr8$ + $CellContext`y$$ - 
                   0.4 $CellContext`width 
                   Cos[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr3$ + $CellContext`rsy$ $CellContext`symr6$ + \
$CellContext`rsz$ $CellContext`symr9$}; {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`rex$ \
$CellContext`symr1$ + $CellContext`rey$ $CellContext`symr4$ + \
$CellContext`rez$ $CellContext`symr7$ + $CellContext`x$$ + 
                   0.4 $CellContext`width 
                    Sin[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr2$ + $CellContext`rey$ $CellContext`symr5$ + \
$CellContext`rez$ $CellContext`symr8$ + $CellContext`y$$ - 
                   0.4 $CellContext`width 
                   Cos[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr3$ + $CellContext`rey$ $CellContext`symr6$ + \
$CellContext`rez$ $CellContext`symr9$}; {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`r1$ \
$CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ \
$CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ \
$CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ \
$CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ \
$CellContext`symr9$}; {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$} = {$CellContext`r4$ $CellContext`symr1$ + \
$CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ $CellContext`symr7$, \
$CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ $CellContext`symr5$ + \
$CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ $CellContext`symr3$ + \
$CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ $CellContext`symr9$}; \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$} = \
{$CellContext`r7$ $CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + \
$CellContext`r9$ $CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + \
$CellContext`r8$ $CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, \
$CellContext`r7$ $CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + \
$CellContext`r9$ $CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
gw1mHxyQaYT5uMwl3l8AKCUWTg==
                
                "]], {$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$ + 0.3 $CellContext`width 
                    Sin[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr2$ + $CellContext`rsy$ $CellContext`symr5$ + \
$CellContext`rsz$ $CellContext`symr8$ + $CellContext`y$$ - 
                   0.3 $CellContext`width 
                   Cos[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr3$ + $CellContext`rsy$ $CellContext`symr6$ + \
$CellContext`rsz$ $CellContext`symr9$}; {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`rex$ \
$CellContext`symr1$ + $CellContext`rey$ $CellContext`symr4$ + \
$CellContext`rez$ $CellContext`symr7$ + $CellContext`x$$ + 
                   0.3 $CellContext`width 
                    Sin[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr2$ + $CellContext`rey$ $CellContext`symr5$ + \
$CellContext`rez$ $CellContext`symr8$ + $CellContext`y$$ - 
                   0.3 $CellContext`width 
                   Cos[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr3$ + $CellContext`rey$ $CellContext`symr6$ + \
$CellContext`rez$ $CellContext`symr9$}; {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`r1$ \
$CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ \
$CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ \
$CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ \
$CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ \
$CellContext`symr9$}; {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$} = {$CellContext`r4$ $CellContext`symr1$ + \
$CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ $CellContext`symr7$, \
$CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ $CellContext`symr5$ + \
$CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ $CellContext`symr3$ + \
$CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ $CellContext`symr9$}; \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$} = \
{$CellContext`r7$ $CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + \
$CellContext`r9$ $CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + \
$CellContext`r8$ $CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, \
$CellContext`r7$ $CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + \
$CellContext`r9$ $CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
gwdmHxyQaYT5uMwl3l8ASSUWrg==
                
                "]], {$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$ + 0.19999999999999996` $CellContext`width 
                    Sin[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr2$ + $CellContext`rsy$ $CellContext`symr5$ + \
$CellContext`rsz$ $CellContext`symr8$ + $CellContext`y$$ - 
                   0.19999999999999996` $CellContext`width 
                   Cos[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr3$ + $CellContext`rsy$ $CellContext`symr6$ + \
$CellContext`rsz$ $CellContext`symr9$}; {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`rex$ \
$CellContext`symr1$ + $CellContext`rey$ $CellContext`symr4$ + \
$CellContext`rez$ $CellContext`symr7$ + $CellContext`x$$ + 
                   0.19999999999999996` $CellContext`width 
                    Sin[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr2$ + $CellContext`rey$ $CellContext`symr5$ + \
$CellContext`rez$ $CellContext`symr8$ + $CellContext`y$$ - 
                   0.19999999999999996` $CellContext`width 
                   Cos[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr3$ + $CellContext`rey$ $CellContext`symr6$ + \
$CellContext`rez$ $CellContext`symr9$}; {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`r1$ \
$CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ \
$CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ \
$CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ \
$CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ \
$CellContext`symr9$}; {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$} = {$CellContext`r4$ $CellContext`symr1$ + \
$CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ $CellContext`symr7$, \
$CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ $CellContext`symr5$ + \
$CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ $CellContext`symr3$ + \
$CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ $CellContext`symr9$}; \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$} = \
{$CellContext`r7$ $CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + \
$CellContext`r9$ $CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + \
$CellContext`r8$ $CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, \
$CellContext`r7$ $CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + \
$CellContext`r9$ $CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
AwHzDw7INMJ8XOYS7y8AusQVEA==
                
                "]], {$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$ + 0.09999999999999998 $CellContext`width 
                    Sin[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr2$ + $CellContext`rsy$ $CellContext`symr5$ + \
$CellContext`rsz$ $CellContext`symr8$ + $CellContext`y$$ - 
                   0.09999999999999998 $CellContext`width 
                   Cos[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr3$ + $CellContext`rsy$ $CellContext`symr6$ + \
$CellContext`rsz$ $CellContext`symr9$}; {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`rex$ \
$CellContext`symr1$ + $CellContext`rey$ $CellContext`symr4$ + \
$CellContext`rez$ $CellContext`symr7$ + $CellContext`x$$ + 
                   0.09999999999999998 $CellContext`width 
                    Sin[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr2$ + $CellContext`rey$ $CellContext`symr5$ + \
$CellContext`rez$ $CellContext`symr8$ + $CellContext`y$$ - 
                   0.09999999999999998 $CellContext`width 
                   Cos[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr3$ + $CellContext`rey$ $CellContext`symr6$ + \
$CellContext`rez$ $CellContext`symr9$}; {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`r1$ \
$CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ \
$CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ \
$CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ \
$CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ \
$CellContext`symr9$}; {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$} = {$CellContext`r4$ $CellContext`symr1$ + \
$CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ $CellContext`symr7$, \
$CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ $CellContext`symr5$ + \
$CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ $CellContext`symr3$ + \
$CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ $CellContext`symr9$}; \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$} = \
{$CellContext`r7$ $CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + \
$CellContext`r9$ $CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + \
$CellContext`r8$ $CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, \
$CellContext`r7$ $CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + \
$CellContext`r9$ $CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
AwfzDw7INMJ8XOYS7y8A28QVcA==
                
                "]], {$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$, $CellContext`rsx$ $CellContext`symr2$ + $CellContext`rsy$ \
$CellContext`symr5$ + $CellContext`rsz$ $CellContext`symr8$ + \
$CellContext`y$$, $CellContext`rsx$ $CellContext`symr3$ + $CellContext`rsy$ \
$CellContext`symr6$ + $CellContext`rsz$ $CellContext`symr9$}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`rex$ $CellContext`symr1$ + $CellContext`rey$ \
$CellContext`symr4$ + $CellContext`rez$ $CellContext`symr7$ + \
$CellContext`x$$, $CellContext`rex$ $CellContext`symr2$ + $CellContext`rey$ \
$CellContext`symr5$ + $CellContext`rez$ $CellContext`symr8$ + \
$CellContext`y$$, $CellContext`rex$ $CellContext`symr3$ + $CellContext`rey$ \
$CellContext`symr6$ + $CellContext`rez$ $CellContext`symr9$}; \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`r1$ $CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + \
$CellContext`r3$ $CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + \
$CellContext`r2$ $CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, \
$CellContext`r1$ $CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + \
$CellContext`r3$ $CellContext`symr9$}; {$CellContext`LocTV4$, \
$CellContext`LocTV5$, $CellContext`LocTV6$} = {$CellContext`r4$ \
$CellContext`symr1$ + $CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ \
$CellContext`symr7$, $CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ \
$CellContext`symr5$ + $CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ \
$CellContext`symr3$ + $CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ \
$CellContext`symr9$}; {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$} = {$CellContext`r7$ $CellContext`symr1$ + \
$CellContext`r8$ $CellContext`symr4$ + $CellContext`r9$ $CellContext`symr7$, \
$CellContext`r7$ $CellContext`symr2$ + $CellContext`r8$ $CellContext`symr5$ + \
$CellContext`r9$ $CellContext`symr8$, $CellContext`r7$ $CellContext`symr3$ + \
$CellContext`r8$ $CellContext`symr6$ + $CellContext`r9$ $CellContext`symr9$}; \
{{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}} = {{$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$}, {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$}, {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$}}; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
gwLzDw7INMJ8XOYS7y8A/MQV0A==
                
                "]], {$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$ - 0.10000000000000009` $CellContext`width 
                   Sin[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr2$ + $CellContext`rsy$ $CellContext`symr5$ + \
$CellContext`rsz$ $CellContext`symr8$ + $CellContext`y$$ + 
                   0.10000000000000009` $CellContext`width 
                    Cos[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr3$ + $CellContext`rsy$ $CellContext`symr6$ + \
$CellContext`rsz$ $CellContext`symr9$}; {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`rex$ \
$CellContext`symr1$ + $CellContext`rey$ $CellContext`symr4$ + \
$CellContext`rez$ $CellContext`symr7$ + $CellContext`x$$ - 
                   0.10000000000000009` $CellContext`width 
                   Sin[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr2$ + $CellContext`rey$ $CellContext`symr5$ + \
$CellContext`rez$ $CellContext`symr8$ + $CellContext`y$$ + 
                   0.10000000000000009` $CellContext`width 
                    Cos[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr3$ + $CellContext`rey$ $CellContext`symr6$ + \
$CellContext`rez$ $CellContext`symr9$}; {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`r1$ \
$CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ \
$CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ \
$CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ \
$CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ \
$CellContext`symr9$}; {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$} = {$CellContext`r4$ $CellContext`symr1$ + \
$CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ $CellContext`symr7$, \
$CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ $CellContext`symr5$ + \
$CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ $CellContext`symr3$ + \
$CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ $CellContext`symr9$}; \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$} = \
{$CellContext`r7$ $CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + \
$CellContext`r9$ $CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + \
$CellContext`r8$ $CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, \
$CellContext`r7$ $CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + \
$CellContext`r9$ $CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
gwbzDw7INMJ8XOYS7y8AB9MV8A==
                
                "]], {$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$ - 0.20000000000000007` $CellContext`width 
                   Sin[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr2$ + $CellContext`rsy$ $CellContext`symr5$ + \
$CellContext`rsz$ $CellContext`symr8$ + $CellContext`y$$ + 
                   0.20000000000000007` $CellContext`width 
                    Cos[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr3$ + $CellContext`rsy$ $CellContext`symr6$ + \
$CellContext`rsz$ $CellContext`symr9$}; {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`rex$ \
$CellContext`symr1$ + $CellContext`rey$ $CellContext`symr4$ + \
$CellContext`rez$ $CellContext`symr7$ + $CellContext`x$$ - 
                   0.20000000000000007` $CellContext`width 
                   Sin[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr2$ + $CellContext`rey$ $CellContext`symr5$ + \
$CellContext`rez$ $CellContext`symr8$ + $CellContext`y$$ + 
                   0.20000000000000007` $CellContext`width 
                    Cos[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr3$ + $CellContext`rey$ $CellContext`symr6$ + \
$CellContext`rez$ $CellContext`symr9$}; {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`r1$ \
$CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ \
$CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ \
$CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ \
$CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ \
$CellContext`symr9$}; {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$} = {$CellContext`r4$ $CellContext`symr1$ + \
$CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ $CellContext`symr7$, \
$CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ $CellContext`symr5$ + \
$CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ $CellContext`symr3$ + \
$CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ $CellContext`symr9$}; \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$} = \
{$CellContext`r7$ $CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + \
$CellContext`r9$ $CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + \
$CellContext`r8$ $CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, \
$CellContext`r7$ $CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + \
$CellContext`r9$ $CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
gw3mHxyQaYT5uMwl3l8AKNMWUA==
                
                "]], {$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$ - 0.30000000000000004` $CellContext`width 
                   Sin[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr2$ + $CellContext`rsy$ $CellContext`symr5$ + \
$CellContext`rsz$ $CellContext`symr8$ + $CellContext`y$$ + 
                   0.30000000000000004` $CellContext`width 
                    Cos[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr3$ + $CellContext`rsy$ $CellContext`symr6$ + \
$CellContext`rsz$ $CellContext`symr9$}; {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`rex$ \
$CellContext`symr1$ + $CellContext`rey$ $CellContext`symr4$ + \
$CellContext`rez$ $CellContext`symr7$ + $CellContext`x$$ - 
                   0.30000000000000004` $CellContext`width 
                   Sin[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr2$ + $CellContext`rey$ $CellContext`symr5$ + \
$CellContext`rez$ $CellContext`symr8$ + $CellContext`y$$ + 
                   0.30000000000000004` $CellContext`width 
                    Cos[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr3$ + $CellContext`rey$ $CellContext`symr6$ + \
$CellContext`rez$ $CellContext`symr9$}; {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`r1$ \
$CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ \
$CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ \
$CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ \
$CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ \
$CellContext`symr9$}; {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$} = {$CellContext`r4$ $CellContext`symr1$ + \
$CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ $CellContext`symr7$, \
$CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ $CellContext`symr5$ + \
$CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ $CellContext`symr3$ + \
$CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ $CellContext`symr9$}; \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$} = \
{$CellContext`r7$ $CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + \
$CellContext`r9$ $CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + \
$CellContext`r8$ $CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, \
$CellContext`r7$ $CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + \
$CellContext`r9$ $CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
gwfmHxyQaYT5uMwl3l8ASdMWsA==
                
                "]], {$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$ - 0.4 $CellContext`width 
                   Sin[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr2$ + $CellContext`rsy$ $CellContext`symr5$ + \
$CellContext`rsz$ $CellContext`symr8$ + $CellContext`y$$ + 
                   0.4 $CellContext`width 
                    Cos[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr3$ + $CellContext`rsy$ $CellContext`symr6$ + \
$CellContext`rsz$ $CellContext`symr9$}; {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`rex$ \
$CellContext`symr1$ + $CellContext`rey$ $CellContext`symr4$ + \
$CellContext`rez$ $CellContext`symr7$ + $CellContext`x$$ - 
                   0.4 $CellContext`width 
                   Sin[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr2$ + $CellContext`rey$ $CellContext`symr5$ + \
$CellContext`rez$ $CellContext`symr8$ + $CellContext`y$$ + 
                   0.4 $CellContext`width 
                    Cos[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr3$ + $CellContext`rey$ $CellContext`symr6$ + \
$CellContext`rez$ $CellContext`symr9$}; {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`r1$ \
$CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ \
$CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ \
$CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ \
$CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ \
$CellContext`symr9$}; {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$} = {$CellContext`r4$ $CellContext`symr1$ + \
$CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ $CellContext`symr7$, \
$CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ $CellContext`symr5$ + \
$CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ $CellContext`symr3$ + \
$CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ $CellContext`symr9$}; \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$} = \
{$CellContext`r7$ $CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + \
$CellContext`r9$ $CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + \
$CellContext`r8$ $CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, \
$CellContext`r7$ $CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + \
$CellContext`r9$ $CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
AwGLDw7INMJ8XOYS7y8Au3IVEg==
                
                "]], {$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$ - 0.5 $CellContext`width 
                   Sin[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr2$ + $CellContext`rsy$ $CellContext`symr5$ + \
$CellContext`rsz$ $CellContext`symr8$ + $CellContext`y$$ + 
                   0.5 $CellContext`width 
                    Cos[Degree $CellContext`th$$], $CellContext`rsx$ \
$CellContext`symr3$ + $CellContext`rsy$ $CellContext`symr6$ + \
$CellContext`rsz$ $CellContext`symr9$}; {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`rex$ \
$CellContext`symr1$ + $CellContext`rey$ $CellContext`symr4$ + \
$CellContext`rez$ $CellContext`symr7$ + $CellContext`x$$ - 
                   0.5 $CellContext`width 
                   Sin[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr2$ + $CellContext`rey$ $CellContext`symr5$ + \
$CellContext`rez$ $CellContext`symr8$ + $CellContext`y$$ + 
                   0.5 $CellContext`width 
                    Cos[Degree $CellContext`th$$], $CellContext`rex$ \
$CellContext`symr3$ + $CellContext`rey$ $CellContext`symr6$ + \
$CellContext`rez$ $CellContext`symr9$}; {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} = {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$}; {$CellContext`LocTV1$, \
$CellContext`LocTV2$, $CellContext`LocTV3$} = {$CellContext`r1$ \
$CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ \
$CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ \
$CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ \
$CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ \
$CellContext`symr9$}; {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$} = {$CellContext`r4$ $CellContext`symr1$ + \
$CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ $CellContext`symr7$, \
$CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ $CellContext`symr5$ + \
$CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ $CellContext`symr3$ + \
$CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ $CellContext`symr9$}; \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$} = \
{$CellContext`r7$ $CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + \
$CellContext`r9$ $CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + \
$CellContext`r8$ $CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, \
$CellContext`r7$ $CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + \
$CellContext`r9$ $CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjIXPw
AweLDw7INMJ8XOYS7y8A3HIVcg==
                
                "]]]; $CellContext`propagatedrays$ = 
            Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`componentnumber$ = 
               1.; $CellContext`frontid$ = 
               1.; {$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`propagatedrays$]; \
$CellContext`thresholdintensity$ = 1.; $CellContext`generationlimit$ = 
            200.; $CellContext`reportedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`generationnumber$ = 
            0.; ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

              "]; $CellContext`deflectedrayspresent$ = 
             True; $CellContext`reportedrayspresent$ = 
             False; $CellContext`propagate$ = True; While[
              
              And[$CellContext`deflectedrayspresent$, \
$CellContext`propagate$], 
              AddTo[$CellContext`generationnumber$, 
                1.]; ($CellContext`deflecteddummyrayspresent$ = 
                False; $CellContext`deflectedrayspresent$ = 
                False; $CellContext`reportedrayspresent$ = 
                False; $CellContext`reporteddummyrayspresent$ = 
                True; $CellContext`localdummyoutrayspresent$ = 
                False; $CellContext`localoutrayspresent$ = 
                False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
                Map[Flatten[#, 1]& , 
                  Transpose[
                   
                   Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -10. + \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5634}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 5., Part[#, 2] >= -5., Part[#, 3] >= -5., 
                    Part[#, 3] <= 5.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    
                    Compile`$5634 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5634), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5634, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5634}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65595.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -25. + \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5635}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[Part[#, 2] <= 5., Part[#, 2] >= -5., 
                    Part[#, 3] >= -5., Part[#, 3] <= 5.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5635 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5635), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5635, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5635}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65624.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -5. + \
$CellContext`rez$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
-(-17.5 + $CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5630}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 5., Part[#, 2] >= -5., Part[#, 3] >= -7.5, 
                    Part[#, 3] <= 7.5]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5630 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5630), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5630, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5630}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65475.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(
                    5. + $CellContext`rez$); $CellContext`ry$ = \
-$CellContext`rey$; $CellContext`rz$ = -(-17.5 + $CellContext`rex$); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5631}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 5., Part[#, 2] >= -5., Part[#, 3] >= -7.5, 
                    Part[#, 3] <= 7.5]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5631 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5631), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5631, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5631}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65505.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-5. + \
$CellContext`rey$); $CellContext`ry$ = -17.5 + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5632}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 7.5, Part[#, 2] >= -7.5, Part[#, 3] >= -5., 
                    Part[#, 3] <= 5.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5632 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5632), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5632, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5632}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65535.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    5. + $CellContext`rey$; $CellContext`ry$ = -(-17.5 + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5633}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 7.5, Part[#, 2] >= -7.5, Part[#, 3] >= -5., 
                    Part[#, 3] <= 5.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5633 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5633), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5633, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5633}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65565.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -10. + \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 1., 
                    65595.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 1., 
                    65595.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    10. + $CellContext`rxhlp$; $CellContext`rey$ = \
$CellContext`ryhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    10., 0, 0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -25. + \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 2., 
                    65624.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 2., 
                    65624.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    25. + $CellContext`rxhlp$; $CellContext`rey$ = \
$CellContext`ryhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    25., 0, 
                    0}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -5. + \
$CellContext`rez$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
-(-17.5 + $CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 3., 
                    65475.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 3., 
                    65475.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    17.5 - 1. $CellContext`rzhlp$; $CellContext`rey$ = \
$CellContext`ryhlp$; $CellContext`rez$ = 
                    5. + $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {0., 1., 0.}, {-1., 0., 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    17.5, 0, 5.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(
                    5. + $CellContext`rez$); $CellContext`ry$ = \
-$CellContext`rey$; $CellContext`rz$ = -(-17.5 + $CellContext`rex$); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 4., 
                    65505.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 4., 
                    65505.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    17.5 - 1. $CellContext`rzhlp$; $CellContext`rey$ = \
-$CellContext`ryhlp$; $CellContext`rez$ = -5. - 
                    1. $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., -1.}, {0., -1., 0.}, {-1., 0.,
                     0.}}; $CellContext`surfacetranslationvector$ = {
                    17.5, 0, -5.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-5. + \
$CellContext`rey$); $CellContext`ry$ = -17.5 + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 5., 
                    65535.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 5., 
                    65535.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    17.5 + $CellContext`ryhlp$; $CellContext`rey$ = 
                    5. - 1. $CellContext`rxhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    17.5, 5., 0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., If[
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    5. + $CellContext`rey$; $CellContext`ry$ = -(-17.5 + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 6., 
                    65565.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 6., 
                    65565.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    17.5 - 1. $CellContext`ryhlp$; $CellContext`rey$ = -5. + \
$CellContext`rxhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    17.5, -5., 0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                 
                 And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                 Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                  1., 1.]; 
               If[$CellContext`localoutrayspresent$, 
                 If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                    Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 
                   1., 1.]; $CellContext`outrays$ = 
                  Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1.,
                  1.]; If[
                 
                 And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                  Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                 1., 1.]); 
              If[$CellContext`reportedrayspresent$, \
$CellContext`raysreported$ = True; $CellContext`reportedrays$ = 
                 Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                   
                   "], $CellContext`reportedlocalrays$]; 1., 
                1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
             If[Length[$CellContext`outrays$] > 1, 
               Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
              
              And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
               Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
              1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

              "]; $CellContext`deflectedrayspresent$ = 
             True; $CellContext`reportedrayspresent$ = 
             False; $CellContext`propagate$ = True; While[
              
              And[$CellContext`deflectedrayspresent$, \
$CellContext`propagate$], 
              AddTo[$CellContext`generationnumber$, 
                1.]; ($CellContext`deflecteddummyrayspresent$ = 
                False; $CellContext`deflectedrayspresent$ = 
                False; $CellContext`reportedrayspresent$ = 
                False; $CellContext`reporteddummyrayspresent$ = 
                True; $CellContext`localdummyoutrayspresent$ = 
                False; $CellContext`localoutrayspresent$ = 
                False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
                Map[Flatten[#, 1]& , 
                  Transpose[
                   
                   Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-40. + \
$CellContext`rex$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5664}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5664 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5664), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5664, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5664}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66400.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rey$; $CellContext`ry$ = -(-20. + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5707}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 20., Part[#, 2] >= -20., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5707 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5707), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5707, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5707}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66401.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5664}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5664 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5664), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5664, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5664}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66402.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rey$); $CellContext`ry$ = -20. + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5707}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 20., Part[#, 2] >= -20., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5707 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5707), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5707, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5707}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66403.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = -(-20. + $CellContext`rex$); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5706}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -20.,
                     Part[#, 3] <= 20.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5706 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5706), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5706, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5706}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66404.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
-(-20. + $CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5706}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -20.,
                     Part[#, 3] <= 20.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5706 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5706), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5706, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5706}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66405.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-40. + \
$CellContext`rex$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 1., 
                    66400.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 1., 
                    66400.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    40. - 1. $CellContext`rxhlp$; $CellContext`rey$ = \
-$CellContext`ryhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    40., 0, 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rey$; $CellContext`ry$ = -(-20. + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 2., 
                    66401.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 2., 
                    66401.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. - 1. $CellContext`ryhlp$; $CellContext`rey$ = -15. + \
$CellContext`rxhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    20., -15., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 3., 
                    66402.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 3., 
                    66402.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rxhlp$; $CellContext`rey$ = $CellContext`ryhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1, 0, 0}, {0, 1, 0}, {0, 0, 
                    1}}; $CellContext`surfacetranslationvector$ = {0, 0, 
                    0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rey$); $CellContext`ry$ = -20. + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 4., 
                    66403.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 4., 
                    66403.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. + $CellContext`ryhlp$; $CellContext`rey$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    20., 15., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = -(-20. + $CellContext`rex$); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 5., 
                    66404.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 5., 
                    66404.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. - 1. $CellContext`rzhlp$; $CellContext`rey$ = \
$CellContext`ryhlp$; $CellContext`rez$ = -15. + $CellContext`rxhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {0., 1., 0.}, {-1., 0., 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    20., 0, -15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
-(-20. + $CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 6., 
                    66405.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 6., 
                    66405.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. - 1. $CellContext`rzhlp$; $CellContext`rey$ = \
-$CellContext`ryhlp$; $CellContext`rez$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., -1.}, {0., -1., 0.}, {-1., 0.,
                     0.}}; $CellContext`surfacetranslationvector$ = {
                    20., 0, 15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                 
                 And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                 Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                  1., 1.]; 
               If[$CellContext`localoutrayspresent$, 
                 If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                    Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 
                   1., 1.]; $CellContext`outrays$ = 
                  Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1.,
                  1.]; If[
                 
                 And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                  Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                 1., 1.]); 
              If[$CellContext`reportedrayspresent$, \
$CellContext`raysreported$ = True; $CellContext`reportedrays$ = 
                 Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                   
                   "], $CellContext`reportedlocalrays$]; 1., 
                1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
             If[Length[$CellContext`outrays$] > 1, 
               Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
              
              And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
               Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 1.]); 
           If[Length[$CellContext`reportedrays$] > 
             2, $CellContext`reportedrays$ = 
             Drop[$CellContext`reportedrays$, 2], $CellContext`reportedrays$]; 
           Map[{
              Part[#, 1], 
              Part[#, 2], 
              Part[#, 3], 
              Part[#, 4], 
              Part[#, 5], 
              
              Part[#, 6]}& , $CellContext`reportedrays$]], \
$CellContext`compileoptionsetting$]]; \
$CellContext`raytracefunction16832012816165530629277 = 
       With[{$CellContext`compileoptionsetting$ = 
          If[$VersionNumber >= 8, {
            CompilationOptions -> {
              "ExpressionOptimization" -> False, "InlineCompiledFunctions" -> 
               False}, CompilationTarget -> "MVM", 
             RuntimeAttributes -> {Listable}, Parallelization -> False, 
             RuntimeOptions -> {}}, CompileOptimizations -> False]}, 
         Compile[{{$CellContext`th$$, 
            Blank[Real]}, {$CellContext`x$$, 
            Blank[Real]}, {$CellContext`y$$, 
            Blank[Real]}, {$CellContext`base$$, 
            Blank[Real]}, {$CellContext`hh$$, 
            Blank[Real]}, {$CellContext`rr$$, 
            Blank[Real]}, {$CellContext`x1$$, 
            Blank[Real]}, {$CellContext`y1$$, 
            Blank[Real]}, {$CellContext`x2$$, 
            Blank[Real]}, {$CellContext`y2$$, 
            Blank[Real]}, {$CellContext`x3$$, 
            Blank[Real]}, {$CellContext`y3$$, 
            Blank[Real]}, {$CellContext`x4$$, 
            Blank[Real]}, {$CellContext`y4$$, 
            Blank[Real]}}, 
          
          Module[{$CellContext`activeregion$, $CellContext`Aelement$, \
$CellContext`allcreatedamplitudes$, $CellContext`allcreatedrays$, \
$CellContext`allowzeroraylength$, $CellContext`alternateindex$, \
$CellContext`amplitude$, $CellContext`axismagnitude$, \
$CellContext`axismatrix$, $CellContext`Belement$, $CellContext`Celement$, \
$CellContext`clonedata$, $CellContext`clonegenerationnumber$, \
$CellContext`cloneinput$, $CellContext`clonenumber$, \
$CellContext`cloneposition$, $CellContext`clonereportedrays$, \
$CellContext`clonerotation$, $CellContext`clonescale$, \
$CellContext`clonescalevector$, $CellContext`clonesorthistogram$, \
$CellContext`clonetraceinput$, $CellContext`clonetraceoutput$, \
$CellContext`closestdistances$, $CellContext`closestposition$, \
$CellContext`closestpositions$, $CellContext`closestraylength$, \
$CellContext`completedray$, $CellContext`componentnumber$, \
$CellContext`cosangle$, $CellContext`crossmatrix$, \
$CellContext`deflecteddummyrayspresent$, $CellContext`deflectedlocalrays$, \
$CellContext`deflectedrays$, $CellContext`deflectedrayspresent$, \
$CellContext`dummymatrix$, $CellContext`dummymatrixlist$, \
$CellContext`dummyvector$, $CellContext`frontid$, \
$CellContext`generationlimit$, $CellContext`generationnumber$, \
$CellContext`holeintersections$, $CellContext`holeQ$, \
$CellContext`holeQlist$, $CellContext`hor$, $CellContext`index$, \
$CellContext`index1$, $CellContext`index2$, $CellContext`indexpoints$, \
$CellContext`inrays$, $CellContext`integratedrefractiveindex$, \
$CellContext`intensity$, $CellContext`intensityscale$, \
$CellContext`intersectionnumber$, $CellContext`intersections$, \
$CellContext`intersectionslist$, $CellContext`intersectionspresent$, \
$CellContext`listofpositions$, $CellContext`listoftilts$, \
$CellContext`localdummyoutrayspresent$, $CellContext`localindex$, \
$CellContext`localopticallength$, $CellContext`localoutrays$, \
$CellContext`localoutrayspresent$, $CellContext`localpos$, \
$CellContext`localraylength$, $CellContext`localrotation$, \
$CellContext`localtilt$, $CellContext`localtranslation$, \
$CellContext`magnitude$, $CellContext`maxclonegenerationnumber$, \
$CellContext`maximumposition$, $CellContext`minimumraylength$, \
$CellContext`minresonateraylength$, $CellContext`n12$, \
$CellContext`newcomponentnumber$, $CellContext`newdeflectedrays$, \
$CellContext`newdistance$, $CellContext`newpos$, $CellContext`newsurfaceid$, \
$CellContext`newsurfacenumber$, $CellContext`newtilt$, $CellContext`Nfinal$, \
$CellContext`Ninitial$, $CellContext`ninteger$, \
$CellContext`nonintersectingrays$, $CellContext`normalizedpolarization$, \
$CellContext`oldgenerationnumber$, $CellContext`opticallength$, \
$CellContext`opticallengths$, $CellContext`originalopticallength$, \
$CellContext`originalray$, $CellContext`originalraytilt$, \
$CellContext`originalrotation$, $CellContext`originalsurfnorm$, \
$CellContext`outrays$, $CellContext`parallelamplitude$, $CellContext`PAxis$, \
$CellContext`perpendicularamplitude$, $CellContext`phaseshift$, \
$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$, \
$CellContext`previoustilt$, $CellContext`propagate$, \
$CellContext`propagatedrays$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, $CellContext`ray1$, \
$CellContext`ray2$, $CellContext`ray3$, $CellContext`LocRayL$, \
$CellContext`rayslot$, $CellContext`raysreported$, $CellContext`raytiltx$, \
$CellContext`raytiltz$, $CellContext`reporteddummyrayspresent$, \
$CellContext`reportedlocalrays$, $CellContext`reportedrays$, \
$CellContext`reportedrayspresent$, $CellContext`resonateintersections$, \
$CellContext`resonatenumber$, $CellContext`resonateraylength$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`rotationaxis$, $CellContext`rsx$, $CellContext`LocRSx$, \
$CellContext`rSxOffset$, $CellContext`rsy$, $CellContext`LocRSy$, \
$CellContext`rsz$, $CellContext`LocRSz$, 
            Optica`Optica`RTx$, $CellContext`LocRTy$, $CellContext`LocRTz$, \
$CellContext`rx$, $CellContext`rxhlp$, $CellContext`ry$, $CellContext`ryhlp$, \
$CellContext`rz$, $CellContext`rzhlp$, $CellContext`LocSCx$, \
$CellContext`LocSCy$, $CellContext`Sfinal$, $CellContext`sid$, \
$CellContext`sinangle$, $CellContext`Sinitial$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`surfaceid$, $CellContext`surfacenumber$, \
$CellContext`surfacerotationmatrix$, $CellContext`surfacetranslationvector$, \
$CellContext`surfnorm$, $CellContext`surfrot$, $CellContext`surftrans$, \
$CellContext`symr1$, $CellContext`symr2$, $CellContext`symr3$, \
$CellContext`symr4$, $CellContext`symr5$, $CellContext`symr6$, \
$CellContext`symr7$, $CellContext`symr8$, $CellContext`symr9$, \
$CellContext`tempclonedata$, $CellContext`terminatedeflection$, \
$CellContext`thresholdintensity$, $CellContext`tiltmagnitude$, \
$CellContext`transmatrix$, $CellContext`LocTV1$, $CellContext`LocTV10$, \
$CellContext`LocTV2$, $CellContext`LocTV3$, $CellContext`LocTV4$, \
$CellContext`LocTV5$, $CellContext`LocTV6$, $CellContext`LocTV7$, \
$CellContext`LocTV8$, $CellContext`LocTV9$, $CellContext`u$, \
$CellContext`unfilteredintersections$, $CellContext`unit$, $CellContext`uu$, \
$CellContext`ver$, $CellContext`wavelength$, $CellContext`XAxis$, \
$CellContext`xunit$, $CellContext`YAxis$, $CellContext`yunit$, \
$CellContext`ZAxis$, $CellContext`zunit$}, $CellContext`activeregion$ = 
            1.; $CellContext`Aelement$ = {0., 0., 
             0.}; $CellContext`allcreatedamplitudes$ = {{
              0. + 0. I, 0. + 0. I, 0. + 
               0. I}}; $CellContext`allcreatedrays$ = {{
             1.}}; $CellContext`allowzeroraylength$ = 
            True; $CellContext`alternateindex$ = 
            1.; $CellContext`amplitude$ = {
             1. + 0. I, 0. + 0. I, 0. + 0. I}; $CellContext`axismagnitude$ = 
            1.; $CellContext`axismatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
             0., 1.}}; $CellContext`Belement$ = {0., 0., 
             0.}; $CellContext`Celement$ = {0., 0., 
             0.}; $CellContext`clonedata$ = {{
             1.}}; $CellContext`clonegenerationnumber$ = 
            1.; $CellContext`cloneinput$ = {1.}; $CellContext`clonenumber$ = 
            1; $CellContext`cloneposition$ = {0., 0., 
             0.}; $CellContext`clonereportedrays$ = {{
             1.}}; $CellContext`clonerotation$ = {{
             1.}}; $CellContext`clonescale$ = 
            1.; $CellContext`clonescalevector$ = {
             1.}; $CellContext`clonesorthistogram$ = {
             1}; $CellContext`clonetraceinput$ = {{
             1.}}; $CellContext`clonetraceoutput$ = {{
             1.}}; $CellContext`closestdistances$ = {
             1.}; $CellContext`closestposition$ = 
            0; $CellContext`closestpositions$ = {
             0}; $CellContext`closestraylength$ = 
            1.; $CellContext`completedray$ = {
             1.}; $CellContext`componentnumber$ = -1.; $CellContext`cosangle$ = 
            1.; $CellContext`crossmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
             0., 1.}}; $CellContext`deflecteddummyrayspresent$ = 
            False; $CellContext`deflectedlocalrays$ = {{
             1.}}; $CellContext`deflectedrays$ = {{
             1.}}; $CellContext`deflectedrayspresent$ = 
            False; $CellContext`dummymatrix$ = {{
             1.}}; $CellContext`dummymatrixlist$ = {{{
             1.}}}; $CellContext`dummyvector$ = {1.}; $CellContext`frontid$ = 
            1.; $CellContext`generationlimit$ = 
            200.; $CellContext`generationnumber$ = 
            1.; $CellContext`holeintersections$ = {{-1., 0., 
             0.}}; $CellContext`holeQ$ = 
            False; $CellContext`holeQlist$ = {0}; $CellContext`hor$ = 
            1. + 0. I; $CellContext`index$ = 1.; $CellContext`index1$ = 
            1.; $CellContext`index2$ = 
            1.; $CellContext`indexpoints$ = {1.}; $CellContext`inrays$ = {{
             1.}}; $CellContext`integratedrefractiveindex$ = 
            0.; $CellContext`intensity$ = 1.; $CellContext`intensityscale$ = 
            1.; $CellContext`intersectionnumber$ = 
            1.; $CellContext`intersections$ = {{-1., 0., 
             0.}}; $CellContext`intersectionslist$ = {{{-1., 0., 
             0.}}}; $CellContext`intersectionspresent$ = 
            False; $CellContext`listofpositions$ = {{
             1.}}; $CellContext`listoftilts$ = {{
             1.}}; $CellContext`localdummyoutrayspresent$ = 
            False; $CellContext`localindex$ = 
            1.; $CellContext`localopticallength$ = 
            0.; $CellContext`localoutrays$ = {{
             1.}}; $CellContext`localoutrayspresent$ = 
            False; $CellContext`localpos$ = {0., 0., 
             0.}; $CellContext`localraylength$ = 
            0.; $CellContext`localrotation$ = {{
             1.}}; $CellContext`localtilt$ = {1., 0., 
             0.}; $CellContext`localtranslation$ = {1., 0., 
             0.}; $CellContext`magnitude$ = 
            1.; $CellContext`maxclonegenerationnumber$ = 
            1.; $CellContext`maximumposition$ = 
            1; $CellContext`minimumraylength$ = 
            0.0001; $CellContext`minresonateraylength$ = 
            1.; $CellContext`n12$ = 
            1.; $CellContext`newcomponentnumber$ = -1.; \
$CellContext`newdeflectedrays$ = {{1.}}; $CellContext`newdistance$ = 
            1.; $CellContext`newpos$ = {0., 0., 
             0.}; $CellContext`newsurfaceid$ = -1.; \
$CellContext`newsurfacenumber$ = -1.; $CellContext`newtilt$ = {1., 0., 
             0.}; $CellContext`Nfinal$ = 0.; $CellContext`Ninitial$ = 
            0.; $CellContext`ninteger$ = 
            1; $CellContext`nonintersectingrays$ = {{
             1.}}; $CellContext`normalizedpolarization$ = {1., 
             1.}; $CellContext`oldgenerationnumber$ = 
            1.; $CellContext`opticallength$ = 
            1.; $CellContext`opticallengths$ = {
             1.}; $CellContext`originalray$ = {
             1.}; $CellContext`originalraytilt$ = {
             1.}; $CellContext`originalrotation$ = {{1., 0., 0.}, {0., 1., 
             0.}, {0., 0., 1.}}; $CellContext`originalsurfnorm$ = {{
             1.}}; $CellContext`outrays$ = {{
             1.}}; $CellContext`parallelamplitude$ = 
            1. + 0. I; $CellContext`PAxis$ = {1., 0., 
             0.}; $CellContext`perpendicularamplitude$ = 
            1. + 0. I; $CellContext`phaseshift$ = 0.; $CellContext`pol1$ = 
            1.; $CellContext`pol2$ = 1.; $CellContext`pol3$ = 
            1.; $CellContext`previoustilt$ = {1., 0., 
             0.}; $CellContext`propagate$ = 
            True; $CellContext`propagatedrays$ = {{1.}}; $CellContext`r1$ = 
            1.; $CellContext`r2$ = 1.; $CellContext`r3$ = 
            1.; $CellContext`r4$ = 1.; $CellContext`r5$ = 
            1.; $CellContext`r6$ = 1.; $CellContext`r7$ = 
            1.; $CellContext`r8$ = 1.; $CellContext`r9$ = 
            1.; $CellContext`ray1$ = 1.; $CellContext`ray2$ = 
            1.; $CellContext`ray3$ = 1.; $CellContext`LocRayL$ = 
            1.; $CellContext`rayslot$ = 1.; $CellContext`raysreported$ = 
            False; $CellContext`raytiltx$ = 1.; $CellContext`raytiltz$ = 
            1.; $CellContext`reporteddummyrayspresent$ = 
            False; $CellContext`reportedlocalrays$ = {{
             1.}}; $CellContext`reportedrays$ = {{
             1.}}; $CellContext`reportedrayspresent$ = 
            False; $CellContext`resonateintersections$ = {{-1., 0., 
             0.}}; $CellContext`resonatenumber$ = 
            0; $CellContext`resonateraylength$ = 1.; $CellContext`rex$ = 
            1.; $CellContext`rey$ = 1.; $CellContext`rez$ = 
            1.; $CellContext`rsx$ = 1.; $CellContext`LocRSx$ = 
            1.; $CellContext`rSxOffset$ = 1.; $CellContext`rsy$ = 
            1.; $CellContext`LocRSy$ = 1.; $CellContext`rsz$ = 
            1.; $CellContext`LocRSz$ = 1.; 
           Optica`Optica`RTx$ = 1.; $CellContext`LocRTy$ = 
            1.; $CellContext`LocRTz$ = 1.; $CellContext`rx$ = 
            1.; $CellContext`rxhlp$ = 1.; $CellContext`ry$ = 
            1.; $CellContext`ryhlp$ = 1.; $CellContext`rz$ = 
            1.; $CellContext`rzhlp$ = 1.; $CellContext`LocSCx$ = 
            1.; $CellContext`LocSCy$ = 1.; $CellContext`Sfinal$ = 
            0.; $CellContext`sid$ = 1.; $CellContext`sinangle$ = 
            1.; $CellContext`Sinitial$ = 0.; $CellContext`sno1$ = 
            1.; $CellContext`sno2$ = 1.; $CellContext`sno3$ = 
            1.; $CellContext`sno4$ = 
            1.; $CellContext`surfaceid$ = -1.; $CellContext`surfacenumber$ = \
-1.; $CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 
             0., 1.}}; $CellContext`surfacetranslationvector$ = {0., 0., 
             0.}; $CellContext`surfnorm$ = {{1.}}; $CellContext`surfrot$ = {{
             1.}}; $CellContext`surftrans$ = {1., 0., 
             0.}; $CellContext`symr1$ = 1.; $CellContext`symr2$ = 
            1.; $CellContext`symr3$ = 1.; $CellContext`symr4$ = 
            1.; $CellContext`symr5$ = 1.; $CellContext`symr6$ = 
            1.; $CellContext`symr7$ = 1.; $CellContext`symr8$ = 
            1.; $CellContext`symr9$ = 
            1.; $CellContext`tempclonedata$ = {{
             1.}}; $CellContext`terminatedeflection$ = 
            False; $CellContext`thresholdintensity$ = 
            1.; $CellContext`tiltmagnitude$ = 
            1.; $CellContext`transmatrix$ = {{{1., 0., 0.}, {0., 1., 0.}, {0.,
              0., 1.}}}; $CellContext`LocTV1$ = 1.; $CellContext`LocTV10$ = 
            1.; $CellContext`LocTV2$ = 1.; $CellContext`LocTV3$ = 
            1.; $CellContext`LocTV4$ = 1.; $CellContext`LocTV5$ = 
            1.; $CellContext`LocTV6$ = 1.; $CellContext`LocTV7$ = 
            1.; $CellContext`LocTV8$ = 1.; $CellContext`LocTV9$ = 
            1.; $CellContext`u$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
             1.}}; $CellContext`unfilteredintersections$ = {{-1., 0., 
             0.}}; $CellContext`unit$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
             1.}}; $CellContext`uu$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
             1.}}; $CellContext`ver$ = 0. + 0. I; $CellContext`wavelength$ = 
            1.; $CellContext`XAxis$ = {1., 0., 0.}; $CellContext`xunit$ = 
            1.; $CellContext`YAxis$ = {1., 0., 0.}; $CellContext`yunit$ = 
            1.; $CellContext`ZAxis$ = {1., 0., 0.}; $CellContext`zunit$ = 
            1.; $CellContext`propagatedrays$ = 
            Join[{$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                  Cos[Degree $CellContext`th$$], 
                  Sin[Degree $CellContext`th$$], 0, -
                  Sin[Degree $CellContext`th$$], 
                  Cos[Degree $CellContext`th$$], 0, 0, 0, 1}]; 
              Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ $CellContext`symr7$ + \
$CellContext`x$$, $CellContext`rsx$ $CellContext`symr2$ + $CellContext`rsy$ \
$CellContext`symr5$ + $CellContext`rsz$ $CellContext`symr8$ + \
$CellContext`y$$, $CellContext`rsx$ $CellContext`symr3$ + $CellContext`rsy$ \
$CellContext`symr6$ + $CellContext`rsz$ $CellContext`symr9$}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`rex$ $CellContext`symr1$ + $CellContext`rey$ \
$CellContext`symr4$ + $CellContext`rez$ $CellContext`symr7$ + \
$CellContext`x$$, $CellContext`rex$ $CellContext`symr2$ + $CellContext`rey$ \
$CellContext`symr5$ + $CellContext`rez$ $CellContext`symr8$ + \
$CellContext`y$$, $CellContext`rex$ $CellContext`symr3$ + $CellContext`rey$ \
$CellContext`symr6$ + $CellContext`rez$ $CellContext`symr9$}; \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$} = \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}; \
{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$} = \
{$CellContext`r1$ $CellContext`symr1$ + $CellContext`r2$ $CellContext`symr4$ + \
$CellContext`r3$ $CellContext`symr7$, $CellContext`r1$ $CellContext`symr2$ + \
$CellContext`r2$ $CellContext`symr5$ + $CellContext`r3$ $CellContext`symr8$, \
$CellContext`r1$ $CellContext`symr3$ + $CellContext`r2$ $CellContext`symr6$ + \
$CellContext`r3$ $CellContext`symr9$}; {$CellContext`LocTV4$, \
$CellContext`LocTV5$, $CellContext`LocTV6$} = {$CellContext`r4$ \
$CellContext`symr1$ + $CellContext`r5$ $CellContext`symr4$ + $CellContext`r6$ \
$CellContext`symr7$, $CellContext`r4$ $CellContext`symr2$ + $CellContext`r5$ \
$CellContext`symr5$ + $CellContext`r6$ $CellContext`symr8$, $CellContext`r4$ \
$CellContext`symr3$ + $CellContext`r5$ $CellContext`symr6$ + $CellContext`r6$ \
$CellContext`symr9$}; {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$} = {$CellContext`r7$ $CellContext`symr1$ + \
$CellContext`r8$ $CellContext`symr4$ + $CellContext`r9$ $CellContext`symr7$, \
$CellContext`r7$ $CellContext`symr2$ + $CellContext`r8$ $CellContext`symr5$ + \
$CellContext`r9$ $CellContext`symr8$, $CellContext`r7$ $CellContext`symr3$ + \
$CellContext`r8$ $CellContext`symr6$ + $CellContext`r9$ $CellContext`symr9$}; \
{{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}} = {{$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$}, {$CellContext`LocTV4$, $CellContext`LocTV5$, \
$CellContext`LocTV6$}, {$CellContext`LocTV7$, $CellContext`LocTV8$, \
$CellContext`LocTV9$}}; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BnLBB3tK5RdI6d9VYXsIVRfpgK7viVJwlxQjLnMI
mQ8BBfofHJBphD5yzUXIAwCRAhbv
                
                "]]]; $CellContext`propagatedrays$ = 
            Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`componentnumber$ = 
               1.; $CellContext`frontid$ = 
               1.; {$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`propagatedrays$]; \
$CellContext`thresholdintensity$ = 1.; $CellContext`generationlimit$ = 
            200.; $CellContext`reportedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`generationnumber$ = 
            0.; ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

              "]; $CellContext`deflectedrayspresent$ = 
             True; $CellContext`reportedrayspresent$ = 
             False; $CellContext`propagate$ = True; While[
              
              And[$CellContext`deflectedrayspresent$, \
$CellContext`propagate$], 
              AddTo[$CellContext`generationnumber$, 
                1.]; ($CellContext`deflecteddummyrayspresent$ = 
                False; $CellContext`deflectedrayspresent$ = 
                False; $CellContext`reportedrayspresent$ = 
                False; $CellContext`reporteddummyrayspresent$ = 
                True; $CellContext`localdummyoutrayspresent$ = 
                False; $CellContext`localoutrayspresent$ = 
                False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
                Map[Flatten[#, 1]& , 
                  Transpose[
                   
                   Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -10. + \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5634}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 5., Part[#, 2] >= -5., Part[#, 3] >= -5., 
                    Part[#, 3] <= 5.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5634 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5634), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5634, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5634}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65595.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -25. + \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5635}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 5., Part[#, 2] >= -5., Part[#, 3] >= -5., 
                    Part[#, 3] <= 5.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5635 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5635), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5635, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5635}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65624.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -5. + \
$CellContext`rez$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
-(-17.5 + $CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5630}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 5., Part[#, 2] >= -5., Part[#, 3] >= -7.5, 
                    Part[#, 3] <= 7.5]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5630 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5630), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5630, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5630}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65475.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(
                    5. + $CellContext`rez$); $CellContext`ry$ = \
-$CellContext`rey$; $CellContext`rz$ = -(-17.5 + $CellContext`rex$); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5631}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 5., Part[#, 2] >= -5., Part[#, 3] >= -7.5, 
                    Part[#, 3] <= 7.5]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5631 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5631), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5631, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5631}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65505.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-5. + \
$CellContext`rey$); $CellContext`ry$ = -17.5 + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5632}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 7.5, Part[#, 2] >= -7.5, Part[#, 3] >= -5., 
                    Part[#, 3] <= 5.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5632 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5632), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5632, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5632}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65535.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    5. + $CellContext`rey$; $CellContext`ry$ = -(-17.5 + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5633}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 7.5, Part[#, 2] >= -7.5, Part[#, 3] >= -5., 
                    Part[#, 3] <= 5.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5633 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5633), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5633, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5633}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 65565.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -10. + \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 1., 
                    65595.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 1., 
                    65595.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    10. + $CellContext`rxhlp$; $CellContext`rey$ = \
$CellContext`ryhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {10., 0, 0}
                    ; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -25. + \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 2., 
                    65624.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 2., 
                    65624.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    25. + $CellContext`rxhlp$; $CellContext`rey$ = \
$CellContext`ryhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    25., 0, 
                    0}; $CellContext`activeregion$ = -1.; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -5. + \
$CellContext`rez$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
-(-17.5 + $CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 3., 
                    65475.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 3., 
                    65475.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    17.5 - 1. $CellContext`rzhlp$; $CellContext`rey$ = \
$CellContext`ryhlp$; $CellContext`rez$ = 
                    5. + $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {0., 1., 0.}, {-1., 0., 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    17.5, 0, 5.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(
                    5. + $CellContext`rez$); $CellContext`ry$ = \
-$CellContext`rey$; $CellContext`rz$ = -(-17.5 + $CellContext`rex$); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 4., 
                    65505.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 4., 
                    65505.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    17.5 - 1. $CellContext`rzhlp$; $CellContext`rey$ = \
-$CellContext`ryhlp$; $CellContext`rez$ = -5. - 
                    1. $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., -1.}, {0., -1., 0.}, {-1., 0.,
                     0.}}; $CellContext`surfacetranslationvector$ = {
                    17.5, 0, -5.}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-5. + \
$CellContext`rey$); $CellContext`ry$ = -17.5 + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 5., 
                    65535.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 5., 
                    65535.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    17.5 + $CellContext`ryhlp$; $CellContext`rey$ = 
                    5. - 1. $CellContext`rxhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    17.5, 5., 0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., If[
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    5. + $CellContext`rey$; $CellContext`ry$ = -(-17.5 + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 6., 
                    65565.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 6., 
                    65565.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    17.5 - 1. $CellContext`ryhlp$; $CellContext`rey$ = -5. + \
$CellContext`rxhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    17.5, -5., 0}; $CellContext`activeregion$ = 
                    1.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[
                    Abs[$CellContext`raytiltx$] < 1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]; \
($CellContext`originalray$ = 
                    First[$CellContext`allcreatedrays$]; \
$CellContext`completedray$ = $CellContext`originalray$); \
$CellContext`deflectedrays$ = $CellContext`allcreatedrays$; \
$CellContext`newdeflectedrays$ = {$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[$CellContext`activeregion$ Part[
                    
                    Dot[$CellContext`surfacerotationmatrix$, \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}], 1] > 
                    0, $CellContext`index2$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = 
                    Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]], \
$CellContext`index2$ = Sqrt[1.0005281111748805` - 
                    2.364805676582992*^-10 $CellContext`wavelength$^2 + 
                    2.9781670902982902`*^-6/$CellContext`wavelength$^2 + 
                    2.6004099469477187`*^-8/$CellContext`wavelength$^4 + 
                    3.7787839314048715`*^-10/$CellContext`wavelength$^6 + 
                    2.830549017940716*^-12/$CellContext`wavelength$^8]; \
$CellContext`index1$ = $CellContext`index$; 
                    If[Abs[$CellContext`index2$ - $CellContext`index1$] < 
                    0.01, $CellContext`alternateindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    If[Abs[$CellContext`alternateindex$ - \
$CellContext`index1$] > 
                    Abs[$CellContext`index2$ - $CellContext`index1$], \
$CellContext`index1$ = $CellContext`index2$; $CellContext`index2$ = \
$CellContext`alternateindex$, $CellContext`index1$ = \
$CellContext`alternateindex$], $CellContext`index1$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)]]; \
$CellContext`n12$ = $CellContext`index1$/$CellContext`index2$; \
$CellContext`index$ = $CellContext`index2$; 
                    If[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2 >= 
                    0., $CellContext`dummyvector$ = $CellContext`n12$ \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} + $CellContext`ZAxis$ \
(-($CellContext`n12$ $CellContext`raytiltz$) + 
                    Sqrt[1 - $CellContext`n12$^2 $CellContext`raytiltx$^2]); \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = \
$CellContext`dummyvector$; 1., 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`index2$ = $CellContext`index1$; \
$CellContext`index$ = $CellContext`index1$; $CellContext`dummyvector$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - 
                    2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; 
                    1.]; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`newdeflectedrays$ = \
{$CellContext`originalray$}; 
                    Scan[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; ($CellContext`ZAxis$ = 
                    First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{I 0., I 0., I 0.}}; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; \
$CellContext`surftrans$ = $CellContext`surfacetranslationvector$; \
$CellContext`surfrot$ = $CellContext`surfacerotationmatrix$; 
                    Which[$CellContext`surfaceid$ == 
                    65595, $CellContext`localtranslation$ = {0, 0, 
                    0}; $CellContext`localrotation$ = {{1, 0, 0}, {0, 1, 0}, {
                    0, 0, 1}}, $CellContext`surfaceid$ == 
                    65624, $CellContext`localtranslation$ = {15., 0., 
                    0.}; $CellContext`localrotation$ = {{1., 0., 0.}, {0., 1.,
                     0.}, {0., 0., 1.}}, $CellContext`surfaceid$ == 
                    65475, $CellContext`localtranslation$ = {7.5, 0., 
                    5.}; $CellContext`localrotation$ = {{0., 0., 1.}, {0., 1.,
                     0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65505, $CellContext`localtranslation$ = {7.5, 
                    0., -5.}; $CellContext`localrotation$ = {{0., 0., -1.}, {
                    0., -1., 0.}, {-1., 0., 0.}}, $CellContext`surfaceid$ == 
                    65535, $CellContext`localtranslation$ = {7.5, 5., 
                    0.}; $CellContext`localrotation$ = {{0., -1., 0.}, {1., 
                    0., 0.}, {0., 0., 1.}}, 
                    True, $CellContext`localtranslation$ = {7.5, -5., 
                    0.}; $CellContext`localrotation$ = {{0., 1., 0.}, {-1., 
                    0., 0.}, {0., 0., 1.}}]; $CellContext`localopticallength$ = 
                    0.; $CellContext`localraylength$ = 
                    0.; $CellContext`integratedrefractiveindex$ = 
                    0.; $CellContext`localpos$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$} - $CellContext`surftrans$]; \
$CellContext`localtilt$ = 
                    Dot[$CellContext`surfrot$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[$CellContext`activeregion$ 
                    Part[$CellContext`localtilt$, 1] > 
                    0, {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$; $CellContext`localpos$ = 
                    Dot[$CellContext`localpos$, $CellContext`localrotation$] + \
$CellContext`localtranslation$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localtilt$, $CellContext`localrotation$]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`localindex$ = $CellContext`index$; \
$CellContext`localindex$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`listofpositions$ = {{$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}}; $CellContext`listoftilts$ = {{
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}}; $CellContext`indexpoints$ = \
{$CellContext`localindex$}; $CellContext`opticallengths$ = \
{$CellContext`opticallength$}; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; $CellContext`localtilt$ = \
$CellContext`localindex$ $CellContext`localtilt$; $CellContext`Ninitial$ = \
$CellContext`localindex$^2; $CellContext`Sinitial$ = 
                    0.15^2 Dot[{($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}, $CellContext`localtilt$]; $CellContext`rSxOffset$ = 
                    0.; While[
                    And[
                    Plus[15.] - ($CellContext`LocRSx$ - \
$CellContext`rSxOffset$) >= (-0.01) 0.15, 
                    Plus[$CellContext`LocRSx$ - $CellContext`rSxOffset$] >= \
(-0.01) 0.15, 
                    And[
                    0.99999 $CellContext`LocRSy$ <= 5., 
                    0.99999 $CellContext`LocRSy$ >= -5., 
                    0.99999 $CellContext`LocRSz$ >= -5., 
                    0.99999 $CellContext`LocRSz$ <= 
                    5.]], $CellContext`localraylength$ = \
($CellContext`localraylength$ + Sqrt[
                    
                    Dot[#, #]]& )[$CellContext`localpos$ - \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; \
$CellContext`localpos$ = {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$}; 
                    AppendTo[$CellContext`listofpositions$, \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$}]; 
                    AppendTo[$CellContext`listoftilts$, {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}]; $CellContext`localindex$ = $CellContext`base$$ + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); 
                    AppendTo[$CellContext`indexpoints$, \
$CellContext`localindex$]; $CellContext`opticallengths$ = 
                    Append[$CellContext`opticallengths$, 
                    
                    Last[$CellContext`opticallengths$] + \
$CellContext`localindex$ 
                    0.15]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ + $CellContext`localindex$^2; \
$CellContext`localtilt$ = $CellContext`localindex$ {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$}; $CellContext`Aelement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + (
                    0.15 $CellContext`localtilt$)/
                    2. + (0.15 $CellContext`Aelement$)/
                    8.; $CellContext`Belement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 
                    0}; {$CellContext`LocRSx$, $CellContext`LocRSy$, \
$CellContext`LocRSz$} = $CellContext`localpos$ + 
                    0.15 $CellContext`localtilt$ + (
                    0.15 $CellContext`Belement$)/2; $CellContext`Celement$ = 
                    0.15 {($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSx$ - $CellContext`x1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSx$ - \
$CellContext`x4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), ($CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2)) (((-2) \
$CellContext`hh$$ ($CellContext`LocRSy$ - $CellContext`y1$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y2$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y3$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2) - (
                    2 $CellContext`hh$$ ($CellContext`LocRSy$ - \
$CellContext`y4$$))/(
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2) \
$CellContext`rr$$^2)), 0}; $CellContext`newpos$ = $CellContext`localpos$ + 
                    0.15 ($CellContext`localtilt$ + ($CellContext`Aelement$ + 
                    2 $CellContext`Belement$)/
                    6); $CellContext`newtilt$ = $CellContext`localtilt$ + \
($CellContext`Aelement$ + 4. $CellContext`Aelement$ + $CellContext`Celement$)/
                    6.; $CellContext`newtilt$ = $CellContext`newtilt$/Sqrt[
                    
                    Dot[$CellContext`newtilt$, $CellContext`newtilt$]]; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`newpos$; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`newtilt$; 
                    1.]; $CellContext`integratedrefractiveindex$ = \
$CellContext`integratedrefractiveindex$ - $CellContext`localindex$^2; \
{$CellContext`LocRSx$, $CellContext`LocRSy$, $CellContext`LocRSz$} = \
$CellContext`localpos$; $CellContext`Sfinal$ = 
                    0.15 Dot[$CellContext`Aelement$, $CellContext`localtilt$]; \
$CellContext`Nfinal$ = $CellContext`localindex$^2; $CellContext`localtilt$ = \
$CellContext`localtilt$/Sqrt[
                    Dot[$CellContext`localtilt$, $CellContext`localtilt$]]; {
                    Optica`Optica`RTx$, $CellContext`LocRTy$, \
$CellContext`LocRTz$} = $CellContext`localtilt$; \
$CellContext`localopticallength$ = 
                    0.15 $CellContext`integratedrefractiveindex$ - \
($CellContext`Sfinal$ - $CellContext`Sinitial$)/
                    6 + (0.15 ($CellContext`Nfinal$ - \
$CellContext`Ninitial$))/
                    2; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`localopticallength$; \
$CellContext`ray1$ = $CellContext`localraylength$; $CellContext`localpos$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localpos$ - \
$CellContext`localtranslation$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Dot[$CellContext`localpos$, $CellContext`surfrot$] + \
$CellContext`surftrans$; $CellContext`localtilt$ = 
                    Dot[$CellContext`localrotation$, $CellContext`localtilt$]; \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} = 
                    Dot[$CellContext`localtilt$, $CellContext`surfrot$]; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$} = \
{$CellContext`rex$, $CellContext`rey$, $CellContext`rez$}; \
$CellContext`index$ = $CellContext`base$$ + $CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x1$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y1$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x2$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y2$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x3$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y3$$)^2)/$CellContext`rr$$^2) + \
$CellContext`hh$$/
                    E^((($CellContext`LocRSx$ - $CellContext`x4$$)^2 + \
($CellContext`LocRSy$ - $CellContext`y4$$)^2)/$CellContext`rr$$^2); \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`listofpositions$ = 
                    Map[Dot[$CellContext`localrotation$, # - \
$CellContext`localtranslation$]& , $CellContext`listofpositions$]; \
$CellContext`listofpositions$ = Map[
                    Dot[#, $CellContext`surfrot$] + $CellContext`surftrans$& \
, $CellContext`listofpositions$]; $CellContext`listoftilts$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`listoftilts$]; \
$CellContext`listoftilts$ = Map[
                    Dot[#, $CellContext`surfrot$]& , \
$CellContext`listoftilts$]; If[
                    
                    And[$CellContext`reportedrayspresent$, 
                    Length[$CellContext`indexpoints$] > 
                    1], $CellContext`reportedrays$ = 
                    Join[$CellContext`reportedrays$, 
                    
                    Table[{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$]; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = 
                    Part[$CellContext`listofpositions$, \
$CellContext`ninteger$ + 
                    1]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = 
                    Part[$CellContext`listoftilts$, $CellContext`ninteger$]; \
$CellContext`ray1$ = 0.15; $CellContext`index$ = 
                    Part[$CellContext`indexpoints$, $CellContext`ninteger$]; \
$CellContext`opticallength$ = 
                    Part[$CellContext`opticallengths$, \
$CellContext`ninteger$]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`ninteger$, 1, 
                    Length[$CellContext`indexpoints$] - 1}]]; 1., 
                    1.]; $CellContext`allcreatedrays$, \
$CellContext`allcreatedrays$ = {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}]; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; If[
                    Chop[$CellContext`axismagnitude$] != 
                    0., $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1.]; $CellContext`sinangle$ = 
                    1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - 
                    If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
$CellContext`newdeflectedrays$ = 
                    Join[$CellContext`newdeflectedrays$, \
$CellContext`allcreatedrays$])& , $CellContext`deflectedrays$]; \
$CellContext`allcreatedrays$ = 
                    Drop[$CellContext`newdeflectedrays$, 
                    1]; $CellContext`deflectedrays$ = \
$CellContext`allcreatedrays$; $CellContext`deflectedrays$ = 
                    MapIndexed[ReplacePart[#, 
                    First[#2], 
                    34]& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = $CellContext`deflectedrays$); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                 
                 And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                 Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                  1., 1.]; 
               If[$CellContext`localoutrayspresent$, 
                 If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                    Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 
                   1., 1.]; $CellContext`outrays$ = 
                  Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1.,
                  1.]; If[
                 
                 And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                  Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                 1., 1.]); 
              If[$CellContext`reportedrayspresent$, \
$CellContext`raysreported$ = True; $CellContext`reportedrays$ = 
                 Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                   
                   "], $CellContext`reportedlocalrays$]; 1., 
                1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
             If[Length[$CellContext`outrays$] > 1, 
               Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
              
              And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
               Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 
              1.]); ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

              "]; $CellContext`deflectedrayspresent$ = 
             True; $CellContext`reportedrayspresent$ = 
             False; $CellContext`propagate$ = True; While[
              
              And[$CellContext`deflectedrayspresent$, \
$CellContext`propagate$], 
              AddTo[$CellContext`generationnumber$, 
                1.]; ($CellContext`deflecteddummyrayspresent$ = 
                False; $CellContext`deflectedrayspresent$ = 
                False; $CellContext`reportedrayspresent$ = 
                False; $CellContext`reporteddummyrayspresent$ = 
                True; $CellContext`localdummyoutrayspresent$ = 
                False; $CellContext`localoutrayspresent$ = 
                False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
                Map[Flatten[#, 1]& , 
                  Transpose[
                   
                   Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-40. + \
$CellContext`rex$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5664}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5664 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5664), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5664, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5664}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66400.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rey$; $CellContext`ry$ = -(-20. + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5707}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 20., Part[#, 2] >= -20., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5707 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5707), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5707, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5707}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66401.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5664}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5664 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5664), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5664, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5664}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66402.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rey$); $CellContext`ry$ = -20. + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5707}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 20., Part[#, 2] >= -20., Part[#, 3] >= -15.,
                     Part[#, 3] <= 15.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5707 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5707), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5707, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5707}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66403.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = -(-20. + $CellContext`rex$); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5706}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -20.,
                     Part[#, 3] <= 20.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5706 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5706), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5706, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5706}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66404.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
-(-20. + $CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = Block[{Compile`$5706}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 15., Part[#, 2] >= -15., Part[#, 3] >= -20.,
                     Part[#, 3] <= 20.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$5706 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$5706), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$5706, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$5706}]}, {{-1., 0., 0.}}]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 66405.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r1$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-40. + \
$CellContext`rex$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 1., 
                    66400.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 1., 
                    66400.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    40. - 1. $CellContext`rxhlp$; $CellContext`rey$ = \
-$CellContext`ryhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{-1., 0., 0.}, {0., -1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    40., 0, 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r2$; $CellContext`yunit$ = \
-$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rey$; $CellContext`ry$ = -(-20. + \
$CellContext`rex$); $CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 2., 
                    66401.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 2., 
                    66401.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. - 1. $CellContext`ryhlp$; $CellContext`rey$ = -15. + \
$CellContext`rxhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    20., -15., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 3., 
                    66402.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 3., 
                    66402.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rxhlp$; $CellContext`rey$ = $CellContext`ryhlp$; \
$CellContext`rez$ = $CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1, 0, 0}, {0, 1, 0}, {0, 0, 
                    1}}; $CellContext`surfacetranslationvector$ = {0, 0, 
                    0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    4, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r2$; $CellContext`yunit$ = \
$CellContext`r1$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                    Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rey$); $CellContext`ry$ = -20. + $CellContext`rex$; \
$CellContext`rz$ = $CellContext`rez$; $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 4., 
                    66403.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 4., 
                    66403.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. + $CellContext`ryhlp$; $CellContext`rey$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rez$ = \
$CellContext`rzhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 1., 0.}, {-1., 0., 0.}, {0., 0., 
                    1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., -1., 0.}, {1., 0., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    20., 15., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    5, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r3$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = 
                    15. + $CellContext`rez$; $CellContext`ry$ = \
$CellContext`rey$; $CellContext`rz$ = -(-20. + $CellContext`rex$); \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 5., 
                    66404.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 5., 
                    66404.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. - 1. $CellContext`rzhlp$; $CellContext`rey$ = \
$CellContext`ryhlp$; $CellContext`rez$ = -15. + $CellContext`rxhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., 1., 0.}, {1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., 1.}, {0., 1., 0.}, {-1., 0., 
                    0.}}; $CellContext`surfacetranslationvector$ = {
                    20., 0, -15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    6, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = -$CellContext`r3$; $CellContext`yunit$ = \
-$CellContext`r2$; $CellContext`zunit$ = -$CellContext`r1$; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -(-15. + \
$CellContext`rez$); $CellContext`ry$ = -$CellContext`rey$; $CellContext`rz$ = \
-(-20. + $CellContext`rex$); $CellContext`rx$ = 
                    Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 6., 
                    66405.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 6., 
                    66405.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    20. - 1. $CellContext`rzhlp$; $CellContext`rey$ = \
-$CellContext`ryhlp$; $CellContext`rez$ = 
                    15. - 1. $CellContext`rxhlp$; $CellContext`rex$ = 
                    Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[Dot[{{0., 0., -1.}, {0., -1., 0.}, {-1., 0., 
                    0.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{0., 0., -1.}, {0., -1., 0.}, {-1., 0.,
                     0.}}; $CellContext`surfacetranslationvector$ = {
                    20., 0, 15.}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`intensity$ = 
                    0.; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}); {$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                 
                 And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                 Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                  1., 1.]; 
               If[$CellContext`localoutrayspresent$, 
                 If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                    Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 
                   1., 1.]; $CellContext`outrays$ = 
                  Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1.,
                  1.]; If[
                 
                 And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                  Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                 1., 1.]); 
              If[$CellContext`reportedrayspresent$, \
$CellContext`raysreported$ = True; $CellContext`reportedrays$ = 
                 Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                   
                   "], $CellContext`reportedlocalrays$]; 1., 
                1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
             If[Length[$CellContext`outrays$] > 1, 
               Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
              
              And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
               Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 1.]); 
           If[Length[$CellContext`reportedrays$] > 
             2, $CellContext`reportedrays$ = 
             Drop[$CellContext`reportedrays$, 2], $CellContext`reportedrays$]; 
           Map[{
              Part[#, 1], 
              Part[#, 2], 
              Part[#, 3], 
              Part[#, 4], 
              Part[#, 5], 
              
              Part[#, 6]}& , $CellContext`reportedrays$]], \
$CellContext`compileoptionsetting$]]); Typeset`initDone$$ = True),
    SynchronousInitialization->False,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False,
   DynamicEvaluationTimeout->100],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.554142939131271*^9}]
}, Open  ]]
},
WindowSize->{1183, 899},
WindowMargins->{{61, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 18183, 411, 478, "Input"],
Cell[18753, 435, 1381185, 23164, 859, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
