(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   1735770,      29116]
NotebookOptionsPosition[   1734591,      29077]
NotebookOutlinePosition[   1735026,      29094]
CellTagsIndexPosition[   1734983,      29091]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ThMirror", "[", "focallength_", "]"}], " ", ":=", " ", 
    RowBox[{"CustomMirror", "[", 
     RowBox[{
      RowBox[{"Function", "[", 
       RowBox[{
        RowBox[{"#2", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"4", "*", "focallength"}], ")"}]}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
        "5", "*", "10.163", "*", " ", ".0254", " ", "*", " ", "1000."}], ",", 
        " ", 
        RowBox[{"144.", "*", " ", ".0254", " ", "*", " ", "1000."}]}], "}"}], 
      ",", 
      RowBox[{"SurfaceRayIntersections", " ", "->", " ", "Symbol"}], ",", " ", 
      RowBox[{"BoundingBox", " ", "\[Rule]", " ", "False"}]}], "]"}]}], ";"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ThMirror1", " ", "=", " ", 
    RowBox[{"ThMirror", "[", 
     RowBox[{".5", "*", "144.", "*", " ", ".0254", " ", "*", " ", "1000."}], 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Thsystem1", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"GridOfRays", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"4000", ",", "4000"}], "}"}], " ", ",", 
          RowBox[{"NumberOfRays", " ", "->", " ", "8"}], ",", 
          RowBox[{"WaveLength", " ", "\[Rule]", " ", ".4"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"4000", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"sunange", ",", " ", "180"}], "}"}]}], " ", "]"}], ",", "\n",
       "   ", 
      RowBox[{"Resonate", "[", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Move", "[", 
          RowBox[{"ThMirror1", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", " ", 
             RowBox[{"-", "1300"}]}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"ang1", ",", " ", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Move", "[", 
          RowBox[{"ThMirror1", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"ang1", ",", " ", "0"}], "}"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Move", "[", 
          RowBox[{"ThMirror1", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", " ", "1300"}], "}"}], " ", ",", " ", 
           RowBox[{"{", 
            RowBox[{"ang1", ",", " ", "0"}], "}"}]}], "]"}]}], "}"}], "]"}], 
      ",", "\n", "\n", " ", 
      RowBox[{"(*", " ", 
       RowBox[{"put", " ", "screen", " ", "at", " ", "focus", " ", "point"}], 
       "  ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"Screen", " ", "[", 
         RowBox[{"{", 
          RowBox[{"6000", ",", "400"}], "}"}], "]"}], ",", " ", 
        RowBox[{
        ".5", "*", "144.", "*", " ", ".0254", " ", "*", " ", "1000"}]}], "  ",
        "]"}]}], "\[IndentingNewLine]", "}"}]}], ";"}], "\[IndentingNewLine]",
   "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"trace", " ", "=", " ", 
    RowBox[{"TurboPlot", "[", "Thsystem1", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"focus", "=", 
    RowBox[{"FindFocus", "[", "trace", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"focusintensity", "=", 
  RowBox[{"FindIntensity", "[", "Thsystem1", "]"}]}]}], "Input",
 CellChangeTimes->{{3.418652257*^9, 3.418652257171875*^9}, {
   3.41865229190625*^9, 3.418652403125*^9}, {3.41865243728125*^9, 
   3.41865256325*^9}, {3.41865292759375*^9, 3.418652936453125*^9}, {
   3.41865306003125*^9, 3.418653090453125*^9}, {3.418653182921875*^9, 
   3.418653220625*^9}, {3.41865329934375*^9, 3.418653313125*^9}, 
   3.41865335196875*^9, {3.418653590921875*^9, 3.41865359134375*^9}, {
   3.418653655515625*^9, 3.41865370134375*^9}, {3.418655338046875*^9, 
   3.4186553830625*^9}, {3.41865553259375*^9, 3.418655539875*^9}, {
   3.418655592671875*^9, 3.4186556430625*^9}, {3.418656450828125*^9, 
   3.41865646246875*^9}, {3.418659141890625*^9, 3.418659143890625*^9}, {
   3.418659212015625*^9, 3.418659221765625*^9}, {3.418659304859375*^9, 
   3.418659312609375*^9}, {3.41865965484375*^9, 3.4186596891875*^9}, {
   3.41986367975*^9, 3.41986368265625*^9}, {3.419863907265625*^9, 
   3.419863949609375*^9}, {3.419864145625*^9, 3.41986414846875*^9}, {
   3.41986487334375*^9, 3.419864878109375*^9}, {3.41986492396875*^9, 
   3.41986492403125*^9}, 3.4198658005625*^9, {3.41986640621875*^9, 
   3.419866425015625*^9}, {3.4198665615625*^9, 3.41986656178125*^9}, {
   3.41986671225*^9, 3.419866713296875*^9}, {3.41986684040625*^9, 
   3.419866875984375*^9}, {3.419866908125*^9, 3.419866961015625*^9}, {
   3.41986777515625*^9, 3.419867791015625*^9}, {3.4198679731875*^9, 
   3.41986799875*^9}, {3.419868040265625*^9, 3.419868059296875*^9}, {
   3.419868196046875*^9, 3.419868227625*^9}, {3.4198682685625*^9, 
   3.41986826934375*^9}, {3.419868584109375*^9, 3.419868591796875*^9}, {
   3.419868625453125*^9, 3.41986880803125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Please be advised that one or more singularities have been \
isolated in the \"\>", 
   "\[InvisibleSpace]", "\<\"SurfaceIntersectionFunction\"\>", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Please be advised that one or more singularities have been isolated in the \
", "SurfaceIntersectionFunction", "."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.419867018796875*^9, 3.41986779878125*^9, 3.4198680068125*^9, 
   3.419868203609375*^9, 3.41986825753125*^9, 3.419868307375*^9, 
   3.41986860071875*^9, {3.419868634578125*^9, 3.41986881575*^9}, {
   3.6147499458350773`*^9, 3.614749966055892*^9}}],

Cell[BoxData["\<\"No further action is necessary.\"\>"], "Print",
 CellChangeTimes->{
  3.419867018796875*^9, 3.41986779878125*^9, 3.4198680068125*^9, 
   3.419868203609375*^9, 3.41986825753125*^9, 3.419868307375*^9, 
   3.41986860071875*^9, {3.419868634578125*^9, 3.41986881575*^9}, {
   3.6147499458350773`*^9, 3.61474996605802*^9}}],

Cell[BoxData[
 Graphics3DBox[
  {RGBColor[0.4, 0.6, 0.8], AbsolutePointSize[1.], AbsoluteThickness[1.], 
   EdgeForm[None], Polygon3DBox[CompressedData["
1:eJyd2rGLHGUcxvGVTcBC7O1MJ4IWKorFwWER2O6wSCUWgc2QwcNCRTntLoUg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    "]], 
   {GrayLevel[0.], AbsoluteThickness[0.5], 
    StyleBox[Line3DBox[{CompressedData["
1:eJxTTMoPSmViYGDgB2JmBgT4d6XiZVrqvAMMaOBfb4Dbe47ZGOL/3TQWl6+Z
jiEOBgFTMMQZd16P6fg8AUOc+UlcsaJeN4Y4axifrlFpC9HiuMzBZS8ud+Ly
F65wwBluaOIAphg8Kg==
       "], CompressedData["
1:eJxTTMoPSmViYGDgB2JmIDYGgck1DgwgEDDlAIQ/50B6GghkwsXPngECnskH
ssDinnDxc2Dx5gPVLCVhn149tISJM0AYexPQ1J+CqHdIQjP/NMR8B3009xhC
3OOAw50OONzpgMOdDjjcaYvDnQdwuPMADncewBWeALzgfgg=
       "], CompressedData["
1:eJxTTMoPSmViYGDgB2JmBgT4vfLjpbNaLQcY0MAvcyfJvY+rcIhnYYjjAj8g
6h1wmI8hDnUP0eK4zPmFw14C7jyAw3wMcVzhhi4OANWePdQ=
       "], CompressedData["
1:eJxTTMoPSmViYGDgB2JmIDYGgck1DgxQAOHPOZCeBgKZcPGzZ4CAZ/KBLLC4
J1z8HFi8+UA1S0nYp1cPLRlQQMDeBDT1pyDqHZLQzD8NMd9BH809hhD3OOBw
pwMOdzrgcKcDDnfa4nDnARzuPIDDnQdwhScApfllbA==
       "], CompressedData["
1:eJxTTMoPSmViYGDgB2JmBgRgDePTNSptcWBAA8xP4ooV9boxxBl3Xo/p+DwB
QxwMAqZgiP9301hcvmY6hvi/3gC39xyzMcWvVLxMS51HvDgOc3DZi8uduPyF
KxxwhRu6OABNPzHP
       "], CompressedData["
1:eJxTTMoPSmViYGDgB2JmIDYGgck1DgwgEDDFAcKfcyA9DQQy4eJnzwABz+QD
WWBxT7j4ObB484FqlpKwT68eWsLEGSCMvQlo6k9B1DskoZl/GmK+gz6aewwh
7nHA4U4HHO50wOFOBxzutMXhzgM43HkAhzsP4ApPAI0Vdog=
       "], CompressedData["
1:eJxTTMoPSmViYGCQAWJmIDYGgck1Dv+uVLxMS513AMKf4wAX7w1we88xG0P8
v5vG4vI10zHEGUAgYAqGOOPO6zEdnydgiDM/iStW1OvGEGcN49M1Km0hKJ6a
BgKZcPEzIMAzGSruiSbe7FDNUhL26dVDS5g4A8TBe7PQ1J+DqD+Qjmb+WYj5
B8zR3GMKcc8BHO48gMO/cHG08IGLo4UnXBwt/OHiaPGFEEeNX5zisPCEiUPD
8wAsPFHFmw/AwhMmDg1P2yw09dDwdEhHMx8ang7maO6BhqcDAFC2El0=
       "], CompressedData["
1:eJxTTMoPSmViYGCQAWJmIDYGgck1Dr9Xfrx0VqvlAIQ/xwEm/svcSXLv4yoc
4lkY4gxQgC7+A6LeAYf5GOJQ9xAUT00DgUy4+BkQ4JkMFfdEE292qGYpCfv0
6qElTBzi2oC9WWjqz0HUH0hHM/8sxPwD5mjuMYW45wAOdx7A4V808SwMcbTw
hIv/QA1/dPMxxNHiF6c4WngegIbnAbTwhIo3H0ALzwPQ8LRFC88D0PB0QAvP
A9DwdEALzwPQ8HQAANFHKBI=
       "], CompressedData["
1:eJxTTMoPSmViYGCQAWJmIDYGgck1DqxhfLpGpS0OEP4cB5g485O4YkW9bgxx
xp3XYzo+T8AQZwCBgCkY4v/dNBaXr5mOIf6vN8DtPcdsTPErFS/TUucRFE9N
A4FMuPgZEOCZDBX3RBNvdqhmKQn79OqhJUycAeLgvVlo6s9B1B9IRzP/LMT8
A+Zo7jGFuOcADncewOFfuDha+MDF0cITLo4W/nBxtPiCi6PFL05xWHjCxKHh
eQAWnqjizQdg4QkTh4anbRaaemh4OqSjmQ8NTwdzNPdAw9MBAFc+BF0=
       "]}],
     FontColor->GrayLevel[0.]]}, 
   {GrayLevel[0.], AbsoluteThickness[0.5], 
    StyleBox[Line3DBox[{CompressedData["
1:eJxTTMoPSmViYGDgB2JmIDYGgclzHBhAoGD5AQYoQBF3mI9DvB+7OBJAU++A
XXw+dvGC5aSJ4zIHl7243YnDvzjCAVe4IYkDAAblORs=
       "], CompressedData["
1:eJxTTMoPSmViYGDgB2JmIDYGgclzHBhQQOYBdPHVq0AgAUN8DVg8AEMcAhT2
oouvgKh3wC6egCH+7z8IZGCIQ92JIb4ahzlrcNgLdactDndi+GsFjnCAuhNH
OGQeAAAWrV7F
       "], {{1828.8, -3000., -200.}, {1828.8, 3000., -200.}, {1828.8, 3000., 
       200.}, {1828.8, -3000., 200.}, {1828.8, -3000., -200.}}}],
     FontColor->GrayLevel[0.]]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJyVlTFKA0EYRhc9hpUQPIBeYEpTKJhOS8EyhFzDchWx8A5WBrGawsYzBDyH
lbhRZ0jezyOZhSXhyyPZ/5H5v8Pr2eRmv+u60+HeG+7V+98rPafRuB+NJw/l
NX+9LM7eZvOQF75fBR+3gWde+NfpcjFdzgPPHHwWPpO///vdwDPHvIFnTj//
8+U8+nx8P7gMOf2QZ04/5JnTj/CZfPFAnjn9yLzG19/vrr7P+4ujmMMP+ZDD
D/mQw4/wmXzxQD7k8CPzGl+fV/wk8ZPETxI/SfyQz8Jn8vCQxE8SP5zX+PJ9
ieer5PRDnjn9kGdOP8Jn8sUDeeb0I/MaX19lPwc/5JnLfk6yn4Mf4TN57OEk
+zn4kXktr58fnwzX3dPmcw+X9VTh+3Xvazx7qvAb/+PIZ+EzefZU4UtOnj2F
eStvPWV+rKfMj/WU+bGeMj/WU+bHesr8WE+ZH+sp82M9ZX6sp8yP9ZT5sZ5q
9JMa/aRGP6nRD/ltflKjH85r/7faI7ueL/Lbzhf5bedL+PD87Kldz5fMW3nr
qcb9rH6spxr3s/qxnmrcz+rnB4qISC0=
     "]], 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.5], Point3DBox[CompressedData["
1:eJzt0jEKwkAQheFFj2ElBA+gF5jSFAqm01KwDCHXsIwiFl7DIFZT2HiGgOew
EiPmTfHiHEDIwhLyQXZ/sjtcZ8mmF0KY1rNfz+e5nF2zXKK4iOLkgKfCiw/c
ty2/pFWZVrnnyr7/rtNyvOOp0eN4Gyytp9nfHD3s6HFc2dHDjg54WL3mxWJk
PVgPjh529Diu7OhhR4/jto/TI04Pu7JTjzg9wufVfCd8Xuz43nFlRw87euDO
fRbnPotzn9mVne4z72s+ntRjd7J1QzPg6GG3//7blR097OhxvOvpev665w1i
23ed
      "]]}}},
  AspectRatio:>Automatic,
  Boxed:>False,
  DisplayFunction->Identity,
  PlotRange:>All]], "Print",
 CellChangeTimes->{
  3.419867018796875*^9, 3.41986779878125*^9, 3.4198680068125*^9, 
   3.419868203609375*^9, 3.41986825753125*^9, 3.419868307375*^9, 
   3.41986860071875*^9, {3.419868634578125*^9, 3.41986881575*^9}, {
   3.6147499458350773`*^9, 3.614749967645191*^9}}],

Cell[BoxData[
 GraphicsBox[
  {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
   AbsolutePointSize[2.5], PointBox[{1428.5714285714284`, 0.}], 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{857.1428571428571, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-857.1428571428573, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-1428.5714285714284`, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{1428.5714285714284`, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{857.1428571428571, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-857.1428571428573, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-1428.5714285714284`, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{1428.5714285714284`, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{857.1428571428571, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-857.1428571428573, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-1428.5714285714284`, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{1428.5714285714284`, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{857.1428571428571, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-857.1428571428573, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-1428.5714285714284`, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{1428.5714285714284`, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{857.1428571428571, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-857.1428571428573, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-1428.5714285714284`, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{1428.5714285714284`, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{857.1428571428571, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-285.7142857142858, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-857.1428571428573, 0.}]}, 
   {RGBColor[0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
    PointBox[{-1428.5714285714284`, 0.}]}, 
   {RGBColor[0, 0, 0], Thickness[0.0002], 
    LineBox[{{2142.8571428571427`, 0.}, {1957.5974092341446`, 
     871.5785208767145}, {1433.8512993404104`, 1592.453197451559}, {
     662.1792736606017, 2037.9782492039003`}, {-223.98956414497167`, 
     2131.118347217728}, {-1071.4285714285713`, 
     1855.7687223952255`}, {-1733.607845089173, 
     1259.5398263410138`}, {-2096.030573001012, 
     445.52505175234137`}, {-2096.030573001012, -445.52505175234137`}, \
{-1733.607845089173, -1259.5398263410138`}, {-1071.4285714285713`, \
-1855.7687223952255`}, {-223.98956414497167`, -2131.118347217728}, {
     662.1792736606017, -2037.9782492039003`}, {
     1433.8512993404104`, -1592.453197451559}, {
     1957.5974092341446`, -871.5785208767145}, {2142.8571428571427`, 0.}}], 
    {GrayLevel[0.5], CircleBox[{0, 0}, 487.9500364742666]}}},
  AspectRatio->Automatic,
  Frame->True,
  PlotRange->All]], "Print",
 CellChangeTimes->{
  3.419867018796875*^9, 3.41986779878125*^9, 3.4198680068125*^9, 
   3.419868203609375*^9, 3.41986825753125*^9, 3.419868307375*^9, 
   3.41986860071875*^9, {3.419868634578125*^9, 3.41986881575*^9}, {
   3.6147499458350773`*^9, 3.614749967758445*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Surface Information : \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ComponentNumber", "\[Rule]", "2.`"}], ",", 
     RowBox[{"SurfaceNumber", "\[Rule]", "1.`"}], ",", 
     RowBox[{"NumberOfRays", "\[Rule]", "36"}], ",", 
     RowBox[{"SmoothKernelSize", "\[Rule]", "571.4285714285716`"}]}], "}"}]}],
  SequenceForm[
  "Surface Information : ", {
   Optica`Optica`ComponentNumber -> 2., Optica`Optica`SurfaceNumber -> 1., 
    Optica`Optica`NumberOfRays -> 36, Optica`Optica`SmoothKernelSize -> 
    571.4285714285716}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.419867018796875*^9, 3.41986779878125*^9, 3.4198680068125*^9, 
   3.419868203609375*^9, 3.41986825753125*^9, 3.419868307375*^9, 
   3.41986860071875*^9, {3.419868634578125*^9, 3.41986881575*^9}, {
   3.6147499458350773`*^9, 3.6147499690633583`*^9}}],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJx03X+sr1t+0PWxoBBDlRBSmhh+SDUSgihglCDQz4i0RkUpB/DGcltgl3LM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   "], {
    {Hue[0.65, 1, 0.1], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNmnl01tWZx28SCIIUrMyICogkvzckEAhT7FgCgjpKSONsTJ0CCUsxARFL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        "]], PolygonBox[CompressedData["
1:eJwtlnlQl2UQx9cDSCsvyis18YcCisB4TAOaaanEqE2RNirwA1G0stDs8H2l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        "]]}]}, 
    {Hue[0.6316690206735107, 1, 0.12538135599052358`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmgd01VW2xv+hSRECBBKKlJBcCARCifgkSI2KDDIzUlSQbgrNQCCEexGV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        "]], PolygonBox[CompressedData["
1:eJwtmXlc11W6x48gmFjuomQWASoqAko5xbgrqVPdqdRKRUACLDVURPj9tHIr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        "]]}]}, 
    {Hue[0.6192052411689628, 1, 0.14263889684297454`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mgl4lcX1xkdAbSGCiBIjYAJJEAlLIIgYJeACGKyAQlASlsuSBLiQIDeE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        "]], PolygonBox[CompressedData["
1:eJwtmnmAz9X6x48ZWqQYCUMx0wx1fQczqCyFVkm3opnUbL5jZmxjGfOd7Su7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        "]]}]}, 
    {Hue[0.6067414616644149, 1, 0.1598964376954255], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNm3d8ltXZx+8WRZYEQQhLCUgw8EAYQZEgQVBLAriAMAKEhz3uGMYTMAEZ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        "]], PolygonBox[CompressedData["
1:eJwtmndglUXWxmc3bgQFg1IiBDUo0WgAERQkQGgKBBUpSYAA4YU04FIClyBB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        "]], PolygonBox[CompressedData["
1:eJwtkL9LglEUhl+C+iRdghKazCWHQB1qbXBsbHKwhkjbEpcKqcbCobbmhhIK
0TU+oW9IojEaCoMChwj/Br+GnsO9w8M9973vuedHdqe+uT8laR6mIdiSZmCl
IF0uSp2qFHF/TkuPnCH0oVeRuvCZlxr4Svj63EP4RjtA20BLbUvv5CY5A0hA
jGcCOWq08N3gW0NfhaWi9Iu2sCd91aRX4id8MTX/ICLvynrxtazmPVyg3XHe
QrvierRej8mN+OOMv66pc068XHD1Y++1nBN6LvMW70pNvA/Eh/i6NiskoU2N
Wb+fwOv2foQvxH9K3jo16sTDvNuP7SnhZ3/B98HbuOZmsZkGaG9oI7Q5Zv4h
zhTdLmwn/x7QVjM=
        "]]}]}, 
    {Hue[0.594277682159867, 1, 0.17715397854787646`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mgd4ltX5xl8XKGKhYqQsw5QkH2F9OIgSwIoQQKqQMD7WBySB+oaVL4SN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        "]], PolygonBox[CompressedData["
1:eJwtmXmAztUax4/lcosayauyJqaYYQyvJcMMLWJoEWYwBq9lZrq9r21m7HRv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        "]], PolygonBox[CompressedData["
1:eJwlkctKglEUhT8Em5QQlZmBwS816OZlIAhR2CANDCLFygihEkwQK8iGTSqa
dSGqSRG9QA1Te4CGEdi0F8gGQQ/QOpzBYu3D/+9vr7OPs7mTqbqAAcktzWTh
qwem5dtRKEsXEfAOwlUJjgpwLHVUYSygHnl+Ctakx0nw+MFfhNA6hKVlKSfl
pYN+WJX/iRcV71e8F7HqBfuv6fGpt0uMB7F+0rDRDW35uM4T0kgcFpXvaQnu
knCftBlN1vddKA3Bhzy4ByeqHXld3xpRm9FkDYkXEDectkzDzukec7rPityJ
QVp1QfVNAm4Tdo6ZtyX2rLjDcZvb5H+VXD5oyk/V+yz22wK0NOtTmk9BSqpk
4FzZr+N2h2aXl9pBn3ZxFrEZTdaWdu/tVW/WzjYZ3OJVxA3GLNOw2/vQ6cC3
vFETV3WzZmeZmZ4QjGqXh0X7BuYt/gEIDlXn
        "]]}]}, 
    {Hue[0.5818139026553191, 1, 0.19441151940032741`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmglwlUW2x1tlXBDBB0LUIAk3REMSIHBBIEgAByEJ4AIEJQG8SBKELxDI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        "]], PolygonBox[CompressedData["
1:eJwtmml4lNXZx4+AoIhg2SIMGghQDBO2TAJJgAAqhBAEJUZlgDBAEiQTQJIQ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        "]], PolygonBox[CompressedData["
1:eJwtkU0ow3EYx7/eyhRxUYqyHMjbX8RKLlOO3qWwOahx2yQrKVrJiaKVHN04
UKbIYavJSSQXibDIXY6Gjc+vn8On3/N/9n2e5/vscU+FhoK5kiqhAHpD0lW+
NNgl9RH3w7wjnVRIc9PSvl86gKoW6Y1c8YzUOim1QRLdNblbdGk0XxAhd04u
Si7OdwIuyT2Q+yDnoq4IGmalelih7xhG6oi/26WtKmbgIeOVsl6rNTXv1N7T
48Kxs40HD7yUSx28d81SkN87A3j24dlnfRv/MUiiO+StoX4V3Ta6TzRpWAuz
s1ta533skZ7AQRdFd4qukDoXNJFvhEf8/eJz2CON8L8Ng5tahx7VYbuz2X0d
z2f0WKJXBH8TxHn022Xm3r9H4zUGG8YfbwLiMIBuAX2KujLmlUIF8TG3KglZ
P8bXEbpNdI2O3cXslIEd+v347E3MbbJwQy7jt7ONhxxqx6ldpu8rLBKPBux8
4+OJOd3cppYbPROn4A/QQHX1
        "]]}]}, 
    {Hue[0.5693501231507712, 1, 0.21166906025277837`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmgd4VVW2xzctQAgJTdGhJCCIGCCQKy2BBHAoiSAoRCEavIChJFfE3BCC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        "]], PolygonBox[CompressedData["
1:eJwtmXl41dWdxg8QdkhYDSokYQ8EiCQgECAQkSUBFCFBCNtFCAq5bLkQFmVT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        "]], PolygonBox[CompressedData["
1:eJwlkl9ojXEYxz8pIeUc21hqO5wbzi5odE7MGabY2M7QzjnL2D9Ss2FDhktb
uDI1ytYUbqUmrriQK1NuXS3TLsgmZf7UXJHPr/fi0/O+v/f5832+vzd5cqCl
fwmQkqVSdR42JHw3DlXDsFzLwMIyqN0LL3LwUu4MwtUkjBoPdkKjXG+D/jVw
w3j8ALTL/T0wIU8aYS4GZ9MQG4B7lbDK2NsOfXKzxzqp3OEc53c4f8Q+F+13
yxjbDXG5m3W2rFVTVxzmm+BhPTyQiaOw3vzbm9TonHV+T/m9YH5Rznj2RQ2P
GyNNQVvoGXqfroFkqf3y8M+avzJuzTv3TjirSh9SMqNm1DdrbNgIV8rcuxV6
quwhddbPlsBK+xUboFVGTrmD/LoEq/Xst/HyFhiUZvs804sjxqz+7pQp/Z1U
+xvjsLufc6ch44y9PkqXvnbKpDMOqbmlEM0J87abVzC/xjjufmMyVYRqdb41
fnOvbnuXZyIfg59/zFmUE/ozoz/j+rPZvArzXnlWUgelkrFnWuqdc2EFbGuL
7jjc9bR7l6ulQ01Z65/bpyIdzQ86Qn3o89qzhH23NkW7hJ2OWVNm7ft8dE/h
vnbpaYeaa43L9WZUjxbV/F0fF+SndT8kZ80n/Y7ZIy6ffW7OR99CTm+L/4Nn
fcZ9vu+XMfV9UF93Oto77D/nv5Nzp0f+R/M+f5WCvh5W19OayO/g+39xPZI3

        "]]}]}, 
    {Hue[0.5568863436462232, 1, 0.22892660110522936`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mXl41dWZxw87hi0YkCVhuzSQEMKSqwgBEhYhQAAlyY0EwXAFId5cleEC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        "]], PolygonBox[CompressedData["
1:eJwtmXl41UWWhoslgUAIIDsJW5TNsOZCgEAS1rCEPQmSQCSXJYTLFeiEdboV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        "]], PolygonBox[CompressedData["
1:eJwtk0lIlmEUhR9thIKiKJq0XKQYFeKQlkoZlGa66FdKTVuE2mBqOARFQZMR
NkBpQotoWFQQlLgoqDYFLbJFgxVFm0aDyIyyVYt6Xj4Xh8v3Duec99z7JW1t
jjXFA4vFOHEqBRJnQE8FvF8DH0RlOlSI+BZ4lwhjrZf8viiGyuHadPhhrauG
WjFrKaTPhhO18CwXnoqDWZ6bCndKoLwOysTCdshIgmRrjfc3ynN7ObQUQauI
r4ILeomz3vX73uh62H9eCZ3uDVgPb4NJc6xp7m+BtoBmeJQAfcugS61u8VM/
G/TVqr9z+uypjjgD94i6B9S/oY/TpTCs1zPWkQL4I46oMVmNmt2wWVSLY6nQ
Ifp9U6/nH5dEnIF7jxoxtX6pObzCfMTHdeYwBT5ZU8wkWVRmwgvXOophk7ky
3xxaomxDxu0x+abB+Ry4utYMRYZvjvn2dGtuIeQVRm8Ob+9Ii3we1e8EMxgv
JjZH7x7SS2dt1JvfbdCYDE3iuNoDeqjKjDwFb/XOQZ04a28GZ6q3CFbLXyBS
1fguR4Iab+vhjSjNhr/m/VqtDPluyjdHvsyVkCUGd8GtefBlV5RFyGSf3Nvt
/15rfw08EUVbIr3CUa2gme9w5oncRngpR741UY3LaiQUR3vhzJVVrokFzlqD
/RhjPx7az5P29UF5NMNhloOf4Guu/nrlyJajwZ7tV3fn6AyHWb7v/evyHMqK
ZjjMcsg/9OGr/0eOPfhWEeUf+hDnDL2yV0vK4N962OHdxKzIU/DW7b0u8dk7
y7zbZ77/Acefp9M=
        "]]}]}, 
    {Hue[0.5444225641416753, 1, 0.2461841419576803], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmXl41tWVx68gtVpBZRMkGFwgkJfNvGy+kBDCksUQJSRgQgK+yBpfBXmj
gs4IBWVwplKlUAVRUAQUcQOtsrQV0ap1CjjM4zoVUATBKshTnXnGOp3Pt9/7
x49z3ptzzz337Ody2dQ51be0CCEM4Z+WwGvnh9CrSwhfN4XwXCKE7p1CKEqH
UJg2/vjtIWxl/XLwQaytnBbCXR1DmNEQQh776s5j/09C+H2PEDJnhfBCSQi3
NYfwUrcQtnQP4ex5IXzcBrqCEBbWhvAXaH+ZDGFg2jzXw787eA74Y+API0cr
+K4GbuHcXNb78vdFM0PojMx5c5FzDHKfy94hIdSXGj91fQh90qZfB5+nEubZ
g7Ufh4ew4pwQtg9A7ijDcmQogmZrbgiTsyH8/RrkPB+exSFsZP9V7J3C3ifB
+4JPBG9X77scKAvhCdZ7sl7K+gbwBPi14E+BDwbPgJ9EpiHQb0behpoQ9rUK
oQN62ATNAGhmQLMKvU1HbyfQ61mpEP6Xu9QVhfA89AvbcVfgJr4j7K1kb6dy
eEjn0Dagi8HoZAm6uajS8g/qE8Ih9l/Offdxx4ejXbZilxaR//vIP5y7PAD/
t+D9wQxoO7MO3IiusuxtQleNaetB+liHPX6KXdYD87O2kWx1ZHQI3ZDh/rwQ
7suzPMu4bwF7jl8WwrSe2AT5WrB+eA52rbVsknEQZ81G5pKKEHaOs66eZO/I
ySF8gY9dwb5VnNGSs1YC38bnHmL9XeDxXsbfAf8zesnBpm9OgRf+MI87trw6
hE8jPqguhF/kmo/oTvzMsnVEjxuKrTfpT3Si/6QwhHG327c/59xq8Hrwaeh+
W8K2rkI3Y9PGZf/d+HkZZ/wW+JuE9TaZv9/L3dpyXt5QYiJhX5rA+mro+kG/
Bjg9bX+QX9SmTSO/eyFhHxvD2k1p+5X8ay06zGkPP+LrHnR0Gj00o7PRyHc1
co7HzqPT3is/7Yaep3DHwptDuI7fVdBMgXZwhfU/kL//Otp9Nna/FppKaB7i
7lX5jrs0tt2MTt9AP32wXWX0yQp035uzLuWsp5F3CHH0IjzboNck65exXgC8
gq8L+OXAUXx54M9Ll3FvPvAavnzwCmBlxF+EZmSkL1Es97efyF82jDGuOPsc
Odpg32eRuQu+fRD5OwPPrbXNFyDz+eD54HeB96l3HCmeZsacoNzQY6Z9Tz64
k9hZQuw0jsQ+8S7PIM8w8CvBnwUfGvEU8Ch6b4sOdxN3XXvZ7rL/wCLH/nR0
dgb93HhhCN8COw8M4XXo80fgq8TJX5FnF/Lsg8/X4MMzIXwH3TTo/wo8xfr/
sX6M9TM9jR+Bvoaz+yDDduT5mHu0Az9Kcr8gbbyNZIz636yc12RdPQdsx3oH
1tsqB/N1UrxD0yXilwDHR/7VwOXRn3viz09Ff6gjnxxF/xfB8yV49kxZt12R
7fNyyynZv+H+32Gv9dD2JYesxP/7ZR03ykVXyufw6XPw7QXYYi1+2JFzOyqX
oqP81uSgvtAhw5MXUDeAGznvZ5y7Gfgo9J2hz027lij/56Vdw1TLhqdtA9mi
HTL8rl8I/07ee4+89y7+8Dk6G5FxTVJtGgz9LOgnIdsO7voI6+1ZvyjtGqNa
0w/8RJTtS+BnBZZnE/KcJje25r4r8dk7OOM3nHU7Z75Lnrm3Qwh/BP6hzjqs
QodDU9ZBf3T2N87tii0Pwe+jmJ/3sPcAvrWYux+D5u81rr1/gWbt9BCWQtMd
mpLx+BE2+ow8NiPP+Vl5eiu6bYtul6PbWSnnxJ7o/1SU8xtgZb1ziHLJ0Zjb
+1JnCvOcw3NmOhcoJ9wJ/hU8y+DZYgIyw3ck+I+1zvWiv2MUOkvbjrLnkwnj
HWLOe4Q+4Th3uD7Hv4U/z9mTueOfsMXUavIKd3m00Lp/APpPoGmF3Lci/9nA
mdhmIzr8gXw/I+JtiLnD6KErtjsEzL3A9Cnu9hi5aR1xNxKZW7M+N9d3Hgev
jeDXAevpizaDD0PeuvleH5qw38h/vh/vfPwlspzGbyZB8zQ0hdC0zJpnC2Ax
NhqDDCXAfvnWiXRZg70WYK/D+PNdyLGPnLkIueqy5iN+v5znGpXAVuP5vZr1
gfD/NTVvKTnqND3DCOgfZb1YZ01w7m0Nn6uzph8CrGHvI+CD2PsF8rfHP3fh
n/NTrmsz0Pf36G0Rcr6AnCvHuI6rv5jC/ufYuyDlfm9Lruui8tNybPER9x/b
7LzzlOpCs9fvxi+egdd+/GpXmXtM8VH+fX+O/Vl+XZOyTX7grl1j7i0h92aQ
pzvynEHPh7HrffDZAz5zAX+/Ev8FZuH7KuuNNfZ1+XwpNK9Ry4vB3yNHlZXb
xmPx60+4+8Xgday9jP4fRIa+xMttMTabgb257wr5ADo7XWC/OYe1JHHayFkp
ZFncm1xydgj/TP6ZVe31G67ivDL3h+p55Yvyw2Xs2z/DeeY/gLvLrJMqZJ6b
bz2rb7on8rwfnls5twXnfl/j/ky5sWu9/eKZqP/aqLdrWW+Y7z5W/WxD1jST
srat1pUjlnP2HmS4H1gdfW8c8AP01RH+Dej7gUizsJ9zkHJREfwHwesh+FTP
d1+lHukj7pcst5x7uW91vnOF8k0OPlCCD3QB7u1gneed53toXbW5AJ6r4DkO
ntvybTvlrU0J5/BLyQ/9R7g+LsKvlxUbV83ULCE9v45uCtjzYVtyB3AsPDfA
sxK4BLs8wvpiYFHW/q846DPe9hpW6pyr3Ku+Zk3Mn6uBB4baf3ZXuhdXzxxS
7uPVb9xW7dlDc0cNfBbyew1n3Q28Kt6rf9b+Kr89VOqeW3zaos/pDZ6hbmrw
HCX8wWnWhfYm1WOc7xlK/cTdxc4PyhOqmerD1cMN4fck8m0b+pRtsfdW7Pa4
zfZVjtmL/D9g//XUjTU5zqviqXlJ8j9D3HRNW+eqn5/F2WF/0j2c8onySiu+
cs46G3gW9tqMzB0bqXXsbcve1mnbSTZaif72o7tW1MQnmEc+i/H7CjFyYdp5
XLVUM4T6TNW5NrFXqWp2XlZ+ngKfDo0+qxOwMNpxGHAQuv0InQ8Z795aPcky
Yue7GHeqA9Uxnyt/T+R7XHke3dbOd84cDF4S86fW5kx2L30HsCJreu0bA74O
fAJ4VfSx68G3N7nneRnYPtaUvZqbso47xeWErOuI6oniR3E0IGFe4jkk4Xyn
vFc22X28ZFhMLtwec9Q24Ogow6isZ2zNdG3Jo3NjDjxInrkw2uu/els+yZmC
/47rXK/Vy1cN9Sz8InJu6mU+mhHlT8p7ssWi6G+H6Dm7lLtn61vvvk34ROK9
Nt6rBpiKtUY1qhGaT6F5o8Z++qtc8y6P+iwDDoz5ZADwv8db/lu5x4Oxrj3c
4PwreQqQ/81e7sPVj2ve0NyhmbhFvXPpDvYuJ36qoPndLfhJqWNcufkI/jyG
u6yhJ3k7xqPqyb9UON8uQVdPxBlQbwDNOe7D/4Ye+tNj30/++hjdFvb2DHUp
+85Ms5yqw8X87g2f9uh1MDSToMmpcJytg1cHdP1lk2vnCeAXfD3AjwOHQ/cS
dN2wxayRvmMlNn2+1vteT/o+ulcVuTCw/g1+fit3OljkHDGr1j3UoNg7dUl4
vj2Jfr6NeWR/ufsn9VHrgQ/mG18HXp/xvmWc9Z8p9zP3Je3H8ufV6Kb0dp/b
B35HYp09Cnyb30nlh4zfCzQ/PsYcuRJ/vUf1lLt81eTar3em2ZGmP7q6s8ix
fxNn5rBnOOuvcpcT2Lcb9B80OUfLjqq9A+NbQbLCupbOh4GvbbJ/aa49McX9
xTeqn2XOA+oNX+XcTsxQedj3z9BfAf9DwLLe5jMIPicLvP6p5omhluen7LuB
u9Vjx9fg/+Y81zL1EV/ydYX+QJPlEJ9y+P2YsL8tZV9Hclkxtrm42TOk7HsM
H54V9aC3lpPRl+T7/xbf1lQfzsQ3q22SHXu9pbcOcmDvlHtC9YZLe9k3boHn
5nLPfAf4+/4my/ae3kwavffdRsfiihiPs4vsJw/BJ09zFPe6iLNGI/cI7jsK
uD/OoZpHlyTd6xWwvjTpHryTZqukY+WuWvdDiin1MpopxUd00p10+CHx1JBj
/Ftkbcy4758M3Bd7fvX+N7DW83zP5N+N8PvY8rHwjTLcoHm9xvLPjvGdzbEc
yonKaSvQ5agRrkGlIzw3akb71VjHmGzx7TTXJ9GMhua3SddGzfFbyt3XHwR/
rshxUYcdF2d81s+B9ybd9z7N3xfxex7rCzPOH8JVd2V/5UP1PPtiX6H+dEkv
469Uuh5KT7Kf4lDxuLXIc7DiS3xUY1M5nlFvbPYZejNQLlBs/iRrX5HPKMfv
STqHKJfMylins4EHMs5L+4HnDrCfy9979HHOX0i8/z5h/W+H93mRRjFaU+Tc
u6XG9pa+pyLLzfSNLxHvc4HZfsbnzPB7q+T5H/auS/oe6kdaxrdK5V29Sf3j
baq38470fLPenzO+78+T9jnZfTF4Y+zZ9PagWbBD1F1TT/eaZfXWqXSrPu69
lP8un/1F0v43FX7nzLFfyb9KMraj7Pl+k/PPh8A/Jd0LqSf6p/jOph7htRrb
9ENk2dnkeWp3k99l9NZxmjOHp9zzTqz3zPR07Nvfhu4S6P8IXJJxvbkHuGqe
5xTNK8n4LpdEb3uguxj6vcB3Kh3vinvVYNXiHOg39PJd9JasWV19ePeZng00
I4xR/DV7XtU74vECy/AOPE8VOGfqbezGcsuot0/5oGqKYuCLcseYctvucvuk
cv8TCfuscs9NGdca1ZxP43us3t4uabau1BccLnB/obcNzXDyW83degfV3TtG
fUlvI9BfUcZn7SnyW5LelPJZn1XuuUzzWRG1YSJ2H17nHKdcdyf9746EZVcc
Kz9Kb/9KvH9d4HlIbydNGfu5/P1gxrVbNXxHrfHO6H9XwrnqUficbPJMpffg
xxOOxbWs/yHj3vqtjPsw9TOaTTUbleZ6jtoV5z71LJM026DbeuCNfEnwqWmf
obN2JvxuoreCs67z+5HeZ54dhz4rHC+5yHZ5P9dZ1dtCatsV1LjhwBWx/q4C
Tov8X4HnrnmWZyewGLoroS+5xnfQXdYn/GaqXLUTPTel7QOzgY3lrtd6G9Yb
kvSj/PL1NPue4ulYgX31dfRUGu1YDJ835lkXmmsb4t1f5qyvCtwLHYN+d9Tz
qXr/H4/61R6jQ/h/W/uSKg==
        "]], PolygonBox[CompressedData["
1:eJwtmXdw1VUWxy8gYEORJpBgIBAS8girSSDwgDSBFKokoYSE8DQQDEEwL+Ki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        "]], PolygonBox[CompressedData["
1:eJwtlXtM1lUYx79ITMtEDSRITQG5yCu++EJIkVwkAZVIwQRCpmiYs5auV9q6
aRdrZvOS5SgvMxMiTEQQUJNJmImUo8sKwVV4Icm0CaJWU6vP2eGPz87vfd7n
POe5nhO4cFnWswMkLQcvODpPaoIzE6UXAqSsIunaTOnJYdJfrO9FSu/D0ALJ
GyY6pXfR24/eAYcU7S8tKpSan5BOwPZEaRskzJBqh0qJrLvQG4GeD3oV6OyG
DDfyMVImq8cCaQAkcF4w505hnRcvFUAvtnrAO1TK95Umz8WnR6WIIdLFZP57
AB3wSCcY6MyWRvtIZ1krZ0tDvKUr06SgOGzDI5y3g3NTWW/Ol25BEt/bkU1l
/Zvf/8DsIpuP0GLpC85ugsH4eBd0L0U+UrrkkjbiywZYD0UexDReqiPeKOLN
J95jxPoV3H5cSsH/rhAbj4nLYxZxUwxnBCvfnnAL+U0IIwf+5CKUNQ6/PsS/
h1iv4lsftC2WWvGvbZn0I/wEnuQmnTMuhdgamFpUx0ibBnI+3z7Y8oU2cuNH
jk6x5pCzXBhPjcOhl/8XcW4fazP/H4cDk6S3yeMJvq/SA73Q5LTnn8KPh/Fr
K/4lsF7HtxtQTQ4iyMFMcnCE+BthP7JIZNnImvh9FP5D91/4mpzeR067yWkn
Z7feTez48wvfv0I6tndyxgy31Tf7vKjFHdDO3rHsveiyfWT66Xtko5H9jmwO
e8rZO5d1IP8NgjRiOTyYPpkiTeM7FWI57zTnemZgAwZkWF2zpxN7wdj7w2Xr
aeo6nzgmEU+9w8ZiYspBNhFZrcPOg5mLxchikB1E9jS5XAqvZ5Gze6TVWTY3
JkePoedArwa9XHytwOc8t+0503vJc/CTuiWx9tEz16B7OraYs++i8YUau6CM
/f7YGYm9PditNLk2NYNV1K2Juq2nbpnMTyY920Kc38BJWIE/biiGOGp+O0oK
YYZLOWMYvfQK9lfCn+T/MnxEXgaRl7PkZU0q80k/14RJ53Kl83CVvIbgc2+2
nU8zp6Z/TR/vZa83e8+77ByaefwS2b3ILrjsHJp5bEDmi+w3l+0t02N1yIYj
60K2El+3kMvXWEVuPaAHnStQjt5g9M6h9wMxnyT2I07bw6aXW6DZj1r158fk
qRR2wfPo1aNfzL7LzNR0ZsuLGQtkxoOgmjq8Smw3HsQmcTXCcnRr2eN2WhvG
lpvZfA5WwGr+28TdMpl8dOBzLGsd/tYbqFMdTKZuQdRvD3X0Y385/o3ov3/N
PfxyjvQS7JkqPUP9Grmb4hLYB4fwJR+fnsK3cvaPxE4w9qqwu8/YZpZi4ecJ
+E+vx/EdRY9tptdcbltTU1vTW6bHwsOlN0fQH3nkjHeiB0KI7S3i2EIcMcxM
NCRjZxz3RhLrGnTL7qROadwbfK+FCny5H18c+FJj7gJoQX4C8sjbMfSP8z0L
H8rwJcttZ9vMeAzfJchi3bamprZV2AvDXgr2DmOrAd7hHVgLafS1F+/Dtxl2
HsxcbOX+HUX9trGe5px1xNSRZ3Nmcmd62vT2cHq8jF4Ppec38l5sgB3cERXc
FQvpr2B6OwheLLZ940+OLpD/N6jDkhR8oS4NOfaNM2+dH/754Wcp/l4jH32Q
yLk5nH8GOx9zzk6I4q1zc08vibHzauZ2DHsD2PuJw9bO1DAM2ShknyLbXGT7
Kchp62Lq0wIlpp/733Xzvn+GbiB7ogttf5k+OwQHIRFZCP/tRaeB9+cwhPJe
BjDHh/j+gBkugXX4OhZZF/9VojuOPfGF1oaxtYD+LeC+iKSfHTAh286DmYvr
9OQqerKKnuwgl+0Qzf/t9L/L3MPU6XNogCTy3Bpv62nqmsYZ4Zy1z2F7xvSO
E9kYZLuR/Q+GKrmR
        "]]}]}, 
    {Hue[0.5319587846371274, 1, 0.26344168281013125`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmXl41dW1hjcIKlODUMZE5sSEAEKYB0OAQHIgICRhCgQ4CEEPoQiJ0+O9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        "]], PolygonBox[CompressedData["
1:eJwtmXl41cUVhkfAqEENEFk0kSUQCV6CAQNlDZCEkMQEErhhiRAIkqCXWJCL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        "]], PolygonBox[CompressedData["
1:eJwtlGtMzWEcx7+5bNioyKVk8kIulUtpEulyIpVCjhDaSgrL7cjYDmFzG2vd
8UYuIXOZU+aFY0NY9YJMNrySkBeYy4bZXObz7DkvPvud8/yf5/f7/i7PM65w
S87mPpIWQH/ocErtMCZPujxcyp4o7VkuPQiS7oZLnhSpGdLTOQNZ7Gtj3y72
nXRJU8ZKkfFSJb+rwLNMug73Y6QzoVJXqZScId30l5KwQbOl4fAYX9tZ68Re
Bw904/MV3OZ3Md+82KnTpM/BUniJ5MiXUmFkphQQILXMQC++FkG+Q1oD79H8
Eu1ecsiPZg0ekl/FMHLCbpoiLcbfhyKperVUAwXTsRQjeqk0A2LBkSalQN9Z
0ouh0nTWytH/BF17sAcipYPQuRAdaHmCPRclNYJ3sfQvULqFzZ6MPhhVRh3C
pJAyq8lo+7pCmk0tv2CvJEhXYX+StA+6yXEVfgNjpXfUYT9xe7F/I/ANIfQh
GLzx1m8wfg9T6x3U/Cy1d9OD3TCQfAdAbRbx8FeDfVpqe/MMO5Mc4kwe/G5g
rTXG9s/0sSBHOkruhdhTaGuAJOo7yI9aoNGdS4xcq8foOuSLfxB7nu+NEEhd
thF3Enmc5n8DODhTQI9Ssfepayt0U+sqBvMuv+vpeR1cW0L9iH8Vu4iBzYYm
+pFGL+fRy1hq7e6HJmqVAg4ooZ/FUE1/Y+hzCLkn49ON7xb6kGJ6C3OJlwDr
ya2CGLVx9BSNV9B6D81PmakuyKRPGXCReG7iNmH/cO43HFlJbvTvGLaRmXhL
j9YzkxcS2Z9o59LMZzNr/vgdir4szmfiZ6HT+jX+W/kexvc4vg+hPv7wllq/
gTS09qBvMHl/5Xsh+4LROTlZioBdqdJO8GPW7jFz/bChvrs82jcjZlba0XiA
tbaVto6mnkaj0bqR+L1obyKHXuKNRV/JLJujyXXjXGkDnPDd9+MuOzNmdkI5
c4azo7EfyekiZz857X5zbh/13QvlsJs7domcTo6nXszs2jJ738299/jegce+
OXxUat8J817MwfcNYiRk2DfGvDURzH0UWupcds7NvBeWWb9F2A34vEO+iXn2
fTPvXBQ9dlJLL/N0fj65QzHreWhehx1GL4LgJ3X+Ad+hmvmqYc5qXTZevcu+
g+Y93MpbtAV2wrcRzD42mZlOgsH08Afv6wjuy3JqGUCMDmr7mnr2pNm3w7wh
FeT0nNwqM2xso+En+yaw/xf2P5UCCzM=
        "]]}]}, 
    {Hue[0.5194950051325795, 1, 0.28069922366258215`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHmcz+UWx582QkVljWvJ0owx7tBMMTLNNJb5DWObGcwkfN1Kvn6W+2sU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        "]], PolygonBox[CompressedData["
1:eJwtmHmcjuUax28qHVRkrCVDhcmWSpZhxljHa2swZBjLK2PqNZZe20xKyykR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        "]], PolygonBox[CompressedData["
1:eJwtlGlszVkYh38jkaIbo6oqUbWXKrWMjk645d7qvbV20462VIRaxlJBpoMI
tSR8aEunsXxya6mKL5bYqowyY42LKl+QobTWSvlgIjrPybkfnrz//M97zvs7
73Ki569IW95BUgZ0hODxUmV3qYEfcW5pBOSkS80/StnYRVOkQghOlILgQqYU
Eyadx24cKXWJlDYsklbmS6vgFv9vQji+gYHS7Ux7pjnbR4wKYgUR8+UE6QW8
439JKPFHS/sd0pMgyZkl9RwkRUDzXOk1lC1BbG/p/ijp069SKzwukPIjpI/D
pB8y7KXmQw4xFmAvTZJqIe8nydFN+mO65PJIZ4gXPUY6OFHywoOhnAudh0jL
ekibcqRXaGyCHegP5b7bsXeIeRtWEzeRuDeJuwffcyHS2hSpnO/dUI/eqxCH
5qfk5wSa635GB7qWoeshvg3wntjvIA8tjWgqQ1sid88lXih3X0s+1sFE8p9P
jHjqMQJGwiT85uEXjl8PfMLhGDGq4Sxn38U/JcPGMfGW8p1L/FrWv6PxAPcU
d+lF/iPhBveL57y/B0rj0JQAsdRnGHjY62GvG+ulToVorWVPPWvXIAy6w2+c
PQi/z+hLS5JmQeNU6XRX8jIWHezdwt4Wt6296YHL+Iawpy7d1sDU4hJ+a/Dz
uW0NTC2GovUkmmOxyfyfAn3JVxT8i2YH2j+bvkslH9AToui/afRhAPmvIR8u
9E8GJ7joVScMoHff9+Ke9PJfaL0CJWhtDZDGJNk8mHw0u632N25bE1MbB7lf
TdxiapFAjVyduWeCtDCNuYGPaPgArfCNvo7hvE4ziUMvpo2TVjiZGzg3mJpB
a7Z0HM0V5OCif86uDLR3NHdtS7f5/YK9Fi9dh2LiVDKrv2O/c4d2qOJ+xfh5
scH0aAh8LaIHoqT/iuw8mbnqPwP9aDnOfJT/gnZY4u+Txf55MnPlJf8+/vXJ
tG+AeQtM/k0dWlivYm0wPh+Ik8dcNBTY+TRzeox8eql/NbZiuPQnRLioD5wk
B+3EryMn9XwHcI97fDex9grmcr98iOa+Ptb6YfcRey904bzlnBs41b5P5p1K
Yv05fk7sLvK1mZyXULs5zFculMVKpeD0vwGTsaUeO3vlWB9r9+EZtcii1xKZ
k9mcmw0HiHmHnoihN0KJ2RUe878RNuC3FP9OvB/lJgZxj3DeITjssbNpZvQU
32+JdRr7iJ7IQf8T7FbWtsHuXPbDXtgeTl2x16nXDOr2T5F9U8zbYubVzG01
uV9P7tuYO0cM7wSMNn3PuaNSbd1N/VOG2HlvR+euZGknHJ3FTJOr3vTrRb4v
wHC++9HDNcl2rs18XybOYjRXMZN94pgJZqViAflGWyF8IR9txKucxhtA/4TB
S/L/AppgD3N3lRqm+t+QGrRm8h5lwQ20jadfVhbYd9W8r/8DweY4Uw==
        "]]}]}, 
    {Hue[0.5070312256280316, 1, 0.29795676451503317`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHmcz+UWx08R2lAzl0m5oSzjJ8uY0swwYzDMjK3MTMxkcn9K9DNJvzQN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        "]], PolygonBox[CompressedData["
1:eJwtmHd41tUVx4/IKDJrgKIiECBhvGjJAMyrCTMhQ1YGkhjUHxCElzCMMYqh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        "]], PolygonBox[CompressedData["
1:eJwtlmtM1WUcx7+1AsxSEy9YgkOzcGTaCVeGEuQQvHPzclBkh8I2LNEzbCpe
0MKVNV2zmxNmrUzjRS80wlZSKXhB7sQRgiCPoAyBHAYlivZ59vDiu+f5/87v
fntOcFpmwoYHJW0ED4NHtkp3pkiBYVLkW1IUOALuT5SSoPUvl/4FlTGSG0G/
ECnbKW0HTaHSogDpS5fUkiy1gn/c0huTpD7OtlSpHeRHSnlg7wppyxgpl7Mn
ReoG/aBinHTLfK+RukAfyIfWy3ntOWnHBHSmSyV8l4Jq7FSBbOxGYL8SP+bi
zxzQ+oyUgp9r8XfyMikYTAFvDpc+miPVxkk1oORFbPthM1pqQD4WPZ+jrwm9
zaAeWjS0A9Aa+G4EuTOwjy9frUMef0vBaPA4KMa/g/w2E56FiZJ3tDRituTC
j7QY67fxPwW+bPi8xPUyeZgNwkH5o9JWclSHnVrwLnajsF+NH9XksArEZUid
T0g/OWyuTc6PwrcYvuZQ67fxPw/aAmiN0O6Sk8NjqTHnGXAWeNBVD9LQdxN9
v6HPi9wV8B2yy5BtDbW8RuZv4hgMkhKp6Q/x1IZcZsyVvudeGG9zY3J0ENn5
yHqQ9Zgcgn3Q5kGrg1aHzVrgxG43douxO5vcrBlBrcjZnZfwFzTD0wSy4OuH
7zx8Xdh+jb7q4Wzht1ZwmD69R5/mc+55RXoH3OT3dPh6Oa/A4zV84VIYPg9f
TC/Mkp4CRbHEAgaH8hNDXx9aQg+APn4PpDduRpF7/KsCK8jBSH/qiJ9VxBJJ
TDkuWytTsxp0V4Ovp0s+j0Hn3rxISh4ljULffnw4ACpMryK7xWV72PTyeHR3
0i9r0X0bWwPgwlTJwayUM3s+0yRfsB092aAA3ffolxfwL54Y4kANsv7450RX
CzaWYqPAZWtqavsntgd8qRHy9ch7wDh4xwInsuupQQZ2m8nbavLX4ra1MjUz
eTX5/XAhsiOlDzjbsJGEjZ+xcR39HaZ/oMVDOwmtje92MzP0+Wrykb2U/gbb
wHX4VsJXCl8nPDdAIL3v/wAxk7MwMAtMghYEzrCHgsljOLTf8Wsl/nk4y/Gt
AjRAvww8IAQdaeRqwkxiwe4vzPppUAzKkUlEtpLzHHLnU21eTX6HDe1BP86n
WY5TwU50rGJJTuZejcxyZGs5LyJXBtq4p0K7xtnAdyPoJDYnsV0itm7i6jHz
DO1VaHtddibMbFQz8/upbx3ns9RxepTdvWYHTyLeRvo6mnsDup3Y+MNtd4DZ
BX9xT4Hmdds59gzZNj6sZ2ZuMTMlzExAJr0FgqhB4UPSGO6F6PYnlxPJVRw9
EQ920/PTyJUvfLu45yyxuTE5CkffVfSdcNh6mroWEUcC8XiJy5e8+gA/UISO
S+y/KPooEgSZWaGv/2Om80Ee2JbAzNNrBfOlH+EtYxeeW2ffAvMmmHk1c5uD
3QHsVjjsG2LekvegDUKrdNjda3bwIWTPomM3ujaAE9xfh3aE374A4+mfk8xK
IT27kdg3gZgk9iOzEptkd4DZBR3k0kVOO91295gdZGpnalhJvMnEe4N4veRw
Hj0RSm9c5d6WafvX9PFF+FbB1wFfGL58gi8X0u37YN6JRGJPAL3IPk8Okrjf
30Tt2K2nmMPL7KIGp+0t02MRxNtGvIXEm0u+AoZJT5LDb9i5x0AMtsuo62e8
K7HcF2TaeTBzEYPsdWRPOeyuNDtzB7Tb0MocNjcmR8fBad7ao5yB+LwHn99P
t++weY/NXJv5/pXYlhNbe6j10fh6dzO1C2YXcc4IsfdB7lnkc3Os/d9g/j8k
htk9nUc/+0ZQN3ZxDvI7wS6zf4npU/rkbfLxLe9KATjOvjkGiqhbFzvHHWZ1
Gt0fI5PFzh6Jzf8BP3DuHQ==
        "]]}]}, 
    {Hue[0.4945674461234837, 1, 0.3152143053674841], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHl01cUVx0cQEhIkgCgWlSgIokEgL2BJIISwJyAYIEjQY87T9qivicgT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        "]], PolygonBox[CompressedData["
1:eJwtmHlU1dUWx08OgKCigMsyx3wmdR3gAioKKIEmaJmAPsjKdSst6SJ6Q3qW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        "]], PolygonBox[CompressedData["
1:eJwllGtMjmEYx/9rqplKpaZaB9VSpNS7lMoplfJ2oIOmMMMHSieNGG1mE62N
lDKbjVpjNUtZcwjDhi9kks3mEDlkK15ssvmE373nw2/X03Nfz3X/r/91vYVu
rymsdpK0DJyhrVC64C21EofWSLdgfJF0zU1KzZGSIQW6c6UuT+kSMT5NskFA
puQPWi/d85Jyk6QD1NkP55ZK+TOl29Tr3iCF+FAzQppcIU3B4RJpL+/S5kvz
qBUKHisld7hHXjhnl/nOk5pt1K5bJ1VlSNWGBOrMlgbsUif5XVCcLRVBQjE1
5/AuWXq5XKpBwx+0BBZJQfCFeybgSJ70lX6mlki1seRBVo3UHyTZiWvJzQY7
lHtwdzyxDo0h0i7iJ+76DN3ck859ycXW/UZH/Tb89ZOGo6XpMuk3vMHD1/AW
4mZJJ1IlX+45y30+xLkMxA/e4f0YDNGbgx5v2q3+TJ+ueGbHFxdi51bmBv02
6X0ANSuoSS+D9DTKjOz0mAMJvB/nfMBm5ZvvjG6j/zGa29D+hJiUJSVCbCnj
9JVeRUpn8CjaXfpJnV/UnoZ35J7nmzGiH/35w1Hm5I6u3ghrfmaO5r053xGF
56Hoq2emtVJwsBRGPBQnNUDPKnxylRrp6Tg0wf3V7AA05UsZzH5nIn+j+y48
o4+/9NNMXz6bpDlwp1JqD+ScWMnMd8P1AqmAvY5k9ifJ/cc3Izarhql1ZaHU
B6/ps4B+4+m7YgEzBlf8q8JHF2LmRsmN+TvY83SeM+AF893MfB3R1v1GRzl7
EIYvU+yLF/vtDWU8T6JhC7GW/dkTb+2++Q20oPUgmluJo/T8HEbAgRdh+P0D
D78bL9kXd7T0sfMx+LUIPrIvTvg4UWPtltmx09RpoF4HMYCe/aGR395itF/E
i3Fqv4cx9i6d/fvA8yB6Gjl/hL4H8LDI0m30O3gOp58K+rKRW8p8E0osTUab
Mzkz4Kn5hrxh4lXmtI95RfBbbWeXO+AG/qbg7zd860FPL1xi5hchj96i6C2f
2IzeY3hVzP+OFnJOQTDvfTgPJYbFoAf+A8LX3r0=
        "]]}]}, 
    {Hue[0.4821036666189358, 1, 0.3324718462199351], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHt8z/Uex98pl1waRhdFVBgbs58xmzYmYYzYTK45W22OXz/Uju3onDqn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        "]], PolygonBox[CompressedData["
1:eJwtmHl0z2cWxi9TuwoTW0mHWENISCwRJEKphNoSjCXTJm04fkjUNu2cctrE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        "]], PolygonBox[CompressedData["
1:eJwtlnlQlVUYh386LiAubJZbBimYIoaKCxq5IQhcZFNQyVEbmxrn3owrMuFo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        "]]}]}, 
    {Hue[0.46963988711438787`, 1, 0.34972938707238604`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mX1811UVx69TeWgDCQYDlDYY7AF/Io6BjCFDbLAx5WljIGj4G4Ly8zcH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        "]], PolygonBox[CompressedData["
1:eJwtmHt8z/Uex99WWdpct/HbXGbLtp/83Ea0YSvlMmR2wTGJjTn5tYXFkGsu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        "]], PolygonBox[CompressedData["
1:eJwtlGtMjXEcx78uddDJ5SizNsrU6YrJcYocd0ol6hBlRheXQofMZavGwvKG
MZnMZSuzDKPywl3MXDpibWomZC1iXuAVy0Y+z57z4rPf/3me/+//+/4u/2dC
vierZKCkheAH01dI80dLCdio2VI0PFkuTWCTO0Z6yvoZWNMlz0gpEJswSUqE
P7lSH3zOkzaMlSxxUl6StB6S0yQ7+1Owg3ifz/f37PvF/t+wIIW4UDfDjO8k
/o1MqQnsicQfirjF0k27VDhAOjtf2rNK2gu3Zkptw9CEv2ulNBvcxMmC+rlS
rUV64ZAKksy1l/Uyvi2HqF1SJKydhc4A8mU9npzGwXV8P1il0HRTo6H1I5oL
0D6YHOKIHQsxEDJE6pzHuU4pAzZkSCsCpQvofMXelxBAPCs1GIb1wkrWLdhw
ahcBR+EIXCJeHd/qsc0J0gNopeY9nOdYJGUTp488OrPRB11QkyWdgkvUKpNa
bUyWqkqpXah0GHtvnXQfUqnBErhCDQKIYSF+c45UGUycHLMHRi+24jMS3xLs
OfzOg2Wq5A/lxKmxSWXYyeS1j3qMy5eC10hj4BNn9kDQdOkhOiuoYzu6/Yaj
kX6ORmMQNKZK30bQZ+wJzqmGDnKZQx8qo6Uiel0MXmK2wA83tWI2vmObeG6E
O6ytvLvrNmMbGsLQsh9NUzjPxvMoGMu7Ct7F8S6EXmcS48JS6S8a/8F28rSR
bym2llzr4Kcv3hZm0p+aWMCL/iTyuM4sPmfdAgfwCcf3EPY2fnfgjIta0ocq
8kynTksh2FePifSvl/p8STPratS3o4j6h9C3eOaX2XdBDHfvMWdcJP5q+rUZ
3y9ziEe9DsIOD7VnJjYtQA8z1+A0e2z0OrqY+eC8Gs5LY35SwUYP3rH/NX6h
5NZGD8Ow7WjtcJm6Df12fN/iexLfet883SPfanI4CcnEXgyX0bIMTZFo86eu
hdS3O8/8Bxj/gka+N4DHYfa5CZ/j1OsYdKDFyT/lCOtWZnW7cb/JMwo90eCG
XvRlYUvos8fodyTnQSz7c+lB92qzT0a/uqjfIzQXodmOTwS8cZnn9pNDLPrK
0ReUb86DMRfTuLfx0G/cW/4pp5k1q++OXnWY98S4L0bfjf4f5X7s5J4cx1bw
n7hFLXfz4yxjXQ7XyO8reW5zmHkb+f8HsF70/w==
        "]]}]}, 
    {Hue[0.45717610760984, 1, 0.366986927924837], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mHlU1mUWxy+gIouKpLikiCaK9KIJaAGFY2UiaFqQaWgEJg2Mb+Z7EDP3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        "]], PolygonBox[CompressedData["
1:eJwtmHlw1eUVhk8gITuEBMIW9iUBLgKXLUS8ESiQgFokNwUqWwIJDc0lck0E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        "]], PolygonBox[CompressedData["
1:eJwtlXtM1lUYx78aKAoIQRooCfJiIktJeXGBqJhyl5sCqSM1LzSbrw4Smg0S
yz80SygzI4x1Xba8IZosXUXTUhCDpNqaUNBIW6sVCq0k7XM6vz++e8573vN7
nu/5PpczZe2WpZtHStoEvMGZFdLH4NcE6Z/JUmaZtDVNehLkLpP6g6R8bNQS
yQUSZ0iVXlIE64wiKR2smytN9eVb1hOTpVCQynrtPVIKtiBLigmU2tzSEf47
CoKJFwSW4fuJcdIG4o3Bjw84Ukg8vj2MHcyQdgdIV+OkgfnSDVBeID0WLFVg
750thYBJjxIbxMVKr4RKLRvwNx1/wG+bNOySfLH+zjoSLqkeKQ0EEGMcaMDf
U/j9BV7pmdJp4k4znBfAGeQTOw+8zbltnHsLm5rCHcH5PMkLrS5gR+NrFAhP
lKLDpT1oehS9atHtIvc7xvo4eCYb//7S9wul6/HEBQ3svQEmJqGpD1zZGyA/
r42Xbq6wPA3foeVWtxJ0u8l6EGSkwxu8C//F8JsLv3q+qeDb17EhcA8FdyfY
vOah/c/zpGvgq3ypioIYOUvqYN0JFvB9Cn7eS7B+jf8d6NKBLkXo0ocmP4Fp
+LmCvzsPSW74xINaeNeAIu7mwx27uO/LaH0rjPxgI/HjAr+T499Attv+t4//
LhdL7aB/JrVGLteQyxn4KqeGwvFzgvppAlEr0ZK7uVZavY3urXAtgXM13Lvh
2wM+vx9eU6Tp5fxPPbSBPvz3ggjq5Tli7CVGM3cORFOlcpa7xIA0p45D8RFJ
TFey9Wl8VxJjPbEuJNgaNLXoR6576CNf7G6+3wXq0fcQ/ZG/VJpvckVe3dTM
AtbJYK3TP+n0yXl0+AIseUDKAje40y70HsBmzYEa377zsLQqR1qdY/Np8tpM
rV2FSxJafoqun4Bj5Gafn/QZ63ZyspO7nSFX+fBdCoaoiTr0G3RmgJkF1cTc
Dl4lD8PkYz+2ET2Og1b0WU6eZ3OnPnqtF5xFvzb0aysh59ylBnRxtwljpBdY
99C3z8N/CP5/wPNPMIL71bMXnGn73fR9COsG9kIzbXzDYwNcD8D5LrRex3o9
8OasF7iF3/2cH8v5Aw7XHLetJVNTprZMjVU79bo909aqqdnlnOtk71n2TuH7
JPjL0SIl2nI0XP+G8x7O/UCs0eyPAgs5ewhOT3PeQy1sAvOojVJqpJxa2Vpk
1xVmzX/loHUq+Wavs9DOIzOXLqNdO9iJfufQ7yD6+Tu1c5bcdOO/B8zBz2Rq
I9HMMeL4g73kYRF5eBHriZE2g++o5boJ0rdO75ge+hH947lTL3Ym+Y8F2Wh1
Fa1yPba+TJ2toS5Xg2J6/yVmQDHrk2g9lnpqwnbgvxOshmMjXD1mxsJ9P0gs
sLMmqcDqaPR8nHv4M/fGUZPX+H3dgVmH06uH4RSB7YLPFXDKiZWbYH0a36XE
aCLWRmKWLeY3qKJ/N9LHUdOYRWX2vcoqszPZzGajl9HtDue+5NyICnTB10Wj
i6P3/7pTP5fAN2hbQ166sLep6X/BJadPouA0K9r6EX5u8/uOA7M+6MzVwGj7
hpi3JMpttc3x2HfKvFfd1M5H7N3kwe3cAuf7uDM2gB4JBC3c7yL3bI61/WT6
qpb+rgGnyXWLqatH4MR82sG5sFg7t8z8CmO2TgLjmY2rmI39zI91i5gnoJQY
54i1BRuFzw/QwOW8keatdOPzQ3zXEcOLWN6gl+/bmRdV1GwQPoPBCWZXI3gf
bd6k5vZRG37s+4JW53xlsn0fzTvZUWhr/Wvsg+hwibsPx9meNb37H/dllj8=

        "]]}]}, 
    {Hue[0.44471232810529204`, 1, 0.384244468777288], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3tU1vUdxz+IJJfwbgfIeZmgQGCIYgLK86Ahz4OgwgPk4yiDeUknmODj
WC6LdnJzMmeZWrPjppvnmEt2s6YrK3MrZfN4LM+6WKYrRZm3eUMEcq/P+Xz/
4Hy/fJ/P9/N9f96f629kzbKyul4iUhUmEs46OFvk6SiRukKR4lSROH6cN0bk
ml9kbG/O0kTen23nQwtE3gqKNA0RucXa8pBIeyQ6OB/H/e/1FYkMiLRWinTe
K/KdfJEb6DnAOzeTRVI43875Nx6RE8i/zLtlvC95IodiRH66XOQV/rbyVgg9
Mbw9G/kufk9lH2Afwd1wj+3vYf3A6ZmNnkj+L+c8mvVth7MDfV7uf4LMEWSa
0w3b2RnIo3NhnEhbtcjxqSKl2FIzUaQSu46wb3pY5PZSkX1D0cO629k7fIpI
PJyEg/PnyDz4CL8NhgPWSz6Rc/Dws3LjUXk7CD8T5tjdMPbPTheZBp7mSSKe
MaZnPOeHsw3nKXQ8z9+76FmFnt9jz4tgjoW/v3I3EZnt6LuFbV9FiEzPhKsf
iXwGlVEpIv/D3pQ+6BkvchIfXGZ/grsjlqA/QWQj8sPdfhjrGCfzdJbIxyud
vfiribffAtt6tanauDrP+rXH/NhUhK8d5v8gM52/18Ccwb0IuC1B5ga8zco2
H6nPh4CtFV9ProDzVPP7XnydW253/ejYN1rkOeJzxjSRHaUi6ZxfzABnwGLs
0XEiDeXGzxrk9+CPPejZWCZSWCvyOfhj4eMpYmAJMdAHW5aBIWWQSA86BuD7
vv1F/jCBWOOtWt56E/+vAvMqMC/Fric9tm8B5x+LRXYi31JsMaGx0fmIxbri
ycCu/k5nP9aQk6kgXvonWzzfRfZ6nnFyk5wYMZc84O558Jdw/iX4X8Wmwkzz
6Xb2jeBoV5+CMY7zY5yHOI+vEVmNL+5n3Yi9ecTeZXCGudjIJK4y0iwXorDj
AHou9xNZgb0X8HE7OFeXELfETx0YQvAZzfkBYmBtrsicacb/ipki97rzkFck
IdM4V+7r+P8I+qVOpBuZDnRuQ+cb2PM69uYgM8rhfxGM6WmGOaHGdKnOFcTk
M05GZRfybj287SIHdxDHM+EkdjL5g+/m4bsn0XkSn67Hp1vBfs5nHP6E808W
g414/jfrwanm0zdKzJfqx+Xw8LuJpn8dOv+ZJJIFbyfgrSNktUJrhnKhnFQG
jAvFGZVl9VHrpDdocabx9mfi7qMKy80W9Lfi75iBImeoDbux8QvO11Xan+5f
42y1i1vlcpfDU4XdH7scfIa3osEcgf4I3m92saQ1SXNbc7wV7I8jHx0r8li+
5afm6Q/RfSdg+XUfMRXF/cnoDMPv97n42QZvYSuNw1NB40Ix/BYsu9FzWPMd
PW3Y0BecN6hL84iDrAHkIzI+l19B1l9i1zH0b+ed4wVW67RXNEyxOBxPHK6a
bvmreVyA/G+QT4CHNSXm376873G5HwHGzRn2rr6/z9Xkat4t4u738Ze/0vJK
ObnK3WeJqzz6VByclc8wnrPTLd8078aRf6Gg1R/tFQucHwcRUzepoVO0l7E+
WGg1+TT7v08wnKPBeTXV4nk0eraA7xLY1tXTC9Mt/j/kzWbu3I+eDawLkDmL
TDtcpsFRK1w9wDqn1vppPFz9AJk2ZK4hc0+u+XoXcRSqNJ21vFuMPfvJ2RTN
WZ/p/K/P8k1l9P1vVpr+XsTFVZ/pvO6zGqG+ziYGRlCzVpKbicUWHxonndg0
LtX6jvafZZw/Rn7VsX413nqH9pBPXU4tAu8L/LWj/1vNb2x5EwyJXuNd+V+N
H/prDmi94qyKHFlLLjzOOrbcOFQuR9JvPkVnYqP1ePVRZ8B6j8a/5sFLmSbz
XWRjqX1z8fvESssxzTUf+nsV2WzQDc47ebbXsx6/6zucPYHeS2AYhq8zweDF
xm3Zlg+aFwM9FgcaD23EbKjQcl/rYgo2HobbMayjvGZvIRjmOxu/JAfPwul+
uH0ly2quxvyfiPdql5sX+L2P32ImkXp/2nH7MDoWOWwLWTfVGocay+1B4/ku
PEdw9yL7zZk2r+jcMhTdkQ9Ynk5LtnjVuH11is1bKrOFd1PBU4b+feTdIPBV
gfOM6nDzjPb560HrO9HoeyfJ7FL7Xq8wfrR+3MmBV2Ru8dY5znPxxSlkT/DG
XnRuQPdGMAwl/l9gfRS5r0eS8+h/yuV+I+tpV6Nm8/twfvsCmXL2L5cbBu2B
ypfytpvYPppkc6MfPAnOLp0r5+ZbzdHa8+vlVse0J2xOtZq8psxiS+NnFPHj
BVMEMnmsTa5W3GoQueLmtCVwu36ScahzWbPbJxMLMfWWR9p7i4iZI+RjHTH2
XJHNPzoHNXJ+lfP3i2zG0hg+Cm89PvOj+jPLzcY6vxzHH3PxyzHWEtfvtC91
w3M4+LtybHZUbBfRkVFr9SE812Ymre3xcPUXr/GQnmX5oHmxCfueAOt72P45
uRtXbPVQe9GieuuV8/l9J5j74Lsu7u1EZ290hlFDJNf2d3Os9+i7+n6Pw3Y7
2fhVnluIt1lublEf6jyq8a+1f3CjYTi52PJE42qpx2ZBzU2dg9JdbdQadrDI
ODzEWhqwHFwBZ7tSrI/rjNbiZrxf8P6ZJJsZdD7SGUVnlR1TbWbS2akU/Xs9
1isreGdYgc3e+r2i3zNah0s4H+JmA537osm1dvBfoB7MdD1OZ8kPXC+oybUa
obViADJd2PI3ZHqW2syq/Uv7mPYMlf+QewXJVvd0JprFW7W8NVPnYodBv7Fa
3JygvavDbzIesPdzs6V+V73H3Svw8y5rmPOR+u1faRaHGo/xbq7eSrxVOvza
q8+kWe3Sml2dbHUjym/fOdpb/zHV+pnWKK1Vik8xdLGf52T02+hQivGss3lR
vc1L+i2o+al52o18vttr7hbPsHf1/TI3/x8ttG88nfnDwdvb1bdwv81q6uuB
vHU5yXynPizF38+TL2sn2beT+lG/w+bDz0XOFwRsXlG7tC5eqbB5+Brr2CzL
Ea0Zp9zcGAv2fs7X14KWPypTkW9zhtpbxVyRiN6P0P/tJJutVecWOOzIsRqu
ffJtZGLpKe+wdjSYjL6v32/6TaTfRgkuHjSOrgSN50jefwnMDdzdxPrZYssX
zZtaj9XeXshfL7BZqIP1oQLr1/rduT9gHOp3s9dj/tL4Op9tdu3xWRzrXm09
7+ZkrQGdrp7fZv0Vb4fA0IZst95BZgP14Y7b3/ZZLmlO+blbkW32HuD9H7sZ
Xr8PYibbLKcz3f8BcBXyVQ==
        "]], PolygonBox[CompressedData["
1:eJwtmHtU1+Udxx9FVCBM8a5kXkCBvKIuEZOLqYBQKmhiFmLZkvkDxcTKtFjZ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        "]], PolygonBox[CompressedData["
1:eJwtlGtMz2EUx79UyqKkolVDQxbVdF1RiW72r1AJ/5QmKkw1rHL3yuZ+WeV+
2wybDZP7JXLZhLkMG1telPvM7Q0tsvk8e7z47Dz/5/ye55zzPef5h5TV5Ff3
ljQZ3ODcBKkZ7jikH97S8lipJF/aOFAqxjqjpCJIypDGQ8oszvlLE7FbIYj1
FuwdfHehnvPfuafVYe8196c6pTV9pfIszrGeBFEzpZN+UmOotGOStBPeFxKD
vQ/YOs7Vw/AC6Rm5jMA+4PzDLLtv/DXEuE8sBzFjx0sxcJ29b+y1YKtLpSqo
jJZuBkovF0qf5koVAZJHOLnPloLhcK7UNUDqiZP8yMMf2qj5HlQQ9yvxF2Dd
EM0Vyll/YS84URqSaP2VBdZnvvFi3R9KOD/bS/JmvRUtT3lCsrSJ9WboS7wW
d2l1Kvplox+0k2MruS6ItrmbGo7GS0s9yCVN8p1KjvCU/J+AN2e8yN0HG5oj
jYTCifi4N5L7w9DmCnpko0cSmiXDmVh7ZgBnstEsBz5SR62vtHe6dJYamuEP
Z9z57rfDxjIxXSKl3rAWzT7jW4MNpIfz6JtjBv0No79w+/883XLYvpj+hJBb
HWeGYQ/y+xDsHyvtg8t5Uj46XsK6opsLPGFdxN4z7F80DCO/ngLbF9MfVzRy
gShyTsUXje1D79zgHTGuEOs9tpXa5uCvwT8uhRlLsToYPV4wa3Hk/rzQ1mxq
b+K7ZXz/gXMZ/E6HG6an7BWyt5s7u/sx9xHML+smaPnvv15gczK57cC/HU7j
P0YuZ7Hr6Mk3etNOjy7w+yLMZ6bnwS/eUTLv6dooNEtg5nkzvTKlR9T/GNZO
QW8oTpLymIdS5uLvYulqMHXGMJPM9lcYWcVZ+MleG76wKjvnZt67+P4ye93Y
ROIlgB/v9jP3xbIeTD6DIJG8X1NjAGsnszoLDjC7aeS0LcHOjJmdeHpehH5x
2M5pkif96sBmcmcW7GJ+m6ABPV4y10MX8R/D+6+HR9S8h/tqnbYnpjdL0L4U
HW+h8wr2F6HHSqftgenFKt7KSuhkdovRtAObTl1pMIY6H1BbBPY5eZ/H/wJ7
nFpOwHBivyKHxmibk8ltGnWtJ+c87F7q2wdveIOdMKQODULIGZth4kAZNR+h
f3d5QxHsv8Ufjg3k7iDIpTc5kE1v4nzIkX7VjOYdwwb6Gkw9Dejczf/ffTSv
Teedse6BoDJ6zH9TRLitx9T1D/YtAtU=
        "]]}]}, 
    {Hue[0.4322485486007442, 1, 0.4015020096297388], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHlU1dcRx0cRFTfEXdxjWUVqENKikYcogoBRAVFOtcpLIOEpIIj6cEts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        "]], PolygonBox[CompressedData["
1:eJwtmHt4zucZx+8kjms1DpGiLcUir5CWxKExRELkIBGHOARRSStt3pFURUSp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        "]], PolygonBox[CompressedData["
1:eJwtlnlQ1UUcwL8gqNzILYKKxiE85RAwUBPTQG4VBIFJjLKG4lAfjyMllEnA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        "]]}]}, 
    {Hue[0.4197847690961962, 1, 0.4187595504821898], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHlwltUVxg8ERCxbiYAsUhCzQICQkAghQAiQhewhJBCh0LyMdb5AgHxs
QYFOpYAiILEUrcqwilrUMq1Vx6XVoEZHHavWtnYYqxXRqlWj0Mre3zPn/pG5
J/e999yzPPc5537Do+Wzl3U2sz2dzBIY61PNXmTiXMzsZ8Vmz/cy6zXHbEmJ
2ZQuZutHm92UZ9bSw+yRWrMuyO3sS21ibrTP/5S5b+rN7uln1sHYyN723maz
ssw6LTNLvtbsGPJjs82Won9pkVkVe9PRf26WWQ3rn2P9GNb8AV270dmrzuyz
8WZju2Ejc6tYf+Aas7s49yvOOPEDs+5pZmV8W8H6ar63LjLLGGA2pNHs6mD/
LcxvZ34c84nMr0ROQz6Fvw/kmL3Q3awIv89y1gTO+gn6vg9yN+R+nPcS/l4k
Tg+z7jXsH0N8hjP/CvOXmZ/LuheQ30kyG8z8y8iXmL89nPsEZ11XZpaNzQdz
zeaVuO+DkQvYuxz7a5n7NPh7carZYubXMr8W+8c2m905lHMZP04xW0CcqxTv
OW7PQ9hVNtVjotjkzzfL6k9cIrMo6Glg7I5tbdh2HtvGzeX8K816TzbLZH0G
62tZPwE5E3kh8mTk8cg3Iyew90X2nmPv7/DlPDpbx5iNxoYPuprNzDR7lbxu
wp5BNWbriO2jxPZWbGsJ8gls+7av2e+H+v+vk+PtV4OfZOxA/3H0X0B/X/7W
4eMh1u9t9vUPMDaj5xH23cv8mwVmA5D7TTTrnOv5Ut42s+5h1tew9hdB3sS4
vtDX3z3P7Cj2H+4DHsvcB/myB7my3mNbzZiKz1vA2yLsSgOX1eifJbnefZSv
6yPH5CdryHG950IYSUWuRx7Fmvuy8UlYms4ZfHuZu5YbJ8b8pYONTYsc09Kz
AX3PgqHhxOQId20sa8ayZiNrCjI9zvcT7/7oyupptr/c7Db+b+OsVnT/d7XZ
W2CgY5TZDXHHnjA4Ke73YgfyaHI6jpyeazD7ebjvq9CRETBg2JAb8t4D+YaA
hyuQU5DTkU+zd2imn7sLHZ+ArZ34mEI+Z4HDT5Rr4v/bKnCLPcOncA4xeZH5
M9iYzf/fg703JvCNNSfxJYd8VswAL8hljF+h9wTr30XPg5O4a1cRb845uxLf
h7F/pfOU7N/I2uR8z+Mu8niy1nlJvJUxzvXrnJ0z4Rnka5EHYv+fiWdfdKRM
M3uK9YWl2AuW0rG5BV+2LvIcXQVv3LbIc9EJeQPyGOTvude9mjyeiqtwKXx+
hI9f8u0Fcj0PLLco7qz/mrmrin3NCvw6H3Od0n2s2OOzP8cxoXOP8r0VO24F
D6XckTd7u++KxZIi59IZnNkHm17irAWc1Q35OPJ85Evsb0O+MdUxKoxtJI9n
Ys754v4ujX6WfB3Y6PhcyHxiiK1qQmqdn70OjjrNXXqHO3Wm2blbPFYJR40J
uCpD/whi+ENi2FTiNUO5uJlcDAwcuI/vP67gD7kC/pkQd/sT4PPXxjoGBlQ6
hoSle7HhgyAbZ7aB/wWseWW61xLF4SFqy4gW7gC2dUvzOyZfuiCvwd+9g7CD
8cts57072Nse+GoNMRzU5DgX3lvCnbqLc28PeHgLbCyNnFfFr/JBvojX27Ft
cSLxYd+AqZ7fZcythDfWci8ebPJ6qbppI81Wh/nsXM+38q77cX/g0gp0JDf5
WdM4a1iT30fdy2+J+9v42ME4M+7+TmVcU+Pceh/zpaEWlDBumOM4n4KcFve8
W5rjRnFbTgxS4o7Vy/DG8EyPVX/m3s7xO/gr4tCKnhX4+DFz/RudT1Rvd0/3
eKqepMcdb53QfyM2fzQEHDL+iPk/Mn9xlN9n6TyNzgGBx56Bx6J850nx5ak6
l/+V65yls54nd+Pjju3O6N8w2uv7KjAWDz4OxvZpISaKzZNw/mR87IDz5zZ5
X6H+IinHY9VKrD7Md/uFC/G7eH4U+Smd5xwlrppO7N4nnvmMI9D7J2y4hC8z
wvw55KubnD/Fo0fK3S/x9ODAM8rDUdZ0pRd6nPFIlnOmuPN/DV6XVZ87GrzO
qt6mBl6KwN6gXLdNtUj3Tzwv3ORFzsmpnLuVO/AAfm1mLIm8nr5HPcmPXP9f
kCdGrv/dJK8T0pOObf+OOUeJq25gzVh0jkDnwtley0aCk9o870/Ul11u8r7u
EuP9ocb1xt+EyPsl9U3aLz2TIrdPds5AvrDU+6Wz8Mz5gFvhd1nkd+R9bOse
eR+lfqp8lNeRYeTiYoP7pX7hpsh7sL+zvneQ1ZctCHv/xvzhEOc0MHVdsOcr
dJzi3j5DD/B5mfeRui93EYenA2berQbDkXOCeqIlI/2+J7J+dYnz2/XkpDhy
3hP/bSXv/0Hn5nKPhWIiLCewfhf82YlxXZZj4DHsXBz5vVaftSL0NuKPLxo8
PorTigrnQ/GieEH8sAc7a0Kc/4qPlyZ5XtQ/zs/zXkj97EsjnWPFtdWR41O9
XkrobZIjv+e672tj3utofg53q2Gk814b2CsJPfY/4PLZfGtGrmDuO2pwJvXo
DOM3tV6XVKu3YF8jXHGH4lnjHCuuVZ+tfnsfvpbnuZ7KPOc4cV1f7BkV99q6
DhwuLHX86x4Iu8JwUeTYFYanIpdQF2+hPm6vc6wLG1WRx0XxqUceMsXxo37k
0iz3RT4JE8LGIXLyCv1HAnY+xZrnyr2+HCeHm2POXeKwnTG/++IAcYpw8gR4
yQ+co/qTGGrc/lznNfHACHLXp8bv0fwM8hz6Itk1scD7k+no21zh525h/ZQw
/1aVvyuEh2x8+eUq+iZi/gZzpZM9v43sKw05kn9HWHOCNV8neZ0Tv32d7XVO
uXi5yHt0ycdkT+gTxN/PxrwWqyZ/wfrd9MPT1PPHnHvFwaqLqo/qPTtC3pX/
mcTxODhvKPF6Kfyon9pW5znawfhhzN9feofdE3ok1Z+PQ2znpro/8qtyst9t
3eslkd9n3esoco4QV9yI3/tDP6P69mDw/TDjDLi3HTsPqIcJ/aHeLt/GHGPq
4/Qm0VtE75X9xb7+oOp+4NIDvC9+E2rHHrBfm+p4+Cc64hleQ/Wuld2y/zPm
5/L/VvbWMn4eemPxfWHAcxJ4Po/OJHjgot6LAXs7wcCr4U3UzvhNs/NzCvf+
01rnnCHcy8ezfO8F9pYGnephk4scY3p/6D2pd2VRnveginNHzPstxTaq8H5R
ue7X6DVGek7iY0ex+yhfzxd736X+S9iVftUE9ZTCTAJ7u2b4Xdg+2/tO4aRH
o/eR6sHOSgc2tYKlk/XeD6n/WZPluBfOhfeKYHMhNleGt4D4b3+4R4lguYN8
vEZsr6jxXl85vZ7c7gi9/Z0zve9QvlQv1etr/r10coPck72nGJvrnYv24lfX
GtfZvcb5TrjdBm4vFHgPoF6gJMivT/A3pN6Si7m/48Lb/NocP0Nn9UT/8vA7
w1ZifmWT1z69n1aFt8CumL/r1P8fRO7c5LVJNWpb6DlfxZaejf6O028Y68K7
49cxr0+KuWIvvhBviLeWh354bo1zmXDVwhtoC3Y+gp13NPtvOuqd9BvJkfCb
ht6vVVne55/Fljk5vv72Zq9zwp4weHcKNuptTgyumehx0Fs8Oe5+yb/r4u67
YrAPO4uJ7aFqfyfovVDOuYVTvQ9Uj6l3hc79Dv2P5jk21CMXhd9G6vm+u9p9
0V3pUedrtFb5UF7OFPj90Zo25FT2P43OEvY+GXKtnPcLNq8q9Dqk+WnE4P/y
4mDN
        "]], PolygonBox[CompressedData["
1:eJwtmHl0VdUVxjeTgAXDPASIDCUzUwhhzpMh+AiEMUwChTwqNMEQgmFGW+1A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        "]], PolygonBox[CompressedData["
1:eJwtlHtMjXEYx78hhJQwt7nEOijXlMtQodA5rnVCUy5lNlHEQRezuXRBkWqy
YW6VS6E/SC5/GCMmzMZcZkwnl1xmLcPm+nm954/Pnve85/c+v+/z/L7Pzzdh
dVRKC0l2cIeC6dL1jlIaL26Ok27B8QVS/67SMaJjorQefidLfr2ls0FS8jwp
BeyhUjS4WcnjJbUiepCvLcyNleLI4RxIPr7Z3Ub6wNrv5PkBGaxJh1LWpbPO
ZxAayDm8vbR0sBRikUKhbgzr20rWCKlhjvQGQkP4HzLQnNhZqkXzmRnk8pY2
B0uPJkmPYeksaQkkQDx5bRNYO5UaIStKOugj5RJHTZMCwSNausO7prHSHJf+
2cSZMAsqw6QKyENnRhdpJ/HoWDNPDnnO0acqo19ocMA+NP3sIFnQ8pQ+PIGb
7LONfge4chq5e6N/Vx9pWKr0xU960U8qc9Bv+mCBWvbJY7+7xD7k6gv2IVJ2
d2lgAt8v5D3sHyGVwFt65ImmRuJx9B2DPPRNYN9qo34bOuC2zex37nip22wp
0xNNU9h7tFQOz2LQDc9hDXXM4PyGcpZXOesoznoyv6fAysVSEqStkA71lHwD
8dYw/ABZM6XPnEsusWqkWXsNfa6Gi3BkrjQdrYeJjWj/ACvIXcseScQM8mfC
fWq5Bw+gAZ0jWXcO/5yFJnpYwlmF46ETaPWlV1foYzzfLTI0p5r9HUHcgIaN
sJr3KZDAHjfYK5y6TtCjVehbyRmV8lwG9ZzNa9iD114YHsJ3OTwn4btsYiH7
F8Ey+pUItybjG/Rl4bkY6rPD/Ggz71r2PUKvg8nTA2/445EAaEFON8hF3yl0
ZhN3uJ7t7J3J8yZogoe8a0416/5fP7Pkzlymo78T/vCB1+v51kNqx//1PDsh
3+VZKzN1Hg9fgED6tZe+vYk1Z9GYSaPXRs+/ruN/fNhMbOT3e/jlugN+ElsH
sC+EkaOYHI3k6IIvO8Nyi+nX2+xZxznUkacQP7fDy+3BkzO8So/yw+kN870A
lpM/DY81cH714IwxazFqKnWYM1FOrGRtBfRjznbRx1Pkmor3I2Azs3CUmXAw
Gw1wkXw2PB4JVviDbgv63VKYmaHMDKTho5acTTH+K4Qi2EZ/T9LnLGIIPQmF
OOpaCAXoyaS2vcR4csaBX5i51yKbWZ9RpxVf1eCrSGLIWukb+SYRC5mTInjH
+V9mLt4SX+KJV+DkrNfgqwJ8VcGeleCkjno44zrnCqJ3uuQFwXyzkXt1HWf/
BR/14p4sxn95zFo+HKSWA5BIr7rhh+7cAwOYySB6X87/pVAG/vg9lh5449Nm
1nyFS5xnDYSh4RrfVsead75x91cFmX38m2z60vBn9DizZ9t5/kRNH6ENWn6h
7wDatnLvbIF8cucw7/OZrdau+9adeNqf2uAfLgc7rw==
        "]]}]}, 
    {Hue[0.4073209895916484, 1, 0.4360170913346407], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHtQ1WUaxx+V3XSjLG9p4gUN5HJAPIsoohwVUgRSQEQQvJ0QO9kBDxcF
E8cxy7JkNU2trPWGZV4zRyt3ndlZN2sk1q1VK6dxDTdjvKVus7lbtp9nn/cP
5v2d1+d93u/zfa6vkf6qgsqOIvJ8B5FOrL+vFZlzj0ijX8SXLnK2i8hHqSK7
skT2IJgZI1I8QuTEgyL35YmsKxT5+H72vSJlHpEXe4ukcjbW7e/g3MaQyAr0
DEbP8XyRN+8VCY0ROchfHvvbRoq8NU1kUTh3+0Q+Hy8y6z6R5ZNFxlaLfIvM
Bc5uybLvrotEJoHtPHraS0Q+A3NVD/6KRHLYv4zMN8jHgKMQWzbw7yP9hu0c
Z7sh9xjy+4Mi+7i7uRv2FYhEponMRT4jGRvHiXQBwzfIDnV6vOyfA2cKZ0s5
+0KW8XMZDL+dKBLk+1/oiwZze3+Rh+pFliCzBd688FaRLTI6TGQg90Twdz/4
z6MvwH473EfEikRN5zz3nuX+scnmiyfhJDPZsFXxfQU+W9H/A+uuWrNFbdoK
jvqeIpvZ7+nuXc/3uiKzpQydO0Ya58p9GfcmgacfWPqnmY1JyeZvtWstOuLQ
OQWdsazj4fYL9k/x70vgZCt81rOGArbfEW5X4fc/4/dXOBvu7F1MXHzH+ePs
r2D/786/L+PfIeArRX8O/x43VuTf8HAIbgcmihzhbPNjFjcaP+HYuhz5v/wK
IeLtQq7I0Qe4azjY+P01+4O5/3aN8fk0XPmiRarhpx4OxiLzwcMin4J32lSR
15BfPAyfOZ1DsO8J7v2EewNge5a/DOK8PAVfjxZZgL8ipsAVev6G/EruynD3
vlxocanx+TH6D+eaH8/A+XRw1BLbJaxfI7MB3qbB23/AWQHncWDb7ny3g7Ul
YDj/ylqDP+4OFnmgQaStTuS9SJGLdcaFcjIIbhrnwUsffD5UpDP7jfj9feLZ
w9kC9Odz7/fYeJqYeQP5ZRNEEvFFKjKrgxZjGmv1HvOX+i3Kcb6Fcw1uX+O3
ku83wF8F/kMVIie59yXubc6yfNe8by6wnHqLdYW7q5TvZehqBkMDa1zI+K+B
/1sunjWuK/2mvw2ecn2G/0typJ/jvBf611NDpvNdn0TMec13GhcNTn8uXN0l
jz6E/2cyRR73mY1a29rdXQXIiIv/fGz6NE6kCd7CyNNPJliO7CRXOiSaH9Wf
t4rhAR99OERkNmeawDkevG3TLDcruKc7OX8J/T+h7w7+LST2IvHvhpD5V3P0
jKshPdgfVGQyPwQtptWWq8j+yO/B/YiHZMsBzYXBYFnqbHyBdarH8GseH0Hv
cvR/oHkEplVgOwOHOaMtnucSy6XgqyMOZ/gsLtWufdhV7mI+F5k6cukKtgzQ
+oPPluPHFfBwlHzZA7aD+Oszd1ZrVZnTuRAsvZ3MfmTiXd34Aq4OuN5xE8xN
3Pc6ObuGtcbddYLa8yh6voKCSdmWw5pT47xW75Rb5XgPnPjB2cZd98aafEuU
1Witb9PBNYwze8idbeTO4iLL/QbW6QUWhxqPmp+ap/8gxnfTw+6Q43vpabdG
Wg3/nNrYNsTyqAvYjzhshdlWH7VOak/YGrC7trOuwUfXsesGNq2vNf9qryhw
PtJYU9tUj2IPe5S4BvNP1JOHqy1m+rBm55iNlzjX1fWpXNYij/k0nnsri6zf
/Qwf/UZbbOzj/hTO30TPAGLwvM9q4D3UvxD3LsVHtezN8lmf1X6r8aE6E/xW
l7U+78ZvUa5/PcJ6Hpl1yOQi80qJcaI1JuQxPbN9FlsaP/OJo73U8Fb4iYeH
UZy/jZ5I8PQaZ75Wny+KsxlAZ4EvF1keZfgt/lSP1uBE1xcml1j+/D9Haqzm
ah0Yl261W2tIQsj6uvb3UegZ5zedqvuk62U6y3iGG7ajYIyOtV5zg/iJdtg0
9ndR66uIh4fwyyDwXwZ/T/BHuu+B1YZJseWxFmF/DTwUw0eE86PWgBD3HuB7
HdhWF9m9ys3poVaXVkwxrpXzlXA/C78nED8zWWfg1yx42IjOllTrrdpjE4nt
t4m3zXxvCtj3q6wXsfM17J3vt96s8ovZH+/mB63xD06x/rVmtNVWrbEL/TY/
6Rz163jiz2t4GuC4xGM9qxj7LiC/CflZyDd6LJbmas1xdVJnCuVI+bmLb6t9
JqNx1408r8auHqwHg5YXWv90VlCcL2F7EvmWiR/PkYuzHQ+nwV43xuJkB3U3
n7vXgyGPtWO61RmtSfFgboaH32HvAo/xUIFMi5szVUeWmxUnsma4npKA/seR
exV5P2sMeraj5zn0DEsyPK3gKXcyT6L7deLjGNiuYkuBw1POfieXyynFlnua
g53gc7jLx+Rqq4mKuTFkOa/y3blnnt8wqw83eczvR+Bpqt/mBJ0Xng0YtlUB
60/apxbit2ku9sLguTzN6kbnSpF3OB9G71iEjd3xpbc7fmCtS7K+uQRurpbY
nPwm/I/lrjXqX4/N91qrtWZPYn8t+3MVl/ue6LcZV+tkHDNvLP4+1Yv5biY1
HH6/gufMdOvTmqcR8JrCmdWcHc5aDNbjXYmvbJvPtEbp/LvQ+Vr9prOyzq7L
wOBz2NJZJzj9P3PnDH5vZL+EtdR9zwfnbjjaD1d7WJO99v1OwPJN824Z88Ac
V2OVsw58d+btMyraZlDNa0/I6pfm7FZkvC4eBhIPHuxKh88E1qaAxd5a1jps
OIVdtawpaebHA0GbZbXO7GQ96vq41uxDnHmXs4dZj+m8yPcfWRszDafOL6mu
ZzWSZ/nJNivqzPibaMOs2OeMMZ/qTKTxp3ElxOP1OPNjVIzN/dofY3LtPaZz
2jVszfZbbdcav89hi6T2psaafr1nb5bFSRt1ZYTXML8XsPlSe0F0yN5aKqOy
pQ7z9SS7T+/dnUC9cfOPzrlHXH1TnvRtpv10MrGQ52z8ERtHeY2TP3DXR9hZ
g3x/9AxIsO9WrRPk1TXyy8M6BvkT3LsJDLH8vsJ+DGuXSuuh2ks3ZpnMZtZr
bg7UeVDnCY0H7b2prmeNrLa+pd9h8Tbf60ySTQxWu76jb4ga970Xu/tGm6/1
HRPnMPSpt1lK+8tJMITH2rsvnzhJdPj7ItOPvxt8d4y337rfge9h1bafxPp8
mtmufNx0Oajvzp3uTfcn4sTr5FXf+ix7i+mbbJ7H6kmh3zApNkF/lNdkNiB7
IcryUWeHMr/VfK39vdE/kTlwCzEW4d65OitVuTlkcqW9Y9Uute920PyoMev3
WIzloO9YrfVxnXlXujlW59mLsdabtEf9N2ix1+6z97++E0+PtzeA1m2t31Oz
7a6+afbG1lnlF+J9Ae+gZbxHFrJ+H2Wzls5ubeTyt9TtIDGeCO4ibDmBLWeZ
8SYTk9El1ns0xzXXl7r31BLWX4Jmo85c3Vxd0jf9u+7tc6DC/m9C58lt+uYt
NBl9f+/E/keow3eC9tZVW14kv56Ciy1wsoD1uJuXdDbROq71vNBnsa6+vsvZ
oJMPwmVupe1rHkS4nt5EPfFlWV94Bj6fdm/zGuTzGqwOaD1odTamYOM/+Q6H
hxbm3kkNdlbfQEvc26oBmcN59q19Y4Sr4aXovDTTan4763Mh62vak79LNP6f
grcnPBY/Mzk3x82fOhf8D3Q3SHs=
        "]], PolygonBox[CompressedData["
1:eJwtmHd01eUZxx+QebTIFhmRAAkjIabI8BJIBAIJIYGwQmJA4Ar0xHAJF4Il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        "]], PolygonBox[CompressedData["
1:eJwtlX1M1VUYx79rvsz5goooGprIBS8IN7khIGG8KMK65AsBZSrQNTPjXoEf
keJC2ax4MQjFlaS00lAZarWAW7r6JzcgTcmWc03DGjOMGWNtbfVH63P244/P
zrnn95znPM/3ec654d6yvD2PSCqBybB0k7SOSfxKKZz5Mjjjlzrg9QRp0mKp
k/mbxdIh6NotXVwkJbgla4tUAe2rpcEl0liF9OMayT9NGk+WpjwrTYXGTKkB
xlZJf87m9zNSG/uOw69V0hfh0jDjq7Gsh0o7vFLqVmkNfOeSBmDBRqlsjhTC
2EAc9dBNLJ8TSxKxDBJrHL6LPJIzXYoGX7RUCsG5xMq3uYz/kouDnD7BfkWh
FAvRxLExhN+M/dmcB/lPSz+jT1aaVMC8EHKYZ8MW5t8ESS583N0u3YERuDqf
PBgjneiEyGdyiBGfPfASubWS22Zyc5PXEzCnWvovQqpMsPU2uiei3yq4liTN
mCv9Rj2C8qVZcAB/J/E7g/kx8m+FG2jwFRqko8E7T0qHYR85WfOkvYy3Hpd+
gpn4uYJ+0xkXWNJ82Mve29TqGvXzU5P7aORjnIzeU+Ag/g/AKey6OCOeM87H
MIfby23NYsitHJsyqMPuFHZO7B6i9WX8naDmQdR+NlRh8xq0YNeB3QrsLnPe
JYjgvN5JUoD5AHH3Qx+MTiXWDHIjh76F1Ptl6Qc0vgn78VUNbfg7hz8X/q5T
/0r81KPDDeaDEKAXruOnEX9N0AytxH8UTj8vfTidXienZGqSBEXU6H1q9Uqs
3YOmF3ex9gFrpaxl8jsDyllrZ20Pa+fJtwsuQNRM4suwa2xqXYDdMex2Grs8
/HDfrHhsmV8EBzYRkILdYey2YbcVGpkneu1vxuYxWAJxrNXxrRCbWOr4kLvn
suxamZp10ifnII4+eSqYGlDfaPY5YS17m9lbzN6V7Bljr9uy77a548vp/Shw
UtcN1PcWGi3k+zB2YYyl2Pjg5jbqAOU7OZe6jFA/B98fYBdl2XU29f6SfgvA
Pt6X58i7m/lSvv+O3TLL7hvTP2dZ/4f+7GQMo/8Xg5Pvo9jFWHadTb2vbCZv
7sW3jMfx2Wb8ovU0ND9CXT1RUi74ye8kefq8dq1MzUax/QPS0LwWH+mMldh9
hN1+7NZjkw3t+M7meyhv2PdZ9A7UrEfjWZzFngIozLPfDvOGnOb+RvCm/M39
bYF3oQZ/JfRcJt920INeGOYsL71ZwryXnuyB7R773SpmvITWqWg+Tk92c14P
hND3tej7BjrfQe+7cJR39lN0qVhtv6HmLU1Ao3HWEi37bTRvZDM0wdfcj27u
Rwr3Y/cG7hcxeFJ5b5mXgocYr/KeVfGuObg3kbCLWN9Dlxe89p0wd6OItSbW
0rx2L5meepG1FtZyWIvjtwvuEdd93pV0YlkHWZAMfxFfimXHZGKrnnin0qjX
PGoYAgFyqUWD3on/FvMf8yj/IYvgM+5MFz0UyvwQca+lX95ifJveqwM/feuD
s9Smg/pdoH73yGUIfuFeBtB5iLEJTjBvYXRwZiQ0sKcePmbPJmIfQHs3uuRT
Qye5FVPTEhgpoHchjP+VB/w/DEXybk+c18HYx75+qEEDN3cvmDt4kLtYm2Nr
YzTKxd8RNPOi3f+gAmJ1
        "]]}]}, 
    {Hue[0.3948572100871004, 1, 0.45327463218709174`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHtw1NUVx48P3gEERUFQIBJCwhJgCUmWPDYJBAIJaR6wSYC4dCGBBTeQ
hcQGGhGl0jCItDzCSxynFUqLAesjCKW1DgVheImCvCRQmClUaTvTWhmpnX5O
z/3r3L2/c889z+85dweHFpXWPigiWx4QeQg6aaZI+sMiSzwiLUtFKjqJ+EIi
/YeKzH1MpDAg8v5EkWwOHYwX+VWNyNF+Im9Dj+t+D5HmUpEuKSLDOouczBXZ
VCey/2mRep9IZ7d/hP0x3JXCXXO5awt3VXJXLndFJ4mUdRG5X8F3ZJVx19pE
ka3wzICnAJ7NyHwHmVugxcjxIqc6InKJO/7M2d+FRRYh16e28D0vKnIP/ut8
H5ol8gd4trHOG4/N6FOGXr4EkXJs/DdyUrmjnLs2c+cPsPkXrGvSRc7x+/4g
kXH4Iw25qcifxz0DWY9mPZ11l1qR4U9hK3SUV+SLDugYFHmOb2nw1MIbLBC5
FiPyQbbdoXdV+EX88F+Ffz78Cx1/JvztOfitOzpM5f48kZ74+fUK+6Y8C+Ad
GzXb1QcFyfgVmUuR+Tm/v2T/NXzSPp2z3UR6YOtl9m+y35IvcoX1Ldan4NmJ
PkHOBv0WP41XZjn3sf8s+4vwTacydEfOZ5kiu/HXQ9h7ALoNnpnwTIPnPDKv
IXMLMrs6n5xCr0Lnqx/CfxGeG/C8C89HYdOne4NIQ7XICvJqCfRF9Gtlvwne
DPxzBf/MxT/vV8LTRyRuGHmD3O8GiKxH5jxik0c+H8NnT6ebvU9B43Js/9VC
kU+TLaYH8X/YY3EMo1ety5lc1h2TzOcRfL52mt07KcvyQ/PEQ14cDZvfeqDz
Rb/5vBDZZ9D1Mvsb0T22WOREL5FB0J+Tr/XoHMv3cdhyGZnrsGVDvNWU1lYP
V1+HS8gZ4uRF50Js+hl673gEXqgvar7SGPbPMv/8mPXr3HeU3HgDWpxiua05
/gC5cpL1vQyRu+hwhlr4GtqXOJ7ujQzoWc5fQc4r2NTgs/pqgScJX4zVeOGb
rcj9E/J7YW+Lx+K+B3/8zcncyrkE+JPhf5bv6wKW5234+UK81XI89Z2fZX7T
vFNfq88j8NdErBZS8WGu12zZyZ1nXd2dga4hFp/htwlZhhGKFR+QhzPcvRFk
jHZ1twLf/iNOpIh4PRYwP6o/y3MsThqvL4nbYvg+h38Qfg06e+uQMzlkuKT4
VBuxtY9z61g3Ytd8zkYjhkvj2L/h6rSZnMkOGX4qjj4aMB36QDtOMbyqwN6G
iNVLOmeXsZ7FOoN1jcdhI7p0xdfXsXEncVlWbjEtJo51+PT38HcfC5Zi70X0
n44db+Ubvm3Ht3NDJnM7OgyC5xw8qfCUhkxnxdSZIdNBazfKveO490fcW+fW
ndF3b6HVjtZQEnIuIGcZcjzoeqinSAk8DR7rHU2cPexyuJ0cjgGvvkLnfanY
z/lv8Vsjfhjh5BQgpwM25JJLU8GJwlpbF0FjyMsT5GfXMtND9VnMPd+kEQ9s
PEIufevWz7Du1mB4shtfxZOTzeTkUGgfMGI5dbcbzNhUaTV4q978q36ux/cx
DYaf+znbFra17rWGTabK7txgmLaWvWPOrnRysB2c2gJeXYUuiFjc0/DNMKdD
X+01WVZfWmfLw4YPHZA3m16QRF3Pga4MG09H9oeg2xh0m+mxPqF1pPW0H/kd
8c8+aL3zufbtJ6MmU7FnMHj3CLg3CJo+ws5WI3/1SOvXe+jXF+Brh/9N7vzC
Zzn2a9ax7mx/sKevw3/t2+cLLHarkbeJXAlg43By59NM6wV9iNFsdLoJDnux
/T3XF7Q/RPH5fHzeBs2mp3uo669GidzBngmcbeaubSW2X0fu3C60/Zvo8p3D
28SA8en+Jb4Pjlpf0/72jvPJcu5dWESNgrdh6INeu/fvxGF01OKoPSch2/D/
LPwFAZttpkLXhE1mJ/wfF7VYax/bELa1xv+tsPlK67La1anOMtoDFNM+DlsP
U3z+kPVzQau7fsgbgD1l3JuUbLWhNaJ4nxC1WGhMtFa1Zqvw7Yio3aXx2RE2
ni7IXplg9ai9bqvLZ+0t/8QPsfjhG2jAY31WZ5NE/HAeHSaiSzt4mIG9t5kF
vnezxF+LbbZQ7LpKjcZ5DWMVa0Op1jvGwVuGzCg5UALu7eXeP3L21XyzR+3K
Z78h0ezSnlZKnu0j3+aNNLzQeh+GTTNYX2I9lns2Bm3m8bM/uZGcGgIGQKe7
/A9jyznXuxWHtGY0z5fij2I3vyku/qbU5s+Y0fR7r+m2Nt/wUXGyBzJisGfU
o9g8zXqG9o7WNJuHdE6o4q6D+P8OveZDaK9Gy+Ffsj/S2XgIG1u5aze4tBe6
N9HyX2ei4wGrEcW51yaY39R/4/NsrX14iet3KyOGs4ppP2G9Dlk7kbm+1GYR
nUkaIxYbjdFW6mWgm2d0jlsMHp4Ae6PQjKDF6xnsLnE+L6qxXqK5FNY+5rG+
o/3nEzer7+KuIS7WKkP7kPaC2fDfxyfbHydPZon0xsZDrLdX4XO/5UApdIaT
qTN40GP9V/u/9l3tvx5iGuC+w+g5DZrqtbg38z3Z9axVrHNc/x2q9ermMZ2v
de7XmaGVXEpxZzV3RgQME0YFrFa1Zl8mH3Y5zNG4qVyVPwodhrv8rw/a3Kz+
vJdn85DGZU6q9UWt04Fe41P+IVHLG82fnuTRe8Tie7DlQLHNozp3rSLHrhKP
NPQ5HWczpWKLvhvedJhWj79fidhc7cfHt2aZb+9AY11fVpyY7LP8n4L+lyvs
bMNEezPonN+EjJciNodnJdvspfaq3fdcLRdxrtFj88kCv/US7SlN+CcYtJkz
jTvn5NgslFxouaVnj6DvLL/J13k/Qh5Usd7B+oWIrTO5N4V63kyOnabfXU83
TFbMrvJYzWrt3gYfNoBLf6m02VR99US+vW203rPQ4Vq94fOSSpvpdcZO99pM
/H898f+parvrXLXNVYpROpsfc5iwHgzc7ubSgdT18+7tcDfJ5Kr8l8DGdtdT
VN+WKsvnHdA2ZP6X/ntoqs12OuMVYfdZ+l05+6ehs5xd2pO1r2t/z4Nnjsdm
RZ0ZQxHriSl8v+7mgXT89J8llquas21On8XQbblulqO3/jbVZgmdlR5uMOxa
k28x1ljUc9dsV1865x7wGxYpJmn8NI6Hs21u1vk5A/7H3aylmHTVzaWr1H9e
qzWdebWXaE/ZRG58rbMRut2FhpxdOvsfBEc+wZY26Ar8uIt5ptBnb0KdDWKp
oRfcfhP07TTD1QjzWDF5PJp8LoUen2RzWkKl9SGtrwSv+Uv9Nkb9OcXydqHf
5gPNf62h3s5GfQ8NYL2UuDwJDbj/B5r03bTU+uBm5MeTBxng/NBp1vvV5zqD
tPhMnxL0aca/HyF/gNfO6NluyEisNDxXXD+pb2TseiJq873OzOUhmx2VX3tv
s+s7iqn6tlF9VK9m1+OSo1Y/Wjs1IfsvQLFxpNewQDHhxZDFW+OufbXJ/Q/T
HLF607NReN5Itv7+L/Zn46uPwdXxOoO7ntWJWuiHzmvQeTh2J9bZ2gONS7f3
jv43UOB6sQcdFrs3keKBz71JFSeeDxjurU23t4S+Kfbk25ytcdQZfKP7b2cD
dIerwRyvvUMUe72sf+r8vBq6PGT26n8Ml1w93kB+vMtJ7QMeh+069+lsrXUR
S6/OdG9/fYu3urdk/0n2P47q5kN+wG+5pPNpuZt/9P+Gfa6+DlNfh1w+vzvS
Zk3NMcVaxQ7VX9+42e5/GJ1N9I2nOam5+T+i+Ej6
        "]], PolygonBox[CompressedData["
1:eJwtl2twldUVhhcUplpoQSRBJAkQIBA4hOQk5A4JYEwkJIQkJCAJlyM59Qgn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        "]], PolygonBox[CompressedData["
1:eJw1lXtM1lUYx7+gFAgIKhgsQAK5CIRAiKK0wGvBC+MFi9iyzNSiBfJyeTdy
RmJbyy7iCLB0XRartVVAWCAMnA5bMaXC5T8WZLgFFda0tibZ+pydX3989pz3
vOc8l/Ncfnft2ldW4ytpN/hB32rpy0hpcK/0ww5pEp5YK533l45slmJKpRVw
kf0J+JhzX3D+Re49XiSlh0o7kbs3SHvghWIpOVi6UiDNrZGuwZ3bpHKMXkqS
EiulJDh0v9QCH7LeHy6FJ0s3HpauwyDn8jk/vFX6qgr/4Mdc6e8YaVOdFLxd
ylgmBSHD0bEcJh/Bf5iB48ulq8jih/ArDPuJUkq+lAq9xNIDcfdKvxLjp8Ra
gs2QxdKtLZKLdTFsIL5jxDm1h/iJOxbGE6R16Lv8ILZX4QfU3yfVgadQGguR
apFHXNJr8Cps8ZEOcq6vGlvQBQuipZPI/dnSbax7WH+HzksQ2CA18h7tvIs/
64AGa8fYc6N7CBulyHBiK8GXP/Dpc+z3Q6pHOswbpSDrM6WGTLtv/t/OnWHu
ViALsJsPT7PfFISv2G/hzlPY9c2Snmd9EI4ScyschyHetBO5lhznQHe19b23
2vpt/A9zfFqGTCQ3eeRoFfI98tMFs5zJ4/8pfL6M7e8hgry+hM9J2CsiZlel
PWvuzLFux6eN1MYMOn+GaWxvDkQX66vU1jRUOzU3Rc3Vsr/P+FHDPfzz4/9h
8p5FHpaSjzAIBz90LoTaShv3ZKP0Cz7MQlmTlLmSePGtmzf8BA6w/z5+NiO/
JifzsfRDg7VlbJ7GxgikYa+BnojCRgb7FcSbS+4WUYOBcMc66hUaqe00au5N
t1SVjg9QVcLZJdIzyDl+N1N/Xupvglq+CJ3Y7sWHDmQ8vq2E31PoMUgglmbi
6COeYid2F3LF3dQu3JPBG0AstT+GjfhSWx+mTj4qkz5YSqzICPprGhvn0e2h
7+pg2G370YudEdanYb5eugkpToz/sF7ilc4R0wlyF8I61GtzbHJ9O7HP8maD
vNmpBrseQsZxPx4WcNYXXuHuGXQsZO3KtW/+HPE2wbPwGX7fwv+TyEbi8UIw
eoKMrlzbO4tZ+1DHgt9MvtBxDflGrl3POXk2+T5K/d6M4r3oh8OsXwZf5pkP
rE+0ef4GfVecupsir+3kuGON9cf45aJeUqmXB9D/J/fjePsbSDc6y+BJZkk3
uXTvtf1k+iqUmEPA5cyoImTh/3qQF3jrccgmr23ENFNp56WZm2YWmZk0QW10
oDcH/evJXS4c2GpnbU6Z7SXTU2nOXIjEv1b23yLXXdTgGc6eBbdT76VNtpZM
TQ04c6ozjfnBuh9WcycdRt12Xs4zLx9jnpxlruwstHPQzEOTT5PXv5y3eJs3
OIXdAUj02H5P9ti6NPU5zltX0DPfIqe595OpqQLbs7XkYAd6Qnj7GHKQga5M
iOabEgXX8WeMeILKyT3x9aD7dXS/Q9zvVtpvg/lGtHnsf+3IjF3EAlnomSb3
j6K/NdHO6gnsJlTgJ5TnSNv4RpRuohfoyboS+40z3zp/eiuV2BYhR5g/wzC6
kbg4H8A9r9Pf+cTcgo+HoI3aOUGc9dTOKDrOwYVsqyegxtaDqQvjt/H/mNPv
XuIaQP+/3O1HRufxFhBJzOPEHlFuZ5SZVf8BK2lvFQ==
        "]]}]}, 
    {Hue[0.38239343058255254`, 1, 0.47053217303954264`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3tU1mUSx8cLhRcSQhS6eE0MQi4veEEQ0BYhEEFULu3p4uti+1YvlxdE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        "]], PolygonBox[CompressedData["
1:eJwtlwt0zvcZxx9Uq0gkRd1S4lISNZeKXORWKuQgF0rMDtvOWyX/Hm8sEa+q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        "]], PolygonBox[CompressedData["
1:eJwtlXlQ1VUUx79jkgtbpjbkkhqGqA8RZHEBXEpMQRYVIckBBYGnITuK+zqK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        "]]}]}, 
    {Hue[0.36992965107800463`, 1, 0.48778971389199366`], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHuU1uMWxx+VjjgoRW6LJs2YRpczTM19phsz3pSappnJlNFbk3nxmmZV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        "]], PolygonBox[CompressedData["
1:eJwtmHlw1dUVxw8EIjthDVtJSAD7ngiEBhJIIIJA6KMshoTFFm0fJPDTEYhg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        "]], PolygonBox[CompressedData["
1:eJwtlGdIlVEYx/9crYwstUkDzbJuy6C81xTNlqtupV5TuwVCpemHSssPQhsa
RDsqCNL8WtqwQRlmw0obamBB0bBB61PrQ9Dudzjvhx/P4bzPec4z/u+JXlrm
X+WSlA3dYFqBlAIjkyV/L2k66+RMKQnOBaSNA6SYMdLJXCmkn3Qm134zPlem
S42QnS8V9+c89leqdD1Emj1F+pEl/YTWaVILdOVJifi9xv5ZyN3E/o29NFVq
gNSx0izI90njw6U87M0MqRnKyKUE/yBy6ZEudYcqzkazV4P1+aU5UDBJ2k9h
Gax9iezBP2I3U1sdub/OkQr7Sq+wYcQIh09zJBf3fcGuhXUQFE8t7NXPk0Jn
Sr1hIjXHwkFiJtCLyAVSOfWXQRu55uN/H1tBzDXwjLziyO+Um/rYz+Z7o8/6
m3MeYsXBEeIlES+GeJtZb4IR7Nf0kQawl54kpUG1x+b5mfzanfv6eKljBnXA
Vny2gMtr77qMz7O50kXWh9grx2c1tOLTAh3Maw/zaMMexW9fMP1mv4p1NcTR
t8nwFLH0pGctzLR0PnPujT/9yKFHftjFzHbCU+euJ9gH5NoBsdTZECotJpcL
zOQ8ZDDLRfRlNrbAmXUbvh58vbCMnr9lrwT7gny7TN5ooBz+OrppoqcH3Hb+
x9j7kYbW4DlrD3svsZH4R0FoAmfIfwMzv4fPfTjraLs+YGdgZvGe7xvRTgga
+sD6I8TRt3XkEk9N18ntBowiZgx8J24bcfuiq0JmcoQ6m9G5h1q88MDpb+lo
6Q413IU3blt7ZsDWY+p6RA8eQqfPzmB7rLTS0fsKbAM+l+HrKCmLeAOJ66bf
Y6CCu9dAAX6F+L8j/lnmVA9XqdOFhk4zvyZi96SOYGwQNQV77XkT5za5fw2T
bmGfOJp9jC1Gw8vhKjU1wXpq+oZfK361zPEEHPfbnp1HJ3vQxG7IQiOTItAs
2hiBftv592JS0CC6Pgwtzn1rPTauib/Q+W/7U8tAGATbeDu2wmBqOcmbsiPV
/pvmH43mDenknxmOvWZyhDfOv53IXKI4Fwl15FDB2bxZ1ExN79BuqukL6yDI
JIcM6CSHKuZXSuwl3F1LnEZqG0K+Q2HvOOqDM26rry7ORvAWVRr9BewMzCzC
0VEYVAfstxrsMt7WBeRQTi776M1+mMqMNzDrIuaxHEogGY0lQYrzLYF1d852
g1de+08U8U/UEXM9sWuxUfR1OBSjrSLwzrV6nYKNyLX67Jdr31Dzln4zbxvf
j3nsm2LelmBmNIFeViba3E0Nw0bbNz0n377J5m0u5uwt5pbG2Xb61QH/AQai
GF8=
        "]]}]}, 
    {Hue[0.35746587157345666`, 1, 0.5050472547444447], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlnlQ1mUQx1dUkFFJJSvPQUNBeqVQCPAF8cL3HYGSV1GpNIMs1PGAHHXU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        "]], PolygonBox[CompressedData["
1:eJwtmHlwleUVhw9rQBaBpC1QCGAFIZUgS0gihGAIJEZZmpCFSkq9bLnSUq8D
saPWKrJPtTqKCIXCAA5LAWUkaCJOwg4SNkFFdkVJFITaIYIJgT4/z/fHM/e7
93vXs5/bLfSX7OkNzaxHA7PGfO5LNNsLDw03S4OXCs1mQbiP2RMwabDZRHh1
lNlr0Gu0WU+4HG92BXaGzHbALtgNBaxxDxs0a2f26RizW+lmdVDLnDq4Usxc
WMHYlbAtYlYCZ+PMzsHTw8yKYXa+2Ry43p13Xc2WtGT9VLMtnOlduMRaVdCp
h9kvuMt53mfnmWUUmI2AIZwjFb5izS+h/mmz23CEPQ/DUTgGCZlma1qbNY1m
brLZOn5bC+thAyzj7v+CN2ExLEkzewtGIIsMuMDZP47lt45mRWH2SzD7po3Z
va3MDj7kMpPsJjD3j3CJs3wDjf6K/GH/IHQAlZz9EBQ8ZpYPq9h7NWQOQD93
cwbud5j738cePeBD9t0OnXj+ddhlKFmWQSkMm2CWDk/9ziwFXSSgk2nsWzHC
rBySk8weTPI1tNZ53l2AA8N9rObMZG4UZ24Kk0aaTYavGXMRjLM3gBLOuFV6
hPdDMiyzO+jsNM9noJi7zIT/8vwDRHh+Ei7y/DVUsHc5ZHLWhyHEu8dhO+8+
gj33+90lg6lZZnexZ3P4nDknoQZbug57GbsPqjlbFTRlTBTsZMyOiNuAbCED
23oG3SS1xV4G+hiNPcaYT+BP7D0NPmOtz2Eqz1PgAM8fQz9k3Tfsa2rty5JZ
rNuAbOEL2M/zIuyhkHGFzB0P7zD3XRg3BR1DY3yuCZSj08Xc7yb3ewldVzP/
EPNXYZO/xTZfTfbvlXCJd42RbxX+UNHe7CfWO4FMjsNSyQnem8E43pfz/gbv
u6G7rtCIuzaGOmRVCxd49yVsgo3wEzqrhSj0fwr51CGfjWN8jMY2YN+GsG2G
77+T9RtOZH/eHQ+5zqX7W3zWdfeYoNhwFB8+Ars5wx64zG/fhdwmZBv7OPNe
+Io7XIQYfDsaJuPbU2AoMkyFwZAC3fGRzi04Jz7fjP1++YCft4bzLuG8F5Dn
wih8HXleYr2TWS5byXgJ+1QjgyrIQAeZ8O9ss+XQvC+2BRWcsRyeZe/n4PU8
jy2KMSPZ7zv0/W2c26Bs8RViwcswnDVHwCDW+ju+s5YzvpHiMU6x7gYyuQnP
MXYia5XHmE1HLo9wpyzIgMywx1TFVsVAxULFTMXOttyz3QOuA+mimjW/hbPE
ujPQJQM9Z7hNybZ+T8x9DLZiM+/BEHwrFdahv3Poby36e435Nd39+9t8n8f3
H/l+nu/r+P4639NnEktmegz8ORby21LFRVgOL2Cf/Ymdldy36xBkzP0nED82
830pz7dZr767x1zF3qos1410dApdzWZ+GbZdChs55zndKeQxQrFCOUG54Qax
+yasTnRdS+fNsdWV+EyTNm4TGcTRInQwnPeFvD+ArPPGmeXCFXTxPWxJdNvW
/NbMv4kv3Ch2G5Yt70v1XLODMyawdmYQL55gzvKBnpOUm5QTlRs38Nt6OMe4
8xCDDe5l7Iuc5zrvZ7Pmmvaew5TLfpNLfoR6yQH6k2v7QU/oBQvQ2fx09xn5
jmLo6UAmko1itGJ1LbKog0OPoLOWns8P8hyHPG9if0uJH62IH2XMKQ25T8o3
j7FnDXd7FvkPQl4Te/hcrbErz2OoYql0Jt3JZ3cHPiHfCGELj0MiZ02CeY+a
zYUFvdEprJ3hd9Wd57LOZO4yCTKQeyacYexpiJAbn4IP0UEZzMOG58NKbDya
s+dzhz3kH5vosUYxR7FPNl8dxJDLQQ5XLlfMVuweep/ZtRiXfz/kFI0MNjU3
i8dGo8a6jCXrJGJMMszFt+aMdplL9m9jg+9ji38jfjfFH7sxJzna4/Et4kMB
PpQ/wX1WvvsJvx2D5oy7C+aH3JfkU/K1QsaOh1zG5sFC9lwAV7GVazAd2/wz
lOK7ZZDD2OwJHvMU+wqz3BZlk8uIX0XIrAX2+AE2/1aCx0jFyvas2aGPr6m1
pSPpyka77cqG9xNXmo11WUgmHfHXJsh3F+et5rwfcN412MRq6I2O4mEAe/SH
HUPRw1CPiYqNuoPu0gIfG4P9bELmD+Z7zaHaI5azdwl7zlTuVI5WrpaPyFcU
4xXr57DXbCjFdssglTU2x7j/Hk7zmku1l2pO1Z41Ic9tynGNsIdrrHm12HOY
cplinmKfakTVilvGeX33MjHp3p74ay/8FdZRy6wf6XfW3VVjHMH3OyKfDtAN
2dwDSdjPdmSViMw68fueID7IxmXrryR77lcNcBbb+WfIY6v0r9h6sK/7onxy
To7HYMXiaGQTA3W9vVZUzVjEedpyxucb+pwVnD0+021PNrgo2Wte1b4l3G0b
XInz2kA1gmoHyTw2qAlVG6qmUm3Vi+e4sNfoqtVV06i2UU2g2qAVsm4N/dBx
X/gVsaA91BLDC9j/Sc50I9tlJtmpplBtIZuT7VWh02pom+NjNacdz/UFnguU
Ez7CN2fl+N10xxd43oHNV8AmnjfnuEwkmzbQNuxram3lbOXuq1me+xXvr/E8
gJjeP8V7GPUy6YP8nXLCj1kuI8lKMUixSDlfuX+Sagx4HpmWxHr+ikXfZake
GxUjjzL/U9UP5vXDZ1neE6k3Ug2nWm5D0CuoxlOtVzPYY49ywHjOUxvyWk3x
S7XTKHQxEgZwt4Sw17iqdX/Ahv9X7DFCsSIbcmBxitcSqilepF5vBS3hIDGz
Ei486rFAMeE/2NLJydStkz1nK3e/EfJcrpy+YYbX4KrF69nrdrHHXMXectaq
GO420ivoMdRrrM3x3kg+dAdb7jzWfUE+0S/TY6hiqfbU3mfiPJcrp7+DPZ4Y
472gesJc3q2MuLyfIb7WF5GD8j12KIZ0SPMz6Wzfc8ar0KSH+6diVGNiVQk2
uBUexjeyoG+S5wrljHb0NXtZf0/EZSxZ7+d5X8R7FvUukvmAoIZXLX+7yM+i
M8kWUoJaU3N+npvmsUgxaRlnKSBG5UMCPjIQpozyXkLxdRh22nmI25Jqopix
3qOoV1EOUC74AlmfhCmcdSqc5kzbYj3nKPeoB1cvrh5WvezCeN9fNc1C9jqs
/iDiPaR6yUqeD0Y8Zyh3qKdUb6nf9E49mno1yUSykY3J1lQTqDY4Fefn1f2l
G/U86n1UE6k2Uk+g3kA9XknQ46nXU4+mXk01QGJQw6iWUY2mWk01p2pP1cSq
jdUzq3eWjcnWWga2nBPY+nHZSsR9Ur6p/yD0X4R6RPWK6lnUu6iHVy+vnlG9
Y2ZQO0smko1qItVGpUEvrDW1tnpC9YbNkHkUrFCtUeA9vHr5RZztTcjFxsfC
bWzsDjTs6blD9j8Ne4vke+2uGn5+mveM6h1VE6g2WB7Uxurh1cur5lftr/8U
9N/C/UE8V7xWb1eZ6rlHNi5bV42kWkn/mei/k6iw1yKyj1mM70rs7wK52Fre
MP9N72RDq6TjrKCfRO27ef5D2HtR9aT/YOxh7OlQvK+htU4g6+N9vAZSLVQb
xC/VUI0KfA/tpRpXta56WPWyyrnKveGw//ehHKhcqP8s9N+F/uPRfz3/B4mO
zgs=
        "]], PolygonBox[CompressedData["
1:eJwtlX1M1WUUx7/4wvVqmggs01WASi9TiOAK9wpqbabhK2+CuQIvBlZTu63W
phW5giZNV206ggQq2kWCG6WWEMpLS1QgRrgF0suiXcrKWnMSLbn2efa7f3x2
Ls/zO+c5z/ec8xDt3pu5Z4qkApgOXyVLM+ZJl7ZIiWlSEjy1UfLPlUYdUmiq
ZIOIbPbDpUjsQIL0DbizpN/xXeiUTmZKp+DoQ9IR2LVJSgmTirDL8yUH3Nwl
7VsgfYtvago54PtrhtT+sNQBreulFjgNsSHs3ysd5wwb536EnSS3ABSnS+du
5Qxjl0rd4CK+E+xPSi9xxmXO+NMtXYWpsdJYFPk9B5x7EnYEcy/A9q6ReuB5
ckljzc7+52ulZxBq6j3S7m3SHmjE/0fijC+RKolbBY3o9h/39GFbifEFzOH+
s8GVKzVFoAPWxzlN0AiHiHuG+DfRKwB55Jo3h2Kwt/dBaQt3H9ogjcB3G6w7
m7t/wr4dLZqxRXw3a7aUzH4idUqCrO1SJhwlr/r5Uh26RHHOXbCec17lbmXc
rW8rd4Z+WEyMXmK5VqAf9KPpdbQdwBZQ93wop4ZruOMb2PeJ6SX2m27rLHPm
MN9O4DOUbsUwsUI200f4CNsXJ30Nm/l2E5Tj+yExaohVBZXwOL6dxHgMuxu9
2tHNgz2Ejochjnsug7Rl1OAWKZ7fJ+6TXkZL/91SDvXZCmP4B4jjx14kbg+M
eKQLd+KH3UGPuCGdbx+BUXzzidGMPjOpgx3GMqzevIJdF9RtLTabvRy4QWwb
NYrKkWJgETjJ50VmJgX7Afevg5/5bhQGVnFnm1SRJM27XwqDd+iX6+hTid1G
vy/FdzvWT75jcIBv9+PzJb6DxLgEMSulaIhhBp30QTR2MWcP8jsW68WnHp6l
nh6ooCdOmzkmpwr6xztL+iGPnoLv4T30+Axd6jzWfJo5DXC/SVhI7GTi3oF9
gvdgJxQauHctc7mfOu6DG9Syg1qeJec+/HqhlP6cML2G7UbDXH4n0Hc2ZnwG
zCSmHaLXMRN2YvF+hDG3c+Fjcmklp2askzuNkMOKHGtmzexe5R5/wCmXtedi
r5i8i+Bp/CuY/X8TrBqbWhewdoS1a6zVUkMfGpzA/xi/q6EWHWrgLfoghj6Y
Qn49aH2NHipBy4TV0gNwmXzOk9cw9gp99xsE+G4SvC6rBkvIJZJ6nqOuEdjB
eOoWb9XT1PViMO4FbDV/16FbqduaCTMbpnamhmfogwzq1oZN5OxINM/hdy7k
wdvo1YZui+iF29FxAfjJq5f8fvFYWhhNuvDthNRgbzroBxvfxpFraLZVK1Mz
F7o64SdqFc47FG7eYt6MFvNuOK33t4Fang3mNY04r9HfpdDAeS2c6/NY7695
h1fxBq6Eaej6F3O8Gm2LiVkEBzinhH5IQ/vl5OaA/iSr/x8l/ivoUAKhhfQ+
+nSh0078HNSmiThDxByGTta72A8ptL43fmbWzcyPo+904v2DLee9OAhVaFDD
WjX2IIzzhpSxXsbv1+Fd/kf4TK68Ocfp7waYz/t4G/zNez/BUxZHri84rDjH
8Onm/ufh0+C7vBGtOtCsE+pZC2XNm2XNk5mrNnJrJ+dxtzU7Zob+B/uZcUI=

        "]]}]}, 
    {Hue[0.34500209206890875`, 1, 0.5223047955968956], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl31U1/UVxy+KR3KrDaVzmpuWLTE5v4EYIMlDqKQMZBQ/Aa1t6s8U0ZGH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        "]], PolygonBox[CompressedData["
1:eJwtl3lQlWUUxk+WaVmWaTNGSdkkCpGEGHYFQQXkCpUZoJGZ9RkkGTU3yZqy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        "]], PolygonBox[CompressedData["
1:eJwtlXtMllUcx78wm5phibgJzZotEcgEkpdAIIEwUEQNBCEvJRYChQQy7aKF
N1LQtcglaCLmBYQkCBQBmSCi01hNCrT+cGE0C7PLVpKUq8/Zef/47Hee85zz
u59zpqbnJq51lfQ63Ae+cZIPlIZKwROlyUskr1gpaqxUFCLFJUrz4PIc6RJs
DpLuPCj1zpcG+K58QBpmXMn8ITjOnk/cpX3saYqQTsJAnnQOY3cDpRuMf4A3
HNIvo6WeKPYtYA+kLZNS4XC6VDtZqp4hbUPnVvgWG17jpPAw6TH8mwoj2OjG
1hA218VL+TArUmrFpwLGfdOlb6CZtYXjpWlprEmRZqLnJV8pzBt9UMSa7fDy
c5If60pSpVPYbsGH6/iSh0/5sAMfyx+S3kMWP8k6+NxfaoCbi1g/QfoJWRYu
7QVfxuuZ80OemSu1wQ50e04iLuzNxtdQ6CO2YXJ6FelIJm5iqie2pxjPAg/q
sx+/ipLQRZ2egL+dsQ8jq/zYA13ktfMR6QJy4YvSIhhE5z10l5HDKHIXDZ+R
h034UJdma296YDc6d8F37L2Ijn7kvRjpmhu1XExNnpaOQAb+vgIh5C3HQ8oi
n33OPdeQK7C5EtoZn2WuAzmP7/mwD/9d6LFy5Bf42+Nn+8P0SSVxHCaeGmq5
mf93GBci36F274I3dpKxN8bb2jd+HHTuqUDeT2+Ng4pg6QC4kPON+J70LDEv
lPypQyzyo2hqA2HY8abHJ1LzweelH+Egda2ADc7e9KQ3LzDfDRdhAjX4OED6
jZ5opzdOFkiN0ASXiLOLeHuQScS6BI4zroZDcJr+P4bsII5i4uhCTkC/O2wJ
svXvp1ZnOVMdsJyceODfWPzMx/Y6yEqQMiEbEujhUfRYMzrbsduKjMHmXHiY
enrBUer7FnU+hsxdKq2FHIgZQ16jbU+b3h4knlbiaZ5he8b0jiNL2ulFXwfa
/Js6ZFGPX8l3NnIK+6ejJwR9YRAOcfRWLExz1upx5BB+/wzhznx3k+8s/MnA
r1eRDvwMhnpsN+LDeXxZg0+Z0MLcGeZuMbee7w3LbM+Y3nH1sTqy0VHHOXSj
1jeo3fcwAF9jpxfKE+19tB+ZRlypEE9s7xPbbWLLQedrcBUbzdhqwuYK+nw5
TKLv29BbxDloZP4U/6+k2/Vm3zFivUKfOOiXUGzOhgbq0EY9mpBzsBXpxIw9
sFuI3evYjeOsxUI1uTxMXwWSg1XUcxV1LaFPM+nhLHgGnRGQEWVtBWNrLrHE
QFmEvae3h9jzZc6ZHzaKsDEYaHvB9MSjzG1lboC5mwH2jotgfxiEJ9peNT0b
ybpdrBti3Qg270JulM3tPwtsr5qe3em8B3Md9qybM5/C3lL2/h5oa2dqeJlc
NZGzBnJ3lFwdgZnsfZO9AcjhxfZMuVKnvxjfgRrWnmBPDXtXoGMlVDFXw9yB
dPs+mHdiLH6MgdXe9jx10mvuzvzWk/tt5HY7+C61Z6WS+/4D1pbCON44f+6h
t0PtOTHnJZn9GeiZ4m3vZHM3t8Bp+JB/G/lXivySM/onZ7UwyL6H5l00d6q5
W/cy9y//BljzFT500we9ebbnTO/dpk4X6UUl2ffLvGO13B018GmBjbGCGAMc
Nkf+C6x948cepw8J+NfF93k4QV7qzbllTzo5WQ395LAPuunfYc7nC7w5a7gL
d3P/ZSA9eau8IJP3ZzTnJ5b3aA5rImET//ewbiOymDUlcCuHfoBObCWP4n1j
XEsua+A499AIflYhO5iP5/9B1nUyPgcp9EIy/Jdo43ZJsvU0da3H5zp8r51h
/Tb+tzPXwFwdc+OpiRtscb4FPqH2/Jt74A/n/dvKuv8Ba4GuTw==
        "]]}]}, 
    {Hue[0.33253831256436084`, 1, 0.5395623364493466], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHlw1dUVx4+QDnSgjKCVTaSymhgKb0gwkLAlBEPYEwQCQuxjCjzgSR+L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        "]], PolygonBox[CompressedData["
1:eJwtl3lw1dUVx48aLZsoSEsBlUptgMxjyBuJkLIE8pKQpBiyDRAQkTBSHvXJ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        "]], PolygonBox[CompressedData["
1:eJwtlWlMlFcUhl91XFjUgtZadytKoTZgZGAEV2ZEZMQqiEuraTWpYBEsgnsw
asAl+ssIBkRLjanggmuiFqMgamltG1MdE02qUrXikmjEao0GfG7u/HhyPr7v
zrnvfc85l8ELlqTltpc0AzrCkzHSY8hJl56FSoNHSWdzpFqog+D+UgPx8Ajp
EPzAug49pB+Jx9OkY+DMkG7y7li8dCBGqobzXintA6meOHGU/U0lvzk3iW9w
ebx0tbO0faa0A0pgnkc62VVq/kKaECclws/s3TdIGpsgbSTvJsjiOROyyT2C
PXKIuROIUEqewp7STuKVROk3WDdLusi7tURHElrg9TQphPP+xR7F86QiyI6S
jn4szVyIMalS2xSp5nOp3CG949mF5jhYyX4x7OtDy+TZUjJkhZMbY70TpSCX
FAhz8bUM7aumo9voh6Xo+h4tecSrfM8OwH/W/o+Pb+CPFOl3+BPKg6XGcVIF
73dBNevSWO9Df8pUaSpereV87ljJA9WRUhX40JL6oRQ2hzo58Rutb9Gfjz8F
8A9rmyATn3eR44EbTeRcAkXssR5f3Ow3ZI7NM5RYS83OwmJ/n2Sb+rP2BGTi
yS9oXcSZMiELDuPDR/hRhJYi/CmGFX7flntt/UwdO6GjI/TnHE60nMT3FPyv
oQ4Lo2xdTH1mkDMdMqCWvRLY00NfuaEcLfX4/A4/q9knDM1VxNX8vQaOU/cb
eH6KOJmzpsAF8tRDHTyiD4PwJTSZnoCvOO835GhG+zh8K0RzrNP2l+mzO9Tk
NrykRg6+tRAvoeci5HO2kbxbRuxNrt3dpJ/I1+NTqScs5XyH6CfHaNbyXABD
eP8JHDH1Yn14svXV+BvLbN1idlzELZypD7q2mn6jVovgRLz9HpdhZ9HM5Mtl
zBp5hpHnBc8t0AGPGqlb+3Q7x2ae9+dJpwegj+jj7xtQhq4cvIykN05TlzOw
jf7dCg+j0cylsZlnD/3nhkRY3w4vI6it/x4YSbyGtuvwL3s/gAFo2YOmhzyH
MnMhUMgeFdT8KfW4FmNneTG+ReFjNOxFq4N8+4hR/D7a1IbfXQqRujO/r9D6
GsLonVw07MfLA3Aw1dbd1D8BD7/m3PfQnO+fvdHDpADqGAjXY2y9Crx2ts2M
f0a/RUI8/beTPvR9S49wDw3kLmwmNgyn1rCOecjjTN+hbyB9OAhe4eF/0ISn
V/D2PvFvtD7inF8yE43o/xWOsN8U9q3x2vvS3JsuPOyH90300x24C+J7G/Go
f30r68rpyT1mjujJC5yhAVqGStM5Wx/OGEGeSGhl3/nUq4K6tfEsPEiiPzbg
R7HLzruZ+1JyloCPnt7NbL3gjAH42gUimJkq8obPsvNv7gGHv5eekyOIMwXC
DvK3UJfKOKvH6FqJvkp0VqLXiZ8He9Ejfm+Nx52d9n9EndfejeaOfA/lZTvR

        "]]}]}, 
    {Hue[0.320074533059813, 1, 0.5568198773017974], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3tw1dURxxcohCQgCKWASCEipgkBcgXyIEISCCFjEEJCA5FW25uO5iqJ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        "]], PolygonBox[CompressedData["
1:eJwtl3uQ1WMYxx8V214khXarrVaX7XTdctrdbtra3ZY9qa0T2bLhLOlnnE2j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        "]], PolygonBox[CompressedData["
1:eJwtlX1M1lUUx79SqIAESCIoJKSIwmPyWGgOX8GUCciLzTQaGv1RVGA5UVwO
07R8i3SgSE0sXBSJMxEXpQNczGkFc0lOEc0M9HFavkQJJtTn7j5/fHbu79x7
7j3n3HPuLyJneWa+h6TXwBNmTpVKvKTIJKl0obQL3oP7Q6WNyHec0lrYlMU3
HM+TvMOkBmRVjlQTLFU7pGLmPoLQpdJIcGGzdYQ0JVfqz5b6oA1dIbr7HF6e
Iu2Bj2G0r3RithQyTwqGJ5dIKcOks1HSv2OlfQOkS4lSywtSK5RzbjXnVnHu
Fs7cCvnJ0iR/6W3kdfQuCEiX/CFrivTjYKlyjtWb+YvzpV4/qR3Zxnwg8SpD
enQueYEC/FkJSpWa2Hd/nHSY8UPGdcgxT5EzSF4gxQZIcyZL86ZJSeAYL8XA
d+TIi1x9i4wlD5uJ/Ro5CCI/w2EuumJ0t9CF8x0B8ei2obvhtHk0+QyZQF7g
ALElc/5XyCPk4BA5qCGWEuIvhSZ0tegOodvDdznEYB8Nd9mvhH0Xs/8n3KtH
oFSBfDCdHENlppT4mPQLsR94ln3hVdaWYdODbSx7OMET3Vp0F9B58P0IjEuQ
omDgZJufI+SnBV+O4kstvuzFjwrIwHYntrexjcRuLPihW4fuErpBfA+GEeg2
oLuCbgjfvlDMflXs95nD1qGpx0jWbWLd76wLYM1QeEhtrUF3zmlrztTeS6wr
RXfPaXNhctLBXe/zkVYR+wXG7bCRWuweIvlw73ncd36czY3JURW58iRnnyND
+HZRT59SNzuor51w+Dnpa/AhbzOopcIMm39zD2e4/0Dq4GfkLeZvwhn2OMr5
fZk2rya//+DfbvzMybUxm9h/RbceXRC6MfToaOgukBojqJdx1GkaNUV/hEZL
qxkXptk8mHxcxXYjthHYhi6SigbR7/FSGOMn4CC+1cAV/BqJf1eRi1JtPz6g
3hYyfh7eoCZiqI1EfJ0NCRALE8EVa+ecjLcQcwKxb0Z2ou+C3/DnCiyj93rx
s4NxIz3cACvo6e3obtPj/ZzXBys4z0UNFSB30/+7oHqxvavVxHiDfnXBuZn0
CfGUP2PfJ/NOLedu7nB+PrKO/Y9ALbzFXU1NtD1neq+LtR+QFwd5WUoPZ8N8
dx8nIV8n3lzY7o7Hn/vqS7HvwENkJznsgnx6PA+i0RUyNx45jZjj4RI14Y3t
RWQF33uhP92+MwMybK+bnr+JLx/iSwK+XKSHFuJrET6vhw1Qz/18A39wN+Hc
0R1kK761wH3yMoN3shcZ7n4zRyEDeUMfh+NRdr6H+e9Z3wzt9FE9fXSUPqpk
3/3u99O8o83s7csZJ5HXWXeMdfWs+4K5L7Nsb5oe7cDnInz2wedcemUI9VJG
PS3gHtNgHXkoIx8bkMOZD4YgarWOmr1O7YZSw2Fw2Z2j0/RROr2TAd3Y/AUH
J9h9/06xb5t5437CrwD8a0V2418D/h1z2Bo2tbwqw/beGuQS+uvF6dZv438H
NiHYXs6zb5Z5u86buiGOAcTxMnlbBqPw633+h9mMJ9H/Tjg5izrmXXgaX2rZ
6zB0sk8Y+11DNlILDfBmnI373RSbV5Pf88wPZ127yWmcre2V1LYX/wlviHHX
zkTmTnHO6Vn2P2r+p6ew8cP2B+R/xHuCeJsc9vxa95tq3tY25oex7lyefVPN
2/onse0gtlRi83qFu8W22WFrydTUXdZGYHMPeZZeaoMe+mogvvTOt/8b89/5
H3zNknk=
        "]]}]}, 
    {Hue[0.30761075355526507`, 1, 0.5740774181542484], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHlw1dUVxy8CCiIu7CCr1eQFAyYgiSiUJSQsSYQEFGgIjO+xvJ/OS+ZR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        "]], PolygonBox[CompressedData["
1:eJwtl3lwleUVxl8IlKJgWJKwyI4Jcy8IWGkiJakhly2QiEAlBKjK/QTzFW8x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        "]], PolygonBox[CompressedData["
1:eJwtlW1MlWUYx/9H5cUphQRrLkH84FGSjBcZqJzBESR5UeSAL/g+NEWpo+hR
DklqQVu+rHR9SIcvYW2JWU4s/FJ5aJWTDzDLXCoyP6SmqbipLUWw3737+fDb
9ew5931d//t/XfdzxlWt9/mHSFoIYbCmUnozTlpN/OYN6SQkTZYyo6TTs6VT
0AaxtdJLcD9LakyQxvBcVSDFDZeiebezTNoFB6dIzbA0V/p5pHSvSEpwsy9R
6ghIM5OkAlhXLKVES7+xNoe1udDvk36NkQaIXR6pGzamIPIFKUjuLVAHbvSN
h6Ho6iCHi1jI/lkwZr7ki5XGEt1TpYfkC5ZLfeR6AIthETSRx8tv7xN/8aIV
5pPnOvmuZkit+HAMcsgxyLpPyNEzl9+gF27hTyba4lgTC3ezrPZnaF+Ol1V4
uoz4iFqPofE1akFTibSfGo3EGPb5aMbvE6RE1o6Do/jSAi+zduMw6QjPO6ZL
22EAr4rYe4x3V9G9hHpXiIfRcQTC2R8GbdOkafgdjt/deXgJ/fSgF186F7Am
YH+PIEanSqPglVrb13jid+hqhyDvmxkSP2ffALXltnemh2ud/lUT3+MsO2A7
5Lt45ncPvciGxfShmrqLiOGsDYO5fikvXiolPmUQn8D3eODFi05mKhENTWjp
y7IzZ2bvU2qHRrAWL3PpiRc+cLz006+z+BOCbdOtb8epcwK+hi+LrW+tTn2j
43P69AX+naBGFzW7IQo9yei6hM8L0VsJf6FrKb0sx9d29pyBSJ5n8C7C8dv4
nku/cmCkk2MEcQN11oMfVqHpTrJUb3w1fa+0eSuInfh0HtI4xzvoTONc/zFj
MeYuELPprQcK5zDjUAxL8GJmtpRaYvekl9j6RkcDXm2F+x7bv3qez5E/nd4k
sW4SJIMPjflorfDb2TQzambBzMRRx58W58zm7MOdc5/FE1c+9xI2l3I3RlGj
1N5Xc2/HOv1LMLOEh99CZIatVU6tec49qyAOUvM5fOS2s9PBPYxnRhPgEHt+
YN1jtK7jfQ2cxrs22M2Z+tHnYQ4CrA0xY+3kyGTWs+DyDOlP6KLGUPR1E3v5
Fv3INykfL3bS411Q5sxieIbVafQeIvdBaIZW/DuOH1uZkwbqpeLDW8zK21DF
2hrqriSuJOcqqKPObTQ3EJfzjVoBfzOTgxHMHDUGOMsgBPGpDnqce5xB/otl
9g7UvSr9wfMl+NjR8BUa9vK8D+5wjucvSgfMnFKzErZQbzPcosboSOkCXt2k
7g14VGJ9/JcYwqvLaO7DqyA+1efZu27ufLXzX+CaKF2jn2fwrYc4Hj1ueB2v
J8Me1gb4Jn+IlmLeF8EyMxPsTecuNzjzfpt5f5fnbTCEs7jgYiZ3Hn1R+HeT
mb4BKT7rbRrxLl7+A2u9dl43oTOVO9CFlhTiZ8xcCySzdhLUFNhv6ESfva/m
3oYC9v/mJ+L/1Rs/mw==
        "]]}]}, 
    {Hue[0.29514697405071716`, 1, 0.5913349590066994], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtln1o1WUUx880LfF1Q800VkJOJ1s6XTqbN+58uRe7Nre7vO6qoO4OXApz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        "]], PolygonBox[CompressedData["
1:eJwtmHlUVdcVh49Wm8E6RElEDdShBX0FDUZAVBQUofIABWSKMYMP43MIkySA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        "]], PolygonBox[CompressedData["
1:eJwtk01IVGEUhl9Dicj/XIiS0KJsQiNNR8UMtUahSUltVFAy1CDNLDVyxqzU
ciwjAxe60QopKWrRogjdtKkMW2QkFlktgqz8LTDTop/ncu/i4Xz3u/d7zznv
+e6G8mP5taskJYMfRBRJN8OkKOKTDOkpRMayD/edUm6w9IBYw/4RmC2Uevh+
mjjM8xB0bTI1Ig0N9tPWSi02qZL9Q3Cd89noXHOauob+bIw0Ax/2SL+DpPfE
MwXSabiULZ1bI0WnwFbpoa/kkyP5gh8EUXwglGdJtkCpNQ89zvuQY464Dv0w
6CdfH5Smo7FaWkmQMvZK6TDC3kd/KZN1A3XXwwlwB0ipu6TPqZKDPpZ4358o
XYWfaTxDLzX+C8UHYgessL5AbImjFqirkwai0CPGlEmxsECvz8KlkArJW8I5
KCqWQqk/gD72s3ZBQS7f0a9jB3usXfANTxfgi1XTd9a3yXMLrpD3D/m7iTvx
qxvflqnxMs9dMGfNq4E5nGRWjVCNThU0440dz84Sfx2gD6g8LBVHSOfRtuNx
IkzmmXX6U6cH/93QmGPWWcp8Ojifgo7Xaeoa+gmcK6GuCc66qccD05nSV6ix
S1kh1Edv7/B1ElzobcT7MeprIrcHRvOle2g8J75hdoPM0MHcWsnTBjb2m3i/
mXhxi9QJb9EvQ+eFcU/IEwyD+7ifUL9NKuTSD7COopf1MJ5n1vmauITOY9Y/
8k1vDY9r+eYoxFi53PRVnUSfEIfOI3Ld2I1/rFdgGRzkSKbfYWY8BIPMfIrZ
Bxl3n/1OZridWcdBPDQxp0W0PQVm30b/49T/CmzW/R9jfdzy6CUefcKzKbgb
Ld2BUP4ZFzOaQC+cGkbw9yA19lBbLzRYvbfRZzt44S/+V/FdHx61c9+8MM+3
czDA2UXe9aJlt3pKQiOJdTLMcz6DfKN4M2P8f1Bh/Y/xeHUKn5rhP/E103A=

        "]]}]}, 
    {Hue[0.2826831945461693, 1, 0.6085924998591502], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3lQ1VUUx08ulaWmjuaWllMpEs98JfAIM5GtRAUhIdAy/UE+gZA3kAQq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        "]], PolygonBox[CompressedData["
1:eJwtl3uQzWUYx58xqVQuGWrJrEqyDrvbYm/sNmvX2ljWLRKx+LmctlgnG1Za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        "]], PolygonBox[CompressedData["
1:eJwtlnlQlWUUxk8qJoiijKCiYqahMEEgoJdQAwUpFESYWKIkuViodL13tIBM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        "]]}]}, 
    {Hue[0.2702194150416214, 1, 0.6258500407116012], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHl01dUVhW8UsQoyWFChKLi0KkMCT3kkgaQ1AYwFwhBshmaRuJoGH0Mf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        "]], PolygonBox[CompressedData["
1:eJwtl3twVdUVxhcWTGNIwBZQrEqZqQjlXsrRBG4SUkMSDC0GQkoDERkRJBAI
J/dSoCbY4OhEAiaAggj4SDQhsYhVAat27BSrg+PU0ZGXo6OdykN8VN6vaiv9
fazzxzez11l7r7X2eu11Bs+qqwgvM7MToCeYWWh2J+gfNxsADhWZHQTjpprd
CraFZmd7mx1NM5uXY3aBb+fB8RJkgKEjzEZlmvW40uztMrO2cvis83qZXV1g
9ib8IyjK5tv0iWaLR7I3yyz3R2Z3TzZL5pvVgU+zzf4J5qMvC3l70TcGfa+h
61Wwt9hsH9g8wWwTmIfNNaCVdUFfs13YeCxmdm0VMtLNdmaYXce6E3s6QBK9
KbCD/WXs/wvybazZ+GFmpaCe7w2gudRsBWgMzJaDP4BF2Psy9u6vQMY8+Mh/
ivs1w0twp+HcrQybZ3DX5+E/BP8Z+OvhZ4xy38hHg/DrSnQcwtZu9H/Cfcfd
ZjY6w++bz30P4MNe7N+Lz1YjbzZ3mAU2Y9PjYDc2jMOeqeh4NYFd08yKoIdC
72A9f7bZS8iq5fwPiOca7FkJrx17Vus+nLkFegpn3k5yD/iroJ+G/zD8emIR
w57x+KgDW78hRgMi+WM5u2aE2yYbP8TWrElmmSDrF2Z9wNRxZpUgHVuuAGux
eQ24gzvMAO2s20r9TrrbfehvRnYb+h9C/7Ax6AIfIHsP+Bj+avhb4D8p+0v9
7iX90Vvle7T3Bs4MAbOxbxaoJC5TwbOgGywjd+4FJfWeGzXIOMx9ukebdYGt
2PwcSFST8wPNJg82+36I2c0pcux6dKO/Cf1HbzT7HDRgxzLwPjn0HgixoQ68
gMwp6R6jffj39Bzihrx/Xccd6sy+5D5r4Hchrx15r0O3QHdAPwa9FH2d6OuG
fiZwn8l3yknl5t+WuHzFfBfrY5xfm+77O9j/kyqPre43kPW+aR7vLu68n3V2
hfP1bTm2/pDYpYEV+K4ZPIeOreAid7ShZmcq3F+qqaPsf5AcbgKl5PV48A/0
t8LrRP9m5futxB3Ucn4hKCAf/0Q+1pAz31KfY1Mea+VkEev8VFRL0GNYPxg4
rRqrQfZTgftKPvsMuneVx1458Dr9ZUHK+fJBLeuGIq9F1WQB9i1KuW/k03tY
rwxcv/Tdg7yclMdW+kaxfiW6j+Kxgb1zUp570l/N+vHAaeXkHvZeTg/sBR7G
h4+AngnvbepxL5NPd6bcN9o/k3VL4LWo+6/gfFnKa089YyLrs6M8V5Qz58md
0pTvV42OZ/15wmOrGF4DvZz6bAQz8fldYAvyOwOvMdXav/HH12ALNdAFprPn
dlCPnIaE14hqRTFVbH9P/S8FJ+lNp8Bb2PMu9jTh0xbq53CUb/J5m3pknfM3
Ye9h7N0d1avuvAn+/ijf5bMnoDcGzpOP34SXRwzXkl998Nl71GGKHvhVmr85
LfTGTVE/lY/WcvbZqF7UX9dBPx14fGXTRu57JPKPcvYq/LMq6m/yYSt715V6
rBXzB6CXRf1RObEKujbqR5dyUHQlfujt78V81o8GnhuyYafuFrht0rEBuirl
fN3vdtbvJL32VG+N2DaTengBWQuohx705zzeptxy75nqncfIoW/AUWrxC7CE
WCTZOxYfT+BtLOL881E9fUc93Qy9TW8z9AXolhm8mQPIBfpXkv4wOaq/+fC/
h3+GGD6Z6TmmXNvNnQZnus/fYt2JfxrIrTeIx0HsPYQtBwVsOQQ+pccP5X7v
U1852P3r0G2TjX3jbrNs14ygWUFvgN4CI849CrxnqHeMxI4ALIriLRv+jKzt
0byhb8kc79nq3Us4sxQcSHrvUw98MeE1p9pbh13rwRJ69mLQypu+epj3NPU2
zRCaJTRDaJa49GaB4oS/bZJ5kjo6MsdzWTmt3N/AnkclnxpfDx4JPPeUk1uI
d3WOz0ayuRvbf5NyvvJjSsp7vnwtn58u9plJs9NZZJ6b5DIl+3pyfxCI8W04
OM4bdgI0Ru/5QvybFvc92queo97zM/hb4c+Ff5b4tkJvhw6hr2B/HfSL0TzQ
E7pHjueycvoV3ve/Kscy/L2bQr48wf4d8OvYn8n+3zJj7Uzz+F4JXRC6bO35
JesE/hsNrqKnXA2KQz+rMyWh56BycTv3n4S9Xyx2f0n/l6xzsWdPms9E89j/
WsJ7u97Pd3h7jpd7b1CPyCV/Pij02ammH28j+VoUxU8zSorcGHij61MN9Pk5
71vc7ZVPmrhbHjNg7kivOdXeGwmf7TTj3U/u71/ss5hmsgOs83Kc1kxaTD/q
U+pv4d85cxL7srA5Tnyr0XEq5j1TvVMztWbr+wPvNZohssmHj7Ldft23Cf+f
iPlZyegb+gysWbics5MLPSaKjWaSMdU+k4hWzC4M85lLs9dd5MwscFvUX1Tv
/4t5Tag2GuEtB81RfOWTdHyzjNmlAbRxz/Ycr3HVunqQetH0KH/UryzuNaha
1Juit2VCicdWPpfv+0f5qDudRP+xCu8l6ildgee0crs7ms1uKvdeop7yHXqn
TfR/Bf0z7GLfH0PPFeXMXOz7KOm5ofp/idjVR/mu+rgc+0ZE/VH98Dz6B0X9
UfVxBrq52N8y1bferm+zfdbVzHsvvXZBodeH/hG2E59ElJ/KhznY8rFsABfZ
a9jbr955l/bw/VSF54ZyZBu5clnca08+nIsti/LdN/LR7/L9H0v/Wpp5NfuG
fFsY/RPp32h46L7X+Zj+jeJei6qvDuRdjDlfMZ8GPTp0X8gnCdYZca9HxXw9
/LJC/1fSP9Nn3P2OSq8l5WRtvs/AmoX1z6R/p6yR/i+nf7p26CD0+6gn3cS6
V9z1iV6K/Mdmu23S2RvewNBjoZhcw/o8+XKuxGduzd4/Dj02ilE/1qdjTss/
1yJrUOhvnd6wn7L+T8xpycuDfy7m8nV+OPQNoee+/DGE9eZKrzXFZyPr/8ac
L3m/Yv//AWGari4=
        "]], PolygonBox[CompressedData["
1:eJwtkl1IE1AYhl8jKzJXRlpdJEpklk1d+LOlgzRLSWdzFzL7wVwuknK2SMMJ
M4noIqZGP5ArMltG5k1SUOBFeVNXWUhlXRgoFt2krVrd2TPmxcN3+M53zvee
9zvprhaHZ4mkPIiHyAHpDyTmSrtIhFnHWdmAk4XSeJK00y6Z9ki5sL+As+Sc
1dK1rdLmZGnQKa3cJyXA72zpYqKUzT1ZsAOmaqQUg5TGfqFZMsOTvfQhd549
P3SCj3w7XKX3YAJ3OKT6HGl4o1R0nJoj1IOvkjrogBer0LRbmkfj6rXSHNES
fQvUkLfDFx5r3CQZPNIy9MwulS4US8tZr4BB3nIfrqB9gr0B1k2cOwEj9LCt
kR4TN6B/PYScsXc/ILbYJA94wca720rxhTsz8XIS7ddZ3wAH++nsj5ZIn/Kl
zzDM/gi5WfanYQZs1E3Rz058Q+04VKK7BP2/eEdbkXQO6rfhLR4F0XUT+iCV
3gXcF66VzmZIrZAGTeukw+TKOVMBXrw5DY14bsEzN7EfPXegnX4G7vhXxR/I
lBaYsbsOz5nV3XIpA9+2wCv0xfEPXhP78fwv64f8l0gZa+imTwB+cs8o75mr
is0uOsPL8DxFukRswM+jMIGXJjwdot88cx9DV5g4RM9HEIQ+KLbgfyo+ePmP
nM+B72484I9Y8VNoW8CfyfyYj9Xoa+bOU1BLj148q90ufSQfj+Yk/vM0vs2A
hblnkTMTXfyFY/BuUddb4kF0HoJS+gTpF3HH+kd1pBilZLjHHCroGyLmoTGA
ViOae9DeCy5m3ACN0IqWZ+jtptbKmQCxGe0e6GTfD11wm3n00DO86OUt3uZj
Th1RuNMHicyoDJ1jvHMO317i3w9iyMTfhi5qzjDDOuq+UvMNOsn74T11T6n/
QPwPO/O8yQ==
        "]]}]}, 
    {Hue[0.25775563553707337`, 1, 0.6431075815640522], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1l3lQ1mUQx5dqzEnETLwnj1IQBfNNDLzyFVQ8EOQ1QQwPeFNeEDk8wNsx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        "]], PolygonBox[CompressedData["
1:eJwtl39s1eUVxg/GZWzFFggLxMQNpqG7SCmFi3TcFvsDucPSll61wsaPyk27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        "]], PolygonBox[CompressedData["
1:eJwtlX1MlXUUx7+4tEJATTBfVsKWMVZod0pcAlIgQQu5cluSlSgacFG63Gta
M1HXm2WWlVqZJm4qCtUiQMjeRCpQERJc4kuiCbnhmtqk0tVWfX77PX98d57n
POec33n5nt8Ts7DM6x8kyQcGgz631AuueqUVEVJFlhT2uNQfLuVNl0J5Hgq8
OZIH3dp0acb90kywfZH062gpPF66/KR0BRSgO4UuBF037yfB5zzXgMV+Ytwh
lSA3pkrvgiMBaeGd0mFkVFB6kefbke186wDXs6UDw6Ub2TaGifXlHGk/KEqQ
iom3h3gHYqWtMdLB5VJnptQF0rFNA+sekR4gxuvIk/nkBd52ce5YaTONWJUs
lYNCYpZGSk8j91FzbJRUj6wFdQ7Mczr9mk6eAXL2Uu8J6v33Xs6l1i7QyDke
zvsCuZrz1zgwz9Xk6iPnKuTYudLDnDEG2U7cDpBBvOPE+4d4bcQ6CmJTpEeH
0qNZzIK+h4F6/JcQJ0APIvKkYeCqhxmAfuybbpEyE/lOvJ+JdxNnnyVWjzMT
M5t7iJFIjHjkFOyOYXeDc1v41go68I+4TfptNv1jFslgAnbt2P2J3UFsmsEg
8g8BTcvtDJqRx/D9Efw+23LpMbhUMI3YYdJu+vL3FGoE4WnUA+qcemqR8XBx
JedO9FqOGK5ErYCsd5Ev9c7HZgHYQC4XyCWU2vrJ4xJYg+4cupvR9fLeB4ro
zbfMtQT5AvxdCT4ln//IqzCX3jDPweAKvLgMtsENP9zohBtdvHeCN9HNR/cq
ukq/5d1ev83d1GC4ajj7Bzl/T+4DyCrq3ws+cc7aTi+q8S8izibinSVuD9iK
bhG6d1yWm4ajDzLjVJDk7N0r5LwfuxLs3seuF5s+cAhdKboP0fXzfgnsI69S
8mtE/kUfrpsdYK+fZb+7yauZWr8D5fjOw/cNfNvwOwpaJko/gCHwqHSEdKvH
ctpwewLxEogbi3wG3yfwfQ3fFvxa8y23DMdcfE/CbrKZqbPzKcytgr3aAUaQ
y3AwzuF/F7sbTX3jQTozqmFWaXk2b5O/F96fZ59ykdH08zO4PeQheEFumzx2
7mb+qZyVyllT/bYPph9byG8JeTb7LBcMJxL5noxdErIbfRnfP3LZ2RsOtLDX
Bez3oYDN0+Rr7jZzx2XgMxXf6X5bs6l9Lb5ziVFMrK/x+QqsctsYrQG7w2aX
x+MzGd8YZBb1ZYI4Z7dn8LyTeQep7acM9o66hoEz+C8mTq3b7pjZNbObZkfH
EMdFvHHIAWy/YV7XkKH3cU+AXXAnG91OZCHnFKXYfTV7OxKfSfhGIQ/DiRo4
ewQZSS1R4Bd2M4Wer2dXZ7G3OdMsVw1nN/K9kHp3UW8gjv6BSGc/RyI/du64
4gR7T5v7egC/a6AC3yC+5/E9M0k6DTaT8zby/MBj70BzF15023/BqKDlpeHn
Onyfwvc5n+W+2YH30PnQ1aHbQ82V4Bw7PY96epBlAXtXBwP2m7HppbYLYAO1
xdH7IHd/ETnnkLPPb/8Z5t/xMnN/CRynL/XEa3Lbe8fcP0kJ1r7YbzltuH1i
GXsezf4i25z/2mq35YPhxUVyXEquO1y2F6Yn1cymCpQz8znM/nk4kHu3jdO9
zPbW9LiRO6QB5FNTIrmEuO0/zvzrGpx/1Rb2aBT8mMnzaORucq/MsvM0cz3t
cOlUwP4vzH9jaYK9KxqoYz35LSC/t1z2zjN33//VfKYy
        "]]}]}, 
    {Hue[0.2452918560325255, 1, 0.6603651224165031], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtVmlslFUUvRSQraWAFNAEBZU2ENuhMEDDtDjMlA5YoHQiXYJgQawQZJgS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        "]], PolygonBox[CompressedData["
1:eJw1mHtQlecRh1cjrde0WDGZtmYmtYWAKShFYxWSg6CYegGOCYYiRDHCUcvh
aFVKR6tNqmMGzd1qoTKJscZLkyYxcTQ3wHukU4PJFMeOkhZ0RhsgRk1oYzt9
ftmvfzzjcr73su/uvrv7emd5dTja38wG9zMbwL87I2YvwguwA9pDZnu+bnY7
3z9CvrTIbN1As1vizO5NM3u/xuwkHGTsIchGDsG8ZLNSWMlvK+CTJLNuyIia
/QjuYcxE2MK35+AZeBa+x7c7IZVvafARv30If0E+DY/EzKagcGKCWQXyk/lm
9fFmCehzPNPsAmPPw7/Z60toR/4r9JSZ9UIb8gdaD07DJPb6MUxi7cmQDuMg
jO5zoDHXbDu0zzU7C2/x7RBUMTcKI5mbAHfxWzLsvsfsc/RpH2bWx7zNpdgS
ew1Gv43IL7PmH+HwLLMj8F3mfgfGMPduSEX+IWQgj4edKWb7h5i9O9ysM8w+
fEuKuo7S9XzIfbMPH3Ugj6vAJsF+8/DPe5n+dx/OPYTci016oBbdfwl/xiat
sAq5BuLTfKzmnMsxu863a9DBt4/hN/z2GNRhi02QPps94ddTzB6F5olmxYPM
pt+K79B3KbquHWHWwJqLka8X+d8Z6LwqkTOx5j+gjbOcqfE9OgIfypelhZwD
FmOHJTAEf1fFu45D0fVBbPkApLH2WDhbgu1L3Iay5ZY0jw3FyLPMfQed9g13
/TqnsQ86z8dXr6JTI/pE2LMSFkEFLMVmS+BFzrgT/sCaOei+kfG7om4D2UJj
NDbGetVQyW+RuR5Tiq2H0LEYtrHmVjjMb0fkQ2xZw/7p6Hf/BM6Pfh2wJc/s
t3CcMcdgD3P2wivsuXmA7/8n5PnY82H4CWvPgP38tmOE6/ga8hsP+V3RndmW
5D5eFdxJ3c0b/HYddiG/BFeRP4WNyI/DTWKqd6jZeu3HPlfQ7TIMQ7db4RIx
fhGuYdvr+Z4zlDs+Y41rSX7HddeL0G0u9GDDbjiWytmgY6LHtmK8NcusEH0L
IDyV+wejF5IT4AeQCGeJxfYyzxnKHdpDe8mmsm1Fket7kPvwCPKabLPVMJS7
Ngwq8VEF1KNDA8xP9LNpzpec9TN0+hT7zsIfe/k+iDNGiOcq7Pc15CLO+iDk
cs+nwpgCsxQ4R5z9Lc1zinJLHzr9C3KJgRwYQ0zcDU/NwF5DPad2ZnB2bPMO
rGbOGt1H5FY4gXxS/sj1XKKc0sA+v0eHikCf3yE/gM5z4DnW3QKbmFOn+4SN
zkA6NhsHGTA+sKFs2cIdOVziOkv3rfhuG3QxpxNeZ439cAkuRjwHKBfIx/L1
kLHYFH4W9bs8cxQ6IZ8J+fnWYdMwtt3A3PXwmHIH5GCTq3x7FH9npPiZdXbl
IOWiezl7FvyUWClJ9j2013rOvgEuMOZ8mdco1aq4ao/3ffjslmrP8cr1yvHK
9Q1QH/GYUezM4exhaOPsZ6BC+WmA618Z9RqkWqQ7oLugO6e7pz219xf89jm8
yW8Hgpqn2iebyXaqCaoNx5FPlHmOVa6Vj+XrzfisHN+V4MMnkPfM9lhTzF1N
9RqnWqea1R7EgGLhMmtdKfMcpFykGFYsv82deQuauZMtUJjo/lCObV/ButN8
L+3Zjbw1xWXl6GbmZWOLEORALpRh89HMP0B8/mIyPsFGrSVek1Wb30vyXBIi
p7SsNFuQ5rVGNW4Ktaeamlwe5zknhvwK30fx99s6I3EzPxiv+pLF+ErueAV8
gm+74Qp7XYb72CsEq1hjXZzvV4P8sHSEBVAOUaiCGCyDukTPfYqJgeiXyRqT
oY5vm6ARtkMPe/TCG1GPHY1/E3kd39ZCJ9+64EnkJxa6TtLtBvm6fqDXlKc4
Sz72mg2jmHsHfJzhd1t3YBP38f5kr8/6bRn2vJ0xt0X9TqYHOkv386x9AQqQ
84MYVazqTupuqgdRL9JMLDRFPAYVizqDzjKVNacFOkgX+VS+3cOYQvw1Fvsd
xB5Hol6LFR9Ho97TqLc5RSy1QsIyzhvn40ciH2OvoxHPScpNsols81XPBMdi
vn7pHcQ8cikxNg9i1OxlMJ0xeVHPUV/lqmTvrZL5LQW+CHm8KV/3ITegc33g
I/mqf5bnCuWMIdSFkayZACPYIwH+yfmuwNPcpWfy3Md1gc/kO/2mb/HFZsOL
vaaqtt5kzn/gZobvrfy/a4bfMd21FtXoiOd45XrVONW6bwb9kXqQb+T7GXQW
xaRiUz2IepGqIDblU/lWPa96X9U81b5BzB2c7z2BegPFqGJVNVK1cjzyhKj3
lOotZ/LbLNjNXXkJfoUt1kJ32GunatTfqaWvofOrEa/pqu2ao7mKOcWecr5y
v3pW9a7qsdVrFzCmEJrw4fI492ezem3iPRuepzd5YYLnZOXmbOZOgeEQH/Ua
rVqtnKrcqh71rmCMxsqn8q320F6j+e378HKQH5Q/CnL9zaC3g2JmejBGY3Un
dDfU46jXiQ/2lo1kq9V8W7PQ3xh6ayxR7wbLo57bleNj0cDnSd5zqvfMm+u9
n3rALurz3qj3VuqxdiM//f/+Ef3+ix168z2XSecu7su7RT5eOac80ffU3noj
6K3QDE01XpNVm4/G/G7pjh2OeU1UbVRPrt58ZcxznXLscuSRxe5b+fg25HPB
d+XEs8hTc9120mdvmudE5Ub1wOqF70vzt5rebD283bqmee+rHvgA8fJ8kddq
5asPQ16zVLvUA6sXls/l+/c5+ynICdaTPfoWeY+sXll3UHdRPcPrQQwqFk/F
PJYUUydjXmNUa1RTVFt0x1qCnKbcphymXKY3pN6SV0Nei5QjepC353nvI5s0
In+72O2pHNTG/jNnEiNwmrEfhLyHVS/bFPhCPbd67/qgNyilJ5wH/fBlfyiY
7b24evJUzrsg5PlB+5ch3wj6Q9lzM9/DIX97KcfnIy+Nee1TDVyM/Hie11rV
3A15/ibV21RvWr1t+9Ob9oOfo/MKaAu7fzSnaaL3bOrdjmOrEyX+JtTbUG8e
vX2UQ5RLdEd1V7Nq3d6yx6Rar6Gqpeqp1FupJ1RvqJ5MvdmOTD+LztSY6W8w
vcUuBr2f3gR6G+gNoreIelr1tqoJqg26c6uDmqnaOb3UY0MxklPqb1q9bVUj
VSsTav0+qkf5Vq33UOql9H8I+r+EHSnuX/W4J7L8zDq73sh6K/8PSOZgGw==

        "]], PolygonBox[CompressedData["
1:eJwtkk1I02Ecx7+Twte5HK66lR4SbYqKaVRCbqaSLreFb7iVeJgWpK4ED2Uu
p3VKOySCqygPJWmkFyFF8eWkInUr6GBQBxPfAgmCiD7y9/Dh9+X5Pb/X50lp
bPW2REmyw2G4eknyQkKt9CtZcqZJ9S5p9JD077zkQ/vh00XpI7yqlkLce4ld
uSAtw8kCaShJ6q+UrHVSEjwtJU+sZEGPnJEWjkgx5LlXJHXCslNaguF86Rax
8cRG3NJv9HPsG3oagUViFiCNOukxUhz3L1dIXfTnzJTK0RUQ9Eht8D1bus1g
Leh2zu9AJ/cecz+IfkjuXrBw77NZeoS2Q3e89JcaGejT8OKUNM6cZTXSWLr0
DpLJ2UjuYWJt6KMwUM6sUM1uJqOlvTzpGrsZRbezv+voBngPveQbx5qYP2of
6pkghRqv8Z3Avr0iudhBB3OG2U8PTJ4ln1Wa8UpThdI0JFL7GGdmbIA9NYGZ
PSXABPNGmDcOvU5MHz17cqSf6A3YZdfT1Cjh3aqK6R3sDuaGaJfxVrHYmxnS
DQjzJ47b2BF/ZIf+OtjbfJa0hd6GLs7vwxg9WHnzu+iv9BxAD/IP1qj5DbIc
xhsWMacTiiH1YPZ+9t2Kvw0SiTHDD2JmmHGNXDWFRm4T2sfMfpjHPwcf8IWY
cRYdoZ8heEJ/DfT5DN1MjSYIgIP6QWpU0uMfdBU9u9Ee2OLdN2G1wPA147OV
8O5gOdj3F3yhWmMfYawPnx+6yfkAvNTLZbdu7Ll8o14P5zn75/AfS2maSA==

        "]]}]}, 
    {Hue[0.2328280765279776, 1, 0.6776226632689542], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1l3tw1dURx1feCSEigyI+UCgTzBUiOkYZ5RFiSqoQIEFuEtJE5YfyI6GX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        "]], PolygonBox[CompressedData["
1:eJwtl3lwltUVxg8hAjFhnRKmaKuATc2nEIUkRBIgG6GUJRAggWqK8CXwVpwQ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        "]], PolygonBox[CompressedData["
1:eJwtlFlIVVEYhReWlIllNlHQSANF2XhNyswyDTPTa6FGZClIqXW917B5UBsk
KIqIiLKgOaVsTrHB9BpR2YQ+aJINaKPlQz0UNH2HfR4+1mGfvf+9/uGcoek5
iS4fSfPBFy6lSGWQ7ZYiB0nhodIaWMbzPdbKoQJeJqJBUhN6cox0Ch7NkB7C
V9bu8a4dbXFI7wKlpXGST5jUCd5NkN5CldvErUbvJkm7e0vpI6Wrs6RrUDpd
KoF5mCsgRhyaMFGKh4/EruKOL+jOSGkH7EmWHhBjL9o5R9o/kPvQn+OkX3Ao
VppNnB9TOBeBP+jJ3kDwtffX47d7iBQAwbOl0ACpDu9Zdj0y0VN4Pw3NU6X+
eOjrlPpEo7AV31sggDNe7ip1mLstD0viTC1S0eAF0uie0iS0kHu2w0z2JuBh
tUtKg3T4TP6fwMtzHu/uow7OxOLLw5np+AyD5DlSEkThqZK47fFSET3ZBSWj
pINDpZt50hmHiVNLnKPUvBjy8bsNVrnM/S60Fo8iTjdiO7gnBP6Q329oZh4q
ybuF2t/IM7Er0KfMzTM4gocOzhYlSN/x9AN88ZPN2gniPaJXj2EWsxAB00JM
LcaTV+BiKbqP1AP1Mku10ER/3tLXRvQx++tgnN0bP3yeJ6cSSIuSlkM8HvyI
kYh6iB1D7GJiv+bMG/CQn5M83S4zX9aclY2WLoLXzrsa/Y7/du5YSczn5PQC
srgni7OXOFtJ7W6B8PqPu/KYjWhmZC71KaDf+VDmMvsvo9mjjC8nexcScxH4
23PSLc702eq3NVvWjPV2mvnqh27mTD/ObkKPce44NOGnEbo7jc9M1nJ4DuOM
y2m+Metbq6dP11lrQPvz7QyADmb/Gyzje9tObUvJo4r3F9h3Fw1iTy/wktNy
cqpxm+/O+v6m0LvJ0EFNM6jVIWqcw7fpgt/EbOvC7FKnN9RhhR89o4fvifkB
zvANxpDvWXQD9dkIJfg+D9vsHAup0xB6PRiGJZtZz6Vva+z65qLDmcMRkELs
w/6c4Ww+FICXe2qglfdJ3F+Oj3D8NOCrHn/x1n8EUnm/FDx2zbqyL5f1A/jz
zDf9s/pozbQ127V2LdaFmtpYNVrL2lzW1qMxoeZ5ndvMgzUXbdzXCqnUN4s6
p6F/md8/MJb5qqN+GfQwinvmwH7qEs79+9BvePsKdeRyBX9P0HOcLyTOIvr2
irgtEeY/Yf0vcu25jiDXTnjxgWS7PulOM6vWzN6x/7W30f8I2SPC
        "]]}]}, 
    {Hue[0.22036429702342958`, 1, 0.6948802041214052], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3lw1uURx1cICcghFSHKWEcsQn3pS3ylCbEhEpLwhhhCDiCHIzjmxeFF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        "]], PolygonBox[CompressedData["
1:eJwtlmls1GUQxodCucFaQLAfSCC6SLEuqIWNtLLQ0lJaWljkUkoCS7GIlq0U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        "]], PolygonBox[CompressedData["
1:eJwtlXtMlWUcx79yEcxUROnirI0yUJxkU/QsAQXqIBNBMPKYI+McDE08vCd1
zK0Lsi7+kZv+0azN7I9m15WVGVqKOfDCDFbj2DrHJscVjOQkolBGBX2ePeeP
z573fd7nd//9njfd21Dpj5P0DCRCUY70aopUVSpdWiH9BD1u6QrcsZ7vadJk
1o7VUtx06XvWrGxpPqxdIA3dI7X5pM4NUhdMCkgv3I8M68DTUhQi0AOuzVLJ
LGnpI1AoLYGpS6zei+j9ZJ0UnCkdYV1cJOVAELlumINsEbIPIzvE+w3wsFfJ
npu9MO8hyGbPzd4i9haWcR6yoWmC9N08qR0f2+BLfI7ieykxZBDrQ7DJkQrx
fTNrg1/yw3LycylJai6Q+tDfC4XYKMXGMmz0oasXRtA3hr4t6Bt5TBqG3Wuk
P4jtwFJixYcsnnOJtyAXHbDcJeXDc9hLmyrNxocwukLQg77b6NuIvm+XSd9A
Db7so1bbqFWQ525IaJAemEJs+BdC188QriS+ydK5PCmFvE6DBeRayeQYmYOP
S3fRBM2Z1MojvQgOduLvRV8tucX+EKxlvxK2ci6R89XIpdELK+mJmaxxxcjA
y9TpFXzYS93OZUjn4c8npbeoZSPPTfi2GwoXEjvcIi8pqdhgDePvCZ4v43MS
upKhGl/+IvaQz+bC5KRup3QIG+PY2sTzs5DnsvWqI39H8PNzCHK2G4LIjqDj
KXS1U7M2mEjdHqVuD1K3Lt47YRZ7K9ibz14H7xcghb089uay9w5xHISRWDy3
WHN3SelzqD/r61nSHrjB3ETvlD7m+4fwEURMHeEavvyDL7X4spg6NNCLZ6hJ
O5yF+HJyCYlwgBjPF9lZMjPVgexNZKuQHSbOncR727G9bnr+BM/HIT/mU4Cc
eDk7isxvPmvf+DHKmUZkxxw7i2Ym+3kOsBd1bC5MTnroj7vpk+fxswbfvCBm
eRfnEgK2//tic23mezW5KidXBeRqFXYHsPuZz86YmbVMejprklSMX9uxswOu
ojsCe0y/kNPXWN+ltw5BPOdc9ENNhXSMnuln9k6Sy1Y4DfXsbwUPvT0DvUku
26umZ5Pp3QR6OIAfg9hdxUx10lcnOXMKfsF2PXFccWw/mL6o4+x/+Dzos3Ns
5nljhfXBy/oEdqogyv4AjHNuAja2IbeSHiyG95hlP/NWwnM79j5FtsVl71Bz
l55GvhV+MHPJt1a+rWc/E//O4Mt23nfAFPL7Ev5NC9j7zdxzA8y9G91nuYsO
U5v3DeThMHwA/fTcVXrPY/qDOLp8sf7fYGfTzGgE3a3Y7cW+w92xnzvEm2Pv
FHO3tOD313DMzBQ53YevHchfgFPoG0TvGtNT2Pkb6tCxFx3V6IjnbosDN/fd
F/RuC/dRCd+b+J7H9xDnw1DLmYvcfxnM/Bj5GodydF5H93GftWVsDsfuhh85
X0M/eGEifs1O59/COp1eSYV6ZEUdRn22LqY+87in5kKI743k7D7msgK/juJX
lNn6Ha6Bh3/XOsiJ3cmLyqyPxtd8fG7G9zJieJNY3kb2MvPYy73dB9dNvajR
Tcf+l8z/KcKzn71fHXt/mHvkK3r3KLyRYX1PwvcwMf3LbG0hplR6awb8D3Oy
hro=
        "]]}]}, 
    {Hue[0.20790051751888178`, 1, 0.7121377449738561], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlnlQ1VUUx4+5IC6EC05NLkMapDNPeZMsI6CA8BAEYplYZClBEU0eTwXX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        "]], PolygonBox[CompressedData["
1:eJwtl3tszWcYxx+3dq4zMZcZm5m7g8aljbbWVrVV1L0tpsQp6lanohYjc1uy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        "]], PolygonBox[CompressedData["
1:eJwtlGtMzXEYx79sFUorihgml46Q+8G60Yk6Ka2ic0pSSrl0w5TCxEzGGzYK
vaR4kVw2ZoSxeUGNaiOGZilyH2ZzCfn89z8vPnt+O//fc/s+v+cE5pSkFA+U
ZAc3eB4jxXhLnunSbYt0B66nScH+0jVsZYS0B/zhzSDp+AJpdxK/Q7tV8uO3
21HSv2KpH14nSrm+0jtsRLQUCW3EbAV/ciSRa0CsVJopbYPcmVLjKGlxvhQw
WxoJ7ilSwTDJA2uBCs5lC6WV1JoKNmJ98eMe9Z1cItWCOzW4wY4EqdoHH2xA
BfHgQxi1eUh11HuBO+ehgHMN93Zz71uQtCxQiiuVPgZLn+BKifR2rHQVayN+
NOx0xd5oNWMYsW7BTUhfLnXxzYktJ95J6vvpkA4T6wjY0C8KnqFfAP34Jks+
yeZ5ONY2ixywghz7iBNFjv3ErYI/uVIfnEDfHGpy8m1XCPVAKfePcr8Mm4ke
XsxtdZqZy8g51ybNgR8Os6Zf2Hlo3YDma2aaMzBm0YWuaYPpB50fonkrOInp
gGjydaDfeXT8zTx/wXq0ykAzL2axgn73Evs0sbfQ69Zgc07GvEqJV06PE4k3
IcU8T8IO4Q14QgS5wyGKWmqp6WOeNBq/UbDG1U8JOYrQKMx4E8SrXyqdgRa+
N0M6d8Op/R5nBz2nQqHr/iasLzO5i0YNVlMLQ5NitP47VFrL9yzIhmS+O9G3
Ep2b0PsGzOMdz4X5kOEpLQrn7eGfyruvckoH4RAUwi00uIwWk9EnCOxTpVhY
Tf2ij1nU9xnfT9BNTYPZkx5sFnRTXw42bQb9QCPxzkEDFJPLQrxC/ArgpdW8
n839drRugxrqsxPvWKKpjaGRO1qFosEGegshZij9tuBzH5qhEr9weipixgVQ
mGDuurHzdnzz8e3D9zHnneOIt0WK3yAlQD3zt6D5GLQ/w/ksdFDjY6hmZzrQ
8Sg2kFlvJ854bDy7nQCrXLvSaTX7MfqykzsW4qDXS3q6WHq1mXvQC5vJ30wd
PexhN4SgZT96Z6BtJ7FfwDO+51GTeFdT+H+ywDr27QH6XcLnCbV2QJPr/63W
Yu6XsWenHOYbrsN+w+8rfIf3aBbJW8mgrgPUvAp7jj1ohPxkU9+NWAdxncZ/
KT6PmMNS7AVyXoTpaD8NfFzv0Bv7j/662alMNMgjZj7EsAeNI/B17YSxG/8B
DwQGLw==
        "]]}]}, 
    {Hue[0.19543673801433392`, 1, 0.7293952858263069], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl39w13Udx19DinDKiQitE+mQbnPkd+ybjh/BZLD5BXIb24BNHE7ct7wv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        "]], PolygonBox[CompressedData["
1:eJwtl2lslFUUhg+bZQ9lERUBESgpOqWjlsVSCrRM2drSodKylWVYCup0EIoL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        "]], PolygonBox[CompressedData["
1:eJwtlFlIVGEYhl+t0EojS80WBaG0DLeLKSUDl3FBTNPAkUSjSXI0G0fNDWwj
EIzSBEu7MY1Eg6S0Ll0iKK2ubEU0iEi96EJRoazMnmHOxcP3n//8//e933JO
sLU8x+4uKQ42wMMoqQ/OOyRzkFSGDcmR9kEohGyRvvLeESOVQzB7WeytpUjd
yVIXtByXFn2ke4elu9ABfkelps3SNd45QrkLBXlSK3uWMMm9nHuB0juTtN0i
+cJVu3QFstmb8pAaWJ9jvxTKoNpb2p8kfSN2Kho80JKJpiy4cEiqgoVEycq5
zkzJk3gekEjsOTepxyy95DnCTxrDrk+lBhAYLe0BL/zZt0ne2Pvk9Q8/tmzp
LBSDNUO6vlU6jX1yRBoAfyPPKKdfiIQK8ndACrm/wMcgcat4/kSN0tkrxPcp
cCuituRpId875NoOOfjOhhPgw91n4dIyuS9BGn6GPKV51hGG7wH2ivFtA88K
8oWP1MO6UUq2SXXoqYVK9grp7zD9HXK41iPYZvS3QAoakiGfuLHk85jcXqGn
hh6NYwfR8RT+sm5mbw07kiCNwrxR8+/HqAc92AHD3B+CwVyp0RedWDP+G6lf
HjGm4qVpaKc3TcFSb7W0i77uhuf4HoVekyv+GOt+cngEPdWu833YnfXUcK/0
wOQ677wXi5YYmEPLJuodgBZ/+llJX/2wqfQ5DezGvMfHuPw6/c8xM7MwA53M
y/QBKTqL3kI3H8xlaj+Kvx+ZrlkMZRbbeL4NtdSmBmzk1kyOJdgJ+tTPnVXO
vWf9AVrxeQsCDO3+2C/kPA3r0FeCzgw0TeLzBncnuZtLfAt40c8C+vqG9zPo
n4U88rTASUhHUym5N9DPLnr4h5ldgd+Qh38LvHXOKPPfR92X0bsEbsa3KOwa
PVnwIhf0n6GuRfATnzepRxt5t0MHLHIviHiXONcAFyGSc7HsrdDruhCpHj4z
n7+4m0+8MGIfhARyC6c3cfhJoq5meG3oGjfm1Tm3zn+C898wYXLN3Cr9/Q9q
Yd+M
        "]]}]}, 
    {Hue[0.1829729585097859, 1, 0.746652826678758], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1l3lw1OUZxx9DmYQGtCKJQUStUxI3ksCChCPh2GSzQVwSE45ER+qxCaxV
N8EQkwg4Ilig3lbHiwLVCiLNOBilf3iA4xQHK512WsvIVE2dKU7LoQMhSiXS
z8P39Y/fPE+efd7nvvLT21obMllmVnqe2RDg9+1mL40yy2s0qy0xO1Zg9mbK
7Okys+YLzY7Umn0SN/vbCLOrm8wa4Pkanr3w9KbEvxu4psLs9lyzXciZAN+X
OWb5M80a68w2IOcT5B1rMft9vtmsJWbbkLkXmVv4/d2UZL4HbET+SfA/gW+P
mR3ONmuZYraw3uyakWYLgIsCPjjV7MOU+D8Cnq7EZmQ+i823J9E33KwTeXvQ
3YUNUXQ1QN/0I2yHPnSp7JmNPdZq9ir0fuh/x4c+YvJX4AcZsxVjsRU4uc1s
XB58+Pcwf98E/bpO4sVXe4nZtWmzU9gwHt+TvC2OIht6HvS+iWbLh5oVNpit
4u0i3q4BvsjXAr4VuIkvBf488MtaxfP+CsXL7awBxonbIXK3G3s3wzMPv1bg
3+ogsxpb/lCrOPwPW6YHey6GZx08TfDUOA9fPbYtwrYu6AugV0HbAH4j+LXg
RcRnN3oz6D1JzFPE/ASwB1/GnG82AH6GL05BdRWjz3nwcRV5H10mvR6P2eBV
4FdUmRUEutv1+XyzbOy/CNrH5G+APB4EfhbonwLzu8kZ/j4RwYZCs53gR6ij
ufx2K/jr0A5QHwd/YlYB7SF0/464XU6c2z3Ho81ym0kveBb4M/hX4/zU1cMx
xchj9RYxs2bxZAHfKVftNcM7rFlyhgP/GVFePD9Da8zKh5n9kXo4jR1vY884
YvZaueQneNsU7NyDrk1T1RcvVJvd2aZY7SCWmwO9j9ze3yofnyVWWwL9t/CP
SZj9jDg/U0R/tQlfeD32zJGuOLqSxH8y9GXk4pUO1WoPtj3VKtsOVqluvH5m
Y+d9oWf78WUEcvdD/w6evCLxlGHPLnyZAc9tSc0InxUFjcq910Apdm1r1dsh
yFwIXxl4O3G6qUQ5/Qc57Y/IBo+T2+32D0HGU+TjFuqtjnp7HPzn4PPBe4Ne
1/9ymBU5+FJIvcap23HAOr7rwWuBrxTJ9ybsGcvfMegl9N9I8FngFwLfIW75
xKQLOZcGnjHAiwJPBP44+HzwKmBR0BWFPhG8BnwCMBrwKdAP1Wk25pDHnOV6
Owv6YzPV72+jsxz+edCnQ5/xAw78MMyW94Dr4B9PLc2fpjnrMg/i90thPiwg
JqfwLUnM5yLn7DKzaci5Iqr3LudARvXqdXuWuqgOvrhdI+iHebwdC/8gv8XI
RTO5qkZfM33dTy7qwe8Ez4H3MHZX8HY4Mv5MbOuI7ffofyPkZQX5NH6bDs92
bPsxeLnnJaqa89rLIOP9Is2Hf/P2Yu9J5BcA60PuqqKyyW07As/Ldcq174fD
c1RLXlPZxOcv9MLd9ERO0JUNPBlicgI4kJCdbm92XDXptVmG/LnwT4a/o1Kz
yGfSVVXC76Ce71miWTeFGt7Zqbmdn5Zv7uMQ8B2diskI8B7wSo9/WvPR33YD
J6Wlaxe/56bF7++uC7adj++fJpTrOuL9mzDz633eRsXvsb8yKr1ZaclymdeA
97osrzHw7GL56L37GvRq6MXQc4vVv97HUxOKv8/p/rBTfFeXJNS/Wdgzcal6
0+fEsjBDXmTmDIYaO7NMM8Xpa5DZF2R6bq9KS6/r39ek2fsgvJc0CPd53N2k
vruxTT67718ktHd9rw22aDd4LirJy9AG2eZ7Zi2z4ji74Dny3hn2VAdwVFo5
8lyVRpWLy6GdbtH89Dl6WVp0z1VjsWZOGzaPCnMsC57jzKhLqbfpzOkb2tSz
n6P3sTCLHs1oLvsc9vm9slA1+XhMc9npfu98zG953jvEL7te+DDg+kL12jb4
c9G7Fb0boW0t1F6bQT3Gwp71Glyd1B1yAru2T9SOmNSmGvX4xMndvbx9Hjnf
LdZedDndhZoL3gv5xO+NEt05fu8U4NtIfHwTWho7DxDPUuLalZTvHoOukKP9
TbqB3Aa35eQc3VEDwGTIndev3z1+/3RHdFv4Tv8KX06Ft4Ptmlk+u1bD80ih
9qDv7Ya0bg+/Qfwe8pj7vJwUVS1F0rpFzuU6oh3pcfD74oImzQGfBzck5df6
mPa67+7zmpVjz7XvzO4Q5wmVumn8tulC5oyo+mim99dizUzf+evD/fNL4Npw
Lz0AHMyoZrx2KtJ6673YG+K8j9+Xgp9h3x31W6ZRM/wQtfOfhObbUeDxiOrT
bxnfZz7rdsCzExvWIb9nsW5Hj+f4Cu2zczsd31+Py/fl5LClWrjHY024/VYC
26bpJvHbZG/YC6O7dfO5L53oP5sQj/Mm0rpd/YZ9NaZ66MWGPcgdTz28C5wT
Fc/ctO5L13VPRPXk8V+S1H3j+T2Dzq+w/7/40t+oHeP1f19EdrvNN2P7zdA3
crPNm6Ka9tqOUUcbYpLpNZvPtw+eHngeCvf2rzKalT4zV0U0T32uri3WDee3
3NOlZr8Od8WTGf0/4PRvKqXbbWjHljuw/yz5+oZ8belQ/fusOpJSHo8Bb4Xn
NPi/wPtSwr8AjkVvBz1+1zTdeX6D+S32SLg/ff59lFFtHC3X/wy+E6P08kBK
er8FVkfVCwuJ7eaYYuUzY2NMc8bnjc8Ir+H9yMuE/NaSw88mqH58Z/r88tzt
jKnmztVenf7/8f49hW1TiW8RvV9MPCK1wq8G/qJSufNb1e8wj9vKiO4wn4H3
gv8fzMF0gw==
        "]], PolygonBox[CompressedData["
1:eJw1lntM12UUxo8k84I1QTRv5FwaQV5QB2Kggvz8eUMQRARNTUH7WfrVpiaa
uUqdmqGpc5UXLHNpWmvNS22Zl0zM2/qjzFVbkk3zPuetLJU+zw788Wzv+b7v
97zn8pxz3o6TZhQGUWZ2EDQE3SNmg9qafdDR7FiiWY+ZZp1bmnXiUHfWVyab
7Wxg9mkrs2us+08x+xV5L3I26zGcacX5l6PNSllnpXAGDBthlgvuv2CWjv4N
6P8O/TfDfH/MbCvyKeQ87h/B/kfIJ5EHjfO7jnFHo2Szl9LNZsVxPsassi+2
cee+uvsTWR8qMevC/fnYexfdC5Owi/3F8egpNluAXJZgVg6qArNY7uvHfZu4
r5r7+iAPRf4Q+Tjyb2n4B3Zlmu0GO7PN2j9KfNDXdDTrQrM5ce5vDX6OTTWb
gu7JYAv6i7B3JLiALX+BmwXcz/l2+NwV+TY6Lsd7DEMhsweT3V/F+B7rIcRs
MDjX3exP0JX1qVjyhQ2/I7+NPWcamaVxfjnrYyUe/174vx37twZuz7VmZrey
zNYhT0SOakOyy/nnKfdFPu3g/8+KPVaKWZX0cb6Q9Wz+Oc76ahk5bG02DrkI
XzsUei4ympgF+Fmc6vqfB2s5vxJ7K8E0YjMdnMbfmvi6fOLvYWL7LVidY7YG
7EH/NfQX8v8QdO0qdtsu4OMXrNd1w2zkocRgUx6xCNy2jZD3JOsFcKKMXJQT
4zvEelaSx0Yx+jyDmBLzf8BUbH0RPDLFbVHMo1k3xsYf0X8d/W9id2mqc0Wc
2Yj+93v7ns78EnIOaT+aeDYhnqFUvyuO/dJcs09CnivlLMK/0djUEPTHzizQ
Dr5lw7cq+HZU/ONMOjgL12rA5FT3XTGoQN/PxOcu8SnlzkL2huNDlybOp2hy
0Waex0M5a8X6bIpzUxxNYL8R92Vw30buO6L6HmCWAoaQl6GgM/sh9jez/z37
NfDjLNhPbg7U5Ui5WglWgaCuPyjm01jXZrm94s8D1vPGeW2K3zHU71rytwZc
HG52CZzAn1v4U4zNI/DnIPIN5CLkfOQEYtEexBDHZuC1JK8tcVrcrg489/L5
KOvUKX6fekIK63/hzPp4z8cy+JwXdq6qPwxjXZUPj0AculuAxsRoGrEKsd+b
/YdhP6t/atVPArdVNh/H1rnYU5Lg+VgSeE9TbxtKPi6F3SedHwUWBO6TfBsJ
5iLPC1yWz/vRd6TE71JNVbNemu22y4f55OGVJNclnbKlEzF9EvTg3p6JnhPl
Zg+1sRfM5vyzMV5Pszh/Lux8kX81rKNm0GvRvUPNn3VUoXNJZ3Lh1mr+mcC/
tdh3F/vmo298gn/TXmXgvUA94Qr7twu89sSHbXDv1STvBeoJ6j2jUv1f6ViF
/HG2c0Wc2ca69Wi3ZyLfKvF3TpLHSjFSrM6H3XblqCm29iFn6SGvGdWOfJSv
6iG7sOfwHM+HZk4ts+eNRO+N6pGb2WsJB6ubO4d2d8WHsOdO/+jffTO9fnT+
G9aLkp0PmjEHyE8PuFMR6/36OrZuHYj9II845IOeMz0WqpFerC9w33mQTG0/
A0by/7JY5+tt/o+i/vrU1yf3Z3L2THPPzx3s+y/H+5V66E/Eajw9YXlz73EX
qLeKZI+P8reY/jI7zXuleuY96rxb2POrGRQiv0uSnWuaqY8Tzwez/C7l4CHr
dxN99sv+7dhzs6vvy6a+2NYBewfU9wv2eyEPrp+fyM2QM+vnK3IS8sD694Xi
j9y/vv8h90UehrwF+QRyEXJBW38f/IA8GDmv7n1wCjkbjmeBr+kp+8BYMAb0
5Vs/cDXDc6sct8LeeGLSArxFb18B0kLemzSDb4z2nqveq5pSbWnGid/PgRVw
6xIxvgiG8T0X/AHH7sG1sappnc31etUMGKRZkOO5VY5H5/ubRrbLh3DEY6RY
6c2REXGftK83UAHyvCS/Wzao1g6h72COv0n0NtHMUOwUw/iIx1Sx1RuuB/IG
zq7P8RmrWStOiVuaAU0j/sbR/cpZz4jnQPo0kxKQ72T520H9Vm+by8S0HF+m
wpmFxOl+4LUqvjwIPMfKtd5ULfg/Bwyvzyd3NSj3t4f6gd4K+qY95TyTs+/l
eC2ppnrmOwe0Lx0DI/5Gk35xKibib0ZxQxwpRI4p91msmazZXUZOJ4HpcD8Y
4D1avVoz9HSZz1DJ6uGLAn/zKn7i6NPoeye77m0FfyaQ25bwJT7kM0mzaXng
uRcHatD3d5n3SvU49brXMz1Witm6NK8R1YpmbCL6J3BmPPgSnn6V4RyXP3oT
3wn7TIqru1N3602k/qaevovzFfBjTILbIFs0s6VfNflExGf2/jrOiDua+cq/
eoxFnLP6VzqW8v//RT8a8w==
        "]], PolygonBox[CompressedData["
1:eJwtlFtsjVkUx/+KKG3dekkrLkNo9dDqV1SLtqfHKdoe1XOOqtAUbdGiR6Jp
IhEeEKEuMWZ4aKNt0AdmJuM2NQlxeZmnkRCRRuIW4q5IRKlL+O3s8/DP2t/6
1m3/11p7fPWmQChC0hIwEPxfI31IlCrSpAGV6MDldOkSeF0q1Y6QXiH7+6WJ
OFa4sOM8EHyfJc0YSSzOJwqlkyC6ln9JUiPxJhJrEljM/1JwnP/TieHj7CJm
CrFTkcvJtQL8NVP6b7gUv0jaWSDtAr1uqSdaqvdJVfxfCa5T83tqDpDjxwou
QY5udL3oKtEN5nsIOJcsre4nrfdI1RVSDdieK20DH6mhltoLs6UuavgHfMKu
Nka6yLmrCh2Y50hlo7hDnXQMfTE1tyEPU+9v4Pl86RkYEpA2Es9PPC+o4fzB
b3OZnNFeKQrcooZHcdIdZB5xckFBFnkipSbynybnKZBD3mLyzibvOO4yFrSE
iDuGOpDryVEPEsjrG0ouangMB31wsBoOhmI/DETQjwj6sSnNxjCxjhL/CEgl
Rx45RpLjLFyfAblw300PbsBzD/G+EW8tvrH4xYHP6H6g24Auke8k0IWuB10p
uj768QVcWSZNjadXyM/U1gcyF0tb4O8q922ZJ7WCcnL7qaHQsXwb3vPQlZi7
O5YLw4mPekpANXMwO0q6MAd+4LAITIO3AH3uoN//or8I/lzK/MDzH8j+xMsh
3gTiNRNrH8hMkRzQTU9u0/Ne4rQyn8/pQztzfaBMOghCxG4AU8LzOovafehL
QCN2N7Ffg18HMduBQw4vuZLJ+Svfh8AkdHPQRdZZbgxHTfQwSC+3IFuxaQFp
2BVgNxq799TzivrfIbOpMcdr+2n62oxPJb77kZvDNZzj/0JqKiqzPTG9Ocz/
Vdj9HrK9Mz08yLkK3aGQ3RGzK7s5L0e3x+jI10HeqAo7D2Yu3tC7YmYshlkL
MnNLQCSzHc+MD0LmZ0huUEx/9jI7VfToBXv70m3fE/Ou7CD2MnLsQjbg34Tv
aOIFiB0EbnYkHwwOx73DvTrh5CSYCS8L4CUDXlygkHOmY/k2vM9AtxBdlmPt
O8M9Nr3+BV02/76v44ydh3O6Y/k2vDdQ90YQ9Nu3rBw5dS6A00R6/ZR9eAaK
8C3F143v3/idMTnguhkk5Nq5aaPml9i+AO88NkYSMZ5MYzdBOrY3mKE0ZDu7
cI2566Rvxzi3gQvkPQ/u4rMHuyA6T/htmMyuuM1bARKoJZ9aXI7dY7PPMejm
oktx7MyZ2TPvonkft8J5OdxvC1muDeeJcN/IfTfQi7P0up6dupcqPWSHHiXb
d9u83x34rMH3BHIHdb+lrp3IWO4cB6ZQrwvc586D+PcQGZtlzw84Z8CD47F8
Gd7yqG8RdXrr7Ptu3vmv7GgLM/cF+RMflCgY
        "]]}]}, 
    {Hue[0.170509179005238, 1, 0.763910367531209], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl39w13Udx1+TpkOyBkwIURyXbI3aD0hgsA23wb782ndjI7ahNtHvl76f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        "]], PolygonBox[CompressedData["
1:eJwtl2tslmcZx68WGG0KG4euHhgEOmjX16ywutID7aD0NA5tadmwJOLG+rL3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        "]], PolygonBox[CompressedData["
1:eJwtk1tIk2EYx/+Wh4mp06y00ByIYtS0k7qtsMzs4DQ37IAUHSCKiBXFamkE
1kUz9SYKgjwk6AIlU8kKjI5XHbxLIgdi4FVCEaVBmfT7+Hbx43n2vt/7PP/n
/76zHTvj9S2QtAFiILxHGgdLoeRg4RP54zXSMBxyS0GrdJB4EW6RB4jf2PsO
Lw9IL+A5OOKlG5ul0yWSk7yVfLlXWgGTxVJelrT+rNTLt33wcCM1M6V3PukV
vIarm6RGGNwvjaVJA8SWGulHitRBjcly6QvMsD7N/ixxnN9hsNAvDs7x3Rjf
7+Dcs2ppBG7bpY/R0lPy3x7Ogb1CykdnBXqDudJ1CG1Fb6IUS91dVdJOGGJ9
hF5HWVsKSyAdullbRkxhlmnOHN8uJZNboYr661IlN/HEKukkuOjt5jt/mVRa
JG0BK97kJEmVaEkiT4Zm/L+D/kzmWMRcieXmeaNOY550zYYXfnrQ2w2r8as2
QaomL8TfXHwuINYy/94a01fD31EI4PcAvjvpZ2d2D7Nb6BkPdfRtom8YXY+o
OQwZkTlbc00vDE/a/aaGTuIlZq2HXqdUlC3Nnzf9MXxyotthwBxD1B2lvpPz
DujD51SL9AEtLdxZM6xEwwU8y/Ka78N4J2sj80xQ4yvnEqiTgb4ZPJyFbmrm
82YnCqQe8hAc4X0eht3U/hwn3aRXFHoW430TeQOzXIZ2arbBXe5tztjDq/vo
DUEndTrolVNsemh4uZC7TENfLLEBDR72n3Cnf9DxF9q2UQvesFfPXgk1frI/
xbu7gpe/yGcgmvlOUSeG+ID/XD90oWsKrX37WIN+A/RH4VGQvXRmzwAb9bOh
jB52epRS7x965iDA++jiHcyTVzLvIPd2jzmdaHNFMPK3PvN/995n3p1xh3X4
7MJn8R7+A6u/u8A=
        "]]}]}, 
    {Hue[0.15804539950069013`, 1, 0.7811679083836598], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1lnuQzmUUx49LIrltbmuzrLvNb70lu9tesOu1brv24rIvE0UvL43YGbRZ
EpKQKck9u0myLC22LHZock/aRsYl6xZjmskkt1ETRZ/TefrjnXPe8zvPOd9z
fZ6oMZNzJlUXkbBqIjWU5ojkhYmE4kUWJot8VldkAfRdfuvhp0eL/Bwn8rC2
SNs0kUuO3xIQaZorcuwJkZIEkW8CdnYe+lc8kXbhIq8FRS7AR8GPgU/i7D7O
nvKL5PO/I/Ih+SI9nLwncgFHozoiBdgbhk4kOoPQqQmet7GfmiWyMY9vkSJl
yM96ppOLbj3Or6sn8l6myMSgYchBZyO/AegXgG00mC80FOmfIXIjUaQ6frd3
F8nIFlmJ/cH4qeF89cXX+GiT6/eZHUTWNhaphg1/suXhMthHBy3GLPys7GP4
HyJfDM5B+F0E3cS3dPgZ2KtDziPriySQz/l5Jp8HLck3/ZnRhkmxHZgkMjvP
8M+CLuWXBb8EuqKrxTuBeAt7Uzf4VPhd5KSwpsiL6eBNEWmO/GPoR/yawO/x
LKeat+Fgfznd5B+mmD/1uw3/x+ETkSemWp20XtPRbz+IXyOR52OxQy7KyEkG
tBUYpqJfDL/bYWhHnteBdQiYt2Njc4L1TB/khQ7br+huRSeAzlfoJFLHbcjz
iMXP/wb4jcJvGnwYvAdfloQv6jIq03pRa6F9ugM7I7BTjm44Po5S61JiacmZ
+pw9SUy/eBbLX/DtOLOds8X47DnI8EcRx05nfwT207EVoX2IjQHwzeF7B63e
Wvcg/A7OvsLZO+SqF3npQn4SkbVxOTkP3w/9JujHo7813+r4JrVeBeYc+BXQ
2R3RacIZYlpI/93CTiEYl2MnAM6l5PYA/GTtW/gujl8Va3lXX+rzCvGcgl+M
jdb07jns5GNnWJbxtZDtBlMO/F7ofDfv70DvdbbYhxB7fKb11Vps3kMvhP5d
6MCg5URz8yDVsM0AQ61xIkXIa46zGdNZC881W2pT8/pBruXqNudio23WksAV
GbRaa80PelbrZ5BVepbzFPheQeO1DtFB09G++Naz3MYiW+T2mO6kBszaZPZb
Q+j1DPO7LMb6T/twC/2Y4PrtNrgG5lrPJ4HtpOdixGb3oNnXGn7tGc5WyHLc
3shOtvg1D0vIVZjmglxV4achOO4yI40Cpqf6I7JtHnQu3iIHRW5G1kJL860f
ZiF/iF4I/P9AC7Ksphf91veaz3LyWUzPePTMwYDtYo1rN7N1lL4/Sf67gmGD
25nroVMC1mOvQ89lGM7z0AMBs3MIOgO95i3ovZDtWT07Gzwlbk435dmsKj8H
+R+pllvNsfai9mQFediNrU7YXA3GmS4/2ss9U23P/D2MnKTZztTdf7q79UxH
emyo61Ufvr5HfgZ5Ava/8NvMXqJW5/12d9zLtR7SXtK7oqnT0fk+k2t7Uu8H
3Qu6H+ZG232jZ/VeKnd7oxR6i/puZnf1yrD7Q++RydT6CrnwyMm1kM2DzkU3
6rCMXDeFX5Fiu1h91cH2QOIZT+0eZdteVv37MXZG+dXYWONmX2t+0c3sVOKo
7e4yxf4b/nz4vRmyb6pzge+lPnbPY8RLb29xvIev0z7Tv4H+dWIJR38d2Cpi
bD/ontO9rPv5d+7AHe6u0ZpozBr7feQ/+izeq9hphfw78v8lul2GWo20Vn1d
zmsn277WOSrmXjqRZPlvH2dzpfI4v2FVnHPQH+D2g97Jle6szuJGzSF135Bp
PaS9tIbeuT+WvFOLh9AR9FVd+moSfVXhWf6XE6O/q+k8QOcw+NuB/xD4D4aM
PwI9i91y7flMuyM1D+We7UrNbR3OVaLXEf0T0Px0y8kNdCr5Fo38J7UTMr4K
ehF5HnENIP/DHbYANDLH5IuJ95LTUdkezkRxdi80JsZ2TgT52Mb/SORl0P0+
06mA3+cz+faQ3ceqr7vqputVxfg53yLQ2RSyu0HzNpc6pNGHY+nDP8G202dz
rfO9NmR8EXSPz85uhI8Dx2nqEgst89lb5QVm9JjPcvIDOm3dG6ANdCt9cBj9
p9B/FGezrO+gpe69oe+L+DSzo28fnVvtjf965P/7GvpJivVq6TB7/6mdwmn4
ZPYaUdMOQetv7Z8Sn93leqfv9Wz+dZavYDPe4T8OrvyRvIeaEu9Iuzt1/+Sh
E5ZhmBtDe4MtCmx9oBHgm0quJsbbfan7py4+d7k9Vg69mmH517rVcner7qrH
3d3Xjx4smmZ7Xt+PnZBvVvzQJ6MNTwF4mrn3s76j77j9qXdjZ6cfwE4nF/t+
YnzavWEigvZ20TfMG/Dd+DWGP+JZ/2mPnSc/VT6Ly09cL6HTGp0qdHrAN4M/
Dj8EviX8afhX4dvCX4afCt8Bfgp0lDs7EjrNya+hM8a9u/QtrDXT2n1KDfuh
0wKdvtAJzuZ46PvuPazv3FrEWcSduIA39WCHIQe6zL1v9X3U39k5ga/nXIzP
Qhe4N7O+qZNdLEnQue6drO/9fwEcVjtZ
        "]], PolygonBox[CompressedData["
1:eJwtlmtM1nUUx48mhRleSO4TpRzokySuCcSlBNFKgQdIBW3O2wOPcypPC5em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        "]], PolygonBox[CompressedData["
1:eJwtlX9M1HUYx9/QoIx+AHGoUMwT4cB1RS1+TLBUjBHJcZwFB5lrekhtJrd5
q3StNWuFmM7QaTJjak1wMRVagE3c1NQM2cxEhdzM5vqv1ebWmhDr9exzf7z3
fL7PPc/7+fV5Pudd0xbakCjpDZAE9kelV3KkA8iDq6VD4EadNJgmXUcmFUnJ
YNtSqQMkNOKTgSOy60VpH3gnLHk80oc+6benpVvga3wPwNGDjGCzFqRhdxff
Kuw+WixtAQkh6c106eUybPE79rA0hs8ouATC6I7MlQrWSW2vS1Fw7ympHbsy
fi8BpWAHuW0HR4ulC6nS7Frp33qpBe4quAurpIWgGr5u+JLhWwLXUnA8QFyw
G9618PZz7oBzK9hmdaDbg9+yIHmnSPeR9wucl4AUYkxQZwPna6X0DHxAL2vo
6RbkJ/TzU7CHcwhdF3I/31+CX8kxGd/0EriXSZVgukFKfED6s1z6j/MMCJJ3
HfiB/vnpcw/9y8D3HHX2Fbu6rf6r5PoLuF0hjcDxPLlsIq/3wCxmeJU6NnOO
EWcjKKfOJ4m/CFlDj1rp1Uy9m4vN57yfOPTq2Qh5rpLuBz5sbxK3hvjF5F0C
PqamFdTWjvyMurZbbdjFiPc9Pb3BeSLg9PZ7b6uUnSWdIKc8cjxOrpnLuXvk
/hX4Apu94CR2XuxOY7eL704wgC4H3Qi6GXzTZkn19KaRvMP1rtfW827s5mD3
XZHL2/Ivow4P9fxIXZl8e0ATuhx019GdIscRsLMSLnJ6n9pa6UuUvqRxT1cQ
pxbE4vd9I/Jz7nWn3W24UkEAvmz4rhgftY+Au3C20ud/kL30KEyv+pDfkGcf
aLJ7DppBjPs1wPymX5OmgBe+R+E7Bd8omM15MboUYj20yvkbzx3q9VPvz9R7
Gbss7KojLifL7TS6NHQ+dAl8J4Kz8ft0BllNXS/F67M6U6m3jbrXUf8A/P3g
L2IUEWOcGD18HwaT6BaiGytynMbtJ0Y6sc4Ss+BVYoJh7ufFB9nlRe6Nsbfm
Mr4+fC/iexLbR/B5POLqtvqtPquzEt0cfhvzu72x/TmP7wJ8z+G7k14G6enu
qLs3dn/GsX0Cn5URN2eb9wn6H2IOw8j19PhtMJ9zHrq8gNsJ241y7vY17vgl
dmuKPZwud++OvT+bwVCm9C7yDjHyiREjRr7tBphENw/danRZfGeDI9TeC56B
9wq8F+D1cLcyQIXFY09+r3Vvkb1JMy3UCMdy3px29vVv8tsadG+tvbkd1Bmg
3h1RtxO2G9PswhRYyd7u5Q6F2AUvseeBNnJZAN9tv5uxzXo9c40x37nM+Rb6
XH5/K+Lsze8Q3A3EOBx1c7Z5V9CvcvBcietZLj07mM/94E0P8H9wrJBdLnQ1
W+0R+Lzw3oS/C582duoMu3UPv6mA65f1bRN2Puz+8Dt/45mMv40TyF18d4LH
4m9eOvJbevgT55xa979k/08beBdTuM9NYfd/Y/879ubb2z+IroDfhsNunjbX
UTjG4SiFo6TWncuQg3ANgRZsIyAX/xlyX8M5yBzqQDjsYjUj9/kc9xBnL7bz
QRL96KYvyY1u9nYHjtLLZnraH3X7ZHv1P0jxXFc=
        "]]}]}, 
    {Hue[0.14558161999614228`, 1, 0.7984254492361107], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlX1M1WUUx79lNBUzM7BM0YQBhvISxr3EvThAuE3xXu7FGVer1QzCtQWs
2WbkZlurWa1yY+ZLszdrQq2FYEXvbbVeNpqt2RyWvf5l/hPlkhFZn7Pz/HH3
PPc85znP95zv95zfim297T2XShrkN4vfoRYpH8OetLQ8IxUslJaxJhNS7Ryp
u1Z6ok1alINvpfRfVIrgsxWfoQekcnxuwvf6cPcnzp+tdH+7t5KzxfOlMs63
ZPzubaw9nC3F51V89wf/7dgak9LEAulEjXS8T7p9mTTKevFW6bk8aYZ1cbtU
RMz1xP4T/75LuNckPd0o5V3BD9tQnXTyat7fLG3LSvPzpS7WieA/fINUyP1i
cj9YKv2CffZV0s+sXeQcJa9mzh+pl1ax34BtLjgvXCbdAc6ykNcUuVyISQtm
S5+D+TAYrmSfQ23O9/j+M+wx4rbmStP4NlDrb3mrifXyEDNjtco4nl44eb9c
eh57Gff2RqQ78T+dwrdCmsQexX8N/l3U7c0q6Zqk5241mIt9EXWexzoS9/hb
8M/yvwb7RTj6Ou41P4j9lbjHjLM/x7uD7KuJ9zE12k2tRkukH+PO1zg+EynH
8z1rpIwcwJyghrvAuQn7R9ivDblkOX8v5HL3RmksG/RA/e7d6G+d5Twa6jND
fZav83friDPc51wYJ++Q213YI0nPx/KaQ/2O8nY1b6WJ+WHWddvA/jh1H0dL
xUmvr/kbhw1tnq/l/XCp69/64Dr8vsR/KWtni+fVU+o4DM8ONDbCvo0cd5Lr
sbAfZj2/A87heh8Yn+Q3i/0o7z9e73juqXUdmB6OcL6vxTE3UKf6hOc4imaO
1TiGJWD4IOvaW8351oBzL/fGyp1r43w89NFR8hqp8XcPEH8ajm+E61biP1bv
fZoGQz+aOwfmB1n3d7vd+nghsTaR4wCcJ5p8v8J6EW31En9txrVu3L2G7R9y
3k6cQxHXivH4N9x9UeO9MASGM1Xep9av8VDzKfR7hP0L3C2Ouo7NPl3h+jCd
vEt+9QHDyyXeVxbzDWLen/WYG6jJcJXr3/rA+sTuToJhJNhzebc64TW0Wp6K
el/kZrwWlvvhbn/D3rK8k2nnvWKz96Fp2LRsc8rq/Embzw6bIS9xL6fDsb1o
2NLOUQuaH2v2ODFsD4WaD0T9jt2d5K0ItSvBXppyfZhObO621jpmmz02R0wz
OzuZpyWu/y7uqsO5Nq2ZLk2fhSmfiVafT8m3JOXxV6Z8flnMmxPOpXF6ijp9
FfDMEKOfXlvPvN3Fejrwntfu/W/xl6xzXi1fy9twGJ5hzv+Nef/O6/D/Zm9O
elyLb3N6IPSFYTfdm/67qFVBp/eO9dBfMd+/DecZfNbAVzrjbxuGM8SeYq4+
VYBmWAvD3HuG2H/EPL71gXFvGniUGt4SvmU2G9bCwVvU5GSbzz6bgfb9sfll
fFnfr4b77/h2vF7nXBqn1n+mCfMxbtsDtpmoa8K0MVjp31Hz/6HZc7Bcisjv
G7D2g/lEj+dsue8u9XlndbPvw6/hG5SPLu6L+jeiMe0cGBd7yOX3MJ9tdtq8
sLlxFg2vCpjLWCvAVgS234jxP1vFPTY=
        "]], PolygonBox[CompressedData["
1:eJwtl3mQz3UYxx8sViGWNE3kWLXr+LLJsc3uxh52otZaws8tFqWxVkNMTDKT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        "]], PolygonBox[CompressedData["
1:eJwtk8tLlFEYh3+Vml0I08ZFecvLTJq3iBnFS86oY5SoM4ZmWgm2yAKnKYpK
g/oHIkmyqEXtLLqq6KKbywqCSrIwtbRFLYLSWmQh2fNxvsXD73znO+/lvO97
NrYdqQ8tlVQIkTDllM4ukZIrpL7d0k045ZHq1kr9tdLPcukXFAekKAw9WVIJ
61KoqpH8cLtIGouTNjdI3dhfgDlswvh9gf9AUNoaK9WjwVIUklgnspeCniwg
JvTAN+J24nuqUvoIH8ihlb1x9GmuNAI9fukiLBQYv0F8ZDWYHLItdUvvoIV9
D/8XOXeZ81fAT+xK+FRg4idz5k2J9Boy2LtOrBt10p187gU5/E/jXC4aiV0E
lJPfKOc6OD/MmSHoCks7ksgdXc3ZeGze8z/A2SBsIn8nNh5qW0KsUthHnN8R
0gDr/axbwUvdymChUbq2jtwbTb2sujXb99mDnsDncZikRg76cox1HrXJhQ30
5HmMtB7NrqIvK6RqGr6IneqlQXLcS67D6D24Dz67X+PYTMAkVJBPOfzF5xx5
ellnUt+31PlWkem9NQPLuX8UnA6Y/nWh3X6T1zkXeTaRL3zNkb7An5B0PlGa
R1OwT4ZB+rUsWpotlhLs/PvdphZWTabZi8b35xpzR+uuVo+tXrvs2jrRA8RZ
45DamkyfrX5bfbf6/49+uKlfI3WYI49Z8OJvnFg+NANesk5Hv5PHD0jHZxqk
1pp3MpIphehXBzyoNe9kAG0hXjOEXOad1FCDauJsId5OdIL6TOabObfmfZU9
IytRnz1PXnQ6T5qBEXzuYu8M83KJt9kLd31SDDV6xp3zyDEfjtKTMPRhk8CD
DrEegyFstxGnjPnwwitq3UnNR9HH3PsJtHMuHptebA+xPgxxzEcsHGReCpmb
7cxPJfWvAIfH9GCGuI/I5yFcZa+dvXmrTnynwoT9Zrv59x9c88PH
        "]]}]}, 
    {Hue[0.13311784049159425`, 1, 0.8156829900885617], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3uQ1mMUx4/K2Ch3YyRUQ3bbXvtGa8NutZd3o+at/cW222UX9ba/kt7e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        "]], PolygonBox[CompressedData["
1:eJw1lmlslFUUhq/I2lKUpdEUXFgE2jJ0WEoTaIGh00Ex03YISIEQjWArIMNg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        "]], PolygonBox[CompressedData["
1:eJwtkk1IlFEUhl8iWySipYGpm0H5Ss2UFFvo2Ix/rbQxEEMwIplBqL4xQ/Hf
fUE0KFqrKBpr0cIahSIXuUta6EyiIaiBq7CNP4vQlJ7LdfHwft+995z3nHuu
5274pntC0kVIgvoCqQ5aL0hHGVL+LWmvWtqFZy3SN9aeos+LpQnouMH/Geke
mt8kec6SCw3XSZ0QKScOVhulnhSpsEaKlUghzPo7pUEYgkPy/4OdBimVfLvo
/atSnG9vgNq80ilIxvM0tOH3hL076Oda6RNUBOz5KtQl9gH4+Z7D932trcfU
lUl9WdR5Hi3EZyFNKkC3K/A3UGuIPC+o+wv1zkIYnwhrLhrFfxKWyZkg9wAe
o3iNQbhSak+WPpKjl/g+iLvSIizAy5PS1yLpF3e4yV1uoHFiEhCi/yBMOfTE
3m32QswiCCPMI+Oc9JB5BFiPsf+ac/Wcv27mQ+635P6L7sMBFDdLK+nS5WZ7
P+aeUoh9Rexjx3oZTz/rPvBS/zQ9JujxET395rsrYN+DeRcbnFmH7uO9COf/
0MsWXOH+fnCPpWgUjwQe79Bc7i4PZpjxNMTAZfZLvAE/PsPk8aFv6D8KQWJm
iY1RXzZxOTW2P9Onh9zf8chFPxA/BaXM0GGWZWjk+H3OO/YtmTc1Qfw4jLI3
z95Yi81pcq85ts5J1q6Zt0CeKnSFvD9NfXxfYs3XZGdgZvEf1P2Zfw==
        "]]}]}, 
    {Hue[0.12065406098704634`, 1, 0.8329405309410127], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1lnlslGUQxscjihqaFgSltHIXKrT7oVJECmTbbsGQbbcIWVAQj4WNgXSL
R6oCMcYYPBIULQVERBAwKoIHKMYLDzyRyunBaRRBQVEElRiMv8nz+sdmZueb
mXfO53173JQb03immeWdYXYWdECDWc8OZv2hexrN7ik22w3tUWC2N99seDuz
Cc2SLyw1S8PPhl8APwibgTjLXGr2daPkX0EP8LsXfj/03yps8HF3hdm2SrM7
L+B72mwcfmai04qfxX3NSvATqzXL59xx6JRjsyNCVmi2vgn/yL/uaLb5fLN4
vVkOnWfxd12zzlqEn4HjpBNB114l3boUuVWbTcffPGJYmDXrjM/Z+PxzMHU4
jxgSZlcT51hqsqLE7Ab8t7Y3uyBmVjre7AHOqvUciadbntkI8r6cWIvhK6AL
8D8H/Y11Zi9Hkg9CPg0/y5AvxM+qvqpVLfLfk9QVeVRuNgP/rfifiv8vsR1A
bPuJcV9W/DPkN6pK+r3crsbsJfhh0FHEEdG7q6H9a1VDr+Vc8jmFThO+l9Wr
5l77LP/zO5ndAn2KHsSpyRBqksC+HD810Emcdx/1fIJ6HqV/c+CPQC8er3p2
hp6F7ZILzc5M67/LX6LeOc5aw7lXENvwWtXKa5YJZw0nhqMFiu1gO/XV+/sz
udajU+Y65Dodnx2Icxr0JGc/TAz/QBvHq19zEuqT9yuF/lvUvwWfx6n/3LTm
7QTytehMRudG+PnkdRFnLeasBfCF8CvgP6pWr73nLczDD9juIv6tnJffxax3
BlmjavI9dEej5na789iX4mcZ/uYF2/3YjqSOMer5N7LDWeW4sll5e509B++r
9/dAVvbuZxf85kj8Tvhr0tqDgjvoUZX4IvrVHvkofGWRLca2O/ob0F8EXwy/
Bn4pfAn8Zvgl8L3g34fPo4bH6V2COakMPRoKbaKmx/BZSuxl1LEffRoAbUmo
V/2w21av2YuT42vM7q3wX6EznB3bBP8G8nOGmbWhP53cq+FPw++B3zKIWXA8
YYYv51eI/tEys3XYT4Fvxd+VFZoTn80SdL5Avy90YpX66P3sFXZnJLKHEtop
xyHHKo/Z7c/Ffik5ngcdndS3qhxz2aDd9B3tcIdw5mXmvFOTcpxPnGNSwppC
8i2s0Ewmq9RX76/PSFG1cp+C/2r8f+v+ocf4tcf2V+hFdTrXz+/SoNp6jXeF
Gj4X0/mu72dEFcLaK9mRN8I8vw2dllANJxNPQY3wxHGlNPicwfcjae3dIL4X
Iu/KjHWFnhuTn1PEcpC4eyOPIR9Rq7o5JhXWCeu7QlellZfnNzKS/yL0d4aZ
d8z+JuC83wPfBZx3DD4YdsTx45eAGzfCr46rd+Xeh3C/+H1S3SDcq2dGJhDH
afpVQo7r6NMhdF7JycZtl9KjUvgt1HMDc/RnwIQpzZo5n70YmF+cFCa0oN+c
Em4X4P9QTDo1yBbEpeO6P+HnfvxMxs/v8A/C3wx/V0JY2oMYW9LCdsf4ZLgX
PoBfTb3qqNuaOu2D99R767X2mjsm9Q73zsq08Mhx6S76vDutPuZhdyKpO+8k
9Pqw11PRXRVTTx1TL2kSdjiutw7WrPrMtoR753FobU698738I6mdOo2fs29X
7l4Dv59c/xQ6edR8Yg/uAvbg5FDuEGo1n7oVVwhnHHveioQnL4IbU8DBnuBh
FroxEua8jvxHfuXwB6GHAr890n3m/Y03aMd81o8mdQd7Tbw2+8rkcyo+V9cI
NxrJrw15F+QJ5Hvw2R+fu6GzUro/ZkNfyyoGx7+RSe3OJGJuC3v6GH4+RacP
Oh9HqqnX1rFzPfJuyN9FvjErbHSMXBfkr0L3Dtbe+f5tCe8Wv0tXZ1UTx1rf
VT83Rk7Ls7pT/G755P9z3d+lsm1Dd0MknWeQbyzT/eL3jO+rY46f53eb3w9/
cf7ekHsbdtdSi27oT8wINx0/V8S1A74LT1HjF9AvQv/NSO8Vn//bUtpD38cn
0VkX6R58Iitcc+zpSvzHSvWmGlKvnXHb7szY0+h1QX8pdAfzM4k4t0OXxxXD
yriw2+etMKf59jnPVWr+XD7P5z34eZ3ze2aUex/oI2EeZlYK0x3bU+hvQ78f
+luz2knfzSXEuCir+P0+/6ZMNbkOPzUZzUwtdAfyIvhURvl4XqvwX5+RvAH6
W9j3Y416C/qb8NVI7wyv5x/Q1vBWnA99PtT2Oeim8GZwPNge4vwc23fhe8J/
AD+2XPN2MbU6HHDmEPQzYutMDFcRw2U12nHH79xgzf96ZKlh2h1/G45mP0ez
pydKhEeOSxPo7Q3jNTN+X30YaYbf4/z8cEc4xjiu+bmLS/X+8HfIEXSGZBTD
UOjxsPv92aF3QvxvQz/L6v3g74hNxNwR/Rj6n0SSf873lZWqrb/Hm/jWB51b
oY8yBzs59zHH8Ixso0zY7XZ6I3xfJv0ZyE+EGDyWu/nfD/ks6OEy8TPh/wPa
ujuR
        "]], PolygonBox[CompressedData["
1:eJwtl3ls1GUaxx+VxIO0KbgeHahYVKZjoVNdO7NCqSmdFly3pSXgjEe9Uvxh
xCmuoqugu7oHLroqChVYFUHBKId4oNGIigbvBZVD4qq7MboQY8QD1vUPN36+
+faPJ3mfeZ/3Ob7P9Zvay/qnlQ+NiDehIdCa5oj+oRHzh0W8kYvo6o5496iI
PUdHnDYjYk4p4seKiMojI8qcWzq5q4q4+JCIda0REzoiRlVG3FsbsTodUZuP
uB9dK3lTVYhYPtX877CxDVsD7dbVMDyivSfisWzERmQ3ILMF2Xp+G83dfn6b
3BhxdbvP+u0zdDflLas3LehvRX5gqHX+l7u1/PY4VI8vY6ENXcSEfPGIiP9P
irgOmT3wI9CX4u2pbREZ6BvkvoWuIf7b0Pc58ouQnUR8rdABzgehGb0R06Ee
aBr0Pj6/B32AzR1Q36ngBsDDj4mYLewaIhZUGN+JyB0EvyrODehvx5+RPY7v
J/hP8sZA8W3gtzVgcx76xqCvCn2z0DeZ3zqgQy6POBTaXbCvP/0iIs399mZj
LcyVi80J2KUi7iQ/D4HHzGLEb9Hdyps+ztkO6z8ZPBrxZQQY1PK2hfvJ+Joq
GS/VxPGcP87bV/lcjfxQfBngvACZafg+osfYSqZtIvj1E1eV7f2K+noHf8bg
z934s3FuxHr4Gvi/wa+H/7DJ8vIhhS8Pc5/i/g7u13E/lt/qhllGss9xf+Jg
fBu4bwHTcdiqQGY//i+nRpdBzyP7ArQ7Z1/l89Y217xyoxwtbnOOxKsnVoPl
LvRn0L8I/U+iP0tPbK0wHk+MB7MZ7hVhpNq6ADzOh8aRmwaoqeBcKqeq3W78
m07vbMP/TKcxkz+LkTmcd1932vcZ2B+H/cUZyz9Afg8jX5uI4R+8bUF+Crr+
hX9j8e8e/HsK/+o6rVtv7iPu/mbXvnpgPdhtQf4k5O9C/gnkKwvu1QvhK6mP
m6j/r5D9gjeL6b2lWd+rntTLr7UZu1015JDcftjlepqN/F1gOXWi+7GRGphC
LSzH3nHYux39a7G3Dwz2Qo3U3WnQxSXXivC7hPOZOdeKdHag/9Ocbcnm69je
hL/buf8OPCqRv3SSZ5Fm0lnEvgS8zsb+DbzZVo6Y12zfetG/E1+/xJ9syvPq
Gfxpwoca5tdC+MfhN453bpXjIddSv+j8CN1T4KfTy2+B/5vQ/ybQ29CKjO2v
wJ8jyM8b6D9lEN+V4PnOmIi3oQ+Q2wElk6xLOt9DT0uz41VNj8O/ipJjU4zr
iLXQ41mpGXwl83Azb24mtpugPcT3Udn8sdVg1wde8H+Ar4YvwC/D5i3wt0Kf
cXdfxm/1Rm+Xwv++xm/09qUmn/Xbx/Bb4P/C+c/QPvhudI6str6XuWvvsy29
0dsfkLmDcwp/V1F/F3A/ivs/8dsr3L8Izec8D9pZtg7pko//hv9P2bJ6cz5v
/56xbfnwZdmk82juZ3J/f9q5Uw5/SS43t7mX1FPq9WyPZ5tm3A3U8+y8sVV+
W1TrnYO9xm+pnGeMZs1IcriWXI7vM7bCS9irRmTvWO6XJq5p1XY1/MrEMcr/
P0Kfl4254hNmU9G1POM7ySjWJXn3mvJ7whz6PG196pll6HswbX80A1fBr0h7
VmpmroM/GZ1V1a7357CdhT+62hgL63nwdfAL4V+Df6TVuVGOtsIPZJwLye/G
nytK3jXCqx48sznvAs3b46jPq9F3CvpuQ/5V3vcWfa+avojz5X3OjXKk2pnF
jkx6PRM1G0fmvPtmIv892A+ba145GD7XMSgW9fCBCe5h8YpxNLqvKnm3asee
hX9HFt176sEL6a0hRc9Kzb+z4etKxlc7PVOyz/J9AfQVur8rGxthdKPqKeM7
yXzN3YPwt9cYL9W2MNNZvx0sW0aywmQO70+cY1uyOUBuH+D9X2tsQ7aEsbBW
jhr6PLM1uxvI517txpJ3uXb6dvr/ALPjnFrvo/3oOomdMho6FyyL0FPMyL01
3jGnF5xj2ZLNb9SvRe8K1fdUzquLnoear2s4P43NUYP7V7WlHaddV89vnyTe
0drVdfA7En9DaNdq5z6beMZp1mmnvAI/Imdbsvkt+X04bX3aoTsT7xzJa0a+
BX/G4H5UDAFeq9K2p2+Et7lfkrjX1HPq9cYG69YOHIP+RUXXknbcnUVjImxU
c6q930Dn9PqbSd9Ox3e5VlWzjTl/w/UMykj2kbTzoZ36KbY7mB/Z4a63hcyP
VL/tqWZreP9F4tzpjd4+Ovg9rZz9mljfT4ydYlJsP+a9G7Uju9mVs+Z692rH
Div4G0i5UE42Jf6mEd76hnsZ/rHEs0kzQbNB3wjqHX1THgCPXV3edcpxfZu/
ybXrtPP2Jd4hmjXa8fOZf/fkXWuq2evh/5k498qZctfR4diFwWSwKHR7dmqG
9vN2ReLZp5ml2aWdKnv6T9DC2xtzzo0wewbffsj7W13xt6HvZ3wuJyI=
        "]], PolygonBox[CompressedData["
1:eJwtlGtMzmEYxi+NsVmWkNVqUTr31j+UkaTSS6Xa2xzKqk0Or8PUZrPZMDOz
ZvhCs2HGB77kMJtMYTSHSaXyVsghYYk1oxyWDza/Z48P1+7/+zzXfbru+3ln
V9WUVPtJWgomgKJyqRB8q5YOh0kj2GGvlBwi9TjSjkqpGqS4JcfAI80JlAYX
SHPxSwHd+OzBtxebBidsijQf3hCcz6AS/wrwgHgRxL1L/MxC6WWA1JEqVWVL
G8CJHKnWX6pbK7VGS23AuxGfYKnfJeWRKx+UEMsDbhIvmHjnibe9VAqcQb3Y
LGrIBn6bpXEgf5dUMBtg/6RLY2ASOc5NlyZid5IjihwfXVYLo0kSfi4g6h+i
t4YaqRxeOLw+eLlw3OBilhRCzfPop4VenoC98GLhfYbnMfWamNRbCK5TcxA1
n6TmPDRy0PIPOY7mSsfANjhbQSe8BHhv4K3IkJaDD/Ai4Cd67EzMbLrhJcH7
BO8qCOP7DmeruVtj7uMkH7hSRA1TpctYN/UFU18n9WVQ2xKQDbLAR2Z4kH4H
sc+JF0e8duJtItZm0MjZLM6aOSvj97pKq4PRYwifQ/h+waaTI4gcreRYyN0i
0Ig2Hcw8Fq1OodvpLOtv4twjXjhxG7xWB6PHGP0m06+bfqOIF0C8ZpfdObN7
I/TyHYyCOmbQxP50811Bn73YOH7Hg8QYtAQDzHr3ZPLES2fIM9Pkc+xczHxi
qOsp9d2gzgL2cWW27dn03gYvFr4Pv/sgku+Hjt1rs99GQ6PlO3o/gAbvzVvg
dyp4wfc+zvqwv+jpJ8ikp3DeyWL2NGOZdI36fcVSF3hWbHfG7M4PfI7g+xu7
lf0tZ4+3YFdVMOMK+x7MuxjmvhbeV+wW3kAAb8FbavfG7I8H/ULRr8dl52zm
fYE+Quij0bHvybyrKrAePOYsirsWOMfZ/V5i96exf7yJSNBNzT4QQ46/vKMy
9L2Fbk0gAR3z0PkX72wA/0TidDl2r81+G12Nvn7M4yy+47G5+I/y7U+8euJe
Au34RpsaHFtT1f+dNrt9m7NQ7uq99r/D/Id0kfsV88sptPtm9u41euyn9rdY
Bw2mocEjl52Lmc8/2VfvtQ==
        "]]}]}, 
    {Hue[0.10819028148249854`, 1, 0.8501980717934636], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3lwltUVxo+UWhyFcakWkC2opIQQAjQLBMR835cECNkImhBCEHjhxaVv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        "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhhcNKsS0WGKIJgjSKPVeoS2QUqFUQm8HAXvLBUppact04BrF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        "]], PolygonBox[CompressedData["
1:eJwtk8trU2EQxQ9VoQutpjWpSZs2QTH4jBvTpujCJFWhTRpbIQHxCRaL0luh
0Z3gSnHhC6y4UBeCSKFW26LgXv+BgoLWtY9WcOFjqb9h7uIwH3Nnzpx53PSZ
YHi8SdJOsAaMHJdmY9IwdhCUQd+QlAdP90lXm6V3OWkM/zlwLCtNx8kfJbdK
HkjUpT8bpcMZaZHYG+S8LcIFR2XIOY37ELkPyRW5HYH0ICkliR+pSUdB8ojU
2Sp97pHO90sXwL+znjPQkH5tlX6DLeQ/w1fLuibT1jSJ5pS0GvsF/1fQOQG6
pC7sTbhugRJ1n1P3IPbVbuk1mNsmvQQrZWltRFouu9++f6hIJ/C9x8ZBivce
NPcymzxIw52kxhSao7xj4D55UyAR9hgPvBfr6SSzWheVTmMvMbvv8F3GRvZL
rSBKjW587dgBdAyCH6GuBHXLBWYK5vlexbdQ8VpWc8eo72aBenNgPnCNpjWb
c95YxWdjMypRdxFfseq6Tf+9Hp9ZkvfFjGs9Vfc9276LcM7QUy98j9jZY/AR
zLLzDSXpE++lmus2/YUw/kDguk1/B7kt1P3J9zv4b4O7ge80TQ8r5C+DvfC9
gfcb73Y0xMCLPt/zqknfp+11An8bOq9kfIY2y1S4l27sdWKugb/0tov7KnBn
64ltAWMNv//m7dITbmtzGo6G34PdRRByj9edw7jsVu1mIw2Pb2v4HGwe+Zzf
Vz/9xMP/YlOo3Xr4D+cVlCM=
        "]]}]}, 
    {Hue[0.09572650197795063, 1, 0.8674556126459145], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlnls1FUQxweKCiKKUErKVUCgtsh2ObrtlgVsu8vRsltKS+lJoS67Qgi7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        "]], PolygonBox[CompressedData["
1:eJwtlllsVGUUxw/gAgKhhQJOWwbKMqXTAgXKTFsqwnSKWOhQoKGFUhAcOkoM
MyQSN8TELSG8GGOMURM1UAQE1AD6gHFJRMEYBcUYBJEAUbYqBAluiL+/5z6c
5Dv37PstWZGdv7qnmW0FbgJqHjELhc0K+Bjn3RUxG11iluhvNj9hNmyt2Tjw
JHg7eMFap08Jmb2cRqbObFFfs1H5ZuGU2UG+NUCLwlMIb1HWbE+B2XcYC/He
FXF9KXhOw3suDi/2y4BYDr6Y2RHgbfS+AxTn3Df5OIx3CKi+2fFC3g90oH+I
2dEeZrdFoeVc3+/or86Y9e3EJvQd0Pvw7oBnHPTxwHR4i/GxAn+a4D+FPxfx
pxLaBCABfUGHy3+BfG9kLxLDVeKJ4sN53ufhr4C3HKiFf2fE9c1G3w/oe73e
bAO5ayE/64kr1ObytxLTrFKzw0mzQ8DBudgAivCnHPlG5I8ivyPi+Czww+AL
El4b1UC12NBgdg38LPqfw5e6nPtzDf4ZxF+S81wpZ8N5L4m6r+IRbxc6a+CN
oG8I+j4GT4CXgYfAXwWPgY8BHwz+Tdp9kU/ydQ46qtDVq9BsJfbOpL22qrF6
pybjtVBNVOtLQDXvODAf2ePUeB39c46cdLcS1zz8HGh2o7fZzDvM2uCphfcq
MT5JrLPR91fI63cBXYmMx6p4VIv3sX8n+Fjs3479lpzb64N/D8F7L/HXhF2n
dF+O+1vfFoJ3ZjwWxfQrtBbw6yHvCfVGKf6NCPxbiz8/4vOpAu+PodTx4Yzb
ks3/Y4V/LPz9+pAX4pkKXhbgzyKfhf8W+GPw/wb/Uw0eq3ySb5XQLyse8DPg
K6KeO+lXbM05l5WO1fAuhz4l7N9Ek0699S0Fvov81KGvlPwMJT/3wD857PGq
li1Bfx3KM9s3xayeHv+a+NYT34ys50S8kmmE3+jvG8jsZ/Y/AwannFc7YQjv
Y2mfBc2EZm0WMpOQNfxdgr/LsD8x7N9E00yqtqpxY8ZrLFwzOw1ad9x5JTMT
fBT4SCBE7guBufgyHf8HMw/DmbdkzmunGi5A3+hO3xf78LGE96ogvtPsp/t4
L4367EtGsh0Z91U2ZXtLxGdBM/EKsb0Z8dnRDG0GX1Pqs92ND8uZ9bZS31+a
0THg2TZ/69t6aJ+kfDdoR7xGLo9FPH/yKUa+ej7ou0Y7oxfvAUnvNfXccXqv
POm77yz4efDKUp8lzdRIYnkDn6qD+ZXv2+D5Fvrz2NuLvaJOz4VyUsz7pbTv
du0X3QJLeS6V04njsU1PHMnze7CYXC8EJjALg+D5u4k6N3nvqIeq4B+HfxXA
ZPUNMBbYDG8X9BF8T2Y994q3gffirN8K3Yx23Q524m4BvHuSvoMUi2LahK+/
ZD3fys9Z3gM6PT/a2Xm8t8MzNdhvqtWf+Dcw332u1O1KeCzaV7pNu+s9N8rR
CfCTab8N6l/t9uvIr+nh+fiX993M9AvkegwzPZHZbh7v+pSjKuhz8P2ZfM/x
lTLiizq/5rmK/rrY6rVTDScTXzjpuVGOdiKbrPReOgG+tNns+7TfBu1f3YYO
/K8jliLo/ajV/QFeDD4A/MZKv33Kh5GP3chPC+Z/K/LdTR6LYrrA+yQyPwHr
yM3jQP+U65bOKvB/mrzWyt88bH2FvruCe/8W+vJSblv8aeiTYv5voH1Qq10f
91gU0yp2XXmnx67+q+D9YqvXXv58GfGdp1wpZ43kuo4cRwf6jsyQm9UNvot1
M0ZBqyVnj+V7zJfI99PBPpXMFXTlmv1WagZXIb8p4rZkcxC91R71fxHdK/1L
qEayrx08gV2wn3iTwX3cjuwTDb7LtePj2N8W8dujG/QevD/HvTfk/2z8X9bq
udCMvwvvxkBeN6EW+UeDeHRjIvN8R6tWqtle9LU3e+7U84uavYaia6fvhP5p
vfeaei4112+4fJXPn6f9Jsq/GeAfpj0G0XXzP0p7DVVL/cMd0H5D3xbgAHU8
GPN/OtFV80PQP0i7LulU7F31nnvVYCr2G4P9oJn7o8n/MTSLmskdyP4HlS6l
bA==
        "]], PolygonBox[CompressedData["
1:eJwtlEtIlFEUx09lQdjTaqGFlmKo+R7n1YxN6kyjznzzcHwUiRM2oVHU17Ln
rkXbVgW1KMqoICNduImoyNJNhgrRw96gQUEQSFLU73Bb/DnnO/e87v+c+23p
Pdp2ZLGIBMFSUJMUKc4RqUW2VIu0gh2VIFdkOCMS6BbZCXb3iHSBaJ/IAmed
+HXi1wHyYyJFa0UKkKvBJvRVMXOmPvfiImUU+1wlMoQ+DNqwJ8EK/Dbin43c
R/406KGG5Il0U8OHj496t+nFRx9+sAt7CPQkRGaITSNP+0VOgVtdIpPrRW4i
w8SGiX1ObIS4KGgnfwo0UWOesxR5LPws9A/4pdQHtGJrxfYSW5zvBGiwRary
ibUNF8qJE70UmxsZUX6AF30bNh8yzncCOMhXCyoskYk1IuVIqx5/UA/3ZczA
j+zGdy/ooL8/1N9TbXJq7hpsP7BZ2IYZ4BC4A5fX4KDELbIIDjegC7ISLqr8
Zp46163k3kyNYmSIvmroL2ybWlqzCHsB54VJw61yfAxeZ8lnI/v5PggauEMD
PdyHlyY4CYJ+4vuATX/LmFtvteFLeXuj3OMfIS6Dz371xW8Jfmn1o//zK7lP
k8iUS2Qa1HEXB3itM80WeYDPYeIOgePELif2ALEe8rvBADW81PBSo45vB7iM
zYXNhW2c+DGQpTHs4dO42QXdiUn8mvFr1h2ADye8xG3Tp/bbgu7AFrHNbuqO
1qNXYAvYZpd0p+7S6yCYpP+zcBaNG/51DvPMOgfbL6QP+0n0UfwGuPMNkCSP
m3wp2/CofI5x/gxc4fwc/ASI6+Dci1+XbbhQTvRt6hsd0bfKPQLc4xu7P8cb
+I6cYEdeBM3sdIZe5lvKnH3IPOy54BV+H/F/i5xhdz5liZyg73fo72Nmf3WP
t8P9T2okyHOJfq7TVwHxhcyqCLjIWUJuT9Lste73KPFPwAX6mibvY/Qz3Ksd
Dh6h/21kX7ljM3cIg3HuEaJGCH+nAv1ixsxUZ+vB5sF2NWNm7/n/XvXdfsEW
4yyGT1CBPpoxeTV/HfxP8faclvn36D9I91f3+CF+jfg3Vpp/jP5rBrH5sfmx
fYWbWTiaQ5Zz5wqwQJ513OO3Zd62vvF/U4bg6g==
        "]]}]}, 
    {Hue[0.08326272247340272, 1, 0.8847131534983655], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl2lslFUUhg+KKBAjGESBsskOMnyFdobCFLDtYFs6S1naSouADh2o1Kni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        "]], PolygonBox[CompressedData["
1:eJwtlltsVGUQxwe5CG0I1tQLSEuqFlJID0ttt7b0Ittd7IXd7YW2axFLoXS1
Wk4FG32wmmgkMSbGZwGJISAPSKhCSEAqCggYJWrkATVGgcQ3Y6IhKgT9/TPn
4Uvmf2a+uc98p2xz2L3tDjPbzZnFmcqaHeHsWWn2HuflWrPv55r9Pt9ssNMs
nkdunln7bLNszOxi3GyyyOwt+B+0mFXCnwm/Df46+B9XmPUVmhUhcyNt9kKD
2QD6esFnM2ZHk2YfgQ+Aj2L3xZTZDO63cr+V+9XY/xDeIfRXIruFb13wCpDZ
ga0149gBzwEnoPetdFndmUbf7mGzR9D/CcHFA7PSuPsin2L48jwx3UD+GjLv
YGsxPrWBm8GrkH0j5fyie4hzmceg+y18602YpbCZxv6d2F8LvSLp9gfLzIqR
b+NbBv5c5Qz6B2xe4ZzFt3OcLGcn+nbgz2G+96BzFbZP4m81/u5SLeDvQ+cu
YvsSPAU+icy32Fof8/hnyz75OBjFe4r79dz/N+265O9N6J/h18E/w7d18OvG
vZaqaT10F/o6ItyIvtdCs0slZnsXms0bMfuHnFwFvw8uAh8MHcu/+/BnEP9X
o/8c+nvQ/wAyB5DNko+/l5L3hPuiHKoWv+FPPfJnkc8ifxpcCz4NToD7+qnT
XK9XP/T1Ydcv+Qz8ryL5z8BrwYuS7oty9hD1HIh5/lWfHPGMgLvBheBJanuG
+/HIXgv394Oro/zVgReMeKyKUbFmYp4v9Xg1+o5H9z9Fvhn5xnHPn+rRBD1J
TcfgD+HPL/RWUcZzkyOeu6G/jnt+NT8HmZ/L6HsU+c+RaUPfdWSucWZS+1mc
jpjPlmZkBfanK1zXIvQXIPddVF/db+V+77jPi+Ltg97E/U7wPPAo99N8y0Y4
A70x5lj9OgT/YuSP8ptCX9e439f8dUM/k/B5kf1KYqkZd/+Un7joRp9l+dsO
/WNUb/VfB/oOg2vA0+AG8HZq8gf6FjBv25mf4U6/r29boSfyHotiGsbXMO++
y6fN4JG8+64YBsEbuPNTke+wUXQPRHz1xAb4rXnfHZqhXvBzeY9N+obAWyL9
0veUdk/ee0kznwO/FMnLn63g11Pun3osD34V/Fe0P0ZzzHbouVROq6CzCe/v
Yny8nXYZyWrn7ORuwYjPnnpEvdIeeO5U4yvk7lTSY1OMA8TaGPpsaEaaQt9Z
0icfXkFfMnD7mpnz3B/Jea6V34mU51xY+34M/GbKd+OtYrNyZNOB61cNr3K/
a8JnWzNegq8Voc+CZmI59LOdblv5GIVe1uW2VNNy6Klo3lT/RnTPyES7mW9L
iPe/tOdGeCbz0R/z3KtmWdUi4/tEO24O9CA74kSx7+96Zm9+xudDM1cIPTbh
u1k7OiB3e4d93+p9qMV+TeC0vr0LryR0rJ1aGvoOU7za138ye2sC3x2Kdxr5
psDjV08fG/Y3QPaO3UstlzMjocsr/wH06sBjVw4OadYC3z2yt0++NXhs8qcK
+uGc10I1uYt5KgtdXvcfhC4PXZ/sL4WeanBf5bNqVRd6/6h+9dCdgedG/bKB
XmzO++7SDusm15eS/tbozbnA23M78F2lN78JXBe999qJncgnov8D3e8Bl+a8
l9Sji6HHNnoulBPV4hb6bnLOU5sLnP0trl/9rrdHO0W7RTWsJpZfM75LtVNL
kY13eW+px2qhT0T7RDV4DL3Hsv5voX+M40nfkdKnnfU08daEvis1T3Hoqrj3
jvhLkP0i4/8q+mcx7C1scb56bJPeprzvNu28NPGuj/aJevQJ8LaUx6+Z0qx1
RPnVvumD/3jg9rUPvsH3+6P3S++N3tqN0b7RvnoS+bdrvfbaD2PM05GovvqH
uIz8/0f+cMs=
        "]], PolygonBox[CompressedData["
1:eJwtkktLVHEYxh9nJhDcKI55y8uAKLZQFzaTICnoKpgZNUIdE1JsUEnPoLlw
Ie5a2UqshZfGjTvBhIFGwwQNRfwCmgRi5fUbpOTvz/8sfjznvOe9vyfQ73SM
eiRVwAMYb5TGIOZI6RLpFdr6WGqBrirp1o9vl7QbkV7mSDsR62/iOjqldvgI
B/jNofUTUnNACqJJ3pch1iadENuNbrZK3+A19g1ivlRK+S1SAUR7pQhkxaXP
hdLzWumTm/sQvwx8PPAhJBWXSkUJKRf8CVvH1Bum/23mmAlKefTthxtsPvwn
iLt2n6/QP+T/C/tR+qC/PdRTJ3lhCfsiLGBb5Ns8mq6RvsIvdtCH7RQdcusN
Ovab8fER54U2Yt7jF43avk3/d2F6wvY/bOuYeoUJO08xGiZumdmz43YXZif7
1NmDJPGxTGma2Z5OSmUcMTRpb2Vu5nf30eB+mwnZ+cyc6/SwQt0U+g67l3oX
jt2P2ZPZv7nDz0p7vyfcbwvfVWK+o0fc+xie8TyFrQn9x6y38IYeB+AtpB5y
g157Y3Prc8fWukSngvYf63Hsf2P+nxf0tsK8j+I2h8n1g9y7cEK9TeYN0W81
rPNcTs41cy+YJd8IthR9n7Gf33APKPiEWA==
        "]]}]}, 
    {Hue[0.0707989429688547, 1, 0.9019706943508166], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlnlsVHUQx4dtKw2EKIJSjhZaELJFdpdrV6EF0m45FLqlCltKCwUe+zgs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        "]], PolygonBox[CompressedData["
1:eJwtlnlsVVUQxofaahNjsMEIBV5DoVIeS4ssfQRbJLQFXGirKO+h7LZcLMtF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        "]], PolygonBox[CompressedData["
1:eJwtk11IVGEQhifTFLtpQ0vDQ64/1FaeziLuIXNJ2hQkWW0pd/EPNUui9JCV
UJFmf1DSCnVTVFSYhHWhdRFBl0UQVndJNyJKf3dFUZRF9gxfFy/znfnmfWfm
mzn+Di/WkyIilSANPOnknAtskaPNIsdAdqtIFog6Il+5K+0S6cN/BBR7Ijct
kTXY9IjIEtAQF3mUJZLAHq4SOQTa60VmfCL9rojH+SPnYc6T20RegsVRkRX4
8kNGQ7UscuaBneT9Sd4q8taAX5x3OeZOY3JBDtiB7zt3FV2mbq0/QF23qW89
1kqgQ1152MywyFKQz3keXwH2JHUOgiS8iyAM5z7cLZ6JVc5xap6mzhZ6SGwV
iYN0as/BV0jt5+CdBWVw7sJ1PdOf9pmE+4G4A3AtOAWcg3Cy6DUbTONrw3cJ
3wTfD8Acb/iO+maxbypEpsAF9M+DTWiPkWMzdgKMg+4W5pEhshAyfNW5zLkD
3Tn0Q/DLQBN6j9FtxBZwv5L71KjpR/vy8575IM6b/uZNo7xpLzkPAj95bpC3
EFuJ/wf3McfMQGcxQJ+z6O2pN7PXHThD7GmQuZcz9b0m5yt2rRpuNbs2iO4p
4KL3DV+dY3ZOd2+GuFp8tbbpW/t/Xkdv5HDJ5fC2QeAjdhnYDvcz8evQCvC9
FrTgW7SK98X3DL0I9xH0TqDVD2z8XzSHYzRUa4y4cnzltum793+NWmuQXkZ5
g1LsQ+LCxIVt80/ovxGE74Dd6KWTtxf9KeJqiKuxzY7ortxhPiPgCnOYZB5X
sZ3EpsBpdUzt2kM3vjR87fg28F3SanZGd6eUtyziLfzM7xY5XHK45OhGv6fZ
7LTu9n7m8Z64Idf0rL2XUP8IfWzENpFjAW4TOYrQLwbzaF9nXj7mdk//B89o
qrbF+Rrc1dgY3D9wE47ZG92fF9TTQL6BkOlRe9W6tf424lLpZx88m3uLuOVR
s5u6o5pba2gk7i+6ceI+0Vud7oZt/k/9T9/CHaI+i/qS1DHsmX9E/5UAfY6i
O86u9MHPIF+nY+ai89Gd0d0JETdO3FPi/gFu9Np0
        "]]}]}, 
    {Hue[0.05833516346430678, 1, 0.9192282352032675], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1lmtslVUWhrfFQkstUBAchSoFOccW4YgoRWkVKcQYtTZEPVUsVuZ854Mg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        "]], PolygonBox[CompressedData["
1:eJwtl2uU1WMUxt+GyUxjqlFyyWDEjHOig2iiJjTTspDTrBZOLik5//mX1HFp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        "]], 
       PolygonBox[{{26126, 26125, 30028, 8524, 30029}, {28593, 7654, 14079, 
        26143, 26144}, {28549, 7631, 14030, 26125, 26126}, {28556, 7635, 
        14039, 26136, 26137}, {26137, 26136, 14040, 7636, 28557}, {26144, 
        26143, 14078, 7653, 28590}, {23901, 23900, 14074, 7651, 28585}, {
        30059, 8541, 30058, 23900, 23901}}]}]}, 
    {Hue[0.04587138395975887, 1, 0.9364857760557185], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlmlsVVUQx0+Blr6Wlr62lLVAFSg84D1AeUUtgnnViNG2IUIJUpHiey20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        "]], PolygonBox[CompressedData["
1:eJwtlllslGUUhr8KpdPSlrZUZC1WocCAXVBnWAbQTDVyYdt4Qavsrf8M+9SL
qtVoWEQJIN6rFyRoFAEN7iIxpgLiAgURQUURE41GjQFBRIL4vHl78SXn/c45
39nP/1e35+5ZdU0I4XlOf05DMoT3YiEcLgnhUC6Ey5ziqhC+GxbCv5kQxjaG
cDIvhHeRqYGu6AxhKPxDyB8A/4V8DPwt8ueRL+Zshd6FTtk4dHh/N7ovI7+9
OYQR6HyW57uR0KsTIcyFjgaG8HlTCNtaQ1gO7hkVwkrefrY2hBP9LVOYDuHB
lPF88EPQv9WFMCk/hGPgD/Q2b7SWW74Y+Wlx9PCviHOR9z7mnOftA/jzK7oV
bSG8GfPdQXivpO37Ou52QK9JWldvXIA/ptGxnEN+H/hezjxk3wcvgt6A/Gnw
dcgnuokv6fwUcM7CX5iz7Gblg/cPEu8G5J8BfwIdi4iN/CWriavLPsv+Ke4u
ktud5HBbufN3I74cqwlhKrKL4Q9G93pOBD2du3r0J4GXgmeAJ4OP15gnmdGR
ZYQz4DHg5eDdQ1yjcupXy92yPv0T6H7FSUFnuRsLryvl2u0lpsX4+neN86ce
uLvLNVAtVLPnqOVVcp7Id472qZ+wsQf5F5EfTny1XY6nHTyU9zeSvx/6+jPb
EkLJDOvrrhR6f6Np3YV6YlQM6M7kjZt5qyayr/K5Abwr535+ibtXoafTHwOr
3PPq/eMTHI966NMmv6G3ViCf4K06/F0GfhSZanSHc9cBbxp3dciWgheCp4Bv
Ah9stO+XKkOYM8534i1CpgLZtUnblg+XsJ9X3ydPPnvBt0S2LR9Oktu3086X
euadtO/EU8wNyMa73I+KYSL01/BnwV+pnoL/J28OwNY34HMZ50S5WQKOR66x
aq2emQiujNxbqolq82WNY1XMwyL3lOTVI/Xg9px7QT5oNpQTyd8Pvwr+h+Tj
eMwz+zu9sC7hWZ4HfxTzEk96HjVjB9BfBy7F3xLOFXAqblp3V8H7c55F6WiW
443eVarxeOg58/v2DT09d753hHbFReoxAvnZ40xrH+yBNzXuWdXMarddyHi3
CWuWX2BGj1Z6R2lX7Wl2L8hmHfz+WfpRtUV+PXh85Nwqx5qdqox7T/4twJ+f
W21b/v8EfTnj3aueUG9oB2kXraYf78TWPxnvAu0E7abNOc+OemIT9H/wvx/m
/Ch3hfTwshLPXwy6vcW5X4/PHdAjI9dGNVJtt9Y599oxO7AX6ryb1oLvAh/m
jfugH+BuOL7dEHl3aIdotwyJPLvqF+2mbvbDkph1etGtQCcLPoM/b7APXkv7
feX0FPL5kXshgX4veErcvqpn1btlkWdHM/QF/DuanRvt06u8VwR/Qd/+PAr/
cM710TduMvnYknDtZHOVdjH6O8otczLlb5xqqbu98GY3O3bN2074edT3NO+X
4c8TSR/Rgzh5nZaRrOpxjl1S0OleUE/0Q3cW8QwGV2rm4T2F/hDoa9Xj4Nvj
/nboG6tv7cMp50o5VC77ddqefAhZ50C50M4p0e7LuTaK8Wli7cg5N5rHNeDt
KfeTdvTZCZ4h9Yp65gq9MyPuWGRDtlQD1UI9VEStVuT8bZaNt2qdY+Va36wC
7H/Uanuy0dPqGVD85Zx83vul1bXQDn28y9846atmxegP6nQ+fgQXZp0j5eoM
eAD4yaSxclgIb3CT87MCm5XQR3LenbIhW0ea7Kvytynhb6a+ndoJ1dCj27yb
9Q3Rt6StxfOoHfEItmbG7btiUC17+vaHZugPZqMkbdvasdq1RVn7rhhU29vi
rq2wYru127tXO/Ax+Etb/C+l79cS6IKsY1WMirWh27tbM7MR/8vSjkUxv07+
/wcosphN
        "]], PolygonBox[CompressedData["
1:eJwtkWkrhGEUhk+TfTCGmJARypp5P0j5ET4pkWWY4bUzUxRFURRF8QPsskWW
v2PnB9izNYbr9MyHu+ec65zzPue536JgqGHEISLlKB6F20RCKNkWac8VWfOJ
FPpFvOivR+QG9mmJrMLbiBNs069zK2gZ1cGGqZ3Ts4u6iQtg09RmUKBdpBM1
8p19al6+20zehOphm7BU2CazncRuZseZm0BHsD5YBWyefAGdwYZgtba5X/eY
QpMoH9ZFbYeeSEgkzSsS5czjPfl+s4/uVUSfTd+ez9yj92XDArAt2BczTmZ/
OHOY8/jVLBEXzBE2/qhPScRZsBTOUvIy9MxMIuyVM53chd6Jk2EfnJnkWSiO
GTcsgbOYvARlEHtgbk4fuYXy8GaXvRos46P6qT6oH9Xs3E/tmJ3nyGdRGawX
dghrpfc8R6Ql5rf6fgDvoV5im36d24YFYR7b+Kh+6t66/xv3X1B7tIyH6mUE
dg17t8xb9E0fsEvYE2yM+VH9Bt/rgG34zPv0nY5ekVvYD30n8AFii75F+pdi
0rgGNkjtlJ4q5irVb2bvYb+W8UY9csIeYFHL+K//IR52B4vA1pn3Eztts5Pu
pv9T/+s3O19Re6EvFc+z8T49bO7SO/8BerSNgA==
        "]]}]}, 
    {Hue[0.03340760445521096, 1, 0.9537433169081694], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VltsVFUU3dUWRihKHwiWtIAzdGwpc9sC04T0r/ggxg76ARhgFHDKh8o0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        "]], PolygonBox[CompressedData["
1:eJwtlllslGUUhk8VpC4YKZVFLVJbGFuhAxXaxPQO3KJ2ECOVC0HBKRci06jY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        "]], 
       PolygonBox[{{10059, 10058, 17600, 3529, 17599}, {30879, 9118, 30881, 
        10058, 10059}, {10069, 10068, 30915, 9151, 30914}, {17603, 3531, 
        17604, 10068, 10069}}]}]}, 
    {Hue[0., 1, 1.], EdgeForm[None], 
     GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNl1lsVVUUhvdVcUIcYoxBQaG3iDj0GmPUCAkPQnxAKWpMYyIx0YTERK1G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        "]], PolygonBox[CompressedData["
1:eJwtlF1MznEUx8/fREpeZmZDlp5HeUj/DcOaOzYXtp6yWTfcsHWFh9H8H683
Ki/zUtGrJNSjtycVpZF5ycxy0bpJmpk1c+E9aQzjcxwXZzvf8/I753fO9/db
uC20adcEEdmMTET8YZF4v8jLZJFD+0UueCLD6CWOyHn046tEZuCfjgSIbcfW
6hP5jD8r1UT1dmw38X13TW9DOsBXkWr098RcQW9EPqDXYWtCr0HeORZzGb0I
GaR+Ebaz6DuDIg0JIpdiRX7Tyz1s3cR+xd+D3ov0gMfAD9HrPKtVi60e/Rv9
RNFbkBvgR+stdh73Wcl9lq02fS6yApzJfT7ibyQ+SnwBNaf6bUaL8Afxf3Ls
zDb8o67FNmgN8OKwzeo1dzjCPPPJjwNPQXz4uom5RewoZ9xGL0GGiC0GF6MX
Ej+N2AQklfjksOXqTg5yXkrYfK/Ah8Hp9D8ffCCeua0V6U+x2Z3C1k7si4BI
BfgN8WngcmqU+6yG1qrHFkKvJKY5Q2QgU2TLTJHd2FoyjBPKjVJyrqWL/CKn
ml1E2MmOoPWgvZThj+A/Ch4BV+g8wAPEnyD+HPEbic/Mo26s1Qjm2cx19noH
vYvOTGenPTaSn8V8J8VYzdm5ItngyTF25pxcu6PedQwyH6NWB/i03ziVzq4c
12oPJJITYk+ecS+iHHYtR3PPEBNdJ9JFjxF66+D8pfQTZQZ9cWb7s9c4pFzS
NzDuGsf/cR35AS71bFa6c919mWezUQ4pl5QjypUm5TDxzwP21pQDSfTu7BNZ
k2Q1R3JElodtt530k0Y/G+hvD7gA3M95BdypP9FsTey/ipz8WLMV4tu+1d6O
zmwbeqtntZXDyuXHOXZ3zenNsZ3r7pUTyo3hgHHjLf254CFwuWM7XgIeDBh3
9c0uAM/Ktd50Z0HuV+EZF/QP0b/kumdvU/+ACPp97/9bxvZA/wrPailnL6JX
ecZdrVmJfjJku1QOPaHfPvB4ov0RtdRr9my3+ob1LesOdZfKCeXG05DNUnOe
of8kp9Nnb7KT3Gxyvjhm6wLf8eyt6p9zV9+uZ7vWGI2tce0t6M6E3f0Fi4QR
Eg==
        "]]}]}}],
  AspectRatio->0.4444444444444469,
  Axes->True,
  DisplayFunction->((Print[#]; #)& ),
  FormatType->OutputForm,
  Frame->True,
  Method->{},
  PlotLabel->"Surface Intensity",
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Print",
 CellChangeTimes->{
  3.419867018796875*^9, 3.41986779878125*^9, 3.4198680068125*^9, 
   3.419868203609375*^9, 3.41986825753125*^9, 3.419868307375*^9, 
   3.41986860071875*^9, {3.419868634578125*^9, 3.41986881575*^9}, {
   3.6147499458350773`*^9, 
   3.614749970452283*^9}},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
   "IntensityFunction", 
    "\[Rule]", "\<\"CompiledFunction[-intensity data-]\"\>"}], ",", 
   RowBox[{"OutputGraphics", "\[Rule]", 
    GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJx03X+sr1t+0PWxoBBDlRBSmhh+SDUSgihglCDQz4i0RkUpB/DGcltgl3LM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      "], {
       {Hue[0.65, 1, 0.1], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNmnl01tWZx28SCIIUrMyICogkvzckEAhT7FgCgjpKSONsTJ0CCUsxARFL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           "]], PolygonBox[CompressedData["
1:eJwtlnlQl2UQx9cDSCsvyis18YcCisB4TAOaaanEqE2RNirwA1G0stDs8H2l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           "]]}]}, 
       {Hue[0.6316690206735107, 1, 0.12538135599052358`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmgd01VW2xv+hSRECBBKKlJBcCARCifgkSI2KDDIzUlSQbgrNQCCEexGV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           "]], PolygonBox[CompressedData["
1:eJwtmXlc11W6x48gmFjuomQWASoqAko5xbgrqVPdqdRKRUACLDVURPj9tHIr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           "]]}]}, 
       {Hue[0.6192052411689628, 1, 0.14263889684297454`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mgl4lcX1xkdAbSGCiBIjYAJJEAlLIIgYJeACGKyAQlASlsuSBLiQIDeE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           "]], PolygonBox[CompressedData["
1:eJwtmnmAz9X6x48ZWqQYCUMx0wx1fQczqCyFVkm3opnUbL5jZmxjGfOd7Su7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           "]]}]}, 
       {Hue[0.6067414616644149, 1, 0.1598964376954255], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNm3d8ltXZx+8WRZYEQQhLCUgw8EAYQZEgQVBLAriAMAKEhz3uGMYTMAEZ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           "]], PolygonBox[CompressedData["
1:eJwtmndglUXWxmc3bgQFg1IiBDUo0WgAERQkQGgKBBUpSYAA4YU04FIClyBB
ASkC0ougAgLSmw2QIgK6in3FXVdRbFjWiq5l7ex+3+/xuX/c5Mx7ppw558xp
M42Gje0z5s8hhAX8OYv/mzND6H5pCNkpIczPDWFOLIS1aSHcyrdd4Dq3DGFe
cggdwH85KYR1fGsPLtQIoSArhEX030D/Xnx7CFysKoQbGodQLSmEq8EvBD8i
2X0WA3/J7yfg8xk/A/x+xhygfZDfDnDXTAghSveazYHTRoXwMnBGwxAuAt44
PoRWl4TQ4JwQ1gCfGBvCmYtC+KR+CCnlIWTRZwrkXU3/JsC39Qwh53xorQnc
DFoKQxjJ2KPMMT4ewmT6jKHvL6wxMT+Ep6HnNLR8ze996BkXd99DtUMoz2YP
7G8I+/szNM6ZGELP1l7/76z/YVkIK9uG8MLZrP+nEMquDKELc37M2C+ZrwBe
Nu0Rwmz2fhwamwBPg55tSebBdtbrx/h7GT8Q4RQA74hCeD41BMgK2yPzSLza
xrfbaR+Dh78kmf5DOSEMp/0w7dm07wN/mv57gH9hzDfA61nv2STv8T3ap/hB
YviG9ocx71l7rwmNy5jv65jHptHeSPsL2ruTLcOvgGfzG55snZkL/CBrPgNt
e1ljFmu9jgzPwKsA/9t0Qq7w7BLaETxcCi+/QKc+vAxeMscexi+pMq4v+jSf
vksqkVsjxqCvC5DvOvAjwB9Bhp8jm4ybQkitZX691YT+bKZ2HehAps/A70P0
f5z+46FpO/1Lu0P/eSH0QSa728BDaNwErY9C/4PiVabhx/htEL/4PQx8D+P7
s7dV4LOgrQXn4U7OyxRoXHOOz8RU4Ceuof9f4Ef1ED7rBp+KkCftfg1CGDoc
+UHPBOh5hzHbgK9BBx5irhugfz70H69w/wL6vwYcOjKmhve4/9oQinW+0Mcf
4Mcw4I/Y02Xw8xH28CHwQHT0dvCT+dWifQs0xKGlgP43A+eWoufoagt4euRy
9kj7bton0eHVnKVOtMfRfo52Je0452MEvFwGKfuR/1rJmLV2wZN1wI3hwa/M
H5Df1hacDc5kNdZ+Gx73o51SaLy+ReBK24dQn/b10DPuKnjIHKuYqyf82wlv
34bmhuxnN/xZCe5l9vgj/IrD/53gJvGtjLVWMmayYPR9A/RU8e1m5JMOvVdA
bwN4dj+4pfBjJPqVlBHCq8y1hTVyWWsm4/szvirmuW7h2w5w02iXJ5um6cD/
YQ9NaQ+DnlHstcvl1udB9UIo4XzvY8w++u7XmaT/YNb46lz2SP/mrD2V/W9N
cp+tMeuUdOs+9jMEeu8Avxn8br5tBDcXHep2qW3MIubam2ncHn6bwD9Oey/w
4/y2xLym1t7EfBMifxNuPe3RtKcw/5Ykj9kc8xyaaw34MvCX5ZrWvyGPS4Fv
Bl8JrogxNwEfYr2n6P80v920m6CTjS5Gnsj3vRux93xbBO4maN4mWw7ND0J7
ETybzV6a5FpX2yP/Xci/mP7F4OYxphR4RkEIb9SwzZwOfO2QEC5O9RlqATyS
PiXJXmOU4JjH9mC9raxXkBdCb87yP6Hnec5262yvdbAuc7H3uuwxl/GFjLmS
sdeDzwH/O/0vh7bMmHE60zrbj7XxfLIRshUFojHNPlK+chs6+M0lnrM+9uX2
TPu6l1gvd6J1RLryDHPUwha1p8976N8HfDvG2hdfzzf4V535P4B/NdCvFxP2
YhjrHYR/mxrbRspWxljv4CWes5T9fM9+d9S2jo3mPOZD39Bk09gvZh8lX/Uk
Y0Yx9iQ2ZQi2ZTz8rY4tGUSfYZIN/YukrzHDOhM6G/fxa85+TrGfCtbvz3p9
xV/Wu4b11rO/3in2yetpb4a/zyKvKzABm4APIOMGybZRB4HT4rZFdfnWAPjN
FgmY/fRirmUdsD81bAPrY9/W0ecz+k8Dvxr4VuhbDVzImGvh5e/4kEurcV7x
r78CN2vrvcl+NgX+a7Zt66vQvBNersEGnEqyD9wEvUeg8ST0vstvCrhVt0DH
uZ7z1+vgHfudw9gTyCcfWp+k/5v0hbRwKLJPlG+UD1rL/Eex97uRX0PGvN8X
ufciNriAuIc5M7F1D6FPtyT0qQT57mH+GQl9vZX5z03IX316gWsZ2VcNQiYN
2O+O3pzJC3zeZjcnTmONd2gfZP53mf8X/Ofpy+yT5ZvH9QlhOfjr6P8b/Uvb
mLbn6V8D2od2t65pTa09jjGljF3GenHghqMca8l+bsixD5Yvbod8FiKvIvg7
PeFfzkc+FfAgF150g+eX0B4dt+6V0y5DXw/I3sD/5xTjAU+D58dob2fNZ9jr
Ib69mOaYYT3tR2kfpb2X9hLaM5ljV5Jt0GPgxsdM683QtB1dHQu9P4D/H3us
GGUbJVuVDP1zoX8C32qe5ZigEnhkln3lXNZfzfwfxxz7iKaPgLvB88/h50fM
15nzO4P1d4I7Qp9HwB9gzSeAD/HbRXtijvcuna8EPtja9vFTfGg94pUFTayb
0tHl6Hof5nw12T6q0SjHLIpdFPMldfScf8zN/mdAXyvip3JswQrGrKM9HXp2
QM+T9HmIvnfS3p5kmnYqVuF3GPhRxt9N/xX9rTvyufcAP5HpvYjH4vXBTM+l
MRp7vMq+8jdkeBT4GPReXcdnVGf1WIbb1dGns/B/P5Tbl8umFeEb1jJfNrK5
XT6V+WZV+ez+C3tyF/C/0NcP4G815psHv9LRl7mslYF+/YQ+lsuH1LV9uwhZ
HYk5lpRMfmDskcR5m8x+viGeeWS8Yw/Z+0eBV2Ffy6ClNXve0NU2RrZGc7aE
VxnjHItpfA3OxqsV7q94azDxWU3Wr6jr83KC+ORUe/dVTPY+8OlubouGw9c4
RlGsEoOG1ujOVNabSvsF9CcV3o2EX58CfyqfwNxzBnj+vdA3grN4r86HYgvG
X8/4lHz7jmbw4w7megWe/cT5moA8H4vbhsmWac5u9P0EnkxKNk8/BR6da3+k
M1o/7jMp/RSPGwFvBJ+fYh3cy1z18k2r1qvT0mdSZ3MsOpeN7l2Cjl7e0PZe
udjRyLZQNvQp4EHI6Hz6XsDvVeZ/hV8t4HuQ/0TFT+jHn1KtI9KVTpHtjcb8
jb4dI/v3FNov0z5U5P6KV5fB/5f4dh64Jcw3lvk6RI4favLtRcW7WR6rNbX2
MPg9HPhj9nwEfjfCMZUT6x4jXktlvlLGr051TDQUeHh3y0IykeyLkWl0nm2s
bG1xIl9QTKBYY+8Vpk19niA3ebCrdU06JF0SD8SL+6B3CvSmtPD88qHypfvz
HGu9wbcDwL1aGJZPkG+oZMzyNPNItlkxtGJp+ST5puPd3Z5H+wjtL1jvKtbr
jvz6I78ukePXunz7O7jX+NUBXsOcs5ivP/yqTvscfs+Be5ZfNeBZ4AvBt2N8
xPiz+fYMuPaR4wuNOUb7cnTg29rOOTOAC7MsC8lIslJOptxMNH0JPAD8ucA1
+L0Q95paey7rDY35m3ALaA+X7c/z3pQzKLc409z8lU/7w7ehr/WwP/Wxl1/i
i55i/FbWS2aOvwJPAJ9UxzWAJ9HvATHH+tqDYqWiLPOmHr9/0H8w7drp5pF4
dRn2obKB489GwJ0j5xvqcxz8mHz7GuVDi9G1flnmlXgoXupM6WzJJz0F7um4
absTGvqyfl7MsHgsXm9Evr+c55hOsV1FzLquM6Gz0aavfb1yuLOwV/c1dS69
i3zwmZs5V53cVk6i3EQxmc6qcvp1wIPHuBZxAntbBJyM/vbjPGzmPATOQ4um
xg1nvjPk0lXNwNd0zUS1k6uIUU/RrmBMO8beyp576zxyhnpDX0Zz4xXzKPap
w/hmtH9kvtW3OAdXLt6JNU5Czxj2tzixP8X2I2KWvc60zvYwjMt76PIc+i/C
36zq4bZy4P/RXkH7ZIprKHPxne+iI3fQ7kz7V/g9qNL7O4L/nVPmM6GzIRt2
MfrauNK5r3Lgm0pdM1HtpJg++5lrX65hzfcOuPuVE6XYfr+Avq3Mcaylb6vA
5USOp6XjzyPrHZ3Nv93kz73Jn99kzU2sHTFfDvTeFrNt1PmWLZTPk+87hvwv
QGh3N/HetUftVTZZtlk5wEjmX9jBePFEvOkHDfVSHIONrbLPUP8PsGcrsGeL
clxbYZqwEDiKnHsq51Tu2SPT9kg6WI322FzT8wrjp4I7nO+zpj2cYC9LEvG6
YgDFAgX5rg39QzqX7z1qr1uYIxP6fkMmXWpYRpLV3ObOfRTTKrZ9j28Hgvu8
L1nCn3vTfOaU6xdB770Jegsjy1iyUc2uSrXBbK+t8/6C8rcMz1dMn5XQ06iD
6ZHNeATcjU2M2wk9V0NfMfr2fkK//o++5ZFzY/kH5c53QdNCZN9H9SzguM5s
qmt2Y4EfRib3gf8J+TwKnIJ+NUK/+qNfZ0qIF/ChnTi/3TmDozify6D3DH0L
kNcM5NUSwQxI9re9jJ+a49hZOVgX9toaGp6o6xw6T7KOO9dUTaKu4gF+c+j/
FeO3yN4Own5xtstYbxPx2ea4cS3Z43TGPxI3rW1pL6C9NHKsrRhbsbZqhqod
DkKfm0F7V37z023z+8PPxeD3JPrPB54as6+TvGQr773c+1dOtZn1p5eYHu3/
TuAF7P9r1j/Nbyu0xOHBr/Qdyh6mgRsy3LGY4i3VzsbkGqeYRrFNvzzX7pS/
NIdXBYXWVcU4isX3xB27qobRCnr68Vue6hpfX+Be6EAf9nOK/rvRl3nQvy7N
NUzVMmcq30yzD1UtaHKhY9cujF9P/wGRa4GaT7XDBfRZnxh/A7g+kW3jRvA9
gZeC35jmGrhq4ctVg0m0bwR/V8y+WevJd6smJ/u0EJ49D/8mscYnda2DtwFX
Rq71SP9UOx5f6HjzE/a8ir2/i79oUNvxqWLlkeDfruuat2rf98fd97/wfAb8
2hB3rt+d9R8Ens78O1OdY0yJnIMrF/+UMQ8Af4s+1GpkG/8LvideaFsjGkTL
mrj7tka/5iKvmZFzGc2n3KUww7q1n28rIp9ZnV3pWDfmvo3fvnTna6rlykfL
V4vH8+HVUmLIn+q5HrwY+I7ItXDlQMqFhnBmUul/Ib9/MnYo7bR01xTfiltG
kpX6vE67H/QMSPee7wRXQLs/7a20q2i/SZ8GtDerBqz6EfSNUCwkGUdeQ2tJ
psvAR6xXP91jNLZ2vm27zrTO9l1Fpr899I/H/5YzZn7C/6k2NqnS8eqb2I8v
8F9dWWNksvdwgvn6Mt/XtR1jKJccBX5dqmuMw4FnXenaiGT0HbT2jDkXk425
RrEd7Tlp9lmqBY2JXCvUeNUqB8YcCypeUuy3ijPZON015lOKr2OO3TRevk86
LF3Wnt8A3wmaViY7Bm/N+r3hZ990n8EC+valnZ/uGLxE8Q19xqT7jkR3JQPA
D0y3jVmk80Q7L90+YDDt6vjUZRfZvs3EnrwGvzY3csz2A7bjzRzHZtKhScy9
MrKuPcT+lgG/e4X7K6Z6FP7PrnRsoxgmi1hncmTZS58mAs/l90iqawCzgDtC
4x3JtiFNmb859nZkPfNcvE8tcVsxV13g/wx0rXgiOf73wPmKGdPtQ8YzX3/a
heleYw7teZFzd62n2oNiXPlf1TC+AC7PcG5WA3+1NMcxmeh/gzWasZ8VMeuq
dEa6kycfnW4didHeQcyzCN3qypivsDWl+L8PU+zTl+L/TiTqEfKJq/GPIxiz
NtUyk+zk82R7NvBtHHBFZFhraC3poHRJY0ZGjgEVC8of1G3nmFWxq3zi621d
Y1KtSTnpBuzFS+Q3+zgbPxHvvtzdMaliU9WImzd1zibfvIr5i4HHJPq/Qv+x
3R0jKFZYqRoa8MDIsHRQuigZircP82227G9kWDZAtkA2T7ZqB9+mRdYB6cIW
2pPkS/jtS7WOSlelU9ItfbsH+LbIfSVjyVo+Ur5yN98WAi+IDEvmkv2wyHuR
jkvXXx3gvShnPA78QnfXCpV/qjatGp5qE8pXVUuoWWTZSweky+/f6HqPalCq
RbXrj95Vs363B34KeV/J+Xn+QmKVYtdMVZ+SDqxD3iuvJyas7pxrLPlWHvZs
cJJjnJms3ayHaz/d0clU5lrV1bZMY1YDX9netU/d2S2GnrPGeD3Jb2lHzsWN
tt2iqTlwUcLfK39W7ea6QtdyFPO0Am6R7fpNLeh7cHwIv7exbigHLqQ9Jde+
Wf5HtRfdQeguQja1jLNwVcy1VMUcij3yEvcRN9A/H/i99rYFsgmyJR9Uuj6q
O4hTlb5DU61Td9qFjC/O9ljF3BeBa5jvWrPubHR302yU755Vc24KnId8l6U6
Z1Lu9P0k10JJE8J3wPlZvmtRjUe1nlvoPznZd1rl4JawnzqXOiZXbP5Bme+a
deesu2/VWOVb1Gcg6x9mvy+l2QbLFqtmqNqharBjmW8K4w8y/jTjDzO+R+S7
M93plYK/q8y5k3Io5Yp9sxz76g5Od3F1yl3blH7pLmhr5Nq/7qi3Adcstm5J
5pL9wci5h2roTwAfHuj7CPU5r9g2UbbxM9rbaP9W4thZMaRiye+G27ZLPrLd
ipkVO+tOT3d7uiNSrq4+39P3szL7TvlQ1X7uj1zr1Z34iCzf2evuXndUuqt6
N+a7ed2JTwV/QYltt2x4beApJY5dFcNOLbHPKUu0Z5X4Dkp3UfKpQ5grf4z3
I5tfAHz2GO9Ve/4LcA32+FyiLV4sZHytSx0Dd2L9JviUXunWAenChSX2LaKn
foljWMWe0qn8yHfiOk+KKRYCf5uox6qG9h1wH+bsneQ7cN2FfzbJd1GqGeYg
mLsnuvaoOyfdPVVkObbRnc4G5p8a2RYqJlJspDso3UWJ5v6MLa7wXYNswLAK
x7yKfRczphfwrVECZnxP2cty9xW9yxXLlbueJnp/Lvedlmq/euOxgfOd2cG2
RjndFR385kRvT/4L/nHOX4+Ya6OyUbnABa34X805eGVP1sLfja3vfHwAuEHw
99/s9yrmGAzcL9+5jWpGceBFfOtytnPGxRN85614QmMOAC9OvC/QnfhK+BdN
cP3ge3gyFHhLZ+uHaNgK3LiD33pozgzgHYMc2yvGVy2iCn3dn7h//6aV39zo
7Y1ykBns560C5MhY1XjeBq4x2LUbnU/VOjp0sn6qT0fgfXHzRndmujv7MRF/
qD6ktxhr4cecxP3+Htar186+WedNueuyjrbVOr/yFUehd0U9xws5ik2v9V2G
dHjjaGwX7djZrkksxzfM6+i7DJ2Bq5r6jYTeSigHWZbpOxvd3agGNBr6+vDb
Aq1D4GEr+Hl1zHf90tlmwKv4NrqhZSRZKWdX7i4fVKutawyqNVSjfV5b0yha
FePsKnWMo7b28Cnx2bfM+Wuaa+h6G/PaAN9tKoZoCm0zq3zXpTcdy7P9JkBv
A1STnaDYNyFP7flu4PPbmpY/6iH5riHsSNRnVMt6Nt+0acyz6P+KHNt+1ZBU
S1KOpFxJdya6O1GOrlxdb0S2VzlHV67eG/zDmX6jpbdaygnXZPrNhN5OqGZy
O/Q9nmPdVo4wOcN3WLrLUs6i3GV7Z7+FUgz983UhvIP+HU/4g3Nb+45CtS7d
Kf6MrTi70PHHd/jE5ELX1FVb152d7u5UE1N/8fTftGuV+y2W/JPeRh0d7Nq7
7LFym1tz7cv1RkVvVY5MsO2Xzhye4DOgs6A3KZuQ34p813suBn9PvnN25e56
k6O3OV9lGyf78C24N0a51qiY+bmWvgPUXaDeGH0+yTmvcl/dMa+Nm6firXL0
JTG/SdPbNPnQJ1V/z/HeVSOrJVyh3w6oPl2r0HdYusvSHd1Q+L0412/llDMp
d9KbOL2NU43h7phjdsXueuM2MMNvVBT/6k59Xa7fLCj+0RsFvVV4O9u2RWdA
Z2Fj3Lm6aj6q/QzJ81219Lcoz2daZ1tveLqUugYp2ycb2K7UMpasFQNMQ/bn
JuJJ1QyK2/jNj8bLRjxQapup8bKnO9GdpyPfnStnU+52NO6zqxr8H7X4uGs7
eiOxMNtviiRP2bhJrPdAzG+H9CZCbyMUg4ge6eBJ8Ifjfjsim3AEeH6O374p
51oAfDLuuzbdmb0D/P9SOjdQ
           "]], PolygonBox[CompressedData["
1:eJwtkL9LglEUhl+C+iRdghKazCWHQB1qbXBsbHKwhkjbEpcKqcbCobbmhhIK
0TU+oW9IojEaCoMChwj/Br+GnsO9w8M9973vuedHdqe+uT8laR6mIdiSZmCl
IF0uSp2qFHF/TkuPnCH0oVeRuvCZlxr4Svj63EP4RjtA20BLbUvv5CY5A0hA
jGcCOWq08N3gW0NfhaWi9Iu2sCd91aRX4id8MTX/ICLvynrxtazmPVyg3XHe
QrvierRej8mN+OOMv66pc068XHD1Y++1nBN6LvMW70pNvA/Eh/i6NiskoU2N
Wb+fwOv2foQvxH9K3jo16sTDvNuP7SnhZ3/B98HbuOZmsZkGaG9oI7Q5Zv4h
zhTdLmwn/x7QVjM=
           "]]}]}, 
       {Hue[0.594277682159867, 1, 0.17715397854787646`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mgd4ltX5xl8XKGKhYqQsw5QkH2F9OIgSwIoQQKqQMD7WBySB+oaVL4SN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           "]], PolygonBox[CompressedData["
1:eJwtmXmAztUax4/lcosayauyJqaYYQyvJcMMLWJoEWYwBq9lZrq9r21m7HRv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           "]], PolygonBox[CompressedData["
1:eJwlkctKglEUhT8Em5QQlZmBwS816OZlIAhR2CANDCLFygihEkwQK8iGTSqa
dSGqSRG9QA1Te4CGEdi0F8gGQQ/QOpzBYu3D/+9vr7OPs7mTqbqAAcktzWTh
qwem5dtRKEsXEfAOwlUJjgpwLHVUYSygHnl+Ctakx0nw+MFfhNA6hKVlKSfl
pYN+WJX/iRcV71e8F7HqBfuv6fGpt0uMB7F+0rDRDW35uM4T0kgcFpXvaQnu
knCftBlN1vddKA3Bhzy4ByeqHXld3xpRm9FkDYkXEDectkzDzukec7rPityJ
QVp1QfVNAm4Tdo6ZtyX2rLjDcZvb5H+VXD5oyk/V+yz22wK0NOtTmk9BSqpk
4FzZr+N2h2aXl9pBn3ZxFrEZTdaWdu/tVW/WzjYZ3OJVxA3GLNOw2/vQ6cC3
vFETV3WzZmeZmZ4QjGqXh0X7BuYt/gEIDlXn
           "]]}]}, 
       {Hue[0.5818139026553191, 1, 0.19441151940032741`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmglwlUW2x1tlXBDBB0LUIAk3REMSIHBBIEgAByEJ4AIEJQG8SBKELxDI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           "]], PolygonBox[CompressedData["
1:eJwtmml4lNXZx4+AoIhg2SIMGghQDBO2TAJJgAAqhBAEJUZlgDBAEiQTQJIQ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           "]], PolygonBox[CompressedData["
1:eJwtkU0ow3EYx7/eyhRxUYqyHMjbX8RKLlOO3qWwOahx2yQrKVrJiaKVHN04
UKbIYavJSSQXibDIXY6Gjc+vn8On3/N/9n2e5/vscU+FhoK5kiqhAHpD0lW+
NNgl9RH3w7wjnVRIc9PSvl86gKoW6Y1c8YzUOim1QRLdNblbdGk0XxAhd04u
Si7OdwIuyT2Q+yDnoq4IGmalelih7xhG6oi/26WtKmbgIeOVsl6rNTXv1N7T
48Kxs40HD7yUSx28d81SkN87A3j24dlnfRv/MUiiO+StoX4V3Ta6TzRpWAuz
s1ta533skZ7AQRdFd4qukDoXNJFvhEf8/eJz2CON8L8Ng5tahx7VYbuz2X0d
z2f0WKJXBH8TxHn022Xm3r9H4zUGG8YfbwLiMIBuAX2KujLmlUIF8TG3KglZ
P8bXEbpNdI2O3cXslIEd+v347E3MbbJwQy7jt7ONhxxqx6ldpu8rLBKPBux8
4+OJOd3cppYbPROn4A/QQHX1
           "]]}]}, 
       {Hue[0.5693501231507712, 1, 0.21166906025277837`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmgd4VVW2xzctQAgJTdGhJCCIGCCQKy2BBHAoiSAoRCEavIChJFfE3BCC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           "]], PolygonBox[CompressedData["
1:eJwtmXl41dWdxg8QdkhYDSokYQ8EiCQgECAQkSUBFCFBCNtFCAq5bLkQFmVT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           "]], PolygonBox[CompressedData["
1:eJwlkl9ojXEYxz8pIeUc21hqO5wbzi5odE7MGabY2M7QzjnL2D9Ss2FDhktb
uDI1ytYUbqUmrriQK1NuXS3TLsgmZf7UXJHPr/fi0/O+v/f5832+vzd5cqCl
fwmQkqVSdR42JHw3DlXDsFzLwMIyqN0LL3LwUu4MwtUkjBoPdkKjXG+D/jVw
w3j8ALTL/T0wIU8aYS4GZ9MQG4B7lbDK2NsOfXKzxzqp3OEc53c4f8Q+F+13
yxjbDXG5m3W2rFVTVxzmm+BhPTyQiaOw3vzbm9TonHV+T/m9YH5Rznj2RQ2P
GyNNQVvoGXqfroFkqf3y8M+avzJuzTv3TjirSh9SMqNm1DdrbNgIV8rcuxV6
quwhddbPlsBK+xUboFVGTrmD/LoEq/Xst/HyFhiUZvs804sjxqz+7pQp/Z1U
+xvjsLufc6ch44y9PkqXvnbKpDMOqbmlEM0J87abVzC/xjjufmMyVYRqdb41
fnOvbnuXZyIfg59/zFmUE/ozoz/j+rPZvArzXnlWUgelkrFnWuqdc2EFbGuL
7jjc9bR7l6ulQ01Z65/bpyIdzQ86Qn3o89qzhH23NkW7hJ2OWVNm7ft8dE/h
vnbpaYeaa43L9WZUjxbV/F0fF+SndT8kZ80n/Y7ZIy6ffW7OR99CTm+L/4Nn
fcZ9vu+XMfV9UF93Oto77D/nv5Nzp0f+R/M+f5WCvh5W19OayO/g+39xPZI3

           "]]}]}, 
       {Hue[0.5568863436462232, 1, 0.22892660110522936`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mXl41dWZxw87hi0YkCVhuzSQEMKSqwgBEhYhQAAlyY0EwXAFId5cleEC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           "]], PolygonBox[CompressedData["
1:eJwtmXl41UWWhoslgUAIIDsJW5TNsOZCgEAS1rCEPQmSQCSXJYTLFeiEdboV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           "]], PolygonBox[CompressedData["
1:eJwtk0lIlmEUhR9thIKiKJq0XKQYFeKQlkoZlGa66FdKTVuE2mBqOARFQZMR
NkBpQotoWFQQlLgoqDYFLbJFgxVFm0aDyIyyVYt6Xj4Xh8v3Duec99z7JW1t
jjXFA4vFOHEqBRJnQE8FvF8DH0RlOlSI+BZ4lwhjrZf8viiGyuHadPhhrauG
WjFrKaTPhhO18CwXnoqDWZ6bCndKoLwOysTCdshIgmRrjfc3ynN7ObQUQauI
r4ILeomz3vX73uh62H9eCZ3uDVgPb4NJc6xp7m+BtoBmeJQAfcugS61u8VM/
G/TVqr9z+uypjjgD94i6B9S/oY/TpTCs1zPWkQL4I46oMVmNmt2wWVSLY6nQ
Ifp9U6/nH5dEnIF7jxoxtX6pObzCfMTHdeYwBT5ZU8wkWVRmwgvXOophk7ky
3xxaomxDxu0x+abB+Ry4utYMRYZvjvn2dGtuIeQVRm8Ob+9Ii3we1e8EMxgv
JjZH7x7SS2dt1JvfbdCYDE3iuNoDeqjKjDwFb/XOQZ04a28GZ6q3CFbLXyBS
1fguR4Iab+vhjSjNhr/m/VqtDPluyjdHvsyVkCUGd8GtefBlV5RFyGSf3Nvt
/15rfw08EUVbIr3CUa2gme9w5oncRngpR741UY3LaiQUR3vhzJVVrokFzlqD
/RhjPx7az5P29UF5NMNhloOf4Guu/nrlyJajwZ7tV3fn6AyHWb7v/evyHMqK
ZjjMcsg/9OGr/0eOPfhWEeUf+hDnDL2yV0vK4N962OHdxKzIU/DW7b0u8dk7
y7zbZ77/Acefp9M=
           "]]}]}, 
       {Hue[0.5444225641416753, 1, 0.2461841419576803], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmXl41tWVx68gtVpBZRMkGFwgkJfNvGy+kBDCksUQJSRgQgK+yBpfBXmj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           "]], PolygonBox[CompressedData["
1:eJwtmXdw1VUWxy8gYEORJpBgIBAS8girSSDwgDSBFKokoYSE8DQQDEEwL+Ki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           "]], PolygonBox[CompressedData["
1:eJwtlXtM1lUYx79ITMtEDSRITQG5yCu++EJIkVwkAZVIwQRCpmiYs5auV9q6
aRdrZvOS5SgvMxMiTEQQUJNJmImUo8sKwVV4Icm0CaJWU6vP2eGPz87vfd7n
POe5nhO4cFnWswMkLQcvODpPaoIzE6UXAqSsIunaTOnJYdJfrO9FSu/D0ALJ
GyY6pXfR24/eAYcU7S8tKpSan5BOwPZEaRskzJBqh0qJrLvQG4GeD3oV6OyG
DDfyMVImq8cCaQAkcF4w505hnRcvFUAvtnrAO1TK95Umz8WnR6WIIdLFZP57
AB3wSCcY6MyWRvtIZ1krZ0tDvKUr06SgOGzDI5y3g3NTWW/Ol25BEt/bkU1l
/Zvf/8DsIpuP0GLpC85ugsH4eBd0L0U+UrrkkjbiywZYD0UexDReqiPeKOLN
J95jxPoV3H5cSsH/rhAbj4nLYxZxUwxnBCvfnnAL+U0IIwf+5CKUNQ6/PsS/
h1iv4lsftC2WWvGvbZn0I/wEnuQmnTMuhdgamFpUx0ibBnI+3z7Y8oU2cuNH
jk6x5pCzXBhPjcOhl/8XcW4fazP/H4cDk6S3yeMJvq/SA73Q5LTnn8KPh/Fr
K/4lsF7HtxtQTQ4iyMFMcnCE+BthP7JIZNnImvh9FP5D91/4mpzeR067yWkn
Z7feTez48wvfv0I6tndyxgy31Tf7vKjFHdDO3rHsveiyfWT66Xtko5H9jmwO
e8rZO5d1IP8NgjRiOTyYPpkiTeM7FWI57zTnemZgAwZkWF2zpxN7wdj7w2Xr
aeo6nzgmEU+9w8ZiYspBNhFZrcPOg5mLxchikB1E9jS5XAqvZ5Gze6TVWTY3
JkePoedArwa9XHytwOc8t+0503vJc/CTuiWx9tEz16B7OraYs++i8YUau6CM
/f7YGYm9PditNLk2NYNV1K2Juq2nbpnMTyY920Kc38BJWIE/biiGOGp+O0oK
YYZLOWMYvfQK9lfCn+T/MnxEXgaRl7PkZU0q80k/14RJ53Kl83CVvIbgc2+2
nU8zp6Z/TR/vZa83e8+77ByaefwS2b3ILrjsHJp5bEDmi+w3l+0t02N1yIYj
60K2El+3kMvXWEVuPaAHnStQjt5g9M6h9wMxnyT2I07bw6aXW6DZj1r158fk
qRR2wfPo1aNfzL7LzNR0ZsuLGQtkxoOgmjq8Smw3HsQmcTXCcnRr2eN2WhvG
lpvZfA5WwGr+28TdMpl8dOBzLGsd/tYbqFMdTKZuQdRvD3X0Y385/o3ov3/N
PfxyjvQS7JkqPUP9Grmb4hLYB4fwJR+fnsK3cvaPxE4w9qqwu8/YZpZi4ecJ
+E+vx/EdRY9tptdcbltTU1vTW6bHwsOlN0fQH3nkjHeiB0KI7S3i2EIcMcxM
NCRjZxz3RhLrGnTL7qROadwbfK+FCny5H18c+FJj7gJoQX4C8sjbMfSP8z0L
H8rwJcttZ9vMeAzfJchi3bamprZV2AvDXgr2DmOrAd7hHVgLafS1F+/Dtxl2
HsxcbOX+HUX9trGe5px1xNSRZ3Nmcmd62vT2cHq8jF4Ppec38l5sgB3cERXc
FQvpr2B6OwheLLZ940+OLpD/N6jDkhR8oS4NOfaNM2+dH/754Wcp/l4jH32Q
yLk5nH8GOx9zzk6I4q1zc08vibHzauZ2DHsD2PuJw9bO1DAM2ShknyLbXGT7
Kchp62Lq0wIlpp/733Xzvn+GbiB7ogttf5k+OwQHIRFZCP/tRaeB9+cwhPJe
BjDHh/j+gBkugXX4OhZZF/9VojuOPfGF1oaxtYD+LeC+iKSfHTAh286DmYvr
9OQqerKKnuwgl+0Qzf/t9L/L3MPU6XNogCTy3Bpv62nqmsYZ4Zy1z2F7xvSO
E9kYZLuR/Q+GKrmR
           "]]}]}, 
       {Hue[0.5319587846371274, 1, 0.26344168281013125`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmXl41dW1hjcIKlODUMZE5sSEAEKYB0OAQHIgICRhCgQ4CEEPoQiJ0+O9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           "]], PolygonBox[CompressedData["
1:eJwtmXl41cUVhkfAqEENEFk0kSUQCV6CAQNlDZCEkMQEErhhiRAIkqCXWJCL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           "]], PolygonBox[CompressedData["
1:eJwtlGtMzWEcx7+5bNioyKVk8kIulUtpEulyIpVCjhDaSgrL7cjYDmFzG2vd
8UYuIXOZU+aFY0NY9YJMNrySkBeYy4bZXObz7DkvPvud8/yf5/f7/i7PM65w
S87mPpIWQH/ocErtMCZPujxcyp4o7VkuPQiS7oZLnhSpGdLTOQNZ7Gtj3y72
nXRJU8ZKkfFSJb+rwLNMug73Y6QzoVJXqZScId30l5KwQbOl4fAYX9tZ68Re
Bw904/MV3OZ3Md+82KnTpM/BUniJ5MiXUmFkphQQILXMQC++FkG+Q1oD79H8
Eu1ecsiPZg0ekl/FMHLCbpoiLcbfhyKperVUAwXTsRQjeqk0A2LBkSalQN9Z
0ouh0nTWytH/BF17sAcipYPQuRAdaHmCPRclNYJ3sfQvULqFzZ6MPhhVRh3C
pJAyq8lo+7pCmk0tv2CvJEhXYX+StA+6yXEVfgNjpXfUYT9xe7F/I/ANIfQh
GLzx1m8wfg9T6x3U/Cy1d9OD3TCQfAdAbRbx8FeDfVpqe/MMO5Mc4kwe/G5g
rTXG9s/0sSBHOkruhdhTaGuAJOo7yI9aoNGdS4xcq8foOuSLfxB7nu+NEEhd
thF3Enmc5n8DODhTQI9Ssfepayt0U+sqBvMuv+vpeR1cW0L9iH8Vu4iBzYYm
+pFGL+fRy1hq7e6HJmqVAg4ooZ/FUE1/Y+hzCLkn49ON7xb6kGJ6C3OJlwDr
ya2CGLVx9BSNV9B6D81PmakuyKRPGXCReG7iNmH/cO43HFlJbvTvGLaRmXhL
j9YzkxcS2Z9o59LMZzNr/vgdir4szmfiZ6HT+jX+W/kexvc4vg+hPv7wllq/
gTS09qBvMHl/5Xsh+4LROTlZioBdqdJO8GPW7jFz/bChvrs82jcjZlba0XiA
tbaVto6mnkaj0bqR+L1obyKHXuKNRV/JLJujyXXjXGkDnPDd9+MuOzNmdkI5
c4azo7EfyekiZz857X5zbh/13QvlsJs7domcTo6nXszs2jJ738299/jegce+
OXxUat8J817MwfcNYiRk2DfGvDURzH0UWupcds7NvBeWWb9F2A34vEO+iXn2
fTPvXBQ9dlJLL/N0fj65QzHreWhehx1GL4LgJ3X+Ad+hmvmqYc5qXTZevcu+
g+Y93MpbtAV2wrcRzD42mZlOgsH08Afv6wjuy3JqGUCMDmr7mnr2pNm3w7wh
FeT0nNwqM2xso+En+yaw/xf2P5UCCzM=
           "]]}]}, 
       {Hue[0.5194950051325795, 1, 0.28069922366258215`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHmcz+UWx582QkVljWvJ0owx7tBMMTLNNJb5DWObGcwkfN1Kvn6W+2sU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           "]], PolygonBox[CompressedData["
1:eJwtmHmcjuUax28qHVRkrCVDhcmWSpZhxljHa2swZBjLK2PqNZZe20xKyykR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           "]], PolygonBox[CompressedData["
1:eJwtlGlszVkYh38jkaIbo6oqUbWXKrWMjk645d7qvbV20462VIRaxlJBpoMI
tSR8aEunsXxya6mKL5bYqowyY42LKl+QobTWSvlgIjrPybkfnrz//M97zvs7
73Ki569IW95BUgZ0hODxUmV3qYEfcW5pBOSkS80/StnYRVOkQghOlILgQqYU
Eyadx24cKXWJlDYsklbmS6vgFv9vQji+gYHS7Ux7pjnbR4wKYgUR8+UE6QW8
439JKPFHS/sd0pMgyZkl9RwkRUDzXOk1lC1BbG/p/ijp069SKzwukPIjpI/D
pB8y7KXmQw4xFmAvTZJqIe8nydFN+mO65PJIZ4gXPUY6OFHywoOhnAudh0jL
ekibcqRXaGyCHegP5b7bsXeIeRtWEzeRuDeJuwffcyHS2hSpnO/dUI/eqxCH
5qfk5wSa635GB7qWoeshvg3wntjvIA8tjWgqQ1sid88lXih3X0s+1sFE8p9P
jHjqMQJGwiT85uEXjl8PfMLhGDGq4Sxn38U/JcPGMfGW8p1L/FrWv6PxAPcU
d+lF/iPhBveL57y/B0rj0JQAsdRnGHjY62GvG+ulToVorWVPPWvXIAy6w2+c
PQi/z+hLS5JmQeNU6XRX8jIWHezdwt4Wt6296YHL+Iawpy7d1sDU4hJ+a/Dz
uW0NTC2GovUkmmOxyfyfAn3JVxT8i2YH2j+bvkslH9AToui/afRhAPmvIR8u
9E8GJ7joVScMoHff9+Ke9PJfaL0CJWhtDZDGJNk8mHw0u632N25bE1MbB7lf
TdxiapFAjVyduWeCtDCNuYGPaPgArfCNvo7hvE4ziUMvpo2TVjiZGzg3mJpB
a7Z0HM0V5OCif86uDLR3NHdtS7f5/YK9Fi9dh2LiVDKrv2O/c4d2qOJ+xfh5
scH0aAh8LaIHoqT/iuw8mbnqPwP9aDnOfJT/gnZY4u+Txf55MnPlJf8+/vXJ
tG+AeQtM/k0dWlivYm0wPh+Ik8dcNBTY+TRzeox8eql/NbZiuPQnRLioD5wk
B+3EryMn9XwHcI97fDex9grmcr98iOa+Ptb6YfcRey904bzlnBs41b5P5p1K
Yv05fk7sLvK1mZyXULs5zFculMVKpeD0vwGTsaUeO3vlWB9r9+EZtcii1xKZ
k9mcmw0HiHmHnoihN0KJ2RUe878RNuC3FP9OvB/lJgZxj3DeITjssbNpZvQU
32+JdRr7iJ7IQf8T7FbWtsHuXPbDXtgeTl2x16nXDOr2T5F9U8zbYubVzG01
uV9P7tuYO0cM7wSMNn3PuaNSbd1N/VOG2HlvR+euZGknHJ3FTJOr3vTrRb4v
wHC++9HDNcl2rs18XybOYjRXMZN94pgJZqViAflGWyF8IR9txKucxhtA/4TB
S/L/AppgD3N3lRqm+t+QGrRm8h5lwQ20jadfVhbYd9W8r/8DweY4Uw==
           "]]}]}, 
       {Hue[0.5070312256280316, 1, 0.29795676451503317`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHmcz+UWx08R2lAzl0m5oSzjJ8uY0swwYzDMjK3MTMxkcn9K9DNJvzQN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           "]], PolygonBox[CompressedData["
1:eJwtmHd41tUVx4/IKDJrgKIiECBhvGjJAMyrCTMhQ1YGkhjUHxCElzCMMYqh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           "]], PolygonBox[CompressedData["
1:eJwtlmtM1WUcx7+1AsxSEy9YgkOzcGTaCVeGEuQQvHPzclBkh8I2LNEzbCpe
0MKVNV2zmxNmrUzjRS80wlZSKXhB7sQRgiCPoAyBHAYlivZ59vDiu+f5/87v
fntOcFpmwoYHJW0ED4NHtkp3pkiBYVLkW1IUOALuT5SSoPUvl/4FlTGSG0G/
ECnbKW0HTaHSogDpS5fUkiy1gn/c0huTpD7OtlSpHeRHSnlg7wppyxgpl7Mn
ReoG/aBinHTLfK+RukAfyIfWy3ntOWnHBHSmSyV8l4Jq7FSBbOxGYL8SP+bi
zxzQ+oyUgp9r8XfyMikYTAFvDpc+miPVxkk1oORFbPthM1pqQD4WPZ+jrwm9
zaAeWjS0A9Aa+G4EuTOwjy9frUMef0vBaPA4KMa/g/w2E56FiZJ3tDRituTC
j7QY67fxPwW+bPi8xPUyeZgNwkH5o9JWclSHnVrwLnajsF+NH9XksArEZUid
T0g/OWyuTc6PwrcYvuZQ67fxPw/aAmiN0O6Sk8NjqTHnGXAWeNBVD9LQdxN9
v6HPi9wV8B2yy5BtDbW8RuZv4hgMkhKp6Q/x1IZcZsyVvudeGG9zY3J0ENn5
yHqQ9Zgcgn3Q5kGrg1aHzVrgxG43douxO5vcrBlBrcjZnZfwFzTD0wSy4OuH
7zx8Xdh+jb7q4Wzht1ZwmD69R5/mc+55RXoH3OT3dPh6Oa/A4zV84VIYPg9f
TC/Mkp4CRbHEAgaH8hNDXx9aQg+APn4PpDduRpF7/KsCK8jBSH/qiJ9VxBJJ
TDkuWytTsxp0V4Ovp0s+j0Hn3rxISh4ljULffnw4ACpMryK7xWV72PTyeHR3
0i9r0X0bWwPgwlTJwayUM3s+0yRfsB092aAA3ffolxfwL54Y4kANsv7450RX
CzaWYqPAZWtqavsntgd8qRHy9ch7wDh4xwInsuupQQZ2m8nbavLX4ra1MjUz
eTX5/XAhsiOlDzjbsJGEjZ+xcR39HaZ/oMVDOwmtje92MzP0+Wrykb2U/gbb
wHX4VsJXCl8nPDdAIL3v/wAxk7MwMAtMghYEzrCHgsljOLTf8Wsl/nk4y/Gt
AjRAvww8IAQdaeRqwkxiwe4vzPppUAzKkUlEtpLzHHLnU21eTX6HDe1BP86n
WY5TwU50rGJJTuZejcxyZGs5LyJXBtq4p0K7xtnAdyPoJDYnsV0itm7i6jHz
DO1VaHtddibMbFQz8/upbx3ns9RxepTdvWYHTyLeRvo6mnsDup3Y+MNtd4DZ
BX9xT4Hmdds59gzZNj6sZ2ZuMTMlzExAJr0FgqhB4UPSGO6F6PYnlxPJVRw9
EQ920/PTyJUvfLu45yyxuTE5CkffVfSdcNh6mroWEUcC8XiJy5e8+gA/UISO
S+y/KPooEgSZWaGv/2Om80Ee2JbAzNNrBfOlH+EtYxeeW2ffAvMmmHk1c5uD
3QHsVjjsG2LekvegDUKrdNjda3bwIWTPomM3ujaAE9xfh3aE374A4+mfk8xK
IT27kdg3gZgk9iOzEptkd4DZBR3k0kVOO91295gdZGpnalhJvMnEe4N4veRw
Hj0RSm9c5d6WafvX9PFF+FbB1wFfGL58gi8X0u37YN6JRGJPAL3IPk8Okrjf
30Tt2K2nmMPL7KIGp+0t02MRxNtGvIXEm0u+AoZJT5LDb9i5x0AMtsuo62e8
K7HcF2TaeTBzEYPsdWRPOeyuNDtzB7Tb0MocNjcmR8fBad7ao5yB+LwHn99P
t++weY/NXJv5/pXYlhNbe6j10fh6dzO1C2YXcc4IsfdB7lnkc3Os/d9g/j8k
htk9nUc/+0ZQN3ZxDvI7wS6zf4npU/rkbfLxLe9KATjOvjkGiqhbFzvHHWZ1
Gt0fI5PFzh6Jzf8BP3DuHQ==
           "]]}]}, 
       {Hue[0.4945674461234837, 1, 0.3152143053674841], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHl01cUVx0cQEhIkgCgWlSgIokEgL2BJIISwJyAYIEjQY87T9qivicgT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           "]], PolygonBox[CompressedData["
1:eJwtmHlU1dUWx08OgKCigMsyx3wmdR3gAioKKIEmaJmAPsjKdSst6SJ6Q3qW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           "]], PolygonBox[CompressedData["
1:eJwllGtMjmEYx/9rqplKpaZaB9VSpNS7lMoplfJ2oIOmMMMHSieNGG1mE62N
lDKbjVpjNUtZcwjDhi9kks3mEDlkK15ssvmE373nw2/X03Nfz3X/r/91vYVu
rymsdpK0DJyhrVC64C21EofWSLdgfJF0zU1KzZGSIQW6c6UuT+kSMT5NskFA
puQPWi/d85Jyk6QD1NkP55ZK+TOl29Tr3iCF+FAzQppcIU3B4RJpL+/S5kvz
qBUKHisld7hHXjhnl/nOk5pt1K5bJ1VlSNWGBOrMlgbsUif5XVCcLRVBQjE1
5/AuWXq5XKpBwx+0BBZJQfCFeybgSJ70lX6mlki1seRBVo3UHyTZiWvJzQY7
lHtwdzyxDo0h0i7iJ+76DN3ck859ycXW/UZH/Tb89ZOGo6XpMuk3vMHD1/AW
4mZJJ1IlX+45y30+xLkMxA/e4f0YDNGbgx5v2q3+TJ+ueGbHFxdi51bmBv02
6X0ANSuoSS+D9DTKjOz0mAMJvB/nfMBm5ZvvjG6j/zGa29D+hJiUJSVCbCnj
9JVeRUpn8CjaXfpJnV/UnoZ35J7nmzGiH/35w1Hm5I6u3ghrfmaO5r053xGF
56Hoq2emtVJwsBRGPBQnNUDPKnxylRrp6Tg0wf3V7AA05UsZzH5nIn+j+y48
o4+/9NNMXz6bpDlwp1JqD+ScWMnMd8P1AqmAvY5k9ifJ/cc3Izarhql1ZaHU
B6/ps4B+4+m7YgEzBlf8q8JHF2LmRsmN+TvY83SeM+AF893MfB3R1v1GRzl7
EIYvU+yLF/vtDWU8T6JhC7GW/dkTb+2++Q20oPUgmluJo/T8HEbAgRdh+P0D
D78bL9kXd7T0sfMx+LUIPrIvTvg4UWPtltmx09RpoF4HMYCe/aGR395itF/E
i3Fqv4cx9i6d/fvA8yB6Gjl/hL4H8LDI0m30O3gOp58K+rKRW8p8E0osTUab
Mzkz4Kn5hrxh4lXmtI95RfBbbWeXO+AG/qbg7zd860FPL1xi5hchj96i6C2f
2IzeY3hVzP+OFnJOQTDvfTgPJYbFoAf+A8LX3r0=
           "]]}]}, 
       {Hue[0.4821036666189358, 1, 0.3324718462199351], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHt8z/Uex98pl1waRhdFVBgbs58xmzYmYYzYTK45W22OXz/Uju3onDqn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           "]], PolygonBox[CompressedData["
1:eJwtmHl0z2cWxi9TuwoTW0mHWENISCwRJEKphNoSjCXTJm04fkjUNu2cctrE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           "]], PolygonBox[CompressedData["
1:eJwtlnlQlVUYh386LiAubJZbBimYIoaKCxq5IQhcZFNQyVEbmxrn3owrMuFo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           "]]}]}, 
       {Hue[0.46963988711438787`, 1, 0.34972938707238604`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mX1811UVx69TeWgDCQYDlDYY7AF/Io6BjCFDbLAx5WljIGj4G4Ly8zcH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           "]], PolygonBox[CompressedData["
1:eJwtmHt8z/Uex99WWdpct/HbXGbLtp/83Ea0YSvlMmR2wTGJjTn5tYXFkGsu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           "]], PolygonBox[CompressedData["
1:eJwtlGtMjXEcx78uddDJ5SizNsrU6YrJcYocd0ol6hBlRheXQofMZavGwvKG
MZnMZSuzDKPywl3MXDpibWomZC1iXuAVy0Y+z57z4rPf/3me/+//+/4u/2dC
vierZKCkheAH01dI80dLCdio2VI0PFkuTWCTO0Z6yvoZWNMlz0gpEJswSUqE
P7lSH3zOkzaMlSxxUl6StB6S0yQ7+1Owg3ifz/f37PvF/t+wIIW4UDfDjO8k
/o1MqQnsicQfirjF0k27VDhAOjtf2rNK2gu3Zkptw9CEv2ulNBvcxMmC+rlS
rUV64ZAKksy1l/Uyvi2HqF1SJKydhc4A8mU9npzGwXV8P1il0HRTo6H1I5oL
0D6YHOKIHQsxEDJE6pzHuU4pAzZkSCsCpQvofMXelxBAPCs1GIb1wkrWLdhw
ahcBR+EIXCJeHd/qsc0J0gNopeY9nOdYJGUTp488OrPRB11QkyWdgkvUKpNa
bUyWqkqpXah0GHtvnXQfUqnBErhCDQKIYSF+c45UGUycHLMHRi+24jMS3xLs
OfzOg2Wq5A/lxKmxSWXYyeS1j3qMy5eC10hj4BNn9kDQdOkhOiuoYzu6/Yaj
kX6ORmMQNKZK30bQZ+wJzqmGDnKZQx8qo6Uiel0MXmK2wA83tWI2vmObeG6E
O6ytvLvrNmMbGsLQsh9NUzjPxvMoGMu7Ct7F8S6EXmcS48JS6S8a/8F28rSR
bym2llzr4Kcv3hZm0p+aWMCL/iTyuM4sPmfdAgfwCcf3EPY2fnfgjIta0ocq
8kynTksh2FePifSvl/p8STPratS3o4j6h9C3eOaX2XdBDHfvMWdcJP5q+rUZ
3y9ziEe9DsIOD7VnJjYtQA8z1+A0e2z0OrqY+eC8Gs5LY35SwUYP3rH/NX6h
5NZGD8Ow7WjtcJm6Df12fN/iexLfet883SPfanI4CcnEXgyX0bIMTZFo86eu
hdS3O8/8Bxj/gka+N4DHYfa5CZ/j1OsYdKDFyT/lCOtWZnW7cb/JMwo90eCG
XvRlYUvos8fodyTnQSz7c+lB92qzT0a/uqjfIzQXodmOTwS8cZnn9pNDLPrK
0ReUb86DMRfTuLfx0G/cW/4pp5k1q++OXnWY98S4L0bfjf4f5X7s5J4cx1bw
n7hFLXfz4yxjXQ7XyO8reW5zmHkb+f8HsF70/w==
           "]]}]}, 
       {Hue[0.45717610760984, 1, 0.366986927924837], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mHlU1mUWxy+gIouKpLikiCaK9KIJaAGFY2UiaFqQaWgEJg2Mb+Z7EDP3
UVvMMksr20/TTM3SYk7WmbFJjzWF2jYtTlaesdMyLaZpqCkj8/l2n/7gPJfn
vc997vK9y/MbWDf38uvjzeyNOLME1udHmq3qajas0uxkgdl5iWZJY8zOKDbr
kGz2VYPZoGazROiD0G1lZqnQEfauLTXrAt0P3qxGp4ezn87/CdDH4F0VM+sG
nclefb7Zdx3NHqkxO8pdhdyVVmd2A/ftRpf92WY/sF/AfjL7g5HVWXK4t4Gz
Bzn7OGd/HegodE/kdoLnMDxZzU5/Dv3AdLPmnmYPsbYicxQyO3JPYTX6djDL
iJq1T+A89Alk9OS+0fDc2mQ2YKLZ/DR0Zu1YbtYLnlPwdCl3PROGmXU/DxlJ
ZrUXmKWwPxCehBJ0LXA5fZF3BvsPdsMfrNl5Zm+mmu2qMHtvLr7ub1Zxrlkf
fnsEnsRCs5t+5TwH4MkId/VC55bLzKalc5Z1Mz7dQ7w2Vpmdj//3pph9iY2J
8A9Ah3b0PIgOI9HhdK3Zt9DnQJ+AvqXJ/dAV3c6JuM7SPQGf9IXuwd7NTR6X
zvDMq3L5RaUeP8Uxhzj/tsllHkbmMugI9OfQq5s8dvGcXQWdD91W65gQNk6j
+9P4awmxW3O52QZicKqf2SRsH9Hs8gch/56wfzfryia35RhyOvJbEjxD4L0J
m5/CDxcjcy0YyxmA/eh4zWyzxX3Mrmbtzv/x8H8KHhZMd5y/Od5sRcwxfCa/
7x3ncexBPNNyHDMPwrsEnmR4+sCzqcp9Lt8vR588+ROfdG10nhz0OVTg9nao
85gpdsLLCvhHsP8N+veCPwX+XPh3oN8G9Hxlttsju9rRc1nMefoWu1zJ76x7
kLURnCSxHge3a6D3c2ciOt2HbofJ3+OlHgvFpK3Y9fwCnhNzQoygv671fdnx
JPi+i7jfCTY/Hms2tIvZC+ztxd7vidE1yFscMLkTTH7G2VzOLuVs/HDnXzqJ
GsFvV5MvPUeZVSGnM/v7p5oVB3wKR3+5gnzuYfYM6zD2/4n8UezfHu5qJKdb
JjiGc8Dhc6PNXiVH5pErbxRRa84wWwTvl5xfgj7N+DgLXRfD/zB594c8vzeb
vQr+z+Te0eiQGniK+b0NH73AXa9T887n/BzkvI+8zdD3QD+Dby3q8foaX2WE
s0Wc/anYbT/Afqeo41+59TE6HUPmLGyaP8Z164WcS8F0Gxi+F96NUafvYz1U
6/KFi1Lu/gS7XkJ2Zp3X3tvYf6se/ICNbSOwocpxfhFxthKvLaox7aWey8rp
O6gLF1Ef1rNOirhdFegwOOo8qn+RqMtXjVetVy7sIRfmcNcW7prHXZErPaYf
EcPEOs9l5fQGdGihaSSfjZ+gT2DvvcQrM+q1QrVcuNFZ4SINP1yJDumsBRGn
u0N3qXN+1Zjz8ty3ik8/7l6BDivJhRvRYQc4eXGI2yzbXyEf7wh+vot730bm
NM52A3cPs78AHz7C+mrIqQLkHQRL23DZj+T08tkufxXrzpDvqt9t6L2HuIzA
jvX8thKeLM4+ik9eFT/0xPPNLumMP8HjaxO8FyRx/0EwuZB7H+feuEuwWbUF
/2cUe6/8iVzeF3JKfu0Q8nR2pee/crx7o/dR1aK+0Jeixyeqh6yduSODu86k
Njfii3X45APwnHUVuUSNmoJdXeDpDc//2EsM/CehZxPXRu4ai9+6Bp4s5LSU
eL4r7/tHvA8mVftv4jlNnSjnjmxyZyw97l3wWci977AaPH3gSePc7mz37Rhi
Wosez6LPYO49yn33Qx9hzQ78HbClAJ6/gZ+Pyrz3awaYQ53rEPH+e/wqzz3l
4LPIjM81+2MGMmeanTXT6aGs3SMuU7qsAQc/ImcL8ubHvO9rFlD+COe9wNo0
esxT2PIQPadnxHucel16kPOzjtzVgvy9yP9wptP7WOtyHPPpxLwMzLSCge30
64wgJ1dnoc+E7qT+GegR0P8KftuFnwrw+Xj2t5U7n3h6w/tf/LtJ987AN9hw
HFtWYsfLNZ5ft8S85qr2ai7oGHylmSU54jgUHr8v9VgI72unObaFceFGeDhO
TD+c4XftY82NeI3VvJAS5GjG2RNy6iT0sMCjejy33GvaUvZKgh9KuefzoJvm
GuFP+EmFp5XYbwIDx1nH5Th9DHpywMAnYGAgfP3Fj46ZAYeay4ZAZ0KXQmcH
ulu1+1o+TwZLg8LZomrHrs72Yy/CXxZ0OntdNasxD9THfF7UrHgDdF7guaja
e4bqj2r8iDALZVS7XMnvF/V+qb55Ch/3LPXeoR6yLs/z6BnOFg/zXpOIP75p
cBxqDq0t9flZc/RjYX7Ygu1pFc6vHtVKbLaS759yz9wwa6lnbsx3PAgX9+c7
HoSLDWF/o/CC3Dj4W/FrjwvxF3Fpp/8+FGrXA6zN5PI8cHjBEMelsJeGXZeF
vNhEXswPPE2sm+D7M3QB9aoh9IXrWOOw5/WBzGHcFY35TKXZ6tgvOrCmLMQ3
Z+H3hf4e0LyX3egzlupb3ASfG9RD99MD1wYfbsCHd4bau5Z1cqiBg+mfHSf4
TKjZcFChy09Ffq9ifxfEN/qcpFrav9HjqvieHfW6r7zYSg5OCvY+iL1z8eEh
fDivxmc7zVc9ONu72GewlEZ/A6jPxlGLLNjePt9xKUwOQv7u0KNbWFPwyf5M
bGbdVuR0KvSUCq+ls4j1oTJ/E/Vv9plMM9h3tT5naB44ovkZ3Y6i23Po1gR9
GLoZel7Mz+pdpflDPvwK/qMN3mv0PlsQc1r95w7OtnJ2HWcPNDgOM+FZGeSv
rvHcE86zwH45Z0+i8wTW5nDvkzV+RmePlLne0mEf8v7d4Bjox97vLvT+OHm0
/6/9b+BfF3TYipxd433e0Ay+GD824M8l8z235c/B6LAI/h/g/xP8CwO9CLqt
wWOtt+D66d5DNfPOC3F8Ap5FMY+dYlgRbPlW/TnmZ4WXW0O/WAP/cugj0E9D
Lw308hrHojCp/O4R3nfvU/OeD/PhznLPGWFJvUX5przrjA+izAqb9e4AD6lR
f7PoHbYb3OYyG1eChVfO9fqZh4xtlT4DJ3B/W5CjPN4eeFRr1duk81LsGBxm
NvlyOvPreva7sPcxd9zKW+AouTLjct/X7/VhBrifvR/57TZ4Wln/HuTo3a9Z
WTPzFWM9forjY+hwGTxfME92x4f3hfqjuU/1UXVyOPFKrvB+8Rb0rHDXsWne
41XnVe+bOVPLjLSzyGOpmC5A3pQgfzLrUPzzIrqNx7engx/6MnPdHXA1Eb3m
jnT5lfBv4S8ZmS+w/oe7PmP/M9bx+V5j9VZ7iVi0EIvtxOKuXI+XakD6L/Uh
4n1d/f1R+F+ud/4dil3YV/9PUX+VTGQnBzqJ9ffYMw4dSjl7d77PpXoHxI/0
t+0i7koI9NvMhMPAeiGYz2Gtrnec1LA+cI7PjS/BE1fn70e9m5W3yp3bkb09
zEXCoIU5cwv8dflu+wFsn1zkPvlrpc988pVioneOelY9+69PIZfx+WtTQv9Q
TPMdH+KXj0dWOSY7sp8edX30rj1V63jWW7x31N8F+k6jOqJ6siLf5wbhQbP5
CXx0OzH9iXV1lc9718LzfLBF761Z4Z3+xXB/KwqHU8Fha62/rfSNISHMzMr7
xNA3y0s8Z6Sn9NW8qzmnE/cu5/96/LCsyr8vyP+KQwn/X8x+cZXXF+Hwxpj3
ANWQaL7PoJqvEpBTW+J1W/V7TcjBm+EpDPOP8rid+vAe/hyCb9cHDOiN8sQV
/v4qHePfJvR++Uel56pycyb6fHCB0wMqHSvSM3Gkf8/SrHJdvr8lFGthZHXI
qev1zSfY8gQx/z68Z3eNdFmSOQP6N/n+ptbbuiz0INn0XIjXYmzfyL2Pof+T
2DE7fJdTrJaE977muzlBjr4HqFaqTt4U897wc2+KORalZzu+2VHus65m3mXQ
74CBFayr+HsXehq5fnHQp67EZ2Lxb8TncWGGUQ3Q21U+1Bt9Q8R5Npd7rVe8
mrh3HJipY1YZP9Xfh/Lz2DJ/t0i+7nk/1Dd9G5gY6pvec1tDfi1HzgFq1ihm
1M1D/ZuCZl3NvM3Bxhg+mFrotixn/7pKx6Tec32GuA6XTHVcCp+pFd5L5KvF
nP0/oF6MFw==
           "]], PolygonBox[CompressedData["
1:eJwtmHlw1eUVhk8gITuEBMIW9iUBLgKXLUS8ESiQgFokNwUqWwIJDc0lck0E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           "]], PolygonBox[CompressedData["
1:eJwtlXtM1lUYx78aKAoIQRooCfJiIktJeXGBqJhyl5sCqSM1LzSbrw4Smg0S
yz80SygzI4x1Xba8IZosXUXTUhCDpNqaUNBIW6sVCq0k7XM6vz++e8573vN7
nu/5PpczZe2WpZtHStoEvMGZFdLH4NcE6Z/JUmaZtDVNehLkLpP6g6R8bNQS
yQUSZ0iVXlIE64wiKR2smytN9eVb1hOTpVCQynrtPVIKtiBLigmU2tzSEf47
CoKJFwSW4fuJcdIG4o3Bjw84Ukg8vj2MHcyQdgdIV+OkgfnSDVBeID0WLFVg
750thYBJjxIbxMVKr4RKLRvwNx1/wG+bNOySfLH+zjoSLqkeKQ0EEGMcaMDf
U/j9BV7pmdJp4k4znBfAGeQTOw+8zbltnHsLm5rCHcH5PMkLrS5gR+NrFAhP
lKLDpT1oehS9atHtIvc7xvo4eCYb//7S9wul6/HEBQ3svQEmJqGpD1zZGyA/
r42Xbq6wPA3foeVWtxJ0u8l6EGSkwxu8C//F8JsLv3q+qeDb17EhcA8FdyfY
vOah/c/zpGvgq3ypioIYOUvqYN0JFvB9Cn7eS7B+jf8d6NKBLkXo0ocmP4Fp
+LmCvzsPSW74xINaeNeAIu7mwx27uO/LaH0rjPxgI/HjAr+T499Attv+t4//
LhdL7aB/JrVGLteQyxn4KqeGwvFzgvppAlEr0ZK7uVZavY3urXAtgXM13Lvh
2wM+vx9eU6Tp5fxPPbSBPvz3ggjq5Tli7CVGM3cORFOlcpa7xIA0p45D8RFJ
TFey9Wl8VxJjPbEuJNgaNLXoR6576CNf7G6+3wXq0fcQ/ZG/VJpvckVe3dTM
AtbJYK3TP+n0yXl0+AIseUDKAje40y70HsBmzYEa377zsLQqR1qdY/Np8tpM
rV2FSxJafoqun4Bj5Gafn/QZ63ZyspO7nSFX+fBdCoaoiTr0G3RmgJkF1cTc
Dl4lD8PkYz+2ET2Og1b0WU6eZ3OnPnqtF5xFvzb0aysh59ylBnRxtwljpBdY
99C3z8N/CP5/wPNPMIL71bMXnGn73fR9COsG9kIzbXzDYwNcD8D5LrRex3o9
8OasF7iF3/2cH8v5Aw7XHLetJVNTprZMjVU79bo909aqqdnlnOtk71n2TuH7
JPjL0SIl2nI0XP+G8x7O/UCs0eyPAgs5ewhOT3PeQy1sAvOojVJqpJxa2Vpk
1xVmzX/loHUq+Wavs9DOIzOXLqNdO9iJfufQ7yD6+Tu1c5bcdOO/B8zBz2Rq
I9HMMeL4g73kYRF5eBHriZE2g++o5boJ0rdO75ge+hH947lTL3Ym+Y8F2Wh1
Fa1yPba+TJ2toS5Xg2J6/yVmQDHrk2g9lnpqwnbgvxOshmMjXD1mxsJ9P0gs
sLMmqcDqaPR8nHv4M/fGUZPX+H3dgVmH06uH4RSB7YLPFXDKiZWbYH0a36XE
aCLWRmKWLeY3qKJ/N9LHUdOYRWX2vcoqszPZzGajl9HtDue+5NyICnTB10Wj
i6P3/7pTP5fAN2hbQ166sLep6X/BJadPouA0K9r6EX5u8/uOA7M+6MzVwGj7
hpi3JMpttc3x2HfKvFfd1M5H7N3kwe3cAuf7uDM2gB4JBC3c7yL3bI61/WT6
qpb+rgGnyXWLqatH4MR82sG5sFg7t8z8CmO2TgLjmY2rmI39zI91i5gnoJQY
54i1BRuFzw/QwOW8keatdOPzQ3zXEcOLWN6gl+/bmRdV1GwQPoPBCWZXI3gf
bd6k5vZRG37s+4JW53xlsn0fzTvZUWhr/Wvsg+hwibsPx9meNb37H/dllj8=

           "]]}]}, 
       {Hue[0.44471232810529204`, 1, 0.384244468777288], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3tU1vUdxz+IJJfwbgfIeZmgQGCIYgLK86Ahz4OgwgPk4yiDeUknmODj
WC6LdnJzMmeZWrPjppvnmEt2s6YrK3MrZfN4LM+6WKYrRZm3eUMEcq/P+Xz/
4Hy/fJ/P9/N9f96f629kzbKyul4iUhUmEs46OFvk6SiRukKR4lSROH6cN0bk
ml9kbG/O0kTen23nQwtE3gqKNA0RucXa8pBIeyQ6OB/H/e/1FYkMiLRWinTe
K/KdfJEb6DnAOzeTRVI43875Nx6RE8i/zLtlvC95IodiRH66XOQV/rbyVgg9
Mbw9G/kufk9lH2Afwd1wj+3vYf3A6ZmNnkj+L+c8mvVth7MDfV7uf4LMEWSa
0w3b2RnIo3NhnEhbtcjxqSKl2FIzUaQSu46wb3pY5PZSkX1D0cO629k7fIpI
PJyEg/PnyDz4CL8NhgPWSz6Rc/Dws3LjUXk7CD8T5tjdMPbPTheZBp7mSSKe
MaZnPOeHsw3nKXQ8z9+76FmFnt9jz4tgjoW/v3I3EZnt6LuFbV9FiEzPhKsf
iXwGlVEpIv/D3pQ+6BkvchIfXGZ/grsjlqA/QWQj8sPdfhjrGCfzdJbIxyud
vfiribffAtt6tanauDrP+rXH/NhUhK8d5v8gM52/18Ccwb0IuC1B5ga8zco2
H6nPh4CtFV9ProDzVPP7XnydW253/ejYN1rkOeJzxjSRHaUi6ZxfzABnwGLs
0XEiDeXGzxrk9+CPPejZWCZSWCvyOfhj4eMpYmAJMdAHW5aBIWWQSA86BuD7
vv1F/jCBWOOtWt56E/+vAvMqMC/Fric9tm8B5x+LRXYi31JsMaGx0fmIxbri
ycCu/k5nP9aQk6kgXvonWzzfRfZ6nnFyk5wYMZc84O558Jdw/iX4X8Wmwkzz
6Xb2jeBoV5+CMY7zY5yHOI+vEVmNL+5n3Yi9ecTeZXCGudjIJK4y0iwXorDj
AHou9xNZgb0X8HE7OFeXELfETx0YQvAZzfkBYmBtrsicacb/ipki97rzkFck
IdM4V+7r+P8I+qVOpBuZDnRuQ+cb2PM69uYgM8rhfxGM6WmGOaHGdKnOFcTk
M05GZRfybj287SIHdxDHM+EkdjL5g+/m4bsn0XkSn67Hp1vBfs5nHP6E808W
g414/jfrwanm0zdKzJfqx+Xw8LuJpn8dOv+ZJJIFbyfgrSNktUJrhnKhnFQG
jAvFGZVl9VHrpDdocabx9mfi7qMKy80W9Lfi75iBImeoDbux8QvO11Xan+5f
42y1i1vlcpfDU4XdH7scfIa3osEcgf4I3m92saQ1SXNbc7wV7I8jHx0r8li+
5afm6Q/RfSdg+XUfMRXF/cnoDMPv97n42QZvYSuNw1NB40Ix/BYsu9FzWPMd
PW3Y0BecN6hL84iDrAHkIzI+l19B1l9i1zH0b+ed4wVW67RXNEyxOBxPHK6a
bvmreVyA/G+QT4CHNSXm376873G5HwHGzRn2rr6/z9Xkat4t4u738Ze/0vJK
ObnK3WeJqzz6VByclc8wnrPTLd8078aRf6Gg1R/tFQucHwcRUzepoVO0l7E+
WGg1+TT7v08wnKPBeTXV4nk0eraA7xLY1tXTC9Mt/j/kzWbu3I+eDawLkDmL
TDtcpsFRK1w9wDqn1vppPFz9AJk2ZK4hc0+u+XoXcRSqNJ21vFuMPfvJ2RTN
WZ/p/K/P8k1l9P1vVpr+XsTFVZ/pvO6zGqG+ziYGRlCzVpKbicUWHxonndg0
LtX6jvafZZw/Rn7VsX413nqH9pBPXU4tAu8L/LWj/1vNb2x5EwyJXuNd+V+N
H/prDmi94qyKHFlLLjzOOrbcOFQuR9JvPkVnYqP1ePVRZ8B6j8a/5sFLmSbz
XWRjqX1z8fvESssxzTUf+nsV2WzQDc47ebbXsx6/6zucPYHeS2AYhq8zweDF
xm3Zlg+aFwM9FgcaD23EbKjQcl/rYgo2HobbMayjvGZvIRjmOxu/JAfPwul+
uH0ly2quxvyfiPdql5sX+L2P32ImkXp/2nH7MDoWOWwLWTfVGocay+1B4/ku
PEdw9yL7zZk2r+jcMhTdkQ9Ynk5LtnjVuH11is1bKrOFd1PBU4b+feTdIPBV
gfOM6nDzjPb560HrO9HoeyfJ7FL7Xq8wfrR+3MmBV2Ru8dY5znPxxSlkT/DG
XnRuQPdGMAwl/l9gfRS5r0eS8+h/yuV+I+tpV6Nm8/twfvsCmXL2L5cbBu2B
ypfytpvYPppkc6MfPAnOLp0r5+ZbzdHa8+vlVse0J2xOtZq8psxiS+NnFPHj
BVMEMnmsTa5W3GoQueLmtCVwu36ScahzWbPbJxMLMfWWR9p7i4iZI+RjHTH2
XJHNPzoHNXJ+lfP3i2zG0hg+Cm89PvOj+jPLzcY6vxzHH3PxyzHWEtfvtC91
w3M4+LtybHZUbBfRkVFr9SE812Ymre3xcPUXr/GQnmX5oHmxCfueAOt72P45
uRtXbPVQe9GieuuV8/l9J5j74Lsu7u1EZ290hlFDJNf2d3Os9+i7+n6Pw3Y7
2fhVnluIt1lublEf6jyq8a+1f3CjYTi52PJE42qpx2ZBzU2dg9JdbdQadrDI
ODzEWhqwHFwBZ7tSrI/rjNbiZrxf8P6ZJJsZdD7SGUVnlR1TbWbS2akU/Xs9
1isreGdYgc3e+r2i3zNah0s4H+JmA537osm1dvBfoB7MdD1OZ8kPXC+oybUa
obViADJd2PI3ZHqW2syq/Uv7mPYMlf+QewXJVvd0JprFW7W8NVPnYodBv7Fa
3JygvavDbzIesPdzs6V+V73H3Svw8y5rmPOR+u1faRaHGo/xbq7eSrxVOvza
q8+kWe3Sml2dbHUjym/fOdpb/zHV+pnWKK1Vik8xdLGf52T02+hQivGss3lR
vc1L+i2o+al52o18vttr7hbPsHf1/TI3/x8ttG88nfnDwdvb1bdwv81q6uuB
vHU5yXynPizF38+TL2sn2beT+lG/w+bDz0XOFwRsXlG7tC5eqbB5+Brr2CzL
Ea0Zp9zcGAv2fs7X14KWPypTkW9zhtpbxVyRiN6P0P/tJJutVecWOOzIsRqu
ffJtZGLpKe+wdjSYjL6v32/6TaTfRgkuHjSOrgSN50jefwnMDdzdxPrZYssX
zZtaj9XeXshfL7BZqIP1oQLr1/rduT9gHOp3s9dj/tL4Op9tdu3xWRzrXm09
7+ZkrQGdrp7fZv0Vb4fA0IZst95BZgP14Y7b3/ZZLmlO+blbkW32HuD9H7sZ
Xr8PYibbLKcz3f8BcBXyVQ==
           "]], PolygonBox[CompressedData["
1:eJwtmHtU1+Udxx9FVCBM8a5kXkCBvKIuEZOLqYBQKmhiFmLZkvkDxcTKtFjZ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           "]], PolygonBox[CompressedData["
1:eJwtlGtMz2EUx79UyqKkolVDQxbVdF1RiW72r1AJ/5QmKkw1rHL3yuZ+WeV+
2wybDZP7JXLZhLkMG1telPvM7Q0tsvk8e7z47Dz/5/ye55zzPef5h5TV5Ff3
ljQZ3ODcBKkZ7jikH97S8lipJF/aOFAqxjqjpCJIypDGQ8oszvlLE7FbIYj1
FuwdfHehnvPfuafVYe8196c6pTV9pfIszrGeBFEzpZN+UmOotGOStBPeFxKD
vQ/YOs7Vw/AC6Rm5jMA+4PzDLLtv/DXEuE8sBzFjx0sxcJ29b+y1YKtLpSqo
jJZuBkovF0qf5koVAZJHOLnPloLhcK7UNUDqiZP8yMMf2qj5HlQQ9yvxF2Dd
EM0Vyll/YS84URqSaP2VBdZnvvFi3R9KOD/bS/JmvRUtT3lCsrSJ9WboS7wW
d2l1Kvplox+0k2MruS6ItrmbGo7GS0s9yCVN8p1KjvCU/J+AN2e8yN0HG5oj
jYTCifi4N5L7w9DmCnpko0cSmiXDmVh7ZgBnstEsBz5SR62vtHe6dJYamuEP
Z9z57rfDxjIxXSKl3rAWzT7jW4MNpIfz6JtjBv0No79w+/883XLYvpj+hJBb
HWeGYQ/y+xDsHyvtg8t5Uj46XsK6opsLPGFdxN4z7F80DCO/ngLbF9MfVzRy
gShyTsUXje1D79zgHTGuEOs9tpXa5uCvwT8uhRlLsToYPV4wa3Hk/rzQ1mxq
b+K7ZXz/gXMZ/E6HG6an7BWyt5s7u/sx9xHML+smaPnvv15gczK57cC/HU7j
P0YuZ7Hr6Mk3etNOjy7w+yLMZ6bnwS/eUTLv6dooNEtg5nkzvTKlR9T/GNZO
QW8oTpLymIdS5uLvYulqMHXGMJPM9lcYWcVZ+MleG76wKjvnZt67+P4ye93Y
ROIlgB/v9jP3xbIeTD6DIJG8X1NjAGsnszoLDjC7aeS0LcHOjJmdeHpehH5x
2M5pkif96sBmcmcW7GJ+m6ABPV4y10MX8R/D+6+HR9S8h/tqnbYnpjdL0L4U
HW+h8wr2F6HHSqftgenFKt7KSuhkdovRtAObTl1pMIY6H1BbBPY5eZ/H/wJ7
nFpOwHBivyKHxmibk8ltGnWtJ+c87F7q2wdveIOdMKQODULIGZth4kAZNR+h
f3d5QxHsv8Ufjg3k7iDIpTc5kE1v4nzIkX7VjOYdwwb6Gkw9Dejczf/ffTSv
Teedse6BoDJ6zH9TRLitx9T1D/YtAtU=
           "]]}]}, 
       {Hue[0.4322485486007442, 1, 0.4015020096297388], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHlU1dcRx0cRFTfEXdxjWUVqENKikYcogoBRAVFOtcpLIOEpIIj6cEts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           "]], PolygonBox[CompressedData["
1:eJwtmHt4zucZx+8kjms1DpGiLcUir5CWxKExRELkIBGHOARRSStt3pFURUSp
VntVbaSt7trmsGHqVEq7QztrSycOQ1RXXJtu02HOWmNVJIR9vtf9/vG98vze
5/k99/l73790LCobVRpuZlFhZg34eznf7BK4l8FDptneJLOiVmbH7zMbONBs
Lr9/8oDZH9qbzWHvdHezU+C96WZbQf4os0Utzcobmq0YYPZRjtmHoGWqWSvQ
uJvZXxAY39msc6XZ9Cyz/ZFmTzXm+Udm15HRjXUVv9Uj/x9TOY9um6LNTrBe
ivyvmpo9g06v5Jm934vfOP/O/WYthpkdQKepIX0HcdcyzpTzfJF3cnm+zvvf
gSOcOwo+jzHrG2VWyvspyWZNkHmBs79obfZf/BDAplgQwV6DZLdBtqzGpjVg
FvLLwRb23gOv5rlu0vEcclpiYwy2xj1o9tDzZm+PNBuCf1ag35P4Zy02/wZ0
zDbrBE6PMeuHPi+gTyn3jUSHZfj7ZenPOgJ/hYM72FIPjnLfEfDHoWbbQTny
pyD/GOcXIH8ev80FaznzDlg7HnlgJrLLQW3A7Ba4PY07wZP4eDH+Xoa/C1mf
T8QOUN/P7C4Ix9ZfRbp+09HvFns3QRg2hIN1+KS2uVlCM7MOj7lO0k0yJXse
77zEu4mPmq3nvrmD8C/yRvPOHuJ3Y6bv6cwC8mpPV7PdYHsXsz+BGej0bki/
ctZRIf/uIKe+KnEfyper0GU1uDPdc0M5sg3de8wwexzM6mlWAaq4Yyf3reC+
N1nvGG22EX8vx39jyI+GnGnQ030sX2/FpwfZr8DHF9hfWez5uZ/3f816YYb7
XjGYSSxW9OYuUJhCHYHb+HrHw8gETdGtC7rOxvblFN/GeHyIrQcovZ93MjtT
Qc5wZg9nK9twvoh4JHku16DDCu6fz2+9o/38Wc7/sNJrSzXWMWj2LDr9C/0+
5kyQ9evEZyF4oL9ZJJjN+/vN75jDehP514n864e/GuG/C/h0bztqr6PZOHT/
JtF1lw2N0a0x8WyU7DmgXPhfouu7G7RV3YBPWU9D/2uF6D0W/4FH8EX7FPeB
7itj/yb7kTz/mefnea7n+UqiP38GmrH3XaHfpTsvsXcn4Hs6o3fred7Fuhq0
5vkGzzvNOaWOfLuS77WtGs+mflbjz1VgKHFLz/AcU64NG8w+OIjP6vDfQfxz
iPXKHsQWbsunhg+TDzOSnbvEYdOoywEDnXvEQS8Sn+vouA9d9oIO6FM9zHNd
OV9IrB+lBjuA7DiznDjXWbrPwsaIIudIxTMB/kiBP7b0Ndvc19/Ru/vgor1g
F6gG7Ubgd/DTIdQx2IbOZ0P5+QHr7GLPd+VDbrFzWkQohoplGvrFNPd+kIp+
dfDhkkjnxxHUY+eg6yKdlGtzqJk1ofqZy7o2zu1Xz5iN/aVZXsvyURb1F4Z/
DLxODS4Cuex/zP0j2B+U7BwjrhEniZs+DOWv/L+d9d/Ix0/DnU//zrpguNmk
4c4R4oq7Ac895aBq50FkRYMyYvxckueMcucTEKZcC/GJ+ks166uJ7n/lUCv2
n0n2WlBNvEttTKa/FYAJcMJEMDTZdZcNw7GlfZJztTj7WbjkbThv6XjnYHGx
OFvcLU4Vt9YFXBfppFqZjy0pLZyDD2FPgBqJBS/CIfNB0QDvHeohLZ+gxqd7
fs0lXyLJl7bUbDP2T/LbePbuBTz3dEZnq9GxDfuV6FxJPGIK3HZxWESc93z1
/hPY8TV4qg8y+3iOKdfEMeIacdS8IucoPYs/4rl/C3y+GSymxpeAa8RoP/zx
NfwxHl2u5Tt3icOusn4uz+cJceYu5C3ARy+DJdhWBe4VOheovsUFEZnObarf
BpnOSeKm3cj4D7IaFnntKIaK5ZYQX5eRj6e4fwzn88BVfr8G7ityblW+iLtu
81sduAVqwS5qrRG+Pkc/y0xDT+ytwt7PsL9rkcdEsTlKjI6BI/joy1T3mXz3
bQ+fhTQTTRjlNanaXAKqwJBkry3V2Enk/7PEc1s9Tb0tNbSvGeX4GO8h6iUX
6RuXQDE9diS69SFnppA7v+O332Z7zih31ma4r+SzNaxzk50LxYk5rN8iRm+O
9RlEs8gVznwLFhGXn4ALcMl5cB3bvwd1cV5/mm8Gq46xaSHYRl6+D7KyPP9U
EwHy60y+x1YxPst6ZZ73TsUkLYE4cecuUEWNvAHawy/7wp1jOgRdpmQfJA41
oCv+P0W8vyTekez/Hls3wFdbNbzii8Jkz03VbFGy55xybx/nvylxjhRXaibV
bHoz4LFUTI9yd81I53ZxfBn2DKcH5IB1xHI9yOf8v7nvAPd9z30D0K0/SEH3
VDAOHceCBcT2FTA6yWcJzRSvwXdXSlwX6dQZeWdLPHeVwx157pqO39KdY8Q1
68q9VlWz61l3J+fio11f5WL9OOIV5Rw/D3mx/HaSuw5zZyP8U1vovVU9Vr1b
PV+9/3He6zHOZUq2evxldHl6sPN5KfkUlUuMidl4+uVkYvJj9AorxVngYWaV
R+J9BtYs3BqfRoMWRc5F4hv1Ps2Emg3Xk7sbQDfknUbeMeS1Qb8fhPhVMWvC
ekLA9T/E/l30ialwf9fwXM9zOL4OS/MeqF44MeD58AX7jYMeQ/lGPqplnp0U
cHlH2G8edJ/L9+Kk69x3odDPqh7OsV41w79tlK/RCc4RV0PfDPp2eCg0b2lm
ast6SrH3UvXUSayb57rv5MOT8Hd1sfcu9bCdrI9P8tlVPeci++cLfF8zRoDa
2pjh3Khvll9SK4dLvBZUEzWsc/p4ravmf4a/m6b6rK2Z29h7Ot1jpZilErsv
Ur2XqKe8BD90KXJbZXMs6+UFrr/0a478Nfouau8c/QG6HC/w2UH51Y79pcT8
rXjnGHFNbYgrC/DzZLCl2M+rn2xgfX/Qa1UxUqyGJvjdknEDXz9BLPum+cyi
2SVmkM8emkGGMou8NtVnC/lzAeuz5MgZsB5u2QCGk8s5/X0G0CxQic0l2D5D
/kr3HqJeoppSbU2J5Rsn1jlH3FMZ4ltxWgXrN/K8V4ifNmc4J4mb9nB2b5r3
RPVG9Qj1ir9O9f6peNZM9W9KfVuKQ8WlSbwb3trj24L3Wwc995WTys1zk9w+
5U9tV58BNQtKR+laNtXzRTEMsr4d59866g/6tpwIx09IcQ4Xl88c4rESJ9yh
vrv18llAnNyOOrwc+n6WvRczfMYdFuI4cd2meP8W0TdJbLZzmrhNMVKs7g1x
W2RTb37P7OWznWa8INz/Qnf/NtQ3YlSWc6a4czExWgKaBr1WlQ/i8pZBr035
Q9xws8S5VTWv2o94zLldHP9RtvdM9U5xrLjWgs4V4gxxX9de3ntkbzbyE4h5
T9CEWawpiAg6N+q8uGZasuurb+4TMcQ43XNHOVRBLvXu4b1fM8Dn5OfdTP/f
hHroMN6tK3Fukr7qDf8HZpE86w==
           "]], PolygonBox[CompressedData["
1:eJwtlnlQ1UUcwL8gqNzILYKKxiE85RAwUBPTQG4VBIFJjLKG4lAfjyMllEnA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           "]]}]}, 
       {Hue[0.4197847690961962, 1, 0.4187595504821898], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHlwltUVxg8ERCxbiYAsUhCzQICQkAghQAiQhewhJBCh0LyMdb5AgHxs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           "]], PolygonBox[CompressedData["
1:eJwtmHl0VdUVxjeTgAXDPASIDCUzUwhhzpMh+AiEMUwChTwqNMEQgmFGW+1A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           "]], PolygonBox[CompressedData["
1:eJwtlHtMjXEYx78hhJQwt7nEOijXlMtQodA5rnVCUy5lNlHEQRezuXRBkWqy
YW6VS6E/SC5/GCMmzMZcZkwnl1xmLcPm+nm954/Pnve85/c+v+/z/L7Pzzdh
dVRKC0l2cIeC6dL1jlIaL26Ok27B8QVS/67SMaJjorQefidLfr2ls0FS8jwp
BeyhUjS4WcnjJbUiepCvLcyNleLI4RxIPr7Z3Ub6wNrv5PkBGaxJh1LWpbPO
ZxAayDm8vbR0sBRikUKhbgzr20rWCKlhjvQGQkP4HzLQnNhZqkXzmRnk8pY2
B0uPJkmPYeksaQkkQDx5bRNYO5UaIStKOugj5RJHTZMCwSNausO7prHSHJf+
2cSZMAsqw6QKyENnRhdpJ/HoWDNPDnnO0acqo19ocMA+NP3sIFnQ8pQ+PIGb
7LONfge4chq5e6N/Vx9pWKr0xU960U8qc9Bv+mCBWvbJY7+7xD7k6gv2IVJ2
d2lgAt8v5D3sHyGVwFt65ImmRuJx9B2DPPRNYN9qo34bOuC2zex37nip22wp
0xNNU9h7tFQOz2LQDc9hDXXM4PyGcpZXOesoznoyv6fAysVSEqStkA71lHwD
8dYw/ABZM6XPnEsusWqkWXsNfa6Gi3BkrjQdrYeJjWj/ACvIXcseScQM8mfC
fWq5Bw+gAZ0jWXcO/5yFJnpYwlmF46ETaPWlV1foYzzfLTI0p5r9HUHcgIaN
sJr3KZDAHjfYK5y6TtCjVehbyRmV8lwG9ZzNa9iD114YHsJ3OTwn4btsYiH7
F8Ey+pUItybjG/Rl4bkY6rPD/Ggz71r2PUKvg8nTA2/445EAaEFON8hF3yl0
ZhN3uJ7t7J3J8yZogoe8a0416/5fP7Pkzlymo78T/vCB1+v51kNqx//1PDsh
3+VZKzN1Hg9fgED6tZe+vYk1Z9GYSaPXRs+/ruN/fNhMbOT3e/jlugN+ElsH
sC+EkaOYHI3k6IIvO8Nyi+nX2+xZxznUkacQP7fDy+3BkzO8So/yw+kN870A
lpM/DY81cH714IwxazFqKnWYM1FOrGRtBfRjznbRx1Pkmor3I2Azs3CUmXAw
Gw1wkXw2PB4JVviDbgv63VKYmaHMDKTho5acTTH+K4Qi2EZ/T9LnLGIIPQmF
OOpaCAXoyaS2vcR4csaBX5i51yKbWZ9RpxVf1eCrSGLIWukb+SYRC5mTInjH
+V9mLt4SX+KJV+DkrNfgqwJ8VcGeleCkjno44zrnCqJ3uuQFwXyzkXt1HWf/
BR/14p4sxn95zFo+HKSWA5BIr7rhh+7cAwOYySB6X87/pVAG/vg9lh5449Nm
1nyFS5xnDYSh4RrfVsead75x91cFmX38m2z60vBn9DizZ9t5/kRNH6ENWn6h
7wDatnLvbIF8cucw7/OZrdau+9adeNqf2uAfLgc7rw==
           "]]}]}, 
       {Hue[0.4073209895916484, 1, 0.4360170913346407], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHtQ1WUaxx+V3XSjLG9p4gUN5HJAPIsoohwVUgRSQEQQvJ0QO9kBDxcF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           "]], PolygonBox[CompressedData["
1:eJwtmHd01eUZxx+QebTIFhmRAAkjIabI8BJIBAIJIYGwQmJA4Ar0xHAJF4Il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           "]], PolygonBox[CompressedData["
1:eJwtlX1M1VUYx79rvsz5goooGprIBS8IN7khIGG8KMK65AsBZSrQNTPjXoEf
keJC2ax4MQjFlaS00lAZarWAW7r6JzcgTcmWc03DGjOMGWNtbfVH63P244/P
zrnn95znPM/3ec654d6yvD2PSCqBybB0k7SOSfxKKZz5Mjjjlzrg9QRp0mKp
k/mbxdIh6NotXVwkJbgla4tUAe2rpcEl0liF9OMayT9NGk+WpjwrTYXGTKkB
xlZJf87m9zNSG/uOw69V0hfh0jDjq7Gsh0o7vFLqVmkNfOeSBmDBRqlsjhTC
2EAc9dBNLJ8TSxKxDBJrHL6LPJIzXYoGX7RUCsG5xMq3uYz/kouDnD7BfkWh
FAvRxLExhN+M/dmcB/lPSz+jT1aaVMC8EHKYZ8MW5t8ESS583N0u3YERuDqf
PBgjneiEyGdyiBGfPfASubWS22Zyc5PXEzCnWvovQqpMsPU2uiei3yq4liTN
mCv9Rj2C8qVZcAB/J/E7g/kx8m+FG2jwFRqko8E7T0qHYR85WfOkvYy3Hpd+
gpn4uYJ+0xkXWNJ82Mve29TqGvXzU5P7aORjnIzeU+Ag/g/AKey6OCOeM87H
MIfby23NYsitHJsyqMPuFHZO7B6i9WX8naDmQdR+NlRh8xq0YNeB3QrsLnPe
JYjgvN5JUoD5AHH3Qx+MTiXWDHIjh76F1Ptl6Qc0vgn78VUNbfg7hz8X/q5T
/0r81KPDDeaDEKAXruOnEX9N0AytxH8UTj8vfTidXienZGqSBEXU6H1q9Uqs
3YOmF3ex9gFrpaxl8jsDyllrZ20Pa+fJtwsuQNRM4suwa2xqXYDdMex2Grs8
/HDfrHhsmV8EBzYRkILdYey2YbcVGpkneu1vxuYxWAJxrNXxrRCbWOr4kLvn
suxamZp10ifnII4+eSqYGlDfaPY5YS17m9lbzN6V7Bljr9uy77a548vp/Shw
UtcN1PcWGi3k+zB2YYyl2Pjg5jbqAOU7OZe6jFA/B98fYBdl2XU29f6SfgvA
Pt6X58i7m/lSvv+O3TLL7hvTP2dZ/4f+7GQMo/8Xg5Pvo9jFWHadTb2vbCZv
7sW3jMfx2Wb8ovU0ND9CXT1RUi74ye8kefq8dq1MzUax/QPS0LwWH+mMldh9
hN1+7NZjkw3t+M7meyhv2PdZ9A7UrEfjWZzFngIozLPfDvOGnOb+RvCm/M39
bYF3oQZ/JfRcJt920INeGOYsL71ZwryXnuyB7R773SpmvITWqWg+Tk92c14P
hND3tej7BjrfQe+7cJR39lN0qVhtv6HmLU1Ao3HWEi37bTRvZDM0wdfcj27u
Rwr3Y/cG7hcxeFJ5b5mXgocYr/KeVfGuObg3kbCLWN9Dlxe89p0wd6OItSbW
0rx2L5meepG1FtZyWIvjtwvuEdd93pV0YlkHWZAMfxFfimXHZGKrnnin0qjX
PGoYAgFyqUWD3on/FvMf8yj/IYvgM+5MFz0UyvwQca+lX95ifJveqwM/feuD
s9Smg/pdoH73yGUIfuFeBtB5iLEJTjBvYXRwZiQ0sKcePmbPJmIfQHs3uuRT
Qye5FVPTEhgpoHchjP+VB/w/DEXybk+c18HYx75+qEEDN3cvmDt4kLtYm2Nr
YzTKxd8RNPOi3f+gAmJ1
           "]]}]}, 
       {Hue[0.3948572100871004, 1, 0.45327463218709174`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHtw1NUVx48P3gEERUFQIBJCwhJgCUmWPDYJBAIJaR6wSYC4dCGBBTeQ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           "]], PolygonBox[CompressedData["
1:eJwtl2twldUVhhcUplpoQSRBJAkQIBA4hOQk5A4JYEwkJIQkJCAJlyM59Qgn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           "]], PolygonBox[CompressedData["
1:eJw1lXtM1lUYx7+gFAgIKhgsQAK5CIRAiKK0wGvBC+MFi9iyzNSiBfJyeTdy
RmJbyy7iCLB0XRartVVAWCAMnA5bMaXC5T8WZLgFFda0tibZ+pydX3989pz3
vOc8l/Ncfnft2ldW4ytpN/hB32rpy0hpcK/0ww5pEp5YK533l45slmJKpRVw
kf0J+JhzX3D+Re49XiSlh0o7kbs3SHvghWIpOVi6UiDNrZGuwZ3bpHKMXkqS
EiulJDh0v9QCH7LeHy6FJ0s3HpauwyDn8jk/vFX6qgr/4Mdc6e8YaVOdFLxd
ylgmBSHD0bEcJh/Bf5iB48ulq8jih/ArDPuJUkq+lAq9xNIDcfdKvxLjp8Ra
gs2QxdKtLZKLdTFsIL5jxDm1h/iJOxbGE6R16Lv8ILZX4QfU3yfVgadQGguR
apFHXNJr8Cps8ZEOcq6vGlvQBQuipZPI/dnSbax7WH+HzksQ2CA18h7tvIs/
64AGa8fYc6N7CBulyHBiK8GXP/Dpc+z3Q6pHOswbpSDrM6WGTLtv/t/OnWHu
ViALsJsPT7PfFISv2G/hzlPY9c2Snmd9EI4ScyschyHetBO5lhznQHe19b23
2vpt/A9zfFqGTCQ3eeRoFfI98tMFs5zJ4/8pfL6M7e8hgry+hM9J2CsiZlel
PWvuzLFux6eN1MYMOn+GaWxvDkQX66vU1jRUOzU3Rc3Vsr/P+FHDPfzz4/9h
8p5FHpaSjzAIBz90LoTaShv3ZKP0Cz7MQlmTlLmSePGtmzf8BA6w/z5+NiO/
JifzsfRDg7VlbJ7GxgikYa+BnojCRgb7FcSbS+4WUYOBcMc66hUaqe00au5N
t1SVjg9QVcLZJdIzyDl+N1N/Xupvglq+CJ3Y7sWHDmQ8vq2E31PoMUgglmbi
6COeYid2F3LF3dQu3JPBG0AstT+GjfhSWx+mTj4qkz5YSqzICPprGhvn0e2h
7+pg2G370YudEdanYb5eugkpToz/sF7ilc4R0wlyF8I61GtzbHJ9O7HP8maD
vNmpBrseQsZxPx4WcNYXXuHuGXQsZO3KtW/+HPE2wbPwGX7fwv+TyEbi8UIw
eoKMrlzbO4tZ+1DHgt9MvtBxDflGrl3POXk2+T5K/d6M4r3oh8OsXwZf5pkP
rE+0ef4GfVecupsir+3kuGON9cf45aJeUqmXB9D/J/fjePsbSDc6y+BJZkk3
uXTvtf1k+iqUmEPA5cyoImTh/3qQF3jrccgmr23ENFNp56WZm2YWmZk0QW10
oDcH/evJXS4c2GpnbU6Z7SXTU2nOXIjEv1b23yLXXdTgGc6eBbdT76VNtpZM
TQ04c6ozjfnBuh9WcycdRt12Xs4zLx9jnpxlruwstHPQzEOTT5PXv5y3eJs3
OIXdAUj02H5P9ti6NPU5zltX0DPfIqe595OpqQLbs7XkYAd6Qnj7GHKQga5M
iOabEgXX8WeMeILKyT3x9aD7dXS/Q9zvVtpvg/lGtHnsf+3IjF3EAlnomSb3
j6K/NdHO6gnsJlTgJ5TnSNv4RpRuohfoyboS+40z3zp/eiuV2BYhR5g/wzC6
kbg4H8A9r9Pf+cTcgo+HoI3aOUGc9dTOKDrOwYVsqyegxtaDqQvjt/H/mNPv
XuIaQP+/3O1HRufxFhBJzOPEHlFuZ5SZVf8BK2lvFQ==
           "]]}]}, 
       {Hue[0.38239343058255254`, 1, 0.47053217303954264`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3tU1mUSx8cLhRcSQhS6eE0MQi4veEEQ0BYhEEFULu3p4uti+1YvlxdE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           "]], PolygonBox[CompressedData["
1:eJwtlwt0zvcZxx9Uq0gkRd1S4lISNZeKXORWKuQgF0rMDtvOWyX/Hm8sEa+q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           "]], PolygonBox[CompressedData["
1:eJwtlXlQ1VUUx79jkgtbpjbkkhqGqA8RZHEBXEpMQRYVIckBBYGnITuK+zqK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           "]]}]}, 
       {Hue[0.36992965107800463`, 1, 0.48778971389199366`], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHuU1uMWxx+VjjgoRW6LJs2YRpczTM19phsz3pSappnJlNFbk3nxmmZV
IikcjhzHQUikctwqSpxTLeWSFA4ixUL3C8lxdxadZTE6n+/6Pn/Mep75/fZv
P/vZ+7u/e+83I9lcdW2bEMLyo0JoyzqxbwjHHR3CreNCGF4YwkMdQpg6JoSS
7BCeQnB5KoSZ6RA+Q/aUniEckxvCLOTvqQqhQ9x/MTKEAbUhVB0XwjJkcvnm
Cb7d0BLC9D+F0OaEENaMCGEFz7O6hlDfEMJfLkFHuxDu7M156N+P/i58Ox0b
enXGtuoQBl4YwsHjQ7ioLoRXzg2h/OQQWtlPTfIc+dv4rqgSO9F/HvJDbwjh
dWw4UhrC2mG255ySEP6M3IBT+K4+hMXcbTp6OnG/i/NDeO2YENpzTj9sOhvb
jjSF8AH6y5C/Gvn13OEcnlfyfj26unDfGy8N4Xp0HsCGk7G5ineZyJRzv6U8
n/GHEG7KCyEbn7ZBvgAf16CrCJ2l6F7GXzH7sTw7Dbvfw86MshDmj3Ms5rI+
zzdnybecVV9v+Yv4bj1nZHNWI2eOrGHtEsII1iuQKUHmUmTOj+fq/CnTQnic
Oy5kv5S7v8tZ23NCGBZj/VoFsejtWCgm/yp1TBcS37XcvTtnDeasEs59kpi+
1WKbZNtqbGzk3FLOrePcq+rtt/Hsh/FND77NS9l38mFP9iuI4wX4/9M6x0Nx
mYJ8YTHxwIYtCWzgjAzky/iuGZlyZK5C5gb2A9lfx/6orBA+x/9fsm/C53vY
dyIWbYeCy45gEJ/M5t0XPJ/D+48HhVCNH5r7I5Nl/Pysc/HPFJ7fS2w/KA/h
0T+GsI11Nd+8yL7XADCash8qsGct7+bxfPfoED5pxFd8Oxgd4xsclyuQfRcb
arDhPda5Kd/9Et7fnPK9BrF/jDsuwp87iMUddc6R9eAwxbueyLyDbGf8+ws+
acTfP2WGsEuYx+YVo8hDcmQ566w84024e6QXGMK2y/HhZnJzDTG6HZlibH3m
pBBWFZDL6H2Mc/PB/2LOzSAW9xGTdln2VZgAFyDzD2QKkDmK/wfh89n4/hrO
2IvISfj504Tjpbi90eJYK+biBeHneM5/M+kcacX28RGfL/OsA5hfzH0zyN09
2JCHDbtYNyh/OLeccydFXL2N/GTO3Yeezpx7Qj/7djO+/QasbjmWWBXh27Tx
0BWZHcRoEX44hI3PwwO/Ir+S9foYr1fBwKLIAwtZT472bMXmJfhrE/a3sr+t
1piZADYODQYj7A/x7aQYo6ux95dM27YKO+dGTptDPk3h3WLu0p+71CTNb+K5
HiPMaXnwYgW+upezqnPNQeKiW4THhO3/hHu8kfJZwkUZupag81WejcQ/hfgn
D909yswh34Klomxz7yPIVPH3NPsPic/bYKMW265Dd8eIgZUtzm1h+yyevRNl
DiPz3Ahjch129SWX3sLPfWocG8Vok/RH/jkT7MxudB4pnzYW2w/yx/GxRizl
rruTzuXJ2D6MvwL2uTyriDz865AQuoHVbWC7O+vBscb/XtbSbN9lNeduBvPn
EdMaMDB6qPe1rLcnrXM4ureV2rfHEc+7Kp1r/bLNKcrBzugp5P/HeX5fyjmm
s04l526inpWTLzNHOk/kq9nIzAMH3yOTjewibGjLuT/iqzNivqxucc5oPyfl
83RuM/sleealV7Azu9o1S7Xr3qTjWIXN7SNmnkJPa5O/FU9kpWznS+yX9bef
94DH/L7m+Qy4fVWRc+GhMcac9NzAd8+Ock1sLXUNVkxfJaZPFzmmMxO+j+71
dZ8QriRPPsfOfeTZmqhzKjq+6mOZj8a6HgvDZeiZ3N85In5dkDIPjMTHA7Fh
mXDIHWdw9x9PBMucta7KXHTsVPBd51qwk7WEnLkJ/WeAmee4Zzf0FDY4H4SN
r7njZvB2N3jbUmMuk57x2LZ7mu+4Bfz3bPFznaM+RjVuF+/XJM0/4qFHk67F
tfWu5arpd+LL3+rcY/zOOnGIzxU213Cvc8XtDc5V4ep39Ddl2Z73sWdWvXny
FnS3izVoK3d8ssV9hfoL1QzVjpfJ6+Js19Mn0L2duHTA5h2sN3Pucs49Ld81
Q7VjHjJHcs1L4qfWuD8DHD3cyzwsPj69zPX9GJ7vA7uXo/MA6+vlrgsbWC8a
DtaI3YPEa048aws8tzfy8EpqwbiUeWY7tr88yf2D+ohNCcfxzYRjLwy047sP
E9av+lNQ7HqkurRqkvWfyl02lbt+qY6NHmwMC8sVKfeZ73HW2Ab7ebT6x2Lj
oTd46Ip/L8XPP/LtgkG2P809mhKu129y7nmVxtuXLc55xagWP9U2uOdMoLN+
qGv6QeSfTLlnq2lwn6e+5WNi936smx3xYZeoR1wyI/YevyGzL+laox7kfPa7
1UfD7T9gTxvivpC7L4q19VHWtZH/f8X+jUnXNdW3jMjb3Tlrcso4KcCe7/DP
w/hn/DTngHKhA+9vTNtO9VndKl2zule6Jqk2VeDvIUnXaNVq5bzy4oVR7gN0
r3e536hJlq9F/0sxH5U3BxPmf9WB/vj9Ru7SjzU/9tjirT5Jx3Fs2vVAHCIu
OZy0f+SnvS3uhdQTnRm5rgAd+xt9r5+wN6faGM7EBxOHOtbiAOmV/hOp4x8k
nC/ryt0rqwdembRfpCcfTjgIXi/Hz6PJ9dlp1xf1jOr51M+c1tOcIv1l6N87
zr3rKvJ9eI3x0HuAY6MYbUg6b5W/6iXb5Rv/l5Ern7QYn8LpOTF26t+3thhj
wtrh6MMh4Hd50r2BegRhVFg9wPuPxplz/o4NxUn3ruphr0y7Fqi2H8n0zLUz
6XqmuvZX9muxaQS2vcg6JW1OU+//UnzeBt5eGeu+auaDMV+ayJdP8cMaZHay
Po+/ZuG3f45x7dG585LmJvm8PuFaIv5XHWhfbfyor9SMp9lq6TDXJNWmvXDv
F9G38vHcOMs0ccfmtGOnOWYfHFhILu9hXRhnCnHh0jivdStxHyZsq0+cnna+
aM5Q36b+bQs4upvnh/DP6T2NY+H5K2pTW3Rdyb3S2J412nFU7X0gzqTqj2ZH
rm5Pb9uZvNgM/g9TT+6KdVZ9QSXfX4aeCtazS2ybZsqm2KPu497D8WluJ7iJ
tTXhXFhS5JlW/c8C/Px05DfN082xVl6L/ffHuB8mzhfHsw6c6/qqOvsd9far
pOejaYpPgfl8/0jzqXhVteKaMb5v8xj3SephuuLzC7nzJrh6Ina1m2BfHQ1f
fRtnZ81AV0S+Xac+Ns5KmgPU86lP0FyiXFWuPTPJfbz6+feR/Td6/4v+mXnu
I9Uj7crxzC8/72e/OHLR/zI9NyrWn+X4fz1fwvv5EZ+qS3P6Oi+UH/WRt1/A
ttLIgbM0W7WYtzVz18S5e2nKPZB6oZK+7gPEe/o9oDHOZRuRGRbzUfOEejX1
abuR/T7y9ncJ13Vxfl2u5zrhbQHx/zDpfFRe1sZZ/vGke1lxzmdJ9z3qfxZz
VkusEZpL7og14udM11TV1v/kmAvECVvLHWPF+gfNs/Es/e4yIe3cV7+sPl55
fSjH9VK4Osi+tNJ9jn6/eaCfc3zHJa5z4rd3Ep5jtRfn6XcTYeBUcqcbOVZA
v31/ofEhnGzGnomxD5zA+re080U9zjPgbCZ4W8FaEHlVtVo9q3rOnTnGtLD9
SNJ31t3vYZ8fa8oF2Hh12j7U7yIvxn5D8830OPtsL3ctVE2clvLsrTnlbvYN
ca7UbzB1sT8RT58Z+x/9znFH2vVIvxkcavEMpblte5wNNWO9lXLPoF51UJwL
buPZSZETOrF2qrZO6U6V2z/inhkpY1LYVO3XHTvizx7Z5tUXxvg3BfU5z5JD
G2MPpl4pE53F+Hw+Ph8S+yjNhbPjLJ87wPwinvkaf14WZ+35vdzfyOZveH7d
YPOJ5tRbI9+m+nr+FP9sG+reTlyxqcS9lOJV2tv9k/Luqj7+rUczmn7P+z/k
t6UK
           "]], PolygonBox[CompressedData["
1:eJwtmHlw1dUVxw8EIjthDVtJSAD7ngiEBhJIIIJA6KMshoTFFm0fJPDTEYhg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           "]], PolygonBox[CompressedData["
1:eJwtlGdIlVEYx/9crYwstUkDzbJuy6C81xTNlqtupV5TuwVCpemHSssPQhsa
RDsqCNL8WtqwQRlmw0obamBB0bBB61PrQ9Dudzjvhx/P4bzPec4z/u+JXlrm
X+WSlA3dYFqBlAIjkyV/L2k66+RMKQnOBaSNA6SYMdLJXCmkn3Qm134zPlem
S42QnS8V9+c89leqdD1Emj1F+pEl/YTWaVILdOVJifi9xv5ZyN3E/o29NFVq
gNSx0izI90njw6U87M0MqRnKyKUE/yBy6ZEudYcqzkazV4P1+aU5UDBJ2k9h
Gax9iezBP2I3U1sdub/OkQr7Sq+wYcQIh09zJBf3fcGuhXUQFE8t7NXPk0Jn
Sr1hIjXHwkFiJtCLyAVSOfWXQRu55uN/H1tBzDXwjLziyO+Um/rYz+Z7o8/6
m3MeYsXBEeIlES+GeJtZb4IR7Nf0kQawl54kpUG1x+b5mfzanfv6eKljBnXA
Vny2gMtr77qMz7O50kXWh9grx2c1tOLTAh3Maw/zaMMexW9fMP1mv4p1NcTR
t8nwFLH0pGctzLR0PnPujT/9yKFHftjFzHbCU+euJ9gH5NoBsdTZECotJpcL
zOQ8ZDDLRfRlNrbAmXUbvh58vbCMnr9lrwT7gny7TN5ooBz+OrppoqcH3Hb+
x9j7kYbW4DlrD3svsZH4R0FoAmfIfwMzv4fPfTjraLs+YGdgZvGe7xvRTgga
+sD6I8TRt3XkEk9N18ntBowiZgx8J24bcfuiq0JmcoQ6m9G5h1q88MDpb+lo
6Q413IU3blt7ZsDWY+p6RA8eQqfPzmB7rLTS0fsKbAM+l+HrKCmLeAOJ66bf
Y6CCu9dAAX6F+L8j/lnmVA9XqdOFhk4zvyZi96SOYGwQNQV77XkT5za5fw2T
bmGfOJp9jC1Gw8vhKjU1wXpq+oZfK361zPEEHPfbnp1HJ3vQxG7IQiOTItAs
2hiBftv592JS0CC6Pgwtzn1rPTauib/Q+W/7U8tAGATbeDu2wmBqOcmbsiPV
/pvmH43mDenknxmOvWZyhDfOv53IXKI4Fwl15FDB2bxZ1ExN79BuqukL6yDI
JIcM6CSHKuZXSuwl3F1LnEZqG0K+Q2HvOOqDM26rry7ORvAWVRr9BewMzCzC
0VEYVAfstxrsMt7WBeRQTi776M1+mMqMNzDrIuaxHEogGY0lQYrzLYF1d852
g1de+08U8U/UEXM9sWuxUfR1OBSjrSLwzrV6nYKNyLX67Jdr31Dzln4zbxvf
j3nsm2LelmBmNIFeViba3E0Nw0bbNz0n377J5m0u5uwt5pbG2Xb61QH/AQai
GF8=
           "]]}]}, 
       {Hue[0.35746587157345666`, 1, 0.5050472547444447], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlnlQ1mUQx1dUkFFJJSvPQUNBeqVQCPAF8cL3HYGSV1GpNIMs1PGAHHXU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           "]], PolygonBox[CompressedData["
1:eJwtmHlwleUVhw9rQBaBpC1QCGAFIZUgS0gihGAIJEZZmpCFSkq9bLnSUq8D
saPWKrJPtTqKCIXCAA5LAWUkaCJOwg4SNkFFdkVJFITaIYIJgT4/z/fHM/e7
93vXs5/bLfSX7OkNzaxHA7PGfO5LNNsLDw03S4OXCs1mQbiP2RMwabDZRHh1
lNlr0Gu0WU+4HG92BXaGzHbALtgNBaxxDxs0a2f26RizW+lmdVDLnDq4Usxc
WMHYlbAtYlYCZ+PMzsHTw8yKYXa+2Ry43p13Xc2WtGT9VLMtnOlduMRaVdCp
h9kvuMt53mfnmWUUmI2AIZwjFb5izS+h/mmz23CEPQ/DUTgGCZlma1qbNY1m
brLZOn5bC+thAyzj7v+CN2ExLEkzewtGIIsMuMDZP47lt45mRWH2SzD7po3Z
va3MDj7kMpPsJjD3j3CJs3wDjf6K/GH/IHQAlZz9EBQ8ZpYPq9h7NWQOQD93
cwbud5j738cePeBD9t0OnXj+ddhlKFmWQSkMm2CWDk/9ziwFXSSgk2nsWzHC
rBySk8weTPI1tNZ53l2AA8N9rObMZG4UZ24Kk0aaTYavGXMRjLM3gBLOuFV6
hPdDMiyzO+jsNM9noJi7zIT/8vwDRHh+Ei7y/DVUsHc5ZHLWhyHEu8dhO+8+
gj33+90lg6lZZnexZ3P4nDknoQZbug57GbsPqjlbFTRlTBTsZMyOiNuAbCED
23oG3SS1xV4G+hiNPcaYT+BP7D0NPmOtz2Eqz1PgAM8fQz9k3Tfsa2rty5JZ
rNuAbOEL2M/zIuyhkHGFzB0P7zD3XRg3BR1DY3yuCZSj08Xc7yb3ewldVzP/
EPNXYZO/xTZfTfbvlXCJd42RbxX+UNHe7CfWO4FMjsNSyQnem8E43pfz/gbv
u6G7rtCIuzaGOmRVCxd49yVsgo3wEzqrhSj0fwr51CGfjWN8jMY2YN+GsG2G
77+T9RtOZH/eHQ+5zqX7W3zWdfeYoNhwFB8+Ars5wx64zG/fhdwmZBv7OPNe
+Io7XIQYfDsaJuPbU2AoMkyFwZAC3fGRzi04Jz7fjP1++YCft4bzLuG8F5Dn
wih8HXleYr2TWS5byXgJ+1QjgyrIQAeZ8O9ss+XQvC+2BRWcsRyeZe/n4PU8
jy2KMSPZ7zv0/W2c26Bs8RViwcswnDVHwCDW+ju+s5YzvpHiMU6x7gYyuQnP
MXYia5XHmE1HLo9wpyzIgMywx1TFVsVAxULFTMXOttyz3QOuA+mimjW/hbPE
ujPQJQM9Z7hNybZ+T8x9DLZiM+/BEHwrFdahv3Poby36e435Nd39+9t8n8f3
H/l+nu/r+P4639NnEktmegz8ORby21LFRVgOL2Cf/Ymdldy36xBkzP0nED82
830pz7dZr767x1zF3qos1410dApdzWZ+GbZdChs55zndKeQxQrFCOUG54Qax
+yasTnRdS+fNsdWV+EyTNm4TGcTRInQwnPeFvD+ArPPGmeXCFXTxPWxJdNvW
/NbMv4kv3Ch2G5Yt70v1XLODMyawdmYQL55gzvKBnpOUm5QTlRs38Nt6OMe4
8xCDDe5l7Iuc5zrvZ7Pmmvaew5TLfpNLfoR6yQH6k2v7QU/oBQvQ2fx09xn5
jmLo6UAmko1itGJ1LbKog0OPoLOWns8P8hyHPG9if0uJH62IH2XMKQ25T8o3
j7FnDXd7FvkPQl4Te/hcrbErz2OoYql0Jt3JZ3cHPiHfCGELj0MiZ02CeY+a
zYUFvdEprJ3hd9Wd57LOZO4yCTKQeyacYexpiJAbn4IP0UEZzMOG58NKbDya
s+dzhz3kH5vosUYxR7FPNl8dxJDLQQ5XLlfMVuweep/ZtRiXfz/kFI0MNjU3
i8dGo8a6jCXrJGJMMszFt+aMdplL9m9jg+9ji38jfjfFH7sxJzna4/Et4kMB
PpQ/wX1WvvsJvx2D5oy7C+aH3JfkU/K1QsaOh1zG5sFC9lwAV7GVazAd2/wz
lOK7ZZDD2OwJHvMU+wqz3BZlk8uIX0XIrAX2+AE2/1aCx0jFyvas2aGPr6m1
pSPpyka77cqG9xNXmo11WUgmHfHXJsh3F+et5rwfcN412MRq6I2O4mEAe/SH
HUPRw1CPiYqNuoPu0gIfG4P9bELmD+Z7zaHaI5azdwl7zlTuVI5WrpaPyFcU
4xXr57DXbCjFdssglTU2x7j/Hk7zmku1l2pO1Z41Ic9tynGNsIdrrHm12HOY
cplinmKfakTVilvGeX33MjHp3p74ay/8FdZRy6wf6XfW3VVjHMH3OyKfDtAN
2dwDSdjPdmSViMw68fueID7IxmXrryR77lcNcBbb+WfIY6v0r9h6sK/7onxy
To7HYMXiaGQTA3W9vVZUzVjEedpyxucb+pwVnD0+021PNrgo2Wte1b4l3G0b
XInz2kA1gmoHyTw2qAlVG6qmUm3Vi+e4sNfoqtVV06i2UU2g2qAVsm4N/dBx
X/gVsaA91BLDC9j/Sc50I9tlJtmpplBtIZuT7VWh02pom+NjNacdz/UFnguU
Ez7CN2fl+N10xxd43oHNV8AmnjfnuEwkmzbQNuxram3lbOXuq1me+xXvr/E8
gJjeP8V7GPUy6YP8nXLCj1kuI8lKMUixSDlfuX+Sagx4HpmWxHr+ikXfZake
GxUjjzL/U9UP5vXDZ1neE6k3Ug2nWm5D0CuoxlOtVzPYY49ywHjOUxvyWk3x
S7XTKHQxEgZwt4Sw17iqdX/Ahv9X7DFCsSIbcmBxitcSqilepF5vBS3hIDGz
Ei486rFAMeE/2NLJydStkz1nK3e/EfJcrpy+YYbX4KrF69nrdrHHXMXectaq
GO420ivoMdRrrM3x3kg+dAdb7jzWfUE+0S/TY6hiqfbU3mfiPJcrp7+DPZ4Y
472gesJc3q2MuLyfIb7WF5GD8j12KIZ0SPMz6Wzfc8ar0KSH+6diVGNiVQk2
uBUexjeyoG+S5wrljHb0NXtZf0/EZSxZ7+d5X8R7FvUukvmAoIZXLX+7yM+i
M8kWUoJaU3N+npvmsUgxaRlnKSBG5UMCPjIQpozyXkLxdRh22nmI25Jqopix
3qOoV1EOUC74AlmfhCmcdSqc5kzbYj3nKPeoB1cvrh5WvezCeN9fNc1C9jqs
/iDiPaR6yUqeD0Y8Zyh3qKdUb6nf9E49mno1yUSykY3J1lQTqDY4Fefn1f2l
G/U86n1UE6k2Uk+g3kA9XknQ46nXU4+mXk01QGJQw6iWUY2mWk01p2pP1cSq
jdUzq3eWjcnWWga2nBPY+nHZSsR9Ur6p/yD0X4R6RPWK6lnUu6iHVy+vnlG9
Y2ZQO0smko1qItVGpUEvrDW1tnpC9YbNkHkUrFCtUeA9vHr5RZztTcjFxsfC
bWzsDjTs6blD9j8Ne4vke+2uGn5+mveM6h1VE6g2WB7Uxurh1cur5lftr/8U
9N/C/UE8V7xWb1eZ6rlHNi5bV42kWkn/mei/k6iw1yKyj1mM70rs7wK52Fre
MP9N72RDq6TjrKCfRO27ef5D2HtR9aT/YOxh7OlQvK+htU4g6+N9vAZSLVQb
xC/VUI0KfA/tpRpXta56WPWyyrnKveGw//ehHKhcqP8s9N+F/uPRfz3/B4mO
zgs=
           "]], PolygonBox[CompressedData["
1:eJwtlX1M1WUUx7/4wvVqmggs01WASi9TiOAK9wpqbabhK2+CuQIvBlZTu63W
phW5giZNV206ggQq2kWCG6WWEMpLS1QgRrgF0suiXcrKWnMSLbn2efa7f3x2
Ls/zO+c5z/ec8xDt3pu5Z4qkApgOXyVLM+ZJl7ZIiWlSEjy1UfLPlUYdUmiq
ZIOIbPbDpUjsQIL0DbizpN/xXeiUTmZKp+DoQ9IR2LVJSgmTirDL8yUH3Nwl
7VsgfYtvago54PtrhtT+sNQBreulFjgNsSHs3ysd5wwb536EnSS3ABSnS+du
5Qxjl0rd4CK+E+xPSi9xxmXO+NMtXYWpsdJYFPk9B5x7EnYEcy/A9q6ReuB5
ckljzc7+52ulZxBq6j3S7m3SHmjE/0fijC+RKolbBY3o9h/39GFbifEFzOH+
s8GVKzVFoAPWxzlN0AiHiHuG+DfRKwB55Jo3h2Kwt/dBaQt3H9ogjcB3G6w7
m7t/wr4dLZqxRXw3a7aUzH4idUqCrO1SJhwlr/r5Uh26RHHOXbCec17lbmXc
rW8rd4Z+WEyMXmK5VqAf9KPpdbQdwBZQ93wop4ZruOMb2PeJ6SX2m27rLHPm
MN9O4DOUbsUwsUI200f4CNsXJ30Nm/l2E5Tj+yExaohVBZXwOL6dxHgMuxu9
2tHNgz2Ejochjnsug7Rl1OAWKZ7fJ+6TXkZL/91SDvXZCmP4B4jjx14kbg+M
eKQLd+KH3UGPuCGdbx+BUXzzidGMPjOpgx3GMqzevIJdF9RtLTabvRy4QWwb
NYrKkWJgETjJ50VmJgX7Afevg5/5bhQGVnFnm1SRJM27XwqDd+iX6+hTid1G
vy/FdzvWT75jcIBv9+PzJb6DxLgEMSulaIhhBp30QTR2MWcP8jsW68WnHp6l
nh6ooCdOmzkmpwr6xztL+iGPnoLv4T30+Axd6jzWfJo5DXC/SVhI7GTi3oF9
gvdgJxQauHctc7mfOu6DG9Syg1qeJec+/HqhlP6cML2G7UbDXH4n0Hc2ZnwG
zCSmHaLXMRN2YvF+hDG3c+Fjcmklp2askzuNkMOKHGtmzexe5R5/wCmXtedi
r5i8i+Bp/CuY/X8TrBqbWhewdoS1a6zVUkMfGpzA/xi/q6EWHWrgLfoghj6Y
Qn49aH2NHipBy4TV0gNwmXzOk9cw9gp99xsE+G4SvC6rBkvIJZJ6nqOuEdjB
eOoWb9XT1PViMO4FbDV/16FbqduaCTMbpnamhmfogwzq1oZN5OxINM/hdy7k
wdvo1YZui+iF29FxAfjJq5f8fvFYWhhNuvDthNRgbzroBxvfxpFraLZVK1Mz
F7o64SdqFc47FG7eYt6MFvNuOK33t4Fang3mNY04r9HfpdDAeS2c6/NY7695
h1fxBq6Eaej6F3O8Gm2LiVkEBzinhH5IQ/vl5OaA/iSr/x8l/ivoUAKhhfQ+
+nSh0078HNSmiThDxByGTta72A8ptL43fmbWzcyPo+904v2DLee9OAhVaFDD
WjX2IIzzhpSxXsbv1+Fd/kf4TK68Ocfp7waYz/t4G/zNez/BUxZHri84rDjH
8Onm/ufh0+C7vBGtOtCsE+pZC2XNm2XNk5mrNnJrJ+dxtzU7Zob+B/uZcUI=

           "]]}]}, 
       {Hue[0.34500209206890875`, 1, 0.5223047955968956], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl31U1/UVxy+KR3KrDaVzmpuWLTE5v4EYIMlDqKQMZBQ/Aa1t6s8U0ZGH
NHQtO2rG5mw9uIfjQynNHUVNBE1RiOIhhpVmOsm141ScmTO0rWNhQrjX3b1/
cD4fPtzvfXzf972MCC3Kf7yfiOSHifTnrAyI5ISLPPuoSEKaSHeESNs4kbEl
ImuGiiRy1uSLVA0WyZ4h8mEZfx8ucozz4BJkBooMmCMyPkVk6LdEPs4WGVdg
8rV8t3iSyKpbRRqLRGaNFolFpj5HpA9bOweI7AiKfBpvtu5Tm/xex/sx3r4s
F3njDpH3QvjJt7l8OzdX5CY2Ir6LX+gZOk0kaYjIuvtFVieLTLiFtykiRx4U
ieJ+K29js0S23iYyDNk3+eZFfK5KEPkC/bXob0T/Lckmr99tx8YN9O/kXPsT
kdnYnZUqsoIcFZCrZnJW4bbuwtZzKRbXWzmWR81nQ6nIbRNFRpHP8CSRC8RT
QYz3EmNEqsUyushyqrnaT64qiX0lfr6Fznp+VnB/nL8vnkAc5PDmVP5G3t8m
/42cPUs5uZ+LQS/xf4WelejoW2oy53mv4PdN6DmK/VSv0dBC4kRnF3k4yj3e
8/MXZBdNtrg0lwOSzP9hxDGf9xhk1j5MTYi/jrx1kLdnsLsH+b75Ip88affh
6DsZMpnr5Ph7bqs8kZwGLS6N7yW+bUA+gPzAaebnEO7JRWZX83ewzGKs43zO
c64+/nO63deDo/XU8pvviPwLXIxATyv4uTsdfPDNCnIeSc7PPEB+vy1yDZk6
fKvBt/2c7wfs/SLvheS6kfzsizG8Km7LwG93tsmobGyGyCHud2gOeb+G3Q84
X0XXTnRu4qzIIy6+PRnHG7/v5r2K86Db3Y2ez7i/yf3fIcOiYvIe+uYMvx/i
/TTn+ALz5wox7if2AuK9n7d+xB9JrirJwcgC64U+fNjNN9V8+zk5f4f7Pu4t
nGPd5/eROc7vB3g/xlnsNf0YPeuDlrcb4KQpx/BcAV7S8k1GZS+nmT+lQcOr
4jbEvYp4dqHzNXSmOMaOZ5vfKq95rQyZTBe+neRvX5G3lQnmt/r/Q+JoH2f8
ozxU6/oTef/iScPJXOqYBIaOk6tSMNXgPRKOD8ceMC5STrrm9erk7TT120gt
jhRZrypmFDuPPGi2DmNzDH31S3wYg+5f5Fiu4shZEzFHI59K7iM85+3gvzZg
vHSYmNpDdleuulpqPvwxweLXPCgvDlqGHBi+DK4GLjP+vMR9CbbqsTUOW7+i
F+LgsUHKZxn2Pp2/LyB3824XKeHsmWo88H8+cL5qIo7/ULN14Hwa+ZmdSW2Q
OQsGq53rduDPYXwuhJc+w6/h6dan2rvVAePABuIoR34OMsUpll/N85/A+dHR
xoGz4a1J8GFcpMhEzqrplp+nqNf3iaccmfI863nt/VPo7OPeyP2/3Hu413O/
wP3mQ5bP/uS1JmizQGeC9pXmXzGrnKt2X8bWozOMH6Lgh26w0QY2bnBWO2c2
U9tn4ItMajoJ3joTb70/mJzsClhfVGN35AzDjGKnv9e0+yGLQWNJIa9NqRZL
W6pxh+qJ4nwVPdnk5zQ5vIz+53lP570Te78jJ8XEfiLe5lcUdfwBf3sWmTs5
60OWZ50545PNluJrIzH8mVg25Jvf6v9k7O71fk8C/1l8/yJ6cjgnu8wLxNoZ
b/qH8b7QcdLvXjDm82VBrs085fY+ZC/h3yH8nADm12QaRylXXYk3/T9Gz0dl
htWOMuMXzY9ifxv6n0L/EPTn+YzbrHMgYDU9r/yHz1uJZQuxLAya/xpHJPb+
gN3l2Nrjc3kQ7wuQuYr8neAwOst6XHv9bmwsx9YebL4yxnxQvIR7XItzjUeU
T7Zid5vuIuS8gzhisFGOrYPkKYxeayaWC2AznHsr94vc3ymz91bO98rs/V3O
zfnmfyXndWZoA+9nkA/Dz3ber+Dz3jJ7r+W8WGY+6xxbEbT5u4qzn+P59Xjj
YsVeTch2F/Vf6xPus3VEqs1FnY8t9Nx2+Gs59za4K63EMJbBeX2+9azO2EHe
+z8FswnOh/P49nKy9cV1/E9PMT0V9P7qUcxg8rmaer7iGP4ZGK4ImYzaDJYY
hxSWGO8r/z9BL9YHrH8/R/ZqyO7a0wd8F+qC8yY6lyp/P+G7ymm4aiM1+zv3
wdRwVIntPzHaLyHDjPJBT57J9ILHSeQxDA7cGLQ5qvP0dXyb5VjSGTjdOfM+
+CGLeAYS13ziW4evT0eBs0LjdPUnD7+C8P/T6H+Y8648u38Qiw7fK3SHesNr
qjX/q2NDsdPku5buUy0ZlmfNt/K49sg/+Psift/A7PgN8R5xLCnWfj3V3tdw
Hk6x+i5NtN1L58JoOPWE79I6E6J9V9Sdq81nd03A9hKdZefAQyvf/pYY50RT
/ziba2eJK87nV+xU2621drqTas9r71cFjY+Ul4al2y6oXKo7l/K7xrUN+bk+
Ow7EGT4UJ5vwQRz/N8FVZJZ9q3xcwrel+FPM2TjFeFj5WPOreQ7T2jqf6Ays
cM5ZnWlzQjm2Gfz3xNvuoTtIs8fYxNnr77rT6W6qscRhv9BrqvXs/bn1/t+Q
/TrTsPRNps1Uxcky8rHU/wfpirVdR/eZxybbPq1Yrf6R7bX6/ukYm5c6N9/m
2/Muo7he7P2r+/uX2GvBbifxfe334pmGe5VfNMH6Weu+LNH2G91zerONp9Rn
9X2L//+lnNruM7o42+a03jOoS7frj0P/Kf82aabNRZ2Pj+FPa8D6Ufuy2Wux
l5y1+Lv+76L+qZ5P8HmDz0qdJ9qfmjftxbWeH9339X8D9V/xq7us1u52errL
d9dD6A4iM496FXCe8N1yn+I2YLvEDHL4iPes7jVnfb89ELA9Q2UW5ti+otib
qRhcYjyjfFPseWhDfpPPyh3wwCneu9khV1Gre7BdgA/RnJudN7YHbE4rhtOw
86HPZf3/MiLa5Eciv8v3853ID/F9T+fzu9nmm8ahHKo8+XzIOF25fQt6OpHp
xYez2VYbza3iItE5WTnjBc9zaZH9T6i1buLMjTa++n2h/Y+nO0ndFNtTta/P
gdk290f3rI883o5sq71i4DXqeKnU6qv1171T988OuOJ/A7cMYA==
           "]], PolygonBox[CompressedData["
1:eJwtl3lQlWUUxk+WaVmWaTNGSdkkCpGEGHYFQQXkCpUZoJGZ9RkkGTU3yZqy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           "]], PolygonBox[CompressedData["
1:eJwtlXtMllUcx78wm5phibgJzZotEcgEkpdAIIEwUEQNBCEvJRYChQQy7aKF
N1LQtcglaCLmBYQkCBQBmSCi01hNCrT+cGE0C7PLVpKUq8/Zef/47Hee85zz
u59zpqbnJq51lfQ63Ae+cZIPlIZKwROlyUskr1gpaqxUFCLFJUrz4PIc6RJs
DpLuPCj1zpcG+K58QBpmXMn8ITjOnk/cpX3saYqQTsJAnnQOY3cDpRuMf4A3
HNIvo6WeKPYtYA+kLZNS4XC6VDtZqp4hbUPnVvgWG17jpPAw6TH8mwoj2OjG
1hA218VL+TArUmrFpwLGfdOlb6CZtYXjpWlprEmRZqLnJV8pzBt9UMSa7fDy
c5If60pSpVPYbsGH6/iSh0/5sAMfyx+S3kMWP8k6+NxfaoCbi1g/QfoJWRYu
7QVfxuuZ80OemSu1wQ50e04iLuzNxtdQ6CO2YXJ6FelIJm5iqie2pxjPAg/q
sx+/ipLQRZ2egL+dsQ8jq/zYA13ktfMR6QJy4YvSIhhE5z10l5HDKHIXDZ+R
h034UJdma296YDc6d8F37L2Ijn7kvRjpmhu1XExNnpaOQAb+vgIh5C3HQ8oi
n33OPdeQK7C5EtoZn2WuAzmP7/mwD/9d6LFy5Bf42+Nn+8P0SSVxHCaeGmq5
mf93GBci36F274I3dpKxN8bb2jd+HHTuqUDeT2+Ng4pg6QC4kPON+J70LDEv
lPypQyzyo2hqA2HY8abHJ1LzweelH+Egda2ADc7e9KQ3LzDfDRdhAjX4OED6
jZ5opzdOFkiN0ASXiLOLeHuQScS6BI4zroZDcJr+P4bsII5i4uhCTkC/O2wJ
svXvp1ZnOVMdsJyceODfWPzMx/Y6yEqQMiEbEujhUfRYMzrbsduKjMHmXHiY
enrBUer7FnU+hsxdKq2FHIgZQ16jbU+b3h4knlbiaZ5he8b0jiNL2ulFXwfa
/Js6ZFGPX8l3NnIK+6ejJwR9YRAOcfRWLExz1upx5BB+/wzhznx3k+8s/MnA
r1eRDvwMhnpsN+LDeXxZg0+Z0MLcGeZuMbee7w3LbM+Y3nH1sTqy0VHHOXSj
1jeo3fcwAF9jpxfKE+19tB+ZRlypEE9s7xPbbWLLQedrcBUbzdhqwuYK+nw5
TKLv29BbxDloZP4U/6+k2/Vm3zFivUKfOOiXUGzOhgbq0EY9mpBzsBXpxIw9
sFuI3evYjeOsxUI1uTxMXwWSg1XUcxV1LaFPM+nhLHgGnRGQEWVtBWNrLrHE
QFmEvae3h9jzZc6ZHzaKsDEYaHvB9MSjzG1lboC5mwH2jotgfxiEJ9peNT0b
ybpdrBti3Qg270JulM3tPwtsr5qe3em8B3Md9qybM5/C3lL2/h5oa2dqeJlc
NZGzBnJ3lFwdgZnsfZO9AcjhxfZMuVKnvxjfgRrWnmBPDXtXoGMlVDFXw9yB
dPs+mHdiLH6MgdXe9jx10mvuzvzWk/tt5HY7+C61Z6WS+/4D1pbCON44f+6h
t0PtOTHnJZn9GeiZ4m3vZHM3t8Bp+JB/G/lXivySM/onZ7UwyL6H5l00d6q5
W/cy9y//BljzFT500we9ebbnTO/dpk4X6UUl2ffLvGO13B018GmBjbGCGAMc
Nkf+C6x948cepw8J+NfF93k4QV7qzbllTzo5WQ395LAPuunfYc7nC7w5a7gL
d3P/ZSA9eau8IJP3ZzTnJ5b3aA5rImET//ewbiOymDUlcCuHfoBObCWP4n1j
XEsua+A499AIflYhO5iP5/9B1nUyPgcp9EIy/Jdo43ZJsvU0da3H5zp8r51h
/Tb+tzPXwFwdc+OpiRtscb4FPqH2/Jt74A/n/dvKuv8Ba4GuTw==
           "]]}]}, 
       {Hue[0.33253831256436084`, 1, 0.5395623364493466], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHlw1dUVx4+QDnSgjKCVTaSymhgKb0gwkLAlBEPYEwQCQuxjCjzgSR+L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           "]], PolygonBox[CompressedData["
1:eJwtl3lw1dUVx48aLZsoSEsBlUptgMxjyBuJkLIE8pKQpBiyDRAQkTBSHvXJ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           "]], PolygonBox[CompressedData["
1:eJwtlWlMlFcUhl91XFjUgtZadytKoTZgZGAEV2ZEZMQqiEuraTWpYBEsgnsw
asAl+ssIBkRLjanggmuiFqMgamltG1MdE02qUrXikmjEao0GfG7u/HhyPr7v
zrnvfc85l8ELlqTltpc0AzrCkzHSY8hJl56FSoNHSWdzpFqog+D+UgPx8Ajp
EPzAug49pB+Jx9OkY+DMkG7y7li8dCBGqobzXintA6meOHGU/U0lvzk3iW9w
ebx0tbO0faa0A0pgnkc62VVq/kKaECclws/s3TdIGpsgbSTvJsjiOROyyT2C
PXKIuROIUEqewp7STuKVROk3WDdLusi7tURHElrg9TQphPP+xR7F86QiyI6S
jn4szVyIMalS2xSp5nOp3CG949mF5jhYyX4x7OtDy+TZUjJkhZMbY70TpSCX
FAhz8bUM7aumo9voh6Xo+h4tecSrfM8OwH/W/o+Pb+CPFOl3+BPKg6XGcVIF
73dBNevSWO9Df8pUaSpereV87ljJA9WRUhX40JL6oRQ2hzo58Rutb9Gfjz8F
8A9rmyATn3eR44EbTeRcAkXssR5f3Ow3ZI7NM5RYS83OwmJ/n2Sb+rP2BGTi
yS9oXcSZMiELDuPDR/hRhJYi/CmGFX7flntt/UwdO6GjI/TnHE60nMT3FPyv
oQ4Lo2xdTH1mkDMdMqCWvRLY00NfuaEcLfX4/A4/q9knDM1VxNX8vQaOU/cb
eH6KOJmzpsAF8tRDHTyiD4PwJTSZnoCvOO835GhG+zh8K0RzrNP2l+mzO9Tk
NrykRg6+tRAvoeci5HO2kbxbRuxNrt3dpJ/I1+NTqScs5XyH6CfHaNbyXABD
eP8JHDH1Yn14svXV+BvLbN1idlzELZypD7q2mn6jVovgRLz9HpdhZ9HM5Mtl
zBp5hpHnBc8t0AGPGqlb+3Q7x2ae9+dJpwegj+jj7xtQhq4cvIykN05TlzOw
jf7dCg+j0cylsZlnD/3nhkRY3w4vI6it/x4YSbyGtuvwL3s/gAFo2YOmhzyH
MnMhUMgeFdT8KfW4FmNneTG+ReFjNOxFq4N8+4hR/D7a1IbfXQqRujO/r9D6
GsLonVw07MfLA3Aw1dbd1D8BD7/m3PfQnO+fvdHDpADqGAjXY2y9Crx2ts2M
f0a/RUI8/beTPvR9S49wDw3kLmwmNgyn1rCOecjjTN+hbyB9OAhe4eF/0ISn
V/D2PvFvtD7inF8yE43o/xWOsN8U9q3x2vvS3JsuPOyH90300x24C+J7G/Go
f30r68rpyT1mjujJC5yhAVqGStM5Wx/OGEGeSGhl3/nUq4K6tfEsPEiiPzbg
R7HLzruZ+1JyloCPnt7NbL3gjAH42gUimJkq8obPsvNv7gGHv5eekyOIMwXC
DvK3UJfKOKvH6FqJvkp0VqLXiZ8He9Ejfm+Nx52d9n9EndfejeaOfA/lZTvR

           "]]}]}, 
       {Hue[0.320074533059813, 1, 0.5568198773017974], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3tw1dURxxcohCQgCKWASCEipgkBcgXyIEISCCFjEEJCA5FW25uO5iqJ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           "]], PolygonBox[CompressedData["
1:eJwtl3uQ1WMYxx8V214khXarrVaX7XTdctrdbtra3ZY9qa0T2bLhLOlnnE2j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           "]], PolygonBox[CompressedData["
1:eJwtlX1M1lUUx79SqIAESCIoJKSIwmPyWGgOX8GUCciLzTQaGv1RVGA5UVwO
07R8i3SgSE0sXBSJMxEXpQNczGkFc0lOEc0M9HFavkQJJtTn7j5/fHbu79x7
7j3n3HPuLyJneWa+h6TXwBNmTpVKvKTIJKl0obQL3oP7Q6WNyHec0lrYlMU3
HM+TvMOkBmRVjlQTLFU7pGLmPoLQpdJIcGGzdYQ0JVfqz5b6oA1dIbr7HF6e
Iu2Bj2G0r3RithQyTwqGJ5dIKcOks1HSv2OlfQOkS4lSywtSK5RzbjXnVnHu
Fs7cCvnJ0iR/6W3kdfQuCEiX/CFrivTjYKlyjtWb+YvzpV4/qR3Zxnwg8SpD
enQueYEC/FkJSpWa2Hd/nHSY8UPGdcgxT5EzSF4gxQZIcyZL86ZJSeAYL8XA
d+TIi1x9i4wlD5uJ/Ro5CCI/w2EuumJ0t9CF8x0B8ei2obvhtHk0+QyZQF7g
ALElc/5XyCPk4BA5qCGWEuIvhSZ0tegOodvDdznEYB8Nd9mvhH0Xs/8n3KtH
oFSBfDCdHENlppT4mPQLsR94ln3hVdaWYdODbSx7OMET3Vp0F9B58P0IjEuQ
omDgZJufI+SnBV+O4kstvuzFjwrIwHYntrexjcRuLPihW4fuErpBfA+GEeg2
oLuCbgjfvlDMflXs95nD1qGpx0jWbWLd76wLYM1QeEhtrUF3zmlrztTeS6wr
RXfPaXNhctLBXe/zkVYR+wXG7bCRWuweIvlw73ncd36czY3JURW58iRnnyND
+HZRT59SNzuor51w+Dnpa/AhbzOopcIMm39zD2e4/0Dq4GfkLeZvwhn2OMr5
fZk2rya//+DfbvzMybUxm9h/RbceXRC6MfToaOgukBojqJdx1GkaNUV/hEZL
qxkXptk8mHxcxXYjthHYhi6SigbR7/FSGOMn4CC+1cAV/BqJf1eRi1JtPz6g
3hYyfh7eoCZiqI1EfJ0NCRALE8EVa+ecjLcQcwKxb0Z2ou+C3/DnCiyj93rx
s4NxIz3cACvo6e3obtPj/ZzXBys4z0UNFSB30/+7oHqxvavVxHiDfnXBuZn0
CfGUP2PfJ/NOLedu7nB+PrKO/Y9ALbzFXU1NtD1neq+LtR+QFwd5WUoPZ8N8
dx8nIV8n3lzY7o7Hn/vqS7HvwENkJznsgnx6PA+i0RUyNx45jZjj4RI14Y3t
RWQF33uhP92+MwMybK+bnr+JLx/iSwK+XKSHFuJrET6vhw1Qz/18A39wN+Hc
0R1kK761wH3yMoN3shcZ7n4zRyEDeUMfh+NRdr6H+e9Z3wzt9FE9fXSUPqpk
3/3u99O8o83s7csZJ5HXWXeMdfWs+4K5L7Nsb5oe7cDnInz2wedcemUI9VJG
PS3gHtNgHXkoIx8bkMOZD4YgarWOmr1O7YZSw2Fw2Z2j0/RROr2TAd3Y/AUH
J9h9/06xb5t5437CrwD8a0V2418D/h1z2Bo2tbwqw/beGuQS+uvF6dZv438H
NiHYXs6zb5Z5u86buiGOAcTxMnlbBqPw633+h9mMJ9H/Tjg5izrmXXgaX2rZ
6zB0sk8Y+11DNlILDfBmnI373RSbV5Pf88wPZ127yWmcre2V1LYX/wlviHHX
zkTmTnHO6Vn2P2r+p6ew8cP2B+R/xHuCeJsc9vxa95tq3tY25oex7lyefVPN
2/onse0gtlRi83qFu8W22WFrydTUXdZGYHMPeZZeaoMe+mogvvTOt/8b89/5
H3zNknk=
           "]]}]}, 
       {Hue[0.30761075355526507`, 1, 0.5740774181542484], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHlw1dUVxy8CCiIu7CCr1eQFAyYgiSiUJSQsSYQEFGgIjO+xvJ/OS+ZR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           "]], PolygonBox[CompressedData["
1:eJwtl3lwleUVxl8IlKJgWJKwyI4Jcy8IWGkiJakhly2QiEAlBKjK/QTzFW8x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           "]], PolygonBox[CompressedData["
1:eJwtlW1MlWUYx/9H5cUphQRrLkH84FGSjBcZqJzBESR5UeSAL/g+NEWpo+hR
DklqQVu+rHR9SIcvYW2JWU4s/FJ5aJWTDzDLXCoyP6SmqbipLUWw3737+fDb
9ew5931d//t/XfdzxlWt9/mHSFoIYbCmUnozTlpN/OYN6SQkTZYyo6TTs6VT
0AaxtdJLcD9LakyQxvBcVSDFDZeiebezTNoFB6dIzbA0V/p5pHSvSEpwsy9R
6ghIM5OkAlhXLKVES7+xNoe1udDvk36NkQaIXR6pGzamIPIFKUjuLVAHbvSN
h6Ho6iCHi1jI/lkwZr7ki5XGEt1TpYfkC5ZLfeR6AIthETSRx8tv7xN/8aIV
5pPnOvmuZkit+HAMcsgxyLpPyNEzl9+gF27hTyba4lgTC3ezrPZnaF+Ol1V4
uoz4iFqPofE1akFTibSfGo3EGPb5aMbvE6RE1o6Do/jSAi+zduMw6QjPO6ZL
22EAr4rYe4x3V9G9hHpXiIfRcQTC2R8GbdOkafgdjt/deXgJ/fSgF186F7Am
YH+PIEanSqPglVrb13jid+hqhyDvmxkSP2ffALXltnemh2ud/lUT3+MsO2A7
5Lt45ncPvciGxfShmrqLiOGsDYO5fikvXiolPmUQn8D3eODFi05mKhENTWjp
y7IzZ2bvU2qHRrAWL3PpiRc+cLz006+z+BOCbdOtb8epcwK+hi+LrW+tTn2j
43P69AX+naBGFzW7IQo9yei6hM8L0VsJf6FrKb0sx9d29pyBSJ5n8C7C8dv4
nku/cmCkk2MEcQN11oMfVqHpTrJUb3w1fa+0eSuInfh0HtI4xzvoTONc/zFj
MeYuELPprQcK5zDjUAxL8GJmtpRaYvekl9j6RkcDXm2F+x7bv3qez5E/nd4k
sW4SJIMPjflorfDb2TQzambBzMRRx58W58zm7MOdc5/FE1c+9xI2l3I3RlGj
1N5Xc2/HOv1LMLOEh99CZIatVU6tec49qyAOUvM5fOS2s9PBPYxnRhPgEHt+
YN1jtK7jfQ2cxrs22M2Z+tHnYQ4CrA0xY+3kyGTWs+DyDOlP6KLGUPR1E3v5
Fv3INykfL3bS411Q5sxieIbVafQeIvdBaIZW/DuOH1uZkwbqpeLDW8zK21DF
2hrqriSuJOcqqKPObTQ3EJfzjVoBfzOTgxHMHDUGOMsgBPGpDnqce5xB/otl
9g7UvSr9wfMl+NjR8BUa9vK8D+5wjucvSgfMnFKzErZQbzPcosboSOkCXt2k
7g14VGJ9/JcYwqvLaO7DqyA+1efZu27ufLXzX+CaKF2jn2fwrYc4Hj1ueB2v
J8Me1gb4Jn+IlmLeF8EyMxPsTecuNzjzfpt5f5fnbTCEs7jgYiZ3Hn1R+HeT
mb4BKT7rbRrxLl7+A2u9dl43oTOVO9CFlhTiZ8xcCySzdhLUFNhv6ESfva/m
3oYC9v/mJ+L/1Rs/mw==
           "]]}]}, 
       {Hue[0.29514697405071716`, 1, 0.5913349590066994], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtln1o1WUUx880LfF1Q800VkJOJ1s6XTqbN+58uRe7Nre7vO6qoO4OXApz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           "]], PolygonBox[CompressedData["
1:eJwtmHlUVdcVh49Wm8E6RElEDdShBX0FDUZAVBQUofIABWSKMYMP43MIkySA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           "]], PolygonBox[CompressedData["
1:eJwtk01IVGEUhl9Dicj/XIiS0KJsQiNNR8UMtUahSUltVFAy1CDNLDVyxqzU
ciwjAxe60QopKWrRogjdtKkMW2QkFlktgqz8LTDTop/ncu/i4Xz3u/d7zznv
+e6G8mP5taskJYMfRBRJN8OkKOKTDOkpRMayD/edUm6w9IBYw/4RmC2Uevh+
mjjM8xB0bTI1Ig0N9tPWSi02qZL9Q3Cd89noXHOauob+bIw0Ax/2SL+DpPfE
MwXSabiULZ1bI0WnwFbpoa/kkyP5gh8EUXwglGdJtkCpNQ89zvuQY464Dv0w
6CdfH5Smo7FaWkmQMvZK6TDC3kd/KZN1A3XXwwlwB0ipu6TPqZKDPpZ4358o
XYWfaTxDLzX+C8UHYgessL5AbImjFqirkwai0CPGlEmxsECvz8KlkArJW8I5
KCqWQqk/gD72s3ZBQS7f0a9jB3usXfANTxfgi1XTd9a3yXMLrpD3D/m7iTvx
qxvflqnxMs9dMGfNq4E5nGRWjVCNThU0440dz84Sfx2gD6g8LBVHSOfRtuNx
IkzmmXX6U6cH/93QmGPWWcp8Ojifgo7Xaeoa+gmcK6GuCc66qccD05nSV6ix
S1kh1Edv7/B1ElzobcT7MeprIrcHRvOle2g8J75hdoPM0MHcWsnTBjb2m3i/
mXhxi9QJb9EvQ+eFcU/IEwyD+7ifUL9NKuTSD7COopf1MJ5n1vmauITOY9Y/
8k1vDY9r+eYoxFi53PRVnUSfEIfOI3Ld2I1/rFdgGRzkSKbfYWY8BIPMfIrZ
Bxl3n/1OZridWcdBPDQxp0W0PQVm30b/49T/CmzW/R9jfdzy6CUefcKzKbgb
Ld2BUP4ZFzOaQC+cGkbw9yA19lBbLzRYvbfRZzt44S/+V/FdHx61c9+8MM+3
czDA2UXe9aJlt3pKQiOJdTLMcz6DfKN4M2P8f1Bh/Y/xeHUKn5rhP/E103A=

           "]]}]}, 
       {Hue[0.2826831945461693, 1, 0.6085924998591502], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3lQ1VUUx08ulaWmjuaWllMpEs98JfAIM5GtRAUhIdAy/UE+gZA3kAQq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           "]], PolygonBox[CompressedData["
1:eJwtl3uQzWUYx58xqVQuGWrJrEqyDrvbYm/sNmvX2ljWLRKx+LmctlgnG1Za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           "]], PolygonBox[CompressedData["
1:eJwtlnlQlWUUxk8qJoiijKCiYqahMEEgoJdQAwUpFESYWKIkuViodL13tIBM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           "]]}]}, 
       {Hue[0.2702194150416214, 1, 0.6258500407116012], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtmHl01dUVhW8UsQoyWFChKLi0KkMCT3kkgaQ1AYwFwhBshmaRuJoGH0Mf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           "]], PolygonBox[CompressedData["
1:eJwtl3twVdUVxhcWTGNIwBZQrEqZqQjlXsrRBG4SUkMSDC0GQkoDERkRJBAI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           "]], PolygonBox[CompressedData["
1:eJwtkl1IE1AYhl8jKzJXRlpdJEpklk1d+LOlgzRLSWdzFzL7wVwuknK2SMMJ
M4noIqZGP5ArMltG5k1SUOBFeVNXWUhlXRgoFt2krVrd2TPmxcN3+M53zvee
9zvprhaHZ4mkPIiHyAHpDyTmSrtIhFnHWdmAk4XSeJK00y6Z9ki5sL+As+Sc
1dK1rdLmZGnQKa3cJyXA72zpYqKUzT1ZsAOmaqQUg5TGfqFZMsOTvfQhd549
P3SCj3w7XKX3YAJ3OKT6HGl4o1R0nJoj1IOvkjrogBer0LRbmkfj6rXSHNES
fQvUkLfDFx5r3CQZPNIy9MwulS4US8tZr4BB3nIfrqB9gr0B1k2cOwEj9LCt
kR4TN6B/PYScsXc/ILbYJA94wca720rxhTsz8XIS7ddZ3wAH++nsj5ZIn/Kl
zzDM/gi5WfanYQZs1E3Rz058Q+04VKK7BP2/eEdbkXQO6rfhLR4F0XUT+iCV
3gXcF66VzmZIrZAGTeukw+TKOVMBXrw5DY14bsEzN7EfPXegnX4G7vhXxR/I
lBaYsbsOz5nV3XIpA9+2wCv0xfEPXhP78fwv64f8l0gZa+imTwB+cs8o75mr
is0uOsPL8DxFukRswM+jMIGXJjwdot88cx9DV5g4RM9HEIQ+KLbgfyo+ePmP
nM+B72484I9Y8VNoW8CfyfyYj9Xoa+bOU1BLj148q90ufSQfj+Yk/vM0vs2A
hblnkTMTXfyFY/BuUddb4kF0HoJS+gTpF3HH+kd1pBilZLjHHCroGyLmoTGA
ViOae9DeCy5m3ACN0IqWZ+jtptbKmQCxGe0e6GTfD11wm3n00DO86OUt3uZj
Th1RuNMHicyoDJ1jvHMO317i3w9iyMTfhi5qzjDDOuq+UvMNOsn74T11T6n/
QPwPO/O8yQ==
           "]]}]}, 
       {Hue[0.25775563553707337`, 1, 0.6431075815640522], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1l3lQ1mUQx5dqzEnETLwnj1IQBfNNDLzyFVQ8EOQ1QQwPeFNeEDk8wNsx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           "]], PolygonBox[CompressedData["
1:eJwtl39s1eUVxg/GZWzFFggLxMQNpqG7SCmFi3TcFvsDucPSll61wsaPyk27
L44VcVZRdEO7zUZhoqAMpwl1TtGpYPxJAjoQzP5YNNQxEScLtG5TEQoqEDFm
n2fP/eNJvue+73ve854fzzl33NIVuc7zImIAnA82NUf8YUTEc0MjHp0VcWpu
RMkFES1DIk7w/XlpxDPjIjoujHgiifgArOR7G799ydpZzpwBT06P2Ar+0RXx
Z9ba2fMn9n7I2uvo3skdn3HXwpaI6SMj0hixbELEu13Wn7D/RfYPovNp5Dbk
HuSiyRHfBr+eF/EbcKrU+vOsb2L9OPJTyIuQb0U+0OXzS5EfQu5ojVg+KuIS
3nOuhrehqxhsQVcvKMGmYlBSHjEcfIW+7Zy/kfNHOT+iM2LSRRF/GxPx/Tx+
S1ueUBTxi0zEF/X4CHxxWcRp8FpVxC5wNXZcU4C+qzoiqkErNuwZFlE/nDPo
WsPdvwL3cfd60JNFb3HEdd/hTQsi5qYiyrlvMhiNLYOcqeH7cjALeeMsx04x
fAg9G8ADYCO6HgTZTu/XnVdx97pFEWvBDdi0sss6pftt3lfB+5q4rwJ5CriI
tf+mvS4bRiEP1EX0g9nXohtsTZwbiqFiuQH7b8b+J5H7kFcnjo1i9HfkJmxo
BEfQexS8zvrPWH+W9dP4fjnyj5G3Ir/D/iUpx04xbG+1zbK9mXfPA/XYsG2U
8/VS7HqF88sK+g6y7wDyikK+HkJ+C7kT+Tnks9y3fhK+B+82sh/ksG03vrqc
+HyIfZsT55pyTrndcUXExeRuMTl8jPy5J3GuKueUe8uwZxf2LMWem7HnW8Ri
ObFZSYxqyZNP5vmsdLSS/x3kSjvY3BTxMPhund+iN9Whaxo+n4HvDxOf24nP
fPyRQa4CGdaOpwvfoBL507T3/1AxRJ7H/ql8p8HFyLt561/AMe76FJxg/0zW
qsFM1j9KO/bKgQs7fYf0H+H+e7n/WKljoxhdz9vf73K93ELMf5+1j+VrccQR
xTJV0A1q0fVel32vGPQljoHk5ch7E+eMcmcB8rLEHCN9iuE7yAtTzn3ltHJb
OSp7+7CvJu87dNcA8sPIOfZPQ74MpDoNfR9kfTHrZcRnIhjEJycnOef0voXc
t4r7ric2rcRuLjH8I/76dzt5AfZS6/tAnrNLwavs2wE+TtvX8vnYTvtc8gHu
a+a+T9K+XzaNZ6015VgpZop10Xz4DgypjjgPlPNbJWvvc/7n8n/a8nQwkbWr
U/7Wb9qrnFfuq6bewP6eKueecnAodn5cav+qRu8nXgP81i+wbwDc3+DcVw2c
muialD7V1Evo6y41d/+A893Y2QOX3F3gFHHLxkL9v0KOv1lJD0B+HBzlux88
wvcq1neyfli/Tbau1chluYhhcN42uPU67tjDXY9TI2pYc+DD0awNsOeqYv/W
z/f2xL1D/KNe9QL2nxxmzni+wT1DvUOcL+5/IHFvUL2q1zxf5n73Gm8+Q7/b
WOraHCUO431TOTsFnMM3X1WZw8RlS9BxN7r2z7f98snTnD3d7F6nnjcIP91V
EdFV8MdB7J2ArhR4D24+BNZlvS6+/4jzFfhwMqhmbSa4M2tfvMD5vpx7jHrN
GXLwLGhjzxKwhjN3ghevsC3qsYvptQ9mXZuqUfW2/fDbAP6ZwXv/mTbnifvE
6eL2R9l/K/vz2PM1+3srfF7xOsr9gzn7XjE4yXdJi30ln13QYk4WNz+DTc+W
u+ep98lG2ToOTptbZH68bzxcV+DbDPYcxp5L8u616rHqtevy5h5xkLjukbxr
WzUu7nqiybWpGj2G/XOoh1SR9d1D/NvyrnXVnGqvJe9aVE2qVuvy5g5xiLiv
DXv2YU8t508hX5lyr5c9mgUWI19a5PUN6B+zwLkpn/Tiu2sK/V38pF79y7y5
W/Utbp6ad69VT1VvHYsPRg9xTBbR31bkXeuqZ9X6jRnfr5pUba7mjbeBanJg
JhhIPKsovuLiO8qc/83sf5n9W6Y5t5Xjq2sjvkHNnQ9eIk9eBr2tvls25LCl
N/Hspn6nWaux0bFSzJoazRHiiuPk+QnwATFfNNI58Bj11TbetScbtqN7Z875
q5rexfdtla511cxPZjO3FPhA+ZbHl8N4UxH4Hm8cC3ZU++w2zvyV8y3Y8K/h
tudrfDNmtu+WDZXo7k5cm6pRzYbi5FcLM5lmsx2V1iWdO9HdlXE8NY9tanAN
rSlwmrgtqnyX7jyEL99M3KvUs9TLNDNqdlQPUC84R8y+BLej946MZzDNYprx
NOvpDt2lHBlR5hlQsmxYlXEPUi/aSl4/1eQZRLFXDtzE+mf44I2Rrr8WanMB
e+Y3uaertytnawv6btF8ym+fT3KPU6/rq3Gsq9izFltKstYlnf/BN0OmOXcU
v6h1zav2FaPHKjwzaHbYi8594N4G65LOK2vM+eI6cdrvsq5p1aJq8oaMazJT
6C/NNZ55Nfv+f4auN2eIO9ST1Js0E2k20oymWU0cKv3qMd3Y09NgLlMO15e5
JvV+1fDiGvcY2S8O24Q9GWI+A7zFf5W3p3vGFvfK3vWszyH3fgQqsGVKvTlW
XFuHTfXl7snqzeoJ6g37c+Zm5Xj/bHO2uFszgmYF5bRyW5y6Bf3r0Lm23jFR
bDRDaJbQb1r7ZqPnP9Xr0Eb3BNmn/wS/zboHqReph6iXtCeeldTT1dv38N7d
4C72dmdts2xXT1FvuSnxbKMZR7PcijrXt2bWn17rN+vtyinllv4j6b+S/uPp
v556gt6jfNiM/v8BnKmX7g==
           "]], PolygonBox[CompressedData["
1:eJwtlX1MlXUUx7+4tEJATTBfVsKWMVZod0pcAlIgQQu5cluSlSgacFG63Gta
M1HXm2WWlVqZJm4qCtUiQMjeRCpQERJc4kuiCbnhmtqk0tVWfX77PX98d57n
POec33n5nt8Ts7DM6x8kyQcGgz631AuueqUVEVJFlhT2uNQfLuVNl0J5Hgq8
OZIH3dp0acb90kywfZH062gpPF66/KR0BRSgO4UuBF037yfB5zzXgMV+Ytwh
lSA3pkrvgiMBaeGd0mFkVFB6kefbke186wDXs6UDw6Ub2TaGifXlHGk/KEqQ
iom3h3gHYqWtMdLB5VJnptQF0rFNA+sekR4gxuvIk/nkBd52ce5YaTONWJUs
lYNCYpZGSk8j91FzbJRUj6wFdQ7Mczr9mk6eAXL2Uu8J6v33Xs6l1i7QyDke
zvsCuZrz1zgwz9Xk6iPnKuTYudLDnDEG2U7cDpBBvOPE+4d4bcQ6CmJTpEeH
0qNZzIK+h4F6/JcQJ0APIvKkYeCqhxmAfuybbpEyE/lOvJ+JdxNnnyVWjzMT
M5t7iJFIjHjkFOyOYXeDc1v41go68I+4TfptNv1jFslgAnbt2P2J3UFsmsEg
8g8BTcvtDJqRx/D9Efw+23LpMbhUMI3YYdJu+vL3FGoE4WnUA+qcemqR8XBx
JedO9FqOGK5ErYCsd5Ev9c7HZgHYQC4XyCWU2vrJ4xJYg+4cupvR9fLeB4ro
zbfMtQT5AvxdCT4ln//IqzCX3jDPweAKvLgMtsENP9zohBtdvHeCN9HNR/cq
ukq/5d1ev83d1GC4ajj7Bzl/T+4DyCrq3ws+cc7aTi+q8S8izibinSVuD9iK
bhG6d1yWm4ajDzLjVJDk7N0r5LwfuxLs3seuF5s+cAhdKboP0fXzfgnsI69S
8mtE/kUfrpsdYK+fZb+7yauZWr8D5fjOw/cNfNvwOwpaJko/gCHwqHSEdKvH
ctpwewLxEogbi3wG3yfwfQ3fFvxa8y23DMdcfE/CbrKZqbPzKcytgr3aAUaQ
y3AwzuF/F7sbTX3jQTozqmFWaXk2b5O/F96fZ59ykdH08zO4PeQheEFumzx2
7mb+qZyVyllT/bYPph9byG8JeTb7LBcMJxL5noxdErIbfRnfP3LZ2RsOtLDX
Bez3oYDN0+Rr7jZzx2XgMxXf6X5bs6l9Lb5ziVFMrK/x+QqsctsYrQG7w2aX
x+MzGd8YZBb1ZYI4Z7dn8LyTeQep7acM9o66hoEz+C8mTq3b7pjZNbObZkfH
EMdFvHHIAWy/YV7XkKH3cU+AXXAnG91OZCHnFKXYfTV7OxKfSfhGIQ/DiRo4
ewQZSS1R4Bd2M4Wer2dXZ7G3OdMsVw1nN/K9kHp3UW8gjv6BSGc/RyI/du64
4gR7T5v7egC/a6AC3yC+5/E9M0k6DTaT8zby/MBj70BzF15023/BqKDlpeHn
Onyfwvc5n+W+2YH30PnQ1aHbQ82V4Bw7PY96epBlAXtXBwP2m7HppbYLYAO1
xdH7IHd/ETnnkLPPb/8Z5t/xMnN/CRynL/XEa3Lbe8fcP0kJ1r7YbzltuH1i
GXsezf4i25z/2mq35YPhxUVyXEquO1y2F6Yn1cymCpQz8znM/nk4kHu3jdO9
zPbW9LiRO6QB5FNTIrmEuO0/zvzrGpx/1Rb2aBT8mMnzaORucq/MsvM0cz3t
cOlUwP4vzH9jaYK9KxqoYz35LSC/t1z2zjN33//VfKYy
           "]]}]}, 
       {Hue[0.2452918560325255, 1, 0.6603651224165031], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtVmlslFUUvRSQraWAFNAEBZU2ENuhMEDDtDjMlA5YoHQiXYJgQawQZJgS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           "]], PolygonBox[CompressedData["
1:eJw1mHtQlecRh1cjrde0WDGZtmYmtYWAKShFYxWSg6CYegGOCYYiRDHCUcvh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           "]], PolygonBox[CompressedData["
1:eJwtkk1I02Ecx7+Twte5HK66lR4SbYqKaVRCbqaSLreFb7iVeJgWpK4ED2Uu
p3VKOySCqygPJWmkFyFF8eWkInUr6GBQBxPfAgmCiD7y9/Dh9+X5Pb/X50lp
bPW2REmyw2G4eknyQkKt9CtZcqZJ9S5p9JD077zkQ/vh00XpI7yqlkLce4ld
uSAtw8kCaShJ6q+UrHVSEjwtJU+sZEGPnJEWjkgx5LlXJHXCslNaguF86Rax
8cRG3NJv9HPsG3oagUViFiCNOukxUhz3L1dIXfTnzJTK0RUQ9Eht8D1bus1g
Leh2zu9AJ/cecz+IfkjuXrBw77NZeoS2Q3e89JcaGejT8OKUNM6cZTXSWLr0
DpLJ2UjuYWJt6KMwUM6sUM1uJqOlvTzpGrsZRbezv+voBngPveQbx5qYP2of
6pkghRqv8Z3Avr0iudhBB3OG2U8PTJ4ln1Wa8UpThdI0JFL7GGdmbIA9NYGZ
PSXABPNGmDcOvU5MHz17cqSf6A3YZdfT1Cjh3aqK6R3sDuaGaJfxVrHYmxnS
DQjzJ47b2BF/ZIf+OtjbfJa0hd6GLs7vwxg9WHnzu+iv9BxAD/IP1qj5DbIc
xhsWMacTiiH1YPZ+9t2Kvw0SiTHDD2JmmHGNXDWFRm4T2sfMfpjHPwcf8IWY
cRYdoZ8heEJ/DfT5DN1MjSYIgIP6QWpU0uMfdBU9u9Ee2OLdN2G1wPA147OV
8O5gOdj3F3yhWmMfYawPnx+6yfkAvNTLZbdu7Ll8o14P5zn75/AfS2maSA==

           "]]}]}, 
       {Hue[0.2328280765279776, 1, 0.6776226632689542], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1l3tw1dURx1feCSEigyI+UCgTzBUiOkYZ5RFiSqoQIEFuEtJE5YfyI6GX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           "]], PolygonBox[CompressedData["
1:eJwtl3lwltUVxg8hAjFhnRKmaKuATc2nEIUkRBIgG6GUJRAggWqK8CXwVpwQ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           "]], PolygonBox[CompressedData["
1:eJwtlFlIVVEYhReWlIllNlHQSANF2XhNyswyDTPTa6FGZClIqXW917B5UBsk
KIqIiLKgOaVsTrHB9BpR2YQ+aJINaKPlQz0UNH2HfR4+1mGfvf+9/uGcoek5
iS4fSfPBFy6lSGWQ7ZYiB0nhodIaWMbzPdbKoQJeJqJBUhN6cox0Ch7NkB7C
V9bu8a4dbXFI7wKlpXGST5jUCd5NkN5CldvErUbvJkm7e0vpI6Wrs6RrUDpd
KoF5mCsgRhyaMFGKh4/EruKOL+jOSGkH7EmWHhBjL9o5R9o/kPvQn+OkX3Ao
VppNnB9TOBeBP+jJ3kDwtffX47d7iBQAwbOl0ACpDu9Zdj0y0VN4Pw3NU6X+
eOjrlPpEo7AV31sggDNe7ip1mLstD0viTC1S0eAF0uie0iS0kHu2w0z2JuBh
tUtKg3T4TP6fwMtzHu/uow7OxOLLw5np+AyD5DlSEkThqZK47fFSET3ZBSWj
pINDpZt50hmHiVNLnKPUvBjy8bsNVrnM/S60Fo8iTjdiO7gnBP6Q329oZh4q
ybuF2t/IM7Er0KfMzTM4gocOzhYlSN/x9AN88ZPN2gniPaJXj2EWsxAB00JM
LcaTV+BiKbqP1AP1Mku10ER/3tLXRvQx++tgnN0bP3yeJ6cSSIuSlkM8HvyI
kYh6iB1D7GJiv+bMG/CQn5M83S4zX9aclY2WLoLXzrsa/Y7/du5YSczn5PQC
srgni7OXOFtJ7W6B8PqPu/KYjWhmZC71KaDf+VDmMvsvo9mjjC8nexcScxH4
23PSLc702eq3NVvWjPV2mvnqh27mTD/ObkKPce44NOGnEbo7jc9M1nJ4DuOM
y2m+Metbq6dP11lrQPvz7QyADmb/Gyzje9tObUvJo4r3F9h3Fw1iTy/wktNy
cqpxm+/O+v6m0LvJ0EFNM6jVIWqcw7fpgt/EbOvC7FKnN9RhhR89o4fvifkB
zvANxpDvWXQD9dkIJfg+D9vsHAup0xB6PRiGJZtZz6Vva+z65qLDmcMRkELs
w/6c4Ww+FICXe2qglfdJ3F+Oj3D8NOCrHn/x1n8EUnm/FDx2zbqyL5f1A/jz
zDf9s/pozbQ127V2LdaFmtpYNVrL2lzW1qMxoeZ5ndvMgzUXbdzXCqnUN4s6
p6F/md8/MJb5qqN+GfQwinvmwH7qEs79+9BvePsKdeRyBX9P0HOcLyTOIvr2
irgtEeY/Yf0vcu25jiDXTnjxgWS7PulOM6vWzN6x/7W30f8I2SPC
           "]]}]}, 
       {Hue[0.22036429702342958`, 1, 0.6948802041214052], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3lw1uURx1cICcghFSHKWEcsQn3pS3ylCbEhEpLwhhhCDiCHIzjmxeFF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           "]], PolygonBox[CompressedData["
1:eJwtlmls1GUQxodCucFaQLAfSCC6SLEuqIWNtLLQ0lJaWljkUkoCS7GIlq0U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           "]], PolygonBox[CompressedData["
1:eJwtlXtMlWUcx79yEcxUROnirI0yUJxkU/QsAQXqIBNBMPKYI+McDE08vCd1
zK0Lsi7+kZv+0azN7I9m15WVGVqKOfDCDFbj2DrHJscVjOQkolBGBX2ePeeP
z573fd7nd//9njfd21Dpj5P0DCRCUY70aopUVSpdWiH9BD1u6QrcsZ7vadJk
1o7VUtx06XvWrGxpPqxdIA3dI7X5pM4NUhdMCkgv3I8M68DTUhQi0AOuzVLJ
LGnpI1AoLYGpS6zei+j9ZJ0UnCkdYV1cJOVAELlumINsEbIPIzvE+w3wsFfJ
npu9MO8hyGbPzd4i9haWcR6yoWmC9N08qR0f2+BLfI7ieykxZBDrQ7DJkQrx
fTNrg1/yw3LycylJai6Q+tDfC4XYKMXGMmz0oasXRtA3hr4t6Bt5TBqG3Wuk
P4jtwFJixYcsnnOJtyAXHbDcJeXDc9hLmyrNxocwukLQg77b6NuIvm+XSd9A
Db7so1bbqFWQ525IaJAemEJs+BdC188QriS+ydK5PCmFvE6DBeRayeQYmYOP
S3fRBM2Z1MojvQgOduLvRV8tucX+EKxlvxK2ci6R89XIpdELK+mJmaxxxcjA
y9TpFXzYS93OZUjn4c8npbeoZSPPTfi2GwoXEjvcIi8pqdhgDePvCZ4v43MS
upKhGl/+IvaQz+bC5KRup3QIG+PY2sTzs5DnsvWqI39H8PNzCHK2G4LIjqDj
KXS1U7M2mEjdHqVuD1K3Lt47YRZ7K9ibz14H7xcghb089uay9w5xHISRWDy3
WHN3SelzqD/r61nSHrjB3ETvlD7m+4fwEURMHeEavvyDL7X4spg6NNCLZ6hJ
O5yF+HJyCYlwgBjPF9lZMjPVgexNZKuQHSbOncR727G9bnr+BM/HIT/mU4Cc
eDk7isxvPmvf+DHKmUZkxxw7i2Ym+3kOsBd1bC5MTnroj7vpk+fxswbfvCBm
eRfnEgK2//tic23mezW5KidXBeRqFXYHsPuZz86YmbVMejprklSMX9uxswOu
ojsCe0y/kNPXWN+ltw5BPOdc9ENNhXSMnuln9k6Sy1Y4DfXsbwUPvT0DvUku
26umZ5Pp3QR6OIAfg9hdxUx10lcnOXMKfsF2PXFccWw/mL6o4+x/+Dzos3Ns
5nljhfXBy/oEdqogyv4AjHNuAja2IbeSHiyG95hlP/NWwnM79j5FtsVl71Bz
l55GvhV+MHPJt1a+rWc/E//O4Mt23nfAFPL7Ev5NC9j7zdxzA8y9G91nuYsO
U5v3DeThMHwA/fTcVXrPY/qDOLp8sf7fYGfTzGgE3a3Y7cW+w92xnzvEm2Pv
FHO3tOD313DMzBQ53YevHchfgFPoG0TvGtNT2Pkb6tCxFx3V6IjnbosDN/fd
F/RuC/dRCd+b+J7H9xDnw1DLmYvcfxnM/Bj5GodydF5H93GftWVsDsfuhh85
X0M/eGEifs1O59/COp1eSYV6ZEUdRn22LqY+87in5kKI743k7D7msgK/juJX
lNn6Ha6Bh3/XOsiJ3cmLyqyPxtd8fG7G9zJieJNY3kb2MvPYy73dB9dNvajR
Tcf+l8z/KcKzn71fHXt/mHvkK3r3KLyRYX1PwvcwMf3LbG0hplR6awb8D3Oy
hro=
           "]]}]}, 
       {Hue[0.20790051751888178`, 1, 0.7121377449738561], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlnlQ1VUUx4+5IC6EC05NLkMapDNPeZMsI6CA8BAEYplYZClBEU0eTwXX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           "]], PolygonBox[CompressedData["
1:eJwtl3tszWcYxx+3dq4zMZcZm5m7g8aljbbWVrVV1L0tpsQp6lanohYjc1uy
YNkkS2w2yfhjIxlhwhLZZiwzl6F1nWmZKm3VUGrMfZ9vnvPHN3nP733f5/5+
n+d0nL5gbH5dMysG9cHGfLM1LMoizb5i3TbPrA04EmN2FBTlmJ0EPaPMeoH7
CWZXObuOO4sDZufYOwv6sNcXRHN3ICjibjFolOuy13J+IedfoOM5+DnRbD8I
cLYXOMHZk2ADe9Pbu035nB/B3nBwhr2zoF202Wvg6RCzZyAenWsbmC3tYBZZ
gH1Bs1pwbZHZddCkq9nkjmY7WplF9MAv7hwGx8EJcIazp8Flzv4NjrA+DEpZ
XwKXWV8CV1iXgTshs9sh91m+L8feLOxdjb2jsTcRWxPAKWw9Deqn8r2Z2Xst
zBbwe7BsBvVGsQcqied54rOS++ncH5tsNgZUs3cTbC00+xa0TcFvcANbqsBV
bCkHK5C1XD51wXaQiYwJAfdBvkxmPSngPsrXiayzwdnJ2A8WYf8qdF/EhsWs
x7M3Dpxkrwj8xJ0fwUV0lSim+B4i1h8S8y7E/kts3Qi6E+ceYHYc+l8yS3uF
XGaY1Vlg9kZTs5Z8Oz2ANXdWc3dSQ+pgFnENuSzJrGR9Jotz4BE+PZZvyMvn
bhB5FRmuQ7rak8sOIIjMz5qbxTXG1ljig4yqkNesalc1rFou49tV0Ar9KeRj
LvmIGGv2dpTrfxd7GpK3g8g+AM4T6z9BF2zoDLZj044sz5lypxpSLR1H9h+g
Gtk3wW5i1xx/V2PTmBFm88Bc0IBajwAzWc8ASzm3DKSi/2P056L/PvqWsbeh
uceslv1adN4DqcQ4DcQtMfsGX+M4X4DeTtj8Vp7bIFuSkLcOeUH2R/M9nm9d
WbfB5zzsi8z196v3WID8W93N/gF98KnvKI+pYnuEuB8Fm4byzrDFXiVGxCUL
GzPBsWx0giHYlJTsNsrWHM5Xc/4s+QrxTqvYqyB/L1ry1jnfO9tlSeZmzjbI
81pQTXQKc4i4RD7Jt+WjzT4AqdiUBuaH3Bf5lIBvn8R7PJaQz87k80Gmx/8F
Ptay7o+sflHOMeKafbFeK6qZQmI9pC/2g7vouAfWE4tPQWvi3AYsZF0AUjmb
Bo6NJC6gZ29kglYDqRt8HYTOmCTnSHGlOFRcKg4SFz3hDT0FJdTkxRy3SbbV
gbMMVPCtEownXuPCHCAuiCBeNcTuBDHcxO9/8f9+yGVIljhWXPuAbw9DnkPl
cjO52wIyWU8A56jV8+Ag9h4AK1mvAv1mmn3Xlj04rGKgc6q4VW9Qb3F4wPnh
AvHcKS7kTCm4wJm/wBN0PgZXsKUMpE9xrhXnzoS34vAxNso5UdzYGD5sBIqo
pWKQFnDuEweWwYV7E7329Qbm8ra/Dzo3yYYRAedUcetTdD4D5Qlum2QMY//R
GPS28BrZRl4Pcf+3oHOauE0+rwxzprizmL2ioHOiuPFGhnONOCeB/VEB53bZ
sI9zk6iBj7Ctsgk1EfAYKBaKsWJdInvBFPZyAs6Z4k7ZIFtieRODoj3HyrVy
rtwrRopVBWeug+ncDYLqGXAs+Uknnvfg9/fz3R71nBWs73K2BszibF7Ae5h6
mWyQLeJ4cb16gHrBEGpiMvW/n5qak+U9RL1EMiRrXsB7r3rwF8gv4e5FMJXv
0wLeE9Qb1GPUa/bG+ixQTnx+YL0o4L/FMbfIzZ6g50f5G8leWqH7Ip9q8K1H
tnODOOIC8ShD9hWQy9kZ4PMM7yXqKf/xviIKvNer5ycSr5oE1y2dhZzfFeu1
IJ27Y70nqjcW84ZPgT1d3HfF4AC/K9FVAWZzdw54HvR5RTGYH/Cer96vnCg3
Q0c7t4njpgz1GUGzgmpItZQ4wLlfHLSKWo7RTBTlM5FmoxGsh4NSuOoSeJLi
3K8ekM73l/O8F6kndeP3DnzYDjKpuywQCjh3y8YGuT4jaFYoJ3bXwNYBzn3S
f4T87eLbTtAVu7uBrDzvDeoRKcgfzPvfQS6qyPdeenURNp0ErcVhYFuyc484
KDLbOUXcIg4Rl0QUem/Xm41kvTDGe5M4eX/IZzrNdjWs74KmBa5bPjdjPY33
OhVMgMczwUPiMSMcj2Hoz4jxXq2eXZriPbY63OPV61Xzqn3lULnUm9PbU82q
dvsnOTeLo8vh7YlwdjboR131B/WwoW6Yg8XFqgHVgmZIzZLtsGEVtmRjUxX6
x+W57fIhmb2D8b6vHvZrvHPwgzBHi6u7pjgXiZPSYvwN6S1pptRsKQ57GuZQ
cWlpyHuhauBSyHuwerFmXs2+i2O81ym+6+N9JtBsIE4Rt1SnuC2y6XX1l3A9
SWZHfn+d7/Wj97mF9S9hfhWnjAm/Ob09zZiaNcXp4nbVsGr5TorHQvI78PtQ
vOdKOfs93mdqzdbqEeoV4jBxmd603vZaOGcNuEVeboN60V57qsFkavHNsT4r
a2YeifzUcL3qvb8T5f8B9F9AOVPuShKci8XJQzULLvBepp7WZ6bXXE14Ztfs
3rDAZUlmI9b/A0LZk5M=
           "]], PolygonBox[CompressedData["
1:eJwtlGtMzXEYx79sFUorihgml46Q+8G60Yk6Ka2ic0pSSrl0w5TCxEzGGzYK
vaR4kVw2ZoSxeUGNaiOGZilyH2ZzCfn89z8vPnt+O//fc/s+v+cE5pSkFA+U
ZAc3eB4jxXhLnunSbYt0B66nScH+0jVsZYS0B/zhzSDp+AJpdxK/Q7tV8uO3
21HSv2KpH14nSrm+0jtsRLQUCW3EbAV/ciSRa0CsVJopbYPcmVLjKGlxvhQw
WxoJ7ilSwTDJA2uBCs5lC6WV1JoKNmJ98eMe9Z1cItWCOzW4wY4EqdoHH2xA
BfHgQxi1eUh11HuBO+ehgHMN93Zz71uQtCxQiiuVPgZLn+BKifR2rHQVayN+
NOx0xd5oNWMYsW7BTUhfLnXxzYktJ95J6vvpkA4T6wjY0C8KnqFfAP34Jks+
yeZ5ONY2ixywghz7iBNFjv3ErYI/uVIfnEDfHGpy8m1XCPVAKfePcr8Mm4ke
XsxtdZqZy8g51ybNgR8Os6Zf2Hlo3YDma2aaMzBm0YWuaYPpB50fonkrOInp
gGjydaDfeXT8zTx/wXq0ykAzL2axgn73Evs0sbfQ69Zgc07GvEqJV06PE4k3
IcU8T8IO4Q14QgS5wyGKWmqp6WOeNBq/UbDG1U8JOYrQKMx4E8SrXyqdgRa+
N0M6d8Op/R5nBz2nQqHr/iasLzO5i0YNVlMLQ5NitP47VFrL9yzIhmS+O9G3
Ep2b0PsGzOMdz4X5kOEpLQrn7eGfyruvckoH4RAUwi00uIwWk9EnCOxTpVhY
Tf2ij1nU9xnfT9BNTYPZkx5sFnRTXw42bQb9QCPxzkEDFJPLQrxC/ArgpdW8
n839drRugxrqsxPvWKKpjaGRO1qFosEGegshZij9tuBzH5qhEr9weipixgVQ
mGDuurHzdnzz8e3D9zHnneOIt0WK3yAlQD3zt6D5GLQ/w/ksdFDjY6hmZzrQ
8Sg2kFlvJ854bDy7nQCrXLvSaTX7MfqykzsW4qDXS3q6WHq1mXvQC5vJ30wd
PexhN4SgZT96Z6BtJ7FfwDO+51GTeFdT+H+ywDr27QH6XcLnCbV2QJPr/63W
Yu6XsWenHOYbrsN+w+8rfIf3aBbJW8mgrgPUvAp7jj1ohPxkU9+NWAdxncZ/
KT6PmMNS7AVyXoTpaD8NfFzv0Bv7j/662alMNMgjZj7EsAeNI/B17YSxG/8B
DwQGLw==
           "]]}]}, 
       {Hue[0.19543673801433392`, 1, 0.7293952858263069], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl39w13Udx19DinDKiQitE+mQbnPkd+ybjh/BZLD5BXIb24BNHE7ct7wv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           "]], PolygonBox[CompressedData["
1:eJwtl2lslFUUhg+bZQ9lERUBESgpOqWjlsVSCrRM2drSodKylWVYCup0EIoL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           "]], PolygonBox[CompressedData["
1:eJwtlFlIVGEYhl+t0EojS80WBaG0DLeLKSUDl3FBTNPAkUSjSXI0G0fNDWwj
EIzSBEu7MY1Eg6S0Ll0iKK2ubEU0iEi96EJRoazMnmHOxcP3n//8//e933JO
sLU8x+4uKQ42wMMoqQ/OOyRzkFSGDcmR9kEohGyRvvLeESOVQzB7WeytpUjd
yVIXtByXFn2ke4elu9ABfkelps3SNd45QrkLBXlSK3uWMMm9nHuB0juTtN0i
+cJVu3QFstmb8pAaWJ9jvxTKoNpb2p8kfSN2Kho80JKJpiy4cEiqgoVEycq5
zkzJk3gekEjsOTepxyy95DnCTxrDrk+lBhAYLe0BL/zZt0ne2Pvk9Q8/tmzp
LBSDNUO6vlU6jX1yRBoAfyPPKKdfiIQK8ndACrm/wMcgcat4/kSN0tkrxPcp
cCuituRpId875NoOOfjOhhPgw91n4dIyuS9BGn6GPKV51hGG7wH2ivFtA88K
8oWP1MO6UUq2SXXoqYVK9grp7zD9HXK41iPYZvS3QAoakiGfuLHk85jcXqGn
hh6NYwfR8RT+sm5mbw07kiCNwrxR8+/HqAc92AHD3B+CwVyp0RedWDP+G6lf
HjGm4qVpaKc3TcFSb7W0i77uhuf4HoVekyv+GOt+cngEPdWu833YnfXUcK/0
wOQ677wXi5YYmEPLJuodgBZ/+llJX/2wqfQ5DezGvMfHuPw6/c8xM7MwA53M
y/QBKTqL3kI3H8xlaj+Kvx+ZrlkMZRbbeL4NtdSmBmzk1kyOJdgJ+tTPnVXO
vWf9AVrxeQsCDO3+2C/kPA3r0FeCzgw0TeLzBncnuZtLfAt40c8C+vqG9zPo
n4U88rTASUhHUym5N9DPLnr4h5ldgd+Qh38LvHXOKPPfR92X0bsEbsa3KOwa
PVnwIhf0n6GuRfATnzepRxt5t0MHLHIviHiXONcAFyGSc7HsrdDruhCpHj4z
n7+4m0+8MGIfhARyC6c3cfhJoq5meG3oGjfm1Tm3zn+C898wYXLN3Cr9/Q9q
Yd+M
           "]]}]}, 
       {Hue[0.1829729585097859, 1, 0.746652826678758], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1l3lw1OUZxx9DmYQGtCKJQUStUxI3ksCChCPh2GSzQVwSE45ER+qxCaxV
N8EQkwg4Ilig3lbHiwLVCiLNOBilf3iA4xQHK512WsvIVE2dKU7LoQMhSiXS
z8P39Y/fPE+efd7nvvLT21obMllmVnqe2RDg9+1mL40yy2s0qy0xO1Zg9mbK
7Okys+YLzY7Umn0SN/vbCLOrm8wa4Pkanr3w9KbEvxu4psLs9lyzXciZAN+X
OWb5M80a68w2IOcT5B1rMft9vtmsJWbbkLkXmVv4/d2UZL4HbET+SfA/gW+P
mR3ONmuZYraw3uyakWYLgIsCPjjV7MOU+D8Cnq7EZmQ+i823J9E33KwTeXvQ
3YUNUXQ1QN/0I2yHPnSp7JmNPdZq9ir0fuh/x4c+YvJX4AcZsxVjsRU4uc1s
XB58+Pcwf98E/bpO4sVXe4nZtWmzU9gwHt+TvC2OIht6HvS+iWbLh5oVNpit
4u0i3q4BvsjXAr4VuIkvBf488MtaxfP+CsXL7awBxonbIXK3G3s3wzMPv1bg
3+ogsxpb/lCrOPwPW6YHey6GZx08TfDUOA9fPbYtwrYu6AugV0HbAH4j+LXg
RcRnN3oz6D1JzFPE/ASwB1/GnG82AH6GL05BdRWjz3nwcRV5H10mvR6P2eBV
4FdUmRUEutv1+XyzbOy/CNrH5G+APB4EfhbonwLzu8kZ/j4RwYZCs53gR6ij
ufx2K/jr0A5QHwd/YlYB7SF0/464XU6c2z3Ho81ym0kveBb4M/hX4/zU1cMx
xchj9RYxs2bxZAHfKVftNcM7rFlyhgP/GVFePD9Da8zKh5n9kXo4jR1vY884
YvZaueQneNsU7NyDrk1T1RcvVJvd2aZY7SCWmwO9j9ze3yofnyVWWwL9t/CP
SZj9jDg/U0R/tQlfeD32zJGuOLqSxH8y9GXk4pUO1WoPtj3VKtsOVqluvH5m
Y+d9oWf78WUEcvdD/w6evCLxlGHPLnyZAc9tSc0InxUFjcq910Apdm1r1dsh
yFwIXxl4O3G6qUQ5/Qc57Y/IBo+T2+32D0HGU+TjFuqtjnp7HPzn4PPBe4Ne
1/9ymBU5+FJIvcap23HAOr7rwWuBrxTJ9ybsGcvfMegl9N9I8FngFwLfIW75
xKQLOZcGnjHAiwJPBP44+HzwKmBR0BWFPhG8BnwCMBrwKdAP1Wk25pDHnOV6
Owv6YzPV72+jsxz+edCnQ5/xAw78MMyW94Dr4B9PLc2fpjnrMg/i90thPiwg
JqfwLUnM5yLn7DKzaci5Iqr3LudARvXqdXuWuqgOvrhdI+iHebwdC/8gv8XI
RTO5qkZfM33dTy7qwe8Ez4H3MHZX8HY4Mv5MbOuI7ffofyPkZQX5NH6bDs92
bPsxeLnnJaqa89rLIOP9Is2Hf/P2Yu9J5BcA60PuqqKyyW07As/Ldcq174fD
c1RLXlPZxOcv9MLd9ERO0JUNPBlicgI4kJCdbm92XDXptVmG/LnwT4a/o1Kz
yGfSVVXC76Ce71miWTeFGt7Zqbmdn5Zv7uMQ8B2diskI8B7wSo9/WvPR33YD
J6Wlaxe/56bF7++uC7adj++fJpTrOuL9mzDz633eRsXvsb8yKr1ZaclymdeA
97osrzHw7GL56L37GvRq6MXQc4vVv97HUxOKv8/p/rBTfFeXJNS/Wdgzcal6
0+fEsjBDXmTmDIYaO7NMM8Xpa5DZF2R6bq9KS6/r39ek2fsgvJc0CPd53N2k
vruxTT67718ktHd9rw22aDd4LirJy9AG2eZ7Zi2z4ji74Dny3hn2VAdwVFo5
8lyVRpWLy6GdbtH89Dl6WVp0z1VjsWZOGzaPCnMsC57jzKhLqbfpzOkb2tSz
n6P3sTCLHs1oLvsc9vm9slA1+XhMc9npfu98zG953jvEL7te+DDg+kL12jb4
c9G7Fb0boW0t1F6bQT3Gwp71Glyd1B1yAru2T9SOmNSmGvX4xMndvbx9Hjnf
LdZedDndhZoL3gv5xO+NEt05fu8U4NtIfHwTWho7DxDPUuLalZTvHoOukKP9
TbqB3Aa35eQc3VEDwGTIndev3z1+/3RHdFv4Tv8KX06Ft4Ptmlk+u1bD80ih
9qDv7Ya0bg+/Qfwe8pj7vJwUVS1F0rpFzuU6oh3pcfD74oImzQGfBzck5df6
mPa67+7zmpVjz7XvzO4Q5wmVumn8tulC5oyo+mim99dizUzf+evD/fNL4Npw
Lz0AHMyoZrx2KtJ6673YG+K8j9+Xgp9h3x31W6ZRM/wQtfOfhObbUeDxiOrT
bxnfZz7rdsCzExvWIb9nsW5Hj+f4Cu2zczsd31+Py/fl5LClWrjHY024/VYC
26bpJvHbZG/YC6O7dfO5L53oP5sQj/Mm0rpd/YZ9NaZ66MWGPcgdTz28C5wT
Fc/ctO5L13VPRPXk8V+S1H3j+T2Dzq+w/7/40t+oHeP1f19EdrvNN2P7zdA3
crPNm6Ka9tqOUUcbYpLpNZvPtw+eHngeCvf2rzKalT4zV0U0T32uri3WDee3
3NOlZr8Od8WTGf0/4PRvKqXbbWjHljuw/yz5+oZ8belQ/fusOpJSHo8Bb4Xn
NPi/wPtSwr8AjkVvBz1+1zTdeX6D+S32SLg/ff59lFFtHC3X/wy+E6P08kBK
er8FVkfVCwuJ7eaYYuUzY2NMc8bnjc8Ir+H9yMuE/NaSw88mqH58Z/r88tzt
jKnmztVenf7/8f49hW1TiW8RvV9MPCK1wq8G/qJSufNb1e8wj9vKiO4wn4H3
gv8fzMF0gw==
           "]], PolygonBox[CompressedData["
1:eJw1lntM12UUxo8k84I1QTRv5FwaQV5QB2Kggvz8eUMQRARNTUH7WfrVpiaa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           "]], PolygonBox[CompressedData["
1:eJwtlFtsjVkUx/+KKG3dekkrLkNo9dDqV1SLtqfHKdoe1XOOqtAUbdGiR6Jp
IhEeEKEuMWZ4aKNt0AdmJuM2NQlxeZmnkRCRRuIW4q5IRKlL+O3s8/DP2t/6
1m3/11p7fPWmQChC0hIwEPxfI31IlCrSpAGV6MDldOkSeF0q1Y6QXiH7+6WJ
OFa4sOM8EHyfJc0YSSzOJwqlkyC6ln9JUiPxJhJrEljM/1JwnP/TieHj7CJm
CrFTkcvJtQL8NVP6b7gUv0jaWSDtAr1uqSdaqvdJVfxfCa5T83tqDpDjxwou
QY5udL3oKtEN5nsIOJcsre4nrfdI1RVSDdieK20DH6mhltoLs6UuavgHfMKu
Nka6yLmrCh2Y50hlo7hDnXQMfTE1tyEPU+9v4Pl86RkYEpA2Es9PPC+o4fzB
b3OZnNFeKQrcooZHcdIdZB5xckFBFnkipSbynybnKZBD3mLyzibvOO4yFrSE
iDuGOpDryVEPEsjrG0ouangMB31wsBoOhmI/DETQjwj6sSnNxjCxjhL/CEgl
Rx45RpLjLFyfAblw300PbsBzD/G+EW8tvrH4xYHP6H6g24Auke8k0IWuB10p
uj768QVcWSZNjadXyM/U1gcyF0tb4O8q922ZJ7WCcnL7qaHQsXwb3vPQlZi7
O5YLw4mPekpANXMwO0q6MAd+4LAITIO3AH3uoN//or8I/lzK/MDzH8j+xMsh
3gTiNRNrH8hMkRzQTU9u0/Ne4rQyn8/pQztzfaBMOghCxG4AU8LzOovafehL
QCN2N7Ffg18HMduBQw4vuZLJ+Svfh8AkdHPQRdZZbgxHTfQwSC+3IFuxaQFp
2BVgNxq799TzivrfIbOpMcdr+2n62oxPJb77kZvDNZzj/0JqKiqzPTG9Ocz/
Vdj9HrK9Mz08yLkK3aGQ3RGzK7s5L0e3x+jI10HeqAo7D2Yu3tC7YmYshlkL
MnNLQCSzHc+MD0LmZ0huUEx/9jI7VfToBXv70m3fE/Ou7CD2MnLsQjbg34Tv
aOIFiB0EbnYkHwwOx73DvTrh5CSYCS8L4CUDXlygkHOmY/k2vM9AtxBdlmPt
O8M9Nr3+BV02/76v44ydh3O6Y/k2vDdQ90YQ9Nu3rBw5dS6A00R6/ZR9eAaK
8C3F143v3/idMTnguhkk5Nq5aaPml9i+AO88NkYSMZ5MYzdBOrY3mKE0ZDu7
cI2566Rvxzi3gQvkPQ/u4rMHuyA6T/htmMyuuM1bARKoJZ9aXI7dY7PPMejm
oktx7MyZ2TPvonkft8J5OdxvC1muDeeJcN/IfTfQi7P0up6dupcqPWSHHiXb
d9u83x34rMH3BHIHdb+lrp3IWO4cB6ZQrwvc586D+PcQGZtlzw84Z8CD47F8
Gd7yqG8RdXrr7Ptu3vmv7GgLM/cF+RMflCgY
           "]]}]}, 
       {Hue[0.170509179005238, 1, 0.763910367531209], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl39w13Udx1+TpkOyBkwIURyXbI3aD0hgsA23wb782ndjI7ahNtHvl76f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           "]], PolygonBox[CompressedData["
1:eJwtl2tslmcZx68WGG0KG4euHhgEOmjX16ywutID7aD0NA5tadmwJOLG+rL3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           "]], PolygonBox[CompressedData["
1:eJwtk1tIk2EYx/+Wh4mp06y00ByIYtS0k7qtsMzs4DQ37IAUHSCKiBXFamkE
1kUz9SYKgjwk6AIlU8kKjI5XHbxLIgdi4FVCEaVBmfT7+Hbx43n2vt/7PP/n
/76zHTvj9S2QtAFiILxHGgdLoeRg4RP54zXSMBxyS0GrdJB4EW6RB4jf2PsO
Lw9IL+A5OOKlG5ul0yWSk7yVfLlXWgGTxVJelrT+rNTLt33wcCM1M6V3PukV
vIarm6RGGNwvjaVJA8SWGulHitRBjcly6QvMsD7N/ixxnN9hsNAvDs7x3Rjf
7+Dcs2ppBG7bpY/R0lPy3x7Ogb1CykdnBXqDudJ1CG1Fb6IUS91dVdJOGGJ9
hF5HWVsKSyAdullbRkxhlmnOHN8uJZNboYr661IlN/HEKukkuOjt5jt/mVRa
JG0BK97kJEmVaEkiT4Zm/L+D/kzmWMRcieXmeaNOY550zYYXfnrQ2w2r8as2
QaomL8TfXHwuINYy/94a01fD31EI4PcAvjvpZ2d2D7Nb6BkPdfRtom8YXY+o
OQwZkTlbc00vDE/a/aaGTuIlZq2HXqdUlC3Nnzf9MXxyotthwBxD1B2lvpPz
DujD51SL9AEtLdxZM6xEwwU8y/Ka78N4J2sj80xQ4yvnEqiTgb4ZPJyFbmrm
82YnCqQe8hAc4X0eht3U/hwn3aRXFHoW430TeQOzXIZ2arbBXe5tztjDq/vo
DUEndTrolVNsemh4uZC7TENfLLEBDR72n3Cnf9DxF9q2UQvesFfPXgk1frI/
xbu7gpe/yGcgmvlOUSeG+ID/XD90oWsKrX37WIN+A/RH4VGQvXRmzwAb9bOh
jB52epRS7x965iDA++jiHcyTVzLvIPd2jzmdaHNFMPK3PvN/995n3p1xh3X4
7MJn8R7+A6u/u8A=
           "]]}]}, 
       {Hue[0.15804539950069013`, 1, 0.7811679083836598], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1lnuQzmUUx49LIrltbmuzrLvNb70lu9tesOu1brv24rIvE0UvL43YGbRZ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           "]], PolygonBox[CompressedData["
1:eJwtlmtM1nUUx48mhRleSO4TpRzokySuCcSlBNFKgQdIBW3O2wOPcypPC5em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           "]], PolygonBox[CompressedData["
1:eJwtlX9M1HUYx9/QoIx+AHGoUMwT4cB1RS1+TLBUjBHJcZwFB5lrekhtJrd5
q3StNWuFmM7QaTJjak1wMRVagE3c1NQM2cxEhdzM5vqv1ebWmhDr9exzf7z3
fL7PPc/7+fV5Pudd0xbakCjpDZAE9kelV3KkA8iDq6VD4EadNJgmXUcmFUnJ
YNtSqQMkNOKTgSOy60VpH3gnLHk80oc+6benpVvga3wPwNGDjGCzFqRhdxff
Kuw+WixtAQkh6c106eUybPE79rA0hs8ouATC6I7MlQrWSW2vS1Fw7ympHbsy
fi8BpWAHuW0HR4ulC6nS7Frp33qpBe4quAurpIWgGr5u+JLhWwLXUnA8QFyw
G9618PZz7oBzK9hmdaDbg9+yIHmnSPeR9wucl4AUYkxQZwPna6X0DHxAL2vo
6RbkJ/TzU7CHcwhdF3I/31+CX8kxGd/0EriXSZVgukFKfED6s1z6j/MMCJJ3
HfiB/vnpcw/9y8D3HHX2Fbu6rf6r5PoLuF0hjcDxPLlsIq/3wCxmeJU6NnOO
EWcjKKfOJ4m/CFlDj1rp1Uy9m4vN57yfOPTq2Qh5rpLuBz5sbxK3hvjF5F0C
PqamFdTWjvyMurZbbdjFiPc9Pb3BeSLg9PZ7b6uUnSWdIKc8cjxOrpnLuXvk
/hX4Apu94CR2XuxOY7eL704wgC4H3Qi6GXzTZkn19KaRvMP1rtfW827s5mD3
XZHL2/Ivow4P9fxIXZl8e0ATuhx019GdIscRsLMSLnJ6n9pa6UuUvqRxT1cQ
pxbE4vd9I/Jz7nWn3W24UkEAvmz4rhgftY+Au3C20ud/kL30KEyv+pDfkGcf
aLJ7DppBjPs1wPymX5OmgBe+R+E7Bd8omM15MboUYj20yvkbzx3q9VPvz9R7
Gbss7KojLifL7TS6NHQ+dAl8J4Kz8ft0BllNXS/F67M6U6m3jbrXUf8A/P3g
L2IUEWOcGD18HwaT6BaiGytynMbtJ0Y6sc4Ss+BVYoJh7ufFB9nlRe6Nsbfm
Mr4+fC/iexLbR/B5POLqtvqtPquzEt0cfhvzu72x/TmP7wJ8z+G7k14G6enu
qLs3dn/GsX0Cn5URN2eb9wn6H2IOw8j19PhtMJ9zHrq8gNsJ241y7vY17vgl
dmuKPZwud++OvT+bwVCm9C7yDjHyiREjRr7tBphENw/danRZfGeDI9TeC56B
9wq8F+D1cLcyQIXFY09+r3Vvkb1JMy3UCMdy3px29vVv8tsadG+tvbkd1Bmg
3h1RtxO2G9PswhRYyd7u5Q6F2AUvseeBNnJZAN9tv5uxzXo9c40x37nM+Rb6
XH5/K+Lsze8Q3A3EOBx1c7Z5V9CvcvBcietZLj07mM/94E0P8H9wrJBdLnQ1
W+0R+Lzw3oS/C582duoMu3UPv6mA65f1bRN2Puz+8Dt/45mMv40TyF18d4LH
4m9eOvJbevgT55xa979k/08beBdTuM9NYfd/Y/879ubb2z+IroDfhsNunjbX
UTjG4SiFo6TWncuQg3ANgRZsIyAX/xlyX8M5yBzqQDjsYjUj9/kc9xBnL7bz
QRL96KYvyY1u9nYHjtLLZnraH3X7ZHv1P0jxXFc=
           "]]}]}, 
       {Hue[0.14558161999614228`, 1, 0.7984254492361107], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlX1M1WUUx79lNBUzM7BM0YQBhvISxr3EvThAuE3xXu7FGVer1QzCtQWs
2WbkZlurWa1yY+ZLszdrQq2FYEXvbbVeNpqt2RyWvf5l/hPlkhFZn7Pz/HH3
PPc85znP95zv95zfim297T2XShrkN4vfoRYpH8OetLQ8IxUslJaxJhNS7Ryp
u1Z6ok1alINvpfRfVIrgsxWfoQekcnxuwvf6cPcnzp+tdH+7t5KzxfOlMs63
ZPzubaw9nC3F51V89wf/7dgak9LEAulEjXS8T7p9mTTKevFW6bk8aYZ1cbtU
RMz1xP4T/75LuNckPd0o5V3BD9tQnXTyat7fLG3LSvPzpS7WieA/fINUyP1i
cj9YKv2CffZV0s+sXeQcJa9mzh+pl1ax34BtLjgvXCbdAc6ykNcUuVyISQtm
S5+D+TAYrmSfQ23O9/j+M+wx4rbmStP4NlDrb3mrifXyEDNjtco4nl44eb9c
eh57Gff2RqQ78T+dwrdCmsQexX8N/l3U7c0q6Zqk5241mIt9EXWexzoS9/hb
8M/yvwb7RTj6Ou41P4j9lbjHjLM/x7uD7KuJ9zE12k2tRkukH+PO1zg+EynH
8z1rpIwcwJyghrvAuQn7R9ivDblkOX8v5HL3RmksG/RA/e7d6G+d5Twa6jND
fZav83friDPc51wYJ++Q213YI0nPx/KaQ/2O8nY1b6WJ+WHWddvA/jh1H0dL
xUmvr/kbhw1tnq/l/XCp69/64Dr8vsR/KWtni+fVU+o4DM8ONDbCvo0cd5Lr
sbAfZj2/A87heh8Yn+Q3i/0o7z9e73juqXUdmB6OcL6vxTE3UKf6hOc4imaO
1TiGJWD4IOvaW8351oBzL/fGyp1r43w89NFR8hqp8XcPEH8ajm+E61biP1bv
fZoGQz+aOwfmB1n3d7vd+nghsTaR4wCcJ5p8v8J6EW31En9txrVu3L2G7R9y
3k6cQxHXivH4N9x9UeO9MASGM1Xep9av8VDzKfR7hP0L3C2Ouo7NPl3h+jCd
vEt+9QHDyyXeVxbzDWLen/WYG6jJcJXr3/rA+sTuToJhJNhzebc64TW0Wp6K
el/kZrwWlvvhbn/D3rK8k2nnvWKz96Fp2LRsc8rq/Embzw6bIS9xL6fDsb1o
2NLOUQuaH2v2ODFsD4WaD0T9jt2d5K0ItSvBXppyfZhObO621jpmmz02R0wz
OzuZpyWu/y7uqsO5Nq2ZLk2fhSmfiVafT8m3JOXxV6Z8flnMmxPOpXF6ijp9
FfDMEKOfXlvPvN3Fejrwntfu/W/xl6xzXi1fy9twGJ5hzv+Nef/O6/D/Zm9O
elyLb3N6IPSFYTfdm/67qFVBp/eO9dBfMd+/DecZfNbAVzrjbxuGM8SeYq4+
VYBmWAvD3HuG2H/EPL71gXFvGniUGt4SvmU2G9bCwVvU5GSbzz6bgfb9sfll
fFnfr4b77/h2vF7nXBqn1n+mCfMxbtsDtpmoa8K0MVjp31Hz/6HZc7Bcisjv
G7D2g/lEj+dsue8u9XlndbPvw6/hG5SPLu6L+jeiMe0cGBd7yOX3MJ9tdtq8
sLlxFg2vCpjLWCvAVgS234jxP1vFPTY=
           "]], PolygonBox[CompressedData["
1:eJwtl3mQz3UYxx8sViGWNE3kWLXr+LLJsc3uxh52otZaws8tFqWxVkNMTDKT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           "]], PolygonBox[CompressedData["
1:eJwtk8tLlFEYh3+Vml0I08ZFecvLTJq3iBnFS86oY5SoM4ZmWgm2yAKnKYpK
g/oHIkmyqEXtLLqq6KKbywqCSrIwtbRFLYLSWmQh2fNxvsXD73znO+/lvO97
NrYdqQ8tlVQIkTDllM4ukZIrpL7d0k045ZHq1kr9tdLPcukXFAekKAw9WVIJ
61KoqpH8cLtIGouTNjdI3dhfgDlswvh9gf9AUNoaK9WjwVIUklgnspeCniwg
JvTAN+J24nuqUvoIH8ihlb1x9GmuNAI9fukiLBQYv0F8ZDWYHLItdUvvoIV9
D/8XOXeZ81fAT+xK+FRg4idz5k2J9Boy2LtOrBt10p187gU5/E/jXC4aiV0E
lJPfKOc6OD/MmSHoCks7ksgdXc3ZeGze8z/A2SBsIn8nNh5qW0KsUthHnN8R
0gDr/axbwUvdymChUbq2jtwbTb2sujXb99mDnsDncZikRg76cox1HrXJhQ30
5HmMtB7NrqIvK6RqGr6IneqlQXLcS67D6D24Dz67X+PYTMAkVJBPOfzF5xx5
ellnUt+31PlWkem9NQPLuX8UnA6Y/nWh3X6T1zkXeTaRL3zNkb7An5B0PlGa
R1OwT4ZB+rUsWpotlhLs/PvdphZWTabZi8b35xpzR+uuVo+tXrvs2jrRA8RZ
45DamkyfrX5bfbf6/49+uKlfI3WYI49Z8OJvnFg+NANesk5Hv5PHD0jHZxqk
1pp3MpIphehXBzyoNe9kAG0hXjOEXOad1FCDauJsId5OdIL6TOabObfmfZU9
IytRnz1PXnQ6T5qBEXzuYu8M83KJt9kLd31SDDV6xp3zyDEfjtKTMPRhk8CD
DrEegyFstxGnjPnwwitq3UnNR9HH3PsJtHMuHptebA+xPgxxzEcsHGReCpmb
7cxPJfWvAIfH9GCGuI/I5yFcZa+dvXmrTnynwoT9Zrv59x9c88PH
           "]]}]}, 
       {Hue[0.13311784049159425`, 1, 0.8156829900885617], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3uQ1mMUx4/K2Ch3YyRUQ3bbXvtGa8NutZd3o+at/cW222UX9ba/kt7e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           "]], PolygonBox[CompressedData["
1:eJw1lmlslFUUhq/I2lKUpdEUXFgE2jJ0WEoTaIGh00Ex03YISIEQjWArIMNg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           "]], PolygonBox[CompressedData["
1:eJwtkk1IlFEUhl8iWySipYGpm0H5Ss2UFFvo2Ix/rbQxEEMwIplBqL4xQ/Hf
fUE0KFqrKBpr0cIahSIXuUta6EyiIaiBq7CNP4vQlJ7LdfHwft+995z3nHuu
5274pntC0kVIgvoCqQ5aL0hHGVL+LWmvWtqFZy3SN9aeos+LpQnouMH/Geke
mt8kec6SCw3XSZ0QKScOVhulnhSpsEaKlUghzPo7pUEYgkPy/4OdBimVfLvo
/atSnG9vgNq80ilIxvM0tOH3hL076Oda6RNUBOz5KtQl9gH4+Z7D932trcfU
lUl9WdR5Hi3EZyFNKkC3K/A3UGuIPC+o+wv1zkIYnwhrLhrFfxKWyZkg9wAe
o3iNQbhSak+WPpKjl/g+iLvSIizAy5PS1yLpF3e4yV1uoHFiEhCi/yBMOfTE
3m32QswiCCPMI+Oc9JB5BFiPsf+ac/Wcv27mQ+635P6L7sMBFDdLK+nS5WZ7
P+aeUoh9Rexjx3oZTz/rPvBS/zQ9JujxET395rsrYN+DeRcbnFmH7uO9COf/
0MsWXOH+fnCPpWgUjwQe79Bc7i4PZpjxNMTAZfZLvAE/PsPk8aFv6D8KQWJm
iY1RXzZxOTW2P9Onh9zf8chFPxA/BaXM0GGWZWjk+H3OO/YtmTc1Qfw4jLI3
z95Yi81pcq85ts5J1q6Zt0CeKnSFvD9NfXxfYs3XZGdgZvEf1P2Zfw==
           "]]}]}, 
       {Hue[0.12065406098704634`, 1, 0.8329405309410127], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1lnlslGUQxscjihqaFgSltHIXKrT7oVJECmTbbsGQbbcIWVAQj4WNgXSL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           "]], PolygonBox[CompressedData["
1:eJwtl3ls1GUaxx+VxIO0KbgeHahYVKZjoVNdO7NCqSmdFly3pSXgjEe9Uvxh
xCmuoqugu7oHLroqChVYFUHBKId4oNGIigbvBZVD4qq7MboQY8QD1vUPN36+
+faPJ3mfeZ/3Ob7P9Zvay/qnlQ+NiDehIdCa5oj+oRHzh0W8kYvo6o5496iI
PUdHnDYjYk4p4seKiMojI8qcWzq5q4q4+JCIda0REzoiRlVG3FsbsTodUZuP
uB9dK3lTVYhYPtX877CxDVsD7dbVMDyivSfisWzERmQ3ILMF2Xp+G83dfn6b
3BhxdbvP+u0zdDflLas3LehvRX5gqHX+l7u1/PY4VI8vY6ENXcSEfPGIiP9P
irgOmT3wI9CX4u2pbREZ6BvkvoWuIf7b0Pc58ouQnUR8rdABzgehGb0R06Ee
aBr0Pj6/B32AzR1Q36ngBsDDj4mYLewaIhZUGN+JyB0EvyrODehvx5+RPY7v
J/hP8sZA8W3gtzVgcx76xqCvCn2z0DeZ3zqgQy6POBTaXbCvP/0iIs399mZj
LcyVi80J2KUi7iQ/D4HHzGLEb9Hdyps+ztkO6z8ZPBrxZQQY1PK2hfvJ+Joq
GS/VxPGcP87bV/lcjfxQfBngvACZafg+osfYSqZtIvj1E1eV7f2K+noHf8bg
z934s3FuxHr4Gvi/wa+H/7DJ8vIhhS8Pc5/i/g7u13E/lt/qhllGss9xf+Jg
fBu4bwHTcdiqQGY//i+nRpdBzyP7ArQ7Z1/l89Y217xyoxwtbnOOxKsnVoPl
LvRn0L8I/U+iP0tPbK0wHk+MB7MZ7hVhpNq6ADzOh8aRmwaoqeBcKqeq3W78
m07vbMP/TKcxkz+LkTmcd1932vcZ2B+H/cUZyz9Afg8jX5uI4R+8bUF+Crr+
hX9j8e8e/HsK/+o6rVtv7iPu/mbXvnpgPdhtQf4k5O9C/gnkKwvu1QvhK6mP
m6j/r5D9gjeL6b2lWd+rntTLr7UZu1015JDcftjlepqN/F1gOXWi+7GRGphC
LSzH3nHYux39a7G3Dwz2Qo3U3WnQxSXXivC7hPOZOdeKdHag/9Ocbcnm69je
hL/buf8OPCqRv3SSZ5Fm0lnEvgS8zsb+DbzZVo6Y12zfetG/E1+/xJ9syvPq
Gfxpwoca5tdC+MfhN453bpXjIddSv+j8CN1T4KfTy2+B/5vQ/ybQ29CKjO2v
wJ8jyM8b6D9lEN+V4PnOmIi3oQ+Q2wElk6xLOt9DT0uz41VNj8O/ipJjU4zr
iLXQ41mpGXwl83Azb24mtpugPcT3Udn8sdVg1wde8H+Ar4YvwC/D5i3wt0Kf
cXdfxm/1Rm+Xwv++xm/09qUmn/Xbx/Bb4P/C+c/QPvhudI6str6XuWvvsy29
0dsfkLmDcwp/V1F/F3A/ivs/8dsr3L8Izec8D9pZtg7pko//hv9P2bJ6cz5v
/56xbfnwZdmk82juZ3J/f9q5Uw5/SS43t7mX1FPq9WyPZ5tm3A3U8+y8sVV+
W1TrnYO9xm+pnGeMZs1IcriWXI7vM7bCS9irRmTvWO6XJq5p1XY1/MrEMcr/
P0Kfl4254hNmU9G1POM7ySjWJXn3mvJ7whz6PG196pll6HswbX80A1fBr0h7
VmpmroM/GZ1V1a7357CdhT+62hgL63nwdfAL4V+Df6TVuVGOtsIPZJwLye/G
nytK3jXCqx48sznvAs3b46jPq9F3CvpuQ/5V3vcWfa+avojz5X3OjXKk2pnF
jkx6PRM1G0fmvPtmIv892A+ba145GD7XMSgW9fCBCe5h8YpxNLqvKnm3asee
hX9HFt176sEL6a0hRc9Kzb+z4etKxlc7PVOyz/J9AfQVur8rGxthdKPqKeM7
yXzN3YPwt9cYL9W2MNNZvx0sW0aywmQO70+cY1uyOUBuH+D9X2tsQ7aEsbBW
jhr6PLM1uxvI517txpJ3uXb6dvr/ALPjnFrvo/3oOomdMho6FyyL0FPMyL01
3jGnF5xj2ZLNb9SvRe8K1fdUzquLnoear2s4P43NUYP7V7WlHaddV89vnyTe
0drVdfA7En9DaNdq5z6beMZp1mmnvAI/Imdbsvkt+X04bX3aoTsT7xzJa0a+
BX/G4H5UDAFeq9K2p2+Et7lfkrjX1HPq9cYG69YOHIP+RUXXknbcnUVjImxU
c6q930Dn9PqbSd9Ox3e5VlWzjTl/w/UMykj2kbTzoZ36KbY7mB/Z4a63hcyP
VL/tqWZreP9F4tzpjd4+Ovg9rZz9mljfT4ydYlJsP+a9G7Uju9mVs+Z692rH
Div4G0i5UE42Jf6mEd76hnsZ/rHEs0kzQbNB3wjqHX1THgCPXV3edcpxfZu/
ybXrtPP2Jd4hmjXa8fOZf/fkXWuq2evh/5k498qZctfR4diFwWSwKHR7dmqG
9vN2ReLZp5ml2aWdKnv6T9DC2xtzzo0wewbffsj7W13xt6HvZ3wuJyI=
           "]], PolygonBox[CompressedData["
1:eJwtlGtMzmEYxi+NsVmWkNVqUTr31j+UkaTSS6Xa2xzKqk0Or8PUZrPZMDOz
ZvhCs2HGB77kMJtMYTSHSaXyVsghYYk1oxyWDza/Z48P1+7/+zzXfbru+3ln
V9WUVPtJWgomgKJyqRB8q5YOh0kj2GGvlBwi9TjSjkqpGqS4JcfAI80JlAYX
SHPxSwHd+OzBtxebBidsijQf3hCcz6AS/wrwgHgRxL1L/MxC6WWA1JEqVWVL
G8CJHKnWX6pbK7VGS23AuxGfYKnfJeWRKx+UEMsDbhIvmHjnibe9VAqcQb3Y
LGrIBn6bpXEgf5dUMBtg/6RLY2ASOc5NlyZid5IjihwfXVYLo0kSfi4g6h+i
t4YaqRxeOLw+eLlw3OBilhRCzfPop4VenoC98GLhfYbnMfWamNRbCK5TcxA1
n6TmPDRy0PIPOY7mSsfANjhbQSe8BHhv4K3IkJaDD/Ai4Cd67EzMbLrhJcH7
BO8qCOP7DmeruVtj7uMkH7hSRA1TpctYN/UFU18n9WVQ2xKQDbLAR2Z4kH4H
sc+JF0e8duJtItZm0MjZLM6aOSvj97pKq4PRYwifQ/h+waaTI4gcreRYyN0i
0Ig2Hcw8Fq1OodvpLOtv4twjXjhxG7xWB6PHGP0m06+bfqOIF0C8ZpfdObN7
I/TyHYyCOmbQxP50811Bn73YOH7Hg8QYtAQDzHr3ZPLES2fIM9Pkc+xczHxi
qOsp9d2gzgL2cWW27dn03gYvFr4Pv/sgku+Hjt1rs99GQ6PlO3o/gAbvzVvg
dyp4wfc+zvqwv+jpJ8ikp3DeyWL2NGOZdI36fcVSF3hWbHfG7M4PfI7g+xu7
lf0tZ4+3YFdVMOMK+x7MuxjmvhbeV+wW3kAAb8FbavfG7I8H/ULRr8dl52zm
fYE+Quij0bHvybyrKrAePOYsirsWOMfZ/V5i96exf7yJSNBNzT4QQ46/vKMy
9L2Fbk0gAR3z0PkX72wA/0TidDl2r81+G12Nvn7M4yy+47G5+I/y7U+8euJe
Au34RpsaHFtT1f+dNrt9m7NQ7uq99r/D/Id0kfsV88sptPtm9u41euyn9rdY
Bw2mocEjl52Lmc8/2VfvtQ==
           "]]}]}, 
       {Hue[0.10819028148249854`, 1, 0.8501980717934636], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3lwltUVxo+UWhyFcakWkC2opIQQAjQLBMR835cECNkImhBCEHjhxaVv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           "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhhcNKsS0WGKIJgjSKPVeoS2QUqFUQm8HAXvLBUppact04BrF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           "]], PolygonBox[CompressedData["
1:eJwtk8trU2EQxQ9VoQutpjWpSZs2QTH4jBvTpujCJFWhTRpbIQHxCRaL0luh
0Z3gSnHhC6y4UBeCSKFW26LgXv+BgoLWtY9WcOFjqb9h7uIwH3Nnzpx53PSZ
YHi8SdJOsAaMHJdmY9IwdhCUQd+QlAdP90lXm6V3OWkM/zlwLCtNx8kfJbdK
HkjUpT8bpcMZaZHYG+S8LcIFR2XIOY37ELkPyRW5HYH0ICkliR+pSUdB8ojU
2Sp97pHO90sXwL+znjPQkH5tlX6DLeQ/w1fLuibT1jSJ5pS0GvsF/1fQOQG6
pC7sTbhugRJ1n1P3IPbVbuk1mNsmvQQrZWltRFouu9++f6hIJ/C9x8ZBivce
NPcymzxIw52kxhSao7xj4D55UyAR9hgPvBfr6SSzWheVTmMvMbvv8F3GRvZL
rSBKjW587dgBdAyCH6GuBHXLBWYK5vlexbdQ8VpWc8eo72aBenNgPnCNpjWb
c95YxWdjMypRdxFfseq6Tf+9Hp9ZkvfFjGs9Vfc9276LcM7QUy98j9jZY/AR
zLLzDSXpE++lmus2/YUw/kDguk1/B7kt1P3J9zv4b4O7ge80TQ8r5C+DvfC9
gfcb73Y0xMCLPt/zqknfp+11An8bOq9kfIY2y1S4l27sdWKugb/0tov7KnBn
64ltAWMNv//m7dITbmtzGo6G34PdRRByj9edw7jsVu1mIw2Pb2v4HGwe+Zzf
Vz/9xMP/YlOo3Xr4D+cVlCM=
           "]]}]}, 
       {Hue[0.09572650197795063, 1, 0.8674556126459145], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlnls1FUQxweKCiKKUErKVUCgtsh2ObrtlgVsu8vRsltKS+lJoS67Qgi7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           "]], PolygonBox[CompressedData["
1:eJwtlllsVGUUxw/gAgKhhQJOWwbKMqXTAgXKTFsqwnSKWOhQoKGFUhAcOkoM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           "]], PolygonBox[CompressedData["
1:eJwtlEtIlFEUx09lQdjTaqGFlmKo+R7n1YxN6kyjznzzcHwUiRM2oVHU17Ln
rkXbVgW1KMqoICNduImoyNJNhgrRw96gQUEQSFLU73Bb/DnnO/e87v+c+23p
Pdp2ZLGIBMFSUJMUKc4RqUW2VIu0gh2VIFdkOCMS6BbZCXb3iHSBaJ/IAmed
+HXi1wHyYyJFa0UKkKvBJvRVMXOmPvfiImUU+1wlMoQ+DNqwJ8EK/Dbin43c
R/406KGG5Il0U8OHj496t+nFRx9+sAt7CPQkRGaITSNP+0VOgVtdIpPrRW4i
w8SGiX1ObIS4KGgnfwo0UWOesxR5LPws9A/4pdQHtGJrxfYSW5zvBGiwRary
ibUNF8qJE70UmxsZUX6AF30bNh8yzncCOMhXCyoskYk1IuVIqx5/UA/3ZczA
j+zGdy/ooL8/1N9TbXJq7hpsP7BZ2IYZ4BC4A5fX4KDELbIIDjegC7ISLqr8
Zp46163k3kyNYmSIvmroL2ybWlqzCHsB54VJw61yfAxeZ8lnI/v5PggauEMD
PdyHlyY4CYJ+4vuATX/LmFtvteFLeXuj3OMfIS6Dz371xW8Jfmn1o//zK7lP
k8iUS2Qa1HEXB3itM80WeYDPYeIOgePELif2ALEe8rvBADW81PBSo45vB7iM
zYXNhW2c+DGQpTHs4dO42QXdiUn8mvFr1h2ADye8xG3Tp/bbgu7AFrHNbuqO
1qNXYAvYZpd0p+7S6yCYpP+zcBaNG/51DvPMOgfbL6QP+0n0UfwGuPMNkCSP
m3wp2/CofI5x/gxc4fwc/ASI6+Dci1+XbbhQTvRt6hsd0bfKPQLc4xu7P8cb
+I6cYEdeBM3sdIZe5lvKnH3IPOy54BV+H/F/i5xhdz5liZyg73fo72Nmf3WP
t8P9T2okyHOJfq7TVwHxhcyqCLjIWUJuT9Lste73KPFPwAX6mibvY/Qz3Ksd
Dh6h/21kX7ljM3cIg3HuEaJGCH+nAv1ixsxUZ+vB5sF2NWNm7/n/XvXdfsEW
4yyGT1CBPpoxeTV/HfxP8faclvn36D9I91f3+CF+jfg3Vpp/jP5rBrH5sfmx
fYWbWTiaQ5Zz5wqwQJ513OO3Zd62vvF/U4bg6g==
           "]]}]}, 
       {Hue[0.08326272247340272, 1, 0.8847131534983655], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl2lslFUUhg+KKBAjGESBsskOMnyFdobCFLDtYFs6S1naSouADh2o1Kni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           "]], PolygonBox[CompressedData["
1:eJwtlltsVGUQxwe5CG0I1tQLSEuqFlJID0ttt7b0Ittd7IXd7YW2axFLoXS1
Wk4FG32wmmgkMSbGZwGJISAPSKhCSEAqCggYJWrkATVGgcQ3Y6IhKgT9/TPn
4Uvmf2a+uc98p2xz2L3tDjPbzZnFmcqaHeHsWWn2HuflWrPv55r9Pt9ssNMs
nkdunln7bLNszOxi3GyyyOwt+B+0mFXCnwm/Df46+B9XmPUVmhUhcyNt9kKD
2QD6esFnM2ZHk2YfgQ+Aj2L3xZTZDO63cr+V+9XY/xDeIfRXIruFb13wCpDZ
ga0149gBzwEnoPetdFndmUbf7mGzR9D/CcHFA7PSuPsin2L48jwx3UD+GjLv
YGsxPrWBm8GrkH0j5fyie4hzmceg+y18602YpbCZxv6d2F8LvSLp9gfLzIqR
b+NbBv5c5Qz6B2xe4ZzFt3OcLGcn+nbgz2G+96BzFbZP4m81/u5SLeDvQ+cu
YvsSPAU+icy32Fof8/hnyz75OBjFe4r79dz/N+265O9N6J/h18E/w7d18OvG
vZaqaT10F/o6ItyIvtdCs0slZnsXms0bMfuHnFwFvw8uAh8MHcu/+/BnEP9X
o/8c+nvQ/wAyB5DNko+/l5L3hPuiHKoWv+FPPfJnkc8ifxpcCz4NToD7+qnT
XK9XP/T1Ydcv+Qz8ryL5z8BrwYuS7oty9hD1HIh5/lWfHPGMgLvBheBJanuG
+/HIXgv394Oro/zVgReMeKyKUbFmYp4v9Xg1+o5H9z9Fvhn5xnHPn+rRBD1J
TcfgD+HPL/RWUcZzkyOeu6G/jnt+NT8HmZ/L6HsU+c+RaUPfdWSucWZS+1mc
jpjPlmZkBfanK1zXIvQXIPddVF/db+V+77jPi+Ltg97E/U7wPPAo99N8y0Y4
A70x5lj9OgT/YuSP8ptCX9e439f8dUM/k/B5kf1KYqkZd/+Un7joRp9l+dsO
/WNUb/VfB/oOg2vA0+AG8HZq8gf6FjBv25mf4U6/r29boSfyHotiGsbXMO++
y6fN4JG8+64YBsEbuPNTke+wUXQPRHz1xAb4rXnfHZqhXvBzeY9N+obAWyL9
0veUdk/ee0kznwO/FMnLn63g11Pun3osD34V/Fe0P0ZzzHbouVROq6CzCe/v
Yny8nXYZyWrn7ORuwYjPnnpEvdIeeO5U4yvk7lTSY1OMA8TaGPpsaEaaQt9Z
0icfXkFfMnD7mpnz3B/Jea6V34mU51xY+34M/GbKd+OtYrNyZNOB61cNr3K/
a8JnWzNegq8Voc+CZmI59LOdblv5GIVe1uW2VNNy6Klo3lT/RnTPyES7mW9L
iPe/tOdGeCbz0R/z3KtmWdUi4/tEO24O9CA74kSx7+96Zm9+xudDM1cIPTbh
u1k7OiB3e4d93+p9qMV+TeC0vr0LryR0rJ1aGvoOU7za138ye2sC3x2Kdxr5
psDjV08fG/Y3QPaO3UstlzMjocsr/wH06sBjVw4OadYC3z2yt0++NXhs8qcK
+uGc10I1uYt5KgtdXvcfhC4PXZ/sL4WeanBf5bNqVRd6/6h+9dCdgedG/bKB
XmzO++7SDusm15eS/tbozbnA23M78F2lN78JXBe999qJncgnov8D3e8Bl+a8
l9Sji6HHNnoulBPV4hb6bnLOU5sLnP0trl/9rrdHO0W7RTWsJpZfM75LtVNL
kY13eW+px2qhT0T7RDV4DL3Hsv5voX+M40nfkdKnnfU08daEvis1T3Hoqrj3
jvhLkP0i4/8q+mcx7C1scb56bJPeprzvNu28NPGuj/aJevQJ8LaUx6+Z0qx1
RPnVvumD/3jg9rUPvsH3+6P3S++N3tqN0b7RvnoS+bdrvfbaD2PM05GovvqH
uIz8/0f+cMs=
           "]], PolygonBox[CompressedData["
1:eJwtkktLVHEYxh9nJhDcKI55y8uAKLZQFzaTICnoKpgZNUIdE1JsUEnPoLlw
Ie5a2UqshZfGjTvBhIFGwwQNRfwCmgRi5fUbpOTvz/8sfjznvOe9vyfQ73SM
eiRVwAMYb5TGIOZI6RLpFdr6WGqBrirp1o9vl7QbkV7mSDsR62/iOjqldvgI
B/jNofUTUnNACqJJ3pch1iadENuNbrZK3+A19g1ivlRK+S1SAUR7pQhkxaXP
hdLzWumTm/sQvwx8PPAhJBWXSkUJKRf8CVvH1Bum/23mmAlKefTthxtsPvwn
iLt2n6/QP+T/C/tR+qC/PdRTJ3lhCfsiLGBb5Ns8mq6RvsIvdtCH7RQdcusN
Ovab8fER54U2Yt7jF43avk3/d2F6wvY/bOuYeoUJO08xGiZumdmz43YXZif7
1NmDJPGxTGma2Z5OSmUcMTRpb2Vu5nf30eB+mwnZ+cyc6/SwQt0U+g67l3oX
jt2P2ZPZv7nDz0p7vyfcbwvfVWK+o0fc+xie8TyFrQn9x6y38IYeB+AtpB5y
g157Y3Prc8fWukSngvYf63Hsf2P+nxf0tsK8j+I2h8n1g9y7cEK9TeYN0W81
rPNcTs41cy+YJd8IthR9n7Gf33APKPiEWA==
           "]]}]}, 
       {Hue[0.0707989429688547, 1, 0.9019706943508166], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlnlsVHUQx4dtKw2EKIJSjhZaELJFdpdrV6EF0m45FLqlCltKCwUe+zgs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           "]], PolygonBox[CompressedData["
1:eJwtlnlsVVUQxofaahNjsMEIBV5DoVIeS4ssfQRbJLQFXGirKO+h7LZcLMtF
2guUUnDBaIJKoiKroCxSwdgSEQoKRlwJYjTiP0Y0EIWocYNIUBD9fZn3x0nO
3JkzM2fmm+/c/FnhvQsyzKyVlcmaUmN2KsfskxvMfi42W1Rplo3B93ybie4+
vk1k1U01m83KZH+Rg7PQ/1BlNiQwO59rtizfrLHQ7OHQrAFf9dlmz5SYdasw
28y+a5bZJs7Gkbci90DehrwH+92sCeyrpMff7/hrwl8D/h5Bvq672WPIzcjP
43NGjsfIKzfLIYcY8ljkiUXoxvhe34qwvcq38+S7ipit2Ffg7xL+l+NvMf5O
kM8X2F++ySyJ/G/afhLnj+G7R5NZRoHZZM6nyHP2YLML2P+Ivp76NFe6/Dj+
lnN+Av4v478FeQny7lKPLZ+t7G9D/xf6ZvQR+l7EKMDXQnzsI/ZebFZne43f
ZD8H+0zu/yj2y2TPnW7GPsD+Gu5zuMJ7px42J8yeJJ8u9O8s8nzym0vP6llt
5N7OWoPNOXRPXW92Y5nZiCbfn1G/0CX6e/8vUY9Yyux0kj6z/5AYB4g1pr/7
/4dv+ei3FHtvd+Jzb7XZW3Ew1Mlsv+rJ2XVJz1X1W8s+K40f3bGD/LuwWrDv
zfkYtVid8Nqqpsu5Sx9hCDlJjkOpx5G423fg/0H8nehrdpx9LfqT6CZRr6vU
dwX1Wkq9aqnBac7/ib/x9O5tbDbFwCSrF/VYF3mv1LNqzq6NvDfqURnyS5Fj
RZgZi7wpciwKkw2B91y9z0ZuRN4cuaz8W8j/UK3ZaM6+Qry+3CWftTHm9xnC
fbaiT+T6N+n2Ipchb0G+BXlb0mfpCHJd6DOmWfsDm4HEezFyWTM4LHBMKf8L
yMORX4h8ljRTA5Bb8T8y1+9fgP/P0/hvo0YlCZ8x3S+L+8wNfEZ0/4ucGYXc
hZ5/ST6L+PY0vhtLvfbqwXpyTSW998JAJr2dkvReqWedkc8Rvxpfu4k/gPjj
Ct2X8LW/wmde+apfi6lfY8LjCeM/hT4DmoUM8ptFPhsjlzUj9cgbkFcid0Ke
iXymyrlKmMso9plUv/8mh3Ho10eOFWEmhdxU6Of/Q54cOIakv4Jcg/wd+d/N
vpX8+5N/bei9ER/FuN+GIse7ZjSD2Pvi3mv1tye2AznzBvs9rFGh10C1eJ01
Enl06Hpx2DS4rDR0vWp2ltgzapybNaPvU69bS92/ZuRa4h2Ou2/5kC/lqFx3
sUpCnxH1S5zWndmvgRuqWXdSm7tY24udm8XRRfh/N+65KQflMiJ0f6rBKfIJ
kN+LOUaFVXGkZv0Q36ax/7TKuVT8d4XarOHbc6G/KXpbNqf5Q29EjHgfwSHt
OZ7DN9ytrdq5RTZfIU8N3bdqrFr/Ejp2hJEo4W9UXZrzxH2/oc/Kc72w+2zC
uU6Y77HQMafz4rhB9DqTfLvmOH7vH+M9VW/15nyLrnOZ86U4dEGNc7a4WzWY
TazccpfF6UNL/E0VdpXDr+h7VjnXaR7m4P9rangHtXyN83Hss8s9tnLIwvYD
9OXot6EvRN+VnLvneQ7KZXzgWBamxWUlgc++OEBcNj3wWRCmhW3NvGZfHJhH
PvcEjm1hXLOwpNJnTzMo7viM+GPR78C+H2fnBc4N4ghx4UHwsT3m+sHCd+i5
KuejtZ6z5Fc1L+geCHy2lI9m9aHAZ1kzrFmOAudScai4dFDgXCeOE9fdHjgX
iZPEzeJw3Uectot4eSl/uzQf8ysd08L2E9itCv0fQ/8awrywvyONd2HuY7B2
tNq5UPjQv0HvlL91evNWVDoni5tfZvXG39J0vfTGrARbfVL+LyGMnRMXxt1W
ZwpCfwP0FmzVe4A8LPTeCwMnyb9f6Hq9GQeRD8TdVt+kkw/50hvRjr4j7rVV
jVV7YUj+drKGhJ6DchFmuoGdlhKfT3HAFPTvxJ0bNNOa7Xk1/u+g+x6rcM4S
d+mN2kK8Q3H3rRjKfXr6f0t8I24bFjkXaAaGR44ZYUMYKQodI5KFqeP4+x/A
3s1D
           "]], PolygonBox[CompressedData["
1:eJwtk11IVGEQhifTFLtpQ0vDQ64/1FaeziLuIXNJ2hQkWW0pd/EPNUui9JCV
UJFmf1DSCnVTVFSYhHWhdRFBl0UQVndJNyJKf3dFUZRF9gxfFy/znfnmfWfm
mzn+Di/WkyIilSANPOnknAtskaPNIsdAdqtIFog6Il+5K+0S6cN/BBR7Ijct
kTXY9IjIEtAQF3mUJZLAHq4SOQTa60VmfCL9rojH+SPnYc6T20RegsVRkRX4
8kNGQ7UscuaBneT9Sd4q8taAX5x3OeZOY3JBDtiB7zt3FV2mbq0/QF23qW89
1kqgQ1152MywyFKQz3keXwH2JHUOgiS8iyAM5z7cLZ6JVc5xap6mzhZ6SGwV
iYN0as/BV0jt5+CdBWVw7sJ1PdOf9pmE+4G4A3AtOAWcg3Cy6DUbTONrw3cJ
3wTfD8Acb/iO+maxbypEpsAF9M+DTWiPkWMzdgKMg+4W5pEhshAyfNW5zLkD
3Tn0Q/DLQBN6j9FtxBZwv5L71KjpR/vy8575IM6b/uZNo7xpLzkPAj95bpC3
EFuJ/wf3McfMQGcxQJ+z6O2pN7PXHThD7GmQuZcz9b0m5yt2rRpuNbs2iO4p
4KL3DV+dY3ZOd2+GuFp8tbbpW/t/Xkdv5HDJ5fC2QeAjdhnYDvcz8evQCvC9
FrTgW7SK98X3DL0I9xH0TqDVD2z8XzSHYzRUa4y4cnzltum793+NWmuQXkZ5
g1LsQ+LCxIVt80/ovxGE74Dd6KWTtxf9KeJqiKuxzY7ortxhPiPgCnOYZB5X
sZ3EpsBpdUzt2kM3vjR87fg28F3SanZGd6eUtyziLfzM7xY5XHK45OhGv6fZ
7LTu9n7m8Z64Idf0rL2XUP8IfWzENpFjAW4TOYrQLwbzaF9nXj7mdk//B89o
qrbF+Rrc1dgY3D9wE47ZG92fF9TTQL6BkOlRe9W6tf424lLpZx88m3uLuOVR
s5u6o5pba2gk7i+6ceI+0Vud7oZt/k/9T9/CHaI+i/qS1DHsmX9E/5UAfY6i
O86u9MHPIF+nY+ai89Gd0d0JETdO3FPi/gFu9Np0
           "]]}]}, 
       {Hue[0.05833516346430678, 1, 0.9192282352032675], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1lmtslVUWhrfFQkstUBAchSoFOccW4YgoRWkVKcQYtTZEPVUsVuZ854Mg
fFVouQoq6kzASIy/NMZ4IVE0ihpFvP0YdByYkYEZEFFhVHS8JWq8BCMzis+b
d/vjZL9nfWuvvfZaa79rNczLZi+uCCGMOi6EfqxJFsKeE0N4tBjCWzNDGMrH
oT0hDG4LYVFtCNchf36i8RBkXxVCGF+JvCOErzNjyf4HPoG905pCuAG8//gQ
eltCOJ4989nbiZ0p/G+tCmHilBDK6BxG5wVsN7SHkKEzHN0vo/2/8f0g8gfx
sx55P3wahP1W7G/Fzy+RX5wP4Sf0apCfj/xbcDV4KngTe9Zjcyc2diNvxuZx
Z4VQNxffRuBDGsIZyPuw81IjNrA/hL0Xsnc4Ou+i04zO6ej0orMVnbPAy8Ev
g88ELwNvA48GLwW/CB6g2GHnAuxsuSKEFTWcx70LzSE8WRfCK8h24f8R9LeD
38x8l9ORPQP+b30IT7Me41eLnRbsbATvQ36AuJ0DXoH+K40xrnWO9Q/IB6J/
HvqdM0I4mziPQb+i3d/vJ84VxPZe9hxGtvK6EG7ljq+WQriGvduwP4917BTv
lY016NyGzpvovIWvT7N3EzbGEJ8PkFcQnz9w38+pn8+LPkNndWFndy6EJfhZ
mYTwR2rlI/ycx3o7Nm9n766S4yGbisUa4rOfc5fOCuHtdt/rVnw5EXwqeBjr
pJnWly99s5zrJXnXpnRUW6Myn/sC8aliz8nIq7Xi8wHOnY7Pj3KHp9jTiL16
5O8hv0T1MNPyJtZBsU5+KGMb/D74GPiUqP//sutYZ3YTqxHR/s/I/8L+v2On
m/sOjbV0BPnXBcu38309cbgD+YfEYSo+r8TnV/H5i6LjuUd1l3dtT8O3pXnn
9+zUd9bdG8HV/OrAg8nDmal1pPvvnOt2CPHfm3OdjwDv5Ozd+HAjvs3n9ynx
WcC6L+d6HoXOBanfcl/eP+GZyN7Juf7HoLM/5zo8A/xuzv5PBL8HXg2ubfOb
V40OAC/Lu54vx87yvN/y1eCLU8v1vSO1XN+vSf2OVoDnpX6bK8EL431XgQ9w
1irOOodzz00dK8XsaNk+i5OkJ/2b+P5L2WfpbYV4lnilf7QvDri8N4TLGshX
zudJPj+1H/LnevDqvHlyFTXYktmH18jd/UVzjrjnp7L9ET/dht7H1MnoTnKP
zvvk9w3W78vOo3irppV6gCvq0enqMJZsKP9/RP+v6BS7eE/w2GXU0Wx+VeDu
LvOLeOZw0XWg+05vMo/Lz4vADU1+ZwV8n545R6/j883U4RrqcDN1uBh8C/hh
cB94Lfh58NLUdnTvH8uuMfHNPvZvxM4uYtWc2Kbyr9pSjb1NrV1asM8dXeYI
1fbYTvst/6/i+4Zmx0dxauDbXdxlBv4OajWubXVcFJNm5JMSx1z5X8neD6jh
zg5zhzhkbZRJX73kjchd4o/Bre4FJxGbxR3GklWTswXoPACHPcXdPoEPj/K+
K9str+L75NRvWf3h18w8ID64EHwn+B5i1pKaB8Q3s1LriGMWxT77GDGo6DGf
iFf695hLxamFzHwr3q1PjNeCxybmzHXgRvA68J/A5RjDKws+Wz58Qb4Kibll
A7LJLeZz8fq0zHJxz2clx1D1W5c418uQD0vMFeKMbvw/iLwR3x4vucep13XH
fqG+sSNzfapOv8/MmeLOptRY/bY5s893Yf9o5viIL49kjqc4sj11TBrAJyXu
TavQXx3fjmrk3MR33Ij8HyVzkXry9pK5Sz1Z8VWcN7GessL1qTq9Gfv/Ye8k
7I9LzF3isDW9rknx7oS8e7Hmi538P4R8R9E9U1izyEMl9xf1mQXYPITNCdg8
mPP3LdTJsPhmv0Hnuba4nzrawP+9xO1u1pMT+yzePS3xXcSvh0rmUvWEyZnz
rp4pntZbUCzqenyXiZw7sMc5yoGPkePPsP8s+xbG2lCNdMZ8jSQecyOWrI77
dsF1C3s9/yluKfJri+5rmtdeLrkeNCv9udf30v00q2lmq+deYzNziLjkXznX
yUDuVJu4B6kXac7TvDca/c28x0e4T67Zs53iVsLGS+D7sLmVdW/kNM1Q9eRj
E/IHqfNREY9kfTHavDEzp4p7lW/NN4q5Yr82zjAN+DKox/lqmuv3o5qckHhG
1N5fsLeBGM7Btz3tPl9+qiYa4gwwm5xvbvM512fmOHFdBpc8gc897HmS9btG
480tzpPyVZP6bPlQlbqOVc9TE+dPeaxM/U7k2/6S5wXNTr/zmtblvIm5M8y3
4vJJ0X5f6jevNz4Zm9tiPCsLrlGduyj1/ZQ7xa4+zt7D0B3Y5trW7DYuznhz
Ut/vkzpzZdphvB5finn3FM2zjdH/UmquF+e3Fzx/iT/FQTWJ62QJPvaL/V3z
cv/EfSdDXkx9rs7PZ+Yl9aIlsU8NTswL4oeRiWcLzRj9uMf4zHLNtsti/xqO
zrXRH/XP8Ynfl2aWdXEWzSN7tuRa1by/r2R+0KydxZ5Yjc5pmbH65IDEda56
/yc1s5s3dQfffwNCrkUi
           "]], PolygonBox[CompressedData["
1:eJwtl2uU1WMUxt+GyUxjqlFyyWDEjHOig2iiJjTTspDTrBZOLik5//mX1HFp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           "]], 
          PolygonBox[{{26126, 26125, 30028, 8524, 30029}, {28593, 7654, 14079,
            26143, 26144}, {28549, 7631, 14030, 26125, 26126}, {28556, 7635, 
           14039, 26136, 26137}, {26137, 26136, 14040, 7636, 28557}, {26144, 
           26143, 14078, 7653, 28590}, {23901, 23900, 14074, 7651, 28585}, {
           30059, 8541, 30058, 23900, 23901}}]}]}, 
       {Hue[0.04587138395975887, 1, 0.9364857760557185], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlmlsVVUQx0+Blr6Wlr62lLVAFSg84D1AeUUtgnnViNG2IUIJUpHiey20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           "]], PolygonBox[CompressedData["
1:eJwtlllslGUUhr8KpdPSlrZUZC1WocCAXVBnWAbQTDVyYdt4Qavsrf8M+9SL
qtVoWEQJIN6rFyRoFAEN7iIxpgLiAgURQUURE41GjQFBRIL4vHl78SXn/c45
39nP/1e35+5ZdU0I4XlOf05DMoT3YiEcLgnhUC6Ey5ziqhC+GxbCv5kQxjaG
cDIvhHeRqYGu6AxhKPxDyB8A/4V8DPwt8ueRL+Zshd6FTtk4dHh/N7ovI7+9
OYQR6HyW57uR0KsTIcyFjgaG8HlTCNtaQ1gO7hkVwkrefrY2hBP9LVOYDuHB
lPF88EPQv9WFMCk/hGPgD/Q2b7SWW74Y+Wlx9PCviHOR9z7mnOftA/jzK7oV
bSG8GfPdQXivpO37Ou52QK9JWldvXIA/ptGxnEN+H/hezjxk3wcvgt6A/Gnw
dcgnuokv6fwUcM7CX5iz7Gblg/cPEu8G5J8BfwIdi4iN/CWriavLPsv+Ke4u
ktud5HBbufN3I74cqwlhKrKL4Q9G93pOBD2du3r0J4GXgmeAJ4OP15gnmdGR
ZYQz4DHg5eDdQ1yjcupXy92yPv0T6H7FSUFnuRsLryvl2u0lpsX4+neN86ce
uLvLNVAtVLPnqOVVcp7Id472qZ+wsQf5F5EfTny1XY6nHTyU9zeSvx/6+jPb
EkLJDOvrrhR6f6Np3YV6YlQM6M7kjZt5qyayr/K5Abwr535+ibtXoafTHwOr
3PPq/eMTHI966NMmv6G3ViCf4K06/F0GfhSZanSHc9cBbxp3dciWgheCp4Bv
Ah9stO+XKkOYM8534i1CpgLZtUnblg+XsJ9X3ydPPnvBt0S2LR9Oktu3086X
euadtO/EU8wNyMa73I+KYSL01/BnwV+pnoL/J28OwNY34HMZ50S5WQKOR66x
aq2emQiujNxbqolq82WNY1XMwyL3lOTVI/Xg9px7QT5oNpQTyd8Pvwr+h+Tj
eMwz+zu9sC7hWZ4HfxTzEk96HjVjB9BfBy7F3xLOFXAqblp3V8H7c55F6WiW
443eVarxeOg58/v2DT09d753hHbFReoxAvnZ40xrH+yBNzXuWdXMarddyHi3
CWuWX2BGj1Z6R2lX7Wl2L8hmHfz+WfpRtUV+PXh85Nwqx5qdqox7T/4twJ+f
W21b/v8EfTnj3aueUG9oB2kXraYf78TWPxnvAu0E7abNOc+OemIT9H/wvx/m
/Ch3hfTwshLPXwy6vcW5X4/PHdAjI9dGNVJtt9Y599oxO7AX6ryb1oLvAh/m
jfugH+BuOL7dEHl3aIdotwyJPLvqF+2mbvbDkph1etGtQCcLPoM/b7APXkv7
feX0FPL5kXshgX4veErcvqpn1btlkWdHM/QF/DuanRvt06u8VwR/Qd/+PAr/
cM710TduMvnYknDtZHOVdjH6O8otczLlb5xqqbu98GY3O3bN2074edT3NO+X
4c8TSR/Rgzh5nZaRrOpxjl1S0OleUE/0Q3cW8QwGV2rm4T2F/hDoa9Xj4Nvj
/nboG6tv7cMp50o5VC77ddqefAhZ50C50M4p0e7LuTaK8Wli7cg5N5rHNeDt
KfeTdvTZCZ4h9Yp65gq9MyPuWGRDtlQD1UI9VEStVuT8bZaNt2qdY+Va36wC
7H/Uanuy0dPqGVD85Zx83vul1bXQDn28y9846atmxegP6nQ+fgQXZp0j5eoM
eAD4yaSxclgIb3CT87MCm5XQR3LenbIhW0ea7Kvytynhb6a+ndoJ1dCj27yb
9Q3Rt6StxfOoHfEItmbG7btiUC17+vaHZugPZqMkbdvasdq1RVn7rhhU29vi
rq2wYru127tXO/Ax+Etb/C+l79cS6IKsY1WMirWh27tbM7MR/8vSjkUxv07+
/wcosphN
           "]], PolygonBox[CompressedData["
1:eJwtkWkrhGEUhk+TfTCGmJARypp5P0j5ET4pkWWY4bUzUxRFURRF8QPsskWW
v2PnB9izNYbr9MyHu+ec65zzPue536JgqGHEISLlKB6F20RCKNkWac8VWfOJ
FPpFvOivR+QG9mmJrMLbiBNs069zK2gZ1cGGqZ3Ts4u6iQtg09RmUKBdpBM1
8p19al6+20zehOphm7BU2CazncRuZseZm0BHsD5YBWyefAGdwYZgtba5X/eY
QpMoH9ZFbYeeSEgkzSsS5czjPfl+s4/uVUSfTd+ez9yj92XDArAt2BczTmZ/
OHOY8/jVLBEXzBE2/qhPScRZsBTOUvIy9MxMIuyVM53chd6Jk2EfnJnkWSiO
GTcsgbOYvARlEHtgbk4fuYXy8GaXvRos46P6qT6oH9Xs3E/tmJ3nyGdRGawX
dghrpfc8R6Ql5rf6fgDvoV5im36d24YFYR7b+Kh+6t66/xv3X1B7tIyH6mUE
dg17t8xb9E0fsEvYE2yM+VH9Bt/rgG34zPv0nY5ekVvYD30n8AFii75F+pdi
0rgGNkjtlJ4q5irVb2bvYb+W8UY9csIeYFHL+K//IR52B4vA1pn3Eztts5Pu
pv9T/+s3O19Re6EvFc+z8T49bO7SO/8BerSNgA==
           "]]}]}, 
       {Hue[0.03340760445521096, 1, 0.9537433169081694], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VltsVFUU3dUWRihKHwiWtIAzdGwpc9sC04T0r/ggxg76ARhgFHDKh8o0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           "]], PolygonBox[CompressedData["
1:eJwtlllslGUUhk8VpC4YKZVFLVJbGFuhAxXaxPQO3KJ2ECOVC0HBKRci06jY
fzRGUeOWKCjuRbayU0BFBQG3uLEoIImyuiQKF2pUwAoKiM/LOxdf/nO+c76z
L3/5hNzoKadFxFpOF07JiIgp3SN6VUY8VRexg/NYj4i7z45Y0RDxaRLxYUXE
8K58gddmIpZA38Sb39IR74L/UhRR3z/i5D0R7fDMgX8w/LOBl3DawWvAFwDP
r4nYi+LbiyP6ZCN6NnPXN+Lrsoht6D7OmY78Rci/ZGTEyisse39pxE9NEddm
bFsnMq4B/o/3e5A1FPlHsOdq7qbx/jD05dh/1qSI74tt/3/QJ+Yi3i8z/SS2
fI7Mfcj+mLtn0F2UtmzF4LqMbZAtP0M/Bv11fGjDnx/hmdYa0Q353yF/GPJP
8HYhMvdBm8BdP/zrAn0f8OXQj0Ofhb6vSm3DNOR9gLz1FX6/DjiFvmXom4H+
E9BXJfZvCPTDvH8LfG/B37/Bj+H/7gL9L/COxHga/E/wdxLrrwX/R77Bv7PY
+fgDfGDe9k7kLgX8ZM65UE5K4G0r2LuX8ylwZd75k38DgO/MOXZt1MAF1NJc
/N8D/TboJfi/FfpR6Begbxf5eI+YLsW3L/ExhkT0KNTf5rOwnVxvaUSm/Efe
ZuCj2LCr4M9B7L0y49w9A89VwHdlHCvJn5d2zao+GssjRk0lliPMK5/k2/aB
EeOQ1wzPt1X4ho6xPayzDdsvydt+1WdF3jWpt5LRgazZ8OyGPh76OfhXNMn5
UHz/Rf8cTp+uruHJ2PZnzr2gmB8E3troWE1C/zbgLi1+qxx1BX4653pUDT4F
vKPRsdGbr4H3YvP5le7XIdjXmXYtqEbeJNeXcVcC7TVq6rXEPOJVjBXr+1tt
fzfu+kN7BP9Or3Q8WoldOXfF4C/y/gXeX5Q3fSb4dPBZ+L+L9124K4P2aJ1h
0WdAfwj530PvwV019N1VhmWTbHs85/yppp4ALs061or5PGTX5O1fb87TyF7J
3Q/QsqpxeNejY12Fe250irxnXYuqyXZ436hxbzZzVwdtxQjXknK+EjgK/f0J
OZ2C/s+aXNviEe8e7O2J7lLO4Lx7XPJkUxr84VbbI55BefOIVzNhFrbt5H1X
8DM4F0PLtzpeuusHvpH+7kTXEfR/hf6hefsqHW9i+2Rqdly5Z4BmQc+U8dW9
Is6sjngucawlU7KLWzxbFI8zgY/nPAtUDyeA/8q519VDncDR4npRzRYBz0Pe
bOSVYcOD9RHntXhW9gOvw7YbidcCZsFb6B9/Kz1Ub5p2wie8LaU/2/t6PnYg
v1ez+dV/R+i1tsS1qJgpdh+Bf1DhmXwTvs0Ef6HCNanaHHwzfdnT9bqaeCzh
fFeYT5VZx1Sx1ZvneTu03rHs5GxG/6V5898BfxVwLadPpWPen/jtqnLtq8ZV
6y8mrnXV3wOt3oHqF+VbtXgo7Xhqpq6E92jOs0j4PznPSM3KN4jPefhzLO18
qJ/XiD/t/la83wYflXa8xD+WeCYNngXyWb5rxyr+itHHwHML8+Qw/n2OvhtS
zqV26uLEPaDcrwFfCz6gsD9UM6qdX3m/sbt3tnb3+oxnpXg2AF+b8v4Wz4W3
OCfKjXbS+4l7WvWmGaBZ8U2Ve2U48i+jVofnXTuacb+jq3qqaepv7Tr5KF8V
o0zaNaJa0U4tH+mdd2r3oWMD8El4tnT3jtCuuD7l2al/ivnQN+Wca+V0ELm/
+BbvEuV3DLzvJY6FcvBu4hmv2Sb7NcvuazCuma/Z/+FI/8u8o52Yco1I1hrw
nQ2e+Zr9+qfYXucak37ttFr0D643r2wehvxzWuyPYtgduCNjX5XD5cA/N/lf
5gBnf5N7Sr2l/p4AvCZjW5QT/VsV3Wt+vQ/glxPPO+3sxfTGK4l7QzW/rMb/
XKf+vYjB3MT/XOr/+eCLgF9KPG81LxfAf27Wu1r9Nwf81cS9oxm+Ary63rUn
G2R7/6z1Sf8i6MtrzKs31dAGZg3LnqXQarOexer/VeCDsp7letNR45km3xWD
cfhfnPVu1Xx7HfrSxP22CPuXJ/4HU/2oh85v9k7UbryBmstQeweaHFvFbx25
LUlZtmaSZtOYQj3qvWZX41S/1c79grdbcu4P5fhL4GfrvCtE17/issS2qAfV
iwsTx1Y1qlrVzNPs0z/IIWpv4q32T/2o2a5/EtFlT2/0/w/khiG3
           "]], 
          PolygonBox[{{10059, 10058, 17600, 3529, 17599}, {30879, 9118, 30881,
            10058, 10059}, {10069, 10068, 30915, 9151, 30914}, {17603, 3531, 
           17604, 10068, 10069}}]}]}, 
       {Hue[0., 1, 1.], EdgeForm[None], 
        GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNl1lsVVUUhvdVcUIcYoxBQaG3iDj0GmPUCAkPQnxAKWpMYyIx0YTERK1G
jefog/ogBJxRyiAIaJWxhTIUqiCOMcahpWqLoEWhUKR0AIdo1Oj/uf6b+LCz
91l77bXXXsO/1hl9V+0t9x+XUppSSOl4za9nKR3R+saxKfVXptSn8UNFSlX6
7hV9x6SUvtC88eSUPtd8TPtHNbrFs2pYSs2id4p+SLQejd2iH9Hcq9Gl9Qrx
LPHZc2bE+s+rUzppSEqv+eygeAc09om/Q99bNLZqXDsqzn92akrPVoYO6LK4
mNKXhdB7vdaDmts1nnw0pQOS8aretFX0b0T72W/gLVP0poaqlBZqb6F4nhJ/
j/iXZCHnK/Ec1Rg7KXS795GUDuvenzS+E1+T5vs1Dmp9x1kpzRLPPRq3jo17
3pOcYdo/XaPO79ov3gVad7PW6ND33orgg6fP795cCJth+01aj8tTOkPfF2u+
RfKPifZOFjqg8yL7DBu8mQXvmRrz9f1jRXyzvkk8fZpXZ3EO3Rfqu7kQPtxi
nx4wnW94sD+0bus/YJ9zbm0x7I3d67Vu09yv0Sa/zpQ91l6f0t9Xhw2xZXo4
fFnQ/Jr0WKIzb2heMyGlB4emdEN1zG0jU3paZ1ot5+wZESvETIXkzKoNnpma
/3lIsSEfNOvs25LVIpnvav6+Inz1SiFiafyYiDFilnfyxsmiTRoTezt0ZrvO
fqS5QXo/r3j7uEZy9b1Z9BbN9RrLtV7JXIq4v0/33ibb/iJ5H0q3ldrfiZ0K
sf/byMiNz2tj/Vlt3DtBo6UQccMaO5MLk0wn1ol58oX4mjgmeMdbZ97CuYnm
X6Z7WwvhY/Ynm87dw4cE/73VIXOpdH9MMf+t7PNyFnLGW4fqRyKmd05N6YHK
WHPv4+LfI/554h8u+rZi2BXf8k7kbxLt60LEaC7+TvG/ZPmTfQf5+5xz+Khz
iFj7yTixsRA5vY6cdr4gZ65p5A108mSf47DVvE2FsP2GQshpM41v8KLRMtq9
T3595XmzcwGs+Nrx3+Fv3nteZfh4hNfYlLjDTxvtlw7jFfY/yTYv31G+s906
bvY97PE+3vWSc2rAPCcOCZ2JATCZfCaX8QP4+jI5Wmk/FmLeZVvtrwndGq8L
G8CPHeqKkRvkBZjGep5xe4/p8H1nX8wvBk7Bs/a6wJuzlB/VpdDv9umhF3hV
5/f+YBxbUIy9OvsH3dCFurDX9FGXKBaV81fmcV+XcY/9Lt/7jX2DT8Bd4hE7
k2v99jPxf8SxM1Q8p1XG2XOFHbPFP01x/eKwWLfYhqdUxnvH5oHDF2n+pCby
bar4nxFtDn4/Id4KFuEPcm6W5YBxM41VxTxkVmg+4BrIe8H7XY7bHtcQbNw+
MnRC1ug8fLhrnOKqKuw+X7lzYR7+7BS9vir8V5eFXsQM8QxWomOjcbjPOYEu
p/qNxMkB63FpHlj+rWR+VBPnX60JWV86V67Iw9d7xHN5Hni5e1y8p+1/Odfq
M+Q19bjX8bPTfBONdffYdl84nskf8oqcIQaH2l/g/9PmHZMHvTKPOMMH00qR
b8Q2cqir+5wX1PP9XoNPw52zl10TOPipsLdzQsQbcUddO+Z6hu68Af0uy2OP
PoI4whfoRn1ALjI3yQcbtP5d+vyssUbrdaJdkocOTzwab9vm/mN7Fr0BPQK6
oAM2eMs1pd61i34FPmjL7EvObzW2grHUI/qTZa6h1NJReeQ/uF7mA1voQchD
cu2u6YFLd04PvD1sm2P/w45L8oQcaZCdXsgCk0bksceZjc7vXvct7MHTMS5s
uMQx0GX+eca5Mr6uyOJN9CO8Az2pF6urQs8F2l+URXwSp28WI6bLeV7vOkeP
g7/LeHjI+fYH8YGN6CuyOL9KcymPvoder6EYOEvfQj9BX/GX8rdJfI2i/1oK
GvFGjCGvyTbnbKMxer3pyJmbRZ6Sr9DWm39FMXRAf+yK/cGNV7LId/J+XTHk
IqfTudHhWtDgu/B/i221qhjYN2AMXGX59b4L+26R/Gat/yyFPhssH5s3W7ff
SnH3BvrkLGTTY16QR02ihhODy42tYAn4A560Wz/yfI11GLBuq60PMcSb22Xb
xizox0qR2+AVeEO8LLb8nX4Pfqbnpre4e3rEEvFGXaDPo+5uqY4cGuFajDww
EZnU5/Od+5v8VnLhTsf/zaXoO6glW52j2513s2sDl+fUBlaCmWBerXt+MPF9
94r0jNBqXZOYHyjXJ/uK2Oeuo+45t/kecvqqPPS8XPi0zflPD9vqegauUlvA
RGy22/oQN/RQ4FWva2KTdevx/8lB9xTUHnCaNfYhV5mf8XqXeea6TnV7jf+7
XWP+63dsZ/5T+v1PQc4jo+0i/VNVRy0rlMJXR4wP1P9+/8+As/w/lP8jBr0G
Lwf9/0Nvscj1p9t2o+5/kIU/6bWpoYdc18C8g65rU/yvulS8g6XIvbVZ2I0z
5b6mx2cXZ+ET6hs1GP1bHCvr/W+z1/+xXe5xeH+59+QNzV732SaN/nfgH4I6
xprYxG8H7Tv8SsxTa+iz6bHbNf8LVEAK2A==
           "]], PolygonBox[CompressedData["
1:eJwtlF1MznEUx8/fREpeZmZDlp5HeUj/DcOaOzYXtp6yWTfcsHWFh9H8H683
Ki/zUtGrJNSjtycVpZF5ycxy0bpJmpk1c+E9aQzjcxwXZzvf8/I753fO9/db
uC20adcEEdmMTET8YZF4v8jLZJFD+0UueCLD6CWOyHn046tEZuCfjgSIbcfW
6hP5jD8r1UT1dmw38X13TW9DOsBXkWr098RcQW9EPqDXYWtCr0HeORZzGb0I
GaR+Ebaz6DuDIg0JIpdiRX7Tyz1s3cR+xd+D3ov0gMfAD9HrPKtVi60e/Rv9
RNFbkBvgR+stdh73Wcl9lq02fS6yApzJfT7ibyQ+SnwBNaf6bUaL8Afxf3Ls
zDb8o67FNmgN8OKwzeo1dzjCPPPJjwNPQXz4uom5RewoZ9xGL0GGiC0GF6MX
Ej+N2AQklfjksOXqTg5yXkrYfK/Ah8Hp9D8ffCCeua0V6U+x2Z3C1k7si4BI
BfgN8WngcmqU+6yG1qrHFkKvJKY5Q2QgU2TLTJHd2FoyjBPKjVJyrqWL/CKn
ml1E2MmOoPWgvZThj+A/Ch4BV+g8wAPEnyD+HPEbic/Mo26s1Qjm2cx19noH
vYvOTGenPTaSn8V8J8VYzdm5ItngyTF25pxcu6PedQwyH6NWB/i03ziVzq4c
12oPJJITYk+ecS+iHHYtR3PPEBNdJ9JFjxF66+D8pfQTZQZ9cWb7s9c4pFzS
NzDuGsf/cR35AS71bFa6c919mWezUQ4pl5QjypUm5TDxzwP21pQDSfTu7BNZ
k2Q1R3JElodtt530k0Y/G+hvD7gA3M95BdypP9FsTey/ipz8WLMV4tu+1d6O
zmwbeqtntZXDyuXHOXZ3zenNsZ3r7pUTyo3hgHHjLf254CFwuWM7XgIeDBh3
9c0uAM/Ktd50Z0HuV+EZF/QP0b/kumdvU/+ACPp97/9bxvZA/wrPailnL6JX
ecZdrVmJfjJku1QOPaHfPvB4ov0RtdRr9my3+ob1LesOdZfKCeXG05DNUnOe
of8kp9Nnb7KT3Gxyvjhm6wLf8eyt6p9zV9+uZ7vWGI2tce0t6M6E3f0Fi4QR
Eg==
           "]]}]}}],
     AspectRatio->0.4444444444444469,
     Axes->True,
     DisplayFunction->((Print[#]; #)& ),
     FormatType->OutputForm,
     Frame->True,
     Method->{},
     PlotLabel->"Surface Intensity",
     PlotRange->All,
     PlotRangeClipping->True,
     PlotRangePadding->{Automatic, Automatic},
     ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]}], ",", 
   RowBox[{"ComponentNumber", "\[Rule]", "2.`"}], ",", 
   RowBox[{"SurfaceNumber", "\[Rule]", "1.`"}], ",", 
   RowBox[{"WaveFrontID", "\[Rule]", "1.`"}], ",", 
   RowBox[{"SmoothKernelSize", "\[Rule]", "571.4285714285716`"}], ",", 
   RowBox[{"RayBoundary", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1428.5714285714284`"}], ",", "1428.5714285714284`"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "6.195932655828074`*^-12"}], ",", 
        "6.195932655828074`*^-12"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"NumberOfRays", "\[Rule]", "36"}], ",", 
   RowBox[{"Full3D", "\[Rule]", "True"}], ",", 
   RowBox[{
   "RayTraceFunction", 
    "\[Rule]", "\<\"RayTraceFunction[{sunange, ang1}, -raytrace code: 1358568 \
Bytes- ]\"\>"}], ",", 
   RowBox[{"SymbolicValues", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"sunange", "\[Rule]", "180.`"}], ",", 
      RowBox[{"ang1", "\[Rule]", "0.`"}]}], "}"}]}], ",", 
   RowBox[{"SurfaceNormalFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], "&"}], ")"}]}], 
   ",", 
   RowBox[{"RotationMatrix", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Energy", "\[Rule]", "56.25`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.4198670271875*^9, 3.41986780921875*^9, 3.419868016609375*^9, 
   3.4198682124375*^9, 3.419868265640625*^9, 3.4198683159375*^9, 
   3.419868611921875*^9, {3.419868642953125*^9, 3.419868824328125*^9}, {
   3.614749950287902*^9, 3.614749970515662*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ManipulateSystem", "[", 
   RowBox[{"Thsystem1", ",", " ", 
    RowBox[{"Axes", " ", "\[Rule]", " ", "True"}], ",", " ", 
    RowBox[{"PlotType", " ", "\[Rule]", " ", "Full3D"}], ",", " ", 
    RowBox[{"ImageSize", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{"550", ",", "300"}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.418653736078125*^9, 3.418653753140625*^9}, {
   3.41865379928125*^9, 3.41865380596875*^9}, {3.4186558405*^9, 
   3.4186558555*^9}, 3.418655893140625*^9, {3.419864326484375*^9, 
   3.4198643366875*^9}, {3.419865845796875*^9, 3.419865849359375*^9}, {
   3.419866886265625*^9, 3.419866887375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Please be advised that one or more singularities have been \
isolated in the \"\>", 
   "\[InvisibleSpace]", "\<\"SurfaceIntersectionFunction\"\>", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Please be advised that one or more singularities have been isolated in the \
", "SurfaceIntersectionFunction", "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.4186537594375*^9, 3.418653813625*^9, 
  3.418655725296875*^9, 3.418655854828125*^9, 3.418655892171875*^9, 
  3.418655923890625*^9, 3.418659383046875*^9, 3.4198637300625*^9, 
  3.4198638950625*^9, 3.419864001671875*^9, 3.419864177625*^9, 
  3.41986430525*^9, 3.419864343859375*^9, 3.41986506125*^9, 
  3.419865201828125*^9, 3.41986587890625*^9, 3.4198664706875*^9, 
  3.41986658475*^9, 3.419866746453125*^9, 3.419867819484375*^9, 
  3.41986837065625*^9, 3.614749977386074*^9}],

Cell[BoxData["\<\"No further action is necessary.\"\>"], "Print",
 CellChangeTimes->{3.4186537594375*^9, 3.418653813625*^9, 
  3.418655725296875*^9, 3.418655854828125*^9, 3.418655892171875*^9, 
  3.418655923890625*^9, 3.418659383046875*^9, 3.4198637300625*^9, 
  3.4198638950625*^9, 3.419864001671875*^9, 3.419864177625*^9, 
  3.41986430525*^9, 3.419864343859375*^9, 3.41986506125*^9, 
  3.419865201828125*^9, 3.41986587890625*^9, 3.4198664706875*^9, 
  3.41986658475*^9, 3.419866746453125*^9, 3.419867819484375*^9, 
  3.41986837065625*^9, 3.614749977387183*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Please be advised that one or more singularities have been \
isolated in the \"\>", 
   "\[InvisibleSpace]", "\<\"SurfaceIntersectionFunction\"\>", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Please be advised that one or more singularities have been isolated in the \
", "SurfaceIntersectionFunction", "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.4186537594375*^9, 3.418653813625*^9, 
  3.418655725296875*^9, 3.418655854828125*^9, 3.418655892171875*^9, 
  3.418655923890625*^9, 3.418659383046875*^9, 3.4198637300625*^9, 
  3.4198638950625*^9, 3.419864001671875*^9, 3.419864177625*^9, 
  3.41986430525*^9, 3.419864343859375*^9, 3.41986506125*^9, 
  3.419865201828125*^9, 3.41986587890625*^9, 3.4198664706875*^9, 
  3.41986658475*^9, 3.419866746453125*^9, 3.419867819484375*^9, 
  3.41986837065625*^9, 3.614749983179905*^9}],

Cell[BoxData["\<\"No further action is necessary.\"\>"], "Print",
 CellChangeTimes->{3.4186537594375*^9, 3.418653813625*^9, 
  3.418655725296875*^9, 3.418655854828125*^9, 3.418655892171875*^9, 
  3.418655923890625*^9, 3.418659383046875*^9, 3.4198637300625*^9, 
  3.4198638950625*^9, 3.419864001671875*^9, 3.419864177625*^9, 
  3.41986430525*^9, 3.419864343859375*^9, 3.41986506125*^9, 
  3.419865201828125*^9, 3.41986587890625*^9, 3.4198664706875*^9, 
  3.41986658475*^9, 3.419866746453125*^9, 3.419867819484375*^9, 
  3.41986837065625*^9, 3.6147499831808367`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Please be advised that one or more singularities have been \
isolated in the \"\>", 
   "\[InvisibleSpace]", "\<\"SurfaceIntersectionFunction\"\>", 
   "\[InvisibleSpace]", "\<\".\"\>"}],
  SequenceForm[
  "Please be advised that one or more singularities have been isolated in the \
", "SurfaceIntersectionFunction", "."],
  Editable->False]], "Print",
 CellChangeTimes->{3.4186537594375*^9, 3.418653813625*^9, 
  3.418655725296875*^9, 3.418655854828125*^9, 3.418655892171875*^9, 
  3.418655923890625*^9, 3.418659383046875*^9, 3.4198637300625*^9, 
  3.4198638950625*^9, 3.419864001671875*^9, 3.419864177625*^9, 
  3.41986430525*^9, 3.419864343859375*^9, 3.41986506125*^9, 
  3.419865201828125*^9, 3.41986587890625*^9, 3.4198664706875*^9, 
  3.41986658475*^9, 3.419866746453125*^9, 3.419867819484375*^9, 
  3.41986837065625*^9, 3.614749988917862*^9}],

Cell[BoxData["\<\"No further action is necessary.\"\>"], "Print",
 CellChangeTimes->{3.4186537594375*^9, 3.418653813625*^9, 
  3.418655725296875*^9, 3.418655854828125*^9, 3.418655892171875*^9, 
  3.418655923890625*^9, 3.418659383046875*^9, 3.4198637300625*^9, 
  3.4198638950625*^9, 3.419864001671875*^9, 3.419864177625*^9, 
  3.41986430525*^9, 3.419864343859375*^9, 3.41986506125*^9, 
  3.419865201828125*^9, 3.41986587890625*^9, 3.4198664706875*^9, 
  3.41986658475*^9, 3.419866746453125*^9, 3.419867819484375*^9, 
  3.41986837065625*^9, 3.6147499889188013`*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ang1$$ = 0., $CellContext`maxang1$$ = 
    10, $CellContext`maxsunange$$ = 
    360, $CellContext`minang1$$ = -10, $CellContext`minsunange$$ = 
    1, $CellContext`staticpolygons111889820147194139067726$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
       "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
       "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
       "]}]}, $CellContext`staticpolygons121889820147194139069023$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
       "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
       "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
       "]}]}, $CellContext`staticpolygons131889820147194139070274$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
       "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
       "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
       "]}]}, $CellContext`staticpolygons141889820147194139071122$$ = {
     GrayLevel[0], 
     AbsoluteThickness[0.5], 
     Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgclzHBhAoGD5AQYoQBHvWIxd3GE+dvGC6TjU
9+MQr8cujgTQ1DtgF+/HLl4wHYf6+djFOxbjMGc5aeK4zMFlL0534vAXrnBA
AkSFM654wRmPOOIdVzrBla6QxAEyFGgT
       "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgclzHBhQQOYBdPGwUCC4moIhvnoVCCRgiDOC
yUgM8TVg9QEY4hvA4g4Y4hCgsBddfAVEvQN28QAM8T//QSACh/oEDPEQiH8x
xP+BzcnAEIeGG4Z4GA5zVuOwFxpuGOJrcPhrA45wgIabLY5wwwjnFTjiBRpu
ONRjxnsIjnQCDTcc8Zt5AAB81avL
       "], {{1828.8, -3000., -200.}, {1828.8, 3000., -200.}, {1828.8, 3000., 
       200.}, {1828.8, -3000., 200.}, {
       1828.8, -3000., -200.}}}]}, $CellContext`sunange$$ = 180., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`sunange$$], 180.}, 1, 360}, {{
       Hold[$CellContext`ang1$$], 0.}, -10, 10}, {{
       Hold[$CellContext`minsunange$$], 1}}, {{
       Hold[$CellContext`maxsunange$$], 360}}, {{
       Hold[$CellContext`minang1$$], -10}}, {{
       Hold[$CellContext`maxang1$$], 10}}, {
      Hold[
       Style[
        Grid[{{"sunange", 
           InputField[
            Dynamic[$CellContext`minsunange$$], Number, FieldSize -> 5], 
           Manipulator[
            
            Dynamic[$CellContext`\
nonexistantvariable159318898201471941310192499; $CellContext`sunange$$, \
($CellContext`sunange$$ = #)& ], {
             Dynamic[$CellContext`minsunange$$], 
             Dynamic[$CellContext`maxsunange$$]}, ImageSize -> 800], 
           InputField[
            Dynamic[$CellContext`maxsunange$$], Number, FieldSize -> 5], 
           
           Dynamic[$CellContext`\
nonexistantvariable159318898201471941310192499; $CellContext`sunange$$, \
($CellContext`sunange$$ = #)& ]}}]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`minsunange$$], 1}}, {{
       Hold[$CellContext`maxsunange$$], 360}}, {
      Hold[
       Style[
        Grid[{{"ang1", 
           InputField[
            Dynamic[$CellContext`minang1$$], Number, FieldSize -> 5], 
           Manipulator[
            
            Dynamic[$CellContext`\
nonexistantvariable159318898201471941310192689; $CellContext`ang1$$, \
($CellContext`ang1$$ = #)& ], {
             Dynamic[$CellContext`minang1$$], 
             Dynamic[$CellContext`maxang1$$]}, ImageSize -> 800], 
           InputField[
            Dynamic[$CellContext`maxang1$$], Number, FieldSize -> 5], 
           
           Dynamic[$CellContext`\
nonexistantvariable159318898201471941310192689; $CellContext`ang1$$, \
($CellContext`ang1$$ = #)& ]}}]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`minang1$$], -10}}, {{
       Hold[$CellContext`maxang1$$], 10}}, {
      Hold[
       Button[
       "Report", 
        Optica`Optica`$OpticalSystemSettings = {
          Optica`Optica`SymbolicValues -> 
           MapThread[
            ToExpression[#] -> #2& , {{
              "sunange", 
               "ang1"}, {$CellContext`sunange$$, $CellContext`ang1$$}}], 
           Optica`Optica`SymbolicRanges -> Map[ToExpression[
               Part[#, 1]] -> {
               Part[#, 2], 
               Part[#, 3]}& , 
             Select[
              
              Transpose[{{
                "sunange", 
                 "ang1"}, {$CellContext`minsunange$$, \
$CellContext`minang1$$}, {$CellContext`maxsunange$$, \
$CellContext`maxang1$$}}], NumberQ[
               Part[#, 2]]& ]]}; 
        Optica`Optica`$OpticalSystemScript = 
         "{Move[GridOfRays[{4000, 4000}, NumberOfRays -> 8, WaveLength -> \
0.4], 4000., {sunange, 180.}, SymbolicValues -> {sunange -> 180}], \
Resonate[{Move[CustomMirror[#2^2/(4*1828.8) & , {1290.7009999999998, 3657.6}, \
{SurfaceRayIntersections -> Symbol}], {0, -1300.}, {ang1, 0.}, SymbolicValues \
-> {ang1 -> 0}], Move[CustomMirror[#2^2/(4*1828.8) & , {1290.7009999999998, \
3657.6}, {SurfaceRayIntersections -> Symbol}], 0, {ang1, 0.}, SymbolicValues \
-> {ang1 -> 0}], Move[CustomMirror[#2^2/(4*1828.8) & , {1290.7009999999998, \
3657.6}, {SurfaceRayIntersections -> Symbol}], {0, 1300.}, {ang1, 0.}, \
SymbolicValues -> {ang1 -> 0}]}], Move[Screen[{6000, 400}], 1828.8]}"; Print[
          InputForm[
           StringJoin["{SymbolicValues -> ", 
            ToString[
             MapThread[StringJoin[#, "->", 
               ToString[#2, InputForm]]& , {{
               "sunange", 
                "ang1"}, {$CellContext`sunange$$, $CellContext`ang1$$}}]], 
            ", SymbolicRanges -> ", 
            ToString[
             Map[StringJoin[
               Part[#, 1], "->", 
               ToString[{
                 Part[#, 2], 
                 Part[#, 3]}, InputForm]]& , 
              Select[
               
               Transpose[{{
                 "sunange", 
                  "ang1"}, {$CellContext`minsunange$$, \
$CellContext`minang1$$}, {$CellContext`maxsunange$$, \
$CellContext`maxang1$$}}], NumberQ[
                Part[#, 2]]& ]]], "}"]]], ImageSize -> Automatic]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`staticpolygons111889820147194139067726$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
          "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
          "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
          "]}]}}}, {{
       Hold[$CellContext`staticpolygons121889820147194139069023$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
          "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
          "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
          "]}]}}}, {{
       Hold[$CellContext`staticpolygons131889820147194139070274$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
          "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
          "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
          "]}]}}}, {{
       Hold[$CellContext`staticpolygons141889820147194139071122$$], {
        GrayLevel[0], 
        AbsoluteThickness[0.5], 
        Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgclzHBhAoGD5AQYoQBHvWIxd3GE+dvGC6TjU
9+MQr8cujgTQ1DtgF+/HLl4wHYf6+djFOxbjMGc5aeK4zMFlL0534vAXrnBA
AkSFM654wRmPOOIdVzrBla6QxAEyFGgT
          "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgclzHBhQQOYBdPGwUCC4moIhvnoVCCRgiDOC
yUgM8TVg9QEY4hvA4g4Y4hCgsBddfAVEvQN28QAM8T//QSACh/oEDPEQiH8x
xP+BzcnAEIeGG4Z4GA5zVuOwFxpuGOJrcPhrA45wgIabLY5wwwjnFTjiBRpu
ONRjxnsIjnQCDTcc8Zt5AAB81avL
          "], {{1828.8, -3000., -200.}, {1828.8, 3000., -200.}, {1828.8, 
          3000., 200.}, {1828.8, -3000., 200.}, {
          1828.8, -3000., -200.}}}]}}}}, Typeset`size$$ = Automatic, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`sunange$752643$$ = 0, $CellContext`ang1$752644$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ang1$$ = 0., $CellContext`maxang1$$ = 
        10, $CellContext`maxsunange$$ = 
        360, $CellContext`minang1$$ = -10, $CellContext`minsunange$$ = 
        1, $CellContext`staticpolygons111889820147194139067726$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
            "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
            "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
            "]}]}, $CellContext`staticpolygons121889820147194139069023$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
            "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
            "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
            "]}]}, $CellContext`staticpolygons131889820147194139070274$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
            "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
            "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
            "]}]}, $CellContext`staticpolygons141889820147194139071122$$ = {
          GrayLevel[0], 
          AbsoluteThickness[0.5], 
          Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgclzHBhAoGD5AQYoQBHvWIxd3GE+dvGC6TjU
9+MQr8cujgTQ1DtgF+/HLl4wHYf6+djFOxbjMGc5aeK4zMFlL0534vAXrnBA
AkSFM654wRmPOOIdVzrBla6QxAEyFGgT
            "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgclzHBhQQOYBdPGwUCC4moIhvnoVCCRgiDOC
yUgM8TVg9QEY4hvA4g4Y4hCgsBddfAVEvQN28QAM8T//QSACh/oEDPEQiH8x
xP+BzcnAEIeGG4Z4GA5zVuOwFxpuGOJrcPhrA45wgIabLY5wwwjnFTjiBRpu
ONRjxnsIjnQCDTcc8Zt5AAB81avL
            "], {{1828.8, -3000., -200.}, {1828.8, 3000., -200.}, {1828.8, 
            3000., 200.}, {1828.8, -3000., 200.}, {
            1828.8, -3000., -200.}}}]}, $CellContext`sunange$$ = 180.}, 
      "ControllerVariables" :> {
        Hold[$CellContext`sunange$$, $CellContext`sunange$752643$$, 0], 
        Hold[$CellContext`ang1$$, $CellContext`ang1$752644$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Graphics3D[{{
            Opacity[1], 
            Dynamic[
             
             GeometricTransformation[$CellContext`\
staticpolygons111889820147194139067726$$, {{{
                 Cos[$CellContext`ang1$$ Degree], -
                 Sin[$CellContext`ang1$$ Degree], 0}, {
                 Sin[$CellContext`ang1$$ Degree], 
                 Cos[$CellContext`ang1$$ Degree], 0}, {0, 0, 1}}, {
               0, -1300., 0}}]], 
            Dynamic[
             
             GeometricTransformation[$CellContext`\
staticpolygons121889820147194139069023$$, {{{
                 Cos[$CellContext`ang1$$ Degree], -
                 Sin[$CellContext`ang1$$ Degree], 0}, {
                 Sin[$CellContext`ang1$$ Degree], 
                 Cos[$CellContext`ang1$$ Degree], 0}, {0, 0, 1}}, {0, 0, 
               0}}]], 
            Dynamic[
             
             GeometricTransformation[$CellContext`\
staticpolygons131889820147194139070274$$, {{{
                 Cos[$CellContext`ang1$$ Degree], -
                 Sin[$CellContext`ang1$$ Degree], 0}, {
                 Sin[$CellContext`ang1$$ Degree], 
                 Cos[$CellContext`ang1$$ Degree], 0}, {0, 0, 1}}, {
               0, 1300., 
                0}}]], $CellContext`staticpolygons141889820147194139071122$$, 
            Opacity[1], 
            RGBColor[
            0.0014301774013306678`, 0.03162733424853975, 0.936548965138893], 
            AbsoluteThickness[Medium], 
            Line[
             Dynamic[
              Refresh[
               Map[{
                 Part[#, {1, 2, 3}], 
                 Part[#, {4, 5, 6}]}& , 
                Select[
                 $CellContext`raytracefunction11889820147194139072728[$\
CellContext`sunange$$, $CellContext`ang1$$], And[
                 Length[#] == 6, Part[#, 1] > -9.87654321*^8]& ]], 
               TrackedSymbols :> {$CellContext`sunange$$, \
$CellContext`ang1$$}], SynchronousUpdating -> False]]}}], 
         Tooltip[
          Row[{
            Style["", Italic, 10], 
            Hyperlink[
             Style["<< Crafted with Optica\[Trademark] >>", Italic, 10], 
             "http://www.opticasoftware.com"], 
            Style["", Italic, 10]}], 
          "Click here to visit www.opticasoftware.com"]}, Center], 
      "Specifications" :> {{{$CellContext`sunange$$, 180.}, 1, 360, 
         ControlType -> None}, {{$CellContext`ang1$$, 0.}, -10, 10, 
         ControlType -> None}, {{$CellContext`minsunange$$, 1}, ControlType -> 
         None}, {{$CellContext`maxsunange$$, 360}, ControlType -> 
         None}, {{$CellContext`minang1$$, -10}, ControlType -> 
         None}, {{$CellContext`maxang1$$, 10}, ControlType -> None}, 
        Style[
         Grid[{{"sunange", 
            InputField[
             Dynamic[$CellContext`minsunange$$], Number, FieldSize -> 5], 
            Manipulator[
             
             Dynamic[$CellContext`\
nonexistantvariable159318898201471941310192499; $CellContext`sunange$$, \
($CellContext`sunange$$ = #)& ], {
              Dynamic[$CellContext`minsunange$$], 
              Dynamic[$CellContext`maxsunange$$]}, ImageSize -> 800], 
            InputField[
             Dynamic[$CellContext`maxsunange$$], Number, FieldSize -> 5], 
            
            Dynamic[$CellContext`\
nonexistantvariable159318898201471941310192499; $CellContext`sunange$$, \
($CellContext`sunange$$ = #)& ]}}]], {{$CellContext`minsunange$$, 1}, 
         ControlType -> None}, {{$CellContext`maxsunange$$, 360}, ControlType -> 
         None}, 
        Style[
         Grid[{{"ang1", 
            InputField[
             Dynamic[$CellContext`minang1$$], Number, FieldSize -> 5], 
            Manipulator[
             
             Dynamic[$CellContext`\
nonexistantvariable159318898201471941310192689; $CellContext`ang1$$, \
($CellContext`ang1$$ = #)& ], {
              Dynamic[$CellContext`minang1$$], 
              Dynamic[$CellContext`maxang1$$]}, ImageSize -> 800], 
            InputField[
             Dynamic[$CellContext`maxang1$$], Number, FieldSize -> 5], 
            
            Dynamic[$CellContext`\
nonexistantvariable159318898201471941310192689; $CellContext`ang1$$, \
($CellContext`ang1$$ = #)& ]}}]], {{$CellContext`minang1$$, -10}, ControlType -> 
         None}, {{$CellContext`maxang1$$, 10}, ControlType -> None}, 
        Button[
        "Report", 
         Optica`Optica`$OpticalSystemSettings = {
           Optica`Optica`SymbolicValues -> 
            MapThread[
             ToExpression[#] -> #2& , {{
               "sunange", 
                "ang1"}, {$CellContext`sunange$$, $CellContext`ang1$$}}], 
            Optica`Optica`SymbolicRanges -> Map[ToExpression[
                Part[#, 1]] -> {
                Part[#, 2], 
                Part[#, 3]}& , 
              Select[
               
               Transpose[{{
                 "sunange", 
                  "ang1"}, {$CellContext`minsunange$$, \
$CellContext`minang1$$}, {$CellContext`maxsunange$$, \
$CellContext`maxang1$$}}], NumberQ[
                Part[#, 2]]& ]]}; 
         Optica`Optica`$OpticalSystemScript = 
          "{Move[GridOfRays[{4000, 4000}, NumberOfRays -> 8, WaveLength -> \
0.4], 4000., {sunange, 180.}, SymbolicValues -> {sunange -> 180}], \
Resonate[{Move[CustomMirror[#2^2/(4*1828.8) & , {1290.7009999999998, 3657.6}, \
{SurfaceRayIntersections -> Symbol}], {0, -1300.}, {ang1, 0.}, SymbolicValues \
-> {ang1 -> 0}], Move[CustomMirror[#2^2/(4*1828.8) & , {1290.7009999999998, \
3657.6}, {SurfaceRayIntersections -> Symbol}], 0, {ang1, 0.}, SymbolicValues \
-> {ang1 -> 0}], Move[CustomMirror[#2^2/(4*1828.8) & , {1290.7009999999998, \
3657.6}, {SurfaceRayIntersections -> Symbol}], {0, 1300.}, {ang1, 0.}, \
SymbolicValues -> {ang1 -> 0}]}], Move[Screen[{6000, 400}], 1828.8]}"; Print[
           InputForm[
            StringJoin["{SymbolicValues -> ", 
             ToString[
              MapThread[StringJoin[#, "->", 
                ToString[#2, InputForm]]& , {{
                "sunange", 
                 "ang1"}, {$CellContext`sunange$$, $CellContext`ang1$$}}]], 
             ", SymbolicRanges -> ", 
             ToString[
              Map[StringJoin[
                Part[#, 1], "->", 
                ToString[{
                  Part[#, 2], 
                  Part[#, 3]}, InputForm]]& , 
               Select[
                
                Transpose[{{
                  "sunange", 
                   "ang1"}, {$CellContext`minsunange$$, \
$CellContext`minang1$$}, {$CellContext`maxsunange$$, \
$CellContext`maxang1$$}}], NumberQ[
                 Part[#, 2]]& ]]], "}"]]], ImageSize -> 
         Automatic], {{$CellContext`staticpolygons111889820147194139067726$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
             "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
             "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
             "]}]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons121889820147194139069023$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
             "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
             "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
             "]}]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons131889820147194139070274$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmBgT4vfLjpbNaLQcY0MCfpJP6YecaMMR/mTtJ7n1c
hSEOMacEh/osDPEfYPEoDHFcAKreAbt4Fob4L4h7MMUh7scQ/w3xL6Y4JHyI
Fv+Dwxyc9uJ1J6a/cIUDLoArnH/giJdfeOMRS7zjSCe40hW6OABAmHUc
             "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgck1DgxQAOHPOQDm3CiGi4PBhekH0tNAIBMu
fvYMEPBMPmAG1hcDFzcB83sOZIHVe8LFz4HVNx/IB4trwsUvgMWLD1SzlIR9
evXQEsVehoC9/mjqj0DUOySgmX8KYr6DIZp7jCDucUhCc/9piPsd/vwHgusI
//4F8c9Pd9BHCx+IuXMccISbA45wc8ARbg44ws0BR7g54Ag3BxzhZosj3A7g
CLcDOMLtAI5wO4Aj3A7gCLcDuNIbAJ1ZuUw=
             "], CompressedData["
1:eJyFk71KA1EQhTdq6QtYWmoj/oYUwmBnJxYpxCoQg9tYZCu1EGJpl8LGF/Ah
AqcVTBArW7Gz00o2KczuTC7smVxy4Rb34+zs3Nlv11tXp+2lJEn2pnt5uneL
1b+V8fPP+3DzHnp+khmftF62mqM7x/P60drg69pxrZNF8qnjfyU/czyxFcnL
fJ46nms/nmv/jo/1vp7rfBbysumPbuDl+e1R2hfFugz8tVirfdkunzsPfKc8
P1j+mPI94xvEu3KzkjV/vz8blfcmJ4NIHinVH2l9NKifA+0HHep/qP2jRvet
6X1Rp/ns63wQmVvgk+r8A6fvRXWySD51nPwJnHzjPObz1PG86j/37/i4+n/x
fBZy8g3mG8g3mG8g32C+gXyzfA/kD2b+kG8w3w4jeSHfYL4J+QbzTcg3mG9C
vsF8E/IN5pv8A2NtHAE=
             "]}]}}, ControlType -> 
         None}, {{$CellContext`staticpolygons141889820147194139071122$$, {
           GrayLevel[0], 
           AbsoluteThickness[0.5], 
           Line[{CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgclzHBhAoGD5AQYoQBHvWIxd3GE+dvGC6TjU
9+MQr8cujgTQ1DtgF+/HLl4wHYf6+djFOxbjMGc5aeK4zMFlL0534vAXrnBA
AkSFM654wRmPOOIdVzrBla6QxAEyFGgT
             "], CompressedData["
1:eJxTTMoPSmViYGCQBmJmIDYGgclzHBhQQOYBdPGwUCC4moIhvnoVCCRgiDOC
yUgM8TVg9QEY4hvA4g4Y4hCgsBddfAVEvQN28QAM8T//QSACh/oEDPEQiH8x
xP+BzcnAEIeGG4Z4GA5zVuOwFxpuGOJrcPhrA45wgIabLY5wwwjnFTjiBRpu
ONRjxnsIjnQCDTcc8Zt5AAB81avL
             "], {{1828.8, -3000., -200.}, {1828.8, 3000., -200.}, {1828.8, 
             3000., 200.}, {1828.8, -3000., 200.}, {
             1828.8, -3000., -200.}}}]}}, ControlType -> None}}, 
      "Options" :> {
       TrackedSymbols -> Manipulate, Deployed -> False, 
        AutorunSequencing -> {1, 2}, SynchronousInitialization -> False, 
        SynchronousUpdating -> False, 
        BaseStyle -> {DynamicEvaluationTimeout -> 100}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{409., {83., 88.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>($CellContext`raytracefunction11889820147194139072728 = 
      With[{$CellContext`compileoptionsetting$ = 
         If[$VersionNumber >= 8, {
           CompilationOptions -> {
             "ExpressionOptimization" -> False, "InlineCompiledFunctions" -> 
              False}, CompilationTarget -> "MVM", 
            RuntimeAttributes -> {Listable}, Parallelization -> False, 
            RuntimeOptions -> {}}, CompileOptimizations -> False]}, 
        Compile[{{$CellContext`sunange$$, 
           Blank[Real]}, {$CellContext`ang1$$, 
           Blank[Real]}}, 
         Module[{$CellContext`activeregion$, \
$CellContext`allcreatedamplitudes$, $CellContext`allcreatedrays$, \
$CellContext`allowzeroraylength$, $CellContext`amplitude$, \
$CellContext`axismagnitude$, $CellContext`axismatrix$, \
$CellContext`clonedata$, $CellContext`clonegenerationnumber$, \
$CellContext`cloneinput$, $CellContext`clonenumber$, \
$CellContext`cloneposition$, $CellContext`clonereportedrays$, \
$CellContext`clonerotation$, $CellContext`clonescale$, \
$CellContext`clonescalevector$, $CellContext`clonesorthistogram$, \
$CellContext`clonetraceinput$, $CellContext`clonetraceoutput$, \
$CellContext`closestdistances$, $CellContext`closestposition$, \
$CellContext`closestpositions$, $CellContext`closestraylength$, \
$CellContext`completedray$, $CellContext`componentnumber$, \
$CellContext`cosangle$, $CellContext`crossmatrix$, \
$CellContext`deflecteddummyrayspresent$, $CellContext`deflectedlocalrays$, \
$CellContext`deflectedrays$, $CellContext`deflectedrayspresent$, \
$CellContext`dummymatrix$, $CellContext`dummymatrixlist$, \
$CellContext`dummyvector$, $CellContext`frontid$, \
$CellContext`generationlimit$, $CellContext`generationnumber$, \
$CellContext`holeintersections$, $CellContext`holeQ$, \
$CellContext`holeQlist$, $CellContext`hor$, $CellContext`index$, \
$CellContext`index1$, $CellContext`index2$, $CellContext`inrays$, \
$CellContext`intensity$, $CellContext`intensityscale$, \
$CellContext`intersectionnumber$, $CellContext`intersections$, \
$CellContext`intersectionslist$, $CellContext`intersectionspresent$, \
$CellContext`localdummyoutrayspresent$, $CellContext`localoutrays$, \
$CellContext`localoutrayspresent$, $CellContext`magnitude$, \
$CellContext`maxclonegenerationnumber$, $CellContext`maximumposition$, \
$CellContext`minimumraylength$, $CellContext`minresonateraylength$, \
$CellContext`newcomponentnumber$, $CellContext`newdeflectedrays$, \
$CellContext`newdistance$, $CellContext`newsurfaceid$, \
$CellContext`newsurfacenumber$, $CellContext`nonintersectingrays$, \
$CellContext`normalizedpolarization$, $CellContext`oldgenerationnumber$, \
$CellContext`opticallength$, $CellContext`originalray$, \
$CellContext`originalraytilt$, $CellContext`originalrotation$, \
$CellContext`originalsurfnorm$, $CellContext`outrays$, \
$CellContext`parallelamplitude$, $CellContext`PAxis$, \
$CellContext`perpendicularamplitude$, $CellContext`phaseshift$, \
$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$, \
$CellContext`previoustilt$, $CellContext`propagate$, \
$CellContext`propagatedrays$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, $CellContext`ray1$, \
$CellContext`ray2$, $CellContext`ray3$, $CellContext`LocRayL$, \
$CellContext`rayslot$, $CellContext`raysreported$, $CellContext`raytiltx$, \
$CellContext`raytiltz$, $CellContext`reporteddummyrayspresent$, \
$CellContext`reportedlocalrays$, $CellContext`reportedrays$, \
$CellContext`reportedrayspresent$, $CellContext`resonateintersections$, \
$CellContext`resonatenumber$, $CellContext`resonateraylength$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`rotationaxis$, $CellContext`rsx$, $CellContext`LocRSx$, \
$CellContext`rsy$, $CellContext`LocRSy$, $CellContext`rsz$, \
$CellContext`LocRSz$, 
           Optica`Optica`RTx$, $CellContext`LocRTy$, $CellContext`LocRTz$, \
$CellContext`rx$, $CellContext`rxhlp$, $CellContext`ry$, $CellContext`ryhlp$, \
$CellContext`rz$, $CellContext`rzhlp$, $CellContext`LocSCx$, \
$CellContext`LocSCy$, $CellContext`sid$, $CellContext`sinangle$, \
$CellContext`sno1$, $CellContext`sno2$, $CellContext`sno3$, \
$CellContext`sno4$, $CellContext`surfaceid$, $CellContext`surfacenumber$, \
$CellContext`surfacerotationmatrix$, $CellContext`surfacetranslationvector$, \
$CellContext`surfnorm$, $CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$, $CellContext`tempclonedata$, \
$CellContext`terminatedeflection$, $CellContext`thresholdintensity$, \
$CellContext`tiltmagnitude$, $CellContext`transmatrix$, $CellContext`LocTV1$, \
$CellContext`LocTV10$, $CellContext`LocTV2$, $CellContext`LocTV3$, \
$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$, \
$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$, \
$CellContext`u$, $CellContext`unfilteredintersections$, $CellContext`unit$, \
$CellContext`uu$, $CellContext`ver$, $CellContext`wavelength$, \
$CellContext`XAxis$, $CellContext`xunit$, $CellContext`YAxis$, \
$CellContext`yunit$, $CellContext`ZAxis$, $CellContext`zunit$}, \
$CellContext`rsx$ = 1.; $CellContext`rsy$ = 1.; $CellContext`rsz$ = 
           1.; $CellContext`rex$ = 1.; $CellContext`rey$ = 
           1.; $CellContext`rez$ = 1.; $CellContext`r1$ = 
           1.; $CellContext`r2$ = 1.; $CellContext`r3$ = 1.; $CellContext`r4$ = 
           1.; $CellContext`r5$ = 1.; $CellContext`r6$ = 1.; $CellContext`r7$ = 
           1.; $CellContext`r8$ = 1.; $CellContext`r9$ = 
           1.; $CellContext`symr1$ = 1.; $CellContext`symr2$ = 
           1.; $CellContext`symr3$ = 1.; $CellContext`symr4$ = 
           1.; $CellContext`symr5$ = 1.; $CellContext`symr6$ = 
           1.; $CellContext`symr7$ = 1.; $CellContext`symr8$ = 
           1.; $CellContext`symr9$ = 1.; $CellContext`rx$ = 
           1.; $CellContext`ry$ = 1.; $CellContext`rz$ = 
           1.; $CellContext`xunit$ = 1.; $CellContext`yunit$ = 
           1.; $CellContext`zunit$ = 1.; $CellContext`ray1$ = 
           1.; $CellContext`ray2$ = 1.; $CellContext`ray3$ = 
           1.; $CellContext`LocRSx$ = 1.; $CellContext`LocRSy$ = 
           1.; $CellContext`LocRSz$ = 1.; 
          Optica`Optica`RTx$ = 1.; $CellContext`LocRTy$ = 
           1.; $CellContext`LocRTz$ = 1.; $CellContext`LocRayL$ = 
           1.; $CellContext`LocSCx$ = 1.; $CellContext`LocSCy$ = 
           1.; $CellContext`opticallength$ = 1.; $CellContext`phaseshift$ = 
           0.; $CellContext`wavelength$ = 1.; $CellContext`intensity$ = 
           1.; $CellContext`intensityscale$ = 
           1.; $CellContext`componentnumber$ = -1.; \
$CellContext`surfacenumber$ = -1.; $CellContext`surfaceid$ = -1.; \
$CellContext`generationnumber$ = 1.; $CellContext`intersectionnumber$ = 
           1.; $CellContext`generationlimit$ = 
           200.; $CellContext`thresholdintensity$ = 
           1.; $CellContext`tiltmagnitude$ = 1.; $CellContext`pol1$ = 
           1.; $CellContext`pol2$ = 1.; $CellContext`pol3$ = 
           1.; $CellContext`sid$ = 1.; $CellContext`sno1$ = 
           1.; $CellContext`sno2$ = 1.; $CellContext`sno3$ = 
           1.; $CellContext`sno4$ = 1.; $CellContext`rayslot$ = 
           1.; $CellContext`index$ = 1.; $CellContext`activeregion$ = 
           1.; $CellContext`frontid$ = 1.; $CellContext`index1$ = 
           1.; $CellContext`index2$ = 1.; $CellContext`magnitude$ = 
           1.; $CellContext`LocTV1$ = 1.; $CellContext`LocTV2$ = 
           1.; $CellContext`LocTV3$ = 1.; $CellContext`LocTV4$ = 
           1.; $CellContext`LocTV5$ = 1.; $CellContext`LocTV6$ = 
           1.; $CellContext`LocTV7$ = 1.; $CellContext`LocTV8$ = 
           1.; $CellContext`LocTV9$ = 1.; $CellContext`LocTV10$ = 
           1.; $CellContext`cloneposition$ = {0., 0., 
            0.}; $CellContext`clonerotation$ = {{
            1.}}; $CellContext`clonedata$ = {{1.}}; $CellContext`clonenumber$ = 
           1; $CellContext`clonescale$ = 1.; $CellContext`newdistance$ = 
           1.; $CellContext`closestdistances$ = {
            1.}; $CellContext`closestposition$ = 
           0; $CellContext`closestraylength$ = 
           1.; $CellContext`maximumposition$ = 
           1; $CellContext`closestpositions$ = {
            0}; $CellContext`cloneinput$ = {
            1.}; $CellContext`clonetraceinput$ = {{
            1.}}; $CellContext`clonetraceoutput$ = {{
            1.}}; $CellContext`tempclonedata$ = {{
            1.}}; $CellContext`clonegenerationnumber$ = 
           1.; $CellContext`maxclonegenerationnumber$ = 
           1.; $CellContext`clonescalevector$ = {
            1.}; $CellContext`clonesorthistogram$ = {
            1}; $CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 
            0.}, {0., 0., 1.}}; $CellContext`surfacetranslationvector$ = {0., 
            0., 0.}; $CellContext`oldgenerationnumber$ = 
           1.; $CellContext`intersections$ = {{-1., 0., 
            0.}}; $CellContext`unfilteredintersections$ = {{-1., 0., 
            0.}}; $CellContext`intersectionslist$ = {{{-1., 0., 
            0.}}}; $CellContext`holeQlist$ = {
            0}; $CellContext`holeintersections$ = {{-1., 0., 
            0.}}; $CellContext`minimumraylength$ = 
           0.0001; $CellContext`originalray$ = {
            1.}; $CellContext`completedray$ = {
            1.}; $CellContext`reportedrayspresent$ = 
           False; $CellContext`propagate$ = 
           True; $CellContext`originalraytilt$ = {
            1.}; $CellContext`allowzeroraylength$ = 
           True; $CellContext`deflecteddummyrayspresent$ = 
           False; $CellContext`reporteddummyrayspresent$ = 
           False; $CellContext`localoutrayspresent$ = 
           False; $CellContext`localdummyoutrayspresent$ = 
           False; $CellContext`deflectedrayspresent$ = 
           False; $CellContext`intersectionspresent$ = 
           False; $CellContext`raysreported$ = 
           False; $CellContext`terminatedeflection$ = 
           False; $CellContext`allcreatedrays$ = {{
            1.}}; $CellContext`propagatedrays$ = {{
            1.}}; $CellContext`deflectedrays$ = {{
            1.}}; $CellContext`newdeflectedrays$ = {{
            1.}}; $CellContext`reportedrays$ = {{
            1.}}; $CellContext`clonereportedrays$ = {{
            1.}}; $CellContext`nonintersectingrays$ = {{
            1.}}; $CellContext`inrays$ = {{1.}}; $CellContext`outrays$ = {{
            1.}}; $CellContext`reportedlocalrays$ = {{
            1.}}; $CellContext`deflectedlocalrays$ = {{
            1.}}; $CellContext`localoutrays$ = {{
            1.}}; $CellContext`resonatenumber$ = 
           0; $CellContext`resonateraylength$ = 
           1.; $CellContext`minresonateraylength$ = 
           1.; $CellContext`resonateintersections$ = {{-1., 0., 
            0.}}; $CellContext`dummyvector$ = {
            1.}; $CellContext`dummymatrix$ = {{
            1.}}; $CellContext`dummymatrixlist$ = {{{
            1.}}}; $CellContext`newcomponentnumber$ = -1.; \
$CellContext`newsurfacenumber$ = -1.; $CellContext`newsurfaceid$ = -1.; \
$CellContext`holeQ$ = False; $CellContext`rxhlp$ = 1.; $CellContext`ryhlp$ = 
           1.; $CellContext`rzhlp$ = 
           1.; $CellContext`surfnorm$ = {{
            1.}}; $CellContext`originalsurfnorm$ = {{
            1.}}; $CellContext`XAxis$ = {1., 0., 0.}; $CellContext`YAxis$ = {
            1., 0., 0.}; $CellContext`ZAxis$ = {1., 0., 
            0.}; $CellContext`PAxis$ = {1., 0., 
            0.}; $CellContext`normalizedpolarization$ = {1., 
            1.}; $CellContext`amplitude$ = {
            1. + 0. I, 0. + 0. I, 0. + 
             0. I}; $CellContext`allcreatedamplitudes$ = {{
             0. + 0. I, 0. + 0. I, 0. + 
              0. I}}; $CellContext`perpendicularamplitude$ = 
           1. + 0. I; $CellContext`parallelamplitude$ = 
           1. + 0. I; $CellContext`raytiltz$ = 1.; $CellContext`raytiltx$ = 
           1.; $CellContext`transmatrix$ = {{{1., 0., 0.}, {0., 1., 0.}, {0., 
            0., 1.}}}; $CellContext`u$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0.,
             1.}}; $CellContext`uu$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`unit$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
            1.}}; $CellContext`originalrotation$ = {{1., 0., 0.}, {0., 1., 
            0.}, {0., 0., 1.}}; $CellContext`axismatrix$ = {{1., 0., 0.}, {0.,
             1., 0.}, {0., 0., 1.}}; $CellContext`crossmatrix$ = {{1., 0., 
            0.}, {0., 1., 0.}, {0., 0., 1.}}; $CellContext`axismagnitude$ = 
           1.; $CellContext`cosangle$ = 1.; $CellContext`sinangle$ = 
           1.; $CellContext`previoustilt$ = {1., 0., 0.}; $CellContext`hor$ = 
           1. + 0. I; $CellContext`ver$ = 
           0. + 0. I; $CellContext`propagatedrays$ = 
           Join[{$CellContext`symr1$, $CellContext`symr2$, \
$CellContext`symr3$, $CellContext`symr4$, $CellContext`symr5$, \
$CellContext`symr6$, $CellContext`symr7$, $CellContext`symr8$, \
$CellContext`symr9$} = Re[{
                 Cos[Degree $CellContext`sunange$$], 
                 Sin[Degree $CellContext`sunange$$], 0, -
                 Sin[Degree $CellContext`sunange$$], 
                 Cos[Degree $CellContext`sunange$$], 0, 0, 0, 1}]; 
             Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {
                 4000 + $CellContext`rsx$ $CellContext`symr1$ + \
$CellContext`rsy$ $CellContext`symr4$ + $CellContext`rsz$ \
$CellContext`symr7$, $CellContext`rsx$ $CellContext`symr2$ + \
$CellContext`rsy$ $CellContext`symr5$ + $CellContext`rsz$ \
$CellContext`symr8$, $CellContext`rsx$ $CellContext`symr3$ + \
$CellContext`rsy$ $CellContext`symr6$ + $CellContext`rsz$ \
$CellContext`symr9$}; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$} = {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$}; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {
                 4000 + $CellContext`rex$ $CellContext`symr1$ + \
$CellContext`rey$ $CellContext`symr4$ + $CellContext`rez$ \
$CellContext`symr7$, $CellContext`rex$ $CellContext`symr2$ + \
$CellContext`rey$ $CellContext`symr5$ + $CellContext`rez$ \
$CellContext`symr8$, $CellContext`rex$ $CellContext`symr3$ + \
$CellContext`rey$ $CellContext`symr6$ + $CellContext`rez$ \
$CellContext`symr9$}; {$CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$} = {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$}; {$CellContext`LocTV1$, $CellContext`LocTV2$, \
$CellContext`LocTV3$} = {$CellContext`r1$ $CellContext`symr1$ + \
$CellContext`r2$ $CellContext`symr4$ + $CellContext`r3$ $CellContext`symr7$, \
$CellContext`r1$ $CellContext`symr2$ + $CellContext`r2$ $CellContext`symr5$ + \
$CellContext`r3$ $CellContext`symr8$, $CellContext`r1$ $CellContext`symr3$ + \
$CellContext`r2$ $CellContext`symr6$ + $CellContext`r3$ $CellContext`symr9$}; \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$} = \
{$CellContext`r4$ $CellContext`symr1$ + $CellContext`r5$ $CellContext`symr4$ + \
$CellContext`r6$ $CellContext`symr7$, $CellContext`r4$ $CellContext`symr2$ + \
$CellContext`r5$ $CellContext`symr5$ + $CellContext`r6$ $CellContext`symr8$, \
$CellContext`r4$ $CellContext`symr3$ + $CellContext`r5$ $CellContext`symr6$ + \
$CellContext`r6$ $CellContext`symr9$}; {$CellContext`LocTV7$, \
$CellContext`LocTV8$, $CellContext`LocTV9$} = {$CellContext`r7$ \
$CellContext`symr1$ + $CellContext`r8$ $CellContext`symr4$ + $CellContext`r9$ \
$CellContext`symr7$, $CellContext`r7$ $CellContext`symr2$ + $CellContext`r8$ \
$CellContext`symr5$ + $CellContext`r9$ $CellContext`symr8$, $CellContext`r7$ \
$CellContext`symr3$ + $CellContext`r8$ $CellContext`symr6$ + $CellContext`r9$ \
$CellContext`symr9$}; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
{{$CellContext`LocTV1$, $CellContext`LocTV2$, $CellContext`LocTV3$}, \
{$CellContext`LocTV4$, $CellContext`LocTV5$, $CellContext`LocTV6$}, \
{$CellContext`LocTV7$, $CellContext`LocTV8$, $CellContext`LocTV9$}}; \
{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , CompressedData["
1:eJzd3DtrVFEUBeCjVcAmRYoUAaOEKCK+36/sxGd8k85OBMsg/oODpZUEEbTJ
vxDLaa2sJbW9P8Eks5LMXTn7BGefZt0BGe7SmXX5MLmL6J1jb96tvD2cUrLN
XycSPWx90Hl2878L/NLu4+Df//Z16/Ebf+6VDZ8/7b7uz5HXZ48e8t7noPcf
Pj78ml8cfd573UvrHvOzf96czC2vzS2vfBlsH4y4lXNVt4Qedkt87J43J2tb
QD8/DobvsudWzlXdJtDDbhN07J83Jz9WN76vbrwfbB+MuJVzVbdJ9LDbJB37
580JfIav3+9GuarbFHrYbYqO/fPm5PPw63H4+hG3cq7qNo0edpumY/+8OcH3
/+Hr918XKFd1m0EPu83QsX/exdjWDc+Deq7qNosedpulY/+8i/GmS2d3uLmq
23H07Ljx/hh/v7FbOVd1m0MPu8X3G7uVc1W3efSwW3y/sVs5V3U7iR52i+83
x8364XYKPewW32/sVs5V3U6jh93i+825LvTE7Qx62C2+35wd0hO3c+hht/h+
6/z8w81V3c6jZ8eNr6Pj7zd2K+eqbhfQw27x/cZu5VzV7SJ62C2+39itnKu6
XUIPu8X3m+Nm/XC7jB52i+83divnqm5X0MNu8f3mXBd64nYVPewW32/ODumJ
2zX0sFt8v3X+HcbNVd2uo2fHja8H4+83divnqm430MNu8f3GbuVc1e0metgt
vt/YrZyrut1CD7vF95vjZv1wu40edovvN3Yr56pud9DDbvH95lwXeuK2gB52
i+83Z4f0xM3Qw27N9pvVc1G3zG78fS2836yei7qlRfSwW7P9ZvVc1C17bs32
m9VzUbe0hB52a7bfrJ6LuuUl9LBbs/1m9VzULd1FD7s1229Wz0XdsufWbL9Z
PRd1S/fQw27x/db5f6luLuqW2Y2/Psffb+xWzkXd0n30sFt8v7FbORd1y55b
fL+xWzkXdUsP0MNu8f3muFkv3LLnFt9v7FbORd3SQ/SwW3y/OdeFfrhlzy2+
35wd0g+39Ag97Nbs/gWr56Jumd3479n4+43dyrmoW1pGD7s1u3/B6rmoW/bc
mt2/YPVc1C09Rg+7Nbt/weq5qFv23Jrdv2D1XNQtPUEPuzW7f8Hquahb9tya
3b9g9VzULT1FD7vF9xuerZ6LumV2Y6/x99v2wYhbORd1S8/Qw27NPj/E6rmo
W/bcmn1+iNVzUbf0HD3s1uzzQ6yei7plz63Z54dYPRd1Sy/Qw27NPj/E6rmo
W/bcmn1+iNVzUbddL3b7//32D8gRizo=
               "]]]; $CellContext`propagatedrays$ = 
           Map[({$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`componentnumber$ = 
              1.; $CellContext`frontid$ = 
              
              1.; {$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, \
$CellContext`rex$, $CellContext`rey$, $CellContext`rez$, $CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$, $CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$, $CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`propagatedrays$]; \
$CellContext`thresholdintensity$ = 1.; $CellContext`generationlimit$ = 
           200.; $CellContext`reportedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`generationnumber$ = 
           
           0.; ($CellContext`inrays$ = $CellContext`propagatedrays$; \
$CellContext`outrays$ = CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

             "]; $CellContext`deflectedrayspresent$ = 
            True; $CellContext`reportedrayspresent$ = 
            False; $CellContext`propagate$ = True; While[
             And[$CellContext`deflectedrayspresent$, $CellContext`propagate$],
              AddTo[$CellContext`generationnumber$, 
               1.]; ($CellContext`deflecteddummyrayspresent$ = 
               False; $CellContext`deflectedrayspresent$ = 
               False; $CellContext`reportedrayspresent$ = 
               False; $CellContext`reporteddummyrayspresent$ = 
               True; $CellContext`localdummyoutrayspresent$ = 
               False; $CellContext`localoutrayspresent$ = 
               False; {$CellContext`deflectedlocalrays$, \
$CellContext`localoutrays$, $CellContext`reportedlocalrays$} = 
               Map[Flatten[#, 1]& , 
                 Transpose[
                  
                  Map[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; If[
                    
                    And[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`generationnumber$ < \
$CellContext`generationlimit$], ($CellContext`resonatenumber$ = 
                    0; $CellContext`resonateraylength$ = 
                    9.87654321*^8; $CellContext`resonateintersections$ = \
{{-1., 0., 0.}}; MapIndexed[If[
                    And[
                    Part[#, 1, 1] > -1., 
                    Part[#, 1, 
                    1] < $CellContext`resonateraylength$], \
$CellContext`resonateraylength$ = 
                    Part[#, 1, 
                    1]; $CellContext`resonateintersections$ = #; \
$CellContext`resonatenumber$ = 
                    First[#2], $CellContext`resonatenumber$]& , \
$CellContext`intersectionslist$ = {{{-1., 0., 
                    0.}}}; $CellContext`holeQlist$ = {
                    0}; ({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`yunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
$CellContext`rex$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] + (
                    1300. + $CellContext`rey$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`ry$ = (1300. + $CellContext`rey$) Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`rex$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9374, Compile`$9379, Compile`$9380, 
                    Compile`$9742, Compile`$9750, Compile`$9747, 
                    Compile`$9748, Compile`$9749, Compile`$9751, 
                    Compile`$9752, Compile`$9754, Compile`$9744, 
                    Compile`$9746, Compile`$9758, Compile`$9759, 
                    Compile`$9760, Compile`$9765, Compile`$9767, 
                    Compile`$9812, Compile`$9817}, 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 
                    1. + 0. I; $CellContext`LocSCx$ = 
                    1. + 0. I; $CellContext`LocSCy$ = 1. + 0. I; Re[
                    Select[
                    If[
                    
                    Or[$CellContext`zunit$ == 0., $CellContext`zunit$^2 == 
                    0.], Compile`$9374 = $CellContext`rz$^2; 
                    Compile`$9379 = Abs[$CellContext`xunit$]; 
                    Compile`$9380 = 
                    Compile`$9379^(-1); {{-1. + 0. I, 0. + 0. I, 0. + 
                    0. I}, {(-$CellContext`rx$ + 
                    0.00013670166229221348` Compile`$9374) 
                    Compile`$9380, $CellContext`ry$ + (-$CellContext`rx$ \
$CellContext`yunit$ + 0.00013670166229221348` 
                    Compile`$9374 $CellContext`yunit$) 
                    Compile`$9380, $CellContext`rz$ $CellContext`xunit$ 
                    Compile`$9380}, {($CellContext`rx$ - 
                    0.00013670166229221348` Compile`$9374) 
                    Compile`$9380, $CellContext`ry$ + ($CellContext`rx$ \
$CellContext`yunit$ - 0.00013670166229221348` 
                    Compile`$9374 $CellContext`yunit$) 
                    Compile`$9380, -$CellContext`rz$ $CellContext`xunit$ 
                    Compile`$9380}}, Compile`$9742 = $CellContext`zunit$^(-2); 
                    Compile`$9750 = $CellContext`zunit$^2; 
                    Compile`$9747 = $CellContext`xunit$^2; 
                    Compile`$9748 = 9144. Compile`$9747; 
                    Compile`$9749 = (-5.) $CellContext`rz$ \
$CellContext`xunit$ $CellContext`zunit$; 
                    Compile`$9751 = 5. $CellContext`rx$ Compile`$9750; 
                    Compile`$9752 = 
                    Compile`$9748 + Compile`$9749 + Compile`$9751; 
                    Compile`$9754 = Sqrt[Compile`$9752]; 
                    Compile`$9744 = 18288. $CellContext`xunit$; 
                    Compile`$9746 = (-5.) $CellContext`rz$ \
$CellContext`zunit$; Compile`$9758 = 
                    18288. $CellContext`xunit$ $CellContext`yunit$; 
                    Compile`$9759 = (-5.) $CellContext`rz$ \
$CellContext`yunit$ $CellContext`zunit$; 
                    Compile`$9760 = 5. $CellContext`ry$ Compile`$9750; 
                    Compile`$9765 = $CellContext`zunit$^(-1); 
                    Compile`$9767 = 
                    15.937377450509228` 
                    Compile`$9754; {{-1. + 0. I, 0. + 0. I, 0. + 0. I}, {
                    0.2 Compile`$9742 (Compile`$9744 + Compile`$9746 - 
                    191.24852940611072` Compile`$9754), 0.2 
                    Compile`$9742 (Compile`$9758 + Compile`$9759 + 
                    Compile`$9760 - 191.24852940611072` $CellContext`yunit$ 
                    Compile`$9754), (-2.4) 
                    Compile`$9765 ((-1524.) $CellContext`xunit$ + 
                    Compile`$9767)}, {
                    0.2 Compile`$9742 (Compile`$9744 + Compile`$9746 + 
                    191.24852940611072` Compile`$9754), 0.2 
                    Compile`$9742 (Compile`$9758 + Compile`$9759 + 
                    Compile`$9760 + 191.24852940611072` $CellContext`yunit$ 
                    Compile`$9754), 2.4 
                    Compile`$9765 (1524. $CellContext`xunit$ + 
                    Compile`$9767)}}], ({$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = #; (
                    Compile`$9812 = Re[$CellContext`LocSCx$]; 
                    Compile`$9817 = Re[$CellContext`LocSCy$]; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, 
                    And[Chop[
                    Im[#]] == {0, 0, 0}, N[
                    Chop[
                    Re[$CellContext`LocRayL$]]] >= 0., 
                    Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[$CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - (5 $CellContext`LocSCy$^2)/36576] < 1.*^-7, 
                    And[
                    Compile`$9812 <= 645.3504999999999, 
                    Compile`$9812 >= -645.3504999999999, 
                    Compile`$9817 >= -1828.8, Compile`$9817 <= 
                    1828.8]]]))& ]]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 747451.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`yunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
$CellContext`rex$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`rey$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`ry$ = $CellContext`rey$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`rex$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9374, Compile`$9379, Compile`$9380, 
                    Compile`$9742, Compile`$9750, Compile`$9747, 
                    Compile`$9748, Compile`$9749, Compile`$9751, 
                    Compile`$9752, Compile`$9754, Compile`$9744, 
                    Compile`$9746, Compile`$9758, Compile`$9759, 
                    Compile`$9760, Compile`$9765, Compile`$9767, 
                    Compile`$9812, Compile`$9817}, 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 
                    1. + 0. I; $CellContext`LocSCx$ = 
                    1. + 0. I; $CellContext`LocSCy$ = 1. + 0. I; Re[
                    Select[
                    If[
                    
                    Or[$CellContext`zunit$ == 0., $CellContext`zunit$^2 == 
                    0.], Compile`$9374 = $CellContext`rz$^2; 
                    Compile`$9379 = Abs[$CellContext`xunit$]; 
                    Compile`$9380 = 
                    Compile`$9379^(-1); {{-1. + 0. I, 0. + 0. I, 0. + 
                    0. I}, {(-$CellContext`rx$ + 
                    0.00013670166229221348` Compile`$9374) 
                    Compile`$9380, $CellContext`ry$ + (-$CellContext`rx$ \
$CellContext`yunit$ + 0.00013670166229221348` 
                    Compile`$9374 $CellContext`yunit$) 
                    Compile`$9380, $CellContext`rz$ $CellContext`xunit$ 
                    Compile`$9380}, {($CellContext`rx$ - 
                    0.00013670166229221348` Compile`$9374) 
                    Compile`$9380, $CellContext`ry$ + ($CellContext`rx$ \
$CellContext`yunit$ - 0.00013670166229221348` 
                    Compile`$9374 $CellContext`yunit$) 
                    Compile`$9380, -$CellContext`rz$ $CellContext`xunit$ 
                    Compile`$9380}}, Compile`$9742 = $CellContext`zunit$^(-2); 
                    Compile`$9750 = $CellContext`zunit$^2; 
                    Compile`$9747 = $CellContext`xunit$^2; 
                    Compile`$9748 = 9144. Compile`$9747; 
                    Compile`$9749 = (-5.) $CellContext`rz$ \
$CellContext`xunit$ $CellContext`zunit$; 
                    Compile`$9751 = 5. $CellContext`rx$ Compile`$9750; 
                    Compile`$9752 = 
                    Compile`$9748 + Compile`$9749 + Compile`$9751; 
                    Compile`$9754 = Sqrt[Compile`$9752]; 
                    Compile`$9744 = 18288. $CellContext`xunit$; 
                    Compile`$9746 = (-5.) $CellContext`rz$ \
$CellContext`zunit$; Compile`$9758 = 
                    18288. $CellContext`xunit$ $CellContext`yunit$; 
                    Compile`$9759 = (-5.) $CellContext`rz$ \
$CellContext`yunit$ $CellContext`zunit$; 
                    Compile`$9760 = 5. $CellContext`ry$ Compile`$9750; 
                    Compile`$9765 = $CellContext`zunit$^(-1); 
                    Compile`$9767 = 
                    15.937377450509228` 
                    Compile`$9754; {{-1. + 0. I, 0. + 0. I, 0. + 0. I}, {
                    0.2 Compile`$9742 (Compile`$9744 + Compile`$9746 - 
                    191.24852940611072` Compile`$9754), 0.2 
                    Compile`$9742 (Compile`$9758 + Compile`$9759 + 
                    Compile`$9760 - 191.24852940611072` $CellContext`yunit$ 
                    Compile`$9754), (-2.4) 
                    Compile`$9765 ((-1524.) $CellContext`xunit$ + 
                    Compile`$9767)}, {
                    0.2 Compile`$9742 (Compile`$9744 + Compile`$9746 + 
                    191.24852940611072` Compile`$9754), 0.2 
                    Compile`$9742 (Compile`$9758 + Compile`$9759 + 
                    Compile`$9760 + 191.24852940611072` $CellContext`yunit$ 
                    Compile`$9754), 2.4 
                    Compile`$9765 (1524. $CellContext`xunit$ + 
                    Compile`$9767)}}], ({$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = #; (
                    Compile`$9812 = Re[$CellContext`LocSCx$]; 
                    Compile`$9817 = Re[$CellContext`LocSCy$]; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, 
                    And[Chop[
                    Im[#]] == {0, 0, 0}, N[
                    Chop[
                    Re[$CellContext`LocRayL$]]] >= 0., 
                    Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[$CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - (5 $CellContext`LocSCy$^2)/36576] < 1.*^-7, 
                    And[
                    Compile`$9812 <= 645.3504999999999, 
                    Compile`$9812 >= -645.3504999999999, 
                    Compile`$9817 >= -1828.8, Compile`$9817 <= 
                    1828.8]]]))& ]]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 747451.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`yunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
$CellContext`rex$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + (-1300. + \
$CellContext`rey$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`ry$ = (-1300. + $CellContext`rey$) Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`rex$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = 
                    Block[{Compile`$9374, Compile`$9379, Compile`$9380, 
                    Compile`$9742, Compile`$9750, Compile`$9747, 
                    Compile`$9748, Compile`$9749, Compile`$9751, 
                    Compile`$9752, Compile`$9754, Compile`$9744, 
                    Compile`$9746, Compile`$9758, Compile`$9759, 
                    Compile`$9760, Compile`$9765, Compile`$9767, 
                    Compile`$9812, Compile`$9817}, 
                    
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 
                    1. + 0. I; $CellContext`LocSCx$ = 
                    1. + 0. I; $CellContext`LocSCy$ = 1. + 0. I; Re[
                    Select[
                    If[
                    
                    Or[$CellContext`zunit$ == 0., $CellContext`zunit$^2 == 
                    0.], Compile`$9374 = $CellContext`rz$^2; 
                    Compile`$9379 = Abs[$CellContext`xunit$]; 
                    Compile`$9380 = 
                    Compile`$9379^(-1); {{-1. + 0. I, 0. + 0. I, 0. + 
                    0. I}, {(-$CellContext`rx$ + 
                    0.00013670166229221348` Compile`$9374) 
                    Compile`$9380, $CellContext`ry$ + (-$CellContext`rx$ \
$CellContext`yunit$ + 0.00013670166229221348` 
                    Compile`$9374 $CellContext`yunit$) 
                    Compile`$9380, $CellContext`rz$ $CellContext`xunit$ 
                    Compile`$9380}, {($CellContext`rx$ - 
                    0.00013670166229221348` Compile`$9374) 
                    Compile`$9380, $CellContext`ry$ + ($CellContext`rx$ \
$CellContext`yunit$ - 0.00013670166229221348` 
                    Compile`$9374 $CellContext`yunit$) 
                    Compile`$9380, -$CellContext`rz$ $CellContext`xunit$ 
                    Compile`$9380}}, Compile`$9742 = $CellContext`zunit$^(-2); 
                    Compile`$9750 = $CellContext`zunit$^2; 
                    Compile`$9747 = $CellContext`xunit$^2; 
                    Compile`$9748 = 9144. Compile`$9747; 
                    Compile`$9749 = (-5.) $CellContext`rz$ \
$CellContext`xunit$ $CellContext`zunit$; 
                    Compile`$9751 = 5. $CellContext`rx$ Compile`$9750; 
                    Compile`$9752 = 
                    Compile`$9748 + Compile`$9749 + Compile`$9751; 
                    Compile`$9754 = Sqrt[Compile`$9752]; 
                    Compile`$9744 = 18288. $CellContext`xunit$; 
                    Compile`$9746 = (-5.) $CellContext`rz$ \
$CellContext`zunit$; Compile`$9758 = 
                    18288. $CellContext`xunit$ $CellContext`yunit$; 
                    Compile`$9759 = (-5.) $CellContext`rz$ \
$CellContext`yunit$ $CellContext`zunit$; 
                    Compile`$9760 = 5. $CellContext`ry$ Compile`$9750; 
                    Compile`$9765 = $CellContext`zunit$^(-1); 
                    Compile`$9767 = 
                    15.937377450509228` 
                    Compile`$9754; {{-1. + 0. I, 0. + 0. I, 0. + 0. I}, {
                    0.2 Compile`$9742 (Compile`$9744 + Compile`$9746 - 
                    191.24852940611072` Compile`$9754), 0.2 
                    Compile`$9742 (Compile`$9758 + Compile`$9759 + 
                    Compile`$9760 - 191.24852940611072` $CellContext`yunit$ 
                    Compile`$9754), (-2.4) 
                    Compile`$9765 ((-1524.) $CellContext`xunit$ + 
                    Compile`$9767)}, {
                    0.2 Compile`$9742 (Compile`$9744 + Compile`$9746 + 
                    191.24852940611072` Compile`$9754), 0.2 
                    Compile`$9742 (Compile`$9758 + Compile`$9759 + 
                    Compile`$9760 + 191.24852940611072` $CellContext`yunit$ 
                    Compile`$9754), 2.4 
                    Compile`$9765 (1524. $CellContext`xunit$ + 
                    Compile`$9767)}}], ({$CellContext`LocRayL$, \
$CellContext`LocSCx$, $CellContext`LocSCy$} = #; (
                    Compile`$9812 = Re[$CellContext`LocSCx$]; 
                    Compile`$9817 = Re[$CellContext`LocSCy$]; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, 
                    And[Chop[
                    Im[#]] == {0, 0, 0}, N[
                    Chop[
                    Re[$CellContext`LocRayL$]]] >= 0., 
                    Abs[$CellContext`ry$ + $CellContext`LocRayL$ \
$CellContext`yunit$ - $CellContext`LocSCx$] + 
                    Abs[$CellContext`rz$ + $CellContext`LocRayL$ \
$CellContext`zunit$ - $CellContext`LocSCy$] + 
                    Abs[$CellContext`rx$ + $CellContext`LocRayL$ \
$CellContext`xunit$ - (5 $CellContext`LocSCy$^2)/36576] < 1.*^-7, 
                    And[
                    Compile`$9812 <= 645.3504999999999, 
                    Compile`$9812 >= -645.3504999999999, 
                    Compile`$9817 >= -1828.8, Compile`$9817 <= 
                    1828.8]]]))& ]]]]; 
                    AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 747451.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                    Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                    If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]; 
                    AppendTo[$CellContext`intersectionslist$, \
$CellContext`intersections$]; If[$CellContext`holeQ$, 
                    AppendTo[$CellContext`holeQlist$, 1], 
                    
                    AppendTo[$CellContext`holeQlist$, 
                    0]]); $CellContext`holeQlist$ = 
                    Drop[$CellContext`holeQlist$, 1]; 
                    Drop[$CellContext`intersectionslist$, 1]]); 
                    Which[$CellContext`resonatenumber$ == 
                    1, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`yunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
$CellContext`rex$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] + (
                    1300. + $CellContext`rey$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`ry$ = (1300. + $CellContext`rey$) Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`rex$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 1., 
                    747451.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 1., 
                    747451.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rxhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rey$ = -1300. + $CellContext`ryhlp$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`rxhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 
                    0., (-0.00027340332458442696`) $CellContext`ray3$}, {0., 
                    1., 0.}, {
                    0.00027340332458442696` $CellContext`ray3$, 0., 1.}}]; If[
                    Or[
                    Part[$CellContext`surfnorm$, 1] == {0., 0., 0.}, 
                    Part[$CellContext`surfnorm$, 2] == {0., 0., 0.}, 
                    Part[$CellContext`surfnorm$, 3] == {0., 0., 
                    0.}], $CellContext`surfnorm$ = 
                    1. Re[{{1., 
                    0., (-0.00027340332458442696`) (
                    1.*^-6 + $CellContext`ray3$)}, {0., 1., 0.}, {
                    0.00027340332458442696` (1.*^-6 + $CellContext`ray3$), 0.,
                     1.}}]; 1., 1.]; $CellContext`dummymatrix$ = Map[Dot[{{
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], -Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 0.}, {
                    Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], 0.}, {0.,
                     0., 1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], 0.}, {0.,
                     0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    0, -1300., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; 
                    If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} - 2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    2, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`yunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
$CellContext`rex$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`rey$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`ry$ = $CellContext`rey$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`rex$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 2., 
                    747451.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 2., 
                    747451.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rxhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rey$ = $CellContext`ryhlp$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`rxhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 
                    0., (-0.00027340332458442696`) $CellContext`ray3$}, {0., 
                    1., 0.}, {
                    0.00027340332458442696` $CellContext`ray3$, 0., 1.}}]; If[
                    Or[
                    Part[$CellContext`surfnorm$, 1] == {0., 0., 0.}, 
                    Part[$CellContext`surfnorm$, 2] == {0., 0., 0.}, 
                    Part[$CellContext`surfnorm$, 3] == {0., 0., 
                    0.}], $CellContext`surfnorm$ = 
                    1. Re[{{1., 
                    0., (-0.00027340332458442696`) (
                    1.*^-6 + $CellContext`ray3$)}, {0., 1., 0.}, {
                    0.00027340332458442696` (1.*^-6 + $CellContext`ray3$), 0.,
                     1.}}]; 1., 1.]; $CellContext`dummymatrix$ = Map[Dot[{{
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], -Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 0.}, {
                    Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], 0.}, {0.,
                     0., 1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], 0.}, {0.,
                     0., 1.}}; $CellContext`surfacetranslationvector$ = {0, 0,
                     0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; 
                    If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} - 2 $CellContext`ZAxis$ 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {$CellContext`completedray$}}, \
$CellContext`resonatenumber$ == 
                    3, {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`r2$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`yunit$ = $CellContext`r2$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`r1$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`zunit$ = $CellContext`r3$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`xunit$ = Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                    Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                    Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = \
$CellContext`rex$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + (-1300. + \
$CellContext`rey$) Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`ry$ = (-1300. + $CellContext`rey$) Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`rex$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rz$ = $CellContext`rez$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`rx$ = Chop[$CellContext`rx$]; $CellContext`ry$ = 
                    Chop[$CellContext`ry$]; $CellContext`rz$ = 
                    Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                    False; $CellContext`intersections$ = {{-1., 0., 
                    0.}}; $CellContext`intersections$ = \
$CellContext`resonateintersections$; $CellContext`holeQ$ = 
                    Part[$CellContext`holeQlist$, \
$CellContext`resonatenumber$] == 
                    1; {$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {1., 3., 
                    747451.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {1., 3., 
                    747451.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = \
$CellContext`rxhlp$ Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]] - 
                    1. $CellContext`ryhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rey$ = 1300. + $CellContext`ryhlp$ Re[
                    Cos[
                    0.017453292519943295` $CellContext`ang1$$]] + \
$CellContext`rxhlp$ Re[
                    Sin[
                    0.017453292519943295` $CellContext`ang1$$]]; \
$CellContext`rez$ = $CellContext`rzhlp$ 
                    Re[Cos[0.017453292519943295` $CellContext`ang1$$]^2 + 
                    Sin[0.017453292519943295` $CellContext`ang1$$]^2]; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`reportedrayspresent$ = 
                    True; $CellContext`intersectionspresent$ = 
                    True; $CellContext`deflectedrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 
                    0., (-0.00027340332458442696`) $CellContext`ray3$}, {0., 
                    1., 0.}, {
                    0.00027340332458442696` $CellContext`ray3$, 0., 1.}}]; If[
                    Or[
                    Part[$CellContext`surfnorm$, 1] == {0., 0., 0.}, 
                    Part[$CellContext`surfnorm$, 2] == {0., 0., 0.}, 
                    Part[$CellContext`surfnorm$, 3] == {0., 0., 
                    0.}], $CellContext`surfnorm$ = 
                    1. Re[{{1., 
                    0., (-0.00027340332458442696`) (
                    1.*^-6 + $CellContext`ray3$)}, {0., 1., 0.}, {
                    0.00027340332458442696` (1.*^-6 + $CellContext`ray3$), 0.,
                     1.}}]; 1., 1.]; $CellContext`dummymatrix$ = Map[Dot[{{
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], -Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 0.}, {
                    Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], 0.}, {0.,
                     0., 1.}}, #]& , $CellContext`surfnorm$]; \
$CellContext`surfnorm$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], 
                    Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 0.}, {-Re[
                    Sin[0.017453292519943295` $CellContext`ang1$$]], 
                    Re[
                    Cos[0.017453292519943295` $CellContext`ang1$$]], 0.}, {0.,
                     0., 1.}}; $CellContext`surfacetranslationvector$ = {
                    0, 1300., 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`ZAxis$ = First[$CellContext`surfnorm$] Sign[
                    Dot[
                    
                    First[$CellContext`surfnorm$], {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]]; $CellContext`raytiltz$ = 
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`raytiltx$ = 
                    1 - $CellContext`raytiltz$^2; 
                    If[$CellContext`raytiltx$ < 
                    2.220446049250313*^-16, $CellContext`raytiltx$ = 
                    0., $CellContext`raytiltx$ = 
                    Sqrt[$CellContext`raytiltx$]]; $CellContext`XAxis$ = \
{$CellContext`r1$, $CellContext`r2$, $CellContext`r3$} - $CellContext`ZAxis$ \
$CellContext`raytiltz$; 
                    If[Abs[$CellContext`raytiltx$] < 
                    1.*^-7, $CellContext`XAxis$ = 
                    Part[$CellContext`surfnorm$, 
                    2], $CellContext`XAxis$ = \
$CellContext`XAxis$/$CellContext`raytiltx$]; $CellContext`YAxis$ = {-(
                    Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 2]) + 
                    Part[$CellContext`ZAxis$, 2] Part[$CellContext`XAxis$, 3],
                     Part[$CellContext`ZAxis$, 3] 
                    Part[$CellContext`XAxis$, 1] - 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 3], -(
                    Part[$CellContext`ZAxis$, 2] 
                    Part[$CellContext`XAxis$, 1]) + 
                    Part[$CellContext`ZAxis$, 1] 
                    Part[$CellContext`XAxis$, 
                    2]}; $CellContext`YAxis$ = $CellContext`YAxis$/Sqrt[
                    
                    Dot[$CellContext`YAxis$, $CellContext`YAxis$]]; \
$CellContext`PAxis$ = $CellContext`ZAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`XAxis$] - $CellContext`XAxis$ 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, $CellContext`ZAxis$]; $CellContext`PAxis$ = \
$CellContext`PAxis$/Sqrt[
                    
                    Dot[$CellContext`PAxis$, $CellContext`PAxis$]]; \
$CellContext`normalizedpolarization$ = 
                    Part[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {1, 
                    2}]; $CellContext`normalizedpolarization$ = \
$CellContext`normalizedpolarization$/Sqrt[
                    
                    Dot[$CellContext`normalizedpolarization$, \
$CellContext`normalizedpolarization$]]; $CellContext`allcreatedamplitudes$ = \
{{0. I, 0. I, 0. I}}; If[$CellContext`intensity$ < 
                    0., $CellContext`intensity$ = 0., 
                    1.]; $CellContext`amplitude$ = 
                    Sqrt[$CellContext`intensity$] (
                    Part[$CellContext`normalizedpolarization$, 
                    1] {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$} + 
                    Part[$CellContext`normalizedpolarization$, 
                    2] {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$} 
                    Exp[I $CellContext`pol3$ 
                    0.017453292519943295`]); \
$CellContext`perpendicularamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`YAxis$]; \
$CellContext`parallelamplitude$ = 
                    Dot[$CellContext`amplitude$, $CellContext`PAxis$]; 
                    If[Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, 
                    Part[$CellContext`surfnorm$, 1]] > 
                    0, $CellContext`phaseshift$ = $CellContext`phaseshift$ + 
                    0.5, 1.]; $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} - 2 $CellContext`ZAxis$ 
                    
                    Dot[$CellContext`ZAxis$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; {$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = \
{$CellContext`pol1$, $CellContext`pol2$, $CellContext`pol3$} + {0, 
                    0, -180}; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`allcreatedrays$ = \
{{$CellContext`rsx$, $CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, \
$CellContext`rey$, $CellContext`rez$, $CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$, $CellContext`r4$, $CellContext`r5$, $CellContext`r6$, \
$CellContext`r7$, $CellContext`r8$, $CellContext`r9$, \
$CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`originalrotation$ = Partition[
                    Take[$CellContext`originalray$, {7, 15}], 
                    3]; $CellContext`previoustilt$ = 
                    Part[$CellContext`originalrotation$, 
                    1]; $CellContext`transmatrix$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`rotationaxis$ = 
                    Cross[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; $CellContext`axismagnitude$ = Sqrt[
                    
                    Dot[$CellContext`rotationaxis$, \
$CellContext`rotationaxis$]]; 
                    If[Chop[$CellContext`axismagnitude$] != 
                    N[0], $CellContext`rotationaxis$ = \
$CellContext`rotationaxis$/$CellContext`axismagnitude$; \
$CellContext`axismatrix$ = 
                    Map[# $CellContext`rotationaxis$& , \
$CellContext`rotationaxis$]; $CellContext`crossmatrix$ = {{
                    0., -Part[$CellContext`rotationaxis$, 3], 
                    Part[$CellContext`rotationaxis$, 2]}, {
                    Part[$CellContext`rotationaxis$, 3], 0., -
                    Part[$CellContext`rotationaxis$, 1]}, {-
                    Part[$CellContext`rotationaxis$, 2], 
                    Part[$CellContext`rotationaxis$, 1], 
                    0.}}; $CellContext`cosangle$ = 
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]; 
                    If[1. - $CellContext`cosangle$ < 
                    2.220446049250313*^-16, $CellContext`cosangle$ = 
                    1., $CellContext`cosangle$ = $CellContext`cosangle$]; \
$CellContext`sinangle$ = 1 - $CellContext`cosangle$^2; 
                    If[$CellContext`sinangle$ < 
                    2.220446049250313*^-16, $CellContext`sinangle$ = 
                    0., $CellContext`sinangle$ = 
                    Sqrt[$CellContext`sinangle$]]; $CellContext`axismatrix$ + \
({{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}} - $CellContext`axismatrix$) $CellContext`cosangle$ + \
$CellContext`crossmatrix$ $CellContext`sinangle$, {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    If[Sign[
                    
                    Dot[$CellContext`previoustilt$, {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}]] === 1, {{1., 0., 0.}, {0., 1., 0.}, {0.,
                     0., 1.}}, {{-1., 0., 0.}, {0., -1., 0.}, {0., 
                    0., -1.}}]])& , $CellContext`allcreatedrays$]; \
$CellContext`allcreatedrays$ = 
                    MapIndexed[({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = 
                    Function[$CellContext`mm$, 
                    Map[
                    Dot[$CellContext`mm$, #]& , \
$CellContext`originalrotation$]][
                    Part[$CellContext`transmatrix$, 
                    First[#2]]]; $CellContext`tiltmagnitude$ = 
                    Dot[{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r1$, $CellContext`r2$, $CellContext`r3$}]; 
                    If[Abs[$CellContext`tiltmagnitude$ - 1.] > 
                    
                    1.*^-6, $CellContext`dummyvector$ = {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}/
                    Sqrt[$CellContext`tiltmagnitude$]; {$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$} = $CellContext`dummyvector$; \
$CellContext`dummymatrix$ = Map[#/Sqrt[
                    
                    Dot[#, #]]& , {{$CellContext`r1$, $CellContext`r2$, \
$CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, $CellContext`r6$}, \
{$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}}]; {{$CellContext`r1$, \
$CellContext`r2$, $CellContext`r3$}, {$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, {$CellContext`r7$, $CellContext`r8$, $CellContext`r9$}} = \
$CellContext`dummymatrix$; 1., 1.]; 
                    If[$CellContext`allcreatedamplitudes$ != {{
                    I 0., I 0., I 0.}}, $CellContext`amplitude$ = 
                    Part[$CellContext`allcreatedamplitudes$, 
                    First[#2]]; $CellContext`hor$ = 
                    Dot[{$CellContext`r4$, $CellContext`r5$, \
$CellContext`r6$}, $CellContext`amplitude$]; $CellContext`ver$ = 
                    Dot[{$CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$}, $CellContext`amplitude$]; If[
                    Or[
                    Abs[$CellContext`hor$] > 0., Abs[$CellContext`ver$] > 
                    0.], {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = {
                    Abs[$CellContext`hor$], 
                    Abs[$CellContext`ver$], 
                    0.}; $CellContext`dummyvector$ = {$CellContext`pol1$, \
$CellContext`pol2$, $CellContext`pol3$}/Sqrt[
                    
                    Dot[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}]]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$; $CellContext`dummyvector$ = 
                    ReplacePart[{$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, (If[$CellContext`ver$ == 0., 0., 
                    Arg[$CellContext`ver$]] - If[$CellContext`hor$ == 0., 0., 
                    Arg[$CellContext`hor$]])/Degree, 
                    3]; {$CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = $CellContext`dummyvector$]; 1., 
                    1.]; {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$})& , $CellContext`allcreatedrays$]); \
{$CellContext`allcreatedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "], {$CellContext`completedray$}}, 
                    True, $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localoutrayspresent$ = 
                    True; {CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    
                    "], {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1Bhj4YD9wdEOESf7Zg8Sph7t3Pw6abu4GAG/YMig=

                    "]}], $CellContext`deflecteddummyrayspresent$ = 
                    True; $CellContext`reporteddummyrayspresent$ = 
                    True; $CellContext`localdummyoutrayspresent$ = 
                    True; CompressedData["
1:eJxTTMoPSmVmYGAAYUYgVmeAgQ/2A0c3RJjknz1InHq4e/fjoAfQH/SmR8Nt
JIUbAPATktQ=
                    "]])& , $CellContext`inrays$]]]; If[
                
                And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
                Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ] 
                 1., 1.]; 
              If[$CellContext`localoutrayspresent$, 
                If[$CellContext`localdummyoutrayspresent$, \
$CellContext`localoutrays$ = 
                   Select[$CellContext`localoutrays$, Part[#, 23] > 0.& ]; 1.,
                   1.]; $CellContext`outrays$ = 
                 Join[$CellContext`outrays$, $CellContext`localoutrays$]; 1., 
                1.]; If[
                
                And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
                 Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
                1., 1.]); 
             If[$CellContext`reportedrayspresent$, $CellContext`raysreported$ = 
                True; $CellContext`reportedrays$ = 
                Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                  "], $CellContext`reportedlocalrays$]; 1., 
               1.]; $CellContext`inrays$ = $CellContext`deflectedlocalrays$; \
$CellContext`propagate$ = $CellContext`generationnumber$ < \
$CellContext`generationlimit$]; $CellContext`propagatedrays$ = 
            If[Length[$CellContext`outrays$] > 1, 
              Drop[$CellContext`outrays$, 1], $CellContext`outrays$]; If[
             
             And[$CellContext`generationnumber$ >= \
$CellContext`generationlimit$, $CellContext`deflectedrayspresent$], \
$CellContext`propagatedrays$ = 
              Join[$CellContext`propagatedrays$, \
$CellContext`deflectedlocalrays$]; 1., 1.]); (
           AddTo[$CellContext`generationnumber$, 
             1.]; $CellContext`reportedlocalrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, 
               0, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; $CellContext`deflectedlocalrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}}; ($CellContext`deflectedrayspresent$ = 
             False; $CellContext`reportedrayspresent$ = 
             False; $CellContext`deflecteddummyrayspresent$ = 
             False; $CellContext`reporteddummyrayspresent$ = 
             False; {$CellContext`deflectedlocalrays$, \
$CellContext`reportedlocalrays$} = Transpose[
               
               Map[(({$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`oldgenerationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$} = #; $CellContext`index1$ = $CellContext`index$; \
$CellContext`xunit$ = $CellContext`r1$; $CellContext`yunit$ = \
$CellContext`r2$; $CellContext`zunit$ = $CellContext`r3$; $CellContext`xunit$ = 
                  Chop[$CellContext`xunit$]; $CellContext`yunit$ = 
                  Chop[$CellContext`yunit$]; $CellContext`zunit$ = 
                  Chop[$CellContext`zunit$]; $CellContext`magnitude$ = \
($CellContext`xunit$^2 + $CellContext`yunit$^2 + $CellContext`zunit$^2)^(
                    2^(-1)); $CellContext`xunit$ = \
$CellContext`xunit$/$CellContext`magnitude$; $CellContext`yunit$ = \
$CellContext`yunit$/$CellContext`magnitude$; $CellContext`zunit$ = \
$CellContext`zunit$/$CellContext`magnitude$; $CellContext`rx$ = -1828.8 + \
$CellContext`rex$; $CellContext`ry$ = $CellContext`rey$; $CellContext`rz$ = \
$CellContext`rez$; $CellContext`rx$ = 
                  Chop[$CellContext`rx$]; $CellContext`ry$ = 
                  Chop[$CellContext`ry$]; $CellContext`rz$ = 
                  Chop[$CellContext`rz$]; $CellContext`terminatedeflection$ = 
                  False; $CellContext`intersections$ = {{-1., 0., 0.}}); 
                If[$CellContext`intensity$ > \
$CellContext`thresholdintensity$, $CellContext`deflectedrayspresent$ = 
                   True; ($CellContext`intersections$ = Block[{Compile`$9369}, 
                    If[Chop[$CellContext`xunit$] != 0, {
                    (If[
                    And[N[
                    Chop[
                    Part[#, 1]]] >= 0., 
                    And[
                    Part[#, 2] <= 3000., Part[#, 2] >= -3000., 
                    Part[#, 3] >= -200., Part[#, 3] <= 200.]], {
                    Part[#, 1], 
                    Part[#, 2], 
                    Part[#, 3]}, {-1., 0., 0.}]& )[
                    Compile`$9369 = $CellContext`xunit$^(-1); \
{-($CellContext`rx$ 
                    Compile`$9369), $CellContext`ry$ - ($CellContext`rx$ \
$CellContext`yunit$) 
                    Compile`$9369, $CellContext`rz$ - ($CellContext`rx$ \
$CellContext`zunit$) Compile`$9369}]}, {{-1., 0., 0.}}]]; 
                   AppendTo[$CellContext`intersections$, {-1., 0., 
                    0.}]; $CellContext`holeQ$ = False; If[
                    Or[
                    Not[
                    Or[Chop[$CellContext`surfaceid$ - 747526.] == 0., N[
                    Chop[$CellContext`ray1$]] < 
                    0.0001]], $CellContext`generationnumber$ == 
                    1.], $CellContext`minresonateraylength$ = 
                    0., $CellContext`minresonateraylength$ = 0.0001]; 
                   Block[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$}, $CellContext`LocRayL$ = 1.; $CellContext`LocSCx$ = 
                    1.; $CellContext`LocSCy$ = 1.; $CellContext`dummymatrix$ = 
                    Union[
                    
                    Select[$CellContext`intersections$, \
({$CellContext`LocRayL$, $CellContext`LocSCx$, $CellContext`LocSCy$} = #; 
                    Or[{$CellContext`LocRayL$, $CellContext`LocSCx$, \
$CellContext`LocSCy$} == {-1., 0., 0.}, N[
                    
                    Chop[$CellContext`LocRayL$]] >= \
$CellContext`minresonateraylength$])& ]]; $CellContext`intersections$ = \
$CellContext`dummymatrix$]; $CellContext`unfilteredintersections$ = \
$CellContext`intersections$; 
                   If[Length[$CellContext`intersections$] > 
                    1, $CellContext`dummymatrix$ = 
                    Take[$CellContext`intersections$, {
                    2}]; $CellContext`intersections$ = \
$CellContext`dummymatrix$; 1., 1.]); 
                  If[$CellContext`intersections$ != {{-1., 0., 
                    0.}}, $CellContext`intersectionspresent$ = 
                    True; ({$CellContext`newcomponentnumber$, \
$CellContext`newsurfacenumber$, $CellContext`newsurfaceid$} = {2., 1., 
                    747526.}; {$CellContext`componentnumber$, \
$CellContext`surfacenumber$, $CellContext`surfaceid$} = {2., 1., 
                    747526.}; {$CellContext`ray1$, $CellContext`ray2$, \
$CellContext`ray3$} = Part[$CellContext`intersections$, 
                    1]; $CellContext`rsx$ = $CellContext`rex$; \
$CellContext`rsy$ = $CellContext`rey$; $CellContext`rsz$ = $CellContext`rez$; \
$CellContext`rxhlp$ = $CellContext`rx$ + $CellContext`ray1$ \
$CellContext`xunit$; $CellContext`ryhlp$ = $CellContext`ry$ + \
$CellContext`ray1$ $CellContext`yunit$; $CellContext`rzhlp$ = \
$CellContext`rz$ + $CellContext`ray1$ $CellContext`zunit$; $CellContext`rex$ = 
                    1828.8 + $CellContext`rxhlp$; $CellContext`rey$ = \
$CellContext`ryhlp$; $CellContext`rez$ = $CellContext`rzhlp$; \
$CellContext`rex$ = Chop[$CellContext`rex$]; $CellContext`rey$ = 
                    Chop[$CellContext`rey$]; $CellContext`rez$ = 
                    Chop[$CellContext`rez$]; $CellContext`intersectionnumber$ = \
$CellContext`intersectionnumber$ + 
                    
                    1.; $CellContext`opticallength$ = \
$CellContext`opticallength$ + $CellContext`ray1$ $CellContext`index1$; \
$CellContext`completedray$ = {$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}); ($CellContext`reportedrayspresent$ = 
                    True; ($CellContext`surfnorm$ = 
                    1. Re[{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}]; $CellContext`dummymatrix$ = 
                    Map[#& , $CellContext`surfnorm$]; $CellContext`surfnorm$ = 
                    Map[#/Sqrt[
                    
                    Dot[#, #]]& , $CellContext`dummymatrix$]; \
$CellContext`surfacerotationmatrix$ = {{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
                    1.}}; $CellContext`surfacetranslationvector$ = {
                    1828.8, 0, 0}; $CellContext`activeregion$ = 
                    0.; $CellContext`completedray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`componentnumber$ = \
$CellContext`newcomponentnumber$; $CellContext`surfacenumber$ = \
$CellContext`newsurfacenumber$; $CellContext`surfaceid$ = \
$CellContext`newsurfaceid$; $CellContext`originalray$ = {$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}; $CellContext`allcreatedrays$ = {{$CellContext`rsx$, \
$CellContext`rsy$, $CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, \
$CellContext`rez$, $CellContext`r1$, $CellContext`r2$, $CellContext`r3$, \
$CellContext`r4$, $CellContext`r5$, $CellContext`r6$, $CellContext`r7$, \
$CellContext`r8$, $CellContext`r9$, $CellContext`wavelength$, \
$CellContext`intensity$, $CellContext`intensityscale$, $CellContext`ray1$, \
$CellContext`index$, $CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}})); {
                    
                    First[$CellContext`allcreatedrays$], \
$CellContext`completedray$}, $CellContext`reporteddummyrayspresent$ = 
                    True; {{$CellContext`rsx$, $CellContext`rsy$, \
$CellContext`rsz$, $CellContext`rex$, $CellContext`rey$, $CellContext`rez$, \
$CellContext`r1$, $CellContext`r2$, $CellContext`r3$, $CellContext`r4$, \
$CellContext`r5$, $CellContext`r6$, $CellContext`r7$, $CellContext`r8$, \
$CellContext`r9$, $CellContext`wavelength$, $CellContext`intensity$, \
$CellContext`intensityscale$, $CellContext`ray1$, $CellContext`index$, \
$CellContext`opticallength$, $CellContext`phaseshift$, \
$CellContext`componentnumber$, $CellContext`surfacenumber$, \
$CellContext`surfaceid$, $CellContext`ray2$, $CellContext`ray3$, \
$CellContext`sid$, $CellContext`frontid$, $CellContext`sno1$, \
$CellContext`sno2$, $CellContext`sno3$, $CellContext`sno4$, \
$CellContext`rayslot$, $CellContext`generationnumber$, \
$CellContext`intersectionnumber$, $CellContext`pol1$, $CellContext`pol2$, \
$CellContext`pol3$}, CompressedData["
1:eJxTTMoPSmVkYGBQZ4CBD/YDRzdEmOSfPUicerh79+Og6eZuAGaoMiY=
                    "]}], $CellContext`reporteddummyrayspresent$ = 
                   True; $CellContext`deflecteddummyrayspresent$ = 
                   True; CompressedData["
1:eJxTTMoPSmViYGAAYXUGGPhgP3B0Q4RJ/tmDxKmHu3c/DnoA/UFvemiGGwCy
wWJ9
                   "]])& , $CellContext`propagatedrays$]]; If[
              
              And[$CellContext`deflectedrayspresent$, \
$CellContext`deflecteddummyrayspresent$], $CellContext`deflectedlocalrays$ = 
               Select[$CellContext`deflectedlocalrays$, Part[#, 23] > 0.& ]; 
              1., 1.]; If[
              
              And[$CellContext`reportedrayspresent$, \
$CellContext`reporteddummyrayspresent$], $CellContext`reportedlocalrays$ = 
               Select[$CellContext`reportedlocalrays$, Part[#, 23] > 0.& ]; 
              1., 1.]); (
            If[$CellContext`reportedrayspresent$, $CellContext`reportedrays$ = 
               Join[$CellContext`reportedrays$, CompressedData["
1:eJxTTMoPSmViYGBgBGJ1BhBoiDDJP3twlCaNBgAGqngz
                 "], $CellContext`reportedlocalrays$]; 1., 
              1.]; $CellContext`propagatedrays$ = \
$CellContext`deflectedlocalrays$); $CellContext`raysreported$ = \
$CellContext`reportedrayspresent$; 1.); 
          If[Length[$CellContext`reportedrays$] > 
            2, $CellContext`reportedrays$ = 
            Drop[$CellContext`reportedrays$, 2], $CellContext`reportedrays$]; 
          Map[{
             Part[#, 1], 
             Part[#, 2], 
             Part[#, 3], 
             Part[#, 4], 
             Part[#, 5], 
             
             Part[#, 6]}& , $CellContext`reportedrays$]], \
$CellContext`compileoptionsetting$]]; Typeset`initDone$$ = True),
    SynchronousInitialization->False,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False,
   DynamicEvaluationTimeout->100],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.418653785953125*^9, 3.418653837390625*^9, 
  3.418655754234375*^9, 3.418655883390625*^9, 3.418655918296875*^9, 
  3.41865595509375*^9, 3.418659402453125*^9, 3.419863746265625*^9, 
  3.4198639105*^9, 3.419864014375*^9, 3.419864190765625*^9, 
  3.419864317921875*^9, 3.419864357125*^9, 3.4198650731875*^9, 
  3.41986521428125*^9, 3.419865899953125*^9, 3.4198664831875*^9, 
  3.4198665970625*^9, 3.419866759515625*^9, 3.419867832109375*^9, 
  3.419868404453125*^9, 3.614749990476048*^9}]
}, Open  ]]
},
WindowSize->{991, 554},
WindowMargins->{{Automatic, 220}, {Automatic, 107}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 5206, 118, 357, "Input"],
Cell[CellGroupData[{
Cell[5798, 144, 673, 14, 22, "Print"],
Cell[6474, 160, 335, 5, 22, "Print"],
Cell[6812, 167, 6601, 126, 394, "Print"],
Cell[13416, 295, 5591, 95, 353, "Print"],
Cell[19010, 392, 899, 19, 22, "Print"],
Cell[19912, 413, 770071, 12783, 181, 754941, 12533, "CachedBoxData", \
"BoxData", "Print"]
}, Open  ]],
Cell[789998, 13199, 762506, 12668, 162, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1552541, 25872, 693, 14, 45, "Input"],
Cell[CellGroupData[{
Cell[1553259, 25890, 899, 17, 22, "Print"],
Cell[1554161, 25909, 562, 8, 22, "Print"],
Cell[1554726, 25919, 899, 17, 22, "Print"],
Cell[1555628, 25938, 564, 8, 22, "Print"],
Cell[1556195, 25948, 899, 17, 22, "Print"],
Cell[1557097, 25967, 564, 8, 22, "Print"]
}, Open  ]],
Cell[1557676, 25978, 176899, 3096, 188, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
