(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 4.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     70106,       1485]*)
(*NotebookOutlinePosition[     71872,       1533]*)
(*  CellTagsIndexPosition[     71681,       1525]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["\<\
Two rays produced; one converging and one diverging with different \
wavelength\
\>", "Subsubsection",
  CellTags->"Two rays produced"],

Cell[CellGroupData[{

Cell["\<\
tworaysout = CustomDeflections[basecomponent,
\tFunction[{Ray[WaveLength->.6, Intensity->(.5*Intensity/.#)],
\t\tRay[Intensity->(.5*Intensity/.#), 
\t\t\tRayTilt->(#/Sqrt[#.#])&[{100,100,0}-(RayEnd/.#)]]
\t}]];

res = AnalyzeSystem[{WedgeOfRays[10], \
Move[tworaysout,100,-45],Boundary[200]},PlotType->TopView];\
\>", "Input",
  CellTags->"RayTilt using CustomDeflections"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.0047619 0.5 0.0047619 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
% End of user PostScript
.5 g
.41582 .41582 m
.41582 .41582 L
.44388 .44388 L
.44388 .44388 L
.41582 .41582 L
F
.44388 .44388 m
.44388 .44388 L
.47194 .47194 L
.47194 .47194 L
.44388 .44388 L
F
.47194 .47194 m
.47194 .47194 L
.5 .5 L
.5 .5 L
.47194 .47194 L
F
.5 .5 m
.5 .5 L
.52806 .52806 L
.52806 .52806 L
.5 .5 L
F
.52806 .52806 m
.52806 .52806 L
.55612 .55612 L
.55612 .55612 L
.52806 .52806 L
F
.55612 .55612 m
.55612 .55612 L
.58418 .58418 L
.58418 .58418 L
.55612 .55612 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.41582 .41582 m
.44388 .44388 L
.47194 .47194 L
.5 .5 L
.52806 .52806 L
.55612 .55612 L
.58418 .58418 L
.58418 .58418 L
.55612 .55612 L
.52806 .52806 L
.5 .5 L
.47194 .47194 L
.44388 .44388 L
.41582 .41582 L
.41582 .41582 L
s
.5 g
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
0 g
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
s
.97619 .97619 m
.97619 .02381 L
.97619 .02381 L
.97619 .97619 L
.97619 .97619 L
s
.97619 .02381 m
.02381 .02381 L
.02381 .02381 L
.97619 .02381 L
.97619 .02381 L
s
.02381 .02381 m
.02381 .97619 L
.02381 .97619 L
.02381 .02381 L
.02381 .02381 L
s
.02381 .97619 m
.97619 .97619 L
.97619 .97619 L
.02381 .97619 L
.02381 .97619 L
s
.97619 .02381 m
.97619 .97619 L
.02381 .97619 L
.02381 .02381 L
.97619 .02381 L
s
.97619 .97619 m
.97619 .02381 L
.02381 .02381 L
.02381 .97619 L
.97619 .97619 L
s
.039 .916 .04 r
.02381 .5 m
.54566 .54566 L
s
% Start of user PostScript
0 0 109.588 9.58768 MAarrowhead1
% End of user PostScript
.961 .084 .96 r
2 Mabswid
.54566 .54566 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .5 m
.5 .5 L
s
% Start of user PostScript
0 0 100. 0 MAarrowhead1
% End of user PostScript
.961 .084 .96 r
2 Mabswid
.5 .5 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .5 m
.46169 .46169 L
s
% Start of user PostScript
0 0 91.955 -8.04502 MAarrowhead1
% End of user PostScript
.961 .084 .96 r
2 Mabswid
.46169 .46169 Mdot
.947 .474 .015 r
.5 Mabswid
.54566 .54566 m
.97619 .58332 L
s
% Start of user PostScript
109.588 9.58768 200. 17.4977 MAarrowhead1
% End of user PostScript
.053 .526 .985 r
2 Mabswid
.97619 .58332 Mdot
.039 .916 .04 r
.5 Mabswid
.54566 .54566 m
.5 .97619 L
s
% Start of user PostScript
109.588 9.58768 100. 100. MAarrowhead1
% End of user PostScript
.961 .084 .96 r
2 Mabswid
.5 .97619 Mdot
.947 .474 .015 r
.5 Mabswid
.5 .5 m
.97619 .5 L
s
% Start of user PostScript
100. 0 200. 0 MAarrowhead1
% End of user PostScript
.053 .526 .985 r
2 Mabswid
.97619 .5 Mdot
.039 .916 .04 r
.5 Mabswid
.5 .5 m
.5 .97619 L
s
% Start of user PostScript
100. 0 100. 100. MAarrowhead1
% End of user PostScript
.961 .084 .96 r
2 Mabswid
.5 .97619 Mdot
.947 .474 .015 r
.5 Mabswid
.46169 .46169 m
.97619 .41668 L
s
% Start of user PostScript
91.955 -8.04502 200. -17.4977 MAarrowhead1
% End of user PostScript
.053 .526 .985 r
2 Mabswid
.97619 .41668 Mdot
.039 .916 .04 r
.5 Mabswid
.46169 .46169 m
.5 .97619 L
s
% Start of user PostScript
91.955 -8.04502 100. 100. MAarrowhead1
% End of user PostScript
.961 .084 .96 r
2 Mabswid
.5 .97619 Mdot
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`001P3ooooo000001@000001`3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool70?ooo`H0lWT30`3oool00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`1^0?ooo`030000003oool0oooo09L0oooo1P3bN@<200f6o0L0oooo00060?oo
o`030000003oool0oooo06l0oooo00<000000?ooo`3oool0S03oool@0?9i0`803HKl1`3oool000H0
oooo00<000000?ooo`3oool0L03oool00`000000oooo0?ooo`200?ooo`/0lWT32P3oool30?9i0`@0
oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0L@3oool00`000000oooo
0?ooo`1c0?ooo``0lWT3503oool00`3bN@<0oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool0I`3oool;0?9i0bP0oooo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0L`3oool00`000000oooo0?ooo`1J
0?ooo``0lWT3<`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1d0?oo
o`030000003oool0oooo04h0oooo2`3bN@<o0?ooo`030000003oool0oooo00D0oooo00060?ooo`03
0000003oool0oooo07D0oooo00<000000?ooo`3oool0@P3oool;0?9i0dX0oooo00<000000?ooo`3o
ool01@3oool000H0oooo00<000000?ooo`3oool0MP3oool00`000000oooo0?ooo`0e0?ooo``0lWT3
E@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1g0?ooo`030000003o
ool0oooo02T0oooo2`3bN@=Q0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo07P0oooo00<000000?ooo`3oool0703oool<0?9i0f`0oooo00<000000?ooo`3oool01@3oool0
00H0oooo00<000000?ooo`3oool0N@3oool00`000000oooo0?ooo`0@0?ooo`/0lWT3N03oool00`00
0000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1c0?ooo`D02NX:0P3oool00`000000
oooo0?ooo`040?ooo`/0lWT3P`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`1d0?ooo`P02NX:1@3bN@>>0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo06X0oooo4009jPX00`3oool02NX:0?HEm@2B0?ooo`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo05h0oooo3009jPX:0?ooo`<02NX:103oool00`09jPX0oooo0000002A
0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo05<0oooo2`09jPXE0?oo
o`0300WZ2P3oool0oooo00D0oooo00@02NX:0?ooo`3oool00000T03oool00`000000oooo0?ooo`05
0?ooo`001P3oool00`000000oooo0?ooo`170?ooo``02NX::03oool01@09jPX0oooo0?ooo`3oool0
000008l0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0?03oool;00WZ
2S@0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`2<0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0340oooo2`09jPXo0?ooo`0300WZ2P3oool0oooo00<0
oooo00<000000?ooo`3oool0R`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`0U0?ooo``02NX:BP3oool00`09jPX0oooo0?ooo`040?ooo`030000003oool0oooo08X0oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool06P3oool;00WZ2UL0oooo00<0
2NX:0?ooo`3oool0103oool00`000000oooo0?ooo`290?ooo`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo00h0oooo3009jPYR0?ooo`0300WZ2P3oool02NX:00802NX:0`3oool0
0`000000oooo0?ooo`200?ooo`<0lWT31@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`00
0000oooo0?ooo`030?ooo`/02NX:KP3oool00`09jPX0oooo0?ooo`0600WZ2P030000003f5OD0mQGe
0800oooo1P3bN@<200f6o0L0oooo00060?ooohX02NX:Q`3bN@<200f6o0L0oooo00060?ooo`030000
003oool0oooo00@0oooo2`09jPY]0?ooo`0300WZ2P3oool0oooo00D02NX:0P3oool00`09jPX00000
0?ooo`1o0?ooo`D0lWT30P3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`0?0?ooo``02NX:H@3oool01009jPX0oooo00WZ2P09jPX60?ooo`0300WZ2P3oool0000007h0oooo
0P3bN@<60?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo01/0oooo2`09
jPYF0?ooo`0300WZ2P3oool0oooo00L0oooo00@02NX:0?ooo`3oool00000Q@3oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0V0?ooo``02NX:BP3oool00`09jPX0oooo0?oo
o`070?ooo`0500WZ2P3oool0oooo0?ooo`000000Q03oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`0b0?ooo`/02NX:?`3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3o
ool0oooo0080oooo00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`0m0?ooo``02NX:<`3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0
oooo00<0oooo00<000000?ooo`3oool0P03oool00`000000oooo0?ooo`050?ooo`001P3oool00`00
0000oooo0?ooo`190?ooo``02NX:9`3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo
00@0oooo00<000000?ooo`3oool0O`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`1E0?ooo`/02NX:703oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00D0
oooo00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`1P0?ooo``02NX:403oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00H0oooo
00<000000?ooo`3oool0O@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`1/0?ooo`/02NX:1P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0080oooo0P09
jPX30?ooo`030000003oool0oooo07`0oooo00<000000?ooo`3oool01@3oool000H0oooo00<00000
0?ooo`3oool0M`3oool<00WZ2P<0oooo00<02NX:0?ooo`3oool00P3oool500WZ2P030?ooo`000000
oooo07`0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0O@3oool00`09
jPX0oooo0?ooo`030?oooa002NX:O03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`1m0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool00`3oool800WZ2PH0
lWT3M@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1m0?ooo`0300WZ
2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool00P3oool400WZ2P@0oooo00<02NX:0?HEm@3oool0
103oool;0?9i0fX0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0O@3o
ool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`0000003`3o
ool;0?9i0el0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0O@3oool0
0`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00X0oooo00@02NX:0?ooo`3oool000006@3o
ool;0?9i0e@0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0O@3oool0
0`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00X0oooo00D02NX:0?ooo`3oool0oooo0000
000S0?ooo``0lWT3B03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1m
0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`02
0?ooo`030000003oool0oooo02`0oooo2`3bN@<m0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo07d0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00@0oooo00<000000?ooo`3oool0=P3oool;0?9i0c80oooo00<000000?oo
o`3oool01@3oool000H0oooo00<000000?ooo`3oool0O@3oool00`09jPX0oooo0?ooo`060?ooo`03
00WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool01@3oool00`000000oooo0?ooo`100?ooo``0
lWT39P3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1m0?ooo`0300WZ
2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`060?ooo`030000
003oool0oooo04/0oooo2`3bN@<C0?ooo`80lWT31P3oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`1m0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool02@3o
ool00`09jPX0oooo0?ooo`070?ooo`030000003oool0oooo05D0oooo2`3bN@<90?ooo`@0lWT30`3o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1m0?ooo`0300WZ2P3oool0
oooo00H0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`030000003oool0
oooo05l0oooo3`3bN@<200f6o0L0oooo00060?ooo`030000003oool0oooo07h0oooo00<02NX:0?oo
o`3oool01@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<000000?oo
o`3oool0IP3oool70?9i0`803HKl1`3oool000H0oooo00<000000?ooo`3oool0OP3oool00`09jPX0
oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0L@3oool50?9i0`@0
oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0OP3oool00`09jPX0oooo
0?ooo`050?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0NP3oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1n0?ooo`0300WZ2P3oool0oooo00D0oooo00<0
2NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`1j0?ooo`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo07h0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`08
0?ooo`0300WZ2P3oool0oooo07/0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?oo
o`3oool0OP3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?oo
o`3oool0N`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1n0?ooo`03
00WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`1k0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07h0oooo00<02NX:0?ooo`3oool0
1@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo07/0oooo00<000000?ooo`3oool0
1@3oool000H0oooo00<000000?ooo`3oool0OP3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3o
ool0oooo00P0oooo00<02NX:0?ooo`3oool0N`3oool00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`1n0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0203oool0
0`09jPX0oooo0?ooo`1k0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo
07h0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo
07/0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0OP3oool00`09jPX0
oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool0N`3oool00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1n0?ooo`0300WZ2P3oool0oooo00D0oooo
00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`1k0?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo07l0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?oo
o`080?ooo`0300WZ2P3oool0oooo07/0oooo00<000000?ooo`3oool01@3oool000H0oooo00<00000
0?ooo`3oool0O`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:
0?ooo`3oool0O03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1o0?oo
o`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`1l0?oo
o`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07l0oooo00<02NX:0?ooo`3o
ool0103oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo07`0oooo00<000000?ooo`3o
ool01@3oool000H0oooo00<000000?ooo`3oool0O`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ
2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool0O03oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`1o0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool01`3o
ool00`09jPX0oooo0?ooo`1l0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo07l0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0
oooo07`0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0O`3oool00`09
jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool0O03oool00`00
0000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1o0?ooo`0300WZ2P3oool0oooo00@0
oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`1l0?ooo`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo07l0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo
0?ooo`070?ooo`0300WZ2P3oool0oooo07`0oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0O`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00H0oooo00<0
2NX:0?ooo`3oool0O@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1o
0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`1m
0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07l0oooo00<02NX:0?oo
o`3oool0103oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo07d0oooo00<000000?oo
o`3oool01@3oool000H0oooo00<000000?ooo`3oool0O`3oool00`09jPX0oooo0?ooo`040?ooo`03
00WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0O@3oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`200?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool0
1P3oool00`09jPX0oooo0?ooo`1m0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0800oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3o
ool0oooo07d0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0P03oool0
0`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0O@3oool0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`200?ooo`0300WZ2P3oool0oooo
00<0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`1m0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0800oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0
oooo0?ooo`060?ooo`0300WZ2P3oool0oooo07d0oooo00<000000?ooo`3oool01@3oool000H0oooo
00<000000?ooo`3oool0P03oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00H0oooo
00<02NX:0?ooo`3oool0O@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`200?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?oo
o`1n0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0800oooo00<02NX:
0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo07h0oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0P03oool00`09jPX0oooo0?ooo`030?oo
o`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0OP3oool00`000000oooo0?ooo`050?oo
o`001P3oool00`000000oooo0?ooo`200?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3o
ool01@3oool00`09jPX0oooo0?ooo`1n0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo0800oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ
2P3oool0oooo07h0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0P03o
ool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0OP3o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`200?ooo`0300WZ2P3oool0
oooo00<0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`1n0?ooo`030000003oool0
oooo00D0oooo00060?ooo`030000003oool0oooo0840oooo00<02NX:0?ooo`3oool00P3oool00`09
jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo07h0oooo00<000000?ooo`3oool01@3oool000H0
oooo00<000000?ooo`3oool0P@3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00D0
oooo00<02NX:0?ooo`3oool0OP3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`210?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo
0?ooo`1o0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0840oooo00<0
2NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo07l0oooo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0P@3oool00`09jPX0oooo0?ooo`02
0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0O`3oool00`000000oooo0?ooo`05
0?ooo`001P3oool00`000000oooo0?ooo`210?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?oo
o`3oool0103oool00`09jPX0oooo0?ooo`1o0?ooo`030000003oool0oooo00D0oooo00060?ooo`03
0000003oool0oooo0840oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`040?ooo`03
00WZ2P3oool0oooo07l0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
P@3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0
O`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`210?ooo`0300WZ2P3o
ool0oooo0080oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`1o0?ooo`030000003o
ool0oooo00D0oooo00060?ooo`030000003oool0oooo0840oooo00<02NX:0?ooo`3oool00P3oool0
0`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo07l0oooo00<000000?ooo`3oool01@3oool0
00H0oooo00<000000?ooo`3oool0P@3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo
00@0oooo00<02NX:0?ooo`3oool0O`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`210?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0103oool00`09jPX0
oooo0?ooo`1o0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0840oooo
00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo0800oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0PP3oool01@09jPX0oooo0?oo
o`3oool02NX:00D0oooo00<02NX:0?ooo`3oool0P03oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`220?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01@3oool00`09jPX0oooo
0?ooo`200?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0880oooo00D0
2NX:0?ooo`3oool0oooo00WZ2P050?ooo`0300WZ2P3oool0oooo0800oooo00<000000?ooo`3oool0
1@3oool000H0oooo00<000000?ooo`3oool0PP3oool01@09jPX0oooo0?ooo`3oool02NX:00D0oooo
00<02NX:0?ooo`3oool0P03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`220?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01@3oool00`09jPX0oooo0?ooo`200?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0880oooo00D02NX:0?ooo`3oool0oooo
00WZ2P050?ooo`0300WZ2P3oool0oooo0800oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0PP3oool01@09jPX0oooo0?ooo`3oool02NX:00D0oooo00<02NX:0?ooo`3oool0
P03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`220?ooo`0500WZ2P3o
ool0oooo0?ooo`09jPX01@3oool00`09jPX0oooo0?ooo`200?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo0880oooo00D02NX:0?ooo`3oool0oooo00WZ2P050?ooo`0300WZ
2P3oool0oooo0800oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0PP3o
ool01@09jPX0oooo0?ooo`3oool02NX:00@0oooo00<02NX:0?ooo`3oool0P@3oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`220?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0
103oool00`09jPX0oooo0?ooo`210?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0880oooo00D02NX:0?ooo`3oool0oooo00WZ2P040?ooo`0300WZ2P3oool0oooo0840oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0PP3oool01@09jPX0oooo0?oo
o`3oool02NX:00@0oooo00<02NX:0?ooo`3oool0P@3oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`220?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0103oool00`09jPX0oooo
0?ooo`210?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@0
2NX:0?ooo`3oool02NX:103oool00`09jPX0oooo0?ooo`210?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:103oool00`09jPX0oooo
0?ooo`210?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@0
2NX:0?ooo`3oool02NX:103oool00`09jPX0oooo0?ooo`210?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:103oool00`09jPX0oooo
0?ooo`210?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@0
2NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo0?ooo`220?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo
0?ooo`220?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@0
2NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo0?ooo`220?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo
0?ooo`220?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@0
2NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo0?ooo`220?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo
0?ooo`220?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@0
2NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo0?ooo`220?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo
0?ooo`220?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@0
2NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo0?ooo`220?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00`3oool00`09jPX0oooo0?oo
o`220?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00<02NX:
0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`230?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`230?oo
o`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00<02NX:0?ooo`09
jPX00P3oool00`09jPX0oooo0?ooo`230?ooo`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`230?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00P3o
ool00`09jPX0oooo0?ooo`230?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo08@0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`230?ooo`030000003oool0
oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00P3oool00`09
jPX0oooo0?ooo`230?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0
oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`230?ooo`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo
0?ooo`230?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00D0
2NX:0?ooo`09jPX0oooo00WZ2P260?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08@0oooo00D02NX:0?ooo`09jPX0oooo00WZ2P260?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo08@0oooo00D02NX:0?ooo`09jPX0oooo00WZ2P260?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00D02NX:0?ooo`09jPX0oooo
00WZ2P260?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo0P09
jPX00`3oool02NX:0?ooo`250?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo08D0oooo0P09jPX00`3oool02NX:0?ooo`250?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo08D0oooo0P09jPX00`3oool02NX:0?ooo`250?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo08D0oooo0P09jPX00`3oool02NX:0?ooo`250?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo0P09jPX00`3oool02NX:
0?ooo`250?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo0P09
jPX00`3oool02NX:0?ooo`250?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo08D0oooo0`09jPZ70?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo
08D0oooo0`09jPZ70?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0
oooo0`09jPZ70?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo
0`09jPZ70?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo0`09
jPZ70?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo1`09jPZ5
0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo1`09jPZ50?oo
o`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo1@09jPZ60?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo1@09jPZ60?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo1@09jPZ60?ooo`030000003o
ool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo0`09jPZ70?ooo`030000003oool0
oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo0`09jPZ70?ooo`030000003oool0oooo
00D0oooo00060?ooo`800000QP3oool00`09jPX0mQGe0?HEm@270?ooo`030000003oool0oooo00D0
oooo00060?ooohT000000P3f5OF8000000L0oooo003o0?ooob40oooo003o0?ooob40oooo003o0?oo
ob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-5.00105, -105.001, 0.731715, \
0.731715}},
  CellTags->"RayTilt using CustomDeflections"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Two rays produced; both converging", "Subsubsection",
  CellTags->"Two rays produced; both converging"],

Cell[CellGroupData[{

Cell["\<\
twofocusedraysout = CustomDeflections[basecomponent,
\tFunction[{Ray[Intensity->(.5*Intensity/.#), 
\t\t\tRayTilt->(#/Sqrt[#.#])&[{200,0,0}-(RayEnd/.#)]],
\t\tRay[Intensity->(.5*Intensity/.#), 
\t\t\tRayTilt->(#/Sqrt[#.#])&[{100,100,0}-(RayEnd/.#)]]
\t}]];
\t
AnalyzeSystem[{WedgeOfRays[10], \
Move[twofocusedraysout,100,-45],Boundary[200]},PlotType->TopView];\
\>", \
"Input",
  CellTags->"RayTilt using CustomDeflections"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.0047619 0.5 0.0047619 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
% End of user PostScript
.5 g
.41582 .41582 m
.41582 .41582 L
.44388 .44388 L
.44388 .44388 L
.41582 .41582 L
F
.44388 .44388 m
.44388 .44388 L
.47194 .47194 L
.47194 .47194 L
.44388 .44388 L
F
.47194 .47194 m
.47194 .47194 L
.5 .5 L
.5 .5 L
.47194 .47194 L
F
.5 .5 m
.5 .5 L
.52806 .52806 L
.52806 .52806 L
.5 .5 L
F
.52806 .52806 m
.52806 .52806 L
.55612 .55612 L
.55612 .55612 L
.52806 .52806 L
F
.55612 .55612 m
.55612 .55612 L
.58418 .58418 L
.58418 .58418 L
.55612 .55612 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.41582 .41582 m
.44388 .44388 L
.47194 .47194 L
.5 .5 L
.52806 .52806 L
.55612 .55612 L
.58418 .58418 L
.58418 .58418 L
.55612 .55612 L
.52806 .52806 L
.5 .5 L
.47194 .47194 L
.44388 .44388 L
.41582 .41582 L
.41582 .41582 L
s
.5 g
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
F
0 g
.5 .5 m
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
.5 .5 L
s
.97619 .97619 m
.97619 .02381 L
.97619 .02381 L
.97619 .97619 L
.97619 .97619 L
s
.97619 .02381 m
.02381 .02381 L
.02381 .02381 L
.97619 .02381 L
.97619 .02381 L
s
.02381 .02381 m
.02381 .97619 L
.02381 .97619 L
.02381 .02381 L
.02381 .02381 L
s
.02381 .97619 m
.97619 .97619 L
.97619 .97619 L
.02381 .97619 L
.02381 .97619 L
s
.97619 .02381 m
.97619 .97619 L
.02381 .97619 L
.02381 .02381 L
.97619 .02381 L
s
.97619 .97619 m
.97619 .02381 L
.02381 .02381 L
.02381 .97619 L
.97619 .97619 L
s
.039 .916 .04 r
.02381 .5 m
.54566 .54566 L
s
% Start of user PostScript
0 0 109.588 9.58768 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.54566 .54566 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .5 m
.5 .5 L
s
% Start of user PostScript
0 0 100. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5 .5 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .5 m
.46169 .46169 L
s
% Start of user PostScript
0 0 91.955 -8.04502 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.46169 .46169 Mdot
.039 .916 .04 r
.5 Mabswid
.54566 .54566 m
.97619 .5 L
s
% Start of user PostScript
109.588 9.58768 200. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .5 Mdot
.039 .916 .04 r
.5 Mabswid
.54566 .54566 m
.5 .97619 L
s
% Start of user PostScript
109.588 9.58768 100. 100. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5 .97619 Mdot
.039 .916 .04 r
.5 Mabswid
.5 .5 m
.97619 .5 L
s
% Start of user PostScript
100. 0 200. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .5 Mdot
.039 .916 .04 r
.5 Mabswid
.5 .5 m
.5 .97619 L
s
% Start of user PostScript
100. 0 100. 100. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5 .97619 Mdot
.039 .916 .04 r
.5 Mabswid
.46169 .46169 m
.97619 .5 L
s
% Start of user PostScript
91.955 -8.04502 200. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .5 Mdot
.039 .916 .04 r
.5 Mabswid
.46169 .46169 m
.5 .97619 L
s
% Start of user PostScript
91.955 -8.04502 100. 100. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5 .97619 Mdot
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`001P3ooooo000001@000001`3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oo
oa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo06h0oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`050?ooo`001P3oool00`00
0000oooo0?ooo`1_0?ooo`030000003oool0oooo09d0oooo00<000000?ooo`3oool01@3oool000H0
oooo00<000000?ooo`3oool0L03oool00`000000oooo0?ooo`2L0?ooo`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0V`3oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1b0?ooo`030000003oool0oooo09X0oooo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0L`3oool00`000000oooo0?ooo`2I
0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07@0oooo00<000000?oo
o`3oool0V03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1e0?ooo`03
0000003oool0oooo09L0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
MP3oool00`000000oooo0?ooo`2F0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo07L0oooo00<000000?ooo`3oool0U@3oool00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`1h0?ooo`030000003oool0oooo09@0oooo00<000000?ooo`3oool01@3oool0
00H0oooo00<000000?ooo`3oool0N@3oool00`000000oooo0?ooo`2C0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo07<0oooo1@09jPX20?ooo`030000003oool0oooo0980
oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0M03oool?00WZ2X`0oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0JP3oool@00WZ2P030?ooo`09
jPX0000000H0oooo3@09jPYo0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo05h0oooo3009jPX:0?ooo`<02NX:103oool00`09jPX0oooo0000000B0?ooo`h02NX:L@3oool0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1C0?ooo`/02NX:5@3oool00`09
jPX0oooo0?ooo`050?ooo`0400WZ2P3oool0oooo000001l0oooo3@09jPYT0?ooo`030000003oool0
oooo00D0oooo00060?ooo`030000003oool0oooo04L0oooo3009jPXX0?ooo`0500WZ2P3oool0oooo
0?ooo`000000:`3oool>00WZ2UH0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?oo
o`3oool0?03oool;00WZ2S@0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`0f0?oo
o`d02NX:B@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0a0?ooo`/0
2NX:?`3oool00`09jPX0oooo0?ooo`030?ooo`030000003oool0oooo0480oooo3@09jPXl0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo02D0oooo3009jPY:0?ooo`0300WZ
2P3oool0oooo00@0oooo00<000000?ooo`3oool0CP3oool>00WZ2Rh0oooo00<000000?ooo`3oool0
1@3oool000H0oooo00<000000?ooo`3oool06P3oool;00WZ2UL0oooo00<02NX:0?ooo`3oool0103o
ool00`000000oooo0?ooo`1K0?ooo`d02NX:6@3oool200WZ2PH0oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool03P3oool<00WZ2V80oooo00<02NX:0?ooo`09jPX00P09jPX3
0?ooo`030000003oool0oooo06L0oooo3P09jPX;0?ooo`D02NX:0`3oool00`000000oooo0?ooo`05
0?ooo`001P3oool00`000000oooo0?ooo`030?ooo`/02NX:KP3oool00`09jPX0oooo0?ooo`0600WZ
2P<00000M03ooolB00WZ2P8000001`3oool000H0ooooo`09jPXB00WZ2P8000001`3oool000H0oooo
00<000000?ooo`3oool0103oool;00WZ2Vd0oooo00<02NX:0?ooo`3oool01@09jPX20?ooo`0300WZ
2P000000oooo07P0oooo3@09jPX00`3oool000000?ooo`060?ooo`001P3oool00`000000oooo0?oo
o`0?0?ooo``02NX:H@3oool01009jPX0oooo00WZ2P09jPX60?ooo`0300WZ2P3oool0000006h0oooo
2P09jPX60?ooo`@02NX:103oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`0K0?ooo`/02NX:EP3oool00`09jPX0oooo0?ooo`070?ooo`0400WZ2P3oool0oooo000006@0oooo
2@09jPX@0?ooo`0300WZ2P3oool0oooo00D0oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool09P3oool<00WZ2TX0oooo00<02NX:0?ooo`3oool01`3oool01@09jPX0oooo0?oo
o`3oool0000005T0oooo2P09jPXQ0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0380oooo2`09jPXo0?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool00P3o
ool00`000000oooo0?ooo`1=0?ooo`T02NX::`3oool00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`0m0?ooo``02NX:<`3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0
oooo00<0oooo00<000000?ooo`3oool0@P3oool:00WZ2S@0oooo00<000000?ooo`3oool01@3oool0
00H0oooo00<000000?ooo`3oool0B@3oool<00WZ2RL0oooo00<02NX:0?ooo`3oool01`3oool00`09
jPX0oooo0?ooo`040?ooo`030000003oool0oooo03L0oooo2P09jPXn0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo05D0oooo2`09jPXL0?ooo`0300WZ2P3oool0oooo00L0
oooo00<02NX:0?ooo`3oool01@3oool00`000000oooo0?ooo`0]0?ooo`T02NX:B03oool00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1P0?ooo``02NX:403oool00`09jPX0oooo
0?ooo`070?ooo`0300WZ2P3oool0oooo00H0oooo00<000000?ooo`3oool08P3oool:00WZ2U40oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0K03oool;00WZ2PH0oooo00<0
2NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`020?ooo`802NX:0`3oool00`000000oooo0?oo
o`0H0?ooo`T02NX:F`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1g
0?ooo``02NX:0`3oool00`09jPX0oooo0?ooo`020?ooo`D02NX:00<0oooo0000003oool03P3oool:
00WZ2V@0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0O@3oool00`09
jPX0oooo0?ooo`030?oooa002NX:1@3oool900WZ2Vh0oooo00<000000?ooo`3oool01@3oool000H0
oooo00<000000?ooo`3oool0O@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00<0
oooo3009jPYg0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07d0oooo
00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`020?ooo`@02NX:103oool00`09jPX00000
0?ooo`1i0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07d0oooo00<0
2NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0000007T0oooo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0O@3oool00`09jPX0oooo0?ooo`06
0?ooo`0300WZ2P3oool0oooo00X0oooo00@02NX:0?ooo`3oool00000N03oool00`000000oooo0?oo
o`050?ooo`001P3oool00`000000oooo0?ooo`1m0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:
0?ooo`3oool02P3oool01@09jPX0oooo0?ooo`3oool0000007L0oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0O@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0
oooo00X0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`1d0?ooo`030000003oool0
oooo00D0oooo00060?ooo`030000003oool0oooo07d0oooo00<02NX:0?ooo`3oool01P3oool00`09
jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00@0oooo00<000000?ooo`3oool0L`3oool00`00
0000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1m0?ooo`0300WZ2P3oool0oooo00H0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`050?ooo`030000003oool0oooo0780
oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0O@3oool00`09jPX0oooo
0?ooo`060?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool01P3oool00`000000oooo
0?ooo`1a0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07d0oooo00<0
2NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00L0oooo00<0
00000?ooo`3oool0L03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1m
0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`08
0?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?oo
o`3oool0OP3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?oo
o`3oool02@3oool00`000000oooo0?ooo`1^0?ooo`030000003oool0oooo00D0oooo00060?ooo`03
0000003oool0oooo07h0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`090?ooo`03
00WZ2P3oool0oooo07X0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
OP3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0
NP3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1n0?ooo`0300WZ2P3o
ool0oooo00D0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`1j0?ooo`030000003o
ool0oooo00D0oooo00060?ooo`030000003oool0oooo07h0oooo00<02NX:0?ooo`3oool01@3oool0
0`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo07/0oooo00<000000?ooo`3oool01@3oool0
00H0oooo00<000000?ooo`3oool0OP3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo
00P0oooo00<02NX:0?ooo`3oool0N`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`1n0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0
oooo0?ooo`1k0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07h0oooo
00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo07/0oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0OP3oool00`09jPX0oooo0?oo
o`050?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool0N`3oool00`000000oooo0?oo
o`050?ooo`001P3oool00`000000oooo0?ooo`1n0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:
0?ooo`3oool0203oool00`09jPX0oooo0?ooo`1k0?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo07h0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`080?oo
o`0300WZ2P3oool0oooo07/0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3o
ool0OP3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3o
ool0N`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1n0?ooo`0300WZ
2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`1k0?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07l0oooo00<02NX:0?ooo`3oool0103o
ool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo07/0oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0O`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0
oooo00L0oooo00<02NX:0?ooo`3oool0O03oool00`000000oooo0?ooo`050?ooo`001P3oool00`00
0000oooo0?ooo`1o0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool01`3oool00`09
jPX0oooo0?ooo`1l0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07l0
oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo07`0
oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0O`3oool00`09jPX0oooo
0?ooo`040?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool0O03oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1o0?ooo`0300WZ2P3oool0oooo00@0oooo00<0
2NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`1l0?ooo`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo07l0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`07
0?ooo`0300WZ2P3oool0oooo07`0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?oo
o`3oool0O`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?oo
o`3oool0O03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1o0?ooo`03
00WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`1l0?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07l0oooo00<02NX:0?ooo`3oool0
103oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo07`0oooo00<000000?ooo`3oool0
1@3oool000H0oooo00<000000?ooo`3oool0O`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3o
ool0oooo00H0oooo00<02NX:0?ooo`3oool0O@3oool00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`1o0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool01P3oool0
0`09jPX0oooo0?ooo`1m0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo
07l0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo
07d0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0O`3oool00`09jPX0
oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0O@3oool00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`200?ooo`0300WZ2P3oool0oooo00<0oooo
00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`1m0?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo0800oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?oo
o`060?ooo`0300WZ2P3oool0oooo07d0oooo00<000000?ooo`3oool01@3oool000H0oooo00<00000
0?ooo`3oool0P03oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:
0?ooo`3oool0O@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`200?oo
o`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`1m0?oo
o`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0800oooo00<02NX:0?ooo`3o
ool00`3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo07d0oooo00<000000?ooo`3o
ool01@3oool000H0oooo00<000000?ooo`3oool0P03oool00`09jPX0oooo0?ooo`030?ooo`0300WZ
2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0O@3oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`200?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool01@3o
ool00`09jPX0oooo0?ooo`1n0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0800oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0
oooo07h0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0P03oool00`09
jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0OP3oool00`00
0000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`200?ooo`0300WZ2P3oool0oooo00<0
oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`1n0?ooo`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo0800oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo
0?ooo`050?ooo`0300WZ2P3oool0oooo07h0oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0P03oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00D0oooo00<0
2NX:0?ooo`3oool0OP3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`20
0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`1n
0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0840oooo00<02NX:0?oo
o`3oool00P3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo07h0oooo00<000000?oo
o`3oool01@3oool000H0oooo00<000000?ooo`3oool0P@3oool00`09jPX0oooo0?ooo`020?ooo`03
00WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0OP3oool00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`210?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0
103oool00`09jPX0oooo0?ooo`1o0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0840oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3o
ool0oooo07l0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0P@3oool0
0`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0O`3oool0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`210?ooo`0300WZ2P3oool0oooo
0080oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`1o0?ooo`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0840oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0
oooo0?ooo`040?ooo`0300WZ2P3oool0oooo07l0oooo00<000000?ooo`3oool01@3oool000H0oooo
00<000000?ooo`3oool0P@3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00@0oooo
00<02NX:0?ooo`3oool0O`3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`210?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?oo
o`1o0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0840oooo00<02NX:
0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo07l0oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0P@3oool00`09jPX0oooo0?ooo`020?oo
o`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0O`3oool00`000000oooo0?ooo`050?oo
o`001P3oool00`000000oooo0?ooo`210?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3o
ool0103oool00`09jPX0oooo0?ooo`1o0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo0840oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ
2P3oool0oooo0800oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0PP3o
ool01@09jPX0oooo0?ooo`3oool02NX:00D0oooo00<02NX:0?ooo`3oool0P03oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`220?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0
1@3oool00`09jPX0oooo0?ooo`200?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0880oooo00D02NX:0?ooo`3oool0oooo00WZ2P050?ooo`0300WZ2P3oool0oooo0800oooo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0PP3oool01@09jPX0oooo0?oo
o`3oool02NX:00D0oooo00<02NX:0?ooo`3oool0P03oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`220?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01@3oool00`09jPX0oooo
0?ooo`200?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0880oooo00D0
2NX:0?ooo`3oool0oooo00WZ2P050?ooo`0300WZ2P3oool0oooo0800oooo00<000000?ooo`3oool0
1@3oool000H0oooo00<000000?ooo`3oool0PP3oool01@09jPX0oooo0?ooo`3oool02NX:00D0oooo
00<02NX:0?ooo`3oool0P03oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`220?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01@3oool00`09jPX0oooo0?ooo`200?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0880oooo00D02NX:0?ooo`3oool0oooo
00WZ2P050?ooo`0300WZ2P3oool0oooo0800oooo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0PP3oool01@09jPX0oooo0?ooo`3oool02NX:00@0oooo00<02NX:0?ooo`3oool0
P@3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`220?ooo`0500WZ2P3o
ool0oooo0?ooo`09jPX0103oool00`09jPX0oooo0?ooo`210?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo0880oooo00D02NX:0?ooo`3oool0oooo00WZ2P040?ooo`0300WZ
2P3oool0oooo0840oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0PP3o
ool01@09jPX0oooo0?ooo`3oool02NX:00@0oooo00<02NX:0?ooo`3oool0P@3oool00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`220?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0
103oool00`09jPX0oooo0?ooo`210?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:103oool00`09jPX0oooo0?ooo`210?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:
103oool00`09jPX0oooo0?ooo`210?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:103oool00`09jPX0oooo0?ooo`210?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:
103oool00`09jPX0oooo0?ooo`210?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo0?ooo`220?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:
0`3oool00`09jPX0oooo0?ooo`220?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo0?ooo`220?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:
0`3oool00`09jPX0oooo0?ooo`220?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo0?ooo`220?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:
0`3oool00`09jPX0oooo0?ooo`220?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo0?ooo`220?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:
0`3oool00`09jPX0oooo0?ooo`220?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08<0oooo00@02NX:0?ooo`3oool02NX:0`3oool00`09jPX0oooo0?ooo`220?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00`3o
ool00`09jPX0oooo0?ooo`220?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo08@0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`230?ooo`030000003oool0
oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00P3oool00`09
jPX0oooo0?ooo`230?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0
oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`230?ooo`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo
0?ooo`230?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00<0
2NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`230?ooo`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`23
0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00<02NX:0?oo
o`09jPX00P3oool00`09jPX0oooo0?ooo`230?ooo`030000003oool0oooo00D0oooo00060?ooo`03
0000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`230?ooo`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00<02NX:0?ooo`09jPX0
0P3oool00`09jPX0oooo0?ooo`230?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08@0oooo00D02NX:0?ooo`09jPX0oooo00WZ2P260?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo08@0oooo00D02NX:0?ooo`09jPX0oooo00WZ2P260?ooo`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00D02NX:0?ooo`09jPX0oooo
00WZ2P260?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo00D0
2NX:0?ooo`09jPX0oooo00WZ2P260?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08D0oooo0P09jPX00`3oool02NX:0?ooo`250?ooo`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo08D0oooo0P09jPX00`3oool02NX:0?ooo`250?ooo`030000003oool0
oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo0P09jPX00`3oool02NX:0?ooo`250?oo
o`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo0P09jPX00`3oool0
2NX:0?ooo`250?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo
0P09jPX00`3oool02NX:0?ooo`250?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08D0oooo0P09jPX00`3oool02NX:0?ooo`250?ooo`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo08D0oooo0`09jPZ70?ooo`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo08D0oooo0`09jPZ70?ooo`030000003oool0oooo00D0oooo00060?ooo`03
0000003oool0oooo08D0oooo0`09jPZ70?ooo`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo08D0oooo0`09jPZ70?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo08D0oooo0`09jPZ70?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo08<0oooo1`09jPZ50?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo
08<0oooo1`09jPZ50?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0
oooo1@09jPZ60?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo
1@09jPZ60?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08@0oooo1@09
jPZ60?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo0`09jPZ7
0?ooo`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08D0oooo0`09jPZ70?oo
o`030000003oool0oooo00D0oooo00060?ooo`800000QP3oool00`09jPX00000000000270?ooo`03
0000003oool0oooo00D0oooo00060?ooool00000500000070?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-5.00105, -105.001, 0.731715, \
0.731715}},
  CellTags->"RayTilt using CustomDeflections"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.2 for Macintosh",
ScreenRectangle->{{0, 1024}, {0, 748}},
WindowSize->{980, 621},
WindowMargins->{{1, Automatic}, {Automatic, 0}},
MacintoshSystemPageSetup->"\<\
00<0001804P000000]P2:?oQon82n@960dL5:0?l0080001804P000000]P2:001
0000I00000400`<300000BL?00400@00000000000000060801T1T00000000000
00000000000000000000000000000000\>"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Two rays produced"->{
    Cell[1776, 53, 145, 4, 42, "Subsubsection",
      CellTags->"Two rays produced"]},
  "RayTilt using CustomDeflections"->{
    Cell[1946, 61, 383, 10, 117, "Input",
      CellTags->"RayTilt using CustomDeflections"],
    Cell[2332, 73, 33651, 692, 296, 4476, 327, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"RayTilt using CustomDeflections"],
    Cell[36166, 776, 434, 12, 132, "Input",
      CellTags->"RayTilt using CustomDeflections"],
    Cell[36603, 790, 33475, 691, 296, 4369, 327, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"RayTilt using CustomDeflections"]},
  "Two rays produced; both converging"->{
    Cell[36032, 771, 109, 1, 42, "Subsubsection",
      CellTags->"Two rays produced; both converging"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Two rays produced", 70897, 1504},
  {"RayTilt using CustomDeflections", 71023, 1507},
  {"Two rays produced; both converging", 71550, 1518}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 145, 4, 42, "Subsubsection",
  CellTags->"Two rays produced"],

Cell[CellGroupData[{
Cell[1946, 61, 383, 10, 117, "Input",
  CellTags->"RayTilt using CustomDeflections"],
Cell[2332, 73, 33651, 692, 296, 4476, 327, "GraphicsData", "PostScript", \
"Graphics",
  CellTags->"RayTilt using CustomDeflections"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[36032, 771, 109, 1, 42, "Subsubsection",
  CellTags->"Two rays produced; both converging"],

Cell[CellGroupData[{
Cell[36166, 776, 434, 12, 132, "Input",
  CellTags->"RayTilt using CustomDeflections"],
Cell[36603, 790, 33475, 691, 296, 4369, 327, "GraphicsData", "PostScript", \
"Graphics",
  CellTags->"RayTilt using CustomDeflections"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

